(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["babelPresetEnv"] = factory();
	else
		root["babelPresetEnv"] = factory();
})(this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ((function(modules) {
	// Check all modules for deduplicated modules
	for(var i in modules) {
		if(Object.prototype.hasOwnProperty.call(modules, i)) {
			switch(typeof modules[i]) {
			case "function": break;
			case "object":
				// Module can be created from a template
				modules[i] = (function(_m) {
					var args = _m.slice(1), fn = modules[_m[0]];
					return function (a,b,c) {
						fn.apply(this, [a,b,c].concat(args));
					};
				}(modules[i]));
				break;
			default:
				// Module is a copy of another module
				modules[i] = modules[modules[i]];
				break;
			}
		}
	}
	return modules;
}([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.availablePlugins = undefined;
	exports.default = buildPreset;

	var _plugins = __webpack_require__(166);

	var _plugins2 = _interopRequireDefault(_plugins);

	var _builtIns = __webpack_require__(165);

	var _builtIns2 = _interopRequireDefault(_builtIns);

	var _electronToChromium = __webpack_require__(112);

	var _electronToChromium2 = _interopRequireDefault(_electronToChromium);

	var _transformPolyfillRequirePlugin = __webpack_require__(440);

	var _transformPolyfillRequirePlugin2 = _interopRequireDefault(_transformPolyfillRequirePlugin);

	var _babelPresetEnv = __webpack_require__(209);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

	var availablePlugins = exports.availablePlugins = {
	  "babel-plugin-check-es2015-constants": __webpack_require__(175),
	  "babel-plugin-syntax-trailing-function-commas": __webpack_require__(178),
	  "babel-plugin-transform-async-to-generator": __webpack_require__(179),
	  "babel-plugin-transform-es2015-arrow-functions": __webpack_require__(180),
	  "babel-plugin-transform-es2015-block-scoped-functions": __webpack_require__(181),
	  "babel-plugin-transform-es2015-block-scoping": __webpack_require__(182),
	  "babel-plugin-transform-es2015-classes": __webpack_require__(184),
	  "babel-plugin-transform-es2015-computed-properties": __webpack_require__(186),
	  "babel-plugin-transform-es2015-destructuring": __webpack_require__(187),
	  "babel-plugin-transform-es2015-duplicate-keys": __webpack_require__(188),
	  "babel-plugin-transform-es2015-for-of": __webpack_require__(189),
	  "babel-plugin-transform-es2015-function-name": __webpack_require__(190),
	  "babel-plugin-transform-es2015-literals": __webpack_require__(191),
	  "babel-plugin-transform-es2015-modules-amd": __webpack_require__(110),
	  "babel-plugin-transform-es2015-modules-commonjs": __webpack_require__(111),
	  "babel-plugin-transform-es2015-modules-systemjs": __webpack_require__(192),
	  "babel-plugin-transform-es2015-modules-umd": __webpack_require__(193),
	  "babel-plugin-transform-es2015-object-super": __webpack_require__(194),
	  "babel-plugin-transform-es2015-parameters": __webpack_require__(197),
	  "babel-plugin-transform-es2015-shorthand-properties": __webpack_require__(199),
	  "babel-plugin-transform-es2015-spread": __webpack_require__(200),
	  "babel-plugin-transform-es2015-sticky-regex": __webpack_require__(201),
	  "babel-plugin-transform-es2015-template-literals": __webpack_require__(202),
	  "babel-plugin-transform-es2015-typeof-symbol": __webpack_require__(203),
	  "babel-plugin-transform-es2015-unicode-regex": __webpack_require__(204),
	  "babel-plugin-transform-exponentiation-operator": __webpack_require__(205),
	  "babel-plugin-transform-regenerator": __webpack_require__(206)
	};

	var defaultInclude = ["web.timers", "web.immediate", "web.dom.iterable"];

	var validateIncludeOption = function validateIncludeOption(opts) {
	  return (0, _babelPresetEnv.validatePluginsOption)(opts, "include");
	};
	var validateExcludeOption = function validateExcludeOption(opts) {
	  return (0, _babelPresetEnv.validatePluginsOption)(opts, "exclude");
	};

	var hasBeenLogged = false;
	var hasBeenWarned = false;

	var logPlugin = function logPlugin(plugin, targets, list) {
	  var envList = list[plugin] || {};
	  var filteredList = Object.keys(targets).reduce(function (a, b) {
	    a[b] = envList[b];
	    return a;
	  }, {});
	  var logStr = "\n " + plugin + " " + JSON.stringify(filteredList);
	  console.log(logStr);
	};

	function buildPreset(context) {
	  var opts = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

	  var loose = (0, _babelPresetEnv.validateLooseOption)(opts.loose);
	  var moduleType = (0, _babelPresetEnv.validateModulesOption)(opts.modules);
	  // TODO: remove whitelist in favor of include in next major
	  if (opts.whitelist && !hasBeenWarned) {
	    hasBeenWarned = true;
	    console.warn("The \"whitelist\" option has been deprecated\n    in favor of \"include\" to match the newly added \"exclude\" option (instead of \"blacklist\").");
	  }
	  var include = validateIncludeOption(opts.whitelist || opts.include);
	  var exclude = validateExcludeOption(opts.exclude);
	  (0, _babelPresetEnv.checkDuplicateIncludeExcludes)(include.all, exclude.all);
	  var targets = (0, _babelPresetEnv.getTargets)(opts.targets);
	  var debug = opts.debug;
	  var useBuiltIns = opts.useBuiltIns;

	  var transformations = Object.keys(_plugins2.default).filter(function (pluginName) {
	    return (0, _babelPresetEnv.isPluginRequired)(targets, _plugins2.default[pluginName]);
	  });

	  var polyfills = void 0;
	  if (useBuiltIns) {
	    polyfills = Object.keys(_builtIns2.default).filter(function (builtInName) {
	      return (0, _babelPresetEnv.isPluginRequired)(targets, _builtIns2.default[builtInName]);
	    }).concat(defaultInclude).filter(function (plugin) {
	      return exclude.builtIns.indexOf(plugin) === -1;
	    }).concat(include.builtIns);
	  }

	  if (debug && !hasBeenLogged) {
	    hasBeenLogged = true;
	    console.log("babel-preset-env: `DEBUG` option");
	    console.log("");
	    console.log("Using targets: " + JSON.stringify(opts.targets, null, 2));
	    console.log("");
	    console.log("modules transform: " + moduleType);
	    console.log("");
	    console.log("Using plugins:");
	    transformations.forEach(function (transform) {
	      logPlugin(transform, opts.targets, _plugins2.default);
	    });
	    console.log("\nUsing polyfills:");
	    if (useBuiltIns && polyfills.length) {
	      polyfills.forEach(function (polyfill) {
	        logPlugin(polyfill, opts.targets, _builtIns2.default);
	      });
	    }
	  }

	  var allTransformations = transformations.filter(function (plugin) {
	    return exclude.plugins.indexOf(plugin) === -1;
	  }).concat(include.plugins);

	  var regenerator = allTransformations.indexOf("transform-regenerator") >= 0;
	  var modulePlugin = moduleType !== false && _babelPresetEnv.MODULE_TRANSFORMATIONS[moduleType];
	  var plugins = [];

	  modulePlugin && plugins.push([availablePlugins["babel-plugin-" + modulePlugin], { loose: loose }]);

	  plugins.push.apply(plugins, _toConsumableArray(allTransformations.map(function (pluginName) {
	    return [availablePlugins["babel-plugin-" + pluginName], { loose: loose }];
	  })));

	  useBuiltIns && plugins.push([_transformPolyfillRequirePlugin2.default, { polyfills: polyfills, regenerator: regenerator }]);

	  return {
	    plugins: plugins
	  };
	}

/***/ },
/* 1 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.createTypeAnnotationBasedOnTypeof = exports.removeTypeDuplicates = exports.createUnionTypeAnnotation = exports.valueToNode = exports.toBlock = exports.toExpression = exports.toStatement = exports.toBindingIdentifierName = exports.toIdentifier = exports.toKeyAlias = exports.toSequenceExpression = exports.toComputedKey = exports.isNodesEquivalent = exports.isImmutable = exports.isScope = exports.isSpecifierDefault = exports.isVar = exports.isBlockScoped = exports.isLet = exports.isValidIdentifier = exports.isReferenced = exports.isBinding = exports.getOuterBindingIdentifiers = exports.getBindingIdentifiers = exports.TYPES = exports.react = exports.DEPRECATED_KEYS = exports.BUILDER_KEYS = exports.NODE_FIELDS = exports.ALIAS_KEYS = exports.VISITOR_KEYS = exports.NOT_LOCAL_BINDING = exports.BLOCK_SCOPED_SYMBOL = exports.INHERIT_KEYS = exports.UNARY_OPERATORS = exports.STRING_UNARY_OPERATORS = exports.NUMBER_UNARY_OPERATORS = exports.BOOLEAN_UNARY_OPERATORS = exports.BINARY_OPERATORS = exports.NUMBER_BINARY_OPERATORS = exports.BOOLEAN_BINARY_OPERATORS = exports.COMPARISON_BINARY_OPERATORS = exports.EQUALITY_BINARY_OPERATORS = exports.BOOLEAN_NUMBER_BINARY_OPERATORS = exports.UPDATE_OPERATORS = exports.LOGICAL_OPERATORS = exports.COMMENT_KEYS = exports.FOR_INIT_KEYS = exports.FLATTENABLE_KEYS = exports.STATEMENT_OR_BLOCK_KEYS = undefined;

	var _getOwnPropertySymbols = __webpack_require__(212);

	var _getOwnPropertySymbols2 = _interopRequireDefault(_getOwnPropertySymbols);

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	var _keys = __webpack_require__(31);

	var _keys2 = _interopRequireDefault(_keys);

	var _stringify = __webpack_require__(37);

	var _stringify2 = _interopRequireDefault(_stringify);

	var _constants = __webpack_require__(64);

	Object.defineProperty(exports, "STATEMENT_OR_BLOCK_KEYS", {
	  enumerable: true,
	  get: function get() {
	    return _constants.STATEMENT_OR_BLOCK_KEYS;
	  }
	});
	Object.defineProperty(exports, "FLATTENABLE_KEYS", {
	  enumerable: true,
	  get: function get() {
	    return _constants.FLATTENABLE_KEYS;
	  }
	});
	Object.defineProperty(exports, "FOR_INIT_KEYS", {
	  enumerable: true,
	  get: function get() {
	    return _constants.FOR_INIT_KEYS;
	  }
	});
	Object.defineProperty(exports, "COMMENT_KEYS", {
	  enumerable: true,
	  get: function get() {
	    return _constants.COMMENT_KEYS;
	  }
	});
	Object.defineProperty(exports, "LOGICAL_OPERATORS", {
	  enumerable: true,
	  get: function get() {
	    return _constants.LOGICAL_OPERATORS;
	  }
	});
	Object.defineProperty(exports, "UPDATE_OPERATORS", {
	  enumerable: true,
	  get: function get() {
	    return _constants.UPDATE_OPERATORS;
	  }
	});
	Object.defineProperty(exports, "BOOLEAN_NUMBER_BINARY_OPERATORS", {
	  enumerable: true,
	  get: function get() {
	    return _constants.BOOLEAN_NUMBER_BINARY_OPERATORS;
	  }
	});
	Object.defineProperty(exports, "EQUALITY_BINARY_OPERATORS", {
	  enumerable: true,
	  get: function get() {
	    return _constants.EQUALITY_BINARY_OPERATORS;
	  }
	});
	Object.defineProperty(exports, "COMPARISON_BINARY_OPERATORS", {
	  enumerable: true,
	  get: function get() {
	    return _constants.COMPARISON_BINARY_OPERATORS;
	  }
	});
	Object.defineProperty(exports, "BOOLEAN_BINARY_OPERATORS", {
	  enumerable: true,
	  get: function get() {
	    return _constants.BOOLEAN_BINARY_OPERATORS;
	  }
	});
	Object.defineProperty(exports, "NUMBER_BINARY_OPERATORS", {
	  enumerable: true,
	  get: function get() {
	    return _constants.NUMBER_BINARY_OPERATORS;
	  }
	});
	Object.defineProperty(exports, "BINARY_OPERATORS", {
	  enumerable: true,
	  get: function get() {
	    return _constants.BINARY_OPERATORS;
	  }
	});
	Object.defineProperty(exports, "BOOLEAN_UNARY_OPERATORS", {
	  enumerable: true,
	  get: function get() {
	    return _constants.BOOLEAN_UNARY_OPERATORS;
	  }
	});
	Object.defineProperty(exports, "NUMBER_UNARY_OPERATORS", {
	  enumerable: true,
	  get: function get() {
	    return _constants.NUMBER_UNARY_OPERATORS;
	  }
	});
	Object.defineProperty(exports, "STRING_UNARY_OPERATORS", {
	  enumerable: true,
	  get: function get() {
	    return _constants.STRING_UNARY_OPERATORS;
	  }
	});
	Object.defineProperty(exports, "UNARY_OPERATORS", {
	  enumerable: true,
	  get: function get() {
	    return _constants.UNARY_OPERATORS;
	  }
	});
	Object.defineProperty(exports, "INHERIT_KEYS", {
	  enumerable: true,
	  get: function get() {
	    return _constants.INHERIT_KEYS;
	  }
	});
	Object.defineProperty(exports, "BLOCK_SCOPED_SYMBOL", {
	  enumerable: true,
	  get: function get() {
	    return _constants.BLOCK_SCOPED_SYMBOL;
	  }
	});
	Object.defineProperty(exports, "NOT_LOCAL_BINDING", {
	  enumerable: true,
	  get: function get() {
	    return _constants.NOT_LOCAL_BINDING;
	  }
	});
	exports.is = is;
	exports.isType = isType;
	exports.validate = validate;
	exports.shallowEqual = shallowEqual;
	exports.appendToMemberExpression = appendToMemberExpression;
	exports.prependToMemberExpression = prependToMemberExpression;
	exports.ensureBlock = ensureBlock;
	exports.clone = clone;
	exports.cloneWithoutLoc = cloneWithoutLoc;
	exports.cloneDeep = cloneDeep;
	exports.buildMatchMemberExpression = buildMatchMemberExpression;
	exports.removeComments = removeComments;
	exports.inheritsComments = inheritsComments;
	exports.inheritTrailingComments = inheritTrailingComments;
	exports.inheritLeadingComments = inheritLeadingComments;
	exports.inheritInnerComments = inheritInnerComments;
	exports.inherits = inherits;
	exports.assertNode = assertNode;
	exports.isNode = isNode;
	exports.traverseFast = traverseFast;
	exports.removeProperties = removeProperties;
	exports.removePropertiesDeep = removePropertiesDeep;

	var _retrievers = __webpack_require__(117);

	Object.defineProperty(exports, "getBindingIdentifiers", {
	  enumerable: true,
	  get: function get() {
	    return _retrievers.getBindingIdentifiers;
	  }
	});
	Object.defineProperty(exports, "getOuterBindingIdentifiers", {
	  enumerable: true,
	  get: function get() {
	    return _retrievers.getOuterBindingIdentifiers;
	  }
	});

	var _validators = __webpack_require__(247);

	Object.defineProperty(exports, "isBinding", {
	  enumerable: true,
	  get: function get() {
	    return _validators.isBinding;
	  }
	});
	Object.defineProperty(exports, "isReferenced", {
	  enumerable: true,
	  get: function get() {
	    return _validators.isReferenced;
	  }
	});
	Object.defineProperty(exports, "isValidIdentifier", {
	  enumerable: true,
	  get: function get() {
	    return _validators.isValidIdentifier;
	  }
	});
	Object.defineProperty(exports, "isLet", {
	  enumerable: true,
	  get: function get() {
	    return _validators.isLet;
	  }
	});
	Object.defineProperty(exports, "isBlockScoped", {
	  enumerable: true,
	  get: function get() {
	    return _validators.isBlockScoped;
	  }
	});
	Object.defineProperty(exports, "isVar", {
	  enumerable: true,
	  get: function get() {
	    return _validators.isVar;
	  }
	});
	Object.defineProperty(exports, "isSpecifierDefault", {
	  enumerable: true,
	  get: function get() {
	    return _validators.isSpecifierDefault;
	  }
	});
	Object.defineProperty(exports, "isScope", {
	  enumerable: true,
	  get: function get() {
	    return _validators.isScope;
	  }
	});
	Object.defineProperty(exports, "isImmutable", {
	  enumerable: true,
	  get: function get() {
	    return _validators.isImmutable;
	  }
	});
	Object.defineProperty(exports, "isNodesEquivalent", {
	  enumerable: true,
	  get: function get() {
	    return _validators.isNodesEquivalent;
	  }
	});

	var _converters = __webpack_require__(237);

	Object.defineProperty(exports, "toComputedKey", {
	  enumerable: true,
	  get: function get() {
	    return _converters.toComputedKey;
	  }
	});
	Object.defineProperty(exports, "toSequenceExpression", {
	  enumerable: true,
	  get: function get() {
	    return _converters.toSequenceExpression;
	  }
	});
	Object.defineProperty(exports, "toKeyAlias", {
	  enumerable: true,
	  get: function get() {
	    return _converters.toKeyAlias;
	  }
	});
	Object.defineProperty(exports, "toIdentifier", {
	  enumerable: true,
	  get: function get() {
	    return _converters.toIdentifier;
	  }
	});
	Object.defineProperty(exports, "toBindingIdentifierName", {
	  enumerable: true,
	  get: function get() {
	    return _converters.toBindingIdentifierName;
	  }
	});
	Object.defineProperty(exports, "toStatement", {
	  enumerable: true,
	  get: function get() {
	    return _converters.toStatement;
	  }
	});
	Object.defineProperty(exports, "toExpression", {
	  enumerable: true,
	  get: function get() {
	    return _converters.toExpression;
	  }
	});
	Object.defineProperty(exports, "toBlock", {
	  enumerable: true,
	  get: function get() {
	    return _converters.toBlock;
	  }
	});
	Object.defineProperty(exports, "valueToNode", {
	  enumerable: true,
	  get: function get() {
	    return _converters.valueToNode;
	  }
	});

	var _flow = __webpack_require__(245);

	Object.defineProperty(exports, "createUnionTypeAnnotation", {
	  enumerable: true,
	  get: function get() {
	    return _flow.createUnionTypeAnnotation;
	  }
	});
	Object.defineProperty(exports, "removeTypeDuplicates", {
	  enumerable: true,
	  get: function get() {
	    return _flow.removeTypeDuplicates;
	  }
	});
	Object.defineProperty(exports, "createTypeAnnotationBasedOnTypeof", {
	  enumerable: true,
	  get: function get() {
	    return _flow.createTypeAnnotationBasedOnTypeof;
	  }
	});

	var _toFastProperties = __webpack_require__(437);

	var _toFastProperties2 = _interopRequireDefault(_toFastProperties);

	var _compact = __webpack_require__(408);

	var _compact2 = _interopRequireDefault(_compact);

	var _clone = __webpack_require__(149);

	var _clone2 = _interopRequireDefault(_clone);

	var _each = __webpack_require__(150);

	var _each2 = _interopRequireDefault(_each);

	var _uniq = __webpack_require__(425);

	var _uniq2 = _interopRequireDefault(_uniq);

	__webpack_require__(242);

	var _definitions = __webpack_require__(19);

	var _react2 = __webpack_require__(246);

	var _react = _interopRequireWildcard(_react2);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var t = exports;

	function registerType(type) {
	  var is = t["is" + type];
	  if (!is) {
	    is = t["is" + type] = function (node, opts) {
	      return t.is(type, node, opts);
	    };
	  }

	  t["assert" + type] = function (node, opts) {
	    opts = opts || {};
	    if (!is(node, opts)) {
	      throw new Error("Expected type " + (0, _stringify2.default)(type) + " with option " + (0, _stringify2.default)(opts));
	    }
	  };
	}

	exports.VISITOR_KEYS = _definitions.VISITOR_KEYS;
	exports.ALIAS_KEYS = _definitions.ALIAS_KEYS;
	exports.NODE_FIELDS = _definitions.NODE_FIELDS;
	exports.BUILDER_KEYS = _definitions.BUILDER_KEYS;
	exports.DEPRECATED_KEYS = _definitions.DEPRECATED_KEYS;
	exports.react = _react;

	for (var type in t.VISITOR_KEYS) {
	  registerType(type);
	}

	t.FLIPPED_ALIAS_KEYS = {};

	(0, _each2.default)(t.ALIAS_KEYS, function (aliases, type) {
	  (0, _each2.default)(aliases, function (alias) {
	    var types = t.FLIPPED_ALIAS_KEYS[alias] = t.FLIPPED_ALIAS_KEYS[alias] || [];
	    types.push(type);
	  });
	});

	(0, _each2.default)(t.FLIPPED_ALIAS_KEYS, function (types, type) {
	  t[type.toUpperCase() + "_TYPES"] = types;
	  registerType(type);
	});

	var TYPES = exports.TYPES = (0, _keys2.default)(t.VISITOR_KEYS).concat((0, _keys2.default)(t.FLIPPED_ALIAS_KEYS)).concat((0, _keys2.default)(t.DEPRECATED_KEYS));

	function is(type, node, opts) {
	  if (!node) return false;

	  var matches = isType(node.type, type);
	  if (!matches) return false;

	  if (typeof opts === "undefined") {
	    return true;
	  } else {
	    return t.shallowEqual(node, opts);
	  }
	}

	function isType(nodeType, targetType) {
	  if (nodeType === targetType) return true;

	  if (t.ALIAS_KEYS[targetType]) return false;

	  var aliases = t.FLIPPED_ALIAS_KEYS[targetType];
	  if (aliases) {
	    if (aliases[0] === nodeType) return true;

	    for (var _iterator = aliases, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	      var _ref;

	      if (_isArray) {
	        if (_i >= _iterator.length) break;
	        _ref = _iterator[_i++];
	      } else {
	        _i = _iterator.next();
	        if (_i.done) break;
	        _ref = _i.value;
	      }

	      var alias = _ref;

	      if (nodeType === alias) return true;
	    }
	  }

	  return false;
	}

	(0, _each2.default)(t.BUILDER_KEYS, function (keys, type) {
	  function builder() {
	    if (arguments.length > keys.length) {
	      throw new Error("t." + type + ": Too many arguments passed. Received " + arguments.length + " but can receive " + ("no more than " + keys.length));
	    }

	    var node = {};
	    node.type = type;

	    var i = 0;

	    for (var _iterator2 = keys, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	      var _ref2;

	      if (_isArray2) {
	        if (_i2 >= _iterator2.length) break;
	        _ref2 = _iterator2[_i2++];
	      } else {
	        _i2 = _iterator2.next();
	        if (_i2.done) break;
	        _ref2 = _i2.value;
	      }

	      var _key = _ref2;

	      var field = t.NODE_FIELDS[type][_key];

	      var arg = arguments[i++];
	      if (arg === undefined) arg = (0, _clone2.default)(field.default);

	      node[_key] = arg;
	    }

	    for (var key in node) {
	      validate(node, key, node[key]);
	    }

	    return node;
	  }

	  t[type] = builder;
	  t[type[0].toLowerCase() + type.slice(1)] = builder;
	});

	var _loop = function _loop(_type) {
	  var newType = t.DEPRECATED_KEYS[_type];

	  function proxy(fn) {
	    return function () {
	      console.trace("The node type " + _type + " has been renamed to " + newType);
	      return fn.apply(this, arguments);
	    };
	  }

	  t[_type] = t[_type[0].toLowerCase() + _type.slice(1)] = proxy(t[newType]);
	  t["is" + _type] = proxy(t["is" + newType]);
	  t["assert" + _type] = proxy(t["assert" + newType]);
	};

	for (var _type in t.DEPRECATED_KEYS) {
	  _loop(_type);
	}

	function validate(node, key, val) {
	  if (!node) return;

	  var fields = t.NODE_FIELDS[node.type];
	  if (!fields) return;

	  var field = fields[key];
	  if (!field || !field.validate) return;
	  if (field.optional && val == null) return;

	  field.validate(node, key, val);
	}

	function shallowEqual(actual, expected) {
	  var keys = (0, _keys2.default)(expected);

	  for (var _iterator3 = keys, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : (0, _getIterator3.default)(_iterator3);;) {
	    var _ref3;

	    if (_isArray3) {
	      if (_i3 >= _iterator3.length) break;
	      _ref3 = _iterator3[_i3++];
	    } else {
	      _i3 = _iterator3.next();
	      if (_i3.done) break;
	      _ref3 = _i3.value;
	    }

	    var key = _ref3;

	    if (actual[key] !== expected[key]) {
	      return false;
	    }
	  }

	  return true;
	}

	function appendToMemberExpression(member, append, computed) {
	  member.object = t.memberExpression(member.object, member.property, member.computed);
	  member.property = append;
	  member.computed = !!computed;
	  return member;
	}

	function prependToMemberExpression(member, prepend) {
	  member.object = t.memberExpression(prepend, member.object);
	  return member;
	}

	function ensureBlock(node) {
	  var key = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "body";

	  return node[key] = t.toBlock(node[key], node);
	}

	function clone(node) {
	  if (!node) return node;
	  var newNode = {};
	  for (var key in node) {
	    if (key[0] === "_") continue;
	    newNode[key] = node[key];
	  }
	  return newNode;
	}

	function cloneWithoutLoc(node) {
	  var newNode = clone(node);
	  delete newNode.loc;
	  return newNode;
	}

	function cloneDeep(node) {
	  if (!node) return node;
	  var newNode = {};

	  for (var key in node) {
	    if (key[0] === "_") continue;

	    var val = node[key];

	    if (val) {
	      if (val.type) {
	        val = t.cloneDeep(val);
	      } else if (Array.isArray(val)) {
	        val = val.map(t.cloneDeep);
	      }
	    }

	    newNode[key] = val;
	  }

	  return newNode;
	}

	function buildMatchMemberExpression(match, allowPartial) {
	  var parts = match.split(".");

	  return function (member) {
	    if (!t.isMemberExpression(member)) return false;

	    var search = [member];
	    var i = 0;

	    while (search.length) {
	      var node = search.shift();

	      if (allowPartial && i === parts.length) {
	        return true;
	      }

	      if (t.isIdentifier(node)) {
	        if (parts[i] !== node.name) return false;
	      } else if (t.isStringLiteral(node)) {
	        if (parts[i] !== node.value) return false;
	      } else if (t.isMemberExpression(node)) {
	        if (node.computed && !t.isStringLiteral(node.property)) {
	          return false;
	        } else {
	          search.push(node.object);
	          search.push(node.property);
	          continue;
	        }
	      } else {
	        return false;
	      }

	      if (++i > parts.length) {
	        return false;
	      }
	    }

	    return true;
	  };
	}

	function removeComments(node) {
	  for (var _iterator4 = t.COMMENT_KEYS, _isArray4 = Array.isArray(_iterator4), _i4 = 0, _iterator4 = _isArray4 ? _iterator4 : (0, _getIterator3.default)(_iterator4);;) {
	    var _ref4;

	    if (_isArray4) {
	      if (_i4 >= _iterator4.length) break;
	      _ref4 = _iterator4[_i4++];
	    } else {
	      _i4 = _iterator4.next();
	      if (_i4.done) break;
	      _ref4 = _i4.value;
	    }

	    var key = _ref4;

	    delete node[key];
	  }
	  return node;
	}

	function inheritsComments(child, parent) {
	  inheritTrailingComments(child, parent);
	  inheritLeadingComments(child, parent);
	  inheritInnerComments(child, parent);
	  return child;
	}

	function inheritTrailingComments(child, parent) {
	  _inheritComments("trailingComments", child, parent);
	}

	function inheritLeadingComments(child, parent) {
	  _inheritComments("leadingComments", child, parent);
	}

	function inheritInnerComments(child, parent) {
	  _inheritComments("innerComments", child, parent);
	}

	function _inheritComments(key, child, parent) {
	  if (child && parent) {
	    child[key] = (0, _uniq2.default)((0, _compact2.default)([].concat(child[key], parent[key])));
	  }
	}

	function inherits(child, parent) {
	  if (!child || !parent) return child;

	  for (var _iterator5 = t.INHERIT_KEYS.optional, _isArray5 = Array.isArray(_iterator5), _i5 = 0, _iterator5 = _isArray5 ? _iterator5 : (0, _getIterator3.default)(_iterator5);;) {
	    var _ref5;

	    if (_isArray5) {
	      if (_i5 >= _iterator5.length) break;
	      _ref5 = _iterator5[_i5++];
	    } else {
	      _i5 = _iterator5.next();
	      if (_i5.done) break;
	      _ref5 = _i5.value;
	    }

	    var _key2 = _ref5;

	    if (child[_key2] == null) {
	      child[_key2] = parent[_key2];
	    }
	  }

	  for (var key in parent) {
	    if (key[0] === "_") child[key] = parent[key];
	  }

	  for (var _iterator6 = t.INHERIT_KEYS.force, _isArray6 = Array.isArray(_iterator6), _i6 = 0, _iterator6 = _isArray6 ? _iterator6 : (0, _getIterator3.default)(_iterator6);;) {
	    var _ref6;

	    if (_isArray6) {
	      if (_i6 >= _iterator6.length) break;
	      _ref6 = _iterator6[_i6++];
	    } else {
	      _i6 = _iterator6.next();
	      if (_i6.done) break;
	      _ref6 = _i6.value;
	    }

	    var _key3 = _ref6;

	    child[_key3] = parent[_key3];
	  }

	  t.inheritsComments(child, parent);

	  return child;
	}

	function assertNode(node) {
	  if (!isNode(node)) {
	    throw new TypeError("Not a valid node " + (node && node.type));
	  }
	}

	function isNode(node) {
	  return !!(node && _definitions.VISITOR_KEYS[node.type]);
	}

	(0, _toFastProperties2.default)(t);
	(0, _toFastProperties2.default)(t.VISITOR_KEYS);

	function traverseFast(node, enter, opts) {
	  if (!node) return;

	  var keys = t.VISITOR_KEYS[node.type];
	  if (!keys) return;

	  opts = opts || {};
	  enter(node, opts);

	  for (var _iterator7 = keys, _isArray7 = Array.isArray(_iterator7), _i7 = 0, _iterator7 = _isArray7 ? _iterator7 : (0, _getIterator3.default)(_iterator7);;) {
	    var _ref7;

	    if (_isArray7) {
	      if (_i7 >= _iterator7.length) break;
	      _ref7 = _iterator7[_i7++];
	    } else {
	      _i7 = _iterator7.next();
	      if (_i7.done) break;
	      _ref7 = _i7.value;
	    }

	    var key = _ref7;

	    var subNode = node[key];

	    if (Array.isArray(subNode)) {
	      for (var _iterator8 = subNode, _isArray8 = Array.isArray(_iterator8), _i8 = 0, _iterator8 = _isArray8 ? _iterator8 : (0, _getIterator3.default)(_iterator8);;) {
	        var _ref8;

	        if (_isArray8) {
	          if (_i8 >= _iterator8.length) break;
	          _ref8 = _iterator8[_i8++];
	        } else {
	          _i8 = _iterator8.next();
	          if (_i8.done) break;
	          _ref8 = _i8.value;
	        }

	        var _node = _ref8;

	        traverseFast(_node, enter, opts);
	      }
	    } else {
	      traverseFast(subNode, enter, opts);
	    }
	  }
	}

	var CLEAR_KEYS = ["tokens", "start", "end", "loc", "raw", "rawValue"];

	var CLEAR_KEYS_PLUS_COMMENTS = t.COMMENT_KEYS.concat(["comments"]).concat(CLEAR_KEYS);

	function removeProperties(node, opts) {
	  opts = opts || {};
	  var map = opts.preserveComments ? CLEAR_KEYS : CLEAR_KEYS_PLUS_COMMENTS;
	  for (var _iterator9 = map, _isArray9 = Array.isArray(_iterator9), _i9 = 0, _iterator9 = _isArray9 ? _iterator9 : (0, _getIterator3.default)(_iterator9);;) {
	    var _ref9;

	    if (_isArray9) {
	      if (_i9 >= _iterator9.length) break;
	      _ref9 = _iterator9[_i9++];
	    } else {
	      _i9 = _iterator9.next();
	      if (_i9.done) break;
	      _ref9 = _i9.value;
	    }

	    var _key4 = _ref9;

	    if (node[_key4] != null) node[_key4] = undefined;
	  }

	  for (var key in node) {
	    if (key[0] === "_" && node[key] != null) node[key] = undefined;
	  }

	  var syms = (0, _getOwnPropertySymbols2.default)(node);
	  for (var _iterator10 = syms, _isArray10 = Array.isArray(_iterator10), _i10 = 0, _iterator10 = _isArray10 ? _iterator10 : (0, _getIterator3.default)(_iterator10);;) {
	    var _ref10;

	    if (_isArray10) {
	      if (_i10 >= _iterator10.length) break;
	      _ref10 = _iterator10[_i10++];
	    } else {
	      _i10 = _iterator10.next();
	      if (_i10.done) break;
	      _ref10 = _i10.value;
	    }

	    var sym = _ref10;

	    node[sym] = null;
	  }
	}

	function removePropertiesDeep(tree, opts) {
	  traverseFast(tree, removeProperties, opts);
	  return tree;
	}

/***/ },
/* 2 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	module.exports = { "default": __webpack_require__(251), __esModule: true };

/***/ },
/* 3 */
/***/ function(module, exports) {

	'use strict';

	var core = module.exports = { version: '2.4.0' };
	if (typeof __e == 'number') __e = core; // eslint-disable-line no-undef

/***/ },
/* 4 */
/***/ function(module, exports) {

	"use strict";

	exports.__esModule = true;

	exports.default = function (instance, Constructor) {
	  if (!(instance instanceof Constructor)) {
	    throw new TypeError("Cannot call a class as a function");
	  }
	};

/***/ },
/* 5 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _symbol = __webpack_require__(10);

	var _symbol2 = _interopRequireDefault(_symbol);

	exports.default = function (code, opts) {
	  var stack = void 0;
	  try {
	    throw new Error();
	  } catch (error) {
	    if (error.stack) {
	      stack = error.stack.split("\n").slice(1).join("\n");
	    }
	  }

	  opts = (0, _assign2.default)({
	    allowReturnOutsideFunction: true,
	    allowSuperOutsideMethod: true,
	    preserveComments: false
	  }, opts);

	  var _getAst = function getAst() {
	    var ast = void 0;

	    try {
	      ast = babylon.parse(code, opts);

	      ast = _babelTraverse2.default.removeProperties(ast, { preserveComments: opts.preserveComments });

	      _babelTraverse2.default.cheap(ast, function (node) {
	        node[FROM_TEMPLATE] = true;
	      });
	    } catch (err) {
	      err.stack = err.stack + "from\n" + stack;
	      throw err;
	    }

	    _getAst = function getAst() {
	      return ast;
	    };

	    return ast;
	  };

	  return function () {
	    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
	      args[_key] = arguments[_key];
	    }

	    return useTemplate(_getAst(), args);
	  };
	};

	var _cloneDeep = __webpack_require__(407);

	var _cloneDeep2 = _interopRequireDefault(_cloneDeep);

	var _assign = __webpack_require__(148);

	var _assign2 = _interopRequireDefault(_assign);

	var _has = __webpack_require__(151);

	var _has2 = _interopRequireDefault(_has);

	var _babelTraverse = __webpack_require__(12);

	var _babelTraverse2 = _interopRequireDefault(_babelTraverse);

	var _babylon = __webpack_require__(118);

	var babylon = _interopRequireWildcard(_babylon);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var FROM_TEMPLATE = "_fromTemplate";
	var TEMPLATE_SKIP = (0, _symbol2.default)();

	function useTemplate(ast, nodes) {
	  ast = (0, _cloneDeep2.default)(ast);
	  var _ast = ast;
	  var program = _ast.program;

	  if (nodes.length) {
	    (0, _babelTraverse2.default)(ast, templateVisitor, null, nodes);
	  }

	  if (program.body.length > 1) {
	    return program.body;
	  } else {
	    return program.body[0];
	  }
	}

	var templateVisitor = {
	  noScope: true,

	  enter: function enter(path, args) {
	    var node = path.node;

	    if (node[TEMPLATE_SKIP]) return path.skip();

	    if (t.isExpressionStatement(node)) {
	      node = node.expression;
	    }

	    var replacement = void 0;

	    if (t.isIdentifier(node) && node[FROM_TEMPLATE]) {
	      if ((0, _has2.default)(args[0], node.name)) {
	        replacement = args[0][node.name];
	      } else if (node.name[0] === "$") {
	        var i = +node.name.slice(1);
	        if (args[i]) replacement = args[i];
	      }
	    }

	    if (replacement === null) {
	      path.remove();
	    }

	    if (replacement) {
	      replacement[TEMPLATE_SKIP] = true;
	      path.replaceInline(replacement);
	    }
	  },
	  exit: function exit(_ref) {
	    var node = _ref.node;

	    if (!node.loc) _babelTraverse2.default.clearNode(node);
	  }
	};
	module.exports = exports["default"];

/***/ },
/* 6 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var store = __webpack_require__(76)('wks'),
	    uid = __webpack_require__(51),
	    _Symbol = __webpack_require__(7).Symbol,
	    USE_SYMBOL = typeof _Symbol == 'function';

	var $exports = module.exports = function (name) {
	  return store[name] || (store[name] = USE_SYMBOL && _Symbol[name] || (USE_SYMBOL ? _Symbol : uid)('Symbol.' + name));
	};

	$exports.store = store;

/***/ },
/* 7 */
/***/ function(module, exports) {

	'use strict';

	// https://github.com/zloirock/core-js/issues/86#issuecomment-115759028
	var global = module.exports = typeof window != 'undefined' && window.Math == Math ? window : typeof self != 'undefined' && self.Math == Math ? self : Function('return this')();
	if (typeof __g == 'number') __g = global; // eslint-disable-line no-undef

/***/ },
/* 8 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	var freeGlobal = __webpack_require__(142);

	/** Detect free variable `self`. */
	var freeSelf = (typeof self === 'undefined' ? 'undefined' : _typeof(self)) == 'object' && self && self.Object === Object && self;

	/** Used as a reference to the global object. */
	var root = freeGlobal || freeSelf || Function('return this')();

	module.exports = root;

/***/ },
/* 9 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	module.exports = { "default": __webpack_require__(255), __esModule: true };

/***/ },
/* 10 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	module.exports = { "default": __webpack_require__(260), __esModule: true };

/***/ },
/* 11 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	var _typeof2 = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	exports.__esModule = true;

	var _iterator = __webpack_require__(215);

	var _iterator2 = _interopRequireDefault(_iterator);

	var _symbol = __webpack_require__(10);

	var _symbol2 = _interopRequireDefault(_symbol);

	var _typeof = typeof _symbol2.default === "function" && _typeof2(_iterator2.default) === "symbol" ? function (obj) {
	  return typeof obj === "undefined" ? "undefined" : _typeof2(obj);
	} : function (obj) {
	  return obj && typeof _symbol2.default === "function" && obj.constructor === _symbol2.default && obj !== _symbol2.default.prototype ? "symbol" : typeof obj === "undefined" ? "undefined" : _typeof2(obj);
	};

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	exports.default = typeof _symbol2.default === "function" && _typeof(_iterator2.default) === "symbol" ? function (obj) {
	  return typeof obj === "undefined" ? "undefined" : _typeof(obj);
	} : function (obj) {
	  return obj && typeof _symbol2.default === "function" && obj.constructor === _symbol2.default && obj !== _symbol2.default.prototype ? "symbol" : typeof obj === "undefined" ? "undefined" : _typeof(obj);
	};

/***/ },
/* 12 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.visitors = exports.Hub = exports.Scope = exports.NodePath = undefined;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	var _path = __webpack_require__(24);

	Object.defineProperty(exports, "NodePath", {
	  enumerable: true,
	  get: function get() {
	    return _interopRequireDefault(_path).default;
	  }
	});

	var _scope = __webpack_require__(63);

	Object.defineProperty(exports, "Scope", {
	  enumerable: true,
	  get: function get() {
	    return _interopRequireDefault(_scope).default;
	  }
	});

	var _hub = __webpack_require__(114);

	Object.defineProperty(exports, "Hub", {
	  enumerable: true,
	  get: function get() {
	    return _interopRequireDefault(_hub).default;
	  }
	});
	exports.default = traverse;

	var _context = __webpack_require__(219);

	var _context2 = _interopRequireDefault(_context);

	var _visitors = __webpack_require__(236);

	var visitors = _interopRequireWildcard(_visitors);

	var _babelMessages = __webpack_require__(42);

	var messages = _interopRequireWildcard(_babelMessages);

	var _includes = __webpack_require__(99);

	var _includes2 = _interopRequireDefault(_includes);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	var _cache = __webpack_require__(43);

	var cache = _interopRequireWildcard(_cache);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	exports.visitors = visitors;
	function traverse(parent, opts, scope, state, parentPath) {
	  if (!parent) return;
	  if (!opts) opts = {};

	  if (!opts.noScope && !scope) {
	    if (parent.type !== "Program" && parent.type !== "File") {
	      throw new Error(messages.get("traverseNeedsParent", parent.type));
	    }
	  }

	  visitors.explode(opts);

	  traverse.node(parent, opts, scope, state, parentPath);
	}

	traverse.visitors = visitors;
	traverse.verify = visitors.verify;
	traverse.explode = visitors.explode;

	traverse.NodePath = __webpack_require__(24);
	traverse.Scope = __webpack_require__(63);
	traverse.Hub = __webpack_require__(114);

	traverse.cheap = function (node, enter) {
	  return t.traverseFast(node, enter);
	};

	traverse.node = function (node, opts, scope, state, parentPath, skipKeys) {
	  var keys = t.VISITOR_KEYS[node.type];
	  if (!keys) return;

	  var context = new _context2.default(scope, opts, state, parentPath);
	  for (var _iterator = keys, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	    var _ref;

	    if (_isArray) {
	      if (_i >= _iterator.length) break;
	      _ref = _iterator[_i++];
	    } else {
	      _i = _iterator.next();
	      if (_i.done) break;
	      _ref = _i.value;
	    }

	    var key = _ref;

	    if (skipKeys && skipKeys[key]) continue;
	    if (context.visit(node, key)) return;
	  }
	};

	traverse.clearNode = function (node, opts) {
	  t.removeProperties(node, opts);

	  cache.path.delete(node);
	};

	traverse.removeProperties = function (tree, opts) {
	  t.traverseFast(tree, traverse.clearNode, opts);
	  return tree;
	};

	function hasBlacklistedType(path, state) {
	  if (path.node.type === state.type) {
	    state.has = true;
	    path.stop();
	  }
	}

	traverse.hasType = function (tree, scope, type, blacklistTypes) {
	  if ((0, _includes2.default)(blacklistTypes, tree.type)) return false;

	  if (tree.type === type) return true;

	  var state = {
	    has: false,
	    type: type
	  };

	  traverse(tree, {
	    blacklist: blacklistTypes,
	    enter: hasBlacklistedType
	  }, scope, state);

	  return state.has;
	};

	traverse.clearCache = function () {
	  cache.clear();
	};

	traverse.clearCache.clearPath = cache.clearPath;
	traverse.clearCache.clearScope = cache.clearScope;

	traverse.copyCache = function (source, destination) {
	  if (cache.path.has(source)) {
	    cache.path.set(destination, cache.path.get(source));
	  }
	};

/***/ },
/* 13 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isObject = __webpack_require__(15);
	module.exports = function (it) {
	  if (!isObject(it)) throw TypeError(it + ' is not an object!');
	  return it;
	};

/***/ },
/* 14 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// Thank's IE8 for his funny defineProperty
	module.exports = !__webpack_require__(25)(function () {
	  return Object.defineProperty({}, 'a', { get: function get() {
	      return 7;
	    } }).a != 7;
	});

/***/ },
/* 15 */
/***/ function(module, exports) {

	'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	module.exports = function (it) {
	  return (typeof it === 'undefined' ? 'undefined' : _typeof(it)) === 'object' ? it !== null : typeof it === 'function';
	};

/***/ },
/* 16 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var anObject = __webpack_require__(13),
	    IE8_DOM_DEFINE = __webpack_require__(122),
	    toPrimitive = __webpack_require__(79),
	    dP = Object.defineProperty;

	exports.f = __webpack_require__(14) ? Object.defineProperty : function defineProperty(O, P, Attributes) {
	  anObject(O);
	  P = toPrimitive(P, true);
	  anObject(Attributes);
	  if (IE8_DOM_DEFINE) try {
	    return dP(O, P, Attributes);
	  } catch (e) {/* empty */}
	  if ('get' in Attributes || 'set' in Attributes) throw TypeError('Accessors not supported!');
	  if ('value' in Attributes) O[P] = Attributes.value;
	  return O;
	};

/***/ },
/* 17 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _Symbol = __webpack_require__(54),
	    getRawTag = __webpack_require__(362),
	    objectToString = __webpack_require__(391);

	/** `Object#toString` result references. */
	var nullTag = '[object Null]',
	    undefinedTag = '[object Undefined]';

	/** Built-in value references. */
	var symToStringTag = _Symbol ? _Symbol.toStringTag : undefined;

	/**
	 * The base implementation of `getTag` without fallbacks for buggy environments.
	 *
	 * @private
	 * @param {*} value The value to query.
	 * @returns {string} Returns the `toStringTag`.
	 */
	function baseGetTag(value) {
	    if (value == null) {
	        return value === undefined ? undefinedTag : nullTag;
	    }
	    return symToStringTag && symToStringTag in Object(value) ? getRawTag(value) : objectToString(value);
	}

	module.exports = baseGetTag;

/***/ },
/* 18 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Checks if `value` is classified as an `Array` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an array, else `false`.
	 * @example
	 *
	 * _.isArray([1, 2, 3]);
	 * // => true
	 *
	 * _.isArray(document.body.children);
	 * // => false
	 *
	 * _.isArray('abc');
	 * // => false
	 *
	 * _.isArray(_.noop);
	 * // => false
	 */
	var isArray = Array.isArray;

	module.exports = isArray;

/***/ },
/* 19 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.DEPRECATED_KEYS = exports.BUILDER_KEYS = exports.NODE_FIELDS = exports.ALIAS_KEYS = exports.VISITOR_KEYS = undefined;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	var _stringify = __webpack_require__(37);

	var _stringify2 = _interopRequireDefault(_stringify);

	var _typeof2 = __webpack_require__(11);

	var _typeof3 = _interopRequireDefault(_typeof2);

	exports.assertEach = assertEach;
	exports.assertOneOf = assertOneOf;
	exports.assertNodeType = assertNodeType;
	exports.assertNodeOrValueType = assertNodeOrValueType;
	exports.assertValueType = assertValueType;
	exports.chain = chain;
	exports.default = defineType;

	var _index = __webpack_require__(1);

	var t = _interopRequireWildcard(_index);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var VISITOR_KEYS = exports.VISITOR_KEYS = {};
	var ALIAS_KEYS = exports.ALIAS_KEYS = {};
	var NODE_FIELDS = exports.NODE_FIELDS = {};
	var BUILDER_KEYS = exports.BUILDER_KEYS = {};
	var DEPRECATED_KEYS = exports.DEPRECATED_KEYS = {};

	function getType(val) {
	  if (Array.isArray(val)) {
	    return "array";
	  } else if (val === null) {
	    return "null";
	  } else if (val === undefined) {
	    return "undefined";
	  } else {
	    return typeof val === "undefined" ? "undefined" : (0, _typeof3.default)(val);
	  }
	}

	function assertEach(callback) {
	  function validator(node, key, val) {
	    if (!Array.isArray(val)) return;

	    for (var i = 0; i < val.length; i++) {
	      callback(node, key + "[" + i + "]", val[i]);
	    }
	  }
	  validator.each = callback;
	  return validator;
	}

	function assertOneOf() {
	  for (var _len = arguments.length, vals = Array(_len), _key = 0; _key < _len; _key++) {
	    vals[_key] = arguments[_key];
	  }

	  function validate(node, key, val) {
	    if (vals.indexOf(val) < 0) {
	      throw new TypeError("Property " + key + " expected value to be one of " + (0, _stringify2.default)(vals) + " but got " + (0, _stringify2.default)(val));
	    }
	  }

	  validate.oneOf = vals;

	  return validate;
	}

	function assertNodeType() {
	  for (var _len2 = arguments.length, types = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
	    types[_key2] = arguments[_key2];
	  }

	  function validate(node, key, val) {
	    var valid = false;

	    for (var _iterator = types, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	      var _ref;

	      if (_isArray) {
	        if (_i >= _iterator.length) break;
	        _ref = _iterator[_i++];
	      } else {
	        _i = _iterator.next();
	        if (_i.done) break;
	        _ref = _i.value;
	      }

	      var type = _ref;

	      if (t.is(type, val)) {
	        valid = true;
	        break;
	      }
	    }

	    if (!valid) {
	      throw new TypeError("Property " + key + " of " + node.type + " expected node to be of a type " + (0, _stringify2.default)(types) + " " + ("but instead got " + (0, _stringify2.default)(val && val.type)));
	    }
	  }

	  validate.oneOfNodeTypes = types;

	  return validate;
	}

	function assertNodeOrValueType() {
	  for (var _len3 = arguments.length, types = Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
	    types[_key3] = arguments[_key3];
	  }

	  function validate(node, key, val) {
	    var valid = false;

	    for (var _iterator2 = types, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	      var _ref2;

	      if (_isArray2) {
	        if (_i2 >= _iterator2.length) break;
	        _ref2 = _iterator2[_i2++];
	      } else {
	        _i2 = _iterator2.next();
	        if (_i2.done) break;
	        _ref2 = _i2.value;
	      }

	      var type = _ref2;

	      if (getType(val) === type || t.is(type, val)) {
	        valid = true;
	        break;
	      }
	    }

	    if (!valid) {
	      throw new TypeError("Property " + key + " of " + node.type + " expected node to be of a type " + (0, _stringify2.default)(types) + " " + ("but instead got " + (0, _stringify2.default)(val && val.type)));
	    }
	  }

	  validate.oneOfNodeOrValueTypes = types;

	  return validate;
	}

	function assertValueType(type) {
	  function validate(node, key, val) {
	    var valid = getType(val) === type;

	    if (!valid) {
	      throw new TypeError("Property " + key + " expected type of " + type + " but got " + getType(val));
	    }
	  }

	  validate.type = type;

	  return validate;
	}

	function chain() {
	  for (var _len4 = arguments.length, fns = Array(_len4), _key4 = 0; _key4 < _len4; _key4++) {
	    fns[_key4] = arguments[_key4];
	  }

	  function validate() {
	    for (var _iterator3 = fns, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : (0, _getIterator3.default)(_iterator3);;) {
	      var _ref3;

	      if (_isArray3) {
	        if (_i3 >= _iterator3.length) break;
	        _ref3 = _iterator3[_i3++];
	      } else {
	        _i3 = _iterator3.next();
	        if (_i3.done) break;
	        _ref3 = _i3.value;
	      }

	      var fn = _ref3;

	      fn.apply(undefined, arguments);
	    }
	  }
	  validate.chainOf = fns;
	  return validate;
	}

	function defineType(type) {
	  var opts = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

	  var inherits = opts.inherits && store[opts.inherits] || {};

	  opts.fields = opts.fields || inherits.fields || {};
	  opts.visitor = opts.visitor || inherits.visitor || [];
	  opts.aliases = opts.aliases || inherits.aliases || [];
	  opts.builder = opts.builder || inherits.builder || opts.visitor || [];

	  if (opts.deprecatedAlias) {
	    DEPRECATED_KEYS[opts.deprecatedAlias] = type;
	  }

	  for (var _iterator4 = opts.visitor.concat(opts.builder), _isArray4 = Array.isArray(_iterator4), _i4 = 0, _iterator4 = _isArray4 ? _iterator4 : (0, _getIterator3.default)(_iterator4);;) {
	    var _ref4;

	    if (_isArray4) {
	      if (_i4 >= _iterator4.length) break;
	      _ref4 = _iterator4[_i4++];
	    } else {
	      _i4 = _iterator4.next();
	      if (_i4.done) break;
	      _ref4 = _i4.value;
	    }

	    var _key5 = _ref4;

	    opts.fields[_key5] = opts.fields[_key5] || {};
	  }

	  for (var key in opts.fields) {
	    var field = opts.fields[key];

	    if (opts.builder.indexOf(key) === -1) {
	      field.optional = true;
	    }
	    if (field.default === undefined) {
	      field.default = null;
	    } else if (!field.validate) {
	      field.validate = assertValueType(getType(field.default));
	    }
	  }

	  VISITOR_KEYS[type] = opts.visitor;
	  BUILDER_KEYS[type] = opts.builder;
	  NODE_FIELDS[type] = opts.fields;
	  ALIAS_KEYS[type] = opts.aliases;

	  store[type] = opts;
	}

	var store = {};

/***/ },
/* 20 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var global = __webpack_require__(7),
	    core = __webpack_require__(3),
	    ctx = __webpack_require__(38),
	    hide = __webpack_require__(22),
	    PROTOTYPE = 'prototype';

	var $export = function $export(type, name, source) {
	  var IS_FORCED = type & $export.F,
	      IS_GLOBAL = type & $export.G,
	      IS_STATIC = type & $export.S,
	      IS_PROTO = type & $export.P,
	      IS_BIND = type & $export.B,
	      IS_WRAP = type & $export.W,
	      exports = IS_GLOBAL ? core : core[name] || (core[name] = {}),
	      expProto = exports[PROTOTYPE],
	      target = IS_GLOBAL ? global : IS_STATIC ? global[name] : (global[name] || {})[PROTOTYPE],
	      key,
	      own,
	      out;
	  if (IS_GLOBAL) source = name;
	  for (key in source) {
	    // contains in native
	    own = !IS_FORCED && target && target[key] !== undefined;
	    if (own && key in exports) continue;
	    // export native or passed
	    out = own ? target[key] : source[key];
	    // prevent global pollution for namespaces
	    exports[key] = IS_GLOBAL && typeof target[key] != 'function' ? source[key]
	    // bind timers to global for call from export context
	    : IS_BIND && own ? ctx(out, global)
	    // wrap global constructors for prevent change them in library
	    : IS_WRAP && target[key] == out ? function (C) {
	      var F = function F(a, b, c) {
	        if (this instanceof C) {
	          switch (arguments.length) {
	            case 0:
	              return new C();
	            case 1:
	              return new C(a);
	            case 2:
	              return new C(a, b);
	          }return new C(a, b, c);
	        }return C.apply(this, arguments);
	      };
	      F[PROTOTYPE] = C[PROTOTYPE];
	      return F;
	      // make static versions for prototype methods
	    }(out) : IS_PROTO && typeof out == 'function' ? ctx(Function.call, out) : out;
	    // export proto methods to core.%CONSTRUCTOR%.methods.%NAME%
	    if (IS_PROTO) {
	      (exports.virtual || (exports.virtual = {}))[key] = out;
	      // export proto methods to core.%CONSTRUCTOR%.prototype.%NAME%
	      if (type & $export.R && expProto && !expProto[key]) hide(expProto, key, out);
	    }
	  }
	};
	// type bitmap
	$export.F = 1; // forced
	$export.G = 2; // global
	$export.S = 4; // static
	$export.P = 8; // proto
	$export.B = 16; // bind
	$export.W = 32; // wrap
	$export.U = 64; // safe
	$export.R = 128; // real proto method for `library` 
	module.exports = $export;

/***/ },
/* 21 */
/***/ function(module, exports) {

	"use strict";

	var hasOwnProperty = {}.hasOwnProperty;
	module.exports = function (it, key) {
	  return hasOwnProperty.call(it, key);
	};

/***/ },
/* 22 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var dP = __webpack_require__(16),
	    createDesc = __webpack_require__(48);
	module.exports = __webpack_require__(14) ? function (object, key, value) {
	  return dP.f(object, key, createDesc(1, value));
	} : function (object, key, value) {
	  object[key] = value;
	  return object;
	};

/***/ },
/* 23 */
/***/ function(module, exports) {

	'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	/**
	 * Checks if `value` is object-like. A value is object-like if it's not `null`
	 * and has a `typeof` result of "object".
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
	 * @example
	 *
	 * _.isObjectLike({});
	 * // => true
	 *
	 * _.isObjectLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isObjectLike(_.noop);
	 * // => false
	 *
	 * _.isObjectLike(null);
	 * // => false
	 */
	function isObjectLike(value) {
	  return value != null && (typeof value === 'undefined' ? 'undefined' : _typeof(value)) == 'object';
	}

	module.exports = isObjectLike;

/***/ },
/* 24 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	var _classCallCheck2 = __webpack_require__(4);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	var _virtualTypes = __webpack_require__(115);

	var virtualTypes = _interopRequireWildcard(_virtualTypes);

	var _debug2 = __webpack_require__(299);

	var _debug3 = _interopRequireDefault(_debug2);

	var _invariant = __webpack_require__(306);

	var _invariant2 = _interopRequireDefault(_invariant);

	var _index = __webpack_require__(12);

	var _index2 = _interopRequireDefault(_index);

	var _assign = __webpack_require__(148);

	var _assign2 = _interopRequireDefault(_assign);

	var _scope = __webpack_require__(63);

	var _scope2 = _interopRequireDefault(_scope);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	var _cache = __webpack_require__(43);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var _debug = (0, _debug3.default)("babel");

	var NodePath = function () {
	  function NodePath(hub, parent) {
	    (0, _classCallCheck3.default)(this, NodePath);

	    this.parent = parent;
	    this.hub = hub;
	    this.contexts = [];
	    this.data = {};
	    this.shouldSkip = false;
	    this.shouldStop = false;
	    this.removed = false;
	    this.state = null;
	    this.opts = null;
	    this.skipKeys = null;
	    this.parentPath = null;
	    this.context = null;
	    this.container = null;
	    this.listKey = null;
	    this.inList = false;
	    this.parentKey = null;
	    this.key = null;
	    this.node = null;
	    this.scope = null;
	    this.type = null;
	    this.typeAnnotation = null;
	  }

	  NodePath.get = function get(_ref) {
	    var hub = _ref.hub,
	        parentPath = _ref.parentPath,
	        parent = _ref.parent,
	        container = _ref.container,
	        listKey = _ref.listKey,
	        key = _ref.key;

	    if (!hub && parentPath) {
	      hub = parentPath.hub;
	    }

	    (0, _invariant2.default)(parent, "To get a node path the parent needs to exist");

	    var targetNode = container[key];

	    var paths = _cache.path.get(parent) || [];
	    if (!_cache.path.has(parent)) {
	      _cache.path.set(parent, paths);
	    }

	    var path = void 0;

	    for (var i = 0; i < paths.length; i++) {
	      var pathCheck = paths[i];
	      if (pathCheck.node === targetNode) {
	        path = pathCheck;
	        break;
	      }
	    }

	    if (!path) {
	      path = new NodePath(hub, parent);
	      paths.push(path);
	    }

	    path.setup(parentPath, container, listKey, key);

	    return path;
	  };

	  NodePath.prototype.getScope = function getScope(scope) {
	    var ourScope = scope;

	    if (this.isScope()) {
	      ourScope = new _scope2.default(this, scope);
	    }

	    return ourScope;
	  };

	  NodePath.prototype.setData = function setData(key, val) {
	    return this.data[key] = val;
	  };

	  NodePath.prototype.getData = function getData(key, def) {
	    var val = this.data[key];
	    if (!val && def) val = this.data[key] = def;
	    return val;
	  };

	  NodePath.prototype.buildCodeFrameError = function buildCodeFrameError(msg) {
	    var Error = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : SyntaxError;

	    return this.hub.file.buildCodeFrameError(this.node, msg, Error);
	  };

	  NodePath.prototype.traverse = function traverse(visitor, state) {
	    (0, _index2.default)(this.node, visitor, this.scope, state, this);
	  };

	  NodePath.prototype.mark = function mark(type, message) {
	    this.hub.file.metadata.marked.push({
	      type: type,
	      message: message,
	      loc: this.node.loc
	    });
	  };

	  NodePath.prototype.set = function set(key, node) {
	    t.validate(this.node, key, node);
	    this.node[key] = node;
	  };

	  NodePath.prototype.getPathLocation = function getPathLocation() {
	    var parts = [];
	    var path = this;
	    do {
	      var key = path.key;
	      if (path.inList) key = path.listKey + "[" + key + "]";
	      parts.unshift(key);
	    } while (path = path.parentPath);
	    return parts.join(".");
	  };

	  NodePath.prototype.debug = function debug(buildMessage) {
	    if (!_debug.enabled) return;
	    _debug(this.getPathLocation() + " " + this.type + ": " + buildMessage());
	  };

	  return NodePath;
	}();

	exports.default = NodePath;

	(0, _assign2.default)(NodePath.prototype, __webpack_require__(220));
	(0, _assign2.default)(NodePath.prototype, __webpack_require__(226));
	(0, _assign2.default)(NodePath.prototype, __webpack_require__(234));
	(0, _assign2.default)(NodePath.prototype, __webpack_require__(224));
	(0, _assign2.default)(NodePath.prototype, __webpack_require__(223));
	(0, _assign2.default)(NodePath.prototype, __webpack_require__(229));
	(0, _assign2.default)(NodePath.prototype, __webpack_require__(222));
	(0, _assign2.default)(NodePath.prototype, __webpack_require__(233));
	(0, _assign2.default)(NodePath.prototype, __webpack_require__(232));
	(0, _assign2.default)(NodePath.prototype, __webpack_require__(225));
	(0, _assign2.default)(NodePath.prototype, __webpack_require__(221));

	var _loop2 = function _loop2() {
	  if (_isArray) {
	    if (_i >= _iterator.length) return "break";
	    _ref2 = _iterator[_i++];
	  } else {
	    _i = _iterator.next();
	    if (_i.done) return "break";
	    _ref2 = _i.value;
	  }

	  var type = _ref2;

	  var typeKey = "is" + type;
	  NodePath.prototype[typeKey] = function (opts) {
	    return t[typeKey](this.node, opts);
	  };

	  NodePath.prototype["assert" + type] = function (opts) {
	    if (!this[typeKey](opts)) {
	      throw new TypeError("Expected node path of type " + type);
	    }
	  };
	};

	for (var _iterator = t.TYPES, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	  var _ref2;

	  var _ret2 = _loop2();

	  if (_ret2 === "break") break;
	}

	var _loop = function _loop(type) {
	  if (type[0] === "_") return "continue";
	  if (t.TYPES.indexOf(type) < 0) t.TYPES.push(type);

	  var virtualType = virtualTypes[type];

	  NodePath.prototype["is" + type] = function (opts) {
	    return virtualType.checkPath(this, opts);
	  };
	};

	for (var type in virtualTypes) {
	  var _ret = _loop(type);

	  if (_ret === "continue") continue;
	}
	module.exports = exports["default"];

/***/ },
/* 25 */
/***/ function(module, exports) {

	"use strict";

	module.exports = function (exec) {
	  try {
	    return !!exec();
	  } catch (e) {
	    return true;
	  }
	};

/***/ },
/* 26 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// to indexed object, toObject with fallback for non-array-like ES3 strings
	var IObject = __webpack_require__(69),
	    defined = __webpack_require__(44);
	module.exports = function (it) {
	  return IObject(defined(it));
	};

/***/ },
/* 27 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var assignValue = __webpack_require__(88),
	    baseAssignValue = __webpack_require__(137);

	/**
	 * Copies properties of `source` to `object`.
	 *
	 * @private
	 * @param {Object} source The object to copy properties from.
	 * @param {Array} props The property identifiers to copy.
	 * @param {Object} [object={}] The object to copy properties to.
	 * @param {Function} [customizer] The function to customize copied values.
	 * @returns {Object} Returns `object`.
	 */
	function copyObject(source, props, object, customizer) {
	  var isNew = !object;
	  object || (object = {});

	  var index = -1,
	      length = props.length;

	  while (++index < length) {
	    var key = props[index];

	    var newValue = customizer ? customizer(object[key], source[key], key, object, source) : undefined;

	    if (newValue === undefined) {
	      newValue = source[key];
	    }
	    if (isNew) {
	      baseAssignValue(object, key, newValue);
	    } else {
	      assignValue(object, key, newValue);
	    }
	  }
	  return object;
	}

	module.exports = copyObject;

/***/ },
/* 28 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseIsNative = __webpack_require__(331),
	    getValue = __webpack_require__(364);

	/**
	 * Gets the native function at `key` of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @param {string} key The key of the method to get.
	 * @returns {*} Returns the function if it's native, else `undefined`.
	 */
	function getNative(object, key) {
	  var value = getValue(object, key);
	  return baseIsNative(value) ? value : undefined;
	}

	module.exports = getNative;

/***/ },
/* 29 */
/***/ function(module, exports) {

	'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	/**
	 * Checks if `value` is the
	 * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
	 * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(_.noop);
	 * // => true
	 *
	 * _.isObject(null);
	 * // => false
	 */
	function isObject(value) {
	  var type = typeof value === 'undefined' ? 'undefined' : _typeof(value);
	  return value != null && (type == 'object' || type == 'function');
	}

	module.exports = isObject;

/***/ },
/* 30 */
/***/ function(module, exports) {

	'use strict';

	// shim for using process in browser
	var process = module.exports = {};

	// cached from whatever global is present so that test runners that stub it
	// don't break things.  But we need to wrap it in a try catch in case it is
	// wrapped in strict mode code which doesn't define any globals.  It's inside a
	// function because try/catches deoptimize in certain engines.

	var cachedSetTimeout;
	var cachedClearTimeout;

	function defaultSetTimout() {
	    throw new Error('setTimeout has not been defined');
	}
	function defaultClearTimeout() {
	    throw new Error('clearTimeout has not been defined');
	}
	(function () {
	    try {
	        if (typeof setTimeout === 'function') {
	            cachedSetTimeout = setTimeout;
	        } else {
	            cachedSetTimeout = defaultSetTimout;
	        }
	    } catch (e) {
	        cachedSetTimeout = defaultSetTimout;
	    }
	    try {
	        if (typeof clearTimeout === 'function') {
	            cachedClearTimeout = clearTimeout;
	        } else {
	            cachedClearTimeout = defaultClearTimeout;
	        }
	    } catch (e) {
	        cachedClearTimeout = defaultClearTimeout;
	    }
	})();
	function runTimeout(fun) {
	    if (cachedSetTimeout === setTimeout) {
	        //normal enviroments in sane situations
	        return setTimeout(fun, 0);
	    }
	    // if setTimeout wasn't available but was latter defined
	    if ((cachedSetTimeout === defaultSetTimout || !cachedSetTimeout) && setTimeout) {
	        cachedSetTimeout = setTimeout;
	        return setTimeout(fun, 0);
	    }
	    try {
	        // when when somebody has screwed with setTimeout but no I.E. maddness
	        return cachedSetTimeout(fun, 0);
	    } catch (e) {
	        try {
	            // When we are in I.E. but the script has been evaled so I.E. doesn't trust the global object when called normally
	            return cachedSetTimeout.call(null, fun, 0);
	        } catch (e) {
	            // same as above but when it's a version of I.E. that must have the global object for 'this', hopfully our context correct otherwise it will throw a global error
	            return cachedSetTimeout.call(this, fun, 0);
	        }
	    }
	}
	function runClearTimeout(marker) {
	    if (cachedClearTimeout === clearTimeout) {
	        //normal enviroments in sane situations
	        return clearTimeout(marker);
	    }
	    // if clearTimeout wasn't available but was latter defined
	    if ((cachedClearTimeout === defaultClearTimeout || !cachedClearTimeout) && clearTimeout) {
	        cachedClearTimeout = clearTimeout;
	        return clearTimeout(marker);
	    }
	    try {
	        // when when somebody has screwed with setTimeout but no I.E. maddness
	        return cachedClearTimeout(marker);
	    } catch (e) {
	        try {
	            // When we are in I.E. but the script has been evaled so I.E. doesn't  trust the global object when called normally
	            return cachedClearTimeout.call(null, marker);
	        } catch (e) {
	            // same as above but when it's a version of I.E. that must have the global object for 'this', hopfully our context correct otherwise it will throw a global error.
	            // Some versions of I.E. have different rules for clearTimeout vs setTimeout
	            return cachedClearTimeout.call(this, marker);
	        }
	    }
	}
	var queue = [];
	var draining = false;
	var currentQueue;
	var queueIndex = -1;

	function cleanUpNextTick() {
	    if (!draining || !currentQueue) {
	        return;
	    }
	    draining = false;
	    if (currentQueue.length) {
	        queue = currentQueue.concat(queue);
	    } else {
	        queueIndex = -1;
	    }
	    if (queue.length) {
	        drainQueue();
	    }
	}

	function drainQueue() {
	    if (draining) {
	        return;
	    }
	    var timeout = runTimeout(cleanUpNextTick);
	    draining = true;

	    var len = queue.length;
	    while (len) {
	        currentQueue = queue;
	        queue = [];
	        while (++queueIndex < len) {
	            if (currentQueue) {
	                currentQueue[queueIndex].run();
	            }
	        }
	        queueIndex = -1;
	        len = queue.length;
	    }
	    currentQueue = null;
	    draining = false;
	    runClearTimeout(timeout);
	}

	process.nextTick = function (fun) {
	    var args = new Array(arguments.length - 1);
	    if (arguments.length > 1) {
	        for (var i = 1; i < arguments.length; i++) {
	            args[i - 1] = arguments[i];
	        }
	    }
	    queue.push(new Item(fun, args));
	    if (queue.length === 1 && !draining) {
	        runTimeout(drainQueue);
	    }
	};

	// v8 likes predictible objects
	function Item(fun, array) {
	    this.fun = fun;
	    this.array = array;
	}
	Item.prototype.run = function () {
	    this.fun.apply(null, this.array);
	};
	process.title = 'browser';
	process.browser = true;
	process.env = {};
	process.argv = [];
	process.version = ''; // empty string to avoid regexp issues
	process.versions = {};

	function noop() {}

	process.on = noop;
	process.addListener = noop;
	process.once = noop;
	process.off = noop;
	process.removeListener = noop;
	process.removeAllListeners = noop;
	process.emit = noop;

	process.binding = function (name) {
	    throw new Error('process.binding is not supported');
	};

	process.cwd = function () {
	    return '/';
	};
	process.chdir = function (dir) {
	    throw new Error('process.chdir is not supported');
	};
	process.umask = function () {
	    return 0;
	};

/***/ },
/* 31 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	module.exports = { "default": __webpack_require__(257), __esModule: true };

/***/ },
/* 32 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// 19.1.2.14 / 15.2.3.14 Object.keys(O)
	var $keys = __webpack_require__(127),
	    enumBugKeys = __webpack_require__(68);

	module.exports = Object.keys || function keys(O) {
	  return $keys(O, enumBugKeys);
	};

/***/ },
/* 33 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isFunction = __webpack_require__(154),
	    isLength = __webpack_require__(100);

	/**
	 * Checks if `value` is array-like. A value is considered array-like if it's
	 * not a function and has a `value.length` that's an integer greater than or
	 * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
	 * @example
	 *
	 * _.isArrayLike([1, 2, 3]);
	 * // => true
	 *
	 * _.isArrayLike(document.body.children);
	 * // => true
	 *
	 * _.isArrayLike('abc');
	 * // => true
	 *
	 * _.isArrayLike(_.noop);
	 * // => false
	 */
	function isArrayLike(value) {
	  return value != null && isLength(value.length) && !isFunction(value);
	}

	module.exports = isArrayLike;

/***/ },
/* 34 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var arrayLikeKeys = __webpack_require__(134),
	    baseKeys = __webpack_require__(334),
	    isArrayLike = __webpack_require__(33);

	/**
	 * Creates an array of the own enumerable property names of `object`.
	 *
	 * **Note:** Non-object values are coerced to objects. See the
	 * [ES spec](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
	 * for more details.
	 *
	 * @static
	 * @since 0.1.0
	 * @memberOf _
	 * @category Object
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 * @example
	 *
	 * function Foo() {
	 *   this.a = 1;
	 *   this.b = 2;
	 * }
	 *
	 * Foo.prototype.c = 3;
	 *
	 * _.keys(new Foo);
	 * // => ['a', 'b'] (iteration order is not guaranteed)
	 *
	 * _.keys('hi');
	 * // => ['0', '1']
	 */
	function keys(object) {
	  return isArrayLike(object) ? arrayLikeKeys(object) : baseKeys(object);
	}

	module.exports = keys;

/***/ },
/* 35 */
/***/ function(module, exports) {

	"use strict";

	module.exports = function (module) {
		if (!module.webpackPolyfill) {
			module.deprecate = function () {};
			module.paths = [];
			// module.parent = undefined by default
			module.children = [];
			module.webpackPolyfill = 1;
		}
		return module;
	};

/***/ },
/* 36 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	exports.default = function (_ref) {
	  var node = _ref.node;
	  var parent = _ref.parent;
	  var scope = _ref.scope;
	  var id = _ref.id;

	  if (node.id) return;

	  if ((t.isObjectProperty(parent) || t.isObjectMethod(parent, { kind: "method" })) && (!parent.computed || t.isLiteral(parent.key))) {
	    id = parent.key;
	  } else if (t.isVariableDeclarator(parent)) {
	    id = parent.id;

	    if (t.isIdentifier(id)) {
	      var binding = scope.parent.getBinding(id.name);
	      if (binding && binding.constant && scope.getBinding(id.name) === binding) {
	        node.id = id;
	        node.id[t.NOT_LOCAL_BINDING] = true;
	        return;
	      }
	    }
	  } else if (t.isAssignmentExpression(parent)) {
	    id = parent.left;
	  } else if (!id) {
	    return;
	  }

	  var name = void 0;
	  if (id && t.isLiteral(id)) {
	    name = id.value;
	  } else if (id && t.isIdentifier(id)) {
	    name = id.name;
	  } else {
	    return;
	  }

	  name = t.toBindingIdentifierName(name);
	  id = t.identifier(name);

	  id[t.NOT_LOCAL_BINDING] = true;

	  var state = visit(node, name, scope);
	  return wrap(state, node, id, scope) || node;
	};

	var _babelHelperGetFunctionArity = __webpack_require__(104);

	var _babelHelperGetFunctionArity2 = _interopRequireDefault(_babelHelperGetFunctionArity);

	var _babelTemplate = __webpack_require__(5);

	var _babelTemplate2 = _interopRequireDefault(_babelTemplate);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var buildPropertyMethodAssignmentWrapper = (0, _babelTemplate2.default)("\n  (function (FUNCTION_KEY) {\n    function FUNCTION_ID() {\n      return FUNCTION_KEY.apply(this, arguments);\n    }\n\n    FUNCTION_ID.toString = function () {\n      return FUNCTION_KEY.toString();\n    }\n\n    return FUNCTION_ID;\n  })(FUNCTION)\n");

	var buildGeneratorPropertyMethodAssignmentWrapper = (0, _babelTemplate2.default)("\n  (function (FUNCTION_KEY) {\n    function* FUNCTION_ID() {\n      return yield* FUNCTION_KEY.apply(this, arguments);\n    }\n\n    FUNCTION_ID.toString = function () {\n      return FUNCTION_KEY.toString();\n    };\n\n    return FUNCTION_ID;\n  })(FUNCTION)\n");

	var visitor = {
	  "ReferencedIdentifier|BindingIdentifier": function ReferencedIdentifierBindingIdentifier(path, state) {
	    if (path.node.name !== state.name) return;

	    var localDeclar = path.scope.getBindingIdentifier(state.name);
	    if (localDeclar !== state.outerDeclar) return;

	    state.selfReference = true;
	    path.stop();
	  }
	};

	function wrap(state, method, id, scope) {
	  if (state.selfReference) {
	    if (scope.hasBinding(id.name) && !scope.hasGlobal(id.name)) {
	      scope.rename(id.name);
	    } else {
	      if (!t.isFunction(method)) return;

	      var build = buildPropertyMethodAssignmentWrapper;
	      if (method.generator) build = buildGeneratorPropertyMethodAssignmentWrapper;
	      var _template = build({
	        FUNCTION: method,
	        FUNCTION_ID: id,
	        FUNCTION_KEY: scope.generateUidIdentifier(id.name)
	      }).expression;
	      _template.callee._skipModulesRemap = true;

	      var params = _template.callee.body.body[0].params;
	      for (var i = 0, len = (0, _babelHelperGetFunctionArity2.default)(method); i < len; i++) {
	        params.push(scope.generateUidIdentifier("x"));
	      }

	      return _template;
	    }
	  }

	  method.id = id;
	  scope.getProgramParent().references[id.name] = true;
	}

	function visit(node, name, scope) {
	  var state = {
	    selfAssignment: false,
	    selfReference: false,
	    outerDeclar: scope.getBindingIdentifier(name),
	    references: [],
	    name: name
	  };

	  var binding = scope.getOwnBinding(name);

	  if (binding) {
	    if (binding.kind === "param") {
	      state.selfReference = true;
	    } else {}
	  } else if (state.outerDeclar || scope.hasGlobal(name)) {
	    scope.traverse(node, visitor, state);
	  }

	  return state;
	}

	module.exports = exports["default"];

/***/ },
/* 37 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	module.exports = { "default": __webpack_require__(252), __esModule: true };

/***/ },
/* 38 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// optional / simple context binding
	var aFunction = __webpack_require__(263);
	module.exports = function (fn, that, length) {
	  aFunction(fn);
	  if (that === undefined) return fn;
	  switch (length) {
	    case 1:
	      return function (a) {
	        return fn.call(that, a);
	      };
	    case 2:
	      return function (a, b) {
	        return fn.call(that, a, b);
	      };
	    case 3:
	      return function (a, b, c) {
	        return fn.call(that, a, b, c);
	      };
	  }
	  return function () /* ...args */{
	    return fn.apply(that, arguments);
	  };
	};

/***/ },
/* 39 */
/***/ function(module, exports) {

	"use strict";

	module.exports = {};

/***/ },
/* 40 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	var META = __webpack_require__(51)('meta'),
	    isObject = __webpack_require__(15),
	    has = __webpack_require__(21),
	    setDesc = __webpack_require__(16).f,
	    id = 0;
	var isExtensible = Object.isExtensible || function () {
	  return true;
	};
	var FREEZE = !__webpack_require__(25)(function () {
	  return isExtensible(Object.preventExtensions({}));
	});
	var setMeta = function setMeta(it) {
	  setDesc(it, META, { value: {
	      i: 'O' + ++id, // object ID
	      w: {} // weak collections IDs
	    } });
	};
	var fastKey = function fastKey(it, create) {
	  // return primitive with prefix
	  if (!isObject(it)) return (typeof it === 'undefined' ? 'undefined' : _typeof(it)) == 'symbol' ? it : (typeof it == 'string' ? 'S' : 'P') + it;
	  if (!has(it, META)) {
	    // can't set metadata to uncaught frozen object
	    if (!isExtensible(it)) return 'F';
	    // not necessary to add metadata
	    if (!create) return 'E';
	    // add missing metadata
	    setMeta(it);
	    // return object ID
	  }return it[META].i;
	};
	var getWeak = function getWeak(it, create) {
	  if (!has(it, META)) {
	    // can't set metadata to uncaught frozen object
	    if (!isExtensible(it)) return true;
	    // not necessary to add metadata
	    if (!create) return false;
	    // add missing metadata
	    setMeta(it);
	    // return hash weak collections IDs
	  }return it[META].w;
	};
	// add metadata on freeze-family methods calling
	var onFreeze = function onFreeze(it) {
	  if (FREEZE && meta.NEED && isExtensible(it) && !has(it, META)) setMeta(it);
	  return it;
	};
	var meta = module.exports = {
	  KEY: META,
	  NEED: false,
	  fastKey: fastKey,
	  getWeak: getWeak,
	  onFreeze: onFreeze
	};

/***/ },
/* 41 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(global) {'use strict';

	// compare and isBuffer taken from https://github.com/feross/buffer/blob/680e9e5e488f22aac27599a57dc844a6315928dd/index.js
	// original notice:

	/*!
	 * The buffer module from node.js, for the browser.
	 *
	 * @author   Feross Aboukhadijeh <feross@feross.org> <http://feross.org>
	 * @license  MIT
	 */

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	function compare(a, b) {
	  if (a === b) {
	    return 0;
	  }

	  var x = a.length;
	  var y = b.length;

	  for (var i = 0, len = Math.min(x, y); i < len; ++i) {
	    if (a[i] !== b[i]) {
	      x = a[i];
	      y = b[i];
	      break;
	    }
	  }

	  if (x < y) {
	    return -1;
	  }
	  if (y < x) {
	    return 1;
	  }
	  return 0;
	}
	function isBuffer(b) {
	  if (global.Buffer && typeof global.Buffer.isBuffer === 'function') {
	    return global.Buffer.isBuffer(b);
	  }
	  return !!(b != null && b._isBuffer);
	}

	// based on node assert, original notice:

	// http://wiki.commonjs.org/wiki/Unit_Testing/1.0
	//
	// THIS IS NOT TESTED NOR LIKELY TO WORK OUTSIDE V8!
	//
	// Originally from narwhal.js (http://narwhaljs.org)
	// Copyright (c) 2009 Thomas Robinson <280north.com>
	//
	// Permission is hereby granted, free of charge, to any person obtaining a copy
	// of this software and associated documentation files (the 'Software'), to
	// deal in the Software without restriction, including without limitation the
	// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
	// sell copies of the Software, and to permit persons to whom the Software is
	// furnished to do so, subject to the following conditions:
	//
	// The above copyright notice and this permission notice shall be included in
	// all copies or substantial portions of the Software.
	//
	// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
	// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
	// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
	// AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
	// ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
	// WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

	var util = __webpack_require__(102);
	var hasOwn = Object.prototype.hasOwnProperty;
	var pSlice = Array.prototype.slice;
	var functionsHaveNames = function () {
	  return function foo() {}.name === 'foo';
	}();
	function pToString(obj) {
	  return Object.prototype.toString.call(obj);
	}
	function isView(arrbuf) {
	  if (isBuffer(arrbuf)) {
	    return false;
	  }
	  if (typeof global.ArrayBuffer !== 'function') {
	    return false;
	  }
	  if (typeof ArrayBuffer.isView === 'function') {
	    return ArrayBuffer.isView(arrbuf);
	  }
	  if (!arrbuf) {
	    return false;
	  }
	  if (arrbuf instanceof DataView) {
	    return true;
	  }
	  if (arrbuf.buffer && arrbuf.buffer instanceof ArrayBuffer) {
	    return true;
	  }
	  return false;
	}
	// 1. The assert module provides functions that throw
	// AssertionError's when particular conditions are not met. The
	// assert module must conform to the following interface.

	var assert = module.exports = ok;

	// 2. The AssertionError is defined in assert.
	// new assert.AssertionError({ message: message,
	//                             actual: actual,
	//                             expected: expected })

	var regex = /\s*function\s+([^\(\s]*)\s*/;
	// based on https://github.com/ljharb/function.prototype.name/blob/adeeeec8bfcc6068b187d7d9fb3d5bb1d3a30899/implementation.js
	function getName(func) {
	  if (!util.isFunction(func)) {
	    return;
	  }
	  if (functionsHaveNames) {
	    return func.name;
	  }
	  var str = func.toString();
	  var match = str.match(regex);
	  return match && match[1];
	}
	assert.AssertionError = function AssertionError(options) {
	  this.name = 'AssertionError';
	  this.actual = options.actual;
	  this.expected = options.expected;
	  this.operator = options.operator;
	  if (options.message) {
	    this.message = options.message;
	    this.generatedMessage = false;
	  } else {
	    this.message = getMessage(this);
	    this.generatedMessage = true;
	  }
	  var stackStartFunction = options.stackStartFunction || fail;
	  if (Error.captureStackTrace) {
	    Error.captureStackTrace(this, stackStartFunction);
	  } else {
	    // non v8 browsers so we can have a stacktrace
	    var err = new Error();
	    if (err.stack) {
	      var out = err.stack;

	      // try to strip useless frames
	      var fn_name = getName(stackStartFunction);
	      var idx = out.indexOf('\n' + fn_name);
	      if (idx >= 0) {
	        // once we have located the function frame
	        // we need to strip out everything before it (and its line)
	        var next_line = out.indexOf('\n', idx + 1);
	        out = out.substring(next_line + 1);
	      }

	      this.stack = out;
	    }
	  }
	};

	// assert.AssertionError instanceof Error
	util.inherits(assert.AssertionError, Error);

	function truncate(s, n) {
	  if (typeof s === 'string') {
	    return s.length < n ? s : s.slice(0, n);
	  } else {
	    return s;
	  }
	}
	function inspect(something) {
	  if (functionsHaveNames || !util.isFunction(something)) {
	    return util.inspect(something);
	  }
	  var rawname = getName(something);
	  var name = rawname ? ': ' + rawname : '';
	  return '[Function' + name + ']';
	}
	function getMessage(self) {
	  return truncate(inspect(self.actual), 128) + ' ' + self.operator + ' ' + truncate(inspect(self.expected), 128);
	}

	// At present only the three keys mentioned above are used and
	// understood by the spec. Implementations or sub modules can pass
	// other keys to the AssertionError's constructor - they will be
	// ignored.

	// 3. All of the following functions must throw an AssertionError
	// when a corresponding condition is not met, with a message that
	// may be undefined if not provided.  All assertion methods provide
	// both the actual and expected values to the assertion error for
	// display purposes.

	function fail(actual, expected, message, operator, stackStartFunction) {
	  throw new assert.AssertionError({
	    message: message,
	    actual: actual,
	    expected: expected,
	    operator: operator,
	    stackStartFunction: stackStartFunction
	  });
	}

	// EXTENSION! allows for well behaved errors defined elsewhere.
	assert.fail = fail;

	// 4. Pure assertion tests whether a value is truthy, as determined
	// by !!guard.
	// assert.ok(guard, message_opt);
	// This statement is equivalent to assert.equal(true, !!guard,
	// message_opt);. To test strictly for the value true, use
	// assert.strictEqual(true, guard, message_opt);.

	function ok(value, message) {
	  if (!value) fail(value, true, message, '==', assert.ok);
	}
	assert.ok = ok;

	// 5. The equality assertion tests shallow, coercive equality with
	// ==.
	// assert.equal(actual, expected, message_opt);

	assert.equal = function equal(actual, expected, message) {
	  if (actual != expected) fail(actual, expected, message, '==', assert.equal);
	};

	// 6. The non-equality assertion tests for whether two objects are not equal
	// with != assert.notEqual(actual, expected, message_opt);

	assert.notEqual = function notEqual(actual, expected, message) {
	  if (actual == expected) {
	    fail(actual, expected, message, '!=', assert.notEqual);
	  }
	};

	// 7. The equivalence assertion tests a deep equality relation.
	// assert.deepEqual(actual, expected, message_opt);

	assert.deepEqual = function deepEqual(actual, expected, message) {
	  if (!_deepEqual(actual, expected, false)) {
	    fail(actual, expected, message, 'deepEqual', assert.deepEqual);
	  }
	};

	assert.deepStrictEqual = function deepStrictEqual(actual, expected, message) {
	  if (!_deepEqual(actual, expected, true)) {
	    fail(actual, expected, message, 'deepStrictEqual', assert.deepStrictEqual);
	  }
	};

	function _deepEqual(actual, expected, strict, memos) {
	  // 7.1. All identical values are equivalent, as determined by ===.
	  if (actual === expected) {
	    return true;
	  } else if (isBuffer(actual) && isBuffer(expected)) {
	    return compare(actual, expected) === 0;

	    // 7.2. If the expected value is a Date object, the actual value is
	    // equivalent if it is also a Date object that refers to the same time.
	  } else if (util.isDate(actual) && util.isDate(expected)) {
	    return actual.getTime() === expected.getTime();

	    // 7.3 If the expected value is a RegExp object, the actual value is
	    // equivalent if it is also a RegExp object with the same source and
	    // properties (`global`, `multiline`, `lastIndex`, `ignoreCase`).
	  } else if (util.isRegExp(actual) && util.isRegExp(expected)) {
	    return actual.source === expected.source && actual.global === expected.global && actual.multiline === expected.multiline && actual.lastIndex === expected.lastIndex && actual.ignoreCase === expected.ignoreCase;

	    // 7.4. Other pairs that do not both pass typeof value == 'object',
	    // equivalence is determined by ==.
	  } else if ((actual === null || (typeof actual === 'undefined' ? 'undefined' : _typeof(actual)) !== 'object') && (expected === null || (typeof expected === 'undefined' ? 'undefined' : _typeof(expected)) !== 'object')) {
	    return strict ? actual === expected : actual == expected;

	    // If both values are instances of typed arrays, wrap their underlying
	    // ArrayBuffers in a Buffer each to increase performance
	    // This optimization requires the arrays to have the same type as checked by
	    // Object.prototype.toString (aka pToString). Never perform binary
	    // comparisons for Float*Arrays, though, since e.g. +0 === -0 but their
	    // bit patterns are not identical.
	  } else if (isView(actual) && isView(expected) && pToString(actual) === pToString(expected) && !(actual instanceof Float32Array || actual instanceof Float64Array)) {
	    return compare(new Uint8Array(actual.buffer), new Uint8Array(expected.buffer)) === 0;

	    // 7.5 For all other Object pairs, including Array objects, equivalence is
	    // determined by having the same number of owned properties (as verified
	    // with Object.prototype.hasOwnProperty.call), the same set of keys
	    // (although not necessarily the same order), equivalent values for every
	    // corresponding key, and an identical 'prototype' property. Note: this
	    // accounts for both named and indexed properties on Arrays.
	  } else if (isBuffer(actual) !== isBuffer(expected)) {
	    return false;
	  } else {
	    memos = memos || { actual: [], expected: [] };

	    var actualIndex = memos.actual.indexOf(actual);
	    if (actualIndex !== -1) {
	      if (actualIndex === memos.expected.indexOf(expected)) {
	        return true;
	      }
	    }

	    memos.actual.push(actual);
	    memos.expected.push(expected);

	    return objEquiv(actual, expected, strict, memos);
	  }
	}

	function isArguments(object) {
	  return Object.prototype.toString.call(object) == '[object Arguments]';
	}

	function objEquiv(a, b, strict, actualVisitedObjects) {
	  if (a === null || a === undefined || b === null || b === undefined) return false;
	  // if one is a primitive, the other must be same
	  if (util.isPrimitive(a) || util.isPrimitive(b)) return a === b;
	  if (strict && Object.getPrototypeOf(a) !== Object.getPrototypeOf(b)) return false;
	  var aIsArgs = isArguments(a);
	  var bIsArgs = isArguments(b);
	  if (aIsArgs && !bIsArgs || !aIsArgs && bIsArgs) return false;
	  if (aIsArgs) {
	    a = pSlice.call(a);
	    b = pSlice.call(b);
	    return _deepEqual(a, b, strict);
	  }
	  var ka = objectKeys(a);
	  var kb = objectKeys(b);
	  var key, i;
	  // having the same number of owned properties (keys incorporates
	  // hasOwnProperty)
	  if (ka.length !== kb.length) return false;
	  //the same set of keys (although not necessarily the same order),
	  ka.sort();
	  kb.sort();
	  //~~~cheap key test
	  for (i = ka.length - 1; i >= 0; i--) {
	    if (ka[i] !== kb[i]) return false;
	  }
	  //equivalent values for every corresponding key, and
	  //~~~possibly expensive deep test
	  for (i = ka.length - 1; i >= 0; i--) {
	    key = ka[i];
	    if (!_deepEqual(a[key], b[key], strict, actualVisitedObjects)) return false;
	  }
	  return true;
	}

	// 8. The non-equivalence assertion tests for any deep inequality.
	// assert.notDeepEqual(actual, expected, message_opt);

	assert.notDeepEqual = function notDeepEqual(actual, expected, message) {
	  if (_deepEqual(actual, expected, false)) {
	    fail(actual, expected, message, 'notDeepEqual', assert.notDeepEqual);
	  }
	};

	assert.notDeepStrictEqual = notDeepStrictEqual;
	function notDeepStrictEqual(actual, expected, message) {
	  if (_deepEqual(actual, expected, true)) {
	    fail(actual, expected, message, 'notDeepStrictEqual', notDeepStrictEqual);
	  }
	}

	// 9. The strict equality assertion tests strict equality, as determined by ===.
	// assert.strictEqual(actual, expected, message_opt);

	assert.strictEqual = function strictEqual(actual, expected, message) {
	  if (actual !== expected) {
	    fail(actual, expected, message, '===', assert.strictEqual);
	  }
	};

	// 10. The strict non-equality assertion tests for strict inequality, as
	// determined by !==.  assert.notStrictEqual(actual, expected, message_opt);

	assert.notStrictEqual = function notStrictEqual(actual, expected, message) {
	  if (actual === expected) {
	    fail(actual, expected, message, '!==', assert.notStrictEqual);
	  }
	};

	function expectedException(actual, expected) {
	  if (!actual || !expected) {
	    return false;
	  }

	  if (Object.prototype.toString.call(expected) == '[object RegExp]') {
	    return expected.test(actual);
	  }

	  try {
	    if (actual instanceof expected) {
	      return true;
	    }
	  } catch (e) {
	    // Ignore.  The instanceof check doesn't work for arrow functions.
	  }

	  if (Error.isPrototypeOf(expected)) {
	    return false;
	  }

	  return expected.call({}, actual) === true;
	}

	function _tryBlock(block) {
	  var error;
	  try {
	    block();
	  } catch (e) {
	    error = e;
	  }
	  return error;
	}

	function _throws(shouldThrow, block, expected, message) {
	  var actual;

	  if (typeof block !== 'function') {
	    throw new TypeError('"block" argument must be a function');
	  }

	  if (typeof expected === 'string') {
	    message = expected;
	    expected = null;
	  }

	  actual = _tryBlock(block);

	  message = (expected && expected.name ? ' (' + expected.name + ').' : '.') + (message ? ' ' + message : '.');

	  if (shouldThrow && !actual) {
	    fail(actual, expected, 'Missing expected exception' + message);
	  }

	  var userProvidedMessage = typeof message === 'string';
	  var isUnwantedException = !shouldThrow && util.isError(actual);
	  var isUnexpectedException = !shouldThrow && actual && !expected;

	  if (isUnwantedException && userProvidedMessage && expectedException(actual, expected) || isUnexpectedException) {
	    fail(actual, expected, 'Got unwanted exception' + message);
	  }

	  if (shouldThrow && actual && expected && !expectedException(actual, expected) || !shouldThrow && actual) {
	    throw actual;
	  }
	}

	// 11. Expected to throw an error:
	// assert.throws(block, Error_opt, message_opt);

	assert.throws = function (block, /*optional*/error, /*optional*/message) {
	  _throws(true, block, error, message);
	};

	// EXTENSION! This is annoying to write outside this module.
	assert.doesNotThrow = function (block, /*optional*/error, /*optional*/message) {
	  _throws(false, block, error, message);
	};

	assert.ifError = function (err) {
	  if (err) throw err;
	};

	var objectKeys = Object.keys || function (obj) {
	  var keys = [];
	  for (var key in obj) {
	    if (hasOwn.call(obj, key)) keys.push(key);
	  }
	  return keys;
	};
	/* WEBPACK VAR INJECTION */}.call(exports, (function() { return this; }())))

/***/ },
/* 42 */
/***/ function(module, exports, __webpack_require__) {

	/*istanbul ignore next*/"use strict";

	exports.__esModule = true;
	exports.MESSAGES = undefined;

	var _stringify = __webpack_require__(37);

	var _stringify2 = _interopRequireDefault(_stringify);

	exports.get = get;
	/*istanbul ignore next*/exports.parseArgs = parseArgs;

	var /*istanbul ignore next*/_util = __webpack_require__(102);

	/*istanbul ignore next*/
	var util = _interopRequireWildcard(_util);

	/*istanbul ignore next*/
	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	/**
	 * Mapping of messages to be used in Babel.
	 * Messages can include $0-style placeholders.
	 */

	var MESSAGES = /*istanbul ignore next*/exports.MESSAGES = {
	  tailCallReassignmentDeopt: "Function reference has been reassigned, so it will probably be dereferenced, therefore we can't optimise this with confidence",
	  classesIllegalBareSuper: "Illegal use of bare super",
	  classesIllegalSuperCall: "Direct super call is illegal in non-constructor, use super.$1() instead",
	  scopeDuplicateDeclaration: "Duplicate declaration $1",
	  settersNoRest: "Setters aren't allowed to have a rest",
	  noAssignmentsInForHead: "No assignments allowed in for-in/of head",
	  expectedMemberExpressionOrIdentifier: "Expected type MemberExpression or Identifier",
	  invalidParentForThisNode: "We don't know how to handle this node within the current parent - please open an issue",
	  readOnly: "$1 is read-only",
	  unknownForHead: "Unknown node type $1 in ForStatement",
	  didYouMean: "Did you mean $1?",
	  codeGeneratorDeopt: "Note: The code generator has deoptimised the styling of $1 as it exceeds the max of $2.",
	  missingTemplatesDirectory: "no templates directory - this is most likely the result of a broken `npm publish`. Please report to https://github.com/babel/babel/issues",
	  unsupportedOutputType: "Unsupported output type $1",
	  illegalMethodName: "Illegal method name $1",
	  lostTrackNodePath: "We lost track of this node's position, likely because the AST was directly manipulated",

	  modulesIllegalExportName: "Illegal export $1",
	  modulesDuplicateDeclarations: "Duplicate module declarations with the same source but in different scopes",

	  undeclaredVariable: "Reference to undeclared variable $1",
	  undeclaredVariableType: "Referencing a type alias outside of a type annotation",
	  undeclaredVariableSuggestion: "Reference to undeclared variable $1 - did you mean $2?",

	  traverseNeedsParent: "You must pass a scope and parentPath unless traversing a Program/File. Instead of that you tried to traverse a $1 node without passing scope and parentPath.",
	  traverseVerifyRootFunction: "You passed `traverse()` a function when it expected a visitor object, are you sure you didn't mean `{ enter: Function }`?",
	  traverseVerifyVisitorProperty: "You passed `traverse()` a visitor object with the property $1 that has the invalid property $2",
	  traverseVerifyNodeType: "You gave us a visitor for the node type $1 but it's not a valid type",

	  pluginNotObject: "Plugin $2 specified in $1 was expected to return an object when invoked but returned $3",
	  pluginNotFunction: "Plugin $2 specified in $1 was expected to return a function but returned $3",
	  pluginUnknown: "Unknown plugin $1 specified in $2 at $3, attempted to resolve relative to $4",
	  pluginInvalidProperty: "Plugin $2 specified in $1 provided an invalid property of $3"
	};

	/**
	 * Get a message with $0 placeholders replaced by arguments.
	 */

	/* eslint max-len: 0 */

	function get(key) {
	  /*istanbul ignore next*/
	  for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
	    args[_key - 1] = arguments[_key];
	  }

	  var msg = MESSAGES[key];
	  if (!msg) throw new ReferenceError( /*istanbul ignore next*/"Unknown message " + /*istanbul ignore next*/(0, _stringify2.default)(key));

	  // stringify args
	  args = parseArgs(args);

	  // replace $0 placeholders with args
	  return msg.replace(/\$(\d+)/g, function (str, i) {
	    return args[i - 1];
	  });
	}

	/**
	 * Stingify arguments to be used inside messages.
	 */

	function parseArgs(args) {
	  return args.map(function (val) {
	    if (val != null && val.inspect) {
	      return val.inspect();
	    } else {
	      try {
	        return (/*istanbul ignore next*/(0, _stringify2.default)(val) || val + ""
	        );
	      } catch (e) {
	        return util.inspect(val);
	      }
	    }
	  });
	}

/***/ },
/* 43 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.scope = exports.path = undefined;

	var _weakMap = __webpack_require__(216);

	var _weakMap2 = _interopRequireDefault(_weakMap);

	exports.clear = clear;
	exports.clearPath = clearPath;
	exports.clearScope = clearScope;

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var path = exports.path = new _weakMap2.default();
	var scope = exports.scope = new _weakMap2.default();

	function clear() {
	  clearPath();
	  clearScope();
	}

	function clearPath() {
	  exports.path = path = new _weakMap2.default();
	}

	function clearScope() {
	  exports.scope = scope = new _weakMap2.default();
	}

/***/ },
/* 44 */
/***/ function(module, exports) {

	"use strict";

	// 7.2.1 RequireObjectCoercible(argument)
	module.exports = function (it) {
	  if (it == undefined) throw TypeError("Can't call method on  " + it);
	  return it;
	};

/***/ },
/* 45 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ctx = __webpack_require__(38),
	    call = __webpack_require__(275),
	    isArrayIter = __webpack_require__(274),
	    anObject = __webpack_require__(13),
	    toLength = __webpack_require__(78),
	    getIterFn = __webpack_require__(128),
	    BREAK = {},
	    RETURN = {};
	var _exports = module.exports = function (iterable, entries, fn, that, ITERATOR) {
	  var iterFn = ITERATOR ? function () {
	    return iterable;
	  } : getIterFn(iterable),
	      f = ctx(fn, that, entries ? 2 : 1),
	      index = 0,
	      length,
	      step,
	      iterator,
	      result;
	  if (typeof iterFn != 'function') throw TypeError(iterable + ' is not iterable!');
	  // fast case for arrays with default iterator
	  if (isArrayIter(iterFn)) for (length = toLength(iterable.length); length > index; index++) {
	    result = entries ? f(anObject(step = iterable[index])[0], step[1]) : f(iterable[index]);
	    if (result === BREAK || result === RETURN) return result;
	  } else for (iterator = iterFn.call(iterable); !(step = iterator.next()).done;) {
	    result = call(iterator, f, step.value, entries);
	    if (result === BREAK || result === RETURN) return result;
	  }
	};
	_exports.BREAK = BREAK;
	_exports.RETURN = RETURN;

/***/ },
/* 46 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// 19.1.2.2 / 15.2.3.5 Object.create(O [, Properties])
	var anObject = __webpack_require__(13),
	    dPs = __webpack_require__(279),
	    enumBugKeys = __webpack_require__(68),
	    IE_PROTO = __webpack_require__(75)('IE_PROTO'),
	    Empty = function Empty() {/* empty */},
	    PROTOTYPE = 'prototype';

	// Create object with fake `null` prototype: use iframe Object with cleared prototype
	var _createDict = function createDict() {
	  // Thrash, waste and sodomy: IE GC bug
	  var iframe = __webpack_require__(121)('iframe'),
	      i = enumBugKeys.length,
	      lt = '<',
	      gt = '>',
	      iframeDocument;
	  iframe.style.display = 'none';
	  __webpack_require__(273).appendChild(iframe);
	  iframe.src = 'javascript:'; // eslint-disable-line no-script-url
	  // createDict = iframe.contentWindow.Object;
	  // html.removeChild(iframe);
	  iframeDocument = iframe.contentWindow.document;
	  iframeDocument.open();
	  iframeDocument.write(lt + 'script' + gt + 'document.F=Object' + lt + '/script' + gt);
	  iframeDocument.close();
	  _createDict = iframeDocument.F;
	  while (i--) {
	    delete _createDict[PROTOTYPE][enumBugKeys[i]];
	  }return _createDict();
	};

	module.exports = Object.create || function create(O, Properties) {
	  var result;
	  if (O !== null) {
	    Empty[PROTOTYPE] = anObject(O);
	    result = new Empty();
	    Empty[PROTOTYPE] = null;
	    // add "__proto__" for Object.getPrototypeOf polyfill
	    result[IE_PROTO] = O;
	  } else result = _createDict();
	  return Properties === undefined ? result : dPs(result, Properties);
	};

/***/ },
/* 47 */
/***/ function(module, exports) {

	"use strict";

	exports.f = {}.propertyIsEnumerable;

/***/ },
/* 48 */
/***/ function(module, exports) {

	"use strict";

	module.exports = function (bitmap, value) {
	  return {
	    enumerable: !(bitmap & 1),
	    configurable: !(bitmap & 2),
	    writable: !(bitmap & 4),
	    value: value
	  };
	};

/***/ },
/* 49 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var def = __webpack_require__(16).f,
	    has = __webpack_require__(21),
	    TAG = __webpack_require__(6)('toStringTag');

	module.exports = function (it, tag, stat) {
	  if (it && !has(it = stat ? it : it.prototype, TAG)) def(it, TAG, { configurable: true, value: tag });
	};

/***/ },
/* 50 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// 7.1.13 ToObject(argument)
	var defined = __webpack_require__(44);
	module.exports = function (it) {
	  return Object(defined(it));
	};

/***/ },
/* 51 */
/***/ function(module, exports) {

	'use strict';

	var id = 0,
	    px = Math.random();
	module.exports = function (key) {
	  return 'Symbol('.concat(key === undefined ? '' : key, ')_', (++id + px).toString(36));
	};

/***/ },
/* 52 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	__webpack_require__(288);
	var global = __webpack_require__(7),
	    hide = __webpack_require__(22),
	    Iterators = __webpack_require__(39),
	    TO_STRING_TAG = __webpack_require__(6)('toStringTag');

	for (var collections = ['NodeList', 'DOMTokenList', 'MediaList', 'StyleSheetList', 'CSSRuleList'], i = 0; i < 5; i++) {
	  var NAME = collections[i],
	      Collection = global[NAME],
	      proto = Collection && Collection.prototype;
	  if (proto && !proto[TO_STRING_TAG]) hide(proto, TO_STRING_TAG, NAME);
	  Iterators[NAME] = Iterators.Array;
	}

/***/ },
/* 53 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var listCacheClear = __webpack_require__(377),
	    listCacheDelete = __webpack_require__(378),
	    listCacheGet = __webpack_require__(379),
	    listCacheHas = __webpack_require__(380),
	    listCacheSet = __webpack_require__(381);

	/**
	 * Creates an list cache object.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function ListCache(entries) {
	    var index = -1,
	        length = entries == null ? 0 : entries.length;

	    this.clear();
	    while (++index < length) {
	        var entry = entries[index];
	        this.set(entry[0], entry[1]);
	    }
	}

	// Add methods to `ListCache`.
	ListCache.prototype.clear = listCacheClear;
	ListCache.prototype['delete'] = listCacheDelete;
	ListCache.prototype.get = listCacheGet;
	ListCache.prototype.has = listCacheHas;
	ListCache.prototype.set = listCacheSet;

	module.exports = ListCache;

/***/ },
/* 54 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var root = __webpack_require__(8);

	/** Built-in value references. */
	var _Symbol = root.Symbol;

	module.exports = _Symbol;

/***/ },
/* 55 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var eq = __webpack_require__(59);

	/**
	 * Gets the index at which the `key` is found in `array` of key-value pairs.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {*} key The key to search for.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function assocIndexOf(array, key) {
	  var length = array.length;
	  while (length--) {
	    if (eq(array[length][0], key)) {
	      return length;
	    }
	  }
	  return -1;
	}

	module.exports = assocIndexOf;

/***/ },
/* 56 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isKeyable = __webpack_require__(375);

	/**
	 * Gets the data for `map`.
	 *
	 * @private
	 * @param {Object} map The map to query.
	 * @param {string} key The reference key.
	 * @returns {*} Returns the map data.
	 */
	function getMapData(map, key) {
	  var data = map.__data__;
	  return isKeyable(key) ? data[typeof key == 'string' ? 'string' : 'hash'] : data.map;
	}

	module.exports = getMapData;

/***/ },
/* 57 */
/***/ function(module, exports) {

	'use strict';

	/** Used for built-in method references. */
	var objectProto = Object.prototype;

	/**
	 * Checks if `value` is likely a prototype object.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a prototype, else `false`.
	 */
	function isPrototype(value) {
	  var Ctor = value && value.constructor,
	      proto = typeof Ctor == 'function' && Ctor.prototype || objectProto;

	  return value === proto;
	}

	module.exports = isPrototype;

/***/ },
/* 58 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var getNative = __webpack_require__(28);

	/* Built-in method references that are verified to be native. */
	var nativeCreate = getNative(Object, 'create');

	module.exports = nativeCreate;

/***/ },
/* 59 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Performs a
	 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
	 * comparison between two values to determine if they are equivalent.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to compare.
	 * @param {*} other The other value to compare.
	 * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
	 * @example
	 *
	 * var object = { 'a': 1 };
	 * var other = { 'a': 1 };
	 *
	 * _.eq(object, object);
	 * // => true
	 *
	 * _.eq(object, other);
	 * // => false
	 *
	 * _.eq('a', 'a');
	 * // => true
	 *
	 * _.eq('a', Object('a'));
	 * // => false
	 *
	 * _.eq(NaN, NaN);
	 * // => true
	 */
	function eq(value, other) {
	  return value === other || value !== value && other !== other;
	}

	module.exports = eq;

/***/ },
/* 60 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	var baseGetTag = __webpack_require__(17),
	    isObjectLike = __webpack_require__(23);

	/** `Object#toString` result references. */
	var symbolTag = '[object Symbol]';

	/**
	 * Checks if `value` is classified as a `Symbol` primitive or object.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a symbol, else `false`.
	 * @example
	 *
	 * _.isSymbol(Symbol.iterator);
	 * // => true
	 *
	 * _.isSymbol('abc');
	 * // => false
	 */
	function isSymbol(value) {
	    return (typeof value === 'undefined' ? 'undefined' : _typeof(value)) == 'symbol' || isObjectLike(value) && baseGetTag(value) == symbolTag;
	}

	module.exports = isSymbol;

/***/ },
/* 61 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var arrayLikeKeys = __webpack_require__(134),
	    baseKeysIn = __webpack_require__(335),
	    isArrayLike = __webpack_require__(33);

	/**
	 * Creates an array of the own and inherited enumerable property names of `object`.
	 *
	 * **Note:** Non-object values are coerced to objects.
	 *
	 * @static
	 * @memberOf _
	 * @since 3.0.0
	 * @category Object
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 * @example
	 *
	 * function Foo() {
	 *   this.a = 1;
	 *   this.b = 2;
	 * }
	 *
	 * Foo.prototype.c = 3;
	 *
	 * _.keysIn(new Foo);
	 * // => ['a', 'b', 'c'] (iteration order is not guaranteed)
	 */
	function keysIn(object) {
	  return isArrayLike(object) ? arrayLikeKeys(object, true) : baseKeysIn(object);
	}

	module.exports = keysIn;

/***/ },
/* 62 */
/***/ function(module, exports) {

	/* WEBPACK VAR INJECTION */(function(__webpack_amd_options__) {module.exports = __webpack_amd_options__;

	/* WEBPACK VAR INJECTION */}.call(exports, {}))

/***/ },
/* 63 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _keys = __webpack_require__(31);

	var _keys2 = _interopRequireDefault(_keys);

	var _create = __webpack_require__(9);

	var _create2 = _interopRequireDefault(_create);

	var _map = __webpack_require__(113);

	var _map2 = _interopRequireDefault(_map);

	var _classCallCheck2 = __webpack_require__(4);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	var _includes = __webpack_require__(99);

	var _includes2 = _interopRequireDefault(_includes);

	var _repeat = __webpack_require__(421);

	var _repeat2 = _interopRequireDefault(_repeat);

	var _renamer = __webpack_require__(235);

	var _renamer2 = _interopRequireDefault(_renamer);

	var _index = __webpack_require__(12);

	var _index2 = _interopRequireDefault(_index);

	var _defaults = __webpack_require__(410);

	var _defaults2 = _interopRequireDefault(_defaults);

	var _babelMessages = __webpack_require__(42);

	var messages = _interopRequireWildcard(_babelMessages);

	var _binding2 = __webpack_require__(116);

	var _binding3 = _interopRequireDefault(_binding2);

	var _globals = __webpack_require__(304);

	var _globals2 = _interopRequireDefault(_globals);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	var _cache = __webpack_require__(43);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var _crawlCallsCount = 0;

	function getCache(path, parentScope, self) {
	  var scopes = _cache.scope.get(path.node) || [];

	  for (var _iterator = scopes, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	    var _ref;

	    if (_isArray) {
	      if (_i >= _iterator.length) break;
	      _ref = _iterator[_i++];
	    } else {
	      _i = _iterator.next();
	      if (_i.done) break;
	      _ref = _i.value;
	    }

	    var scope = _ref;

	    if (scope.parent === parentScope && scope.path === path) return scope;
	  }

	  scopes.push(self);

	  if (!_cache.scope.has(path.node)) {
	    _cache.scope.set(path.node, scopes);
	  }
	}

	function gatherNodeParts(node, parts) {
	  if (t.isModuleDeclaration(node)) {
	    if (node.source) {
	      gatherNodeParts(node.source, parts);
	    } else if (node.specifiers && node.specifiers.length) {
	      for (var _iterator2 = node.specifiers, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	        var _ref2;

	        if (_isArray2) {
	          if (_i2 >= _iterator2.length) break;
	          _ref2 = _iterator2[_i2++];
	        } else {
	          _i2 = _iterator2.next();
	          if (_i2.done) break;
	          _ref2 = _i2.value;
	        }

	        var specifier = _ref2;

	        gatherNodeParts(specifier, parts);
	      }
	    } else if (node.declaration) {
	      gatherNodeParts(node.declaration, parts);
	    }
	  } else if (t.isModuleSpecifier(node)) {
	    gatherNodeParts(node.local, parts);
	  } else if (t.isMemberExpression(node)) {
	    gatherNodeParts(node.object, parts);
	    gatherNodeParts(node.property, parts);
	  } else if (t.isIdentifier(node)) {
	    parts.push(node.name);
	  } else if (t.isLiteral(node)) {
	    parts.push(node.value);
	  } else if (t.isCallExpression(node)) {
	    gatherNodeParts(node.callee, parts);
	  } else if (t.isObjectExpression(node) || t.isObjectPattern(node)) {
	    for (var _iterator3 = node.properties, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : (0, _getIterator3.default)(_iterator3);;) {
	      var _ref3;

	      if (_isArray3) {
	        if (_i3 >= _iterator3.length) break;
	        _ref3 = _iterator3[_i3++];
	      } else {
	        _i3 = _iterator3.next();
	        if (_i3.done) break;
	        _ref3 = _i3.value;
	      }

	      var prop = _ref3;

	      gatherNodeParts(prop.key || prop.argument, parts);
	    }
	  }
	}

	var collectorVisitor = {
	  For: function For(path) {
	    for (var _iterator4 = t.FOR_INIT_KEYS, _isArray4 = Array.isArray(_iterator4), _i4 = 0, _iterator4 = _isArray4 ? _iterator4 : (0, _getIterator3.default)(_iterator4);;) {
	      var _ref4;

	      if (_isArray4) {
	        if (_i4 >= _iterator4.length) break;
	        _ref4 = _iterator4[_i4++];
	      } else {
	        _i4 = _iterator4.next();
	        if (_i4.done) break;
	        _ref4 = _i4.value;
	      }

	      var key = _ref4;

	      var declar = path.get(key);
	      if (declar.isVar()) path.scope.getFunctionParent().registerBinding("var", declar);
	    }
	  },
	  Declaration: function Declaration(path) {
	    if (path.isBlockScoped()) return;

	    if (path.isExportDeclaration() && path.get("declaration").isDeclaration()) return;

	    path.scope.getFunctionParent().registerDeclaration(path);
	  },
	  ReferencedIdentifier: function ReferencedIdentifier(path, state) {
	    state.references.push(path);
	  },
	  ForXStatement: function ForXStatement(path, state) {
	    var left = path.get("left");
	    if (left.isPattern() || left.isIdentifier()) {
	      state.constantViolations.push(left);
	    }
	  },

	  ExportDeclaration: {
	    exit: function exit(path) {
	      var node = path.node,
	          scope = path.scope;

	      var declar = node.declaration;
	      if (t.isClassDeclaration(declar) || t.isFunctionDeclaration(declar)) {
	        var _id = declar.id;
	        if (!_id) return;

	        var binding = scope.getBinding(_id.name);
	        if (binding) binding.reference(path);
	      } else if (t.isVariableDeclaration(declar)) {
	        for (var _iterator5 = declar.declarations, _isArray5 = Array.isArray(_iterator5), _i5 = 0, _iterator5 = _isArray5 ? _iterator5 : (0, _getIterator3.default)(_iterator5);;) {
	          var _ref5;

	          if (_isArray5) {
	            if (_i5 >= _iterator5.length) break;
	            _ref5 = _iterator5[_i5++];
	          } else {
	            _i5 = _iterator5.next();
	            if (_i5.done) break;
	            _ref5 = _i5.value;
	          }

	          var decl = _ref5;

	          var ids = t.getBindingIdentifiers(decl);
	          for (var name in ids) {
	            var _binding = scope.getBinding(name);
	            if (_binding) _binding.reference(path);
	          }
	        }
	      }
	    }
	  },

	  LabeledStatement: function LabeledStatement(path) {
	    path.scope.getProgramParent().addGlobal(path.node);
	    path.scope.getBlockParent().registerDeclaration(path);
	  },
	  AssignmentExpression: function AssignmentExpression(path, state) {
	    state.assignments.push(path);
	  },
	  UpdateExpression: function UpdateExpression(path, state) {
	    state.constantViolations.push(path.get("argument"));
	  },
	  UnaryExpression: function UnaryExpression(path, state) {
	    if (path.node.operator === "delete") {
	      state.constantViolations.push(path.get("argument"));
	    }
	  },
	  BlockScoped: function BlockScoped(path) {
	    var scope = path.scope;
	    if (scope.path === path) scope = scope.parent;
	    scope.getBlockParent().registerDeclaration(path);
	  },
	  ClassDeclaration: function ClassDeclaration(path) {
	    var id = path.node.id;
	    if (!id) return;

	    var name = id.name;
	    path.scope.bindings[name] = path.scope.getBinding(name);
	  },
	  Block: function Block(path) {
	    var paths = path.get("body");
	    for (var _iterator6 = paths, _isArray6 = Array.isArray(_iterator6), _i6 = 0, _iterator6 = _isArray6 ? _iterator6 : (0, _getIterator3.default)(_iterator6);;) {
	      var _ref6;

	      if (_isArray6) {
	        if (_i6 >= _iterator6.length) break;
	        _ref6 = _iterator6[_i6++];
	      } else {
	        _i6 = _iterator6.next();
	        if (_i6.done) break;
	        _ref6 = _i6.value;
	      }

	      var bodyPath = _ref6;

	      if (bodyPath.isFunctionDeclaration()) {
	        path.scope.getBlockParent().registerDeclaration(bodyPath);
	      }
	    }
	  }
	};

	var uid = 0;

	var Scope = function () {
	  function Scope(path, parentScope) {
	    (0, _classCallCheck3.default)(this, Scope);

	    if (parentScope && parentScope.block === path.node) {
	      return parentScope;
	    }

	    var cached = getCache(path, parentScope, this);
	    if (cached) return cached;

	    this.uid = uid++;
	    this.parent = parentScope;
	    this.hub = path.hub;

	    this.parentBlock = path.parent;
	    this.block = path.node;
	    this.path = path;

	    this.labels = new _map2.default();
	  }

	  Scope.prototype.traverse = function traverse(node, opts, state) {
	    (0, _index2.default)(node, opts, this, state, this.path);
	  };

	  Scope.prototype.generateDeclaredUidIdentifier = function generateDeclaredUidIdentifier() {
	    var name = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : "temp";

	    var id = this.generateUidIdentifier(name);
	    this.push({ id: id });
	    return id;
	  };

	  Scope.prototype.generateUidIdentifier = function generateUidIdentifier() {
	    var name = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : "temp";

	    return t.identifier(this.generateUid(name));
	  };

	  Scope.prototype.generateUid = function generateUid() {
	    var name = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : "temp";

	    name = t.toIdentifier(name).replace(/^_+/, "").replace(/[0-9]+$/g, "");

	    var uid = void 0;
	    var i = 0;
	    do {
	      uid = this._generateUid(name, i);
	      i++;
	    } while (this.hasLabel(uid) || this.hasBinding(uid) || this.hasGlobal(uid) || this.hasReference(uid));

	    var program = this.getProgramParent();
	    program.references[uid] = true;
	    program.uids[uid] = true;

	    return uid;
	  };

	  Scope.prototype._generateUid = function _generateUid(name, i) {
	    var id = name;
	    if (i > 1) id += i;
	    return "_" + id;
	  };

	  Scope.prototype.generateUidIdentifierBasedOnNode = function generateUidIdentifierBasedOnNode(parent, defaultName) {
	    var node = parent;

	    if (t.isAssignmentExpression(parent)) {
	      node = parent.left;
	    } else if (t.isVariableDeclarator(parent)) {
	      node = parent.id;
	    } else if (t.isObjectProperty(node) || t.isObjectMethod(node)) {
	      node = node.key;
	    }

	    var parts = [];
	    gatherNodeParts(node, parts);

	    var id = parts.join("$");
	    id = id.replace(/^_/, "") || defaultName || "ref";

	    return this.generateUidIdentifier(id.slice(0, 20));
	  };

	  Scope.prototype.isStatic = function isStatic(node) {
	    if (t.isThisExpression(node) || t.isSuper(node)) {
	      return true;
	    }

	    if (t.isIdentifier(node)) {
	      var binding = this.getBinding(node.name);
	      if (binding) {
	        return binding.constant;
	      } else {
	        return this.hasBinding(node.name);
	      }
	    }

	    return false;
	  };

	  Scope.prototype.maybeGenerateMemoised = function maybeGenerateMemoised(node, dontPush) {
	    if (this.isStatic(node)) {
	      return null;
	    } else {
	      var _id2 = this.generateUidIdentifierBasedOnNode(node);
	      if (!dontPush) this.push({ id: _id2 });
	      return _id2;
	    }
	  };

	  Scope.prototype.checkBlockScopedCollisions = function checkBlockScopedCollisions(local, kind, name, id) {
	    if (kind === "param") return;

	    if (kind === "hoisted" && local.kind === "let") return;

	    var duplicate = false;

	    if (!duplicate) duplicate = kind === "let" || local.kind === "let" || local.kind === "const" || local.kind === "module";

	    if (!duplicate) duplicate = local.kind === "param" && (kind === "let" || kind === "const");

	    if (duplicate) {
	      throw this.hub.file.buildCodeFrameError(id, messages.get("scopeDuplicateDeclaration", name), TypeError);
	    }
	  };

	  Scope.prototype.rename = function rename(oldName, newName, block) {
	    var binding = this.getBinding(oldName);
	    if (binding) {
	      newName = newName || this.generateUidIdentifier(oldName).name;
	      return new _renamer2.default(binding, oldName, newName).rename(block);
	    }
	  };

	  Scope.prototype._renameFromMap = function _renameFromMap(map, oldName, newName, value) {
	    if (map[oldName]) {
	      map[newName] = value;
	      map[oldName] = null;
	    }
	  };

	  Scope.prototype.dump = function dump() {
	    var sep = (0, _repeat2.default)("-", 60);
	    console.log(sep);
	    var scope = this;
	    do {
	      console.log("#", scope.block.type);
	      for (var name in scope.bindings) {
	        var binding = scope.bindings[name];
	        console.log(" -", name, {
	          constant: binding.constant,
	          references: binding.references,
	          violations: binding.constantViolations.length,
	          kind: binding.kind
	        });
	      }
	    } while (scope = scope.parent);
	    console.log(sep);
	  };

	  Scope.prototype.toArray = function toArray(node, i) {
	    var file = this.hub.file;

	    if (t.isIdentifier(node)) {
	      var binding = this.getBinding(node.name);
	      if (binding && binding.constant && binding.path.isGenericType("Array")) return node;
	    }

	    if (t.isArrayExpression(node)) {
	      return node;
	    }

	    if (t.isIdentifier(node, { name: "arguments" })) {
	      return t.callExpression(t.memberExpression(t.memberExpression(t.memberExpression(t.identifier("Array"), t.identifier("prototype")), t.identifier("slice")), t.identifier("call")), [node]);
	    }

	    var helperName = "toArray";
	    var args = [node];
	    if (i === true) {
	      helperName = "toConsumableArray";
	    } else if (i) {
	      args.push(t.numericLiteral(i));
	      helperName = "slicedToArray";
	    }
	    return t.callExpression(file.addHelper(helperName), args);
	  };

	  Scope.prototype.hasLabel = function hasLabel(name) {
	    return !!this.getLabel(name);
	  };

	  Scope.prototype.getLabel = function getLabel(name) {
	    return this.labels.get(name);
	  };

	  Scope.prototype.registerLabel = function registerLabel(path) {
	    this.labels.set(path.node.label.name, path);
	  };

	  Scope.prototype.registerDeclaration = function registerDeclaration(path) {
	    if (path.isLabeledStatement()) {
	      this.registerLabel(path);
	    } else if (path.isFunctionDeclaration()) {
	      this.registerBinding("hoisted", path.get("id"), path);
	    } else if (path.isVariableDeclaration()) {
	      var declarations = path.get("declarations");
	      for (var _iterator7 = declarations, _isArray7 = Array.isArray(_iterator7), _i7 = 0, _iterator7 = _isArray7 ? _iterator7 : (0, _getIterator3.default)(_iterator7);;) {
	        var _ref7;

	        if (_isArray7) {
	          if (_i7 >= _iterator7.length) break;
	          _ref7 = _iterator7[_i7++];
	        } else {
	          _i7 = _iterator7.next();
	          if (_i7.done) break;
	          _ref7 = _i7.value;
	        }

	        var declar = _ref7;

	        this.registerBinding(path.node.kind, declar);
	      }
	    } else if (path.isClassDeclaration()) {
	      this.registerBinding("let", path);
	    } else if (path.isImportDeclaration()) {
	      var specifiers = path.get("specifiers");
	      for (var _iterator8 = specifiers, _isArray8 = Array.isArray(_iterator8), _i8 = 0, _iterator8 = _isArray8 ? _iterator8 : (0, _getIterator3.default)(_iterator8);;) {
	        var _ref8;

	        if (_isArray8) {
	          if (_i8 >= _iterator8.length) break;
	          _ref8 = _iterator8[_i8++];
	        } else {
	          _i8 = _iterator8.next();
	          if (_i8.done) break;
	          _ref8 = _i8.value;
	        }

	        var specifier = _ref8;

	        this.registerBinding("module", specifier);
	      }
	    } else if (path.isExportDeclaration()) {
	      var _declar = path.get("declaration");
	      if (_declar.isClassDeclaration() || _declar.isFunctionDeclaration() || _declar.isVariableDeclaration()) {
	        this.registerDeclaration(_declar);
	      }
	    } else {
	      this.registerBinding("unknown", path);
	    }
	  };

	  Scope.prototype.buildUndefinedNode = function buildUndefinedNode() {
	    if (this.hasBinding("undefined")) {
	      return t.unaryExpression("void", t.numericLiteral(0), true);
	    } else {
	      return t.identifier("undefined");
	    }
	  };

	  Scope.prototype.registerConstantViolation = function registerConstantViolation(path) {
	    var ids = path.getBindingIdentifiers();
	    for (var name in ids) {
	      var binding = this.getBinding(name);
	      if (binding) binding.reassign(path);
	    }
	  };

	  Scope.prototype.registerBinding = function registerBinding(kind, path) {
	    var bindingPath = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : path;

	    if (!kind) throw new ReferenceError("no `kind`");

	    if (path.isVariableDeclaration()) {
	      var declarators = path.get("declarations");
	      for (var _iterator9 = declarators, _isArray9 = Array.isArray(_iterator9), _i9 = 0, _iterator9 = _isArray9 ? _iterator9 : (0, _getIterator3.default)(_iterator9);;) {
	        var _ref9;

	        if (_isArray9) {
	          if (_i9 >= _iterator9.length) break;
	          _ref9 = _iterator9[_i9++];
	        } else {
	          _i9 = _iterator9.next();
	          if (_i9.done) break;
	          _ref9 = _i9.value;
	        }

	        var declar = _ref9;

	        this.registerBinding(kind, declar);
	      }
	      return;
	    }

	    var parent = this.getProgramParent();
	    var ids = path.getBindingIdentifiers(true);

	    for (var name in ids) {
	      for (var _iterator10 = ids[name], _isArray10 = Array.isArray(_iterator10), _i10 = 0, _iterator10 = _isArray10 ? _iterator10 : (0, _getIterator3.default)(_iterator10);;) {
	        var _ref10;

	        if (_isArray10) {
	          if (_i10 >= _iterator10.length) break;
	          _ref10 = _iterator10[_i10++];
	        } else {
	          _i10 = _iterator10.next();
	          if (_i10.done) break;
	          _ref10 = _i10.value;
	        }

	        var _id3 = _ref10;

	        var local = this.getOwnBinding(name);
	        if (local) {
	          if (local.identifier === _id3) continue;

	          this.checkBlockScopedCollisions(local, kind, name, _id3);
	        }

	        if (local && local.path.isFlow()) local = null;

	        parent.references[name] = true;

	        this.bindings[name] = new _binding3.default({
	          identifier: _id3,
	          existing: local,
	          scope: this,
	          path: bindingPath,
	          kind: kind
	        });
	      }
	    }
	  };

	  Scope.prototype.addGlobal = function addGlobal(node) {
	    this.globals[node.name] = node;
	  };

	  Scope.prototype.hasUid = function hasUid(name) {
	    var scope = this;

	    do {
	      if (scope.uids[name]) return true;
	    } while (scope = scope.parent);

	    return false;
	  };

	  Scope.prototype.hasGlobal = function hasGlobal(name) {
	    var scope = this;

	    do {
	      if (scope.globals[name]) return true;
	    } while (scope = scope.parent);

	    return false;
	  };

	  Scope.prototype.hasReference = function hasReference(name) {
	    var scope = this;

	    do {
	      if (scope.references[name]) return true;
	    } while (scope = scope.parent);

	    return false;
	  };

	  Scope.prototype.isPure = function isPure(node, constantsOnly) {
	    if (t.isIdentifier(node)) {
	      var binding = this.getBinding(node.name);
	      if (!binding) return false;
	      if (constantsOnly) return binding.constant;
	      return true;
	    } else if (t.isClass(node)) {
	      if (node.superClass && !this.isPure(node.superClass, constantsOnly)) return false;
	      return this.isPure(node.body, constantsOnly);
	    } else if (t.isClassBody(node)) {
	      for (var _iterator11 = node.body, _isArray11 = Array.isArray(_iterator11), _i11 = 0, _iterator11 = _isArray11 ? _iterator11 : (0, _getIterator3.default)(_iterator11);;) {
	        var _ref11;

	        if (_isArray11) {
	          if (_i11 >= _iterator11.length) break;
	          _ref11 = _iterator11[_i11++];
	        } else {
	          _i11 = _iterator11.next();
	          if (_i11.done) break;
	          _ref11 = _i11.value;
	        }

	        var method = _ref11;

	        if (!this.isPure(method, constantsOnly)) return false;
	      }
	      return true;
	    } else if (t.isBinary(node)) {
	      return this.isPure(node.left, constantsOnly) && this.isPure(node.right, constantsOnly);
	    } else if (t.isArrayExpression(node)) {
	      for (var _iterator12 = node.elements, _isArray12 = Array.isArray(_iterator12), _i12 = 0, _iterator12 = _isArray12 ? _iterator12 : (0, _getIterator3.default)(_iterator12);;) {
	        var _ref12;

	        if (_isArray12) {
	          if (_i12 >= _iterator12.length) break;
	          _ref12 = _iterator12[_i12++];
	        } else {
	          _i12 = _iterator12.next();
	          if (_i12.done) break;
	          _ref12 = _i12.value;
	        }

	        var elem = _ref12;

	        if (!this.isPure(elem, constantsOnly)) return false;
	      }
	      return true;
	    } else if (t.isObjectExpression(node)) {
	      for (var _iterator13 = node.properties, _isArray13 = Array.isArray(_iterator13), _i13 = 0, _iterator13 = _isArray13 ? _iterator13 : (0, _getIterator3.default)(_iterator13);;) {
	        var _ref13;

	        if (_isArray13) {
	          if (_i13 >= _iterator13.length) break;
	          _ref13 = _iterator13[_i13++];
	        } else {
	          _i13 = _iterator13.next();
	          if (_i13.done) break;
	          _ref13 = _i13.value;
	        }

	        var prop = _ref13;

	        if (!this.isPure(prop, constantsOnly)) return false;
	      }
	      return true;
	    } else if (t.isClassMethod(node)) {
	      if (node.computed && !this.isPure(node.key, constantsOnly)) return false;
	      if (node.kind === "get" || node.kind === "set") return false;
	      return true;
	    } else if (t.isClassProperty(node) || t.isObjectProperty(node)) {
	      if (node.computed && !this.isPure(node.key, constantsOnly)) return false;
	      return this.isPure(node.value, constantsOnly);
	    } else if (t.isUnaryExpression(node)) {
	      return this.isPure(node.argument, constantsOnly);
	    } else {
	      return t.isPureish(node);
	    }
	  };

	  Scope.prototype.setData = function setData(key, val) {
	    return this.data[key] = val;
	  };

	  Scope.prototype.getData = function getData(key) {
	    var scope = this;
	    do {
	      var data = scope.data[key];
	      if (data != null) return data;
	    } while (scope = scope.parent);
	  };

	  Scope.prototype.removeData = function removeData(key) {
	    var scope = this;
	    do {
	      var data = scope.data[key];
	      if (data != null) scope.data[key] = null;
	    } while (scope = scope.parent);
	  };

	  Scope.prototype.init = function init() {
	    if (!this.references) this.crawl();
	  };

	  Scope.prototype.crawl = function crawl() {
	    _crawlCallsCount++;
	    this._crawl();
	    _crawlCallsCount--;
	  };

	  Scope.prototype._crawl = function _crawl() {
	    var path = this.path;

	    this.references = (0, _create2.default)(null);
	    this.bindings = (0, _create2.default)(null);
	    this.globals = (0, _create2.default)(null);
	    this.uids = (0, _create2.default)(null);
	    this.data = (0, _create2.default)(null);

	    if (path.isLoop()) {
	      for (var _iterator14 = t.FOR_INIT_KEYS, _isArray14 = Array.isArray(_iterator14), _i14 = 0, _iterator14 = _isArray14 ? _iterator14 : (0, _getIterator3.default)(_iterator14);;) {
	        var _ref14;

	        if (_isArray14) {
	          if (_i14 >= _iterator14.length) break;
	          _ref14 = _iterator14[_i14++];
	        } else {
	          _i14 = _iterator14.next();
	          if (_i14.done) break;
	          _ref14 = _i14.value;
	        }

	        var key = _ref14;

	        var node = path.get(key);
	        if (node.isBlockScoped()) this.registerBinding(node.node.kind, node);
	      }
	    }

	    if (path.isFunctionExpression() && path.has("id")) {
	      if (!path.get("id").node[t.NOT_LOCAL_BINDING]) {
	        this.registerBinding("local", path.get("id"), path);
	      }
	    }

	    if (path.isClassExpression() && path.has("id")) {
	      if (!path.get("id").node[t.NOT_LOCAL_BINDING]) {
	        this.registerBinding("local", path);
	      }
	    }

	    if (path.isFunction()) {
	      var params = path.get("params");
	      for (var _iterator15 = params, _isArray15 = Array.isArray(_iterator15), _i15 = 0, _iterator15 = _isArray15 ? _iterator15 : (0, _getIterator3.default)(_iterator15);;) {
	        var _ref15;

	        if (_isArray15) {
	          if (_i15 >= _iterator15.length) break;
	          _ref15 = _iterator15[_i15++];
	        } else {
	          _i15 = _iterator15.next();
	          if (_i15.done) break;
	          _ref15 = _i15.value;
	        }

	        var param = _ref15;

	        this.registerBinding("param", param);
	      }
	    }

	    if (path.isCatchClause()) {
	      this.registerBinding("let", path);
	    }

	    var parent = this.getProgramParent();
	    if (parent.crawling) return;

	    var state = {
	      references: [],
	      constantViolations: [],
	      assignments: []
	    };

	    this.crawling = true;
	    path.traverse(collectorVisitor, state);
	    this.crawling = false;

	    for (var _iterator16 = state.assignments, _isArray16 = Array.isArray(_iterator16), _i16 = 0, _iterator16 = _isArray16 ? _iterator16 : (0, _getIterator3.default)(_iterator16);;) {
	      var _ref16;

	      if (_isArray16) {
	        if (_i16 >= _iterator16.length) break;
	        _ref16 = _iterator16[_i16++];
	      } else {
	        _i16 = _iterator16.next();
	        if (_i16.done) break;
	        _ref16 = _i16.value;
	      }

	      var _path = _ref16;

	      var ids = _path.getBindingIdentifiers();
	      var programParent = void 0;
	      for (var name in ids) {
	        if (_path.scope.getBinding(name)) continue;

	        programParent = programParent || _path.scope.getProgramParent();
	        programParent.addGlobal(ids[name]);
	      }

	      _path.scope.registerConstantViolation(_path);
	    }

	    for (var _iterator17 = state.references, _isArray17 = Array.isArray(_iterator17), _i17 = 0, _iterator17 = _isArray17 ? _iterator17 : (0, _getIterator3.default)(_iterator17);;) {
	      var _ref17;

	      if (_isArray17) {
	        if (_i17 >= _iterator17.length) break;
	        _ref17 = _iterator17[_i17++];
	      } else {
	        _i17 = _iterator17.next();
	        if (_i17.done) break;
	        _ref17 = _i17.value;
	      }

	      var ref = _ref17;

	      var binding = ref.scope.getBinding(ref.node.name);
	      if (binding) {
	        binding.reference(ref);
	      } else {
	        ref.scope.getProgramParent().addGlobal(ref.node);
	      }
	    }

	    for (var _iterator18 = state.constantViolations, _isArray18 = Array.isArray(_iterator18), _i18 = 0, _iterator18 = _isArray18 ? _iterator18 : (0, _getIterator3.default)(_iterator18);;) {
	      var _ref18;

	      if (_isArray18) {
	        if (_i18 >= _iterator18.length) break;
	        _ref18 = _iterator18[_i18++];
	      } else {
	        _i18 = _iterator18.next();
	        if (_i18.done) break;
	        _ref18 = _i18.value;
	      }

	      var _path2 = _ref18;

	      _path2.scope.registerConstantViolation(_path2);
	    }
	  };

	  Scope.prototype.push = function push(opts) {
	    var path = this.path;

	    if (!path.isBlockStatement() && !path.isProgram()) {
	      path = this.getBlockParent().path;
	    }

	    if (path.isSwitchStatement()) {
	      path = this.getFunctionParent().path;
	    }

	    if (path.isLoop() || path.isCatchClause() || path.isFunction()) {
	      t.ensureBlock(path.node);
	      path = path.get("body");
	    }

	    var unique = opts.unique;
	    var kind = opts.kind || "var";
	    var blockHoist = opts._blockHoist == null ? 2 : opts._blockHoist;

	    var dataKey = "declaration:" + kind + ":" + blockHoist;
	    var declarPath = !unique && path.getData(dataKey);

	    if (!declarPath) {
	      var declar = t.variableDeclaration(kind, []);
	      declar._generated = true;
	      declar._blockHoist = blockHoist;

	      var _path$unshiftContaine = path.unshiftContainer("body", [declar]);

	      declarPath = _path$unshiftContaine[0];

	      if (!unique) path.setData(dataKey, declarPath);
	    }

	    var declarator = t.variableDeclarator(opts.id, opts.init);
	    declarPath.node.declarations.push(declarator);
	    this.registerBinding(kind, declarPath.get("declarations").pop());
	  };

	  Scope.prototype.getProgramParent = function getProgramParent() {
	    var scope = this;
	    do {
	      if (scope.path.isProgram()) {
	        return scope;
	      }
	    } while (scope = scope.parent);
	    throw new Error("We couldn't find a Function or Program...");
	  };

	  Scope.prototype.getFunctionParent = function getFunctionParent() {
	    var scope = this;
	    do {
	      if (scope.path.isFunctionParent()) {
	        return scope;
	      }
	    } while (scope = scope.parent);
	    throw new Error("We couldn't find a Function or Program...");
	  };

	  Scope.prototype.getBlockParent = function getBlockParent() {
	    var scope = this;
	    do {
	      if (scope.path.isBlockParent()) {
	        return scope;
	      }
	    } while (scope = scope.parent);
	    throw new Error("We couldn't find a BlockStatement, For, Switch, Function, Loop or Program...");
	  };

	  Scope.prototype.getAllBindings = function getAllBindings() {
	    var ids = (0, _create2.default)(null);

	    var scope = this;
	    do {
	      (0, _defaults2.default)(ids, scope.bindings);
	      scope = scope.parent;
	    } while (scope);

	    return ids;
	  };

	  Scope.prototype.getAllBindingsOfKind = function getAllBindingsOfKind() {
	    var ids = (0, _create2.default)(null);

	    for (var _iterator19 = arguments, _isArray19 = Array.isArray(_iterator19), _i19 = 0, _iterator19 = _isArray19 ? _iterator19 : (0, _getIterator3.default)(_iterator19);;) {
	      var _ref19;

	      if (_isArray19) {
	        if (_i19 >= _iterator19.length) break;
	        _ref19 = _iterator19[_i19++];
	      } else {
	        _i19 = _iterator19.next();
	        if (_i19.done) break;
	        _ref19 = _i19.value;
	      }

	      var kind = _ref19;

	      var scope = this;
	      do {
	        for (var name in scope.bindings) {
	          var binding = scope.bindings[name];
	          if (binding.kind === kind) ids[name] = binding;
	        }
	        scope = scope.parent;
	      } while (scope);
	    }

	    return ids;
	  };

	  Scope.prototype.bindingIdentifierEquals = function bindingIdentifierEquals(name, node) {
	    return this.getBindingIdentifier(name) === node;
	  };

	  Scope.prototype.warnOnFlowBinding = function warnOnFlowBinding(binding) {
	    if (_crawlCallsCount === 0 && binding && binding.path.isFlow()) {
	      console.warn("\n        You or one of the Babel plugins you are using are using Flow declarations as bindings.\n        Support for this will be removed in version 6.8. To find out the caller, grep for this\n        message and change it to a `console.trace()`.\n      ");
	    }
	    return binding;
	  };

	  Scope.prototype.getBinding = function getBinding(name) {
	    var scope = this;

	    do {
	      var binding = scope.getOwnBinding(name);
	      if (binding) return this.warnOnFlowBinding(binding);
	    } while (scope = scope.parent);
	  };

	  Scope.prototype.getOwnBinding = function getOwnBinding(name) {
	    return this.warnOnFlowBinding(this.bindings[name]);
	  };

	  Scope.prototype.getBindingIdentifier = function getBindingIdentifier(name) {
	    var info = this.getBinding(name);
	    return info && info.identifier;
	  };

	  Scope.prototype.getOwnBindingIdentifier = function getOwnBindingIdentifier(name) {
	    var binding = this.bindings[name];
	    return binding && binding.identifier;
	  };

	  Scope.prototype.hasOwnBinding = function hasOwnBinding(name) {
	    return !!this.getOwnBinding(name);
	  };

	  Scope.prototype.hasBinding = function hasBinding(name, noGlobals) {
	    if (!name) return false;
	    if (this.hasOwnBinding(name)) return true;
	    if (this.parentHasBinding(name, noGlobals)) return true;
	    if (this.hasUid(name)) return true;
	    if (!noGlobals && (0, _includes2.default)(Scope.globals, name)) return true;
	    if (!noGlobals && (0, _includes2.default)(Scope.contextVariables, name)) return true;
	    return false;
	  };

	  Scope.prototype.parentHasBinding = function parentHasBinding(name, noGlobals) {
	    return this.parent && this.parent.hasBinding(name, noGlobals);
	  };

	  Scope.prototype.moveBindingTo = function moveBindingTo(name, scope) {
	    var info = this.getBinding(name);
	    if (info) {
	      info.scope.removeOwnBinding(name);
	      info.scope = scope;
	      scope.bindings[name] = info;
	    }
	  };

	  Scope.prototype.removeOwnBinding = function removeOwnBinding(name) {
	    delete this.bindings[name];
	  };

	  Scope.prototype.removeBinding = function removeBinding(name) {
	    var info = this.getBinding(name);
	    if (info) {
	      info.scope.removeOwnBinding(name);
	    }

	    var scope = this;
	    do {
	      if (scope.uids[name]) {
	        scope.uids[name] = false;
	      }
	    } while (scope = scope.parent);
	  };

	  return Scope;
	}();

	Scope.globals = (0, _keys2.default)(_globals2.default.builtin);
	Scope.contextVariables = ["arguments", "undefined", "Infinity", "NaN"];
	exports.default = Scope;
	module.exports = exports["default"];

/***/ },
/* 64 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.NOT_LOCAL_BINDING = exports.BLOCK_SCOPED_SYMBOL = exports.INHERIT_KEYS = exports.UNARY_OPERATORS = exports.STRING_UNARY_OPERATORS = exports.NUMBER_UNARY_OPERATORS = exports.BOOLEAN_UNARY_OPERATORS = exports.BINARY_OPERATORS = exports.NUMBER_BINARY_OPERATORS = exports.BOOLEAN_BINARY_OPERATORS = exports.COMPARISON_BINARY_OPERATORS = exports.EQUALITY_BINARY_OPERATORS = exports.BOOLEAN_NUMBER_BINARY_OPERATORS = exports.UPDATE_OPERATORS = exports.LOGICAL_OPERATORS = exports.COMMENT_KEYS = exports.FOR_INIT_KEYS = exports.FLATTENABLE_KEYS = exports.STATEMENT_OR_BLOCK_KEYS = undefined;

	var _for = __webpack_require__(214);

	var _for2 = _interopRequireDefault(_for);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var STATEMENT_OR_BLOCK_KEYS = exports.STATEMENT_OR_BLOCK_KEYS = ["consequent", "body", "alternate"];
	var FLATTENABLE_KEYS = exports.FLATTENABLE_KEYS = ["body", "expressions"];
	var FOR_INIT_KEYS = exports.FOR_INIT_KEYS = ["left", "init"];
	var COMMENT_KEYS = exports.COMMENT_KEYS = ["leadingComments", "trailingComments", "innerComments"];

	var LOGICAL_OPERATORS = exports.LOGICAL_OPERATORS = ["||", "&&"];
	var UPDATE_OPERATORS = exports.UPDATE_OPERATORS = ["++", "--"];

	var BOOLEAN_NUMBER_BINARY_OPERATORS = exports.BOOLEAN_NUMBER_BINARY_OPERATORS = [">", "<", ">=", "<="];
	var EQUALITY_BINARY_OPERATORS = exports.EQUALITY_BINARY_OPERATORS = ["==", "===", "!=", "!=="];
	var COMPARISON_BINARY_OPERATORS = exports.COMPARISON_BINARY_OPERATORS = [].concat(EQUALITY_BINARY_OPERATORS, ["in", "instanceof"]);
	var BOOLEAN_BINARY_OPERATORS = exports.BOOLEAN_BINARY_OPERATORS = [].concat(COMPARISON_BINARY_OPERATORS, BOOLEAN_NUMBER_BINARY_OPERATORS);
	var NUMBER_BINARY_OPERATORS = exports.NUMBER_BINARY_OPERATORS = ["-", "/", "%", "*", "**", "&", "|", ">>", ">>>", "<<", "^"];
	var BINARY_OPERATORS = exports.BINARY_OPERATORS = ["+"].concat(NUMBER_BINARY_OPERATORS, BOOLEAN_BINARY_OPERATORS);

	var BOOLEAN_UNARY_OPERATORS = exports.BOOLEAN_UNARY_OPERATORS = ["delete", "!"];
	var NUMBER_UNARY_OPERATORS = exports.NUMBER_UNARY_OPERATORS = ["+", "-", "++", "--", "~"];
	var STRING_UNARY_OPERATORS = exports.STRING_UNARY_OPERATORS = ["typeof"];
	var UNARY_OPERATORS = exports.UNARY_OPERATORS = ["void"].concat(BOOLEAN_UNARY_OPERATORS, NUMBER_UNARY_OPERATORS, STRING_UNARY_OPERATORS);

	var INHERIT_KEYS = exports.INHERIT_KEYS = {
	  optional: ["typeAnnotation", "typeParameters", "returnType"],
	  force: ["start", "loc", "end"]
	};

	var BLOCK_SCOPED_SYMBOL = exports.BLOCK_SCOPED_SYMBOL = (0, _for2.default)("var used to be block scoped");
	var NOT_LOCAL_BINDING = exports.NOT_LOCAL_BINDING = (0, _for2.default)("should not be considered a local binding");

/***/ },
/* 65 */
/***/ function(module, exports) {

	'use strict';

	module.exports = function (it, Constructor, name, forbiddenField) {
	  if (!(it instanceof Constructor) || forbiddenField !== undefined && forbiddenField in it) {
	    throw TypeError(name + ': incorrect invocation!');
	  }return it;
	};

/***/ },
/* 66 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// 0 -> Array#forEach
	// 1 -> Array#map
	// 2 -> Array#filter
	// 3 -> Array#some
	// 4 -> Array#every
	// 5 -> Array#find
	// 6 -> Array#findIndex
	var ctx = __webpack_require__(38),
	    IObject = __webpack_require__(69),
	    toObject = __webpack_require__(50),
	    toLength = __webpack_require__(78),
	    asc = __webpack_require__(268);
	module.exports = function (TYPE, $create) {
	  var IS_MAP = TYPE == 1,
	      IS_FILTER = TYPE == 2,
	      IS_SOME = TYPE == 3,
	      IS_EVERY = TYPE == 4,
	      IS_FIND_INDEX = TYPE == 6,
	      NO_HOLES = TYPE == 5 || IS_FIND_INDEX,
	      create = $create || asc;
	  return function ($this, callbackfn, that) {
	    var O = toObject($this),
	        self = IObject(O),
	        f = ctx(callbackfn, that, 3),
	        length = toLength(self.length),
	        index = 0,
	        result = IS_MAP ? create($this, length) : IS_FILTER ? create($this, 0) : undefined,
	        val,
	        res;
	    for (; length > index; index++) {
	      if (NO_HOLES || index in self) {
	        val = self[index];
	        res = f(val, index, O);
	        if (TYPE) {
	          if (IS_MAP) result[index] = res; // map
	          else if (res) switch (TYPE) {
	              case 3:
	                return true; // some
	              case 5:
	                return val; // find
	              case 6:
	                return index; // findIndex
	              case 2:
	                result.push(val); // filter
	            } else if (IS_EVERY) return false; // every
	        }
	      }
	    }return IS_FIND_INDEX ? -1 : IS_SOME || IS_EVERY ? IS_EVERY : result;
	  };
	};

/***/ },
/* 67 */
/***/ function(module, exports) {

	"use strict";

	var toString = {}.toString;

	module.exports = function (it) {
	  return toString.call(it).slice(8, -1);
	};

/***/ },
/* 68 */
/***/ function(module, exports) {

	'use strict';

	// IE 8- don't enum bug keys
	module.exports = 'constructor,hasOwnProperty,isPrototypeOf,propertyIsEnumerable,toLocaleString,toString,valueOf'.split(',');

/***/ },
/* 69 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// fallback for non-array-like ES3 and non-enumerable old V8 strings
	var cof = __webpack_require__(67);
	module.exports = Object('z').propertyIsEnumerable(0) ? Object : function (it) {
	  return cof(it) == 'String' ? it.split('') : Object(it);
	};

/***/ },
/* 70 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var LIBRARY = __webpack_require__(71),
	    $export = __webpack_require__(20),
	    redefine = __webpack_require__(74),
	    hide = __webpack_require__(22),
	    has = __webpack_require__(21),
	    Iterators = __webpack_require__(39),
	    $iterCreate = __webpack_require__(276),
	    setToStringTag = __webpack_require__(49),
	    getPrototypeOf = __webpack_require__(281),
	    ITERATOR = __webpack_require__(6)('iterator'),
	    BUGGY = !([].keys && 'next' in [].keys()) // Safari has buggy iterators w/o `next`
	,
	    FF_ITERATOR = '@@iterator',
	    KEYS = 'keys',
	    VALUES = 'values';

	var returnThis = function returnThis() {
	  return this;
	};

	module.exports = function (Base, NAME, Constructor, next, DEFAULT, IS_SET, FORCED) {
	  $iterCreate(Constructor, NAME, next);
	  var getMethod = function getMethod(kind) {
	    if (!BUGGY && kind in proto) return proto[kind];
	    switch (kind) {
	      case KEYS:
	        return function keys() {
	          return new Constructor(this, kind);
	        };
	      case VALUES:
	        return function values() {
	          return new Constructor(this, kind);
	        };
	    }return function entries() {
	      return new Constructor(this, kind);
	    };
	  };
	  var TAG = NAME + ' Iterator',
	      DEF_VALUES = DEFAULT == VALUES,
	      VALUES_BUG = false,
	      proto = Base.prototype,
	      $native = proto[ITERATOR] || proto[FF_ITERATOR] || DEFAULT && proto[DEFAULT],
	      $default = $native || getMethod(DEFAULT),
	      $entries = DEFAULT ? !DEF_VALUES ? $default : getMethod('entries') : undefined,
	      $anyNative = NAME == 'Array' ? proto.entries || $native : $native,
	      methods,
	      key,
	      IteratorPrototype;
	  // Fix native
	  if ($anyNative) {
	    IteratorPrototype = getPrototypeOf($anyNative.call(new Base()));
	    if (IteratorPrototype !== Object.prototype) {
	      // Set @@toStringTag to native iterators
	      setToStringTag(IteratorPrototype, TAG, true);
	      // fix for some old engines
	      if (!LIBRARY && !has(IteratorPrototype, ITERATOR)) hide(IteratorPrototype, ITERATOR, returnThis);
	    }
	  }
	  // fix Array#{values, @@iterator}.name in V8 / FF
	  if (DEF_VALUES && $native && $native.name !== VALUES) {
	    VALUES_BUG = true;
	    $default = function values() {
	      return $native.call(this);
	    };
	  }
	  // Define iterator
	  if ((!LIBRARY || FORCED) && (BUGGY || VALUES_BUG || !proto[ITERATOR])) {
	    hide(proto, ITERATOR, $default);
	  }
	  // Plug for library
	  Iterators[NAME] = $default;
	  Iterators[TAG] = returnThis;
	  if (DEFAULT) {
	    methods = {
	      values: DEF_VALUES ? $default : getMethod(VALUES),
	      keys: IS_SET ? $default : getMethod(KEYS),
	      entries: $entries
	    };
	    if (FORCED) for (key in methods) {
	      if (!(key in proto)) redefine(proto, key, methods[key]);
	    } else $export($export.P + $export.F * (BUGGY || VALUES_BUG), NAME, methods);
	  }
	  return methods;
	};

/***/ },
/* 71 */
/***/ function(module, exports) {

	"use strict";

	module.exports = true;

/***/ },
/* 72 */
/***/ function(module, exports) {

	"use strict";

	exports.f = Object.getOwnPropertySymbols;

/***/ },
/* 73 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var hide = __webpack_require__(22);
	module.exports = function (target, src, safe) {
	  for (var key in src) {
	    if (safe && target[key]) target[key] = src[key];else hide(target, key, src[key]);
	  }return target;
	};

/***/ },
/* 74 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = __webpack_require__(22);

/***/ },
/* 75 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var shared = __webpack_require__(76)('keys'),
	    uid = __webpack_require__(51);
	module.exports = function (key) {
	  return shared[key] || (shared[key] = uid(key));
	};

/***/ },
/* 76 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var global = __webpack_require__(7),
	    SHARED = '__core-js_shared__',
	    store = global[SHARED] || (global[SHARED] = {});
	module.exports = function (key) {
	  return store[key] || (store[key] = {});
	};

/***/ },
/* 77 */
/***/ function(module, exports) {

	"use strict";

	// 7.1.4 ToInteger
	var ceil = Math.ceil,
	    floor = Math.floor;
	module.exports = function (it) {
	  return isNaN(it = +it) ? 0 : (it > 0 ? floor : ceil)(it);
	};

/***/ },
/* 78 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// 7.1.15 ToLength
	var toInteger = __webpack_require__(77),
	    min = Math.min;
	module.exports = function (it) {
	  return it > 0 ? min(toInteger(it), 0x1fffffffffffff) : 0; // pow(2, 53) - 1 == 9007199254740991
	};

/***/ },
/* 79 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// 7.1.1 ToPrimitive(input [, PreferredType])
	var isObject = __webpack_require__(15);
	// instead of the ES6 spec version, we didn't implement @@toPrimitive case
	// and the second argument - flag - preferred type is a string
	module.exports = function (it, S) {
	  if (!isObject(it)) return it;
	  var fn, val;
	  if (S && typeof (fn = it.toString) == 'function' && !isObject(val = fn.call(it))) return val;
	  if (typeof (fn = it.valueOf) == 'function' && !isObject(val = fn.call(it))) return val;
	  if (!S && typeof (fn = it.toString) == 'function' && !isObject(val = fn.call(it))) return val;
	  throw TypeError("Can't convert object to primitive value");
	};

/***/ },
/* 80 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var global = __webpack_require__(7),
	    core = __webpack_require__(3),
	    LIBRARY = __webpack_require__(71),
	    wksExt = __webpack_require__(81),
	    defineProperty = __webpack_require__(16).f;
	module.exports = function (name) {
	  var $Symbol = core.Symbol || (core.Symbol = LIBRARY ? {} : global.Symbol || {});
	  if (name.charAt(0) != '_' && !(name in $Symbol)) defineProperty($Symbol, name, { value: wksExt.f(name) });
	};

/***/ },
/* 81 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	exports.f = __webpack_require__(6);

/***/ },
/* 82 */
/***/ function(module, exports) {

	"use strict";

/***/ },
/* 83 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var $at = __webpack_require__(285)(true);

	// 21.1.3.27 String.prototype[@@iterator]()
	__webpack_require__(70)(String, 'String', function (iterated) {
	  this._t = String(iterated); // target
	  this._i = 0; // next index
	  // 21.1.5.2.1 %StringIteratorPrototype%.next()
	}, function () {
	  var O = this._t,
	      index = this._i,
	      point;
	  if (index >= O.length) return { value: undefined, done: true };
	  point = $at(O, index);
	  this._i += point.length;
	  return { value: point, done: false };
	});

/***/ },
/* 84 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	// ECMAScript 6 symbols shim

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	var global = __webpack_require__(7),
	    has = __webpack_require__(21),
	    DESCRIPTORS = __webpack_require__(14),
	    $export = __webpack_require__(20),
	    redefine = __webpack_require__(74),
	    META = __webpack_require__(40).KEY,
	    $fails = __webpack_require__(25),
	    shared = __webpack_require__(76),
	    setToStringTag = __webpack_require__(49),
	    uid = __webpack_require__(51),
	    wks = __webpack_require__(6),
	    wksExt = __webpack_require__(81),
	    wksDefine = __webpack_require__(80),
	    keyOf = __webpack_require__(277),
	    enumKeys = __webpack_require__(272),
	    isArray = __webpack_require__(123),
	    anObject = __webpack_require__(13),
	    toIObject = __webpack_require__(26),
	    toPrimitive = __webpack_require__(79),
	    createDesc = __webpack_require__(48),
	    _create = __webpack_require__(46),
	    gOPNExt = __webpack_require__(280),
	    $GOPD = __webpack_require__(125),
	    $DP = __webpack_require__(16),
	    $keys = __webpack_require__(32),
	    gOPD = $GOPD.f,
	    dP = $DP.f,
	    gOPN = gOPNExt.f,
	    $Symbol = global.Symbol,
	    $JSON = global.JSON,
	    _stringify = $JSON && $JSON.stringify,
	    PROTOTYPE = 'prototype',
	    HIDDEN = wks('_hidden'),
	    TO_PRIMITIVE = wks('toPrimitive'),
	    isEnum = {}.propertyIsEnumerable,
	    SymbolRegistry = shared('symbol-registry'),
	    AllSymbols = shared('symbols'),
	    OPSymbols = shared('op-symbols'),
	    ObjectProto = Object[PROTOTYPE],
	    USE_NATIVE = typeof $Symbol == 'function',
	    QObject = global.QObject;
	// Don't use setters in Qt Script, https://github.com/zloirock/core-js/issues/173
	var setter = !QObject || !QObject[PROTOTYPE] || !QObject[PROTOTYPE].findChild;

	// fallback for old Android, https://code.google.com/p/v8/issues/detail?id=687
	var setSymbolDesc = DESCRIPTORS && $fails(function () {
	  return _create(dP({}, 'a', {
	    get: function get() {
	      return dP(this, 'a', { value: 7 }).a;
	    }
	  })).a != 7;
	}) ? function (it, key, D) {
	  var protoDesc = gOPD(ObjectProto, key);
	  if (protoDesc) delete ObjectProto[key];
	  dP(it, key, D);
	  if (protoDesc && it !== ObjectProto) dP(ObjectProto, key, protoDesc);
	} : dP;

	var wrap = function wrap(tag) {
	  var sym = AllSymbols[tag] = _create($Symbol[PROTOTYPE]);
	  sym._k = tag;
	  return sym;
	};

	var isSymbol = USE_NATIVE && _typeof($Symbol.iterator) == 'symbol' ? function (it) {
	  return (typeof it === 'undefined' ? 'undefined' : _typeof(it)) == 'symbol';
	} : function (it) {
	  return it instanceof $Symbol;
	};

	var $defineProperty = function defineProperty(it, key, D) {
	  if (it === ObjectProto) $defineProperty(OPSymbols, key, D);
	  anObject(it);
	  key = toPrimitive(key, true);
	  anObject(D);
	  if (has(AllSymbols, key)) {
	    if (!D.enumerable) {
	      if (!has(it, HIDDEN)) dP(it, HIDDEN, createDesc(1, {}));
	      it[HIDDEN][key] = true;
	    } else {
	      if (has(it, HIDDEN) && it[HIDDEN][key]) it[HIDDEN][key] = false;
	      D = _create(D, { enumerable: createDesc(0, false) });
	    }return setSymbolDesc(it, key, D);
	  }return dP(it, key, D);
	};
	var $defineProperties = function defineProperties(it, P) {
	  anObject(it);
	  var keys = enumKeys(P = toIObject(P)),
	      i = 0,
	      l = keys.length,
	      key;
	  while (l > i) {
	    $defineProperty(it, key = keys[i++], P[key]);
	  }return it;
	};
	var $create = function create(it, P) {
	  return P === undefined ? _create(it) : $defineProperties(_create(it), P);
	};
	var $propertyIsEnumerable = function propertyIsEnumerable(key) {
	  var E = isEnum.call(this, key = toPrimitive(key, true));
	  if (this === ObjectProto && has(AllSymbols, key) && !has(OPSymbols, key)) return false;
	  return E || !has(this, key) || !has(AllSymbols, key) || has(this, HIDDEN) && this[HIDDEN][key] ? E : true;
	};
	var $getOwnPropertyDescriptor = function getOwnPropertyDescriptor(it, key) {
	  it = toIObject(it);
	  key = toPrimitive(key, true);
	  if (it === ObjectProto && has(AllSymbols, key) && !has(OPSymbols, key)) return;
	  var D = gOPD(it, key);
	  if (D && has(AllSymbols, key) && !(has(it, HIDDEN) && it[HIDDEN][key])) D.enumerable = true;
	  return D;
	};
	var $getOwnPropertyNames = function getOwnPropertyNames(it) {
	  var names = gOPN(toIObject(it)),
	      result = [],
	      i = 0,
	      key;
	  while (names.length > i) {
	    if (!has(AllSymbols, key = names[i++]) && key != HIDDEN && key != META) result.push(key);
	  }return result;
	};
	var $getOwnPropertySymbols = function getOwnPropertySymbols(it) {
	  var IS_OP = it === ObjectProto,
	      names = gOPN(IS_OP ? OPSymbols : toIObject(it)),
	      result = [],
	      i = 0,
	      key;
	  while (names.length > i) {
	    if (has(AllSymbols, key = names[i++]) && (IS_OP ? has(ObjectProto, key) : true)) result.push(AllSymbols[key]);
	  }return result;
	};

	// 19.4.1.1 Symbol([description])
	if (!USE_NATIVE) {
	  $Symbol = function _Symbol() {
	    if (this instanceof $Symbol) throw TypeError('Symbol is not a constructor!');
	    var tag = uid(arguments.length > 0 ? arguments[0] : undefined);
	    var $set = function $set(value) {
	      if (this === ObjectProto) $set.call(OPSymbols, value);
	      if (has(this, HIDDEN) && has(this[HIDDEN], tag)) this[HIDDEN][tag] = false;
	      setSymbolDesc(this, tag, createDesc(1, value));
	    };
	    if (DESCRIPTORS && setter) setSymbolDesc(ObjectProto, tag, { configurable: true, set: $set });
	    return wrap(tag);
	  };
	  redefine($Symbol[PROTOTYPE], 'toString', function toString() {
	    return this._k;
	  });

	  $GOPD.f = $getOwnPropertyDescriptor;
	  $DP.f = $defineProperty;
	  __webpack_require__(126).f = gOPNExt.f = $getOwnPropertyNames;
	  __webpack_require__(47).f = $propertyIsEnumerable;
	  __webpack_require__(72).f = $getOwnPropertySymbols;

	  if (DESCRIPTORS && !__webpack_require__(71)) {
	    redefine(ObjectProto, 'propertyIsEnumerable', $propertyIsEnumerable, true);
	  }

	  wksExt.f = function (name) {
	    return wrap(wks(name));
	  };
	}

	$export($export.G + $export.W + $export.F * !USE_NATIVE, { Symbol: $Symbol });

	for (var symbols =
	// 19.4.2.2, 19.4.2.3, 19.4.2.4, 19.4.2.6, 19.4.2.8, 19.4.2.9, 19.4.2.10, 19.4.2.11, 19.4.2.12, 19.4.2.13, 19.4.2.14
	'hasInstance,isConcatSpreadable,iterator,match,replace,search,species,split,toPrimitive,toStringTag,unscopables'.split(','), i = 0; symbols.length > i;) {
	  wks(symbols[i++]);
	}for (var symbols = $keys(wks.store), i = 0; symbols.length > i;) {
	  wksDefine(symbols[i++]);
	}$export($export.S + $export.F * !USE_NATIVE, 'Symbol', {
	  // 19.4.2.1 Symbol.for(key)
	  'for': function _for(key) {
	    return has(SymbolRegistry, key += '') ? SymbolRegistry[key] : SymbolRegistry[key] = $Symbol(key);
	  },
	  // 19.4.2.5 Symbol.keyFor(sym)
	  keyFor: function keyFor(key) {
	    if (isSymbol(key)) return keyOf(SymbolRegistry, key);
	    throw TypeError(key + ' is not a symbol!');
	  },
	  useSetter: function useSetter() {
	    setter = true;
	  },
	  useSimple: function useSimple() {
	    setter = false;
	  }
	});

	$export($export.S + $export.F * !USE_NATIVE, 'Object', {
	  // 19.1.2.2 Object.create(O [, Properties])
	  create: $create,
	  // 19.1.2.4 Object.defineProperty(O, P, Attributes)
	  defineProperty: $defineProperty,
	  // 19.1.2.3 Object.defineProperties(O, Properties)
	  defineProperties: $defineProperties,
	  // 19.1.2.6 Object.getOwnPropertyDescriptor(O, P)
	  getOwnPropertyDescriptor: $getOwnPropertyDescriptor,
	  // 19.1.2.7 Object.getOwnPropertyNames(O)
	  getOwnPropertyNames: $getOwnPropertyNames,
	  // 19.1.2.8 Object.getOwnPropertySymbols(O)
	  getOwnPropertySymbols: $getOwnPropertySymbols
	});

	// 24.3.2 JSON.stringify(value [, replacer [, space]])
	$JSON && $export($export.S + $export.F * (!USE_NATIVE || $fails(function () {
	  var S = $Symbol();
	  // MS Edge converts symbol values to JSON as {}
	  // WebKit converts symbol values to JSON as null
	  // V8 throws on boxed symbols
	  return _stringify([S]) != '[null]' || _stringify({ a: S }) != '{}' || _stringify(Object(S)) != '{}';
	})), 'JSON', {
	  stringify: function stringify(it) {
	    if (it === undefined || isSymbol(it)) return; // IE8 returns string on undefined
	    var args = [it],
	        i = 1,
	        replacer,
	        $replacer;
	    while (arguments.length > i) {
	      args.push(arguments[i++]);
	    }replacer = args[1];
	    if (typeof replacer == 'function') $replacer = replacer;
	    if ($replacer || !isArray(replacer)) replacer = function replacer(key, value) {
	      if ($replacer) value = $replacer.call(this, key, value);
	      if (!isSymbol(value)) return value;
	    };
	    args[1] = replacer;
	    return _stringify.apply($JSON, args);
	  }
	});

	// 19.4.3.4 Symbol.prototype[@@toPrimitive](hint)
	$Symbol[PROTOTYPE][TO_PRIMITIVE] || __webpack_require__(22)($Symbol[PROTOTYPE], TO_PRIMITIVE, $Symbol[PROTOTYPE].valueOf);
	// 19.4.3.5 Symbol.prototype[@@toStringTag]
	setToStringTag($Symbol, 'Symbol');
	// 20.2.1.9 Math[@@toStringTag]
	setToStringTag(Math, 'Math', true);
	// 24.3.3 JSON[@@toStringTag]
	setToStringTag(global.JSON, 'JSON', true);

/***/ },
/* 85 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var getNative = __webpack_require__(28),
	    root = __webpack_require__(8);

	/* Built-in method references that are verified to be native. */
	var Map = getNative(root, 'Map');

	module.exports = Map;

/***/ },
/* 86 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var mapCacheClear = __webpack_require__(382),
	    mapCacheDelete = __webpack_require__(383),
	    mapCacheGet = __webpack_require__(384),
	    mapCacheHas = __webpack_require__(385),
	    mapCacheSet = __webpack_require__(386);

	/**
	 * Creates a map cache object to store key-value pairs.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function MapCache(entries) {
	    var index = -1,
	        length = entries == null ? 0 : entries.length;

	    this.clear();
	    while (++index < length) {
	        var entry = entries[index];
	        this.set(entry[0], entry[1]);
	    }
	}

	// Add methods to `MapCache`.
	MapCache.prototype.clear = mapCacheClear;
	MapCache.prototype['delete'] = mapCacheDelete;
	MapCache.prototype.get = mapCacheGet;
	MapCache.prototype.has = mapCacheHas;
	MapCache.prototype.set = mapCacheSet;

	module.exports = MapCache;

/***/ },
/* 87 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * A specialized version of `_.map` for arrays without support for iteratee
	 * shorthands.
	 *
	 * @private
	 * @param {Array} [array] The array to iterate over.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @returns {Array} Returns the new mapped array.
	 */
	function arrayMap(array, iteratee) {
	  var index = -1,
	      length = array == null ? 0 : array.length,
	      result = Array(length);

	  while (++index < length) {
	    result[index] = iteratee(array[index], index, array);
	  }
	  return result;
	}

	module.exports = arrayMap;

/***/ },
/* 88 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseAssignValue = __webpack_require__(137),
	    eq = __webpack_require__(59);

	/** Used for built-in method references. */
	var objectProto = Object.prototype;

	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;

	/**
	 * Assigns `value` to `key` of `object` if the existing value is not equivalent
	 * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
	 * for equality comparisons.
	 *
	 * @private
	 * @param {Object} object The object to modify.
	 * @param {string} key The key of the property to assign.
	 * @param {*} value The value to assign.
	 */
	function assignValue(object, key, value) {
	  var objValue = object[key];
	  if (!(hasOwnProperty.call(object, key) && eq(objValue, value)) || value === undefined && !(key in object)) {
	    baseAssignValue(object, key, value);
	  }
	}

	module.exports = assignValue;

/***/ },
/* 89 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseFindIndex = __webpack_require__(324),
	    baseIsNaN = __webpack_require__(330),
	    strictIndexOf = __webpack_require__(402);

	/**
	 * The base implementation of `_.indexOf` without `fromIndex` bounds checks.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {*} value The value to search for.
	 * @param {number} fromIndex The index to search from.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function baseIndexOf(array, value, fromIndex) {
	    return value === value ? strictIndexOf(array, value, fromIndex) : baseFindIndex(array, baseIsNaN, fromIndex);
	}

	module.exports = baseIndexOf;

/***/ },
/* 90 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var identity = __webpack_require__(98),
	    overRest = __webpack_require__(392),
	    setToString = __webpack_require__(395);

	/**
	 * The base implementation of `_.rest` which doesn't validate or coerce arguments.
	 *
	 * @private
	 * @param {Function} func The function to apply a rest parameter to.
	 * @param {number} [start=func.length-1] The start position of the rest parameter.
	 * @returns {Function} Returns the new function.
	 */
	function baseRest(func, start) {
	  return setToString(overRest(func, start, identity), func + '');
	}

	module.exports = baseRest;

/***/ },
/* 91 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * The base implementation of `_.unary` without support for storing metadata.
	 *
	 * @private
	 * @param {Function} func The function to cap arguments for.
	 * @returns {Function} Returns the new capped function.
	 */
	function baseUnary(func) {
	  return function (value) {
	    return func(value);
	  };
	}

	module.exports = baseUnary;

/***/ },
/* 92 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var Uint8Array = __webpack_require__(313);

	/**
	 * Creates a clone of `arrayBuffer`.
	 *
	 * @private
	 * @param {ArrayBuffer} arrayBuffer The array buffer to clone.
	 * @returns {ArrayBuffer} Returns the cloned array buffer.
	 */
	function cloneArrayBuffer(arrayBuffer) {
	  var result = new arrayBuffer.constructor(arrayBuffer.byteLength);
	  new Uint8Array(result).set(new Uint8Array(arrayBuffer));
	  return result;
	}

	module.exports = cloneArrayBuffer;

/***/ },
/* 93 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseRest = __webpack_require__(90),
	    isIterateeCall = __webpack_require__(144);

	/**
	 * Creates a function like `_.assign`.
	 *
	 * @private
	 * @param {Function} assigner The function to assign values.
	 * @returns {Function} Returns the new assigner function.
	 */
	function createAssigner(assigner) {
	  return baseRest(function (object, sources) {
	    var index = -1,
	        length = sources.length,
	        customizer = length > 1 ? sources[length - 1] : undefined,
	        guard = length > 2 ? sources[2] : undefined;

	    customizer = assigner.length > 3 && typeof customizer == 'function' ? (length--, customizer) : undefined;

	    if (guard && isIterateeCall(sources[0], sources[1], guard)) {
	      customizer = length < 3 ? undefined : customizer;
	      length = 1;
	    }
	    object = Object(object);
	    while (++index < length) {
	      var source = sources[index];
	      if (source) {
	        assigner(object, source, index, customizer);
	      }
	    }
	    return object;
	  });
	}

	module.exports = createAssigner;

/***/ },
/* 94 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var overArg = __webpack_require__(146);

	/** Built-in value references. */
	var getPrototype = overArg(Object.getPrototypeOf, Object);

	module.exports = getPrototype;

/***/ },
/* 95 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var arrayFilter = __webpack_require__(317),
	    stubArray = __webpack_require__(156);

	/** Used for built-in method references. */
	var objectProto = Object.prototype;

	/** Built-in value references. */
	var propertyIsEnumerable = objectProto.propertyIsEnumerable;

	/* Built-in method references for those with the same name as other `lodash` methods. */
	var nativeGetSymbols = Object.getOwnPropertySymbols;

	/**
	 * Creates an array of the own enumerable symbols of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of symbols.
	 */
	var getSymbols = !nativeGetSymbols ? stubArray : function (object) {
	  if (object == null) {
	    return [];
	  }
	  object = Object(object);
	  return arrayFilter(nativeGetSymbols(object), function (symbol) {
	    return propertyIsEnumerable.call(object, symbol);
	  });
	};

	module.exports = getSymbols;

/***/ },
/* 96 */
/***/ function(module, exports) {

	'use strict';

	/** Used as references for various `Number` constants. */
	var MAX_SAFE_INTEGER = 9007199254740991;

	/** Used to detect unsigned integer values. */
	var reIsUint = /^(?:0|[1-9]\d*)$/;

	/**
	 * Checks if `value` is a valid array-like index.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
	 * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
	 */
	function isIndex(value, length) {
	  length = length == null ? MAX_SAFE_INTEGER : length;
	  return !!length && (typeof value == 'number' || reIsUint.test(value)) && value > -1 && value % 1 == 0 && value < length;
	}

	module.exports = isIndex;

/***/ },
/* 97 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Converts `set` to an array of its values.
	 *
	 * @private
	 * @param {Object} set The set to convert.
	 * @returns {Array} Returns the values.
	 */
	function setToArray(set) {
	  var index = -1,
	      result = Array(set.size);

	  set.forEach(function (value) {
	    result[++index] = value;
	  });
	  return result;
	}

	module.exports = setToArray;

/***/ },
/* 98 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * This method returns the first argument it receives.
	 *
	 * @static
	 * @since 0.1.0
	 * @memberOf _
	 * @category Util
	 * @param {*} value Any value.
	 * @returns {*} Returns `value`.
	 * @example
	 *
	 * var object = { 'a': 1 };
	 *
	 * console.log(_.identity(object) === object);
	 * // => true
	 */
	function identity(value) {
	  return value;
	}

	module.exports = identity;

/***/ },
/* 99 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseIndexOf = __webpack_require__(89),
	    isArrayLike = __webpack_require__(33),
	    isString = __webpack_require__(155),
	    toInteger = __webpack_require__(157),
	    values = __webpack_require__(159);

	/* Built-in method references for those with the same name as other `lodash` methods. */
	var nativeMax = Math.max;

	/**
	 * Checks if `value` is in `collection`. If `collection` is a string, it's
	 * checked for a substring of `value`, otherwise
	 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
	 * is used for equality comparisons. If `fromIndex` is negative, it's used as
	 * the offset from the end of `collection`.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Collection
	 * @param {Array|Object|string} collection The collection to inspect.
	 * @param {*} value The value to search for.
	 * @param {number} [fromIndex=0] The index to search from.
	 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.reduce`.
	 * @returns {boolean} Returns `true` if `value` is found, else `false`.
	 * @example
	 *
	 * _.includes([1, 2, 3], 1);
	 * // => true
	 *
	 * _.includes([1, 2, 3], 1, 2);
	 * // => false
	 *
	 * _.includes({ 'a': 1, 'b': 2 }, 1);
	 * // => true
	 *
	 * _.includes('abcd', 'bc');
	 * // => true
	 */
	function includes(collection, value, fromIndex, guard) {
	  collection = isArrayLike(collection) ? collection : values(collection);
	  fromIndex = fromIndex && !guard ? toInteger(fromIndex) : 0;

	  var length = collection.length;
	  if (fromIndex < 0) {
	    fromIndex = nativeMax(length + fromIndex, 0);
	  }
	  return isString(collection) ? fromIndex <= length && collection.indexOf(value, fromIndex) > -1 : !!length && baseIndexOf(collection, value, fromIndex) > -1;
	}

	module.exports = includes;

/***/ },
/* 100 */
/***/ function(module, exports) {

	'use strict';

	/** Used as references for various `Number` constants. */
	var MAX_SAFE_INTEGER = 9007199254740991;

	/**
	 * Checks if `value` is a valid array-like length.
	 *
	 * **Note:** This method is loosely based on
	 * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
	 * @example
	 *
	 * _.isLength(3);
	 * // => true
	 *
	 * _.isLength(Number.MIN_VALUE);
	 * // => false
	 *
	 * _.isLength(Infinity);
	 * // => false
	 *
	 * _.isLength('3');
	 * // => false
	 */
	function isLength(value) {
	  return typeof value == 'number' && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
	}

	module.exports = isLength;

/***/ },
/* 101 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(process) {'use strict';

	// Copyright Joyent, Inc. and other Node contributors.
	//
	// Permission is hereby granted, free of charge, to any person obtaining a
	// copy of this software and associated documentation files (the
	// "Software"), to deal in the Software without restriction, including
	// without limitation the rights to use, copy, modify, merge, publish,
	// distribute, sublicense, and/or sell copies of the Software, and to permit
	// persons to whom the Software is furnished to do so, subject to the
	// following conditions:
	//
	// The above copyright notice and this permission notice shall be included
	// in all copies or substantial portions of the Software.
	//
	// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
	// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
	// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
	// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
	// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
	// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
	// USE OR OTHER DEALINGS IN THE SOFTWARE.

	// resolves . and .. elements in a path array with directory names there
	// must be no slashes, empty elements, or device names (c:\) in the array
	// (so also no leading and trailing slashes - it does not distinguish
	// relative and absolute paths)
	function normalizeArray(parts, allowAboveRoot) {
	  // if the path tries to go above the root, `up` ends up > 0
	  var up = 0;
	  for (var i = parts.length - 1; i >= 0; i--) {
	    var last = parts[i];
	    if (last === '.') {
	      parts.splice(i, 1);
	    } else if (last === '..') {
	      parts.splice(i, 1);
	      up++;
	    } else if (up) {
	      parts.splice(i, 1);
	      up--;
	    }
	  }

	  // if the path is allowed to go above the root, restore leading ..s
	  if (allowAboveRoot) {
	    for (; up--; up) {
	      parts.unshift('..');
	    }
	  }

	  return parts;
	}

	// Split a filename into [root, dir, basename, ext], unix version
	// 'root' is just a slash, or nothing.
	var splitPathRe = /^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;
	var splitPath = function splitPath(filename) {
	  return splitPathRe.exec(filename).slice(1);
	};

	// path.resolve([from ...], to)
	// posix version
	exports.resolve = function () {
	  var resolvedPath = '',
	      resolvedAbsolute = false;

	  for (var i = arguments.length - 1; i >= -1 && !resolvedAbsolute; i--) {
	    var path = i >= 0 ? arguments[i] : process.cwd();

	    // Skip empty and invalid entries
	    if (typeof path !== 'string') {
	      throw new TypeError('Arguments to path.resolve must be strings');
	    } else if (!path) {
	      continue;
	    }

	    resolvedPath = path + '/' + resolvedPath;
	    resolvedAbsolute = path.charAt(0) === '/';
	  }

	  // At this point the path should be resolved to a full absolute path, but
	  // handle relative paths to be safe (might happen when process.cwd() fails)

	  // Normalize the path
	  resolvedPath = normalizeArray(filter(resolvedPath.split('/'), function (p) {
	    return !!p;
	  }), !resolvedAbsolute).join('/');

	  return (resolvedAbsolute ? '/' : '') + resolvedPath || '.';
	};

	// path.normalize(path)
	// posix version
	exports.normalize = function (path) {
	  var isAbsolute = exports.isAbsolute(path),
	      trailingSlash = substr(path, -1) === '/';

	  // Normalize the path
	  path = normalizeArray(filter(path.split('/'), function (p) {
	    return !!p;
	  }), !isAbsolute).join('/');

	  if (!path && !isAbsolute) {
	    path = '.';
	  }
	  if (path && trailingSlash) {
	    path += '/';
	  }

	  return (isAbsolute ? '/' : '') + path;
	};

	// posix version
	exports.isAbsolute = function (path) {
	  return path.charAt(0) === '/';
	};

	// posix version
	exports.join = function () {
	  var paths = Array.prototype.slice.call(arguments, 0);
	  return exports.normalize(filter(paths, function (p, index) {
	    if (typeof p !== 'string') {
	      throw new TypeError('Arguments to path.join must be strings');
	    }
	    return p;
	  }).join('/'));
	};

	// path.relative(from, to)
	// posix version
	exports.relative = function (from, to) {
	  from = exports.resolve(from).substr(1);
	  to = exports.resolve(to).substr(1);

	  function trim(arr) {
	    var start = 0;
	    for (; start < arr.length; start++) {
	      if (arr[start] !== '') break;
	    }

	    var end = arr.length - 1;
	    for (; end >= 0; end--) {
	      if (arr[end] !== '') break;
	    }

	    if (start > end) return [];
	    return arr.slice(start, end - start + 1);
	  }

	  var fromParts = trim(from.split('/'));
	  var toParts = trim(to.split('/'));

	  var length = Math.min(fromParts.length, toParts.length);
	  var samePartsLength = length;
	  for (var i = 0; i < length; i++) {
	    if (fromParts[i] !== toParts[i]) {
	      samePartsLength = i;
	      break;
	    }
	  }

	  var outputParts = [];
	  for (var i = samePartsLength; i < fromParts.length; i++) {
	    outputParts.push('..');
	  }

	  outputParts = outputParts.concat(toParts.slice(samePartsLength));

	  return outputParts.join('/');
	};

	exports.sep = '/';
	exports.delimiter = ':';

	exports.dirname = function (path) {
	  var result = splitPath(path),
	      root = result[0],
	      dir = result[1];

	  if (!root && !dir) {
	    // No dirname whatsoever
	    return '.';
	  }

	  if (dir) {
	    // It has a dirname, strip trailing slash
	    dir = dir.substr(0, dir.length - 1);
	  }

	  return root + dir;
	};

	exports.basename = function (path, ext) {
	  var f = splitPath(path)[2];
	  // TODO: make this comparison case-insensitive on windows?
	  if (ext && f.substr(-1 * ext.length) === ext) {
	    f = f.substr(0, f.length - ext.length);
	  }
	  return f;
	};

	exports.extname = function (path) {
	  return splitPath(path)[3];
	};

	function filter(xs, f) {
	  if (xs.filter) return xs.filter(f);
	  var res = [];
	  for (var i = 0; i < xs.length; i++) {
	    if (f(xs[i], i, xs)) res.push(xs[i]);
	  }
	  return res;
	}

	// String.prototype.substr - negative index don't work in IE8
	var substr = 'ab'.substr(-1) === 'b' ? function (str, start, len) {
	  return str.substr(start, len);
	} : function (str, start, len) {
	  if (start < 0) start = str.length + start;
	  return str.substr(start, len);
	};
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(30)))

/***/ },
/* 102 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(global, process) {'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	// Copyright Joyent, Inc. and other Node contributors.
	//
	// Permission is hereby granted, free of charge, to any person obtaining a
	// copy of this software and associated documentation files (the
	// "Software"), to deal in the Software without restriction, including
	// without limitation the rights to use, copy, modify, merge, publish,
	// distribute, sublicense, and/or sell copies of the Software, and to permit
	// persons to whom the Software is furnished to do so, subject to the
	// following conditions:
	//
	// The above copyright notice and this permission notice shall be included
	// in all copies or substantial portions of the Software.
	//
	// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
	// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
	// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
	// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
	// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
	// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
	// USE OR OTHER DEALINGS IN THE SOFTWARE.

	var formatRegExp = /%[sdj%]/g;
	exports.format = function (f) {
	  if (!isString(f)) {
	    var objects = [];
	    for (var i = 0; i < arguments.length; i++) {
	      objects.push(inspect(arguments[i]));
	    }
	    return objects.join(' ');
	  }

	  var i = 1;
	  var args = arguments;
	  var len = args.length;
	  var str = String(f).replace(formatRegExp, function (x) {
	    if (x === '%%') return '%';
	    if (i >= len) return x;
	    switch (x) {
	      case '%s':
	        return String(args[i++]);
	      case '%d':
	        return Number(args[i++]);
	      case '%j':
	        try {
	          return JSON.stringify(args[i++]);
	        } catch (_) {
	          return '[Circular]';
	        }
	      default:
	        return x;
	    }
	  });
	  for (var x = args[i]; i < len; x = args[++i]) {
	    if (isNull(x) || !isObject(x)) {
	      str += ' ' + x;
	    } else {
	      str += ' ' + inspect(x);
	    }
	  }
	  return str;
	};

	// Mark that a method should not be used.
	// Returns a modified function which warns once by default.
	// If --no-deprecation is set, then it is a no-op.
	exports.deprecate = function (fn, msg) {
	  // Allow for deprecating things in the process of starting up.
	  if (isUndefined(global.process)) {
	    return function () {
	      return exports.deprecate(fn, msg).apply(this, arguments);
	    };
	  }

	  if (process.noDeprecation === true) {
	    return fn;
	  }

	  var warned = false;
	  function deprecated() {
	    if (!warned) {
	      if (process.throwDeprecation) {
	        throw new Error(msg);
	      } else if (process.traceDeprecation) {
	        console.trace(msg);
	      } else {
	        console.error(msg);
	      }
	      warned = true;
	    }
	    return fn.apply(this, arguments);
	  }

	  return deprecated;
	};

	var debugs = {};
	var debugEnviron;
	exports.debuglog = function (set) {
	  if (isUndefined(debugEnviron)) debugEnviron = process.env.NODE_DEBUG || '';
	  set = set.toUpperCase();
	  if (!debugs[set]) {
	    if (new RegExp('\\b' + set + '\\b', 'i').test(debugEnviron)) {
	      var pid = process.pid;
	      debugs[set] = function () {
	        var msg = exports.format.apply(exports, arguments);
	        console.error('%s %d: %s', set, pid, msg);
	      };
	    } else {
	      debugs[set] = function () {};
	    }
	  }
	  return debugs[set];
	};

	/**
	 * Echos the value of a value. Trys to print the value out
	 * in the best way possible given the different types.
	 *
	 * @param {Object} obj The object to print out.
	 * @param {Object} opts Optional options object that alters the output.
	 */
	/* legacy: obj, showHidden, depth, colors*/
	function inspect(obj, opts) {
	  // default options
	  var ctx = {
	    seen: [],
	    stylize: stylizeNoColor
	  };
	  // legacy...
	  if (arguments.length >= 3) ctx.depth = arguments[2];
	  if (arguments.length >= 4) ctx.colors = arguments[3];
	  if (isBoolean(opts)) {
	    // legacy...
	    ctx.showHidden = opts;
	  } else if (opts) {
	    // got an "options" object
	    exports._extend(ctx, opts);
	  }
	  // set default options
	  if (isUndefined(ctx.showHidden)) ctx.showHidden = false;
	  if (isUndefined(ctx.depth)) ctx.depth = 2;
	  if (isUndefined(ctx.colors)) ctx.colors = false;
	  if (isUndefined(ctx.customInspect)) ctx.customInspect = true;
	  if (ctx.colors) ctx.stylize = stylizeWithColor;
	  return formatValue(ctx, obj, ctx.depth);
	}
	exports.inspect = inspect;

	// http://en.wikipedia.org/wiki/ANSI_escape_code#graphics
	inspect.colors = {
	  'bold': [1, 22],
	  'italic': [3, 23],
	  'underline': [4, 24],
	  'inverse': [7, 27],
	  'white': [37, 39],
	  'grey': [90, 39],
	  'black': [30, 39],
	  'blue': [34, 39],
	  'cyan': [36, 39],
	  'green': [32, 39],
	  'magenta': [35, 39],
	  'red': [31, 39],
	  'yellow': [33, 39]
	};

	// Don't use 'blue' not visible on cmd.exe
	inspect.styles = {
	  'special': 'cyan',
	  'number': 'yellow',
	  'boolean': 'yellow',
	  'undefined': 'grey',
	  'null': 'bold',
	  'string': 'green',
	  'date': 'magenta',
	  // "name": intentionally not styling
	  'regexp': 'red'
	};

	function stylizeWithColor(str, styleType) {
	  var style = inspect.styles[styleType];

	  if (style) {
	    return '\x1B[' + inspect.colors[style][0] + 'm' + str + '\x1B[' + inspect.colors[style][1] + 'm';
	  } else {
	    return str;
	  }
	}

	function stylizeNoColor(str, styleType) {
	  return str;
	}

	function arrayToHash(array) {
	  var hash = {};

	  array.forEach(function (val, idx) {
	    hash[val] = true;
	  });

	  return hash;
	}

	function formatValue(ctx, value, recurseTimes) {
	  // Provide a hook for user-specified inspect functions.
	  // Check that value is an object with an inspect function on it
	  if (ctx.customInspect && value && isFunction(value.inspect) &&
	  // Filter out the util module, it's inspect function is special
	  value.inspect !== exports.inspect &&
	  // Also filter out any prototype objects using the circular check.
	  !(value.constructor && value.constructor.prototype === value)) {
	    var ret = value.inspect(recurseTimes, ctx);
	    if (!isString(ret)) {
	      ret = formatValue(ctx, ret, recurseTimes);
	    }
	    return ret;
	  }

	  // Primitive types cannot have properties
	  var primitive = formatPrimitive(ctx, value);
	  if (primitive) {
	    return primitive;
	  }

	  // Look up the keys of the object.
	  var keys = Object.keys(value);
	  var visibleKeys = arrayToHash(keys);

	  if (ctx.showHidden) {
	    keys = Object.getOwnPropertyNames(value);
	  }

	  // IE doesn't make error fields non-enumerable
	  // http://msdn.microsoft.com/en-us/library/ie/dww52sbt(v=vs.94).aspx
	  if (isError(value) && (keys.indexOf('message') >= 0 || keys.indexOf('description') >= 0)) {
	    return formatError(value);
	  }

	  // Some type of object without properties can be shortcutted.
	  if (keys.length === 0) {
	    if (isFunction(value)) {
	      var name = value.name ? ': ' + value.name : '';
	      return ctx.stylize('[Function' + name + ']', 'special');
	    }
	    if (isRegExp(value)) {
	      return ctx.stylize(RegExp.prototype.toString.call(value), 'regexp');
	    }
	    if (isDate(value)) {
	      return ctx.stylize(Date.prototype.toString.call(value), 'date');
	    }
	    if (isError(value)) {
	      return formatError(value);
	    }
	  }

	  var base = '',
	      array = false,
	      braces = ['{', '}'];

	  // Make Array say that they are Array
	  if (isArray(value)) {
	    array = true;
	    braces = ['[', ']'];
	  }

	  // Make functions say that they are functions
	  if (isFunction(value)) {
	    var n = value.name ? ': ' + value.name : '';
	    base = ' [Function' + n + ']';
	  }

	  // Make RegExps say that they are RegExps
	  if (isRegExp(value)) {
	    base = ' ' + RegExp.prototype.toString.call(value);
	  }

	  // Make dates with properties first say the date
	  if (isDate(value)) {
	    base = ' ' + Date.prototype.toUTCString.call(value);
	  }

	  // Make error with message first say the error
	  if (isError(value)) {
	    base = ' ' + formatError(value);
	  }

	  if (keys.length === 0 && (!array || value.length == 0)) {
	    return braces[0] + base + braces[1];
	  }

	  if (recurseTimes < 0) {
	    if (isRegExp(value)) {
	      return ctx.stylize(RegExp.prototype.toString.call(value), 'regexp');
	    } else {
	      return ctx.stylize('[Object]', 'special');
	    }
	  }

	  ctx.seen.push(value);

	  var output;
	  if (array) {
	    output = formatArray(ctx, value, recurseTimes, visibleKeys, keys);
	  } else {
	    output = keys.map(function (key) {
	      return formatProperty(ctx, value, recurseTimes, visibleKeys, key, array);
	    });
	  }

	  ctx.seen.pop();

	  return reduceToSingleString(output, base, braces);
	}

	function formatPrimitive(ctx, value) {
	  if (isUndefined(value)) return ctx.stylize('undefined', 'undefined');
	  if (isString(value)) {
	    var simple = '\'' + JSON.stringify(value).replace(/^"|"$/g, '').replace(/'/g, "\\'").replace(/\\"/g, '"') + '\'';
	    return ctx.stylize(simple, 'string');
	  }
	  if (isNumber(value)) return ctx.stylize('' + value, 'number');
	  if (isBoolean(value)) return ctx.stylize('' + value, 'boolean');
	  // For some reason typeof null is "object", so special case here.
	  if (isNull(value)) return ctx.stylize('null', 'null');
	}

	function formatError(value) {
	  return '[' + Error.prototype.toString.call(value) + ']';
	}

	function formatArray(ctx, value, recurseTimes, visibleKeys, keys) {
	  var output = [];
	  for (var i = 0, l = value.length; i < l; ++i) {
	    if (hasOwnProperty(value, String(i))) {
	      output.push(formatProperty(ctx, value, recurseTimes, visibleKeys, String(i), true));
	    } else {
	      output.push('');
	    }
	  }
	  keys.forEach(function (key) {
	    if (!key.match(/^\d+$/)) {
	      output.push(formatProperty(ctx, value, recurseTimes, visibleKeys, key, true));
	    }
	  });
	  return output;
	}

	function formatProperty(ctx, value, recurseTimes, visibleKeys, key, array) {
	  var name, str, desc;
	  desc = Object.getOwnPropertyDescriptor(value, key) || { value: value[key] };
	  if (desc.get) {
	    if (desc.set) {
	      str = ctx.stylize('[Getter/Setter]', 'special');
	    } else {
	      str = ctx.stylize('[Getter]', 'special');
	    }
	  } else {
	    if (desc.set) {
	      str = ctx.stylize('[Setter]', 'special');
	    }
	  }
	  if (!hasOwnProperty(visibleKeys, key)) {
	    name = '[' + key + ']';
	  }
	  if (!str) {
	    if (ctx.seen.indexOf(desc.value) < 0) {
	      if (isNull(recurseTimes)) {
	        str = formatValue(ctx, desc.value, null);
	      } else {
	        str = formatValue(ctx, desc.value, recurseTimes - 1);
	      }
	      if (str.indexOf('\n') > -1) {
	        if (array) {
	          str = str.split('\n').map(function (line) {
	            return '  ' + line;
	          }).join('\n').substr(2);
	        } else {
	          str = '\n' + str.split('\n').map(function (line) {
	            return '   ' + line;
	          }).join('\n');
	        }
	      }
	    } else {
	      str = ctx.stylize('[Circular]', 'special');
	    }
	  }
	  if (isUndefined(name)) {
	    if (array && key.match(/^\d+$/)) {
	      return str;
	    }
	    name = JSON.stringify('' + key);
	    if (name.match(/^"([a-zA-Z_][a-zA-Z_0-9]*)"$/)) {
	      name = name.substr(1, name.length - 2);
	      name = ctx.stylize(name, 'name');
	    } else {
	      name = name.replace(/'/g, "\\'").replace(/\\"/g, '"').replace(/(^"|"$)/g, "'");
	      name = ctx.stylize(name, 'string');
	    }
	  }

	  return name + ': ' + str;
	}

	function reduceToSingleString(output, base, braces) {
	  var numLinesEst = 0;
	  var length = output.reduce(function (prev, cur) {
	    numLinesEst++;
	    if (cur.indexOf('\n') >= 0) numLinesEst++;
	    return prev + cur.replace(/\u001b\[\d\d?m/g, '').length + 1;
	  }, 0);

	  if (length > 60) {
	    return braces[0] + (base === '' ? '' : base + '\n ') + ' ' + output.join(',\n  ') + ' ' + braces[1];
	  }

	  return braces[0] + base + ' ' + output.join(', ') + ' ' + braces[1];
	}

	// NOTE: These type checking functions intentionally don't use `instanceof`
	// because it is fragile and can be easily faked with `Object.create()`.
	function isArray(ar) {
	  return Array.isArray(ar);
	}
	exports.isArray = isArray;

	function isBoolean(arg) {
	  return typeof arg === 'boolean';
	}
	exports.isBoolean = isBoolean;

	function isNull(arg) {
	  return arg === null;
	}
	exports.isNull = isNull;

	function isNullOrUndefined(arg) {
	  return arg == null;
	}
	exports.isNullOrUndefined = isNullOrUndefined;

	function isNumber(arg) {
	  return typeof arg === 'number';
	}
	exports.isNumber = isNumber;

	function isString(arg) {
	  return typeof arg === 'string';
	}
	exports.isString = isString;

	function isSymbol(arg) {
	  return (typeof arg === 'undefined' ? 'undefined' : _typeof(arg)) === 'symbol';
	}
	exports.isSymbol = isSymbol;

	function isUndefined(arg) {
	  return arg === void 0;
	}
	exports.isUndefined = isUndefined;

	function isRegExp(re) {
	  return isObject(re) && objectToString(re) === '[object RegExp]';
	}
	exports.isRegExp = isRegExp;

	function isObject(arg) {
	  return (typeof arg === 'undefined' ? 'undefined' : _typeof(arg)) === 'object' && arg !== null;
	}
	exports.isObject = isObject;

	function isDate(d) {
	  return isObject(d) && objectToString(d) === '[object Date]';
	}
	exports.isDate = isDate;

	function isError(e) {
	  return isObject(e) && (objectToString(e) === '[object Error]' || e instanceof Error);
	}
	exports.isError = isError;

	function isFunction(arg) {
	  return typeof arg === 'function';
	}
	exports.isFunction = isFunction;

	function isPrimitive(arg) {
	  return arg === null || typeof arg === 'boolean' || typeof arg === 'number' || typeof arg === 'string' || (typeof arg === 'undefined' ? 'undefined' : _typeof(arg)) === 'symbol' || // ES6 symbol
	  typeof arg === 'undefined';
	}
	exports.isPrimitive = isPrimitive;

	exports.isBuffer = __webpack_require__(439);

	function objectToString(o) {
	  return Object.prototype.toString.call(o);
	}

	function pad(n) {
	  return n < 10 ? '0' + n.toString(10) : n.toString(10);
	}

	var months = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];

	// 26 Feb 16:19:34
	function timestamp() {
	  var d = new Date();
	  var time = [pad(d.getHours()), pad(d.getMinutes()), pad(d.getSeconds())].join(':');
	  return [d.getDate(), months[d.getMonth()], time].join(' ');
	}

	// log is just a thin wrapper to console.log that prepends a timestamp
	exports.log = function () {
	  console.log('%s - %s', timestamp(), exports.format.apply(exports, arguments));
	};

	/**
	 * Inherit the prototype methods from one constructor into another.
	 *
	 * The Function.prototype.inherits from lang.js rewritten as a standalone
	 * function (not on Function.prototype). NOTE: If this file is to be loaded
	 * during bootstrapping this function needs to be rewritten using some native
	 * functions as prototype setup using normal JavaScript does not work as
	 * expected during bootstrapping (see mirror.js in r114903).
	 *
	 * @param {function} ctor Constructor function which needs to inherit the
	 *     prototype.
	 * @param {function} superCtor Constructor function to inherit prototype from.
	 */
	exports.inherits = __webpack_require__(438);

	exports._extend = function (origin, add) {
	  // Don't do anything if add isn't an object
	  if (!add || !isObject(add)) return origin;

	  var keys = Object.keys(add);
	  var i = keys.length;
	  while (i--) {
	    origin[keys[i]] = add[keys[i]];
	  }
	  return origin;
	};

	function hasOwnProperty(obj, prop) {
	  return Object.prototype.hasOwnProperty.call(obj, prop);
	}
	/* WEBPACK VAR INJECTION */}.call(exports, (function() { return this; }()), __webpack_require__(30)))

/***/ },
/* 103 */
/***/ function(module, exports) {

	'use strict';

	module.exports = function () {
		return (/[\u001b\u009b][[()#;?]*(?:[0-9]{1,4}(?:;[0-9]{0,4})*)?[0-9A-ORZcf-nqry=><]/g
		);
	};

/***/ },
/* 104 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	exports.default = function (node) {
	  var params = node.params;
	  for (var i = 0; i < params.length; i++) {
	    var param = params[i];
	    if (t.isAssignmentPattern(param) || t.isRestElement(param)) {
	      return i;
	    }
	  }
	  return params.length;
	};

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	module.exports = exports["default"];

/***/ },
/* 105 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.default = function (path, emit) {
	  var kind = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "var";

	  path.traverse(visitor, { kind: kind, emit: emit });
	};

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var visitor = {
	  Scope: function Scope(path, state) {
	    if (state.kind === "let") path.skip();
	  },
	  Function: function Function(path) {
	    path.skip();
	  },
	  VariableDeclaration: function VariableDeclaration(path, state) {
	    if (state.kind && path.node.kind !== state.kind) return;

	    var nodes = [];

	    var declarations = path.get("declarations");
	    var firstId = void 0;

	    for (var _iterator = declarations, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	      var _ref;

	      if (_isArray) {
	        if (_i >= _iterator.length) break;
	        _ref = _iterator[_i++];
	      } else {
	        _i = _iterator.next();
	        if (_i.done) break;
	        _ref = _i.value;
	      }

	      var declar = _ref;

	      firstId = declar.node.id;

	      if (declar.node.init) {
	        nodes.push(t.expressionStatement(t.assignmentExpression("=", declar.node.id, declar.node.init)));
	      }

	      for (var name in declar.getBindingIdentifiers()) {
	        state.emit(t.identifier(name), name);
	      }
	    }

	    if (path.parentPath.isFor({ left: path.node })) {
	      path.replaceWith(firstId);
	    } else {
	      path.replaceWithMultiple(nodes);
	    }
	  }
	};

	module.exports = exports["default"];

/***/ },
/* 106 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	exports.default = function (callee, thisNode, args) {
	  if (args.length === 1 && t.isSpreadElement(args[0]) && t.isIdentifier(args[0].argument, { name: "arguments" })) {
	    return t.callExpression(t.memberExpression(callee, t.identifier("apply")), [thisNode, args[0].argument]);
	  } else {
	    return t.callExpression(t.memberExpression(callee, t.identifier("call")), [thisNode].concat(args));
	  }
	};

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	module.exports = exports["default"];

/***/ },
/* 107 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.is = is;
	exports.pullFlag = pullFlag;

	var _pull = __webpack_require__(419);

	var _pull2 = _interopRequireDefault(_pull);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function is(node, flag) {
	  return t.isRegExpLiteral(node) && node.flags.indexOf(flag) >= 0;
	}

	function pullFlag(node, flag) {
	  var flags = node.flags.split("");
	  if (node.flags.indexOf(flag) < 0) return;
	  (0, _pull2.default)(flags, flag);
	  node.flags = flags.join("");
	}

/***/ },
/* 108 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _classCallCheck2 = __webpack_require__(4);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	var _symbol = __webpack_require__(10);

	var _symbol2 = _interopRequireDefault(_symbol);

	var _babelHelperOptimiseCallExpression = __webpack_require__(106);

	var _babelHelperOptimiseCallExpression2 = _interopRequireDefault(_babelHelperOptimiseCallExpression);

	var _babelMessages = __webpack_require__(42);

	var messages = _interopRequireWildcard(_babelMessages);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var HARDCORE_THIS_REF = (0, _symbol2.default)();

	function isIllegalBareSuper(node, parent) {
	  if (!t.isSuper(node)) return false;
	  if (t.isMemberExpression(parent, { computed: false })) return false;
	  if (t.isCallExpression(parent, { callee: node })) return false;
	  return true;
	}

	function isMemberExpressionSuper(node) {
	  return t.isMemberExpression(node) && t.isSuper(node.object);
	}

	function getPrototypeOfExpression(objectRef, isStatic) {
	  var targetRef = isStatic ? objectRef : t.memberExpression(objectRef, t.identifier("prototype"));

	  return t.logicalExpression("||", t.memberExpression(targetRef, t.identifier("__proto__")), t.callExpression(t.memberExpression(t.identifier("Object"), t.identifier("getPrototypeOf")), [targetRef]));
	}

	var visitor = {
	  Function: function Function(path) {
	    if (!path.inShadow("this")) {
	      path.skip();
	    }
	  },
	  ReturnStatement: function ReturnStatement(path, state) {
	    if (!path.inShadow("this")) {
	      state.returns.push(path);
	    }
	  },
	  ThisExpression: function ThisExpression(path, state) {
	    if (!path.node[HARDCORE_THIS_REF]) {
	      state.thises.push(path);
	    }
	  },
	  enter: function enter(path, state) {
	    var callback = state.specHandle;
	    if (state.isLoose) callback = state.looseHandle;

	    var isBareSuper = path.isCallExpression() && path.get("callee").isSuper();

	    var result = callback.call(state, path);

	    if (result) {
	      state.hasSuper = true;
	    }

	    if (isBareSuper) {
	      state.bareSupers.push(path);
	    }

	    if (result === true) {
	      path.requeue();
	    }

	    if (result !== true && result) {
	      if (Array.isArray(result)) {
	        path.replaceWithMultiple(result);
	      } else {
	        path.replaceWith(result);
	      }
	    }
	  }
	};

	var ReplaceSupers = function () {
	  function ReplaceSupers(opts) {
	    var inClass = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
	    (0, _classCallCheck3.default)(this, ReplaceSupers);

	    this.forceSuperMemoisation = opts.forceSuperMemoisation;
	    this.methodPath = opts.methodPath;
	    this.methodNode = opts.methodNode;
	    this.superRef = opts.superRef;
	    this.isStatic = opts.isStatic;
	    this.hasSuper = false;
	    this.inClass = inClass;
	    this.isLoose = opts.isLoose;
	    this.scope = this.methodPath.scope;
	    this.file = opts.file;
	    this.opts = opts;

	    this.bareSupers = [];
	    this.returns = [];
	    this.thises = [];
	  }

	  ReplaceSupers.prototype.getObjectRef = function getObjectRef() {
	    return this.opts.objectRef || this.opts.getObjectRef();
	  };

	  ReplaceSupers.prototype.setSuperProperty = function setSuperProperty(property, value, isComputed) {
	    return t.callExpression(this.file.addHelper("set"), [getPrototypeOfExpression(this.getObjectRef(), this.isStatic), isComputed ? property : t.stringLiteral(property.name), value, t.thisExpression()]);
	  };

	  ReplaceSupers.prototype.getSuperProperty = function getSuperProperty(property, isComputed) {
	    return t.callExpression(this.file.addHelper("get"), [getPrototypeOfExpression(this.getObjectRef(), this.isStatic), isComputed ? property : t.stringLiteral(property.name), t.thisExpression()]);
	  };

	  ReplaceSupers.prototype.replace = function replace() {
	    this.methodPath.traverse(visitor, this);
	  };

	  ReplaceSupers.prototype.getLooseSuperProperty = function getLooseSuperProperty(id, parent) {
	    var methodNode = this.methodNode;
	    var superRef = this.superRef || t.identifier("Function");

	    if (parent.property === id) {
	      return;
	    } else if (t.isCallExpression(parent, { callee: id })) {
	      return;
	    } else if (t.isMemberExpression(parent) && !methodNode.static) {
	      return t.memberExpression(superRef, t.identifier("prototype"));
	    } else {
	      return superRef;
	    }
	  };

	  ReplaceSupers.prototype.looseHandle = function looseHandle(path) {
	    var node = path.node;
	    if (path.isSuper()) {
	      return this.getLooseSuperProperty(node, path.parent);
	    } else if (path.isCallExpression()) {
	      var callee = node.callee;
	      if (!t.isMemberExpression(callee)) return;
	      if (!t.isSuper(callee.object)) return;

	      t.appendToMemberExpression(callee, t.identifier("call"));
	      node.arguments.unshift(t.thisExpression());
	      return true;
	    }
	  };

	  ReplaceSupers.prototype.specHandleAssignmentExpression = function specHandleAssignmentExpression(ref, path, node) {
	    if (node.operator === "=") {
	      return this.setSuperProperty(node.left.property, node.right, node.left.computed);
	    } else {
	      ref = ref || path.scope.generateUidIdentifier("ref");
	      return [t.variableDeclaration("var", [t.variableDeclarator(ref, node.left)]), t.expressionStatement(t.assignmentExpression("=", node.left, t.binaryExpression(node.operator[0], ref, node.right)))];
	    }
	  };

	  ReplaceSupers.prototype.specHandle = function specHandle(path) {
	    var property = void 0;
	    var computed = void 0;
	    var args = void 0;

	    var parent = path.parent;
	    var node = path.node;

	    if (isIllegalBareSuper(node, parent)) {
	      throw path.buildCodeFrameError(messages.get("classesIllegalBareSuper"));
	    }

	    if (t.isCallExpression(node)) {
	      var callee = node.callee;
	      if (t.isSuper(callee)) {
	        return;
	      } else if (isMemberExpressionSuper(callee)) {
	        property = callee.property;
	        computed = callee.computed;
	        args = node.arguments;
	      }
	    } else if (t.isMemberExpression(node) && t.isSuper(node.object)) {
	      property = node.property;
	      computed = node.computed;
	    } else if (t.isUpdateExpression(node) && isMemberExpressionSuper(node.argument)) {
	      var binary = t.binaryExpression(node.operator[0], node.argument, t.numericLiteral(1));
	      if (node.prefix) {
	        return this.specHandleAssignmentExpression(null, path, binary);
	      } else {
	        var ref = path.scope.generateUidIdentifier("ref");
	        return this.specHandleAssignmentExpression(ref, path, binary).concat(t.expressionStatement(ref));
	      }
	    } else if (t.isAssignmentExpression(node) && isMemberExpressionSuper(node.left)) {
	      return this.specHandleAssignmentExpression(null, path, node);
	    }

	    if (!property) return;

	    var superProperty = this.getSuperProperty(property, computed);

	    if (args) {
	      return this.optimiseCall(superProperty, args);
	    } else {
	      return superProperty;
	    }
	  };

	  ReplaceSupers.prototype.optimiseCall = function optimiseCall(callee, args) {
	    var thisNode = t.thisExpression();
	    thisNode[HARDCORE_THIS_REF] = true;
	    return (0, _babelHelperOptimiseCallExpression2.default)(callee, thisNode, args);
	  };

	  return ReplaceSupers;
	}();

	exports.default = ReplaceSupers;
	module.exports = exports["default"];

/***/ },
/* 109 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	var _classCallCheck2 = __webpack_require__(4);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	var _babelTraverse = __webpack_require__(12);

	var _babelHelperReplaceSupers = __webpack_require__(108);

	var _babelHelperReplaceSupers2 = _interopRequireDefault(_babelHelperReplaceSupers);

	var _babelHelperOptimiseCallExpression = __webpack_require__(106);

	var _babelHelperOptimiseCallExpression2 = _interopRequireDefault(_babelHelperOptimiseCallExpression);

	var _babelHelperDefineMap = __webpack_require__(171);

	var defineMap = _interopRequireWildcard(_babelHelperDefineMap);

	var _babelTemplate = __webpack_require__(5);

	var _babelTemplate2 = _interopRequireDefault(_babelTemplate);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var buildDerivedConstructor = (0, _babelTemplate2.default)("\n  (function () {\n    super(...arguments);\n  })\n");

	var noMethodVisitor = {
	  "FunctionExpression|FunctionDeclaration": function FunctionExpressionFunctionDeclaration(path) {
	    if (!path.is("shadow")) {
	      path.skip();
	    }
	  },
	  Method: function Method(path) {
	    path.skip();
	  }
	};

	var verifyConstructorVisitor = _babelTraverse.visitors.merge([noMethodVisitor, {
	  Super: function Super(path) {
	    if (this.isDerived && !this.hasBareSuper && !path.parentPath.isCallExpression({ callee: path.node })) {
	      throw path.buildCodeFrameError("'super.*' is not allowed before super()");
	    }
	  },

	  CallExpression: {
	    exit: function exit(path) {
	      if (path.get("callee").isSuper()) {
	        this.hasBareSuper = true;

	        if (!this.isDerived) {
	          throw path.buildCodeFrameError("super() is only allowed in a derived constructor");
	        }
	      }
	    }
	  },

	  ThisExpression: function ThisExpression(path) {
	    if (this.isDerived && !this.hasBareSuper) {
	      if (!path.inShadow("this")) {
	        throw path.buildCodeFrameError("'this' is not allowed before super()");
	      }
	    }
	  }
	}]);

	var findThisesVisitor = _babelTraverse.visitors.merge([noMethodVisitor, {
	  ThisExpression: function ThisExpression(path) {
	    this.superThises.push(path);
	  }
	}]);

	var ClassTransformer = function () {
	  function ClassTransformer(path, file) {
	    (0, _classCallCheck3.default)(this, ClassTransformer);

	    this.parent = path.parent;
	    this.scope = path.scope;
	    this.node = path.node;
	    this.path = path;
	    this.file = file;

	    this.clearDescriptors();

	    this.instancePropBody = [];
	    this.instancePropRefs = {};
	    this.staticPropBody = [];
	    this.body = [];

	    this.bareSuperAfter = [];
	    this.bareSupers = [];

	    this.pushedConstructor = false;
	    this.pushedInherits = false;
	    this.isLoose = false;

	    this.superThises = [];

	    this.classId = this.node.id;

	    this.classRef = this.node.id ? t.identifier(this.node.id.name) : this.scope.generateUidIdentifier("class");

	    this.superName = this.node.superClass || t.identifier("Function");
	    this.isDerived = !!this.node.superClass;
	  }

	  ClassTransformer.prototype.run = function run() {
	    var _this = this;

	    var superName = this.superName;
	    var file = this.file;
	    var body = this.body;

	    var constructorBody = this.constructorBody = t.blockStatement([]);
	    this.constructor = this.buildConstructor();

	    var closureParams = [];
	    var closureArgs = [];

	    if (this.isDerived) {
	      closureArgs.push(superName);

	      superName = this.scope.generateUidIdentifierBasedOnNode(superName);
	      closureParams.push(superName);

	      this.superName = superName;
	    }

	    this.buildBody();

	    constructorBody.body.unshift(t.expressionStatement(t.callExpression(file.addHelper("classCallCheck"), [t.thisExpression(), this.classRef])));

	    body = body.concat(this.staticPropBody.map(function (fn) {
	      return fn(_this.classRef);
	    }));

	    if (this.classId) {
	      if (body.length === 1) return t.toExpression(body[0]);
	    }

	    body.push(t.returnStatement(this.classRef));

	    var container = t.functionExpression(null, closureParams, t.blockStatement(body));
	    container.shadow = true;
	    return t.callExpression(container, closureArgs);
	  };

	  ClassTransformer.prototype.buildConstructor = function buildConstructor() {
	    var func = t.functionDeclaration(this.classRef, [], this.constructorBody);
	    t.inherits(func, this.node);
	    return func;
	  };

	  ClassTransformer.prototype.pushToMap = function pushToMap(node, enumerable) {
	    var kind = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "value";
	    var scope = arguments[3];

	    var mutatorMap = void 0;
	    if (node.static) {
	      this.hasStaticDescriptors = true;
	      mutatorMap = this.staticMutatorMap;
	    } else {
	      this.hasInstanceDescriptors = true;
	      mutatorMap = this.instanceMutatorMap;
	    }

	    var map = defineMap.push(mutatorMap, node, kind, this.file, scope);

	    if (enumerable) {
	      map.enumerable = t.booleanLiteral(true);
	    }

	    return map;
	  };

	  ClassTransformer.prototype.constructorMeMaybe = function constructorMeMaybe() {
	    var hasConstructor = false;
	    var paths = this.path.get("body.body");
	    for (var _iterator = paths, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	      var _ref;

	      if (_isArray) {
	        if (_i >= _iterator.length) break;
	        _ref = _iterator[_i++];
	      } else {
	        _i = _iterator.next();
	        if (_i.done) break;
	        _ref = _i.value;
	      }

	      var path = _ref;

	      hasConstructor = path.equals("kind", "constructor");
	      if (hasConstructor) break;
	    }
	    if (hasConstructor) return;

	    var params = void 0,
	        body = void 0;

	    if (this.isDerived) {
	      var _constructor = buildDerivedConstructor().expression;
	      params = _constructor.params;
	      body = _constructor.body;
	    } else {
	      params = [];
	      body = t.blockStatement([]);
	    }

	    this.path.get("body").unshiftContainer("body", t.classMethod("constructor", t.identifier("constructor"), params, body));
	  };

	  ClassTransformer.prototype.buildBody = function buildBody() {
	    this.constructorMeMaybe();
	    this.pushBody();
	    this.verifyConstructor();

	    if (this.userConstructor) {
	      var constructorBody = this.constructorBody;
	      constructorBody.body = constructorBody.body.concat(this.userConstructor.body.body);
	      t.inherits(this.constructor, this.userConstructor);
	      t.inherits(constructorBody, this.userConstructor.body);
	    }

	    this.pushDescriptors();
	  };

	  ClassTransformer.prototype.pushBody = function pushBody() {
	    var classBodyPaths = this.path.get("body.body");

	    for (var _iterator2 = classBodyPaths, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	      var _ref2;

	      if (_isArray2) {
	        if (_i2 >= _iterator2.length) break;
	        _ref2 = _iterator2[_i2++];
	      } else {
	        _i2 = _iterator2.next();
	        if (_i2.done) break;
	        _ref2 = _i2.value;
	      }

	      var path = _ref2;

	      var node = path.node;

	      if (path.isClassProperty()) {
	        throw path.buildCodeFrameError("Missing class properties transform.");
	      }

	      if (node.decorators) {
	        throw path.buildCodeFrameError("Method has decorators, put the decorator plugin before the classes one.");
	      }

	      if (t.isClassMethod(node)) {
	        var isConstructor = node.kind === "constructor";

	        if (isConstructor) {
	          path.traverse(verifyConstructorVisitor, this);

	          if (!this.hasBareSuper && this.isDerived) {
	            throw path.buildCodeFrameError("missing super() call in constructor");
	          }
	        }

	        var replaceSupers = new _babelHelperReplaceSupers2.default({
	          forceSuperMemoisation: isConstructor,
	          methodPath: path,
	          methodNode: node,
	          objectRef: this.classRef,
	          superRef: this.superName,
	          isStatic: node.static,
	          isLoose: this.isLoose,
	          scope: this.scope,
	          file: this.file
	        }, true);

	        replaceSupers.replace();

	        if (isConstructor) {
	          this.pushConstructor(replaceSupers, node, path);
	        } else {
	          this.pushMethod(node, path);
	        }
	      }
	    }
	  };

	  ClassTransformer.prototype.clearDescriptors = function clearDescriptors() {
	    this.hasInstanceDescriptors = false;
	    this.hasStaticDescriptors = false;

	    this.instanceMutatorMap = {};
	    this.staticMutatorMap = {};
	  };

	  ClassTransformer.prototype.pushDescriptors = function pushDescriptors() {
	    this.pushInherits();

	    var body = this.body;

	    var instanceProps = void 0;
	    var staticProps = void 0;

	    if (this.hasInstanceDescriptors) {
	      instanceProps = defineMap.toClassObject(this.instanceMutatorMap);
	    }

	    if (this.hasStaticDescriptors) {
	      staticProps = defineMap.toClassObject(this.staticMutatorMap);
	    }

	    if (instanceProps || staticProps) {
	      if (instanceProps) instanceProps = defineMap.toComputedObjectFromClass(instanceProps);
	      if (staticProps) staticProps = defineMap.toComputedObjectFromClass(staticProps);

	      var nullNode = t.nullLiteral();

	      var args = [this.classRef, nullNode, nullNode, nullNode, nullNode];

	      if (instanceProps) args[1] = instanceProps;
	      if (staticProps) args[2] = staticProps;

	      if (this.instanceInitializersId) {
	        args[3] = this.instanceInitializersId;
	        body.unshift(this.buildObjectAssignment(this.instanceInitializersId));
	      }

	      if (this.staticInitializersId) {
	        args[4] = this.staticInitializersId;
	        body.unshift(this.buildObjectAssignment(this.staticInitializersId));
	      }

	      var lastNonNullIndex = 0;
	      for (var i = 0; i < args.length; i++) {
	        if (args[i] !== nullNode) lastNonNullIndex = i;
	      }
	      args = args.slice(0, lastNonNullIndex + 1);

	      body.push(t.expressionStatement(t.callExpression(this.file.addHelper("createClass"), args)));
	    }

	    this.clearDescriptors();
	  };

	  ClassTransformer.prototype.buildObjectAssignment = function buildObjectAssignment(id) {
	    return t.variableDeclaration("var", [t.variableDeclarator(id, t.objectExpression([]))]);
	  };

	  ClassTransformer.prototype.wrapSuperCall = function wrapSuperCall(bareSuper, superRef, thisRef, body) {
	    var bareSuperNode = bareSuper.node;

	    if (this.isLoose) {
	      bareSuperNode.arguments.unshift(t.thisExpression());
	      if (bareSuperNode.arguments.length === 2 && t.isSpreadElement(bareSuperNode.arguments[1]) && t.isIdentifier(bareSuperNode.arguments[1].argument, { name: "arguments" })) {
	        bareSuperNode.arguments[1] = bareSuperNode.arguments[1].argument;
	        bareSuperNode.callee = t.memberExpression(superRef, t.identifier("apply"));
	      } else {
	        bareSuperNode.callee = t.memberExpression(superRef, t.identifier("call"));
	      }
	    } else {
	      bareSuperNode = (0, _babelHelperOptimiseCallExpression2.default)(t.logicalExpression("||", t.memberExpression(this.classRef, t.identifier("__proto__")), t.callExpression(t.memberExpression(t.identifier("Object"), t.identifier("getPrototypeOf")), [this.classRef])), t.thisExpression(), bareSuperNode.arguments);
	    }

	    var call = t.callExpression(this.file.addHelper("possibleConstructorReturn"), [t.thisExpression(), bareSuperNode]);

	    var bareSuperAfter = this.bareSuperAfter.map(function (fn) {
	      return fn(thisRef);
	    });

	    if (bareSuper.parentPath.isExpressionStatement() && bareSuper.parentPath.container === body.node.body && body.node.body.length - 1 === bareSuper.parentPath.key) {

	      if (this.superThises.length || bareSuperAfter.length) {
	        bareSuper.scope.push({ id: thisRef });
	        call = t.assignmentExpression("=", thisRef, call);
	      }

	      if (bareSuperAfter.length) {
	        call = t.toSequenceExpression([call].concat(bareSuperAfter, [thisRef]));
	      }

	      bareSuper.parentPath.replaceWith(t.returnStatement(call));
	    } else {
	      bareSuper.replaceWithMultiple([t.variableDeclaration("var", [t.variableDeclarator(thisRef, call)])].concat(bareSuperAfter, [t.expressionStatement(thisRef)]));
	    }
	  };

	  ClassTransformer.prototype.verifyConstructor = function verifyConstructor() {
	    var _this2 = this;

	    if (!this.isDerived) return;

	    var path = this.userConstructorPath;
	    var body = path.get("body");

	    path.traverse(findThisesVisitor, this);

	    var guaranteedSuperBeforeFinish = !!this.bareSupers.length;

	    var superRef = this.superName || t.identifier("Function");
	    var thisRef = path.scope.generateUidIdentifier("this");

	    for (var _iterator3 = this.bareSupers, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : (0, _getIterator3.default)(_iterator3);;) {
	      var _ref3;

	      if (_isArray3) {
	        if (_i3 >= _iterator3.length) break;
	        _ref3 = _iterator3[_i3++];
	      } else {
	        _i3 = _iterator3.next();
	        if (_i3.done) break;
	        _ref3 = _i3.value;
	      }

	      var bareSuper = _ref3;

	      this.wrapSuperCall(bareSuper, superRef, thisRef, body);

	      if (guaranteedSuperBeforeFinish) {
	        bareSuper.find(function (parentPath) {
	          if (parentPath === path) {
	            return true;
	          }

	          if (parentPath.isLoop() || parentPath.isConditional()) {
	            guaranteedSuperBeforeFinish = false;
	            return true;
	          }
	        });
	      }
	    }

	    for (var _iterator4 = this.superThises, _isArray4 = Array.isArray(_iterator4), _i4 = 0, _iterator4 = _isArray4 ? _iterator4 : (0, _getIterator3.default)(_iterator4);;) {
	      var _ref4;

	      if (_isArray4) {
	        if (_i4 >= _iterator4.length) break;
	        _ref4 = _iterator4[_i4++];
	      } else {
	        _i4 = _iterator4.next();
	        if (_i4.done) break;
	        _ref4 = _i4.value;
	      }

	      var thisPath = _ref4;

	      thisPath.replaceWith(thisRef);
	    }

	    var wrapReturn = function wrapReturn(returnArg) {
	      return t.callExpression(_this2.file.addHelper("possibleConstructorReturn"), [thisRef].concat(returnArg || []));
	    };

	    var bodyPaths = body.get("body");
	    if (bodyPaths.length && !bodyPaths.pop().isReturnStatement()) {
	      body.pushContainer("body", t.returnStatement(guaranteedSuperBeforeFinish ? thisRef : wrapReturn()));
	    }

	    for (var _iterator5 = this.superReturns, _isArray5 = Array.isArray(_iterator5), _i5 = 0, _iterator5 = _isArray5 ? _iterator5 : (0, _getIterator3.default)(_iterator5);;) {
	      var _ref5;

	      if (_isArray5) {
	        if (_i5 >= _iterator5.length) break;
	        _ref5 = _iterator5[_i5++];
	      } else {
	        _i5 = _iterator5.next();
	        if (_i5.done) break;
	        _ref5 = _i5.value;
	      }

	      var returnPath = _ref5;

	      if (returnPath.node.argument) {
	        var ref = returnPath.scope.generateDeclaredUidIdentifier("ret");
	        returnPath.get("argument").replaceWithMultiple([t.assignmentExpression("=", ref, returnPath.node.argument), wrapReturn(ref)]);
	      } else {
	        returnPath.get("argument").replaceWith(wrapReturn());
	      }
	    }
	  };

	  ClassTransformer.prototype.pushMethod = function pushMethod(node, path) {
	    var scope = path ? path.scope : this.scope;

	    if (node.kind === "method") {
	      if (this._processMethod(node, scope)) return;
	    }

	    this.pushToMap(node, false, null, scope);
	  };

	  ClassTransformer.prototype._processMethod = function _processMethod() {
	    return false;
	  };

	  ClassTransformer.prototype.pushConstructor = function pushConstructor(replaceSupers, method, path) {
	    this.bareSupers = replaceSupers.bareSupers;
	    this.superReturns = replaceSupers.returns;

	    if (path.scope.hasOwnBinding(this.classRef.name)) {
	      path.scope.rename(this.classRef.name);
	    }

	    var construct = this.constructor;

	    this.userConstructorPath = path;
	    this.userConstructor = method;
	    this.hasConstructor = true;

	    t.inheritsComments(construct, method);

	    construct._ignoreUserWhitespace = true;
	    construct.params = method.params;

	    t.inherits(construct.body, method.body);
	    construct.body.directives = method.body.directives;

	    this._pushConstructor();
	  };

	  ClassTransformer.prototype._pushConstructor = function _pushConstructor() {
	    if (this.pushedConstructor) return;
	    this.pushedConstructor = true;

	    if (this.hasInstanceDescriptors || this.hasStaticDescriptors) {
	      this.pushDescriptors();
	    }

	    this.body.push(this.constructor);

	    this.pushInherits();
	  };

	  ClassTransformer.prototype.pushInherits = function pushInherits() {
	    if (!this.isDerived || this.pushedInherits) return;

	    this.pushedInherits = true;
	    this.body.unshift(t.expressionStatement(t.callExpression(this.file.addHelper("inherits"), [this.classRef, this.superName])));
	  };

	  return ClassTransformer;
	}();

	exports.default = ClassTransformer;
	module.exports = exports["default"];

/***/ },
/* 110 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _create = __webpack_require__(9);

	var _create2 = _interopRequireDefault(_create);

	exports.default = function (_ref) {
	  var t = _ref.types;

	  function isValidRequireCall(path) {
	    if (!path.isCallExpression()) return false;
	    if (!path.get("callee").isIdentifier({ name: "require" })) return false;
	    if (path.scope.getBinding("require")) return false;

	    var args = path.get("arguments");
	    if (args.length !== 1) return false;

	    var arg = args[0];
	    if (!arg.isStringLiteral()) return false;

	    return true;
	  }

	  var amdVisitor = {
	    ReferencedIdentifier: function ReferencedIdentifier(_ref2) {
	      var node = _ref2.node;
	      var scope = _ref2.scope;

	      if (node.name === "exports" && !scope.getBinding("exports")) {
	        this.hasExports = true;
	      }

	      if (node.name === "module" && !scope.getBinding("module")) {
	        this.hasModule = true;
	      }
	    },
	    CallExpression: function CallExpression(path) {
	      if (!isValidRequireCall(path)) return;
	      this.bareSources.push(path.node.arguments[0]);
	      path.remove();
	    },
	    VariableDeclarator: function VariableDeclarator(path) {
	      var id = path.get("id");
	      if (!id.isIdentifier()) return;

	      var init = path.get("init");
	      if (!isValidRequireCall(init)) return;

	      var source = init.node.arguments[0];
	      this.sourceNames[source.value] = true;
	      this.sources.push([id.node, source]);

	      path.remove();
	    }
	  };

	  return {
	    inherits: __webpack_require__(111),

	    pre: function pre() {
	      this.sources = [];
	      this.sourceNames = (0, _create2.default)(null);

	      this.bareSources = [];

	      this.hasExports = false;
	      this.hasModule = false;
	    },

	    visitor: {
	      Program: {
	        exit: function exit(path) {
	          var _this = this;

	          if (this.ran) return;
	          this.ran = true;

	          path.traverse(amdVisitor, this);

	          var params = this.sources.map(function (source) {
	            return source[0];
	          });
	          var sources = this.sources.map(function (source) {
	            return source[1];
	          });

	          sources = sources.concat(this.bareSources.filter(function (str) {
	            return !_this.sourceNames[str.value];
	          }));

	          var moduleName = this.getModuleName();
	          if (moduleName) moduleName = t.stringLiteral(moduleName);

	          if (this.hasExports) {
	            sources.unshift(t.stringLiteral("exports"));
	            params.unshift(t.identifier("exports"));
	          }

	          if (this.hasModule) {
	            sources.unshift(t.stringLiteral("module"));
	            params.unshift(t.identifier("module"));
	          }

	          var node = path.node;

	          var factory = buildFactory({
	            PARAMS: params,
	            BODY: node.body
	          });
	          factory.expression.body.directives = node.directives;
	          node.directives = [];

	          node.body = [buildDefine({
	            MODULE_NAME: moduleName,
	            SOURCES: sources,
	            FACTORY: factory
	          })];
	        }
	      }
	    }
	  };
	};

	var _babelTemplate = __webpack_require__(5);

	var _babelTemplate2 = _interopRequireDefault(_babelTemplate);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var buildDefine = (0, _babelTemplate2.default)("\n  define(MODULE_NAME, [SOURCES], FACTORY);\n");

	var buildFactory = (0, _babelTemplate2.default)("\n  (function (PARAMS) {\n    BODY;\n  })\n");

	module.exports = exports["default"];

/***/ },
/* 111 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _keys = __webpack_require__(31);

	var _keys2 = _interopRequireDefault(_keys);

	var _create = __webpack_require__(9);

	var _create2 = _interopRequireDefault(_create);

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	var _symbol = __webpack_require__(10);

	var _symbol2 = _interopRequireDefault(_symbol);

	exports.default = function () {
	  var REASSIGN_REMAP_SKIP = (0, _symbol2.default)();

	  var reassignmentVisitor = {
	    ReferencedIdentifier: function ReferencedIdentifier(path) {
	      var name = path.node.name;
	      var remap = this.remaps[name];
	      if (!remap) return;

	      if (this.scope.getBinding(name) !== path.scope.getBinding(name)) return;

	      if (path.parentPath.isCallExpression({ callee: path.node })) {
	        path.replaceWith(t.sequenceExpression([t.numericLiteral(0), remap]));
	      } else if (path.isJSXIdentifier() && t.isMemberExpression(remap)) {
	        var object = remap.object;
	        var property = remap.property;

	        path.replaceWith(t.JSXMemberExpression(t.JSXIdentifier(object.name), t.JSXIdentifier(property.name)));
	      } else {
	        path.replaceWith(remap);
	      }
	      this.requeueInParent(path);
	    },
	    AssignmentExpression: function AssignmentExpression(path) {
	      var node = path.node;
	      if (node[REASSIGN_REMAP_SKIP]) return;

	      var left = path.get("left");
	      if (!left.isIdentifier()) return;

	      var name = left.node.name;
	      var exports = this.exports[name];
	      if (!exports) return;

	      if (this.scope.getBinding(name) !== path.scope.getBinding(name)) return;

	      node[REASSIGN_REMAP_SKIP] = true;

	      for (var _iterator = exports, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	        var _ref;

	        if (_isArray) {
	          if (_i >= _iterator.length) break;
	          _ref = _iterator[_i++];
	        } else {
	          _i = _iterator.next();
	          if (_i.done) break;
	          _ref = _i.value;
	        }

	        var reid = _ref;

	        node = buildExportsAssignment(reid, node).expression;
	      }

	      path.replaceWith(node);
	      this.requeueInParent(path);
	    },
	    UpdateExpression: function UpdateExpression(path) {
	      var arg = path.get("argument");
	      if (!arg.isIdentifier()) return;

	      var name = arg.node.name;
	      var exports = this.exports[name];
	      if (!exports) return;

	      if (this.scope.getBinding(name) !== path.scope.getBinding(name)) return;

	      var node = t.assignmentExpression(path.node.operator[0] + "=", arg.node, t.numericLiteral(1));

	      if (path.parentPath.isExpressionStatement() && !path.isCompletionRecord() || path.node.prefix) {
	        path.replaceWith(node);
	        this.requeueInParent(path);
	        return;
	      }

	      var nodes = [];
	      nodes.push(node);

	      var operator = void 0;
	      if (path.node.operator === "--") {
	        operator = "+";
	      } else {
	        operator = "-";
	      }
	      nodes.push(t.binaryExpression(operator, arg.node, t.numericLiteral(1)));

	      path.replaceWithMultiple(t.sequenceExpression(nodes));
	    }
	  };

	  return {
	    inherits: __webpack_require__(207),

	    visitor: {
	      ThisExpression: function ThisExpression(path, state) {
	        if (this.ranCommonJS) return;

	        if (state.opts.allowTopLevelThis !== true && !path.findParent(function (path) {
	          return !path.is("shadow") && THIS_BREAK_KEYS.indexOf(path.type) >= 0;
	        })) {
	          path.replaceWith(t.identifier("undefined"));
	        }
	      },

	      Program: {
	        exit: function exit(path) {
	          this.ranCommonJS = true;

	          var strict = !!this.opts.strict;

	          var scope = path.scope;

	          scope.rename("module");
	          scope.rename("exports");
	          scope.rename("require");

	          var hasExports = false;
	          var hasImports = false;

	          var body = path.get("body");
	          var imports = (0, _create2.default)(null);
	          var exports = (0, _create2.default)(null);

	          var nonHoistedExportNames = (0, _create2.default)(null);

	          var topNodes = [];
	          var remaps = (0, _create2.default)(null);

	          var requires = (0, _create2.default)(null);

	          function addRequire(source, blockHoist) {
	            var cached = requires[source];
	            if (cached) return cached;

	            var ref = path.scope.generateUidIdentifier((0, _path2.basename)(source, (0, _path2.extname)(source)));

	            var varDecl = t.variableDeclaration("var", [t.variableDeclarator(ref, buildRequire(t.stringLiteral(source)).expression)]);

	            if (imports[source]) {
	              varDecl.loc = imports[source].loc;
	            }

	            if (typeof blockHoist === "number" && blockHoist > 0) {
	              varDecl._blockHoist = blockHoist;
	            }

	            topNodes.push(varDecl);

	            return requires[source] = ref;
	          }

	          function addTo(obj, key, arr) {
	            var existing = obj[key] || [];
	            obj[key] = existing.concat(arr);
	          }

	          for (var _iterator2 = body, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	            var _ref2;

	            if (_isArray2) {
	              if (_i2 >= _iterator2.length) break;
	              _ref2 = _iterator2[_i2++];
	            } else {
	              _i2 = _iterator2.next();
	              if (_i2.done) break;
	              _ref2 = _i2.value;
	            }

	            var _path = _ref2;

	            if (_path.isExportDeclaration()) {
	              hasExports = true;

	              var specifiers = [].concat(_path.get("declaration"), _path.get("specifiers"));
	              for (var _iterator4 = specifiers, _isArray4 = Array.isArray(_iterator4), _i4 = 0, _iterator4 = _isArray4 ? _iterator4 : (0, _getIterator3.default)(_iterator4);;) {
	                var _ref4;

	                if (_isArray4) {
	                  if (_i4 >= _iterator4.length) break;
	                  _ref4 = _iterator4[_i4++];
	                } else {
	                  _i4 = _iterator4.next();
	                  if (_i4.done) break;
	                  _ref4 = _i4.value;
	                }

	                var _specifier2 = _ref4;

	                var ids = _specifier2.getBindingIdentifiers();
	                if (ids.__esModule) {
	                  throw _specifier2.buildCodeFrameError("Illegal export \"__esModule\"");
	                }
	              }
	            }

	            if (_path.isImportDeclaration()) {
	              var _importsEntry$specifi;

	              hasImports = true;

	              var key = _path.node.source.value;
	              var importsEntry = imports[key] || {
	                specifiers: [],
	                maxBlockHoist: 0,
	                loc: _path.node.loc
	              };

	              (_importsEntry$specifi = importsEntry.specifiers).push.apply(_importsEntry$specifi, _path.node.specifiers);

	              if (typeof _path.node._blockHoist === "number") {
	                importsEntry.maxBlockHoist = Math.max(_path.node._blockHoist, importsEntry.maxBlockHoist);
	              }

	              imports[key] = importsEntry;

	              _path.remove();
	            } else if (_path.isExportDefaultDeclaration()) {
	              var declaration = _path.get("declaration");
	              if (declaration.isFunctionDeclaration()) {
	                var id = declaration.node.id;
	                var defNode = t.identifier("default");
	                if (id) {
	                  addTo(exports, id.name, defNode);
	                  topNodes.push(buildExportsAssignment(defNode, id));
	                  _path.replaceWith(declaration.node);
	                } else {
	                  topNodes.push(buildExportsAssignment(defNode, t.toExpression(declaration.node)));
	                  _path.remove();
	                }
	              } else if (declaration.isClassDeclaration()) {
	                var _id = declaration.node.id;
	                var _defNode = t.identifier("default");
	                if (_id) {
	                  addTo(exports, _id.name, _defNode);
	                  _path.replaceWithMultiple([declaration.node, buildExportsAssignment(_defNode, _id)]);
	                } else {
	                  _path.replaceWith(buildExportsAssignment(_defNode, t.toExpression(declaration.node)));

	                  _path.parentPath.requeue(_path.get("expression.left"));
	                }
	              } else {
	                _path.replaceWith(buildExportsAssignment(t.identifier("default"), declaration.node));

	                _path.parentPath.requeue(_path.get("expression.left"));
	              }
	            } else if (_path.isExportNamedDeclaration()) {
	              var _declaration = _path.get("declaration");
	              if (_declaration.node) {
	                if (_declaration.isFunctionDeclaration()) {
	                  var _id2 = _declaration.node.id;
	                  addTo(exports, _id2.name, _id2);
	                  topNodes.push(buildExportsAssignment(_id2, _id2));
	                  _path.replaceWith(_declaration.node);
	                } else if (_declaration.isClassDeclaration()) {
	                  var _id3 = _declaration.node.id;
	                  addTo(exports, _id3.name, _id3);
	                  _path.replaceWithMultiple([_declaration.node, buildExportsAssignment(_id3, _id3)]);
	                  nonHoistedExportNames[_id3.name] = true;
	                } else if (_declaration.isVariableDeclaration()) {
	                  var declarators = _declaration.get("declarations");
	                  for (var _iterator5 = declarators, _isArray5 = Array.isArray(_iterator5), _i5 = 0, _iterator5 = _isArray5 ? _iterator5 : (0, _getIterator3.default)(_iterator5);;) {
	                    var _ref5;

	                    if (_isArray5) {
	                      if (_i5 >= _iterator5.length) break;
	                      _ref5 = _iterator5[_i5++];
	                    } else {
	                      _i5 = _iterator5.next();
	                      if (_i5.done) break;
	                      _ref5 = _i5.value;
	                    }

	                    var decl = _ref5;

	                    var _id4 = decl.get("id");

	                    var init = decl.get("init");
	                    if (!init.node) init.replaceWith(t.identifier("undefined"));

	                    if (_id4.isIdentifier()) {
	                      addTo(exports, _id4.node.name, _id4.node);
	                      init.replaceWith(buildExportsAssignment(_id4.node, init.node).expression);
	                      nonHoistedExportNames[_id4.node.name] = true;
	                    } else {}
	                  }
	                  _path.replaceWith(_declaration.node);
	                }
	                continue;
	              }

	              var _specifiers = _path.get("specifiers");
	              var nodes = [];
	              var _source = _path.node.source;
	              if (_source) {
	                var ref = addRequire(_source.value, _path.node._blockHoist);

	                for (var _iterator6 = _specifiers, _isArray6 = Array.isArray(_iterator6), _i6 = 0, _iterator6 = _isArray6 ? _iterator6 : (0, _getIterator3.default)(_iterator6);;) {
	                  var _ref6;

	                  if (_isArray6) {
	                    if (_i6 >= _iterator6.length) break;
	                    _ref6 = _iterator6[_i6++];
	                  } else {
	                    _i6 = _iterator6.next();
	                    if (_i6.done) break;
	                    _ref6 = _i6.value;
	                  }

	                  var _specifier3 = _ref6;

	                  if (_specifier3.isExportNamespaceSpecifier()) {} else if (_specifier3.isExportDefaultSpecifier()) {} else if (_specifier3.isExportSpecifier()) {
	                    if (_specifier3.node.local.name === "default") {
	                      topNodes.push(buildExportsFrom(t.stringLiteral(_specifier3.node.exported.name), t.memberExpression(t.callExpression(this.addHelper("interopRequireDefault"), [ref]), _specifier3.node.local)));
	                    } else {
	                      topNodes.push(buildExportsFrom(t.stringLiteral(_specifier3.node.exported.name), t.memberExpression(ref, _specifier3.node.local)));
	                    }
	                    nonHoistedExportNames[_specifier3.node.exported.name] = true;
	                  }
	                }
	              } else {
	                for (var _iterator7 = _specifiers, _isArray7 = Array.isArray(_iterator7), _i7 = 0, _iterator7 = _isArray7 ? _iterator7 : (0, _getIterator3.default)(_iterator7);;) {
	                  var _ref7;

	                  if (_isArray7) {
	                    if (_i7 >= _iterator7.length) break;
	                    _ref7 = _iterator7[_i7++];
	                  } else {
	                    _i7 = _iterator7.next();
	                    if (_i7.done) break;
	                    _ref7 = _i7.value;
	                  }

	                  var _specifier4 = _ref7;

	                  if (_specifier4.isExportSpecifier()) {
	                    addTo(exports, _specifier4.node.local.name, _specifier4.node.exported);
	                    nonHoistedExportNames[_specifier4.node.exported.name] = true;
	                    nodes.push(buildExportsAssignment(_specifier4.node.exported, _specifier4.node.local));
	                  }
	                }
	              }
	              _path.replaceWithMultiple(nodes);
	            } else if (_path.isExportAllDeclaration()) {
	              var exportNode = buildExportAll({
	                OBJECT: addRequire(_path.node.source.value, _path.node._blockHoist)
	              });
	              exportNode.loc = _path.node.loc;
	              topNodes.push(exportNode);
	              _path.remove();
	            }
	          }

	          for (var source in imports) {
	            var _imports$source = imports[source];
	            var specifiers = _imports$source.specifiers;
	            var maxBlockHoist = _imports$source.maxBlockHoist;

	            if (specifiers.length) {
	              var uid = addRequire(source, maxBlockHoist);

	              var wildcard = void 0;

	              for (var i = 0; i < specifiers.length; i++) {
	                var specifier = specifiers[i];
	                if (t.isImportNamespaceSpecifier(specifier)) {
	                  if (strict) {
	                    remaps[specifier.local.name] = uid;
	                  } else {
	                    var varDecl = t.variableDeclaration("var", [t.variableDeclarator(specifier.local, t.callExpression(this.addHelper("interopRequireWildcard"), [uid]))]);

	                    if (maxBlockHoist > 0) {
	                      varDecl._blockHoist = maxBlockHoist;
	                    }

	                    topNodes.push(varDecl);
	                  }
	                  wildcard = specifier.local;
	                } else if (t.isImportDefaultSpecifier(specifier)) {
	                  specifiers[i] = t.importSpecifier(specifier.local, t.identifier("default"));
	                }
	              }

	              for (var _iterator3 = specifiers, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : (0, _getIterator3.default)(_iterator3);;) {
	                var _ref3;

	                if (_isArray3) {
	                  if (_i3 >= _iterator3.length) break;
	                  _ref3 = _iterator3[_i3++];
	                } else {
	                  _i3 = _iterator3.next();
	                  if (_i3.done) break;
	                  _ref3 = _i3.value;
	                }

	                var _specifier = _ref3;

	                if (t.isImportSpecifier(_specifier)) {
	                  var target = uid;
	                  if (_specifier.imported.name === "default") {
	                    if (wildcard) {
	                      target = wildcard;
	                    } else {
	                      target = wildcard = path.scope.generateUidIdentifier(uid.name);
	                      var _varDecl = t.variableDeclaration("var", [t.variableDeclarator(target, t.callExpression(this.addHelper("interopRequireDefault"), [uid]))]);

	                      if (maxBlockHoist > 0) {
	                        _varDecl._blockHoist = maxBlockHoist;
	                      }

	                      topNodes.push(_varDecl);
	                    }
	                  }
	                  remaps[_specifier.local.name] = t.memberExpression(target, t.cloneWithoutLoc(_specifier.imported));
	                }
	              }
	            } else {
	              var requireNode = buildRequire(t.stringLiteral(source));
	              requireNode.loc = imports[source].loc;
	              topNodes.push(requireNode);
	            }
	          }

	          if (hasImports && (0, _keys2.default)(nonHoistedExportNames).length) {
	            var hoistedExportsNode = t.identifier("undefined");

	            for (var name in nonHoistedExportNames) {
	              hoistedExportsNode = buildExportsAssignment(t.identifier(name), hoistedExportsNode).expression;
	            }

	            var node = t.expressionStatement(hoistedExportsNode);
	            node._blockHoist = 3;

	            topNodes.unshift(node);
	          }

	          if (hasExports && !strict) {
	            var buildTemplate = buildExportsModuleDeclaration;
	            if (this.opts.loose) buildTemplate = buildLooseExportsModuleDeclaration;

	            var declar = buildTemplate();
	            declar._blockHoist = 3;

	            topNodes.unshift(declar);
	          }

	          path.unshiftContainer("body", topNodes);
	          path.traverse(reassignmentVisitor, {
	            remaps: remaps,
	            scope: scope,
	            exports: exports,
	            requeueInParent: function requeueInParent(newPath) {
	              return path.requeue(newPath);
	            }
	          });
	        }
	      }
	    }
	  };
	};

	var _path2 = __webpack_require__(101);

	var _babelTemplate = __webpack_require__(5);

	var _babelTemplate2 = _interopRequireDefault(_babelTemplate);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var buildRequire = (0, _babelTemplate2.default)("\n  require($0);\n");

	var buildExportsModuleDeclaration = (0, _babelTemplate2.default)("\n  Object.defineProperty(exports, \"__esModule\", {\n    value: true\n  });\n");

	var buildExportsFrom = (0, _babelTemplate2.default)("\n  Object.defineProperty(exports, $0, {\n    enumerable: true,\n    get: function () {\n      return $1;\n    }\n  });\n");

	var buildLooseExportsModuleDeclaration = (0, _babelTemplate2.default)("\n  exports.__esModule = true;\n");

	var buildExportsAssignment = (0, _babelTemplate2.default)("\n  exports.$0 = $1;\n");

	var buildExportAll = (0, _babelTemplate2.default)("\n  Object.keys(OBJECT).forEach(function (key) {\n    if (key === \"default\" || key === \"__esModule\") return;\n    Object.defineProperty(exports, key, {\n      enumerable: true,\n      get: function () {\n        return OBJECT[key];\n      }\n    });\n  });\n");

	var THIS_BREAK_KEYS = ["FunctionExpression", "FunctionDeclaration", "ClassProperty", "ClassMethod", "ObjectMethod"];

	module.exports = exports["default"];

/***/ },
/* 112 */
/***/ function(module, exports) {

	"use strict";

	module.exports = {
	  "1.5": 54,
	  "1.4": 53,
	  "1.3": 52,
	  "1.2": 51,
	  "1.1": 50,
	  "1.0": 50,
	  "0.37": 49,
	  "0.36": 47
	};

/***/ },
/* 113 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	module.exports = { "default": __webpack_require__(253), __esModule: true };

/***/ },
/* 114 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _classCallCheck2 = __webpack_require__(4);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var Hub = function Hub(file, options) {
	  (0, _classCallCheck3.default)(this, Hub);

	  this.file = file;
	  this.options = options;
	};

	exports.default = Hub;
	module.exports = exports["default"];

/***/ },
/* 115 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.Flow = exports.Pure = exports.Generated = exports.User = exports.Var = exports.BlockScoped = exports.Referenced = exports.Scope = exports.Expression = exports.Statement = exports.BindingIdentifier = exports.ReferencedMemberExpression = exports.ReferencedIdentifier = undefined;

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	var ReferencedIdentifier = exports.ReferencedIdentifier = {
	  types: ["Identifier", "JSXIdentifier"],
	  checkPath: function checkPath(_ref, opts) {
	    var node = _ref.node,
	        parent = _ref.parent;

	    if (!t.isIdentifier(node, opts) && !t.isJSXMemberExpression(parent, opts)) {
	      if (t.isJSXIdentifier(node, opts)) {
	        if (_babelTypes.react.isCompatTag(node.name)) return false;
	      } else {
	        return false;
	      }
	    }

	    return t.isReferenced(node, parent);
	  }
	};

	var ReferencedMemberExpression = exports.ReferencedMemberExpression = {
	  types: ["MemberExpression"],
	  checkPath: function checkPath(_ref2) {
	    var node = _ref2.node,
	        parent = _ref2.parent;

	    return t.isMemberExpression(node) && t.isReferenced(node, parent);
	  }
	};

	var BindingIdentifier = exports.BindingIdentifier = {
	  types: ["Identifier"],
	  checkPath: function checkPath(_ref3) {
	    var node = _ref3.node,
	        parent = _ref3.parent;

	    return t.isIdentifier(node) && t.isBinding(node, parent);
	  }
	};

	var Statement = exports.Statement = {
	  types: ["Statement"],
	  checkPath: function checkPath(_ref4) {
	    var node = _ref4.node,
	        parent = _ref4.parent;

	    if (t.isStatement(node)) {
	      if (t.isVariableDeclaration(node)) {
	        if (t.isForXStatement(parent, { left: node })) return false;
	        if (t.isForStatement(parent, { init: node })) return false;
	      }

	      return true;
	    } else {
	      return false;
	    }
	  }
	};

	var Expression = exports.Expression = {
	  types: ["Expression"],
	  checkPath: function checkPath(path) {
	    if (path.isIdentifier()) {
	      return path.isReferencedIdentifier();
	    } else {
	      return t.isExpression(path.node);
	    }
	  }
	};

	var Scope = exports.Scope = {
	  types: ["Scopable"],
	  checkPath: function checkPath(path) {
	    return t.isScope(path.node, path.parent);
	  }
	};

	var Referenced = exports.Referenced = {
	  checkPath: function checkPath(path) {
	    return t.isReferenced(path.node, path.parent);
	  }
	};

	var BlockScoped = exports.BlockScoped = {
	  checkPath: function checkPath(path) {
	    return t.isBlockScoped(path.node);
	  }
	};

	var Var = exports.Var = {
	  types: ["VariableDeclaration"],
	  checkPath: function checkPath(path) {
	    return t.isVar(path.node);
	  }
	};

	var User = exports.User = {
	  checkPath: function checkPath(path) {
	    return path.node && !!path.node.loc;
	  }
	};

	var Generated = exports.Generated = {
	  checkPath: function checkPath(path) {
	    return !path.isUser();
	  }
	};

	var Pure = exports.Pure = {
	  checkPath: function checkPath(path, opts) {
	    return path.scope.isPure(path.node, opts);
	  }
	};

	var Flow = exports.Flow = {
	  types: ["Flow", "ImportDeclaration", "ExportDeclaration"],
	  checkPath: function checkPath(_ref5) {
	    var node = _ref5.node;

	    if (t.isFlow(node)) {
	      return true;
	    } else if (t.isImportDeclaration(node)) {
	      return node.importKind === "type" || node.importKind === "typeof";
	    } else if (t.isExportDeclaration(node)) {
	      return node.exportKind === "type";
	    } else {
	      return false;
	    }
	  }
	};

/***/ },
/* 116 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _classCallCheck2 = __webpack_require__(4);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var Binding = function () {
	  function Binding(_ref) {
	    var existing = _ref.existing,
	        identifier = _ref.identifier,
	        scope = _ref.scope,
	        path = _ref.path,
	        kind = _ref.kind;
	    (0, _classCallCheck3.default)(this, Binding);

	    this.identifier = identifier;
	    this.scope = scope;
	    this.path = path;
	    this.kind = kind;

	    this.constantViolations = [];
	    this.constant = true;

	    this.referencePaths = [];
	    this.referenced = false;
	    this.references = 0;

	    this.clearValue();

	    if (existing) {
	      this.constantViolations = [].concat(existing.path, existing.constantViolations, this.constantViolations);
	    }
	  }

	  Binding.prototype.deoptValue = function deoptValue() {
	    this.clearValue();
	    this.hasDeoptedValue = true;
	  };

	  Binding.prototype.setValue = function setValue(value) {
	    if (this.hasDeoptedValue) return;
	    this.hasValue = true;
	    this.value = value;
	  };

	  Binding.prototype.clearValue = function clearValue() {
	    this.hasDeoptedValue = false;
	    this.hasValue = false;
	    this.value = null;
	  };

	  Binding.prototype.reassign = function reassign(path) {
	    this.constant = false;
	    if (this.constantViolations.indexOf(path) !== -1) {
	      return;
	    }
	    this.constantViolations.push(path);
	  };

	  Binding.prototype.reference = function reference(path) {
	    if (this.referencePaths.indexOf(path) !== -1) {
	      return;
	    }
	    this.referenced = true;
	    this.references++;
	    this.referencePaths.push(path);
	  };

	  Binding.prototype.dereference = function dereference() {
	    this.references--;
	    this.referenced = !!this.references;
	  };

	  return Binding;
	}();

	exports.default = Binding;
	module.exports = exports["default"];

/***/ },
/* 117 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _create = __webpack_require__(9);

	var _create2 = _interopRequireDefault(_create);

	exports.getBindingIdentifiers = getBindingIdentifiers;
	exports.getOuterBindingIdentifiers = getOuterBindingIdentifiers;

	var _index = __webpack_require__(1);

	var t = _interopRequireWildcard(_index);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function getBindingIdentifiers(node, duplicates, outerOnly) {
	  var search = [].concat(node);
	  var ids = (0, _create2.default)(null);

	  while (search.length) {
	    var id = search.shift();
	    if (!id) continue;

	    var keys = t.getBindingIdentifiers.keys[id.type];

	    if (t.isIdentifier(id)) {
	      if (duplicates) {
	        var _ids = ids[id.name] = ids[id.name] || [];
	        _ids.push(id);
	      } else {
	        ids[id.name] = id;
	      }
	      continue;
	    }

	    if (t.isExportDeclaration(id)) {
	      if (t.isDeclaration(node.declaration)) {
	        search.push(node.declaration);
	      }
	      continue;
	    }

	    if (outerOnly) {
	      if (t.isFunctionDeclaration(id)) {
	        search.push(id.id);
	        continue;
	      }

	      if (t.isFunctionExpression(id)) {
	        continue;
	      }
	    }

	    if (keys) {
	      for (var i = 0; i < keys.length; i++) {
	        var key = keys[i];
	        if (id[key]) {
	          search = search.concat(id[key]);
	        }
	      }
	    }
	  }

	  return ids;
	}

	getBindingIdentifiers.keys = {
	  DeclareClass: ["id"],
	  DeclareFunction: ["id"],
	  DeclareModule: ["id"],
	  DeclareVariable: ["id"],
	  InterfaceDeclaration: ["id"],
	  TypeAlias: ["id"],

	  CatchClause: ["param"],
	  LabeledStatement: ["label"],
	  UnaryExpression: ["argument"],
	  AssignmentExpression: ["left"],

	  ImportSpecifier: ["local"],
	  ImportNamespaceSpecifier: ["local"],
	  ImportDefaultSpecifier: ["local"],
	  ImportDeclaration: ["specifiers"],

	  ExportSpecifier: ["exported"],
	  ExportNamespaceSpecifier: ["exported"],
	  ExportDefaultSpecifier: ["exported"],

	  FunctionDeclaration: ["id", "params"],
	  FunctionExpression: ["id", "params"],

	  ClassDeclaration: ["id"],
	  ClassExpression: ["id"],

	  RestElement: ["argument"],
	  UpdateExpression: ["argument"],

	  RestProperty: ["argument"],
	  ObjectProperty: ["value"],

	  AssignmentPattern: ["left"],
	  ArrayPattern: ["elements"],
	  ObjectPattern: ["properties"],

	  VariableDeclaration: ["declarations"],
	  VariableDeclarator: ["id"]
	};

	function getOuterBindingIdentifiers(node, duplicates) {
	  return getBindingIdentifiers(node, duplicates, true);
	}

/***/ },
/* 118 */
/***/ function(module, exports) {

	'use strict';

	var _typeof2 = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	Object.defineProperty(exports, '__esModule', { value: true });

	/* eslint max-len: 0 */

	// This is a trick taken from Esprima. It turns out that, on
	// non-Chrome browsers, to check whether a string is in a set, a
	// predicate containing a big ugly `switch` statement is faster than
	// a regular expression, and on Chrome the two are about on par.
	// This function uses `eval` (non-lexical) to produce such a
	// predicate from a space-separated string of words.
	//
	// It starts by sorting the words by length.

	function makePredicate(words) {
	  words = words.split(" ");
	  return function (str) {
	    return words.indexOf(str) >= 0;
	  };
	}

	// Reserved word lists for various dialects of the language

	var reservedWords = {
	  6: makePredicate("enum await"),
	  strict: makePredicate("implements interface let package private protected public static yield"),
	  strictBind: makePredicate("eval arguments")
	};

	// And the keywords

	var isKeyword$1 = makePredicate("break case catch continue debugger default do else finally for function if return switch throw try var while with null true false instanceof typeof void delete new in this let const class extends export import yield super");

	// ## Character categories

	// Big ugly regular expressions that match characters in the
	// whitespace, identifier, and identifier-start categories. These
	// are only applied when a character is found to actually have a
	// code point above 128.
	// Generated by `bin/generate-identifier-regex.js`.

	var nonASCIIidentifierStartChars = '\xAA\xB5\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0561-\u0587\u05D0-\u05EA\u05F0-\u05F2\u0620-\u064A\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07CA-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u08A0-\u08B4\u08B6-\u08BD\u0904-\u0939\u093D\u0950\u0958-\u0961\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09F0\u09F1\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B71\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C60\u0C61\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CF1\u0CF2\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D5F-\u0D61\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0EDC-\u0EDF\u0F00\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u1820-\u1877\u1880-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1950-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u1A00-\u1A16\u1A20-\u1A54\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B83-\u1BA0\u1BAE\u1BAF\u1BBA-\u1BE5\u1C00-\u1C23\u1C4D-\u1C4F\u1C5A-\u1C7D\u1C80-\u1C88\u1CE9-\u1CEC\u1CEE-\u1CF1\u1CF5\u1CF6\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2071\u207F\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2118-\u211D\u2124\u2126\u2128\u212A-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309B-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31BA\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FD5\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA61F\uA62A\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7AE\uA7B0-\uA7B7\uA7F7-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA840-\uA873\uA882-\uA8B3\uA8F2-\uA8F7\uA8FB\uA8FD\uA90A-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF\uA9E0-\uA9E4\uA9E6-\uA9EF\uA9FA-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB65\uAB70-\uABE2\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC';
	var nonASCIIidentifierChars = '\u200C\u200D\xB7\u0300-\u036F\u0387\u0483-\u0487\u0591-\u05BD\u05BF\u05C1\u05C2\u05C4\u05C5\u05C7\u0610-\u061A\u064B-\u0669\u0670\u06D6-\u06DC\u06DF-\u06E4\u06E7\u06E8\u06EA-\u06ED\u06F0-\u06F9\u0711\u0730-\u074A\u07A6-\u07B0\u07C0-\u07C9\u07EB-\u07F3\u0816-\u0819\u081B-\u0823\u0825-\u0827\u0829-\u082D\u0859-\u085B\u08D4-\u08E1\u08E3-\u0903\u093A-\u093C\u093E-\u094F\u0951-\u0957\u0962\u0963\u0966-\u096F\u0981-\u0983\u09BC\u09BE-\u09C4\u09C7\u09C8\u09CB-\u09CD\u09D7\u09E2\u09E3\u09E6-\u09EF\u0A01-\u0A03\u0A3C\u0A3E-\u0A42\u0A47\u0A48\u0A4B-\u0A4D\u0A51\u0A66-\u0A71\u0A75\u0A81-\u0A83\u0ABC\u0ABE-\u0AC5\u0AC7-\u0AC9\u0ACB-\u0ACD\u0AE2\u0AE3\u0AE6-\u0AEF\u0B01-\u0B03\u0B3C\u0B3E-\u0B44\u0B47\u0B48\u0B4B-\u0B4D\u0B56\u0B57\u0B62\u0B63\u0B66-\u0B6F\u0B82\u0BBE-\u0BC2\u0BC6-\u0BC8\u0BCA-\u0BCD\u0BD7\u0BE6-\u0BEF\u0C00-\u0C03\u0C3E-\u0C44\u0C46-\u0C48\u0C4A-\u0C4D\u0C55\u0C56\u0C62\u0C63\u0C66-\u0C6F\u0C81-\u0C83\u0CBC\u0CBE-\u0CC4\u0CC6-\u0CC8\u0CCA-\u0CCD\u0CD5\u0CD6\u0CE2\u0CE3\u0CE6-\u0CEF\u0D01-\u0D03\u0D3E-\u0D44\u0D46-\u0D48\u0D4A-\u0D4D\u0D57\u0D62\u0D63\u0D66-\u0D6F\u0D82\u0D83\u0DCA\u0DCF-\u0DD4\u0DD6\u0DD8-\u0DDF\u0DE6-\u0DEF\u0DF2\u0DF3\u0E31\u0E34-\u0E3A\u0E47-\u0E4E\u0E50-\u0E59\u0EB1\u0EB4-\u0EB9\u0EBB\u0EBC\u0EC8-\u0ECD\u0ED0-\u0ED9\u0F18\u0F19\u0F20-\u0F29\u0F35\u0F37\u0F39\u0F3E\u0F3F\u0F71-\u0F84\u0F86\u0F87\u0F8D-\u0F97\u0F99-\u0FBC\u0FC6\u102B-\u103E\u1040-\u1049\u1056-\u1059\u105E-\u1060\u1062-\u1064\u1067-\u106D\u1071-\u1074\u1082-\u108D\u108F-\u109D\u135D-\u135F\u1369-\u1371\u1712-\u1714\u1732-\u1734\u1752\u1753\u1772\u1773\u17B4-\u17D3\u17DD\u17E0-\u17E9\u180B-\u180D\u1810-\u1819\u18A9\u1920-\u192B\u1930-\u193B\u1946-\u194F\u19D0-\u19DA\u1A17-\u1A1B\u1A55-\u1A5E\u1A60-\u1A7C\u1A7F-\u1A89\u1A90-\u1A99\u1AB0-\u1ABD\u1B00-\u1B04\u1B34-\u1B44\u1B50-\u1B59\u1B6B-\u1B73\u1B80-\u1B82\u1BA1-\u1BAD\u1BB0-\u1BB9\u1BE6-\u1BF3\u1C24-\u1C37\u1C40-\u1C49\u1C50-\u1C59\u1CD0-\u1CD2\u1CD4-\u1CE8\u1CED\u1CF2-\u1CF4\u1CF8\u1CF9\u1DC0-\u1DF5\u1DFB-\u1DFF\u203F\u2040\u2054\u20D0-\u20DC\u20E1\u20E5-\u20F0\u2CEF-\u2CF1\u2D7F\u2DE0-\u2DFF\u302A-\u302F\u3099\u309A\uA620-\uA629\uA66F\uA674-\uA67D\uA69E\uA69F\uA6F0\uA6F1\uA802\uA806\uA80B\uA823-\uA827\uA880\uA881\uA8B4-\uA8C5\uA8D0-\uA8D9\uA8E0-\uA8F1\uA900-\uA909\uA926-\uA92D\uA947-\uA953\uA980-\uA983\uA9B3-\uA9C0\uA9D0-\uA9D9\uA9E5\uA9F0-\uA9F9\uAA29-\uAA36\uAA43\uAA4C\uAA4D\uAA50-\uAA59\uAA7B-\uAA7D\uAAB0\uAAB2-\uAAB4\uAAB7\uAAB8\uAABE\uAABF\uAAC1\uAAEB-\uAAEF\uAAF5\uAAF6\uABE3-\uABEA\uABEC\uABED\uABF0-\uABF9\uFB1E\uFE00-\uFE0F\uFE20-\uFE2F\uFE33\uFE34\uFE4D-\uFE4F\uFF10-\uFF19\uFF3F';

	var nonASCIIidentifierStart = new RegExp("[" + nonASCIIidentifierStartChars + "]");
	var nonASCIIidentifier = new RegExp("[" + nonASCIIidentifierStartChars + nonASCIIidentifierChars + "]");

	nonASCIIidentifierStartChars = nonASCIIidentifierChars = null;

	// These are a run-length and offset encoded representation of the
	// >0xffff code points that are a valid part of identifiers. The
	// offset starts at 0x10000, and each pair of numbers represents an
	// offset to the next range, and then a size of the range. They were
	// generated by `bin/generate-identifier-regex.js`.
	var astralIdentifierStartCodes = [0, 11, 2, 25, 2, 18, 2, 1, 2, 14, 3, 13, 35, 122, 70, 52, 268, 28, 4, 48, 48, 31, 17, 26, 6, 37, 11, 29, 3, 35, 5, 7, 2, 4, 43, 157, 19, 35, 5, 35, 5, 39, 9, 51, 157, 310, 10, 21, 11, 7, 153, 5, 3, 0, 2, 43, 2, 1, 4, 0, 3, 22, 11, 22, 10, 30, 66, 18, 2, 1, 11, 21, 11, 25, 71, 55, 7, 1, 65, 0, 16, 3, 2, 2, 2, 26, 45, 28, 4, 28, 36, 7, 2, 27, 28, 53, 11, 21, 11, 18, 14, 17, 111, 72, 56, 50, 14, 50, 785, 52, 76, 44, 33, 24, 27, 35, 42, 34, 4, 0, 13, 47, 15, 3, 22, 0, 2, 0, 36, 17, 2, 24, 85, 6, 2, 0, 2, 3, 2, 14, 2, 9, 8, 46, 39, 7, 3, 1, 3, 21, 2, 6, 2, 1, 2, 4, 4, 0, 19, 0, 13, 4, 159, 52, 19, 3, 54, 47, 21, 1, 2, 0, 185, 46, 42, 3, 37, 47, 21, 0, 60, 42, 86, 25, 391, 63, 32, 0, 449, 56, 264, 8, 2, 36, 18, 0, 50, 29, 881, 921, 103, 110, 18, 195, 2749, 1070, 4050, 582, 8634, 568, 8, 30, 114, 29, 19, 47, 17, 3, 32, 20, 6, 18, 881, 68, 12, 0, 67, 12, 65, 0, 32, 6124, 20, 754, 9486, 1, 3071, 106, 6, 12, 4, 8, 8, 9, 5991, 84, 2, 70, 2, 1, 3, 0, 3, 1, 3, 3, 2, 11, 2, 0, 2, 6, 2, 64, 2, 3, 3, 7, 2, 6, 2, 27, 2, 3, 2, 4, 2, 0, 4, 6, 2, 339, 3, 24, 2, 24, 2, 30, 2, 24, 2, 30, 2, 24, 2, 30, 2, 24, 2, 30, 2, 24, 2, 7, 4149, 196, 60, 67, 1213, 3, 2, 26, 2, 1, 2, 0, 3, 0, 2, 9, 2, 3, 2, 0, 2, 0, 7, 0, 5, 0, 2, 0, 2, 0, 2, 2, 2, 1, 2, 0, 3, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 1, 2, 0, 3, 3, 2, 6, 2, 3, 2, 3, 2, 0, 2, 9, 2, 16, 6, 2, 2, 4, 2, 16, 4421, 42710, 42, 4148, 12, 221, 3, 5761, 10591, 541];
	var astralIdentifierCodes = [509, 0, 227, 0, 150, 4, 294, 9, 1368, 2, 2, 1, 6, 3, 41, 2, 5, 0, 166, 1, 1306, 2, 54, 14, 32, 9, 16, 3, 46, 10, 54, 9, 7, 2, 37, 13, 2, 9, 52, 0, 13, 2, 49, 13, 10, 2, 4, 9, 83, 11, 7, 0, 161, 11, 6, 9, 7, 3, 57, 0, 2, 6, 3, 1, 3, 2, 10, 0, 11, 1, 3, 6, 4, 4, 193, 17, 10, 9, 87, 19, 13, 9, 214, 6, 3, 8, 28, 1, 83, 16, 16, 9, 82, 12, 9, 9, 84, 14, 5, 9, 423, 9, 838, 7, 2, 7, 17, 9, 57, 21, 2, 13, 19882, 9, 135, 4, 60, 6, 26, 9, 1016, 45, 17, 3, 19723, 1, 5319, 4, 4, 5, 9, 7, 3, 6, 31, 3, 149, 2, 1418, 49, 513, 54, 5, 49, 9, 0, 15, 0, 23, 4, 2, 14, 1361, 6, 2, 16, 3, 6, 2, 1, 2, 4, 2214, 6, 110, 6, 6, 9, 792487, 239];

	// This has a complexity linear to the value of the code. The
	// assumption is that looking up astral identifier characters is
	// rare.
	function isInAstralSet(code, set) {
	  var pos = 0x10000;
	  for (var i = 0; i < set.length; i += 2) {
	    pos += set[i];
	    if (pos > code) return false;

	    pos += set[i + 1];
	    if (pos >= code) return true;
	  }
	}

	// Test whether a given character code starts an identifier.

	function isIdentifierStart(code) {
	  if (code < 65) return code === 36;
	  if (code < 91) return true;
	  if (code < 97) return code === 95;
	  if (code < 123) return true;
	  if (code <= 0xffff) return code >= 0xaa && nonASCIIidentifierStart.test(String.fromCharCode(code));
	  return isInAstralSet(code, astralIdentifierStartCodes);
	}

	// Test whether a given character is part of an identifier.

	function isIdentifierChar(code) {
	  if (code < 48) return code === 36;
	  if (code < 58) return true;
	  if (code < 65) return false;
	  if (code < 91) return true;
	  if (code < 97) return code === 95;
	  if (code < 123) return true;
	  if (code <= 0xffff) return code >= 0xaa && nonASCIIidentifier.test(String.fromCharCode(code));
	  return isInAstralSet(code, astralIdentifierStartCodes) || isInAstralSet(code, astralIdentifierCodes);
	}

	// A second optional argument can be given to further configure
	var defaultOptions = {
	  // Source type ("script" or "module") for different semantics
	  sourceType: "script",
	  // Source filename.
	  sourceFilename: undefined,
	  // When enabled, a return at the top level is not considered an
	  // error.
	  allowReturnOutsideFunction: false,
	  // When enabled, import/export statements are not constrained to
	  // appearing at the top of the program.
	  allowImportExportEverywhere: false,
	  // TODO
	  allowSuperOutsideMethod: false,
	  // An array of plugins to enable
	  plugins: [],
	  // TODO
	  strictMode: null
	};

	// Interpret and default an options object

	function getOptions(opts) {
	  var options = {};
	  for (var key in defaultOptions) {
	    options[key] = opts && key in opts ? opts[key] : defaultOptions[key];
	  }
	  return options;
	}

	function _classCallCheck$2(instance, Constructor) {
	  if (!(instance instanceof Constructor)) {
	    throw new TypeError("Cannot call a class as a function");
	  }
	}

	// ## Token types

	// The assignment of fine-grained, information-carrying type objects
	// allows the tokenizer to store the information it has about a
	// token in a way that is very cheap for the parser to look up.

	// All token type variables start with an underscore, to make them
	// easy to recognize.

	// The `beforeExpr` property is used to disambiguate between regular
	// expressions and divisions. It is set on all token types that can
	// be followed by an expression (thus, a slash after them would be a
	// regular expression).
	//
	// `isLoop` marks a keyword as starting a loop, which is important
	// to know when parsing a label, in order to allow or disallow
	// continue jumps to that label.

	var TokenType = function TokenType(label) {
	  var conf = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

	  _classCallCheck$2(this, TokenType);

	  this.label = label;
	  this.keyword = conf.keyword;
	  this.beforeExpr = !!conf.beforeExpr;
	  this.startsExpr = !!conf.startsExpr;
	  this.rightAssociative = !!conf.rightAssociative;
	  this.isLoop = !!conf.isLoop;
	  this.isAssign = !!conf.isAssign;
	  this.prefix = !!conf.prefix;
	  this.postfix = !!conf.postfix;
	  this.binop = conf.binop || null;
	  this.updateContext = null;
	};

	function binop(name, prec) {
	  return new TokenType(name, { beforeExpr: true, binop: prec });
	}
	var beforeExpr = { beforeExpr: true };
	var startsExpr = { startsExpr: true };

	var types = {
	  num: new TokenType("num", startsExpr),
	  regexp: new TokenType("regexp", startsExpr),
	  string: new TokenType("string", startsExpr),
	  name: new TokenType("name", startsExpr),
	  eof: new TokenType("eof"),

	  // Punctuation token types.
	  bracketL: new TokenType("[", { beforeExpr: true, startsExpr: true }),
	  bracketR: new TokenType("]"),
	  braceL: new TokenType("{", { beforeExpr: true, startsExpr: true }),
	  braceBarL: new TokenType("{|", { beforeExpr: true, startsExpr: true }),
	  braceR: new TokenType("}"),
	  braceBarR: new TokenType("|}"),
	  parenL: new TokenType("(", { beforeExpr: true, startsExpr: true }),
	  parenR: new TokenType(")"),
	  comma: new TokenType(",", beforeExpr),
	  semi: new TokenType(";", beforeExpr),
	  colon: new TokenType(":", beforeExpr),
	  doubleColon: new TokenType("::", beforeExpr),
	  dot: new TokenType("."),
	  question: new TokenType("?", beforeExpr),
	  arrow: new TokenType("=>", beforeExpr),
	  template: new TokenType("template"),
	  ellipsis: new TokenType("...", beforeExpr),
	  backQuote: new TokenType("`", startsExpr),
	  dollarBraceL: new TokenType("${", { beforeExpr: true, startsExpr: true }),
	  at: new TokenType("@"),

	  // Operators. These carry several kinds of properties to help the
	  // parser use them properly (the presence of these properties is
	  // what categorizes them as operators).
	  //
	  // `binop`, when present, specifies that this operator is a binary
	  // operator, and will refer to its precedence.
	  //
	  // `prefix` and `postfix` mark the operator as a prefix or postfix
	  // unary operator.
	  //
	  // `isAssign` marks all of `=`, `+=`, `-=` etcetera, which act as
	  // binary operators with a very low precedence, that should result
	  // in AssignmentExpression nodes.

	  eq: new TokenType("=", { beforeExpr: true, isAssign: true }),
	  assign: new TokenType("_=", { beforeExpr: true, isAssign: true }),
	  incDec: new TokenType("++/--", { prefix: true, postfix: true, startsExpr: true }),
	  prefix: new TokenType("prefix", { beforeExpr: true, prefix: true, startsExpr: true }),
	  logicalOR: binop("||", 1),
	  logicalAND: binop("&&", 2),
	  bitwiseOR: binop("|", 3),
	  bitwiseXOR: binop("^", 4),
	  bitwiseAND: binop("&", 5),
	  equality: binop("==/!=", 6),
	  relational: binop("</>", 7),
	  bitShift: binop("<</>>", 8),
	  plusMin: new TokenType("+/-", { beforeExpr: true, binop: 9, prefix: true, startsExpr: true }),
	  modulo: binop("%", 10),
	  star: binop("*", 10),
	  slash: binop("/", 10),
	  exponent: new TokenType("**", { beforeExpr: true, binop: 11, rightAssociative: true })
	};

	// Map keyword names to token types.

	var keywords = {};

	// Succinct definitions of keyword token types
	function kw(name) {
	  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

	  options.keyword = name;
	  keywords[name] = types["_" + name] = new TokenType(name, options);
	}

	kw("break");
	kw("case", beforeExpr);
	kw("catch");
	kw("continue");
	kw("debugger");
	kw("default", beforeExpr);
	kw("do", { isLoop: true, beforeExpr: true });
	kw("else", beforeExpr);
	kw("finally");
	kw("for", { isLoop: true });
	kw("function", startsExpr);
	kw("if");
	kw("return", beforeExpr);
	kw("switch");
	kw("throw", beforeExpr);
	kw("try");
	kw("var");
	kw("let");
	kw("const");
	kw("while", { isLoop: true });
	kw("with");
	kw("new", { beforeExpr: true, startsExpr: true });
	kw("this", startsExpr);
	kw("super", startsExpr);
	kw("class");
	kw("extends", beforeExpr);
	kw("export");
	kw("import");
	kw("yield", { beforeExpr: true, startsExpr: true });
	kw("null", startsExpr);
	kw("true", startsExpr);
	kw("false", startsExpr);
	kw("in", { beforeExpr: true, binop: 7 });
	kw("instanceof", { beforeExpr: true, binop: 7 });
	kw("typeof", { beforeExpr: true, prefix: true, startsExpr: true });
	kw("void", { beforeExpr: true, prefix: true, startsExpr: true });
	kw("delete", { beforeExpr: true, prefix: true, startsExpr: true });

	// Matches a whole line break (where CRLF is considered a single
	// line break). Used to count lines.

	var lineBreak = /\r\n?|\n|\u2028|\u2029/;
	var lineBreakG = new RegExp(lineBreak.source, "g");

	function isNewLine(code) {
	  return code === 10 || code === 13 || code === 0x2028 || code === 0x2029;
	}

	var nonASCIIwhitespace = /[\u1680\u180e\u2000-\u200a\u202f\u205f\u3000\ufeff]/;

	function _classCallCheck$3(instance, Constructor) {
	  if (!(instance instanceof Constructor)) {
	    throw new TypeError("Cannot call a class as a function");
	  }
	}

	// The algorithm used to determine whether a regexp can appear at a
	// given point in the program is loosely based on sweet.js' approach.
	// See https://github.com/mozilla/sweet.js/wiki/design

	var TokContext = function TokContext(token, isExpr, preserveSpace, override) {
	  _classCallCheck$3(this, TokContext);

	  this.token = token;
	  this.isExpr = !!isExpr;
	  this.preserveSpace = !!preserveSpace;
	  this.override = override;
	};

	var types$1 = {
	  braceStatement: new TokContext("{", false),
	  braceExpression: new TokContext("{", true),
	  templateQuasi: new TokContext("${", true),
	  parenStatement: new TokContext("(", false),
	  parenExpression: new TokContext("(", true),
	  template: new TokContext("`", true, true, function (p) {
	    return p.readTmplToken();
	  }),
	  functionExpression: new TokContext("function", true)
	};

	// Token-specific context update code

	types.parenR.updateContext = types.braceR.updateContext = function () {
	  if (this.state.context.length === 1) {
	    this.state.exprAllowed = true;
	    return;
	  }

	  var out = this.state.context.pop();
	  if (out === types$1.braceStatement && this.curContext() === types$1.functionExpression) {
	    this.state.context.pop();
	    this.state.exprAllowed = false;
	  } else if (out === types$1.templateQuasi) {
	    this.state.exprAllowed = true;
	  } else {
	    this.state.exprAllowed = !out.isExpr;
	  }
	};

	types.name.updateContext = function (prevType) {
	  this.state.exprAllowed = false;

	  if (prevType === types._let || prevType === types._const || prevType === types._var) {
	    if (lineBreak.test(this.input.slice(this.state.end))) {
	      this.state.exprAllowed = true;
	    }
	  }
	};

	types.braceL.updateContext = function (prevType) {
	  this.state.context.push(this.braceIsBlock(prevType) ? types$1.braceStatement : types$1.braceExpression);
	  this.state.exprAllowed = true;
	};

	types.dollarBraceL.updateContext = function () {
	  this.state.context.push(types$1.templateQuasi);
	  this.state.exprAllowed = true;
	};

	types.parenL.updateContext = function (prevType) {
	  var statementParens = prevType === types._if || prevType === types._for || prevType === types._with || prevType === types._while;
	  this.state.context.push(statementParens ? types$1.parenStatement : types$1.parenExpression);
	  this.state.exprAllowed = true;
	};

	types.incDec.updateContext = function () {
	  // tokExprAllowed stays unchanged
	};

	types._function.updateContext = function () {
	  if (this.curContext() !== types$1.braceStatement) {
	    this.state.context.push(types$1.functionExpression);
	  }

	  this.state.exprAllowed = false;
	};

	types.backQuote.updateContext = function () {
	  if (this.curContext() === types$1.template) {
	    this.state.context.pop();
	  } else {
	    this.state.context.push(types$1.template);
	  }
	  this.state.exprAllowed = false;
	};

	function _classCallCheck$4(instance, Constructor) {
	  if (!(instance instanceof Constructor)) {
	    throw new TypeError("Cannot call a class as a function");
	  }
	}

	// These are used when `options.locations` is on, for the
	// `startLoc` and `endLoc` properties.

	var Position = function Position(line, col) {
	  _classCallCheck$4(this, Position);

	  this.line = line;
	  this.column = col;
	};

	var SourceLocation = function SourceLocation(start, end) {
	  _classCallCheck$4(this, SourceLocation);

	  this.start = start;
	  this.end = end;
	};

	// The `getLineInfo` function is mostly useful when the
	// `locations` option is off (for performance reasons) and you
	// want to find the line/column position for a given character
	// offset. `input` should be the code string that the offset refers
	// into.

	function getLineInfo(input, offset) {
	  for (var line = 1, cur = 0;;) {
	    lineBreakG.lastIndex = cur;
	    var match = lineBreakG.exec(input);
	    if (match && match.index < offset) {
	      ++line;
	      cur = match.index + match[0].length;
	    } else {
	      return new Position(line, offset - cur);
	    }
	  }
	}

	function _classCallCheck$5(instance, Constructor) {
	  if (!(instance instanceof Constructor)) {
	    throw new TypeError("Cannot call a class as a function");
	  }
	}

	var State = function () {
	  function State() {
	    _classCallCheck$5(this, State);
	  }

	  State.prototype.init = function init(options, input) {
	    this.strict = options.strictMode === false ? false : options.sourceType === "module";

	    this.input = input;

	    this.potentialArrowAt = -1;

	    this.inMethod = this.inFunction = this.inGenerator = this.inAsync = this.inType = this.noAnonFunctionType = false;

	    this.labels = [];

	    this.decorators = [];

	    this.tokens = [];

	    this.comments = [];

	    this.trailingComments = [];
	    this.leadingComments = [];
	    this.commentStack = [];

	    this.pos = this.lineStart = 0;
	    this.curLine = 1;

	    this.type = types.eof;
	    this.value = null;
	    this.start = this.end = this.pos;
	    this.startLoc = this.endLoc = this.curPosition();

	    this.lastTokEndLoc = this.lastTokStartLoc = null;
	    this.lastTokStart = this.lastTokEnd = this.pos;

	    this.context = [types$1.braceStatement];
	    this.exprAllowed = true;

	    this.containsEsc = this.containsOctal = false;
	    this.octalPosition = null;

	    this.exportedIdentifiers = [];

	    return this;
	  };

	  // TODO


	  // TODO


	  // Used to signify the start of a potential arrow function


	  // Flags to track whether we are in a function, a generator.


	  // Labels in scope.


	  // Leading decorators.


	  // Token store.


	  // Comment store.


	  // Comment attachment store


	  // The current position of the tokenizer in the input.


	  // Properties of the current token:
	  // Its type


	  // For tokens that include more information than their type, the value


	  // Its start and end offset


	  // And, if locations are used, the {line, column} object
	  // corresponding to those offsets


	  // Position information for the previous token


	  // The context stack is used to superficially track syntactic
	  // context to predict whether a regular expression is allowed in a
	  // given position.


	  // Used to signal to callers of `readWord1` whether the word
	  // contained any escape sequences. This is needed because words with
	  // escape sequences must not be interpreted as keywords.


	  // TODO


	  // Names of exports store. `default` is stored as a name for both
	  // `export default foo;` and `export { foo as default };`.


	  State.prototype.curPosition = function curPosition() {
	    return new Position(this.curLine, this.pos - this.lineStart);
	  };

	  State.prototype.clone = function clone(skipArrays) {
	    var state = new State();
	    for (var key in this) {
	      var val = this[key];

	      if ((!skipArrays || key === "context") && Array.isArray(val)) {
	        val = val.slice();
	      }

	      state[key] = val;
	    }
	    return state;
	  };

	  return State;
	}();

	function _classCallCheck$1(instance, Constructor) {
	  if (!(instance instanceof Constructor)) {
	    throw new TypeError("Cannot call a class as a function");
	  }
	}

	/* eslint indent: 0 */

	// Object type used to represent tokens. Note that normally, tokens
	// simply exist as properties on the parser object. This is only
	// used for the onToken callback and the external tokenizer.

	var Token = function Token(state) {
	  _classCallCheck$1(this, Token);

	  this.type = state.type;
	  this.value = state.value;
	  this.start = state.start;
	  this.end = state.end;
	  this.loc = new SourceLocation(state.startLoc, state.endLoc);
	};

	// ## Tokenizer

	function codePointToString(code) {
	  // UTF-16 Decoding
	  if (code <= 0xFFFF) {
	    return String.fromCharCode(code);
	  } else {
	    return String.fromCharCode((code - 0x10000 >> 10) + 0xD800, (code - 0x10000 & 1023) + 0xDC00);
	  }
	}

	var Tokenizer = function () {
	  function Tokenizer(options, input) {
	    _classCallCheck$1(this, Tokenizer);

	    this.state = new State();
	    this.state.init(options, input);
	  }

	  // Move to the next token

	  Tokenizer.prototype.next = function next() {
	    if (!this.isLookahead) {
	      this.state.tokens.push(new Token(this.state));
	    }

	    this.state.lastTokEnd = this.state.end;
	    this.state.lastTokStart = this.state.start;
	    this.state.lastTokEndLoc = this.state.endLoc;
	    this.state.lastTokStartLoc = this.state.startLoc;
	    this.nextToken();
	  };

	  // TODO

	  Tokenizer.prototype.eat = function eat(type) {
	    if (this.match(type)) {
	      this.next();
	      return true;
	    } else {
	      return false;
	    }
	  };

	  // TODO

	  Tokenizer.prototype.match = function match(type) {
	    return this.state.type === type;
	  };

	  // TODO

	  Tokenizer.prototype.isKeyword = function isKeyword(word) {
	    return isKeyword$1(word);
	  };

	  // TODO

	  Tokenizer.prototype.lookahead = function lookahead() {
	    var old = this.state;
	    this.state = old.clone(true);

	    this.isLookahead = true;
	    this.next();
	    this.isLookahead = false;

	    var curr = this.state.clone(true);
	    this.state = old;
	    return curr;
	  };

	  // Toggle strict mode. Re-reads the next number or string to please
	  // pedantic tests (`"use strict"; 010;` should fail).

	  Tokenizer.prototype.setStrict = function setStrict(strict) {
	    this.state.strict = strict;
	    if (!this.match(types.num) && !this.match(types.string)) return;
	    this.state.pos = this.state.start;
	    while (this.state.pos < this.state.lineStart) {
	      this.state.lineStart = this.input.lastIndexOf("\n", this.state.lineStart - 2) + 1;
	      --this.state.curLine;
	    }
	    this.nextToken();
	  };

	  Tokenizer.prototype.curContext = function curContext() {
	    return this.state.context[this.state.context.length - 1];
	  };

	  // Read a single token, updating the parser object's token-related
	  // properties.

	  Tokenizer.prototype.nextToken = function nextToken() {
	    var curContext = this.curContext();
	    if (!curContext || !curContext.preserveSpace) this.skipSpace();

	    this.state.containsOctal = false;
	    this.state.octalPosition = null;
	    this.state.start = this.state.pos;
	    this.state.startLoc = this.state.curPosition();
	    if (this.state.pos >= this.input.length) return this.finishToken(types.eof);

	    if (curContext.override) {
	      return curContext.override(this);
	    } else {
	      return this.readToken(this.fullCharCodeAtPos());
	    }
	  };

	  Tokenizer.prototype.readToken = function readToken(code) {
	    // Identifier or keyword. '\uXXXX' sequences are allowed in
	    // identifiers, so '\' also dispatches to that.
	    if (isIdentifierStart(code) || code === 92 /* '\' */) {
	        return this.readWord();
	      } else {
	      return this.getTokenFromCode(code);
	    }
	  };

	  Tokenizer.prototype.fullCharCodeAtPos = function fullCharCodeAtPos() {
	    var code = this.input.charCodeAt(this.state.pos);
	    if (code <= 0xd7ff || code >= 0xe000) return code;

	    var next = this.input.charCodeAt(this.state.pos + 1);
	    return (code << 10) + next - 0x35fdc00;
	  };

	  Tokenizer.prototype.pushComment = function pushComment(block, text, start, end, startLoc, endLoc) {
	    var comment = {
	      type: block ? "CommentBlock" : "CommentLine",
	      value: text,
	      start: start,
	      end: end,
	      loc: new SourceLocation(startLoc, endLoc)
	    };

	    if (!this.isLookahead) {
	      this.state.tokens.push(comment);
	      this.state.comments.push(comment);
	      this.addComment(comment);
	    }
	  };

	  Tokenizer.prototype.skipBlockComment = function skipBlockComment() {
	    var startLoc = this.state.curPosition();
	    var start = this.state.pos,
	        end = this.input.indexOf("*/", this.state.pos += 2);
	    if (end === -1) this.raise(this.state.pos - 2, "Unterminated comment");

	    this.state.pos = end + 2;
	    lineBreakG.lastIndex = start;
	    var match = void 0;
	    while ((match = lineBreakG.exec(this.input)) && match.index < this.state.pos) {
	      ++this.state.curLine;
	      this.state.lineStart = match.index + match[0].length;
	    }

	    this.pushComment(true, this.input.slice(start + 2, end), start, this.state.pos, startLoc, this.state.curPosition());
	  };

	  Tokenizer.prototype.skipLineComment = function skipLineComment(startSkip) {
	    var start = this.state.pos;
	    var startLoc = this.state.curPosition();
	    var ch = this.input.charCodeAt(this.state.pos += startSkip);
	    while (this.state.pos < this.input.length && ch !== 10 && ch !== 13 && ch !== 8232 && ch !== 8233) {
	      ++this.state.pos;
	      ch = this.input.charCodeAt(this.state.pos);
	    }

	    this.pushComment(false, this.input.slice(start + startSkip, this.state.pos), start, this.state.pos, startLoc, this.state.curPosition());
	  };

	  // Called at the start of the parse and after every token. Skips
	  // whitespace and comments, and.

	  Tokenizer.prototype.skipSpace = function skipSpace() {
	    loop: while (this.state.pos < this.input.length) {
	      var ch = this.input.charCodeAt(this.state.pos);
	      switch (ch) {
	        case 32:case 160:
	          // ' '
	          ++this.state.pos;
	          break;

	        case 13:
	          if (this.input.charCodeAt(this.state.pos + 1) === 10) {
	            ++this.state.pos;
	          }

	        case 10:case 8232:case 8233:
	          ++this.state.pos;
	          ++this.state.curLine;
	          this.state.lineStart = this.state.pos;
	          break;

	        case 47:
	          // '/'
	          switch (this.input.charCodeAt(this.state.pos + 1)) {
	            case 42:
	              // '*'
	              this.skipBlockComment();
	              break;

	            case 47:
	              this.skipLineComment(2);
	              break;

	            default:
	              break loop;
	          }
	          break;

	        default:
	          if (ch > 8 && ch < 14 || ch >= 5760 && nonASCIIwhitespace.test(String.fromCharCode(ch))) {
	            ++this.state.pos;
	          } else {
	            break loop;
	          }
	      }
	    }
	  };

	  // Called at the end of every token. Sets `end`, `val`, and
	  // maintains `context` and `exprAllowed`, and skips the space after
	  // the token, so that the next one's `start` will point at the
	  // right position.

	  Tokenizer.prototype.finishToken = function finishToken(type, val) {
	    this.state.end = this.state.pos;
	    this.state.endLoc = this.state.curPosition();
	    var prevType = this.state.type;
	    this.state.type = type;
	    this.state.value = val;

	    this.updateContext(prevType);
	  };

	  // ### Token reading

	  // This is the function that is called to fetch the next token. It
	  // is somewhat obscure, because it works in character codes rather
	  // than characters, and because operator parsing has been inlined
	  // into it.
	  //
	  // All in the name of speed.
	  //


	  Tokenizer.prototype.readToken_dot = function readToken_dot() {
	    var next = this.input.charCodeAt(this.state.pos + 1);
	    if (next >= 48 && next <= 57) {
	      return this.readNumber(true);
	    }

	    var next2 = this.input.charCodeAt(this.state.pos + 2);
	    if (next === 46 && next2 === 46) {
	      // 46 = dot '.'
	      this.state.pos += 3;
	      return this.finishToken(types.ellipsis);
	    } else {
	      ++this.state.pos;
	      return this.finishToken(types.dot);
	    }
	  };

	  Tokenizer.prototype.readToken_slash = function readToken_slash() {
	    // '/'
	    if (this.state.exprAllowed) {
	      ++this.state.pos;
	      return this.readRegexp();
	    }

	    var next = this.input.charCodeAt(this.state.pos + 1);
	    if (next === 61) {
	      return this.finishOp(types.assign, 2);
	    } else {
	      return this.finishOp(types.slash, 1);
	    }
	  };

	  Tokenizer.prototype.readToken_mult_modulo = function readToken_mult_modulo(code) {
	    // '%*'
	    var type = code === 42 ? types.star : types.modulo;
	    var width = 1;
	    var next = this.input.charCodeAt(this.state.pos + 1);

	    if (next === 42) {
	      // '*'
	      width++;
	      next = this.input.charCodeAt(this.state.pos + 2);
	      type = types.exponent;
	    }

	    if (next === 61) {
	      width++;
	      type = types.assign;
	    }

	    return this.finishOp(type, width);
	  };

	  Tokenizer.prototype.readToken_pipe_amp = function readToken_pipe_amp(code) {
	    // '|&'
	    var next = this.input.charCodeAt(this.state.pos + 1);
	    if (next === code) return this.finishOp(code === 124 ? types.logicalOR : types.logicalAND, 2);
	    if (next === 61) return this.finishOp(types.assign, 2);
	    if (code === 124 && next === 125 && this.hasPlugin("flow")) return this.finishOp(types.braceBarR, 2);
	    return this.finishOp(code === 124 ? types.bitwiseOR : types.bitwiseAND, 1);
	  };

	  Tokenizer.prototype.readToken_caret = function readToken_caret() {
	    // '^'
	    var next = this.input.charCodeAt(this.state.pos + 1);
	    if (next === 61) {
	      return this.finishOp(types.assign, 2);
	    } else {
	      return this.finishOp(types.bitwiseXOR, 1);
	    }
	  };

	  Tokenizer.prototype.readToken_plus_min = function readToken_plus_min(code) {
	    // '+-'
	    var next = this.input.charCodeAt(this.state.pos + 1);

	    if (next === code) {
	      if (next === 45 && this.input.charCodeAt(this.state.pos + 2) === 62 && lineBreak.test(this.input.slice(this.state.lastTokEnd, this.state.pos))) {
	        // A `-->` line comment
	        this.skipLineComment(3);
	        this.skipSpace();
	        return this.nextToken();
	      }
	      return this.finishOp(types.incDec, 2);
	    }

	    if (next === 61) {
	      return this.finishOp(types.assign, 2);
	    } else {
	      return this.finishOp(types.plusMin, 1);
	    }
	  };

	  Tokenizer.prototype.readToken_lt_gt = function readToken_lt_gt(code) {
	    // '<>'
	    var next = this.input.charCodeAt(this.state.pos + 1);
	    var size = 1;

	    if (next === code) {
	      size = code === 62 && this.input.charCodeAt(this.state.pos + 2) === 62 ? 3 : 2;
	      if (this.input.charCodeAt(this.state.pos + size) === 61) return this.finishOp(types.assign, size + 1);
	      return this.finishOp(types.bitShift, size);
	    }

	    if (next === 33 && code === 60 && this.input.charCodeAt(this.state.pos + 2) === 45 && this.input.charCodeAt(this.state.pos + 3) === 45) {
	      if (this.inModule) this.unexpected();
	      // `<!--`, an XML-style comment that should be interpreted as a line comment
	      this.skipLineComment(4);
	      this.skipSpace();
	      return this.nextToken();
	    }

	    if (next === 61) {
	      // <= | >=
	      size = 2;
	    }

	    return this.finishOp(types.relational, size);
	  };

	  Tokenizer.prototype.readToken_eq_excl = function readToken_eq_excl(code) {
	    // '=!'
	    var next = this.input.charCodeAt(this.state.pos + 1);
	    if (next === 61) return this.finishOp(types.equality, this.input.charCodeAt(this.state.pos + 2) === 61 ? 3 : 2);
	    if (code === 61 && next === 62) {
	      // '=>'
	      this.state.pos += 2;
	      return this.finishToken(types.arrow);
	    }
	    return this.finishOp(code === 61 ? types.eq : types.prefix, 1);
	  };

	  Tokenizer.prototype.getTokenFromCode = function getTokenFromCode(code) {
	    switch (code) {
	      // The interpretation of a dot depends on whether it is followed
	      // by a digit or another two dots.
	      case 46:
	        // '.'
	        return this.readToken_dot();

	      // Punctuation tokens.
	      case 40:
	        ++this.state.pos;return this.finishToken(types.parenL);
	      case 41:
	        ++this.state.pos;return this.finishToken(types.parenR);
	      case 59:
	        ++this.state.pos;return this.finishToken(types.semi);
	      case 44:
	        ++this.state.pos;return this.finishToken(types.comma);
	      case 91:
	        ++this.state.pos;return this.finishToken(types.bracketL);
	      case 93:
	        ++this.state.pos;return this.finishToken(types.bracketR);

	      case 123:
	        if (this.hasPlugin("flow") && this.input.charCodeAt(this.state.pos + 1) === 124) {
	          return this.finishOp(types.braceBarL, 2);
	        } else {
	          ++this.state.pos;
	          return this.finishToken(types.braceL);
	        }

	      case 125:
	        ++this.state.pos;return this.finishToken(types.braceR);

	      case 58:
	        if (this.hasPlugin("functionBind") && this.input.charCodeAt(this.state.pos + 1) === 58) {
	          return this.finishOp(types.doubleColon, 2);
	        } else {
	          ++this.state.pos;
	          return this.finishToken(types.colon);
	        }

	      case 63:
	        ++this.state.pos;return this.finishToken(types.question);
	      case 64:
	        ++this.state.pos;return this.finishToken(types.at);

	      case 96:
	        // '`'
	        ++this.state.pos;
	        return this.finishToken(types.backQuote);

	      case 48:
	        // '0'
	        var next = this.input.charCodeAt(this.state.pos + 1);
	        if (next === 120 || next === 88) return this.readRadixNumber(16); // '0x', '0X' - hex number
	        if (next === 111 || next === 79) return this.readRadixNumber(8); // '0o', '0O' - octal number
	        if (next === 98 || next === 66) return this.readRadixNumber(2); // '0b', '0B' - binary number
	      // Anything else beginning with a digit is an integer, octal
	      // number, or float.
	      case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:
	        // 1-9
	        return this.readNumber(false);

	      // Quotes produce strings.
	      case 34:case 39:
	        // '"', "'"
	        return this.readString(code);

	      // Operators are parsed inline in tiny state machines. '=' (61) is
	      // often referred to. `finishOp` simply skips the amount of
	      // characters it is given as second argument, and returns a token
	      // of the type given by its first argument.

	      case 47:
	        // '/'
	        return this.readToken_slash();

	      case 37:case 42:
	        // '%*'
	        return this.readToken_mult_modulo(code);

	      case 124:case 38:
	        // '|&'
	        return this.readToken_pipe_amp(code);

	      case 94:
	        // '^'
	        return this.readToken_caret();

	      case 43:case 45:
	        // '+-'
	        return this.readToken_plus_min(code);

	      case 60:case 62:
	        // '<>'
	        return this.readToken_lt_gt(code);

	      case 61:case 33:
	        // '=!'
	        return this.readToken_eq_excl(code);

	      case 126:
	        // '~'
	        return this.finishOp(types.prefix, 1);
	    }

	    this.raise(this.state.pos, "Unexpected character '" + codePointToString(code) + "'");
	  };

	  Tokenizer.prototype.finishOp = function finishOp(type, size) {
	    var str = this.input.slice(this.state.pos, this.state.pos + size);
	    this.state.pos += size;
	    return this.finishToken(type, str);
	  };

	  Tokenizer.prototype.readRegexp = function readRegexp() {
	    var escaped = void 0,
	        inClass = void 0,
	        start = this.state.pos;
	    for (;;) {
	      if (this.state.pos >= this.input.length) this.raise(start, "Unterminated regular expression");
	      var ch = this.input.charAt(this.state.pos);
	      if (lineBreak.test(ch)) {
	        this.raise(start, "Unterminated regular expression");
	      }
	      if (escaped) {
	        escaped = false;
	      } else {
	        if (ch === "[") {
	          inClass = true;
	        } else if (ch === "]" && inClass) {
	          inClass = false;
	        } else if (ch === "/" && !inClass) {
	          break;
	        }
	        escaped = ch === "\\";
	      }
	      ++this.state.pos;
	    }
	    var content = this.input.slice(start, this.state.pos);
	    ++this.state.pos;
	    // Need to use `readWord1` because '\uXXXX' sequences are allowed
	    // here (don't ask).
	    var mods = this.readWord1();
	    if (mods) {
	      var validFlags = /^[gmsiyu]*$/;
	      if (!validFlags.test(mods)) this.raise(start, "Invalid regular expression flag");
	    }
	    return this.finishToken(types.regexp, {
	      pattern: content,
	      flags: mods
	    });
	  };

	  // Read an integer in the given radix. Return null if zero digits
	  // were read, the integer value otherwise. When `len` is given, this
	  // will return `null` unless the integer has exactly `len` digits.

	  Tokenizer.prototype.readInt = function readInt(radix, len) {
	    var start = this.state.pos,
	        total = 0;
	    for (var i = 0, e = len == null ? Infinity : len; i < e; ++i) {
	      var code = this.input.charCodeAt(this.state.pos),
	          val = void 0;
	      if (code >= 97) {
	        val = code - 97 + 10; // a
	      } else if (code >= 65) {
	        val = code - 65 + 10; // A
	      } else if (code >= 48 && code <= 57) {
	        val = code - 48; // 0-9
	      } else {
	        val = Infinity;
	      }
	      if (val >= radix) break;
	      ++this.state.pos;
	      total = total * radix + val;
	    }
	    if (this.state.pos === start || len != null && this.state.pos - start !== len) return null;

	    return total;
	  };

	  Tokenizer.prototype.readRadixNumber = function readRadixNumber(radix) {
	    this.state.pos += 2; // 0x
	    var val = this.readInt(radix);
	    if (val == null) this.raise(this.state.start + 2, "Expected number in radix " + radix);
	    if (isIdentifierStart(this.fullCharCodeAtPos())) this.raise(this.state.pos, "Identifier directly after number");
	    return this.finishToken(types.num, val);
	  };

	  // Read an integer, octal integer, or floating-point number.

	  Tokenizer.prototype.readNumber = function readNumber(startsWithDot) {
	    var start = this.state.pos,
	        isFloat = false,
	        octal = this.input.charCodeAt(this.state.pos) === 48;
	    if (!startsWithDot && this.readInt(10) === null) this.raise(start, "Invalid number");
	    var next = this.input.charCodeAt(this.state.pos);
	    if (next === 46) {
	      // '.'
	      ++this.state.pos;
	      this.readInt(10);
	      isFloat = true;
	      next = this.input.charCodeAt(this.state.pos);
	    }
	    if (next === 69 || next === 101) {
	      // 'eE'
	      next = this.input.charCodeAt(++this.state.pos);
	      if (next === 43 || next === 45) ++this.state.pos; // '+-'
	      if (this.readInt(10) === null) this.raise(start, "Invalid number");
	      isFloat = true;
	    }
	    if (isIdentifierStart(this.fullCharCodeAtPos())) this.raise(this.state.pos, "Identifier directly after number");

	    var str = this.input.slice(start, this.state.pos),
	        val = void 0;
	    if (isFloat) {
	      val = parseFloat(str);
	    } else if (!octal || str.length === 1) {
	      val = parseInt(str, 10);
	    } else if (/[89]/.test(str) || this.state.strict) {
	      this.raise(start, "Invalid number");
	    } else {
	      val = parseInt(str, 8);
	    }
	    return this.finishToken(types.num, val);
	  };

	  // Read a string value, interpreting backslash-escapes.

	  Tokenizer.prototype.readCodePoint = function readCodePoint() {
	    var ch = this.input.charCodeAt(this.state.pos),
	        code = void 0;

	    if (ch === 123) {
	      var codePos = ++this.state.pos;
	      code = this.readHexChar(this.input.indexOf("}", this.state.pos) - this.state.pos);
	      ++this.state.pos;
	      if (code > 0x10FFFF) this.raise(codePos, "Code point out of bounds");
	    } else {
	      code = this.readHexChar(4);
	    }
	    return code;
	  };

	  Tokenizer.prototype.readString = function readString(quote) {
	    var out = "",
	        chunkStart = ++this.state.pos;
	    for (;;) {
	      if (this.state.pos >= this.input.length) this.raise(this.state.start, "Unterminated string constant");
	      var ch = this.input.charCodeAt(this.state.pos);
	      if (ch === quote) break;
	      if (ch === 92) {
	        // '\'
	        out += this.input.slice(chunkStart, this.state.pos);
	        out += this.readEscapedChar(false);
	        chunkStart = this.state.pos;
	      } else {
	        if (isNewLine(ch)) this.raise(this.state.start, "Unterminated string constant");
	        ++this.state.pos;
	      }
	    }
	    out += this.input.slice(chunkStart, this.state.pos++);
	    return this.finishToken(types.string, out);
	  };

	  // Reads template string tokens.

	  Tokenizer.prototype.readTmplToken = function readTmplToken() {
	    var out = "",
	        chunkStart = this.state.pos;
	    for (;;) {
	      if (this.state.pos >= this.input.length) this.raise(this.state.start, "Unterminated template");
	      var ch = this.input.charCodeAt(this.state.pos);
	      if (ch === 96 || ch === 36 && this.input.charCodeAt(this.state.pos + 1) === 123) {
	        // '`', '${'
	        if (this.state.pos === this.state.start && this.match(types.template)) {
	          if (ch === 36) {
	            this.state.pos += 2;
	            return this.finishToken(types.dollarBraceL);
	          } else {
	            ++this.state.pos;
	            return this.finishToken(types.backQuote);
	          }
	        }
	        out += this.input.slice(chunkStart, this.state.pos);
	        return this.finishToken(types.template, out);
	      }
	      if (ch === 92) {
	        // '\'
	        out += this.input.slice(chunkStart, this.state.pos);
	        out += this.readEscapedChar(true);
	        chunkStart = this.state.pos;
	      } else if (isNewLine(ch)) {
	        out += this.input.slice(chunkStart, this.state.pos);
	        ++this.state.pos;
	        switch (ch) {
	          case 13:
	            if (this.input.charCodeAt(this.state.pos) === 10) ++this.state.pos;
	          case 10:
	            out += "\n";
	            break;
	          default:
	            out += String.fromCharCode(ch);
	            break;
	        }
	        ++this.state.curLine;
	        this.state.lineStart = this.state.pos;
	        chunkStart = this.state.pos;
	      } else {
	        ++this.state.pos;
	      }
	    }
	  };

	  // Used to read escaped characters

	  Tokenizer.prototype.readEscapedChar = function readEscapedChar(inTemplate) {
	    var ch = this.input.charCodeAt(++this.state.pos);
	    ++this.state.pos;
	    switch (ch) {
	      case 110:
	        return "\n"; // 'n' -> '\n'
	      case 114:
	        return "\r"; // 'r' -> '\r'
	      case 120:
	        return String.fromCharCode(this.readHexChar(2)); // 'x'
	      case 117:
	        return codePointToString(this.readCodePoint()); // 'u'
	      case 116:
	        return "\t"; // 't' -> '\t'
	      case 98:
	        return "\b"; // 'b' -> '\b'
	      case 118:
	        return "\x0B"; // 'v' -> '\u000b'
	      case 102:
	        return "\f"; // 'f' -> '\f'
	      case 13:
	        if (this.input.charCodeAt(this.state.pos) === 10) ++this.state.pos; // '\r\n'
	      case 10:
	        // ' \n'
	        this.state.lineStart = this.state.pos;
	        ++this.state.curLine;
	        return "";
	      default:
	        if (ch >= 48 && ch <= 55) {
	          var octalStr = this.input.substr(this.state.pos - 1, 3).match(/^[0-7]+/)[0];
	          var octal = parseInt(octalStr, 8);
	          if (octal > 255) {
	            octalStr = octalStr.slice(0, -1);
	            octal = parseInt(octalStr, 8);
	          }
	          if (octal > 0) {
	            if (!this.state.containsOctal) {
	              this.state.containsOctal = true;
	              this.state.octalPosition = this.state.pos - 2;
	            }
	            if (this.state.strict || inTemplate) {
	              this.raise(this.state.pos - 2, "Octal literal in strict mode");
	            }
	          }
	          this.state.pos += octalStr.length - 1;
	          return String.fromCharCode(octal);
	        }
	        return String.fromCharCode(ch);
	    }
	  };

	  // Used to read character escape sequences ('\x', '\u', '\U').

	  Tokenizer.prototype.readHexChar = function readHexChar(len) {
	    var codePos = this.state.pos;
	    var n = this.readInt(16, len);
	    if (n === null) this.raise(codePos, "Bad character escape sequence");
	    return n;
	  };

	  // Read an identifier, and return it as a string. Sets `this.state.containsEsc`
	  // to whether the word contained a '\u' escape.
	  //
	  // Incrementally adds only escaped chars, adding other chunks as-is
	  // as a micro-optimization.

	  Tokenizer.prototype.readWord1 = function readWord1() {
	    this.state.containsEsc = false;
	    var word = "",
	        first = true,
	        chunkStart = this.state.pos;
	    while (this.state.pos < this.input.length) {
	      var ch = this.fullCharCodeAtPos();
	      if (isIdentifierChar(ch)) {
	        this.state.pos += ch <= 0xffff ? 1 : 2;
	      } else if (ch === 92) {
	        // "\"
	        this.state.containsEsc = true;

	        word += this.input.slice(chunkStart, this.state.pos);
	        var escStart = this.state.pos;

	        if (this.input.charCodeAt(++this.state.pos) !== 117) {
	          // "u"
	          this.raise(this.state.pos, 'Expecting Unicode escape sequence \\uXXXX');
	        }

	        ++this.state.pos;
	        var esc = this.readCodePoint();
	        if (!(first ? isIdentifierStart : isIdentifierChar)(esc, true)) {
	          this.raise(escStart, "Invalid Unicode escape");
	        }

	        word += codePointToString(esc);
	        chunkStart = this.state.pos;
	      } else {
	        break;
	      }
	      first = false;
	    }
	    return word + this.input.slice(chunkStart, this.state.pos);
	  };

	  // Read an identifier or keyword token. Will check for reserved
	  // words when necessary.

	  Tokenizer.prototype.readWord = function readWord() {
	    var word = this.readWord1();
	    var type = types.name;
	    if (!this.state.containsEsc && this.isKeyword(word)) {
	      type = keywords[word];
	    }
	    return this.finishToken(type, word);
	  };

	  Tokenizer.prototype.braceIsBlock = function braceIsBlock(prevType) {
	    if (prevType === types.colon) {
	      var parent = this.curContext();
	      if (parent === types$1.braceStatement || parent === types$1.braceExpression) {
	        return !parent.isExpr;
	      }
	    }

	    if (prevType === types._return) {
	      return lineBreak.test(this.input.slice(this.state.lastTokEnd, this.state.start));
	    }

	    if (prevType === types._else || prevType === types.semi || prevType === types.eof || prevType === types.parenR) {
	      return true;
	    }

	    if (prevType === types.braceL) {
	      return this.curContext() === types$1.braceStatement;
	    }

	    return !this.state.exprAllowed;
	  };

	  Tokenizer.prototype.updateContext = function updateContext(prevType) {
	    var update = void 0,
	        type = this.state.type;
	    if (type.keyword && prevType === types.dot) {
	      this.state.exprAllowed = false;
	    } else if (update = type.updateContext) {
	      update.call(this, prevType);
	    } else {
	      this.state.exprAllowed = type.beforeExpr;
	    }
	  };

	  return Tokenizer;
	}();

	function _classCallCheck(instance, Constructor) {
	  if (!(instance instanceof Constructor)) {
	    throw new TypeError("Cannot call a class as a function");
	  }
	}

	function _possibleConstructorReturn(self, call) {
	  if (!self) {
	    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
	  }return call && ((typeof call === 'undefined' ? 'undefined' : _typeof2(call)) === "object" || typeof call === "function") ? call : self;
	}

	function _inherits(subClass, superClass) {
	  if (typeof superClass !== "function" && superClass !== null) {
	    throw new TypeError("Super expression must either be null or a function, not " + (typeof superClass === 'undefined' ? 'undefined' : _typeof2(superClass)));
	  }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } });if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
	}

	var plugins = {};

	var Parser = function (_Tokenizer) {
	  _inherits(Parser, _Tokenizer);

	  function Parser(options, input) {
	    _classCallCheck(this, Parser);

	    options = getOptions(options);

	    var _this = _possibleConstructorReturn(this, _Tokenizer.call(this, options, input));

	    _this.options = options;
	    _this.inModule = _this.options.sourceType === "module";
	    _this.input = input;
	    _this.plugins = _this.loadPlugins(_this.options.plugins);
	    _this.filename = options.sourceFilename;

	    // If enabled, skip leading hashbang line.
	    if (_this.state.pos === 0 && _this.input[0] === "#" && _this.input[1] === "!") {
	      _this.skipLineComment(2);
	    }
	    return _this;
	  }

	  Parser.prototype.isReservedWord = function isReservedWord(word) {
	    if (word === "await") {
	      return this.inModule;
	    } else {
	      return reservedWords[6](word);
	    }
	  };

	  Parser.prototype.hasPlugin = function hasPlugin(name) {
	    return !!(this.plugins["*"] || this.plugins[name]);
	  };

	  Parser.prototype.extend = function extend(name, f) {
	    this[name] = f(this[name]);
	  };

	  Parser.prototype.loadAllPlugins = function loadAllPlugins() {
	    var _this2 = this;

	    // ensure flow plugin loads last
	    var pluginNames = Object.keys(plugins).filter(function (name) {
	      return name !== "flow";
	    });
	    pluginNames.push("flow");

	    pluginNames.forEach(function (name) {
	      var plugin = plugins[name];
	      if (plugin) plugin(_this2);
	    });
	  };

	  Parser.prototype.loadPlugins = function loadPlugins(pluginList) {
	    if (pluginList.indexOf("*") >= 0) {
	      this.loadAllPlugins();

	      return { "*": true };
	    }

	    var pluginMap = {};

	    if (pluginList.indexOf("flow") >= 0) {
	      // ensure flow plugin loads last
	      pluginList = pluginList.filter(function (plugin) {
	        return plugin !== "flow";
	      });
	      pluginList.push("flow");
	    }

	    for (var _iterator = pluginList, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _iterator[Symbol.iterator]();;) {
	      var _ref;

	      if (_isArray) {
	        if (_i >= _iterator.length) break;
	        _ref = _iterator[_i++];
	      } else {
	        _i = _iterator.next();
	        if (_i.done) break;
	        _ref = _i.value;
	      }

	      var name = _ref;

	      if (!pluginMap[name]) {
	        pluginMap[name] = true;

	        var plugin = plugins[name];
	        if (plugin) plugin(this);
	      }
	    }

	    return pluginMap;
	  };

	  Parser.prototype.parse = function parse() {
	    var file = this.startNode();
	    var program = this.startNode();
	    this.nextToken();
	    return this.parseTopLevel(file, program);
	  };

	  return Parser;
	}(Tokenizer);

	var _typeof = typeof Symbol === "function" && _typeof2(Symbol.iterator) === "symbol" ? function (obj) {
	  return typeof obj === 'undefined' ? 'undefined' : _typeof2(obj);
	} : function (obj) {
	  return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj === 'undefined' ? 'undefined' : _typeof2(obj);
	};

	var pp = Parser.prototype;

	// ## Parser utilities

	// TODO

	pp.addExtra = function (node, key, val) {
	  if (!node) return;

	  var extra = node.extra = node.extra || {};
	  extra[key] = val;
	};

	// TODO

	pp.isRelational = function (op) {
	  return this.match(types.relational) && this.state.value === op;
	};

	// TODO

	pp.expectRelational = function (op) {
	  if (this.isRelational(op)) {
	    this.next();
	  } else {
	    this.unexpected(null, types.relational);
	  }
	};

	// Tests whether parsed token is a contextual keyword.

	pp.isContextual = function (name) {
	  return this.match(types.name) && this.state.value === name;
	};

	// Consumes contextual keyword if possible.

	pp.eatContextual = function (name) {
	  return this.state.value === name && this.eat(types.name);
	};

	// Asserts that following token is given contextual keyword.

	pp.expectContextual = function (name, message) {
	  if (!this.eatContextual(name)) this.unexpected(null, message);
	};

	// Test whether a semicolon can be inserted at the current position.

	pp.canInsertSemicolon = function () {
	  return this.match(types.eof) || this.match(types.braceR) || lineBreak.test(this.input.slice(this.state.lastTokEnd, this.state.start));
	};

	// TODO

	pp.isLineTerminator = function () {
	  return this.eat(types.semi) || this.canInsertSemicolon();
	};

	// Consume a semicolon, or, failing that, see if we are allowed to
	// pretend that there is a semicolon at this position.

	pp.semicolon = function () {
	  if (!this.isLineTerminator()) this.unexpected(null, types.semi);
	};

	// Expect a token of a given type. If found, consume it, otherwise,
	// raise an unexpected token error at given pos.

	pp.expect = function (type, pos) {
	  return this.eat(type) || this.unexpected(pos, type);
	};

	// Raise an unexpected token error. Can take the expected token type
	// instead of a message string.

	pp.unexpected = function (pos) {
	  var messageOrType = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "Unexpected token";

	  if (messageOrType && (typeof messageOrType === "undefined" ? "undefined" : _typeof(messageOrType)) === "object" && messageOrType.label) {
	    messageOrType = "Unexpected token, expected " + messageOrType.label;
	  }
	  this.raise(pos != null ? pos : this.state.start, messageOrType);
	};

	/* eslint indent: 0 */
	/* eslint max-len: 0 */

	var pp$1 = Parser.prototype;

	// ### Statement parsing

	// Parse a program. Initializes the parser, reads any number of
	// statements, and wraps them in a Program node.  Optionally takes a
	// `program` argument.  If present, the statements will be appended
	// to its body instead of creating a new node.

	pp$1.parseTopLevel = function (file, program) {
	  program.sourceType = this.options.sourceType;

	  this.parseBlockBody(program, true, true, types.eof);

	  file.program = this.finishNode(program, "Program");
	  file.comments = this.state.comments;
	  file.tokens = this.state.tokens;

	  return this.finishNode(file, "File");
	};

	var loopLabel = { kind: "loop" };
	var switchLabel = { kind: "switch" };

	// TODO

	pp$1.stmtToDirective = function (stmt) {
	  var expr = stmt.expression;

	  var directiveLiteral = this.startNodeAt(expr.start, expr.loc.start);
	  var directive = this.startNodeAt(stmt.start, stmt.loc.start);

	  var raw = this.input.slice(expr.start, expr.end);
	  var val = directiveLiteral.value = raw.slice(1, -1); // remove quotes

	  this.addExtra(directiveLiteral, "raw", raw);
	  this.addExtra(directiveLiteral, "rawValue", val);

	  directive.value = this.finishNodeAt(directiveLiteral, "DirectiveLiteral", expr.end, expr.loc.end);

	  return this.finishNodeAt(directive, "Directive", stmt.end, stmt.loc.end);
	};

	// Parse a single statement.
	//
	// If expecting a statement and finding a slash operator, parse a
	// regular expression literal. This is to handle cases like
	// `if (foo) /blah/.exec(foo)`, where looking at the previous token
	// does not help.

	pp$1.parseStatement = function (declaration, topLevel) {
	  if (this.match(types.at)) {
	    this.parseDecorators(true);
	  }

	  var starttype = this.state.type,
	      node = this.startNode();

	  // Most types of statements are recognized by the keyword they
	  // start with. Many are trivial to parse, some require a bit of
	  // complexity.

	  switch (starttype) {
	    case types._break:case types._continue:
	      return this.parseBreakContinueStatement(node, starttype.keyword);
	    case types._debugger:
	      return this.parseDebuggerStatement(node);
	    case types._do:
	      return this.parseDoStatement(node);
	    case types._for:
	      return this.parseForStatement(node);
	    case types._function:
	      if (!declaration) this.unexpected();
	      return this.parseFunctionStatement(node);

	    case types._class:
	      if (!declaration) this.unexpected();
	      this.takeDecorators(node);
	      return this.parseClass(node, true);

	    case types._if:
	      return this.parseIfStatement(node);
	    case types._return:
	      return this.parseReturnStatement(node);
	    case types._switch:
	      return this.parseSwitchStatement(node);
	    case types._throw:
	      return this.parseThrowStatement(node);
	    case types._try:
	      return this.parseTryStatement(node);

	    case types._let:
	    case types._const:
	      if (!declaration) this.unexpected(); // NOTE: falls through to _var

	    case types._var:
	      return this.parseVarStatement(node, starttype);

	    case types._while:
	      return this.parseWhileStatement(node);
	    case types._with:
	      return this.parseWithStatement(node);
	    case types.braceL:
	      return this.parseBlock();
	    case types.semi:
	      return this.parseEmptyStatement(node);
	    case types._export:
	    case types._import:
	      if (this.hasPlugin("dynamicImport") && this.lookahead().type === types.parenL) break;

	      if (!this.options.allowImportExportEverywhere) {
	        if (!topLevel) {
	          this.raise(this.state.start, "'import' and 'export' may only appear at the top level");
	        }

	        if (!this.inModule) {
	          this.raise(this.state.start, "'import' and 'export' may appear only with 'sourceType: module'");
	        }
	      }
	      return starttype === types._import ? this.parseImport(node) : this.parseExport(node);

	    case types.name:
	      if (this.state.value === "async") {
	        // peek ahead and see if next token is a function
	        var state = this.state.clone();
	        this.next();
	        if (this.match(types._function) && !this.canInsertSemicolon()) {
	          this.expect(types._function);
	          return this.parseFunction(node, true, false, true);
	        } else {
	          this.state = state;
	        }
	      }
	  }

	  // If the statement does not start with a statement keyword or a
	  // brace, it's an ExpressionStatement or LabeledStatement. We
	  // simply start parsing an expression, and afterwards, if the
	  // next token is a colon and the expression was a simple
	  // Identifier node, we switch to interpreting it as a label.
	  var maybeName = this.state.value;
	  var expr = this.parseExpression();

	  if (starttype === types.name && expr.type === "Identifier" && this.eat(types.colon)) {
	    return this.parseLabeledStatement(node, maybeName, expr);
	  } else {
	    return this.parseExpressionStatement(node, expr);
	  }
	};

	pp$1.takeDecorators = function (node) {
	  if (this.state.decorators.length) {
	    node.decorators = this.state.decorators;
	    this.state.decorators = [];
	  }
	};

	pp$1.parseDecorators = function (allowExport) {
	  while (this.match(types.at)) {
	    this.state.decorators.push(this.parseDecorator());
	  }

	  if (allowExport && this.match(types._export)) {
	    return;
	  }

	  if (!this.match(types._class)) {
	    this.raise(this.state.start, "Leading decorators must be attached to a class declaration");
	  }
	};

	pp$1.parseDecorator = function () {
	  if (!this.hasPlugin("decorators")) {
	    this.unexpected();
	  }
	  var node = this.startNode();
	  this.next();
	  node.expression = this.parseMaybeAssign();
	  return this.finishNode(node, "Decorator");
	};

	pp$1.parseBreakContinueStatement = function (node, keyword) {
	  var isBreak = keyword === "break";
	  this.next();

	  if (this.isLineTerminator()) {
	    node.label = null;
	  } else if (!this.match(types.name)) {
	    this.unexpected();
	  } else {
	    node.label = this.parseIdentifier();
	    this.semicolon();
	  }

	  // Verify that there is an actual destination to break or
	  // continue to.
	  var i = void 0;
	  for (i = 0; i < this.state.labels.length; ++i) {
	    var lab = this.state.labels[i];
	    if (node.label == null || lab.name === node.label.name) {
	      if (lab.kind != null && (isBreak || lab.kind === "loop")) break;
	      if (node.label && isBreak) break;
	    }
	  }
	  if (i === this.state.labels.length) this.raise(node.start, "Unsyntactic " + keyword);
	  return this.finishNode(node, isBreak ? "BreakStatement" : "ContinueStatement");
	};

	pp$1.parseDebuggerStatement = function (node) {
	  this.next();
	  this.semicolon();
	  return this.finishNode(node, "DebuggerStatement");
	};

	pp$1.parseDoStatement = function (node) {
	  this.next();
	  this.state.labels.push(loopLabel);
	  node.body = this.parseStatement(false);
	  this.state.labels.pop();
	  this.expect(types._while);
	  node.test = this.parseParenExpression();
	  this.eat(types.semi);
	  return this.finishNode(node, "DoWhileStatement");
	};

	// Disambiguating between a `for` and a `for`/`in` or `for`/`of`
	// loop is non-trivial. Basically, we have to parse the init `var`
	// statement or expression, disallowing the `in` operator (see
	// the second parameter to `parseExpression`), and then check
	// whether the next token is `in` or `of`. When there is no init
	// part (semicolon immediately after the opening parenthesis), it
	// is a regular `for` loop.

	pp$1.parseForStatement = function (node) {
	  this.next();
	  this.state.labels.push(loopLabel);

	  var forAwait = false;
	  if (this.hasPlugin("asyncGenerators") && this.state.inAsync && this.isContextual("await")) {
	    forAwait = true;
	    this.next();
	  }
	  this.expect(types.parenL);

	  if (this.match(types.semi)) {
	    if (forAwait) {
	      this.unexpected();
	    }
	    return this.parseFor(node, null);
	  }

	  if (this.match(types._var) || this.match(types._let) || this.match(types._const)) {
	    var _init = this.startNode(),
	        varKind = this.state.type;
	    this.next();
	    this.parseVar(_init, true, varKind);
	    this.finishNode(_init, "VariableDeclaration");

	    if (this.match(types._in) || this.isContextual("of")) {
	      if (_init.declarations.length === 1 && !_init.declarations[0].init) {
	        return this.parseForIn(node, _init, forAwait);
	      }
	    }
	    if (forAwait) {
	      this.unexpected();
	    }
	    return this.parseFor(node, _init);
	  }

	  var refShorthandDefaultPos = { start: 0 };
	  var init = this.parseExpression(true, refShorthandDefaultPos);
	  if (this.match(types._in) || this.isContextual("of")) {
	    var description = this.isContextual("of") ? "for-of statement" : "for-in statement";
	    this.toAssignable(init, undefined, description);
	    this.checkLVal(init, undefined, undefined, description);
	    return this.parseForIn(node, init, forAwait);
	  } else if (refShorthandDefaultPos.start) {
	    this.unexpected(refShorthandDefaultPos.start);
	  }
	  if (forAwait) {
	    this.unexpected();
	  }
	  return this.parseFor(node, init);
	};

	pp$1.parseFunctionStatement = function (node) {
	  this.next();
	  return this.parseFunction(node, true);
	};

	pp$1.parseIfStatement = function (node) {
	  this.next();
	  node.test = this.parseParenExpression();
	  node.consequent = this.parseStatement(false);
	  node.alternate = this.eat(types._else) ? this.parseStatement(false) : null;
	  return this.finishNode(node, "IfStatement");
	};

	pp$1.parseReturnStatement = function (node) {
	  if (!this.state.inFunction && !this.options.allowReturnOutsideFunction) {
	    this.raise(this.state.start, "'return' outside of function");
	  }

	  this.next();

	  // In `return` (and `break`/`continue`), the keywords with
	  // optional arguments, we eagerly look for a semicolon or the
	  // possibility to insert one.

	  if (this.isLineTerminator()) {
	    node.argument = null;
	  } else {
	    node.argument = this.parseExpression();
	    this.semicolon();
	  }

	  return this.finishNode(node, "ReturnStatement");
	};

	pp$1.parseSwitchStatement = function (node) {
	  this.next();
	  node.discriminant = this.parseParenExpression();
	  node.cases = [];
	  this.expect(types.braceL);
	  this.state.labels.push(switchLabel);

	  // Statements under must be grouped (by label) in SwitchCase
	  // nodes. `cur` is used to keep the node that we are currently
	  // adding statements to.

	  var cur = void 0;
	  for (var sawDefault; !this.match(types.braceR);) {
	    if (this.match(types._case) || this.match(types._default)) {
	      var isCase = this.match(types._case);
	      if (cur) this.finishNode(cur, "SwitchCase");
	      node.cases.push(cur = this.startNode());
	      cur.consequent = [];
	      this.next();
	      if (isCase) {
	        cur.test = this.parseExpression();
	      } else {
	        if (sawDefault) this.raise(this.state.lastTokStart, "Multiple default clauses");
	        sawDefault = true;
	        cur.test = null;
	      }
	      this.expect(types.colon);
	    } else {
	      if (cur) {
	        cur.consequent.push(this.parseStatement(true));
	      } else {
	        this.unexpected();
	      }
	    }
	  }
	  if (cur) this.finishNode(cur, "SwitchCase");
	  this.next(); // Closing brace
	  this.state.labels.pop();
	  return this.finishNode(node, "SwitchStatement");
	};

	pp$1.parseThrowStatement = function (node) {
	  this.next();
	  if (lineBreak.test(this.input.slice(this.state.lastTokEnd, this.state.start))) this.raise(this.state.lastTokEnd, "Illegal newline after throw");
	  node.argument = this.parseExpression();
	  this.semicolon();
	  return this.finishNode(node, "ThrowStatement");
	};

	// Reused empty array added for node fields that are always empty.

	var empty = [];

	pp$1.parseTryStatement = function (node) {
	  this.next();

	  node.block = this.parseBlock();
	  node.handler = null;

	  if (this.match(types._catch)) {
	    var clause = this.startNode();
	    this.next();

	    this.expect(types.parenL);
	    clause.param = this.parseBindingAtom();
	    this.checkLVal(clause.param, true, Object.create(null), "catch clause");
	    this.expect(types.parenR);

	    clause.body = this.parseBlock();
	    node.handler = this.finishNode(clause, "CatchClause");
	  }

	  node.guardedHandlers = empty;
	  node.finalizer = this.eat(types._finally) ? this.parseBlock() : null;

	  if (!node.handler && !node.finalizer) {
	    this.raise(node.start, "Missing catch or finally clause");
	  }

	  return this.finishNode(node, "TryStatement");
	};

	pp$1.parseVarStatement = function (node, kind) {
	  this.next();
	  this.parseVar(node, false, kind);
	  this.semicolon();
	  return this.finishNode(node, "VariableDeclaration");
	};

	pp$1.parseWhileStatement = function (node) {
	  this.next();
	  node.test = this.parseParenExpression();
	  this.state.labels.push(loopLabel);
	  node.body = this.parseStatement(false);
	  this.state.labels.pop();
	  return this.finishNode(node, "WhileStatement");
	};

	pp$1.parseWithStatement = function (node) {
	  if (this.state.strict) this.raise(this.state.start, "'with' in strict mode");
	  this.next();
	  node.object = this.parseParenExpression();
	  node.body = this.parseStatement(false);
	  return this.finishNode(node, "WithStatement");
	};

	pp$1.parseEmptyStatement = function (node) {
	  this.next();
	  return this.finishNode(node, "EmptyStatement");
	};

	pp$1.parseLabeledStatement = function (node, maybeName, expr) {
	  for (var _iterator = this.state.labels, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _iterator[Symbol.iterator]();;) {
	    var _ref;

	    if (_isArray) {
	      if (_i >= _iterator.length) break;
	      _ref = _iterator[_i++];
	    } else {
	      _i = _iterator.next();
	      if (_i.done) break;
	      _ref = _i.value;
	    }

	    var _label = _ref;

	    if (_label.name === maybeName) {
	      this.raise(expr.start, "Label '" + maybeName + "' is already declared");
	    }
	  }

	  var kind = this.state.type.isLoop ? "loop" : this.match(types._switch) ? "switch" : null;
	  for (var i = this.state.labels.length - 1; i >= 0; i--) {
	    var label = this.state.labels[i];
	    if (label.statementStart === node.start) {
	      label.statementStart = this.state.start;
	      label.kind = kind;
	    } else {
	      break;
	    }
	  }

	  this.state.labels.push({ name: maybeName, kind: kind, statementStart: this.state.start });
	  node.body = this.parseStatement(true);
	  this.state.labels.pop();
	  node.label = expr;
	  return this.finishNode(node, "LabeledStatement");
	};

	pp$1.parseExpressionStatement = function (node, expr) {
	  node.expression = expr;
	  this.semicolon();
	  return this.finishNode(node, "ExpressionStatement");
	};

	// Parse a semicolon-enclosed block of statements, handling `"use
	// strict"` declarations when `allowStrict` is true (used for
	// function bodies).

	pp$1.parseBlock = function (allowDirectives) {
	  var node = this.startNode();
	  this.expect(types.braceL);
	  this.parseBlockBody(node, allowDirectives, false, types.braceR);
	  return this.finishNode(node, "BlockStatement");
	};

	// TODO

	pp$1.parseBlockBody = function (node, allowDirectives, topLevel, end) {
	  node.body = [];
	  node.directives = [];

	  var parsedNonDirective = false;
	  var oldStrict = void 0;
	  var octalPosition = void 0;

	  while (!this.eat(end)) {
	    if (!parsedNonDirective && this.state.containsOctal && !octalPosition) {
	      octalPosition = this.state.octalPosition;
	    }

	    var stmt = this.parseStatement(true, topLevel);

	    if (allowDirectives && !parsedNonDirective && stmt.type === "ExpressionStatement" && stmt.expression.type === "StringLiteral" && !stmt.expression.extra.parenthesized) {
	      var directive = this.stmtToDirective(stmt);
	      node.directives.push(directive);

	      if (oldStrict === undefined && directive.value.value === "use strict") {
	        oldStrict = this.state.strict;
	        this.setStrict(true);

	        if (octalPosition) {
	          this.raise(octalPosition, "Octal literal in strict mode");
	        }
	      }

	      continue;
	    }

	    parsedNonDirective = true;
	    node.body.push(stmt);
	  }

	  if (oldStrict === false) {
	    this.setStrict(false);
	  }
	};

	// Parse a regular `for` loop. The disambiguation code in
	// `parseStatement` will already have parsed the init statement or
	// expression.

	pp$1.parseFor = function (node, init) {
	  node.init = init;
	  this.expect(types.semi);
	  node.test = this.match(types.semi) ? null : this.parseExpression();
	  this.expect(types.semi);
	  node.update = this.match(types.parenR) ? null : this.parseExpression();
	  this.expect(types.parenR);
	  node.body = this.parseStatement(false);
	  this.state.labels.pop();
	  return this.finishNode(node, "ForStatement");
	};

	// Parse a `for`/`in` and `for`/`of` loop, which are almost
	// same from parser's perspective.

	pp$1.parseForIn = function (node, init, forAwait) {
	  var type = void 0;
	  if (forAwait) {
	    this.eatContextual("of");
	    type = "ForAwaitStatement";
	  } else {
	    type = this.match(types._in) ? "ForInStatement" : "ForOfStatement";
	    this.next();
	  }
	  node.left = init;
	  node.right = this.parseExpression();
	  this.expect(types.parenR);
	  node.body = this.parseStatement(false);
	  this.state.labels.pop();
	  return this.finishNode(node, type);
	};

	// Parse a list of variable declarations.

	pp$1.parseVar = function (node, isFor, kind) {
	  node.declarations = [];
	  node.kind = kind.keyword;
	  for (;;) {
	    var decl = this.startNode();
	    this.parseVarHead(decl);
	    if (this.eat(types.eq)) {
	      decl.init = this.parseMaybeAssign(isFor);
	    } else if (kind === types._const && !(this.match(types._in) || this.isContextual("of"))) {
	      this.unexpected();
	    } else if (decl.id.type !== "Identifier" && !(isFor && (this.match(types._in) || this.isContextual("of")))) {
	      this.raise(this.state.lastTokEnd, "Complex binding patterns require an initialization value");
	    } else {
	      decl.init = null;
	    }
	    node.declarations.push(this.finishNode(decl, "VariableDeclarator"));
	    if (!this.eat(types.comma)) break;
	  }
	  return node;
	};

	pp$1.parseVarHead = function (decl) {
	  decl.id = this.parseBindingAtom();
	  this.checkLVal(decl.id, true, undefined, "variable declaration");
	};

	// Parse a function declaration or literal (depending on the
	// `isStatement` parameter).

	pp$1.parseFunction = function (node, isStatement, allowExpressionBody, isAsync, optionalId) {
	  var oldInMethod = this.state.inMethod;
	  this.state.inMethod = false;

	  this.initFunction(node, isAsync);

	  if (this.match(types.star)) {
	    if (node.async && !this.hasPlugin("asyncGenerators")) {
	      this.unexpected();
	    } else {
	      node.generator = true;
	      this.next();
	    }
	  }

	  if (isStatement && !optionalId && !this.match(types.name) && !this.match(types._yield)) {
	    this.unexpected();
	  }

	  if (this.match(types.name) || this.match(types._yield)) {
	    node.id = this.parseBindingIdentifier();
	  }

	  this.parseFunctionParams(node);
	  this.parseFunctionBody(node, allowExpressionBody);

	  this.state.inMethod = oldInMethod;

	  return this.finishNode(node, isStatement ? "FunctionDeclaration" : "FunctionExpression");
	};

	pp$1.parseFunctionParams = function (node) {
	  this.expect(types.parenL);
	  node.params = this.parseBindingList(types.parenR);
	};

	// Parse a class declaration or literal (depending on the
	// `isStatement` parameter).

	pp$1.parseClass = function (node, isStatement, optionalId) {
	  this.next();
	  this.parseClassId(node, isStatement, optionalId);
	  this.parseClassSuper(node);
	  this.parseClassBody(node);
	  return this.finishNode(node, isStatement ? "ClassDeclaration" : "ClassExpression");
	};

	pp$1.isClassProperty = function () {
	  return this.match(types.eq) || this.isLineTerminator();
	};

	pp$1.isClassMutatorStarter = function () {
	  return false;
	};

	pp$1.parseClassBody = function (node) {
	  // class bodies are implicitly strict
	  var oldStrict = this.state.strict;
	  this.state.strict = true;

	  var hadConstructorCall = false;
	  var hadConstructor = false;
	  var decorators = [];
	  var classBody = this.startNode();

	  classBody.body = [];

	  this.expect(types.braceL);

	  while (!this.eat(types.braceR)) {
	    if (this.eat(types.semi)) {
	      continue;
	    }

	    if (this.match(types.at)) {
	      decorators.push(this.parseDecorator());
	      continue;
	    }

	    var method = this.startNode();

	    // steal the decorators if there are any
	    if (decorators.length) {
	      method.decorators = decorators;
	      decorators = [];
	    }

	    var isConstructorCall = false;
	    var isMaybeStatic = this.match(types.name) && this.state.value === "static";
	    var isGenerator = this.eat(types.star);
	    var isGetSet = false;
	    var isAsync = false;

	    this.parsePropertyName(method);

	    method.static = isMaybeStatic && !this.match(types.parenL);
	    if (method.static) {
	      isGenerator = this.eat(types.star);
	      this.parsePropertyName(method);
	    }

	    if (!isGenerator) {
	      if (this.isClassProperty()) {
	        classBody.body.push(this.parseClassProperty(method));
	        continue;
	      }

	      if (method.key.type === "Identifier" && !method.computed && this.hasPlugin("classConstructorCall") && method.key.name === "call" && this.match(types.name) && this.state.value === "constructor") {
	        isConstructorCall = true;
	        this.parsePropertyName(method);
	      }
	    }

	    var isAsyncMethod = !this.match(types.parenL) && !method.computed && method.key.type === "Identifier" && method.key.name === "async";
	    if (isAsyncMethod) {
	      if (this.hasPlugin("asyncGenerators") && this.eat(types.star)) isGenerator = true;
	      isAsync = true;
	      this.parsePropertyName(method);
	    }

	    method.kind = "method";

	    if (!method.computed) {
	      var key = method.key;

	      // handle get/set methods
	      // eg. class Foo { get bar() {} set bar() {} }

	      if (!isAsync && !isGenerator && !this.isClassMutatorStarter() && key.type === "Identifier" && !this.match(types.parenL) && (key.name === "get" || key.name === "set")) {
	        isGetSet = true;
	        method.kind = key.name;
	        key = this.parsePropertyName(method);
	      }

	      // disallow invalid constructors
	      var isConstructor = !isConstructorCall && !method.static && (key.type === "Identifier" && key.name === "constructor" || key.type === "StringLiteral" && key.value === "constructor");
	      if (isConstructor) {
	        if (hadConstructor) this.raise(key.start, "Duplicate constructor in the same class");
	        if (isGetSet) this.raise(key.start, "Constructor can't have get/set modifier");
	        if (isGenerator) this.raise(key.start, "Constructor can't be a generator");
	        if (isAsync) this.raise(key.start, "Constructor can't be an async function");
	        method.kind = "constructor";
	        hadConstructor = true;
	      }

	      // disallow static prototype method
	      var isStaticPrototype = method.static && (key.type === "Identifier" && key.name === "prototype" || key.type === "StringLiteral" && key.value === "prototype");
	      if (isStaticPrototype) {
	        this.raise(key.start, "Classes may not have static property named prototype");
	      }
	    }

	    // convert constructor to a constructor call
	    if (isConstructorCall) {
	      if (hadConstructorCall) this.raise(method.start, "Duplicate constructor call in the same class");
	      method.kind = "constructorCall";
	      hadConstructorCall = true;
	    }

	    // disallow decorators on class constructors
	    if ((method.kind === "constructor" || method.kind === "constructorCall") && method.decorators) {
	      this.raise(method.start, "You can't attach decorators to a class constructor");
	    }

	    this.parseClassMethod(classBody, method, isGenerator, isAsync);

	    // get methods aren't allowed to have any parameters
	    // set methods must have exactly 1 parameter
	    if (isGetSet) {
	      var paramCount = method.kind === "get" ? 0 : 1;
	      if (method.params.length !== paramCount) {
	        var start = method.start;
	        if (method.kind === "get") {
	          this.raise(start, "getter should have no params");
	        } else {
	          this.raise(start, "setter should have exactly one param");
	        }
	      }
	    }
	  }

	  if (decorators.length) {
	    this.raise(this.state.start, "You have trailing decorators with no method");
	  }

	  node.body = this.finishNode(classBody, "ClassBody");

	  this.state.strict = oldStrict;
	};

	pp$1.parseClassProperty = function (node) {
	  if (this.match(types.eq)) {
	    if (!this.hasPlugin("classProperties")) this.unexpected();
	    this.next();
	    node.value = this.parseMaybeAssign();
	  } else {
	    node.value = null;
	  }
	  this.semicolon();
	  return this.finishNode(node, "ClassProperty");
	};

	pp$1.parseClassMethod = function (classBody, method, isGenerator, isAsync) {
	  this.parseMethod(method, isGenerator, isAsync);
	  classBody.body.push(this.finishNode(method, "ClassMethod"));
	};

	pp$1.parseClassId = function (node, isStatement, optionalId) {
	  if (this.match(types.name)) {
	    node.id = this.parseIdentifier();
	  } else {
	    if (optionalId || !isStatement) {
	      node.id = null;
	    } else {
	      this.unexpected();
	    }
	  }
	};

	pp$1.parseClassSuper = function (node) {
	  node.superClass = this.eat(types._extends) ? this.parseExprSubscripts() : null;
	};

	// Parses module export declaration.

	pp$1.parseExport = function (node) {
	  this.next();
	  // export * from '...'
	  if (this.match(types.star)) {
	    var specifier = this.startNode();
	    this.next();
	    if (this.hasPlugin("exportExtensions") && this.eatContextual("as")) {
	      specifier.exported = this.parseIdentifier();
	      node.specifiers = [this.finishNode(specifier, "ExportNamespaceSpecifier")];
	      this.parseExportSpecifiersMaybe(node);
	      this.parseExportFrom(node, true);
	    } else {
	      this.parseExportFrom(node, true);
	      return this.finishNode(node, "ExportAllDeclaration");
	    }
	  } else if (this.hasPlugin("exportExtensions") && this.isExportDefaultSpecifier()) {
	    var _specifier = this.startNode();
	    _specifier.exported = this.parseIdentifier(true);
	    node.specifiers = [this.finishNode(_specifier, "ExportDefaultSpecifier")];
	    if (this.match(types.comma) && this.lookahead().type === types.star) {
	      this.expect(types.comma);
	      var _specifier2 = this.startNode();
	      this.expect(types.star);
	      this.expectContextual("as");
	      _specifier2.exported = this.parseIdentifier();
	      node.specifiers.push(this.finishNode(_specifier2, "ExportNamespaceSpecifier"));
	    } else {
	      this.parseExportSpecifiersMaybe(node);
	    }
	    this.parseExportFrom(node, true);
	  } else if (this.eat(types._default)) {
	    // export default ...
	    var expr = this.startNode();
	    var needsSemi = false;
	    if (this.eat(types._function)) {
	      expr = this.parseFunction(expr, true, false, false, true);
	    } else if (this.match(types._class)) {
	      expr = this.parseClass(expr, true, true);
	    } else {
	      needsSemi = true;
	      expr = this.parseMaybeAssign();
	    }
	    node.declaration = expr;
	    if (needsSemi) this.semicolon();
	    this.checkExport(node, true, true);
	    return this.finishNode(node, "ExportDefaultDeclaration");
	  } else if (this.state.type.keyword || this.shouldParseExportDeclaration()) {
	    node.specifiers = [];
	    node.source = null;
	    node.declaration = this.parseExportDeclaration(node);
	  } else {
	    // export { x, y as z } [from '...']
	    node.declaration = null;
	    node.specifiers = this.parseExportSpecifiers();
	    this.parseExportFrom(node);
	  }
	  this.checkExport(node, true);
	  return this.finishNode(node, "ExportNamedDeclaration");
	};

	pp$1.parseExportDeclaration = function () {
	  return this.parseStatement(true);
	};

	pp$1.isExportDefaultSpecifier = function () {
	  if (this.match(types.name)) {
	    return this.state.value !== "type" && this.state.value !== "async" && this.state.value !== "interface";
	  }

	  if (!this.match(types._default)) {
	    return false;
	  }

	  var lookahead = this.lookahead();
	  return lookahead.type === types.comma || lookahead.type === types.name && lookahead.value === "from";
	};

	pp$1.parseExportSpecifiersMaybe = function (node) {
	  if (this.eat(types.comma)) {
	    node.specifiers = node.specifiers.concat(this.parseExportSpecifiers());
	  }
	};

	pp$1.parseExportFrom = function (node, expect) {
	  if (this.eatContextual("from")) {
	    node.source = this.match(types.string) ? this.parseExprAtom() : this.unexpected();
	    this.checkExport(node);
	  } else {
	    if (expect) {
	      this.unexpected();
	    } else {
	      node.source = null;
	    }
	  }

	  this.semicolon();
	};

	pp$1.shouldParseExportDeclaration = function () {
	  return this.isContextual("async");
	};

	pp$1.checkExport = function (node, checkNames, isDefault) {
	  if (checkNames) {
	    // Check for duplicate exports
	    if (isDefault) {
	      // Default exports
	      this.checkDuplicateExports(node, "default");
	    } else if (node.specifiers && node.specifiers.length) {
	      // Named exports
	      for (var _iterator2 = node.specifiers, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : _iterator2[Symbol.iterator]();;) {
	        var _ref2;

	        if (_isArray2) {
	          if (_i2 >= _iterator2.length) break;
	          _ref2 = _iterator2[_i2++];
	        } else {
	          _i2 = _iterator2.next();
	          if (_i2.done) break;
	          _ref2 = _i2.value;
	        }

	        var specifier = _ref2;

	        this.checkDuplicateExports(specifier, specifier.exported.name);
	      }
	    } else if (node.declaration) {
	      // Exported declarations
	      if (node.declaration.type === "FunctionDeclaration" || node.declaration.type === "ClassDeclaration") {
	        this.checkDuplicateExports(node, node.declaration.id.name);
	      } else if (node.declaration.type === "VariableDeclaration") {
	        for (var _iterator3 = node.declaration.declarations, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : _iterator3[Symbol.iterator]();;) {
	          var _ref3;

	          if (_isArray3) {
	            if (_i3 >= _iterator3.length) break;
	            _ref3 = _iterator3[_i3++];
	          } else {
	            _i3 = _iterator3.next();
	            if (_i3.done) break;
	            _ref3 = _i3.value;
	          }

	          var declaration = _ref3;

	          this.checkDeclaration(declaration.id);
	        }
	      }
	    }
	  }

	  if (this.state.decorators.length) {
	    var isClass = node.declaration && (node.declaration.type === "ClassDeclaration" || node.declaration.type === "ClassExpression");
	    if (!node.declaration || !isClass) {
	      this.raise(node.start, "You can only use decorators on an export when exporting a class");
	    }
	    this.takeDecorators(node.declaration);
	  }
	};

	pp$1.checkDeclaration = function (node) {
	  if (node.type === "ObjectPattern") {
	    for (var _iterator4 = node.properties, _isArray4 = Array.isArray(_iterator4), _i4 = 0, _iterator4 = _isArray4 ? _iterator4 : _iterator4[Symbol.iterator]();;) {
	      var _ref4;

	      if (_isArray4) {
	        if (_i4 >= _iterator4.length) break;
	        _ref4 = _iterator4[_i4++];
	      } else {
	        _i4 = _iterator4.next();
	        if (_i4.done) break;
	        _ref4 = _i4.value;
	      }

	      var prop = _ref4;

	      this.checkDeclaration(prop);
	    }
	  } else if (node.type === "ArrayPattern") {
	    for (var _iterator5 = node.elements, _isArray5 = Array.isArray(_iterator5), _i5 = 0, _iterator5 = _isArray5 ? _iterator5 : _iterator5[Symbol.iterator]();;) {
	      var _ref5;

	      if (_isArray5) {
	        if (_i5 >= _iterator5.length) break;
	        _ref5 = _iterator5[_i5++];
	      } else {
	        _i5 = _iterator5.next();
	        if (_i5.done) break;
	        _ref5 = _i5.value;
	      }

	      var elem = _ref5;

	      if (elem) {
	        this.checkDeclaration(elem);
	      }
	    }
	  } else if (node.type === "ObjectProperty") {
	    this.checkDeclaration(node.value);
	  } else if (node.type === "RestElement" || node.type === "RestProperty") {
	    this.checkDeclaration(node.argument);
	  } else if (node.type === "Identifier") {
	    this.checkDuplicateExports(node, node.name);
	  }
	};

	pp$1.checkDuplicateExports = function (node, name) {
	  if (this.state.exportedIdentifiers.indexOf(name) > -1) {
	    this.raiseDuplicateExportError(node, name);
	  }
	  this.state.exportedIdentifiers.push(name);
	};

	pp$1.raiseDuplicateExportError = function (node, name) {
	  this.raise(node.start, name === "default" ? "Only one default export allowed per module." : "`" + name + "` has already been exported. Exported identifiers must be unique.");
	};

	// Parses a comma-separated list of module exports.

	pp$1.parseExportSpecifiers = function () {
	  var nodes = [];
	  var first = true;
	  var needsFrom = void 0;

	  // export { x, y as z } [from '...']
	  this.expect(types.braceL);

	  while (!this.eat(types.braceR)) {
	    if (first) {
	      first = false;
	    } else {
	      this.expect(types.comma);
	      if (this.eat(types.braceR)) break;
	    }

	    var isDefault = this.match(types._default);
	    if (isDefault && !needsFrom) needsFrom = true;

	    var node = this.startNode();
	    node.local = this.parseIdentifier(isDefault);
	    node.exported = this.eatContextual("as") ? this.parseIdentifier(true) : node.local.__clone();
	    nodes.push(this.finishNode(node, "ExportSpecifier"));
	  }

	  // https://github.com/ember-cli/ember-cli/pull/3739
	  if (needsFrom && !this.isContextual("from")) {
	    this.unexpected();
	  }

	  return nodes;
	};

	// Parses import declaration.

	pp$1.parseImport = function (node) {
	  this.next();

	  // import '...'
	  if (this.match(types.string)) {
	    node.specifiers = [];
	    node.source = this.parseExprAtom();
	  } else {
	    node.specifiers = [];
	    this.parseImportSpecifiers(node);
	    this.expectContextual("from");
	    node.source = this.match(types.string) ? this.parseExprAtom() : this.unexpected();
	  }
	  this.semicolon();
	  return this.finishNode(node, "ImportDeclaration");
	};

	// Parses a comma-separated list of module imports.

	pp$1.parseImportSpecifiers = function (node) {
	  var first = true;
	  if (this.match(types.name)) {
	    // import defaultObj, { x, y as z } from '...'
	    var startPos = this.state.start,
	        startLoc = this.state.startLoc;
	    node.specifiers.push(this.parseImportSpecifierDefault(this.parseIdentifier(), startPos, startLoc));
	    if (!this.eat(types.comma)) return;
	  }

	  if (this.match(types.star)) {
	    var specifier = this.startNode();
	    this.next();
	    this.expectContextual("as");
	    specifier.local = this.parseIdentifier();
	    this.checkLVal(specifier.local, true, undefined, "import namespace specifier");
	    node.specifiers.push(this.finishNode(specifier, "ImportNamespaceSpecifier"));
	    return;
	  }

	  this.expect(types.braceL);
	  while (!this.eat(types.braceR)) {
	    if (first) {
	      first = false;
	    } else {
	      this.expect(types.comma);
	      if (this.eat(types.braceR)) break;
	    }

	    var _specifier3 = this.startNode();
	    _specifier3.imported = this.parseIdentifier(true);
	    _specifier3.local = this.eatContextual("as") ? this.parseIdentifier() : _specifier3.imported.__clone();
	    this.checkLVal(_specifier3.local, true, undefined, "import specifier");
	    node.specifiers.push(this.finishNode(_specifier3, "ImportSpecifier"));
	  }
	};

	pp$1.parseImportSpecifierDefault = function (id, startPos, startLoc) {
	  var node = this.startNodeAt(startPos, startLoc);
	  node.local = id;
	  this.checkLVal(node.local, true, undefined, "default import specifier");
	  return this.finishNode(node, "ImportDefaultSpecifier");
	};

	/* eslint indent: 0 */

	var pp$2 = Parser.prototype;

	// Convert existing expression atom to assignable pattern
	// if possible.

	pp$2.toAssignable = function (node, isBinding, contextDescription) {
	  if (node) {
	    switch (node.type) {
	      case "Identifier":
	      case "ObjectPattern":
	      case "ArrayPattern":
	      case "AssignmentPattern":
	        break;

	      case "ObjectExpression":
	        node.type = "ObjectPattern";
	        for (var _iterator = node.properties, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _iterator[Symbol.iterator]();;) {
	          var _ref;

	          if (_isArray) {
	            if (_i >= _iterator.length) break;
	            _ref = _iterator[_i++];
	          } else {
	            _i = _iterator.next();
	            if (_i.done) break;
	            _ref = _i.value;
	          }

	          var prop = _ref;

	          if (prop.type === "ObjectMethod") {
	            if (prop.kind === "get" || prop.kind === "set") {
	              this.raise(prop.key.start, "Object pattern can't contain getter or setter");
	            } else {
	              this.raise(prop.key.start, "Object pattern can't contain methods");
	            }
	          } else {
	            this.toAssignable(prop, isBinding, "object destructuring pattern");
	          }
	        }
	        break;

	      case "ObjectProperty":
	        this.toAssignable(node.value, isBinding, contextDescription);
	        break;

	      case "SpreadProperty":
	        node.type = "RestProperty";
	        break;

	      case "ArrayExpression":
	        node.type = "ArrayPattern";
	        this.toAssignableList(node.elements, isBinding, contextDescription);
	        break;

	      case "AssignmentExpression":
	        if (node.operator === "=") {
	          node.type = "AssignmentPattern";
	          delete node.operator;
	        } else {
	          this.raise(node.left.end, "Only '=' operator can be used for specifying default value.");
	        }
	        break;

	      case "MemberExpression":
	        if (!isBinding) break;

	      default:
	        {
	          var message = "Invalid left-hand side" + (contextDescription ? " in " + contextDescription : /* istanbul ignore next */"expression");
	          this.raise(node.start, message);
	        }
	    }
	  }
	  return node;
	};

	// Convert list of expression atoms to binding list.

	pp$2.toAssignableList = function (exprList, isBinding, contextDescription) {
	  var end = exprList.length;
	  if (end) {
	    var last = exprList[end - 1];
	    if (last && last.type === "RestElement") {
	      --end;
	    } else if (last && last.type === "SpreadElement") {
	      last.type = "RestElement";
	      var arg = last.argument;
	      this.toAssignable(arg, isBinding, contextDescription);
	      if (arg.type !== "Identifier" && arg.type !== "MemberExpression" && arg.type !== "ArrayPattern") {
	        this.unexpected(arg.start);
	      }
	      --end;
	    }
	  }
	  for (var i = 0; i < end; i++) {
	    var elt = exprList[i];
	    if (elt) this.toAssignable(elt, isBinding, contextDescription);
	  }
	  return exprList;
	};

	// Convert list of expression atoms to a list of

	pp$2.toReferencedList = function (exprList) {
	  return exprList;
	};

	// Parses spread element.

	pp$2.parseSpread = function (refShorthandDefaultPos) {
	  var node = this.startNode();
	  this.next();
	  node.argument = this.parseMaybeAssign(false, refShorthandDefaultPos);
	  return this.finishNode(node, "SpreadElement");
	};

	pp$2.parseRest = function () {
	  var node = this.startNode();
	  this.next();
	  node.argument = this.parseBindingIdentifier();
	  return this.finishNode(node, "RestElement");
	};

	pp$2.shouldAllowYieldIdentifier = function () {
	  return this.match(types._yield) && !this.state.strict && !this.state.inGenerator;
	};

	pp$2.parseBindingIdentifier = function () {
	  return this.parseIdentifier(this.shouldAllowYieldIdentifier());
	};

	// Parses lvalue (assignable) atom.

	pp$2.parseBindingAtom = function () {
	  switch (this.state.type) {
	    case types._yield:
	      if (this.state.strict || this.state.inGenerator) this.unexpected();
	    // fall-through
	    case types.name:
	      return this.parseIdentifier(true);

	    case types.bracketL:
	      var node = this.startNode();
	      this.next();
	      node.elements = this.parseBindingList(types.bracketR, true);
	      return this.finishNode(node, "ArrayPattern");

	    case types.braceL:
	      return this.parseObj(true);

	    default:
	      this.unexpected();
	  }
	};

	pp$2.parseBindingList = function (close, allowEmpty) {
	  var elts = [];
	  var first = true;
	  while (!this.eat(close)) {
	    if (first) {
	      first = false;
	    } else {
	      this.expect(types.comma);
	    }
	    if (allowEmpty && this.match(types.comma)) {
	      elts.push(null);
	    } else if (this.eat(close)) {
	      break;
	    } else if (this.match(types.ellipsis)) {
	      elts.push(this.parseAssignableListItemTypes(this.parseRest()));
	      this.expect(close);
	      break;
	    } else {
	      var decorators = [];
	      while (this.match(types.at)) {
	        decorators.push(this.parseDecorator());
	      }
	      var left = this.parseMaybeDefault();
	      if (decorators.length) {
	        left.decorators = decorators;
	      }
	      this.parseAssignableListItemTypes(left);
	      elts.push(this.parseMaybeDefault(left.start, left.loc.start, left));
	    }
	  }
	  return elts;
	};

	pp$2.parseAssignableListItemTypes = function (param) {
	  return param;
	};

	// Parses assignment pattern around given atom if possible.

	pp$2.parseMaybeDefault = function (startPos, startLoc, left) {
	  startLoc = startLoc || this.state.startLoc;
	  startPos = startPos || this.state.start;
	  left = left || this.parseBindingAtom();
	  if (!this.eat(types.eq)) return left;

	  var node = this.startNodeAt(startPos, startLoc);
	  node.left = left;
	  node.right = this.parseMaybeAssign();
	  return this.finishNode(node, "AssignmentPattern");
	};

	// Verify that a node is an lval — something that can be assigned
	// to.

	pp$2.checkLVal = function (expr, isBinding, checkClashes, contextDescription) {
	  switch (expr.type) {
	    case "Identifier":
	      this.checkReservedWord(expr.name, expr.start, false, true);

	      if (checkClashes) {
	        // we need to prefix this with an underscore for the cases where we have a key of
	        // `__proto__`. there's a bug in old V8 where the following wouldn't work:
	        //
	        //   > var obj = Object.create(null);
	        //   undefined
	        //   > obj.__proto__
	        //   null
	        //   > obj.__proto__ = true;
	        //   true
	        //   > obj.__proto__
	        //   null
	        var key = "_" + expr.name;

	        if (checkClashes[key]) {
	          this.raise(expr.start, "Argument name clash in strict mode");
	        } else {
	          checkClashes[key] = true;
	        }
	      }
	      break;

	    case "MemberExpression":
	      if (isBinding) this.raise(expr.start, (isBinding ? "Binding" : "Assigning to") + " member expression");
	      break;

	    case "ObjectPattern":
	      for (var _iterator2 = expr.properties, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : _iterator2[Symbol.iterator]();;) {
	        var _ref2;

	        if (_isArray2) {
	          if (_i2 >= _iterator2.length) break;
	          _ref2 = _iterator2[_i2++];
	        } else {
	          _i2 = _iterator2.next();
	          if (_i2.done) break;
	          _ref2 = _i2.value;
	        }

	        var prop = _ref2;

	        if (prop.type === "ObjectProperty") prop = prop.value;
	        this.checkLVal(prop, isBinding, checkClashes, "object destructuring pattern");
	      }
	      break;

	    case "ArrayPattern":
	      for (var _iterator3 = expr.elements, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : _iterator3[Symbol.iterator]();;) {
	        var _ref3;

	        if (_isArray3) {
	          if (_i3 >= _iterator3.length) break;
	          _ref3 = _iterator3[_i3++];
	        } else {
	          _i3 = _iterator3.next();
	          if (_i3.done) break;
	          _ref3 = _i3.value;
	        }

	        var elem = _ref3;

	        if (elem) this.checkLVal(elem, isBinding, checkClashes, "array destructuring pattern");
	      }
	      break;

	    case "AssignmentPattern":
	      this.checkLVal(expr.left, isBinding, checkClashes, "assignment pattern");
	      break;

	    case "RestProperty":
	      this.checkLVal(expr.argument, isBinding, checkClashes, "rest property");
	      break;

	    case "RestElement":
	      this.checkLVal(expr.argument, isBinding, checkClashes, "rest element");
	      break;

	    default:
	      {
	        var message = (isBinding ? /* istanbul ignore next */"Binding invalid" : "Invalid") + " left-hand side" + (contextDescription ? " in " + contextDescription : /* istanbul ignore next */"expression");
	        this.raise(expr.start, message);
	      }
	  }
	};

	/* eslint indent: 0 */
	/* eslint max-len: 0 */

	// A recursive descent parser operates by defining functions for all
	// syntactic elements, and recursively calling those, each function
	// advancing the input stream and returning an AST node. Precedence
	// of constructs (for example, the fact that `!x[1]` means `!(x[1])`
	// instead of `(!x)[1]` is handled by the fact that the parser
	// function that parses unary prefix operators is called first, and
	// in turn calls the function that parses `[]` subscripts — that
	// way, it'll receive the node for `x[1]` already parsed, and wraps
	// *that* in the unary operator node.
	//
	// Acorn uses an [operator precedence parser][opp] to handle binary
	// operator precedence, because it is much more compact than using
	// the technique outlined above, which uses different, nesting
	// functions to specify precedence, for all of the ten binary
	// precedence levels that JavaScript defines.
	//
	// [opp]: http://en.wikipedia.org/wiki/Operator-precedence_parser

	var pp$3 = Parser.prototype;

	// Check if property name clashes with already added.
	// Object/class getters and setters are not allowed to clash —
	// either with each other or with an init property — and in
	// strict mode, init properties are also not allowed to be repeated.

	pp$3.checkPropClash = function (prop, propHash) {
	  if (prop.computed) return;

	  var key = prop.key;
	  var name = void 0;
	  switch (key.type) {
	    case "Identifier":
	      name = key.name;
	      break;

	    case "StringLiteral":
	    case "NumericLiteral":
	      name = String(key.value);
	      break;

	    // istanbul ignore next: non-computed property keys are always one of the above
	    default:
	      return;
	  }

	  if (name === "__proto__" && !prop.kind) {
	    if (propHash.proto) this.raise(key.start, "Redefinition of __proto__ property");
	    propHash.proto = true;
	  }
	};

	// ### Expression parsing

	// These nest, from the most general expression type at the top to
	// 'atomic', nondivisible expression types at the bottom. Most of
	// the functions will simply let the function (s) below them parse,
	// and, *if* the syntactic construct they handle is present, wrap
	// the AST node that the inner parser gave them in another node.

	// Parse a full expression. The optional arguments are used to
	// forbid the `in` operator (in for loops initalization expressions)
	// and provide reference for storing '=' operator inside shorthand
	// property assignment in contexts where both object expression
	// and object pattern might appear (so it's possible to raise
	// delayed syntax error at correct position).

	pp$3.parseExpression = function (noIn, refShorthandDefaultPos) {
	  var startPos = this.state.start,
	      startLoc = this.state.startLoc;
	  var expr = this.parseMaybeAssign(noIn, refShorthandDefaultPos);
	  if (this.match(types.comma)) {
	    var node = this.startNodeAt(startPos, startLoc);
	    node.expressions = [expr];
	    while (this.eat(types.comma)) {
	      node.expressions.push(this.parseMaybeAssign(noIn, refShorthandDefaultPos));
	    }
	    this.toReferencedList(node.expressions);
	    return this.finishNode(node, "SequenceExpression");
	  }
	  return expr;
	};

	// Parse an assignment expression. This includes applications of
	// operators like `+=`.

	pp$3.parseMaybeAssign = function (noIn, refShorthandDefaultPos, afterLeftParse, refNeedsArrowPos) {
	  var startPos = this.state.start;
	  var startLoc = this.state.startLoc;

	  if (this.match(types._yield) && this.state.inGenerator) {
	    var _left = this.parseYield();
	    if (afterLeftParse) _left = afterLeftParse.call(this, _left, startPos, startLoc);
	    return _left;
	  }

	  var failOnShorthandAssign = void 0;
	  if (refShorthandDefaultPos) {
	    failOnShorthandAssign = false;
	  } else {
	    refShorthandDefaultPos = { start: 0 };
	    failOnShorthandAssign = true;
	  }

	  if (this.match(types.parenL) || this.match(types.name)) {
	    this.state.potentialArrowAt = this.state.start;
	  }

	  var left = this.parseMaybeConditional(noIn, refShorthandDefaultPos, refNeedsArrowPos);
	  if (afterLeftParse) left = afterLeftParse.call(this, left, startPos, startLoc);
	  if (this.state.type.isAssign) {
	    var node = this.startNodeAt(startPos, startLoc);
	    node.operator = this.state.value;
	    node.left = this.match(types.eq) ? this.toAssignable(left, undefined, "assignment expression") : left;
	    refShorthandDefaultPos.start = 0; // reset because shorthand default was used correctly

	    this.checkLVal(left, undefined, undefined, "assignment expression");

	    if (left.extra && left.extra.parenthesized) {
	      var errorMsg = void 0;
	      if (left.type === "ObjectPattern") {
	        errorMsg = "`({a}) = 0` use `({a} = 0)`";
	      } else if (left.type === "ArrayPattern") {
	        errorMsg = "`([a]) = 0` use `([a] = 0)`";
	      }
	      if (errorMsg) {
	        this.raise(left.start, "You're trying to assign to a parenthesized expression, eg. instead of " + errorMsg);
	      }
	    }

	    this.next();
	    node.right = this.parseMaybeAssign(noIn);
	    return this.finishNode(node, "AssignmentExpression");
	  } else if (failOnShorthandAssign && refShorthandDefaultPos.start) {
	    this.unexpected(refShorthandDefaultPos.start);
	  }

	  return left;
	};

	// Parse a ternary conditional (`?:`) operator.

	pp$3.parseMaybeConditional = function (noIn, refShorthandDefaultPos, refNeedsArrowPos) {
	  var startPos = this.state.start,
	      startLoc = this.state.startLoc;
	  var expr = this.parseExprOps(noIn, refShorthandDefaultPos);
	  if (refShorthandDefaultPos && refShorthandDefaultPos.start) return expr;

	  return this.parseConditional(expr, noIn, startPos, startLoc, refNeedsArrowPos);
	};

	pp$3.parseConditional = function (expr, noIn, startPos, startLoc) {
	  if (this.eat(types.question)) {
	    var node = this.startNodeAt(startPos, startLoc);
	    node.test = expr;
	    node.consequent = this.parseMaybeAssign();
	    this.expect(types.colon);
	    node.alternate = this.parseMaybeAssign(noIn);
	    return this.finishNode(node, "ConditionalExpression");
	  }
	  return expr;
	};

	// Start the precedence parser.

	pp$3.parseExprOps = function (noIn, refShorthandDefaultPos) {
	  var startPos = this.state.start,
	      startLoc = this.state.startLoc;
	  var expr = this.parseMaybeUnary(refShorthandDefaultPos);
	  if (refShorthandDefaultPos && refShorthandDefaultPos.start) {
	    return expr;
	  } else {
	    return this.parseExprOp(expr, startPos, startLoc, -1, noIn);
	  }
	};

	// Parse binary operators with the operator precedence parsing
	// algorithm. `left` is the left-hand side of the operator.
	// `minPrec` provides context that allows the function to stop and
	// defer further parser to one of its callers when it encounters an
	// operator that has a lower precedence than the set it is parsing.

	pp$3.parseExprOp = function (left, leftStartPos, leftStartLoc, minPrec, noIn) {
	  var prec = this.state.type.binop;
	  if (prec != null && (!noIn || !this.match(types._in))) {
	    if (prec > minPrec) {
	      var node = this.startNodeAt(leftStartPos, leftStartLoc);
	      node.left = left;
	      node.operator = this.state.value;

	      if (node.operator === "**" && left.type === "UnaryExpression" && left.extra && !left.extra.parenthesizedArgument && !left.extra.parenthesized) {
	        this.raise(left.argument.start, "Illegal expression. Wrap left hand side or entire exponentiation in parentheses.");
	      }

	      var op = this.state.type;
	      this.next();

	      var startPos = this.state.start;
	      var startLoc = this.state.startLoc;
	      node.right = this.parseExprOp(this.parseMaybeUnary(), startPos, startLoc, op.rightAssociative ? prec - 1 : prec, noIn);

	      this.finishNode(node, op === types.logicalOR || op === types.logicalAND ? "LogicalExpression" : "BinaryExpression");
	      return this.parseExprOp(node, leftStartPos, leftStartLoc, minPrec, noIn);
	    }
	  }
	  return left;
	};

	// Parse unary operators, both prefix and postfix.

	pp$3.parseMaybeUnary = function (refShorthandDefaultPos) {
	  if (this.state.type.prefix) {
	    var node = this.startNode();
	    var update = this.match(types.incDec);
	    node.operator = this.state.value;
	    node.prefix = true;
	    this.next();

	    var argType = this.state.type;
	    node.argument = this.parseMaybeUnary();

	    this.addExtra(node, "parenthesizedArgument", argType === types.parenL && (!node.argument.extra || !node.argument.extra.parenthesized));

	    if (refShorthandDefaultPos && refShorthandDefaultPos.start) {
	      this.unexpected(refShorthandDefaultPos.start);
	    }

	    if (update) {
	      this.checkLVal(node.argument, undefined, undefined, "prefix operation");
	    } else if (this.state.strict && node.operator === "delete" && node.argument.type === "Identifier") {
	      this.raise(node.start, "Deleting local variable in strict mode");
	    }

	    return this.finishNode(node, update ? "UpdateExpression" : "UnaryExpression");
	  }

	  var startPos = this.state.start,
	      startLoc = this.state.startLoc;
	  var expr = this.parseExprSubscripts(refShorthandDefaultPos);
	  if (refShorthandDefaultPos && refShorthandDefaultPos.start) return expr;
	  while (this.state.type.postfix && !this.canInsertSemicolon()) {
	    var _node = this.startNodeAt(startPos, startLoc);
	    _node.operator = this.state.value;
	    _node.prefix = false;
	    _node.argument = expr;
	    this.checkLVal(expr, undefined, undefined, "postfix operation");
	    this.next();
	    expr = this.finishNode(_node, "UpdateExpression");
	  }
	  return expr;
	};

	// Parse call, dot, and `[]`-subscript expressions.

	pp$3.parseExprSubscripts = function (refShorthandDefaultPos) {
	  var startPos = this.state.start,
	      startLoc = this.state.startLoc;
	  var potentialArrowAt = this.state.potentialArrowAt;
	  var expr = this.parseExprAtom(refShorthandDefaultPos);

	  if (expr.type === "ArrowFunctionExpression" && expr.start === potentialArrowAt) {
	    return expr;
	  }

	  if (refShorthandDefaultPos && refShorthandDefaultPos.start) {
	    return expr;
	  }

	  return this.parseSubscripts(expr, startPos, startLoc);
	};

	pp$3.parseSubscripts = function (base, startPos, startLoc, noCalls) {
	  for (;;) {
	    if (!noCalls && this.eat(types.doubleColon)) {
	      var node = this.startNodeAt(startPos, startLoc);
	      node.object = base;
	      node.callee = this.parseNoCallExpr();
	      return this.parseSubscripts(this.finishNode(node, "BindExpression"), startPos, startLoc, noCalls);
	    } else if (this.eat(types.dot)) {
	      var _node2 = this.startNodeAt(startPos, startLoc);
	      _node2.object = base;
	      _node2.property = this.parseIdentifier(true);
	      _node2.computed = false;
	      base = this.finishNode(_node2, "MemberExpression");
	    } else if (this.eat(types.bracketL)) {
	      var _node3 = this.startNodeAt(startPos, startLoc);
	      _node3.object = base;
	      _node3.property = this.parseExpression();
	      _node3.computed = true;
	      this.expect(types.bracketR);
	      base = this.finishNode(_node3, "MemberExpression");
	    } else if (!noCalls && this.match(types.parenL)) {
	      var possibleAsync = this.state.potentialArrowAt === base.start && base.type === "Identifier" && base.name === "async" && !this.canInsertSemicolon();
	      this.next();

	      var _node4 = this.startNodeAt(startPos, startLoc);
	      _node4.callee = base;
	      _node4.arguments = this.parseCallExpressionArguments(types.parenR, possibleAsync);
	      if (_node4.callee.type === "Import" && _node4.arguments.length !== 1) {
	        this.raise(_node4.start, "import() requires exactly one argument");
	      }
	      base = this.finishNode(_node4, "CallExpression");

	      if (possibleAsync && this.shouldParseAsyncArrow()) {
	        return this.parseAsyncArrowFromCallExpression(this.startNodeAt(startPos, startLoc), _node4);
	      } else {
	        this.toReferencedList(_node4.arguments);
	      }
	    } else if (this.match(types.backQuote)) {
	      var _node5 = this.startNodeAt(startPos, startLoc);
	      _node5.tag = base;
	      _node5.quasi = this.parseTemplate();
	      base = this.finishNode(_node5, "TaggedTemplateExpression");
	    } else {
	      return base;
	    }
	  }
	};

	pp$3.parseCallExpressionArguments = function (close, possibleAsyncArrow) {
	  var innerParenStart = void 0;

	  var elts = [],
	      first = true;
	  while (!this.eat(close)) {
	    if (first) {
	      first = false;
	    } else {
	      this.expect(types.comma);
	      if (this.eat(close)) break;
	    }

	    // we need to make sure that if this is an async arrow functions, that we don't allow inner parens inside the params
	    if (this.match(types.parenL) && !innerParenStart) {
	      innerParenStart = this.state.start;
	    }

	    elts.push(this.parseExprListItem(undefined, possibleAsyncArrow ? { start: 0 } : undefined));
	  }

	  // we found an async arrow function so let's not allow any inner parens
	  if (possibleAsyncArrow && innerParenStart && this.shouldParseAsyncArrow()) {
	    this.unexpected();
	  }

	  return elts;
	};

	pp$3.shouldParseAsyncArrow = function () {
	  return this.match(types.arrow);
	};

	pp$3.parseAsyncArrowFromCallExpression = function (node, call) {
	  this.expect(types.arrow);
	  return this.parseArrowExpression(node, call.arguments, true);
	};

	// Parse a no-call expression (like argument of `new` or `::` operators).

	pp$3.parseNoCallExpr = function () {
	  var startPos = this.state.start,
	      startLoc = this.state.startLoc;
	  return this.parseSubscripts(this.parseExprAtom(), startPos, startLoc, true);
	};

	// Parse an atomic expression — either a single token that is an
	// expression, an expression started by a keyword like `function` or
	// `new`, or an expression wrapped in punctuation like `()`, `[]`,
	// or `{}`.

	pp$3.parseExprAtom = function (refShorthandDefaultPos) {
	  var node = void 0,
	      canBeArrow = this.state.potentialArrowAt === this.state.start;
	  switch (this.state.type) {
	    case types._super:
	      if (!this.state.inMethod && !this.options.allowSuperOutsideMethod) {
	        this.raise(this.state.start, "'super' outside of function or class");
	      }

	      node = this.startNode();
	      this.next();
	      if (!this.match(types.parenL) && !this.match(types.bracketL) && !this.match(types.dot)) {
	        this.unexpected();
	      }
	      if (this.match(types.parenL) && this.state.inMethod !== "constructor" && !this.options.allowSuperOutsideMethod) {
	        this.raise(node.start, "super() outside of class constructor");
	      }
	      return this.finishNode(node, "Super");

	    case types._import:
	      if (!this.hasPlugin("dynamicImport")) this.unexpected();

	      node = this.startNode();
	      this.next();
	      if (!this.match(types.parenL)) {
	        this.unexpected(null, types.parenL);
	      }
	      return this.finishNode(node, "Import");

	    case types._this:
	      node = this.startNode();
	      this.next();
	      return this.finishNode(node, "ThisExpression");

	    case types._yield:
	      if (this.state.inGenerator) this.unexpected();

	    case types.name:
	      node = this.startNode();
	      var allowAwait = this.state.value === "await" && this.state.inAsync;
	      var allowYield = this.shouldAllowYieldIdentifier();
	      var id = this.parseIdentifier(allowAwait || allowYield);

	      if (id.name === "await") {
	        if (this.state.inAsync || this.inModule) {
	          return this.parseAwait(node);
	        }
	      } else if (id.name === "async" && this.match(types._function) && !this.canInsertSemicolon()) {
	        this.next();
	        return this.parseFunction(node, false, false, true);
	      } else if (canBeArrow && id.name === "async" && this.match(types.name)) {
	        var params = [this.parseIdentifier()];
	        this.expect(types.arrow);
	        // let foo = bar => {};
	        return this.parseArrowExpression(node, params, true);
	      }

	      if (canBeArrow && !this.canInsertSemicolon() && this.eat(types.arrow)) {
	        return this.parseArrowExpression(node, [id]);
	      }

	      return id;

	    case types._do:
	      if (this.hasPlugin("doExpressions")) {
	        var _node6 = this.startNode();
	        this.next();
	        var oldInFunction = this.state.inFunction;
	        var oldLabels = this.state.labels;
	        this.state.labels = [];
	        this.state.inFunction = false;
	        _node6.body = this.parseBlock(false, true);
	        this.state.inFunction = oldInFunction;
	        this.state.labels = oldLabels;
	        return this.finishNode(_node6, "DoExpression");
	      }

	    case types.regexp:
	      var value = this.state.value;
	      node = this.parseLiteral(value.value, "RegExpLiteral");
	      node.pattern = value.pattern;
	      node.flags = value.flags;
	      return node;

	    case types.num:
	      return this.parseLiteral(this.state.value, "NumericLiteral");

	    case types.string:
	      return this.parseLiteral(this.state.value, "StringLiteral");

	    case types._null:
	      node = this.startNode();
	      this.next();
	      return this.finishNode(node, "NullLiteral");

	    case types._true:case types._false:
	      node = this.startNode();
	      node.value = this.match(types._true);
	      this.next();
	      return this.finishNode(node, "BooleanLiteral");

	    case types.parenL:
	      return this.parseParenAndDistinguishExpression(null, null, canBeArrow);

	    case types.bracketL:
	      node = this.startNode();
	      this.next();
	      node.elements = this.parseExprList(types.bracketR, true, refShorthandDefaultPos);
	      this.toReferencedList(node.elements);
	      return this.finishNode(node, "ArrayExpression");

	    case types.braceL:
	      return this.parseObj(false, refShorthandDefaultPos);

	    case types._function:
	      return this.parseFunctionExpression();

	    case types.at:
	      this.parseDecorators();

	    case types._class:
	      node = this.startNode();
	      this.takeDecorators(node);
	      return this.parseClass(node, false);

	    case types._new:
	      return this.parseNew();

	    case types.backQuote:
	      return this.parseTemplate();

	    case types.doubleColon:
	      node = this.startNode();
	      this.next();
	      node.object = null;
	      var callee = node.callee = this.parseNoCallExpr();
	      if (callee.type === "MemberExpression") {
	        return this.finishNode(node, "BindExpression");
	      } else {
	        this.raise(callee.start, "Binding should be performed on object property.");
	      }

	    default:
	      this.unexpected();
	  }
	};

	pp$3.parseFunctionExpression = function () {
	  var node = this.startNode();
	  var meta = this.parseIdentifier(true);
	  if (this.state.inGenerator && this.eat(types.dot) && this.hasPlugin("functionSent")) {
	    return this.parseMetaProperty(node, meta, "sent");
	  } else {
	    return this.parseFunction(node, false);
	  }
	};

	pp$3.parseMetaProperty = function (node, meta, propertyName) {
	  node.meta = meta;
	  node.property = this.parseIdentifier(true);

	  if (node.property.name !== propertyName) {
	    this.raise(node.property.start, "The only valid meta property for new is " + meta.name + "." + propertyName);
	  }

	  return this.finishNode(node, "MetaProperty");
	};

	pp$3.parseLiteral = function (value, type) {
	  var node = this.startNode();
	  this.addExtra(node, "rawValue", value);
	  this.addExtra(node, "raw", this.input.slice(this.state.start, this.state.end));
	  node.value = value;
	  this.next();
	  return this.finishNode(node, type);
	};

	pp$3.parseParenExpression = function () {
	  this.expect(types.parenL);
	  var val = this.parseExpression();
	  this.expect(types.parenR);
	  return val;
	};

	pp$3.parseParenAndDistinguishExpression = function (startPos, startLoc, canBeArrow) {
	  startPos = startPos || this.state.start;
	  startLoc = startLoc || this.state.startLoc;

	  var val = void 0;
	  this.expect(types.parenL);

	  var innerStartPos = this.state.start,
	      innerStartLoc = this.state.startLoc;
	  var exprList = [],
	      first = true;
	  var refShorthandDefaultPos = { start: 0 },
	      spreadStart = void 0,
	      optionalCommaStart = void 0;
	  var refNeedsArrowPos = { start: 0 };
	  while (!this.match(types.parenR)) {
	    if (first) {
	      first = false;
	    } else {
	      this.expect(types.comma, refNeedsArrowPos.start || null);
	      if (this.match(types.parenR)) {
	        optionalCommaStart = this.state.start;
	        break;
	      }
	    }

	    if (this.match(types.ellipsis)) {
	      var spreadNodeStartPos = this.state.start,
	          spreadNodeStartLoc = this.state.startLoc;
	      spreadStart = this.state.start;
	      exprList.push(this.parseParenItem(this.parseRest(), spreadNodeStartLoc, spreadNodeStartPos));
	      break;
	    } else {
	      exprList.push(this.parseMaybeAssign(false, refShorthandDefaultPos, this.parseParenItem, refNeedsArrowPos));
	    }
	  }

	  var innerEndPos = this.state.start;
	  var innerEndLoc = this.state.startLoc;
	  this.expect(types.parenR);

	  var arrowNode = this.startNodeAt(startPos, startLoc);
	  if (canBeArrow && this.shouldParseArrow() && (arrowNode = this.parseArrow(arrowNode))) {
	    for (var _iterator = exprList, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _iterator[Symbol.iterator]();;) {
	      var _ref;

	      if (_isArray) {
	        if (_i >= _iterator.length) break;
	        _ref = _iterator[_i++];
	      } else {
	        _i = _iterator.next();
	        if (_i.done) break;
	        _ref = _i.value;
	      }

	      var param = _ref;

	      if (param.extra && param.extra.parenthesized) this.unexpected(param.extra.parenStart);
	    }

	    return this.parseArrowExpression(arrowNode, exprList);
	  }

	  if (!exprList.length) {
	    this.unexpected(this.state.lastTokStart);
	  }
	  if (optionalCommaStart) this.unexpected(optionalCommaStart);
	  if (spreadStart) this.unexpected(spreadStart);
	  if (refShorthandDefaultPos.start) this.unexpected(refShorthandDefaultPos.start);
	  if (refNeedsArrowPos.start) this.unexpected(refNeedsArrowPos.start);

	  if (exprList.length > 1) {
	    val = this.startNodeAt(innerStartPos, innerStartLoc);
	    val.expressions = exprList;
	    this.toReferencedList(val.expressions);
	    this.finishNodeAt(val, "SequenceExpression", innerEndPos, innerEndLoc);
	  } else {
	    val = exprList[0];
	  }

	  this.addExtra(val, "parenthesized", true);
	  this.addExtra(val, "parenStart", startPos);

	  return val;
	};

	pp$3.shouldParseArrow = function () {
	  return !this.canInsertSemicolon();
	};

	pp$3.parseArrow = function (node) {
	  if (this.eat(types.arrow)) {
	    return node;
	  }
	};

	pp$3.parseParenItem = function (node) {
	  return node;
	};

	// New's precedence is slightly tricky. It must allow its argument
	// to be a `[]` or dot subscript expression, but not a call — at
	// least, not without wrapping it in parentheses. Thus, it uses the

	pp$3.parseNew = function () {
	  var node = this.startNode();
	  var meta = this.parseIdentifier(true);

	  if (this.eat(types.dot)) {
	    return this.parseMetaProperty(node, meta, "target");
	  }

	  node.callee = this.parseNoCallExpr();

	  if (this.eat(types.parenL)) {
	    node.arguments = this.parseExprList(types.parenR);
	    this.toReferencedList(node.arguments);
	  } else {
	    node.arguments = [];
	  }

	  return this.finishNode(node, "NewExpression");
	};

	// Parse template expression.

	pp$3.parseTemplateElement = function () {
	  var elem = this.startNode();
	  elem.value = {
	    raw: this.input.slice(this.state.start, this.state.end).replace(/\r\n?/g, "\n"),
	    cooked: this.state.value
	  };
	  this.next();
	  elem.tail = this.match(types.backQuote);
	  return this.finishNode(elem, "TemplateElement");
	};

	pp$3.parseTemplate = function () {
	  var node = this.startNode();
	  this.next();
	  node.expressions = [];
	  var curElt = this.parseTemplateElement();
	  node.quasis = [curElt];
	  while (!curElt.tail) {
	    this.expect(types.dollarBraceL);
	    node.expressions.push(this.parseExpression());
	    this.expect(types.braceR);
	    node.quasis.push(curElt = this.parseTemplateElement());
	  }
	  this.next();
	  return this.finishNode(node, "TemplateLiteral");
	};

	// Parse an object literal or binding pattern.

	pp$3.parseObj = function (isPattern, refShorthandDefaultPos) {
	  var decorators = [];
	  var propHash = Object.create(null);
	  var first = true;
	  var node = this.startNode();

	  node.properties = [];
	  this.next();

	  var firstRestLocation = null;

	  while (!this.eat(types.braceR)) {
	    if (first) {
	      first = false;
	    } else {
	      this.expect(types.comma);
	      if (this.eat(types.braceR)) break;
	    }

	    while (this.match(types.at)) {
	      decorators.push(this.parseDecorator());
	    }

	    var prop = this.startNode(),
	        isGenerator = false,
	        isAsync = false,
	        startPos = void 0,
	        startLoc = void 0;
	    if (decorators.length) {
	      prop.decorators = decorators;
	      decorators = [];
	    }

	    if (this.hasPlugin("objectRestSpread") && this.match(types.ellipsis)) {
	      prop = this.parseSpread();
	      prop.type = isPattern ? "RestProperty" : "SpreadProperty";
	      node.properties.push(prop);
	      if (isPattern) {
	        var position = this.state.start;
	        if (firstRestLocation !== null) {
	          this.unexpected(firstRestLocation, "Cannot have multiple rest elements when destructuring");
	        } else if (this.eat(types.braceR)) {
	          break;
	        } else if (this.match(types.comma) && this.lookahead().type === types.braceR) {
	          // TODO: temporary rollback
	          // this.unexpected(position, "A trailing comma is not permitted after the rest element");
	          continue;
	        } else {
	          firstRestLocation = position;
	          continue;
	        }
	      } else {
	        continue;
	      }
	    }

	    prop.method = false;
	    prop.shorthand = false;

	    if (isPattern || refShorthandDefaultPos) {
	      startPos = this.state.start;
	      startLoc = this.state.startLoc;
	    }

	    if (!isPattern) {
	      isGenerator = this.eat(types.star);
	    }

	    if (!isPattern && this.isContextual("async")) {
	      if (isGenerator) this.unexpected();

	      var asyncId = this.parseIdentifier();
	      if (this.match(types.colon) || this.match(types.parenL) || this.match(types.braceR) || this.match(types.eq) || this.match(types.comma)) {
	        prop.key = asyncId;
	      } else {
	        isAsync = true;
	        if (this.hasPlugin("asyncGenerators")) isGenerator = this.eat(types.star);
	        this.parsePropertyName(prop);
	      }
	    } else {
	      this.parsePropertyName(prop);
	    }

	    this.parseObjPropValue(prop, startPos, startLoc, isGenerator, isAsync, isPattern, refShorthandDefaultPos);
	    this.checkPropClash(prop, propHash);

	    if (prop.shorthand) {
	      this.addExtra(prop, "shorthand", true);
	    }

	    node.properties.push(prop);
	  }

	  if (firstRestLocation !== null) {
	    this.unexpected(firstRestLocation, "The rest element has to be the last element when destructuring");
	  }

	  if (decorators.length) {
	    this.raise(this.state.start, "You have trailing decorators with no property");
	  }

	  return this.finishNode(node, isPattern ? "ObjectPattern" : "ObjectExpression");
	};

	pp$3.parseObjPropValue = function (prop, startPos, startLoc, isGenerator, isAsync, isPattern, refShorthandDefaultPos) {
	  if (isAsync || isGenerator || this.match(types.parenL)) {
	    if (isPattern) this.unexpected();
	    prop.kind = "method";
	    prop.method = true;
	    this.parseMethod(prop, isGenerator, isAsync);
	    return this.finishNode(prop, "ObjectMethod");
	  }

	  if (this.eat(types.colon)) {
	    prop.value = isPattern ? this.parseMaybeDefault(this.state.start, this.state.startLoc) : this.parseMaybeAssign(false, refShorthandDefaultPos);
	    return this.finishNode(prop, "ObjectProperty");
	  }

	  if (!isPattern && !prop.computed && prop.key.type === "Identifier" && (prop.key.name === "get" || prop.key.name === "set") && !this.match(types.comma) && !this.match(types.braceR)) {
	    if (isGenerator || isAsync) this.unexpected();
	    prop.kind = prop.key.name;
	    this.parsePropertyName(prop);
	    this.parseMethod(prop, false);
	    var paramCount = prop.kind === "get" ? 0 : 1;
	    if (prop.params.length !== paramCount) {
	      var start = prop.start;
	      if (prop.kind === "get") {
	        this.raise(start, "getter should have no params");
	      } else {
	        this.raise(start, "setter should have exactly one param");
	      }
	    }
	    return this.finishNode(prop, "ObjectMethod");
	  }

	  if (!prop.computed && prop.key.type === "Identifier") {
	    if (isPattern) {
	      this.checkReservedWord(prop.key.name, prop.key.start, true, true);
	      prop.value = this.parseMaybeDefault(startPos, startLoc, prop.key.__clone());
	    } else if (this.match(types.eq) && refShorthandDefaultPos) {
	      if (!refShorthandDefaultPos.start) {
	        refShorthandDefaultPos.start = this.state.start;
	      }
	      prop.value = this.parseMaybeDefault(startPos, startLoc, prop.key.__clone());
	    } else {
	      prop.value = prop.key.__clone();
	    }

	    prop.shorthand = true;
	    return this.finishNode(prop, "ObjectProperty");
	  }

	  this.unexpected();
	};

	pp$3.parsePropertyName = function (prop) {
	  if (this.eat(types.bracketL)) {
	    prop.computed = true;
	    prop.key = this.parseMaybeAssign();
	    this.expect(types.bracketR);
	    return prop.key;
	  } else {
	    prop.computed = false;
	    return prop.key = this.match(types.num) || this.match(types.string) ? this.parseExprAtom() : this.parseIdentifier(true);
	  }
	};

	// Initialize empty function node.

	pp$3.initFunction = function (node, isAsync) {
	  node.id = null;
	  node.generator = false;
	  node.expression = false;
	  node.async = !!isAsync;
	};

	// Parse object or class method.

	pp$3.parseMethod = function (node, isGenerator, isAsync) {
	  var oldInMethod = this.state.inMethod;
	  this.state.inMethod = node.kind || true;
	  this.initFunction(node, isAsync);
	  this.expect(types.parenL);
	  node.params = this.parseBindingList(types.parenR);
	  node.generator = isGenerator;
	  this.parseFunctionBody(node);
	  this.state.inMethod = oldInMethod;
	  return node;
	};

	// Parse arrow function expression with given parameters.

	pp$3.parseArrowExpression = function (node, params, isAsync) {
	  this.initFunction(node, isAsync);
	  node.params = this.toAssignableList(params, true, "arrow function parameters");
	  this.parseFunctionBody(node, true);
	  return this.finishNode(node, "ArrowFunctionExpression");
	};

	// Parse function body and check parameters.

	pp$3.parseFunctionBody = function (node, allowExpression) {
	  var isExpression = allowExpression && !this.match(types.braceL);

	  var oldInAsync = this.state.inAsync;
	  this.state.inAsync = node.async;
	  if (isExpression) {
	    node.body = this.parseMaybeAssign();
	    node.expression = true;
	  } else {
	    // Start a new scope with regard to labels and the `inFunction`
	    // flag (restore them to their old value afterwards).
	    var oldInFunc = this.state.inFunction,
	        oldInGen = this.state.inGenerator,
	        oldLabels = this.state.labels;
	    this.state.inFunction = true;this.state.inGenerator = node.generator;this.state.labels = [];
	    node.body = this.parseBlock(true);
	    node.expression = false;
	    this.state.inFunction = oldInFunc;this.state.inGenerator = oldInGen;this.state.labels = oldLabels;
	  }
	  this.state.inAsync = oldInAsync;

	  // If this is a strict mode function, verify that argument names
	  // are not repeated, and it does not try to bind the words `eval`
	  // or `arguments`.
	  var checkLVal = this.state.strict;
	  var isStrict = false;

	  // arrow function
	  if (allowExpression) checkLVal = true;

	  // normal function
	  if (!isExpression && node.body.directives.length) {
	    for (var _iterator2 = node.body.directives, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : _iterator2[Symbol.iterator]();;) {
	      var _ref2;

	      if (_isArray2) {
	        if (_i2 >= _iterator2.length) break;
	        _ref2 = _iterator2[_i2++];
	      } else {
	        _i2 = _iterator2.next();
	        if (_i2.done) break;
	        _ref2 = _i2.value;
	      }

	      var directive = _ref2;

	      if (directive.value.value === "use strict") {
	        isStrict = true;
	        checkLVal = true;
	        break;
	      }
	    }
	  }

	  //
	  if (isStrict && node.id && node.id.type === "Identifier" && node.id.name === "yield") {
	    this.raise(node.id.start, "Binding yield in strict mode");
	  }

	  if (checkLVal) {
	    var nameHash = Object.create(null);
	    var oldStrict = this.state.strict;
	    if (isStrict) this.state.strict = true;
	    if (node.id) {
	      this.checkLVal(node.id, true, undefined, "function name");
	    }
	    for (var _iterator3 = node.params, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : _iterator3[Symbol.iterator]();;) {
	      var _ref3;

	      if (_isArray3) {
	        if (_i3 >= _iterator3.length) break;
	        _ref3 = _iterator3[_i3++];
	      } else {
	        _i3 = _iterator3.next();
	        if (_i3.done) break;
	        _ref3 = _i3.value;
	      }

	      var param = _ref3;

	      if (isStrict && param.type !== "Identifier") {
	        this.raise(param.start, "Non-simple parameter in strict mode");
	      }
	      this.checkLVal(param, true, nameHash, "function parameter list");
	    }
	    this.state.strict = oldStrict;
	  }
	};

	// Parses a comma-separated list of expressions, and returns them as
	// an array. `close` is the token type that ends the list, and
	// `allowEmpty` can be turned on to allow subsequent commas with
	// nothing in between them to be parsed as `null` (which is needed
	// for array literals).

	pp$3.parseExprList = function (close, allowEmpty, refShorthandDefaultPos) {
	  var elts = [],
	      first = true;
	  while (!this.eat(close)) {
	    if (first) {
	      first = false;
	    } else {
	      this.expect(types.comma);
	      if (this.eat(close)) break;
	    }

	    elts.push(this.parseExprListItem(allowEmpty, refShorthandDefaultPos));
	  }
	  return elts;
	};

	pp$3.parseExprListItem = function (allowEmpty, refShorthandDefaultPos) {
	  var elt = void 0;
	  if (allowEmpty && this.match(types.comma)) {
	    elt = null;
	  } else if (this.match(types.ellipsis)) {
	    elt = this.parseSpread(refShorthandDefaultPos);
	  } else {
	    elt = this.parseMaybeAssign(false, refShorthandDefaultPos, this.parseParenItem);
	  }
	  return elt;
	};

	// Parse the next token as an identifier. If `liberal` is true (used
	// when parsing properties), it will also convert keywords into
	// identifiers.

	pp$3.parseIdentifier = function (liberal) {
	  var node = this.startNode();

	  if (this.match(types.name)) {
	    if (!liberal) {
	      this.checkReservedWord(this.state.value, this.state.start, false, false);
	    }

	    node.name = this.state.value;
	  } else if (liberal && this.state.type.keyword) {
	    node.name = this.state.type.keyword;
	  } else {
	    this.unexpected();
	  }

	  if (!liberal && node.name === "await" && this.state.inAsync) {
	    this.raise(node.start, "invalid use of await inside of an async function");
	  }

	  node.loc.identifierName = node.name;

	  this.next();
	  return this.finishNode(node, "Identifier");
	};

	pp$3.checkReservedWord = function (word, startLoc, checkKeywords, isBinding) {
	  if (this.isReservedWord(word) || checkKeywords && this.isKeyword(word)) {
	    this.raise(startLoc, word + " is a reserved word");
	  }

	  if (this.state.strict && (reservedWords.strict(word) || isBinding && reservedWords.strictBind(word))) {
	    this.raise(startLoc, word + " is a reserved word in strict mode");
	  }
	};

	// Parses await expression inside async function.

	pp$3.parseAwait = function (node) {
	  // istanbul ignore next: this condition is checked at the call site so won't be hit here
	  if (!this.state.inAsync) {
	    this.unexpected();
	  }
	  if (this.match(types.star)) {
	    this.raise(node.start, "await* has been removed from the async functions proposal. Use Promise.all() instead.");
	  }
	  node.argument = this.parseMaybeUnary();
	  return this.finishNode(node, "AwaitExpression");
	};

	// Parses yield expression inside generator.

	pp$3.parseYield = function () {
	  var node = this.startNode();
	  this.next();
	  if (this.match(types.semi) || this.canInsertSemicolon() || !this.match(types.star) && !this.state.type.startsExpr) {
	    node.delegate = false;
	    node.argument = null;
	  } else {
	    node.delegate = this.eat(types.star);
	    node.argument = this.parseMaybeAssign();
	  }
	  return this.finishNode(node, "YieldExpression");
	};

	function _classCallCheck$6(instance, Constructor) {
	  if (!(instance instanceof Constructor)) {
	    throw new TypeError("Cannot call a class as a function");
	  }
	}

	// Start an AST node, attaching a start offset.

	var pp$4 = Parser.prototype;
	var commentKeys = ["leadingComments", "trailingComments", "innerComments"];

	var Node = function () {
	  function Node(pos, loc, filename) {
	    _classCallCheck$6(this, Node);

	    this.type = "";
	    this.start = pos;
	    this.end = 0;
	    this.loc = new SourceLocation(loc);
	    if (filename) this.loc.filename = filename;
	  }

	  Node.prototype.__clone = function __clone() {
	    var node2 = new Node();
	    for (var key in this) {
	      // Do not clone comments that are already attached to the node
	      if (commentKeys.indexOf(key) < 0) {
	        node2[key] = this[key];
	      }
	    }

	    return node2;
	  };

	  return Node;
	}();

	pp$4.startNode = function () {
	  return new Node(this.state.start, this.state.startLoc, this.filename);
	};

	pp$4.startNodeAt = function (pos, loc) {
	  return new Node(pos, loc, this.filename);
	};

	function finishNodeAt(node, type, pos, loc) {
	  node.type = type;
	  node.end = pos;
	  node.loc.end = loc;
	  this.processComment(node);
	  return node;
	}

	// Finish an AST node, adding `type` and `end` properties.

	pp$4.finishNode = function (node, type) {
	  return finishNodeAt.call(this, node, type, this.state.lastTokEnd, this.state.lastTokEndLoc);
	};

	// Finish node at given position

	pp$4.finishNodeAt = function (node, type, pos, loc) {
	  return finishNodeAt.call(this, node, type, pos, loc);
	};

	var pp$5 = Parser.prototype;

	// This function is used to raise exceptions on parse errors. It
	// takes an offset integer (into the current `input`) to indicate
	// the location of the error, attaches the position to the end
	// of the error message, and then raises a `SyntaxError` with that
	// message.

	pp$5.raise = function (pos, message) {
	  var loc = getLineInfo(this.input, pos);
	  message += " (" + loc.line + ":" + loc.column + ")";
	  var err = new SyntaxError(message);
	  err.pos = pos;
	  err.loc = loc;
	  throw err;
	};

	/* eslint max-len: 0 */

	/**
	 * Based on the comment attachment algorithm used in espree and estraverse.
	 *
	 * Redistribution and use in source and binary forms, with or without
	 * modification, are permitted provided that the following conditions are met:
	 *
	 * * Redistributions of source code must retain the above copyright
	 *   notice, this list of conditions and the following disclaimer.
	 * * Redistributions in binary form must reproduce the above copyright
	 *   notice, this list of conditions and the following disclaimer in the
	 *   documentation and/or other materials provided with the distribution.
	 *
	 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
	 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
	 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
	 * ARE DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> BE LIABLE FOR ANY
	 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
	 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
	 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
	 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
	 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
	 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
	 */

	function last(stack) {
	  return stack[stack.length - 1];
	}

	var pp$6 = Parser.prototype;

	pp$6.addComment = function (comment) {
	  if (this.filename) comment.loc.filename = this.filename;
	  this.state.trailingComments.push(comment);
	  this.state.leadingComments.push(comment);
	};

	pp$6.processComment = function (node) {
	  if (node.type === "Program" && node.body.length > 0) return;

	  var stack = this.state.commentStack;

	  var lastChild = void 0,
	      trailingComments = void 0,
	      i = void 0,
	      j = void 0;

	  if (this.state.trailingComments.length > 0) {
	    // If the first comment in trailingComments comes after the
	    // current node, then we're good - all comments in the array will
	    // come after the node and so it's safe to add them as official
	    // trailingComments.
	    if (this.state.trailingComments[0].start >= node.end) {
	      trailingComments = this.state.trailingComments;
	      this.state.trailingComments = [];
	    } else {
	      // Otherwise, if the first comment doesn't come after the
	      // current node, that means we have a mix of leading and trailing
	      // comments in the array and that leadingComments contains the
	      // same items as trailingComments. Reset trailingComments to
	      // zero items and we'll handle this by evaluating leadingComments
	      // later.
	      this.state.trailingComments.length = 0;
	    }
	  } else {
	    var lastInStack = last(stack);
	    if (stack.length > 0 && lastInStack.trailingComments && lastInStack.trailingComments[0].start >= node.end) {
	      trailingComments = lastInStack.trailingComments;
	      lastInStack.trailingComments = null;
	    }
	  }

	  // Eating the stack.
	  while (stack.length > 0 && last(stack).start >= node.start) {
	    lastChild = stack.pop();
	  }

	  if (lastChild) {
	    if (lastChild.leadingComments) {
	      if (lastChild !== node && last(lastChild.leadingComments).end <= node.start) {
	        node.leadingComments = lastChild.leadingComments;
	        lastChild.leadingComments = null;
	      } else {
	        // A leading comment for an anonymous class had been stolen by its first ClassMethod,
	        // so this takes back the leading comment.
	        // See also: https://github.com/eslint/espree/issues/158
	        for (i = lastChild.leadingComments.length - 2; i >= 0; --i) {
	          if (lastChild.leadingComments[i].end <= node.start) {
	            node.leadingComments = lastChild.leadingComments.splice(0, i + 1);
	            break;
	          }
	        }
	      }
	    }
	  } else if (this.state.leadingComments.length > 0) {
	    if (last(this.state.leadingComments).end <= node.start) {
	      if (this.state.commentPreviousNode) {
	        for (j = 0; j < this.state.leadingComments.length; j++) {
	          if (this.state.leadingComments[j].end < this.state.commentPreviousNode.end) {
	            this.state.leadingComments.splice(j, 1);
	            j--;
	          }
	        }
	      }
	      if (this.state.leadingComments.length > 0) {
	        node.leadingComments = this.state.leadingComments;
	        this.state.leadingComments = [];
	      }
	    } else {
	      // https://github.com/eslint/espree/issues/2
	      //
	      // In special cases, such as return (without a value) and
	      // debugger, all comments will end up as leadingComments and
	      // will otherwise be eliminated. This step runs when the
	      // commentStack is empty and there are comments left
	      // in leadingComments.
	      //
	      // This loop figures out the stopping point between the actual
	      // leading and trailing comments by finding the location of the
	      // first comment that comes after the given node.
	      for (i = 0; i < this.state.leadingComments.length; i++) {
	        if (this.state.leadingComments[i].end > node.start) {
	          break;
	        }
	      }

	      // Split the array based on the location of the first comment
	      // that comes after the node. Keep in mind that this could
	      // result in an empty array, and if so, the array must be
	      // deleted.
	      node.leadingComments = this.state.leadingComments.slice(0, i);
	      if (node.leadingComments.length === 0) {
	        node.leadingComments = null;
	      }

	      // Similarly, trailing comments are attached later. The variable
	      // must be reset to null if there are no trailing comments.
	      trailingComments = this.state.leadingComments.slice(i);
	      if (trailingComments.length === 0) {
	        trailingComments = null;
	      }
	    }
	  }

	  this.state.commentPreviousNode = node;

	  if (trailingComments) {
	    if (trailingComments.length && trailingComments[0].start >= node.start && last(trailingComments).end <= node.end) {
	      node.innerComments = trailingComments;
	    } else {
	      node.trailingComments = trailingComments;
	    }
	  }

	  stack.push(node);
	};

	/* eslint indent: 0 */
	/* eslint max-len: 0 */

	var pp$7 = Parser.prototype;

	pp$7.flowParseTypeInitialiser = function (tok, allowLeadingPipeOrAnd) {
	  var oldInType = this.state.inType;
	  this.state.inType = true;
	  this.expect(tok || types.colon);
	  if (allowLeadingPipeOrAnd) {
	    if (this.match(types.bitwiseAND) || this.match(types.bitwiseOR)) {
	      this.next();
	    }
	  }
	  var type = this.flowParseType();
	  this.state.inType = oldInType;
	  return type;
	};

	pp$7.flowParseDeclareClass = function (node) {
	  this.next();
	  this.flowParseInterfaceish(node, true);
	  return this.finishNode(node, "DeclareClass");
	};

	pp$7.flowParseDeclareFunction = function (node) {
	  this.next();

	  var id = node.id = this.parseIdentifier();

	  var typeNode = this.startNode();
	  var typeContainer = this.startNode();

	  if (this.isRelational("<")) {
	    typeNode.typeParameters = this.flowParseTypeParameterDeclaration();
	  } else {
	    typeNode.typeParameters = null;
	  }

	  this.expect(types.parenL);
	  var tmp = this.flowParseFunctionTypeParams();
	  typeNode.params = tmp.params;
	  typeNode.rest = tmp.rest;
	  this.expect(types.parenR);
	  typeNode.returnType = this.flowParseTypeInitialiser();

	  typeContainer.typeAnnotation = this.finishNode(typeNode, "FunctionTypeAnnotation");
	  id.typeAnnotation = this.finishNode(typeContainer, "TypeAnnotation");

	  this.finishNode(id, id.type);

	  this.semicolon();

	  return this.finishNode(node, "DeclareFunction");
	};

	pp$7.flowParseDeclare = function (node) {
	  if (this.match(types._class)) {
	    return this.flowParseDeclareClass(node);
	  } else if (this.match(types._function)) {
	    return this.flowParseDeclareFunction(node);
	  } else if (this.match(types._var)) {
	    return this.flowParseDeclareVariable(node);
	  } else if (this.isContextual("module")) {
	    if (this.lookahead().type === types.dot) {
	      return this.flowParseDeclareModuleExports(node);
	    } else {
	      return this.flowParseDeclareModule(node);
	    }
	  } else if (this.isContextual("type")) {
	    return this.flowParseDeclareTypeAlias(node);
	  } else if (this.isContextual("interface")) {
	    return this.flowParseDeclareInterface(node);
	  } else {
	    this.unexpected();
	  }
	};

	pp$7.flowParseDeclareVariable = function (node) {
	  this.next();
	  node.id = this.flowParseTypeAnnotatableIdentifier();
	  this.semicolon();
	  return this.finishNode(node, "DeclareVariable");
	};

	pp$7.flowParseDeclareModule = function (node) {
	  this.next();

	  if (this.match(types.string)) {
	    node.id = this.parseExprAtom();
	  } else {
	    node.id = this.parseIdentifier();
	  }

	  var bodyNode = node.body = this.startNode();
	  var body = bodyNode.body = [];
	  this.expect(types.braceL);
	  while (!this.match(types.braceR)) {
	    var node2 = this.startNode();

	    this.expectContextual("declare", "Unexpected token. Only declares are allowed inside declare module");

	    body.push(this.flowParseDeclare(node2));
	  }
	  this.expect(types.braceR);

	  this.finishNode(bodyNode, "BlockStatement");
	  return this.finishNode(node, "DeclareModule");
	};

	pp$7.flowParseDeclareModuleExports = function (node) {
	  this.expectContextual("module");
	  this.expect(types.dot);
	  this.expectContextual("exports");
	  node.typeAnnotation = this.flowParseTypeAnnotation();
	  this.semicolon();

	  return this.finishNode(node, "DeclareModuleExports");
	};

	pp$7.flowParseDeclareTypeAlias = function (node) {
	  this.next();
	  this.flowParseTypeAlias(node);
	  return this.finishNode(node, "DeclareTypeAlias");
	};

	pp$7.flowParseDeclareInterface = function (node) {
	  this.next();
	  this.flowParseInterfaceish(node);
	  return this.finishNode(node, "DeclareInterface");
	};

	// Interfaces

	pp$7.flowParseInterfaceish = function (node, allowStatic) {
	  node.id = this.parseIdentifier();

	  if (this.isRelational("<")) {
	    node.typeParameters = this.flowParseTypeParameterDeclaration();
	  } else {
	    node.typeParameters = null;
	  }

	  node.extends = [];
	  node.mixins = [];

	  if (this.eat(types._extends)) {
	    do {
	      node.extends.push(this.flowParseInterfaceExtends());
	    } while (this.eat(types.comma));
	  }

	  if (this.isContextual("mixins")) {
	    this.next();
	    do {
	      node.mixins.push(this.flowParseInterfaceExtends());
	    } while (this.eat(types.comma));
	  }

	  node.body = this.flowParseObjectType(allowStatic);
	};

	pp$7.flowParseInterfaceExtends = function () {
	  var node = this.startNode();

	  node.id = this.flowParseQualifiedTypeIdentifier();
	  if (this.isRelational("<")) {
	    node.typeParameters = this.flowParseTypeParameterInstantiation();
	  } else {
	    node.typeParameters = null;
	  }

	  return this.finishNode(node, "InterfaceExtends");
	};

	pp$7.flowParseInterface = function (node) {
	  this.flowParseInterfaceish(node, false);
	  return this.finishNode(node, "InterfaceDeclaration");
	};

	// Type aliases

	pp$7.flowParseTypeAlias = function (node) {
	  node.id = this.parseIdentifier();

	  if (this.isRelational("<")) {
	    node.typeParameters = this.flowParseTypeParameterDeclaration();
	  } else {
	    node.typeParameters = null;
	  }

	  node.right = this.flowParseTypeInitialiser(types.eq,
	  /*allowLeadingPipeOrAnd*/true);
	  this.semicolon();

	  return this.finishNode(node, "TypeAlias");
	};

	// Type annotations

	pp$7.flowParseTypeParameter = function () {
	  var node = this.startNode();

	  var variance = this.flowParseVariance();

	  var ident = this.flowParseTypeAnnotatableIdentifier();
	  node.name = ident.name;
	  node.variance = variance;
	  node.bound = ident.typeAnnotation;

	  if (this.match(types.eq)) {
	    this.eat(types.eq);
	    node.default = this.flowParseType();
	  }

	  return this.finishNode(node, "TypeParameter");
	};

	pp$7.flowParseTypeParameterDeclaration = function () {
	  var oldInType = this.state.inType;
	  var node = this.startNode();
	  node.params = [];

	  this.state.inType = true;

	  // istanbul ignore else: this condition is already checked at all call sites
	  if (this.isRelational("<") || this.match(types.jsxTagStart)) {
	    this.next();
	  } else {
	    this.unexpected();
	  }

	  do {
	    node.params.push(this.flowParseTypeParameter());
	    if (!this.isRelational(">")) {
	      this.expect(types.comma);
	    }
	  } while (!this.isRelational(">"));
	  this.expectRelational(">");

	  this.state.inType = oldInType;

	  return this.finishNode(node, "TypeParameterDeclaration");
	};

	pp$7.flowParseTypeParameterInstantiation = function () {
	  var node = this.startNode(),
	      oldInType = this.state.inType;
	  node.params = [];

	  this.state.inType = true;

	  this.expectRelational("<");
	  while (!this.isRelational(">")) {
	    node.params.push(this.flowParseType());
	    if (!this.isRelational(">")) {
	      this.expect(types.comma);
	    }
	  }
	  this.expectRelational(">");

	  this.state.inType = oldInType;

	  return this.finishNode(node, "TypeParameterInstantiation");
	};

	pp$7.flowParseObjectPropertyKey = function () {
	  return this.match(types.num) || this.match(types.string) ? this.parseExprAtom() : this.parseIdentifier(true);
	};

	pp$7.flowParseObjectTypeIndexer = function (node, isStatic, variance) {
	  node.static = isStatic;

	  this.expect(types.bracketL);
	  if (this.lookahead().type === types.colon) {
	    node.id = this.flowParseObjectPropertyKey();
	    node.key = this.flowParseTypeInitialiser();
	  } else {
	    node.id = null;
	    node.key = this.flowParseType();
	  }
	  this.expect(types.bracketR);
	  node.value = this.flowParseTypeInitialiser();
	  node.variance = variance;

	  this.flowObjectTypeSemicolon();
	  return this.finishNode(node, "ObjectTypeIndexer");
	};

	pp$7.flowParseObjectTypeMethodish = function (node) {
	  node.params = [];
	  node.rest = null;
	  node.typeParameters = null;

	  if (this.isRelational("<")) {
	    node.typeParameters = this.flowParseTypeParameterDeclaration();
	  }

	  this.expect(types.parenL);
	  while (this.match(types.name)) {
	    node.params.push(this.flowParseFunctionTypeParam());
	    if (!this.match(types.parenR)) {
	      this.expect(types.comma);
	    }
	  }

	  if (this.eat(types.ellipsis)) {
	    node.rest = this.flowParseFunctionTypeParam();
	  }
	  this.expect(types.parenR);
	  node.returnType = this.flowParseTypeInitialiser();

	  return this.finishNode(node, "FunctionTypeAnnotation");
	};

	pp$7.flowParseObjectTypeMethod = function (startPos, startLoc, isStatic, key) {
	  var node = this.startNodeAt(startPos, startLoc);
	  node.value = this.flowParseObjectTypeMethodish(this.startNodeAt(startPos, startLoc));
	  node.static = isStatic;
	  node.key = key;
	  node.optional = false;
	  this.flowObjectTypeSemicolon();
	  return this.finishNode(node, "ObjectTypeProperty");
	};

	pp$7.flowParseObjectTypeCallProperty = function (node, isStatic) {
	  var valueNode = this.startNode();
	  node.static = isStatic;
	  node.value = this.flowParseObjectTypeMethodish(valueNode);
	  this.flowObjectTypeSemicolon();
	  return this.finishNode(node, "ObjectTypeCallProperty");
	};

	pp$7.flowParseObjectType = function (allowStatic, allowExact) {
	  var oldInType = this.state.inType;
	  this.state.inType = true;

	  var nodeStart = this.startNode();
	  var node = void 0;
	  var propertyKey = void 0;
	  var isStatic = false;

	  nodeStart.callProperties = [];
	  nodeStart.properties = [];
	  nodeStart.indexers = [];

	  var endDelim = void 0;
	  var exact = void 0;
	  if (allowExact && this.match(types.braceBarL)) {
	    this.expect(types.braceBarL);
	    endDelim = types.braceBarR;
	    exact = true;
	  } else {
	    this.expect(types.braceL);
	    endDelim = types.braceR;
	    exact = false;
	  }

	  nodeStart.exact = exact;

	  while (!this.match(endDelim)) {
	    var optional = false;
	    var startPos = this.state.start,
	        startLoc = this.state.startLoc;
	    node = this.startNode();
	    if (allowStatic && this.isContextual("static") && this.lookahead().type !== types.colon) {
	      this.next();
	      isStatic = true;
	    }

	    var variancePos = this.state.start;
	    var variance = this.flowParseVariance();

	    if (this.match(types.bracketL)) {
	      nodeStart.indexers.push(this.flowParseObjectTypeIndexer(node, isStatic, variance));
	    } else if (this.match(types.parenL) || this.isRelational("<")) {
	      if (variance) {
	        this.unexpected(variancePos);
	      }
	      nodeStart.callProperties.push(this.flowParseObjectTypeCallProperty(node, allowStatic));
	    } else {
	      propertyKey = this.flowParseObjectPropertyKey();
	      if (this.isRelational("<") || this.match(types.parenL)) {
	        // This is a method property
	        if (variance) {
	          this.unexpected(variancePos);
	        }
	        nodeStart.properties.push(this.flowParseObjectTypeMethod(startPos, startLoc, isStatic, propertyKey));
	      } else {
	        if (this.eat(types.question)) {
	          optional = true;
	        }
	        node.key = propertyKey;
	        node.value = this.flowParseTypeInitialiser();
	        node.optional = optional;
	        node.static = isStatic;
	        node.variance = variance;
	        this.flowObjectTypeSemicolon();
	        nodeStart.properties.push(this.finishNode(node, "ObjectTypeProperty"));
	      }
	    }

	    isStatic = false;
	  }

	  this.expect(endDelim);

	  var out = this.finishNode(nodeStart, "ObjectTypeAnnotation");

	  this.state.inType = oldInType;

	  return out;
	};

	pp$7.flowObjectTypeSemicolon = function () {
	  if (!this.eat(types.semi) && !this.eat(types.comma) && !this.match(types.braceR) && !this.match(types.braceBarR)) {
	    this.unexpected();
	  }
	};

	pp$7.flowParseQualifiedTypeIdentifier = function (startPos, startLoc, id) {
	  startPos = startPos || this.state.start;
	  startLoc = startLoc || this.state.startLoc;
	  var node = id || this.parseIdentifier();

	  while (this.eat(types.dot)) {
	    var node2 = this.startNodeAt(startPos, startLoc);
	    node2.qualification = node;
	    node2.id = this.parseIdentifier();
	    node = this.finishNode(node2, "QualifiedTypeIdentifier");
	  }

	  return node;
	};

	pp$7.flowParseGenericType = function (startPos, startLoc, id) {
	  var node = this.startNodeAt(startPos, startLoc);

	  node.typeParameters = null;
	  node.id = this.flowParseQualifiedTypeIdentifier(startPos, startLoc, id);

	  if (this.isRelational("<")) {
	    node.typeParameters = this.flowParseTypeParameterInstantiation();
	  }

	  return this.finishNode(node, "GenericTypeAnnotation");
	};

	pp$7.flowParseTypeofType = function () {
	  var node = this.startNode();
	  this.expect(types._typeof);
	  node.argument = this.flowParsePrimaryType();
	  return this.finishNode(node, "TypeofTypeAnnotation");
	};

	pp$7.flowParseTupleType = function () {
	  var node = this.startNode();
	  node.types = [];
	  this.expect(types.bracketL);
	  // We allow trailing commas
	  while (this.state.pos < this.input.length && !this.match(types.bracketR)) {
	    node.types.push(this.flowParseType());
	    if (this.match(types.bracketR)) break;
	    this.expect(types.comma);
	  }
	  this.expect(types.bracketR);
	  return this.finishNode(node, "TupleTypeAnnotation");
	};

	pp$7.flowParseFunctionTypeParam = function () {
	  var name = null;
	  var optional = false;
	  var typeAnnotation = null;
	  var node = this.startNode();
	  var lh = this.lookahead();
	  if (lh.type === types.colon || lh.type === types.question) {
	    name = this.parseIdentifier();
	    if (this.eat(types.question)) {
	      optional = true;
	    }
	    typeAnnotation = this.flowParseTypeInitialiser();
	  } else {
	    typeAnnotation = this.flowParseType();
	  }
	  node.name = name;
	  node.optional = optional;
	  node.typeAnnotation = typeAnnotation;
	  return this.finishNode(node, "FunctionTypeParam");
	};

	pp$7.reinterpretTypeAsFunctionTypeParam = function (type) {
	  var node = this.startNodeAt(type.start, type.loc);
	  node.name = null;
	  node.optional = false;
	  node.typeAnnotation = type;
	  return this.finishNode(node, "FunctionTypeParam");
	};

	pp$7.flowParseFunctionTypeParams = function () {
	  var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];

	  var ret = { params: params, rest: null };
	  while (this.match(types.name)) {
	    ret.params.push(this.flowParseFunctionTypeParam());
	    if (!this.match(types.parenR)) {
	      this.expect(types.comma);
	    }
	  }
	  if (this.eat(types.ellipsis)) {
	    ret.rest = this.flowParseFunctionTypeParam();
	  }
	  return ret;
	};

	pp$7.flowIdentToTypeAnnotation = function (startPos, startLoc, node, id) {
	  switch (id.name) {
	    case "any":
	      return this.finishNode(node, "AnyTypeAnnotation");

	    case "void":
	      return this.finishNode(node, "VoidTypeAnnotation");

	    case "bool":
	    case "boolean":
	      return this.finishNode(node, "BooleanTypeAnnotation");

	    case "mixed":
	      return this.finishNode(node, "MixedTypeAnnotation");

	    case "empty":
	      return this.finishNode(node, "EmptyTypeAnnotation");

	    case "number":
	      return this.finishNode(node, "NumberTypeAnnotation");

	    case "string":
	      return this.finishNode(node, "StringTypeAnnotation");

	    default:
	      return this.flowParseGenericType(startPos, startLoc, id);
	  }
	};

	// The parsing of types roughly parallels the parsing of expressions, and
	// primary types are kind of like primary expressions...they're the
	// primitives with which other types are constructed.
	pp$7.flowParsePrimaryType = function () {
	  var startPos = this.state.start,
	      startLoc = this.state.startLoc;
	  var node = this.startNode();
	  var tmp = void 0;
	  var type = void 0;
	  var isGroupedType = false;
	  var oldNoAnonFunctionType = this.state.noAnonFunctionType;

	  switch (this.state.type) {
	    case types.name:
	      return this.flowIdentToTypeAnnotation(startPos, startLoc, node, this.parseIdentifier());

	    case types.braceL:
	      return this.flowParseObjectType(false, false);

	    case types.braceBarL:
	      return this.flowParseObjectType(false, true);

	    case types.bracketL:
	      return this.flowParseTupleType();

	    case types.relational:
	      if (this.state.value === "<") {
	        node.typeParameters = this.flowParseTypeParameterDeclaration();
	        this.expect(types.parenL);
	        tmp = this.flowParseFunctionTypeParams();
	        node.params = tmp.params;
	        node.rest = tmp.rest;
	        this.expect(types.parenR);

	        this.expect(types.arrow);

	        node.returnType = this.flowParseType();

	        return this.finishNode(node, "FunctionTypeAnnotation");
	      }
	      break;

	    case types.parenL:
	      this.next();

	      // Check to see if this is actually a grouped type
	      if (!this.match(types.parenR) && !this.match(types.ellipsis)) {
	        if (this.match(types.name)) {
	          var token = this.lookahead().type;
	          isGroupedType = token !== types.question && token !== types.colon;
	        } else {
	          isGroupedType = true;
	        }
	      }

	      if (isGroupedType) {
	        this.state.noAnonFunctionType = false;
	        type = this.flowParseType();
	        this.state.noAnonFunctionType = oldNoAnonFunctionType;

	        // A `,` or a `) =>` means this is an anonymous function type
	        if (this.state.noAnonFunctionType || !(this.match(types.comma) || this.match(types.parenR) && this.lookahead().type === types.arrow)) {
	          this.expect(types.parenR);
	          return type;
	        } else {
	          // Eat a comma if there is one
	          this.eat(types.comma);
	        }
	      }

	      if (type) {
	        tmp = this.flowParseFunctionTypeParams([this.reinterpretTypeAsFunctionTypeParam(type)]);
	      } else {
	        tmp = this.flowParseFunctionTypeParams();
	      }

	      node.params = tmp.params;
	      node.rest = tmp.rest;

	      this.expect(types.parenR);

	      this.expect(types.arrow);

	      node.returnType = this.flowParseType();

	      node.typeParameters = null;

	      return this.finishNode(node, "FunctionTypeAnnotation");

	    case types.string:
	      node.value = this.state.value;
	      this.addExtra(node, "rawValue", node.value);
	      this.addExtra(node, "raw", this.input.slice(this.state.start, this.state.end));
	      this.next();
	      return this.finishNode(node, "StringLiteralTypeAnnotation");

	    case types._true:case types._false:
	      node.value = this.match(types._true);
	      this.next();
	      return this.finishNode(node, "BooleanLiteralTypeAnnotation");

	    case types.plusMin:
	      if (this.state.value === "-") {
	        this.next();
	        if (!this.match(types.num)) this.unexpected();

	        node.value = -this.state.value;
	        this.addExtra(node, "rawValue", node.value);
	        this.addExtra(node, "raw", this.input.slice(this.state.start, this.state.end));
	        this.next();
	        return this.finishNode(node, "NumericLiteralTypeAnnotation");
	      }

	    case types.num:
	      node.value = this.state.value;
	      this.addExtra(node, "rawValue", node.value);
	      this.addExtra(node, "raw", this.input.slice(this.state.start, this.state.end));
	      this.next();
	      return this.finishNode(node, "NumericLiteralTypeAnnotation");

	    case types._null:
	      node.value = this.match(types._null);
	      this.next();
	      return this.finishNode(node, "NullLiteralTypeAnnotation");

	    case types._this:
	      node.value = this.match(types._this);
	      this.next();
	      return this.finishNode(node, "ThisTypeAnnotation");

	    case types.star:
	      this.next();
	      return this.finishNode(node, "ExistentialTypeParam");

	    default:
	      if (this.state.type.keyword === "typeof") {
	        return this.flowParseTypeofType();
	      }
	  }

	  this.unexpected();
	};

	pp$7.flowParsePostfixType = function () {
	  var startPos = this.state.start,
	      startLoc = this.state.startLoc;
	  var type = this.flowParsePrimaryType();
	  while (!this.canInsertSemicolon() && this.match(types.bracketL)) {
	    var node = this.startNodeAt(startPos, startLoc);
	    node.elementType = type;
	    this.expect(types.bracketL);
	    this.expect(types.bracketR);
	    type = this.finishNode(node, "ArrayTypeAnnotation");
	  }
	  return type;
	};

	pp$7.flowParsePrefixType = function () {
	  var node = this.startNode();
	  if (this.eat(types.question)) {
	    node.typeAnnotation = this.flowParsePrefixType();
	    return this.finishNode(node, "NullableTypeAnnotation");
	  } else {
	    return this.flowParsePostfixType();
	  }
	};

	pp$7.flowParseAnonFunctionWithoutParens = function () {
	  var param = this.flowParsePrefixType();
	  if (!this.state.noAnonFunctionType && this.eat(types.arrow)) {
	    var node = this.startNodeAt(param.start, param.loc);
	    node.params = [this.reinterpretTypeAsFunctionTypeParam(param)];
	    node.rest = null;
	    node.returnType = this.flowParseType();
	    node.typeParameters = null;
	    return this.finishNode(node, "FunctionTypeAnnotation");
	  }
	  return param;
	};

	pp$7.flowParseIntersectionType = function () {
	  var node = this.startNode();
	  var type = this.flowParseAnonFunctionWithoutParens();
	  node.types = [type];
	  while (this.eat(types.bitwiseAND)) {
	    node.types.push(this.flowParseAnonFunctionWithoutParens());
	  }
	  return node.types.length === 1 ? type : this.finishNode(node, "IntersectionTypeAnnotation");
	};

	pp$7.flowParseUnionType = function () {
	  var node = this.startNode();
	  var type = this.flowParseIntersectionType();
	  node.types = [type];
	  while (this.eat(types.bitwiseOR)) {
	    node.types.push(this.flowParseIntersectionType());
	  }
	  return node.types.length === 1 ? type : this.finishNode(node, "UnionTypeAnnotation");
	};

	pp$7.flowParseType = function () {
	  var oldInType = this.state.inType;
	  this.state.inType = true;
	  var type = this.flowParseUnionType();
	  this.state.inType = oldInType;
	  return type;
	};

	pp$7.flowParseTypeAnnotation = function () {
	  var node = this.startNode();
	  node.typeAnnotation = this.flowParseTypeInitialiser();
	  return this.finishNode(node, "TypeAnnotation");
	};

	pp$7.flowParseTypeAnnotatableIdentifier = function () {
	  var ident = this.parseIdentifier();
	  if (this.match(types.colon)) {
	    ident.typeAnnotation = this.flowParseTypeAnnotation();
	    this.finishNode(ident, ident.type);
	  }
	  return ident;
	};

	pp$7.typeCastToParameter = function (node) {
	  node.expression.typeAnnotation = node.typeAnnotation;

	  return this.finishNodeAt(node.expression, node.expression.type, node.typeAnnotation.end, node.typeAnnotation.loc.end);
	};

	pp$7.flowParseVariance = function () {
	  var variance = null;
	  if (this.match(types.plusMin)) {
	    if (this.state.value === "+") {
	      variance = "plus";
	    } else if (this.state.value === "-") {
	      variance = "minus";
	    }
	    this.next();
	  }
	  return variance;
	};

	var flowPlugin = function flowPlugin(instance) {
	  // plain function return types: function name(): string {}
	  instance.extend("parseFunctionBody", function (inner) {
	    return function (node, allowExpression) {
	      if (this.match(types.colon) && !allowExpression) {
	        // if allowExpression is true then we're parsing an arrow function and if
	        // there's a return type then it's been handled elsewhere
	        node.returnType = this.flowParseTypeAnnotation();
	      }

	      return inner.call(this, node, allowExpression);
	    };
	  });

	  // interfaces
	  instance.extend("parseStatement", function (inner) {
	    return function (declaration, topLevel) {
	      // strict mode handling of `interface` since it's a reserved word
	      if (this.state.strict && this.match(types.name) && this.state.value === "interface") {
	        var node = this.startNode();
	        this.next();
	        return this.flowParseInterface(node);
	      } else {
	        return inner.call(this, declaration, topLevel);
	      }
	    };
	  });

	  // declares, interfaces and type aliases
	  instance.extend("parseExpressionStatement", function (inner) {
	    return function (node, expr) {
	      if (expr.type === "Identifier") {
	        if (expr.name === "declare") {
	          if (this.match(types._class) || this.match(types.name) || this.match(types._function) || this.match(types._var)) {
	            return this.flowParseDeclare(node);
	          }
	        } else if (this.match(types.name)) {
	          if (expr.name === "interface") {
	            return this.flowParseInterface(node);
	          } else if (expr.name === "type") {
	            return this.flowParseTypeAlias(node);
	          }
	        }
	      }

	      return inner.call(this, node, expr);
	    };
	  });

	  // export type
	  instance.extend("shouldParseExportDeclaration", function (inner) {
	    return function () {
	      return this.isContextual("type") || this.isContextual("interface") || inner.call(this);
	    };
	  });

	  instance.extend("parseConditional", function (inner) {
	    return function (expr, noIn, startPos, startLoc, refNeedsArrowPos) {
	      // only do the expensive clone if there is a question mark
	      // and if we come from inside parens
	      if (refNeedsArrowPos && this.match(types.question)) {
	        var state = this.state.clone();
	        try {
	          return inner.call(this, expr, noIn, startPos, startLoc);
	        } catch (err) {
	          if (err instanceof SyntaxError) {
	            this.state = state;
	            refNeedsArrowPos.start = err.pos || this.state.start;
	            return expr;
	          } else {
	            // istanbul ignore next: no such error is expected
	            throw err;
	          }
	        }
	      }

	      return inner.call(this, expr, noIn, startPos, startLoc);
	    };
	  });

	  instance.extend("parseParenItem", function (inner) {
	    return function (node, startLoc, startPos) {
	      node = inner.call(this, node, startLoc, startPos);
	      if (this.eat(types.question)) {
	        node.optional = true;
	      }

	      if (this.match(types.colon)) {
	        var typeCastNode = this.startNodeAt(startLoc, startPos);
	        typeCastNode.expression = node;
	        typeCastNode.typeAnnotation = this.flowParseTypeAnnotation();

	        return this.finishNode(typeCastNode, "TypeCastExpression");
	      }

	      return node;
	    };
	  });

	  instance.extend("parseExport", function (inner) {
	    return function (node) {
	      node = inner.call(this, node);
	      if (node.type === "ExportNamedDeclaration") {
	        node.exportKind = node.exportKind || "value";
	      }
	      return node;
	    };
	  });

	  instance.extend("parseExportDeclaration", function (inner) {
	    return function (node) {
	      if (this.isContextual("type")) {
	        node.exportKind = "type";

	        var declarationNode = this.startNode();
	        this.next();

	        if (this.match(types.braceL)) {
	          // export type { foo, bar };
	          node.specifiers = this.parseExportSpecifiers();
	          this.parseExportFrom(node);
	          return null;
	        } else {
	          // export type Foo = Bar;
	          return this.flowParseTypeAlias(declarationNode);
	        }
	      } else if (this.isContextual("interface")) {
	        node.exportKind = "type";
	        var _declarationNode = this.startNode();
	        this.next();
	        return this.flowParseInterface(_declarationNode);
	      } else {
	        return inner.call(this, node);
	      }
	    };
	  });

	  instance.extend("parseClassId", function (inner) {
	    return function (node) {
	      inner.apply(this, arguments);
	      if (this.isRelational("<")) {
	        node.typeParameters = this.flowParseTypeParameterDeclaration();
	      }
	    };
	  });

	  // don't consider `void` to be a keyword as then it'll use the void token type
	  // and set startExpr
	  instance.extend("isKeyword", function (inner) {
	    return function (name) {
	      if (this.state.inType && name === "void") {
	        return false;
	      } else {
	        return inner.call(this, name);
	      }
	    };
	  });

	  // ensure that inside property names, < isn't interpreted as JSX, but as a type parameter
	  instance.extend("parsePropertyName", function (inner) {
	    return function (prop) {
	      var oldInType = this.state.inType;
	      this.state.inType = true;
	      var out = inner.call(this, prop);
	      this.state.inType = oldInType;
	      return out;
	    };
	  });

	  // ensure that inside flow types, we bypass the jsx parser plugin
	  instance.extend("readToken", function (inner) {
	    return function (code) {
	      if (this.state.inType && (code === 62 || code === 60)) {
	        return this.finishOp(types.relational, 1);
	      } else {
	        return inner.call(this, code);
	      }
	    };
	  });

	  // don't lex any token as a jsx one inside a flow type
	  instance.extend("jsx_readToken", function (inner) {
	    return function () {
	      if (!this.state.inType) return inner.call(this);
	    };
	  });

	  instance.extend("toAssignable", function (inner) {
	    return function (node, isBinding, contextDescription) {
	      if (node.type === "TypeCastExpression") {
	        return inner.call(this, this.typeCastToParameter(node), isBinding, contextDescription);
	      } else {
	        return inner.call(this, node, isBinding, contextDescription);
	      }
	    };
	  });

	  // turn type casts that we found in function parameter head into type annotated params
	  instance.extend("toAssignableList", function (inner) {
	    return function (exprList, isBinding, contextDescription) {
	      for (var i = 0; i < exprList.length; i++) {
	        var expr = exprList[i];
	        if (expr && expr.type === "TypeCastExpression") {
	          exprList[i] = this.typeCastToParameter(expr);
	        }
	      }
	      return inner.call(this, exprList, isBinding, contextDescription);
	    };
	  });

	  // this is a list of nodes, from something like a call expression, we need to filter the
	  // type casts that we've found that are illegal in this context
	  instance.extend("toReferencedList", function () {
	    return function (exprList) {
	      for (var i = 0; i < exprList.length; i++) {
	        var expr = exprList[i];
	        if (expr && expr._exprListItem && expr.type === "TypeCastExpression") {
	          this.raise(expr.start, "Unexpected type cast");
	        }
	      }

	      return exprList;
	    };
	  });

	  // parse an item inside a expression list eg. `(NODE, NODE)` where NODE represents
	  // the position where this function is called
	  instance.extend("parseExprListItem", function (inner) {
	    return function (allowEmpty, refShorthandDefaultPos) {
	      var container = this.startNode();
	      var node = inner.call(this, allowEmpty, refShorthandDefaultPos);
	      if (this.match(types.colon)) {
	        container._exprListItem = true;
	        container.expression = node;
	        container.typeAnnotation = this.flowParseTypeAnnotation();
	        return this.finishNode(container, "TypeCastExpression");
	      } else {
	        return node;
	      }
	    };
	  });

	  instance.extend("checkLVal", function (inner) {
	    return function (node) {
	      if (node.type !== "TypeCastExpression") {
	        return inner.apply(this, arguments);
	      }
	    };
	  });

	  // parse class property type annotations
	  instance.extend("parseClassProperty", function (inner) {
	    return function (node) {
	      delete node.variancePos;
	      if (this.match(types.colon)) {
	        node.typeAnnotation = this.flowParseTypeAnnotation();
	      }
	      return inner.call(this, node);
	    };
	  });

	  // determine whether or not we're currently in the position where a class property would appear
	  instance.extend("isClassProperty", function (inner) {
	    return function () {
	      return this.match(types.colon) || inner.call(this);
	    };
	  });

	  // parse type parameters for class methods
	  instance.extend("parseClassMethod", function () {
	    return function (classBody, method, isGenerator, isAsync) {
	      if (method.variance) {
	        this.unexpected(method.variancePos);
	      }
	      delete method.variance;
	      delete method.variancePos;
	      if (this.isRelational("<")) {
	        method.typeParameters = this.flowParseTypeParameterDeclaration();
	      }
	      this.parseMethod(method, isGenerator, isAsync);
	      classBody.body.push(this.finishNode(method, "ClassMethod"));
	    };
	  });

	  // parse a the super class type parameters and implements
	  instance.extend("parseClassSuper", function (inner) {
	    return function (node, isStatement) {
	      inner.call(this, node, isStatement);
	      if (node.superClass && this.isRelational("<")) {
	        node.superTypeParameters = this.flowParseTypeParameterInstantiation();
	      }
	      if (this.isContextual("implements")) {
	        this.next();
	        var implemented = node.implements = [];
	        do {
	          var _node = this.startNode();
	          _node.id = this.parseIdentifier();
	          if (this.isRelational("<")) {
	            _node.typeParameters = this.flowParseTypeParameterInstantiation();
	          } else {
	            _node.typeParameters = null;
	          }
	          implemented.push(this.finishNode(_node, "ClassImplements"));
	        } while (this.eat(types.comma));
	      }
	    };
	  });

	  instance.extend("parsePropertyName", function (inner) {
	    return function (node) {
	      var variancePos = this.state.start;
	      var variance = this.flowParseVariance();
	      var key = inner.call(this, node);
	      node.variance = variance;
	      node.variancePos = variancePos;
	      return key;
	    };
	  });

	  // parse type parameters for object method shorthand
	  instance.extend("parseObjPropValue", function (inner) {
	    return function (prop) {
	      if (prop.variance) {
	        this.unexpected(prop.variancePos);
	      }
	      delete prop.variance;
	      delete prop.variancePos;

	      var typeParameters = void 0;

	      // method shorthand
	      if (this.isRelational("<")) {
	        typeParameters = this.flowParseTypeParameterDeclaration();
	        if (!this.match(types.parenL)) this.unexpected();
	      }

	      inner.apply(this, arguments);

	      // add typeParameters if we found them
	      if (typeParameters) {
	        (prop.value || prop).typeParameters = typeParameters;
	      }
	    };
	  });

	  instance.extend("parseAssignableListItemTypes", function () {
	    return function (param) {
	      if (this.eat(types.question)) {
	        param.optional = true;
	      }
	      if (this.match(types.colon)) {
	        param.typeAnnotation = this.flowParseTypeAnnotation();
	      }
	      this.finishNode(param, param.type);
	      return param;
	    };
	  });

	  instance.extend("parseMaybeDefault", function (inner) {
	    return function () {
	      for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
	        args[_key] = arguments[_key];
	      }

	      var node = inner.apply(this, args);

	      if (node.type === "AssignmentPattern" && node.typeAnnotation && node.right.start < node.typeAnnotation.start) {
	        this.raise(node.typeAnnotation.start, "Type annotations must come before default assignments, e.g. instead of `age = 25: number` use `age: number = 25`");
	      }

	      return node;
	    };
	  });

	  // parse typeof and type imports
	  instance.extend("parseImportSpecifiers", function (inner) {
	    return function (node) {
	      node.importKind = "value";

	      var kind = null;
	      if (this.match(types._typeof)) {
	        kind = "typeof";
	      } else if (this.isContextual("type")) {
	        kind = "type";
	      }
	      if (kind) {
	        var lh = this.lookahead();
	        if (lh.type === types.name && lh.value !== "from" || lh.type === types.braceL || lh.type === types.star) {
	          this.next();
	          node.importKind = kind;
	        }
	      }

	      inner.call(this, node);
	    };
	  });

	  // parse function type parameters - function foo<T>() {}
	  instance.extend("parseFunctionParams", function (inner) {
	    return function (node) {
	      if (this.isRelational("<")) {
	        node.typeParameters = this.flowParseTypeParameterDeclaration();
	      }
	      inner.call(this, node);
	    };
	  });

	  // parse flow type annotations on variable declarator heads - let foo: string = bar
	  instance.extend("parseVarHead", function (inner) {
	    return function (decl) {
	      inner.call(this, decl);
	      if (this.match(types.colon)) {
	        decl.id.typeAnnotation = this.flowParseTypeAnnotation();
	        this.finishNode(decl.id, decl.id.type);
	      }
	    };
	  });

	  // parse the return type of an async arrow function - let foo = (async (): number => {});
	  instance.extend("parseAsyncArrowFromCallExpression", function (inner) {
	    return function (node, call) {
	      if (this.match(types.colon)) {
	        var oldNoAnonFunctionType = this.state.noAnonFunctionType;
	        this.state.noAnonFunctionType = true;
	        node.returnType = this.flowParseTypeAnnotation();
	        this.state.noAnonFunctionType = oldNoAnonFunctionType;
	      }

	      return inner.call(this, node, call);
	    };
	  });

	  // todo description
	  instance.extend("shouldParseAsyncArrow", function (inner) {
	    return function () {
	      return this.match(types.colon) || inner.call(this);
	    };
	  });

	  // We need to support type parameter declarations for arrow functions. This
	  // is tricky. There are three situations we need to handle
	  //
	  // 1. This is either JSX or an arrow function. We'll try JSX first. If that
	  //    fails, we'll try an arrow function. If that fails, we'll throw the JSX
	  //    error.
	  // 2. This is an arrow function. We'll parse the type parameter declaration,
	  //    parse the rest, make sure the rest is an arrow function, and go from
	  //    there
	  // 3. This is neither. Just call the inner function
	  instance.extend("parseMaybeAssign", function (inner) {
	    return function () {
	      var jsxError = null;

	      for (var _len2 = arguments.length, args = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
	        args[_key2] = arguments[_key2];
	      }

	      if (types.jsxTagStart && this.match(types.jsxTagStart)) {
	        var state = this.state.clone();
	        try {
	          return inner.apply(this, args);
	        } catch (err) {
	          if (err instanceof SyntaxError) {
	            this.state = state;
	            jsxError = err;
	          } else {
	            // istanbul ignore next: no such error is expected
	            throw err;
	          }
	        }
	      }

	      // Need to push something onto the context to stop
	      // the JSX plugin from messing with the tokens
	      this.state.context.push(types$1.parenExpression);
	      if (jsxError != null || this.isRelational("<")) {
	        var arrowExpression = void 0;
	        var typeParameters = void 0;
	        try {
	          typeParameters = this.flowParseTypeParameterDeclaration();

	          arrowExpression = inner.apply(this, args);
	          arrowExpression.typeParameters = typeParameters;
	          arrowExpression.start = typeParameters.start;
	          arrowExpression.loc.start = typeParameters.loc.start;
	        } catch (err) {
	          throw jsxError || err;
	        }

	        if (arrowExpression.type === "ArrowFunctionExpression") {
	          return arrowExpression;
	        } else if (jsxError != null) {
	          throw jsxError;
	        } else {
	          this.raise(typeParameters.start, "Expected an arrow function after this type parameter declaration");
	        }
	      }
	      this.state.context.pop();

	      return inner.apply(this, args);
	    };
	  });

	  // handle return types for arrow functions
	  instance.extend("parseArrow", function (inner) {
	    return function (node) {
	      if (this.match(types.colon)) {
	        var state = this.state.clone();
	        try {
	          var oldNoAnonFunctionType = this.state.noAnonFunctionType;
	          this.state.noAnonFunctionType = true;
	          var returnType = this.flowParseTypeAnnotation();
	          this.state.noAnonFunctionType = oldNoAnonFunctionType;

	          if (this.canInsertSemicolon()) this.unexpected();
	          if (!this.match(types.arrow)) this.unexpected();
	          // assign after it is clear it is an arrow
	          node.returnType = returnType;
	        } catch (err) {
	          if (err instanceof SyntaxError) {
	            this.state = state;
	          } else {
	            // istanbul ignore next: no such error is expected
	            throw err;
	          }
	        }
	      }

	      return inner.call(this, node);
	    };
	  });

	  instance.extend("shouldParseArrow", function (inner) {
	    return function () {
	      return this.match(types.colon) || inner.call(this);
	    };
	  });

	  instance.extend("isClassMutatorStarter", function (inner) {
	    return function () {
	      if (this.isRelational("<")) {
	        return true;
	      } else {
	        return inner.call(this);
	      }
	    };
	  });
	};

	var XHTMLEntities = {
	  quot: "\"",
	  amp: "&",
	  apos: "'",
	  lt: "<",
	  gt: ">",
	  nbsp: "\xA0",
	  iexcl: "\xA1",
	  cent: "\xA2",
	  pound: "\xA3",
	  curren: "\xA4",
	  yen: "\xA5",
	  brvbar: "\xA6",
	  sect: "\xA7",
	  uml: "\xA8",
	  copy: "\xA9",
	  ordf: "\xAA",
	  laquo: "\xAB",
	  not: "\xAC",
	  shy: "\xAD",
	  reg: "\xAE",
	  macr: "\xAF",
	  deg: "\xB0",
	  plusmn: "\xB1",
	  sup2: "\xB2",
	  sup3: "\xB3",
	  acute: "\xB4",
	  micro: "\xB5",
	  para: "\xB6",
	  middot: "\xB7",
	  cedil: "\xB8",
	  sup1: "\xB9",
	  ordm: "\xBA",
	  raquo: "\xBB",
	  frac14: "\xBC",
	  frac12: "\xBD",
	  frac34: "\xBE",
	  iquest: "\xBF",
	  Agrave: "\xC0",
	  Aacute: "\xC1",
	  Acirc: "\xC2",
	  Atilde: "\xC3",
	  Auml: "\xC4",
	  Aring: "\xC5",
	  AElig: "\xC6",
	  Ccedil: "\xC7",
	  Egrave: "\xC8",
	  Eacute: "\xC9",
	  Ecirc: "\xCA",
	  Euml: "\xCB",
	  Igrave: "\xCC",
	  Iacute: "\xCD",
	  Icirc: "\xCE",
	  Iuml: "\xCF",
	  ETH: "\xD0",
	  Ntilde: "\xD1",
	  Ograve: "\xD2",
	  Oacute: "\xD3",
	  Ocirc: "\xD4",
	  Otilde: "\xD5",
	  Ouml: "\xD6",
	  times: "\xD7",
	  Oslash: "\xD8",
	  Ugrave: "\xD9",
	  Uacute: "\xDA",
	  Ucirc: "\xDB",
	  Uuml: "\xDC",
	  Yacute: "\xDD",
	  THORN: "\xDE",
	  szlig: "\xDF",
	  agrave: "\xE0",
	  aacute: "\xE1",
	  acirc: "\xE2",
	  atilde: "\xE3",
	  auml: "\xE4",
	  aring: "\xE5",
	  aelig: "\xE6",
	  ccedil: "\xE7",
	  egrave: "\xE8",
	  eacute: "\xE9",
	  ecirc: "\xEA",
	  euml: "\xEB",
	  igrave: "\xEC",
	  iacute: "\xED",
	  icirc: "\xEE",
	  iuml: "\xEF",
	  eth: "\xF0",
	  ntilde: "\xF1",
	  ograve: "\xF2",
	  oacute: "\xF3",
	  ocirc: "\xF4",
	  otilde: "\xF5",
	  ouml: "\xF6",
	  divide: "\xF7",
	  oslash: "\xF8",
	  ugrave: "\xF9",
	  uacute: "\xFA",
	  ucirc: "\xFB",
	  uuml: "\xFC",
	  yacute: "\xFD",
	  thorn: "\xFE",
	  yuml: "\xFF",
	  OElig: '\u0152',
	  oelig: '\u0153',
	  Scaron: '\u0160',
	  scaron: '\u0161',
	  Yuml: '\u0178',
	  fnof: '\u0192',
	  circ: '\u02C6',
	  tilde: '\u02DC',
	  Alpha: '\u0391',
	  Beta: '\u0392',
	  Gamma: '\u0393',
	  Delta: '\u0394',
	  Epsilon: '\u0395',
	  Zeta: '\u0396',
	  Eta: '\u0397',
	  Theta: '\u0398',
	  Iota: '\u0399',
	  Kappa: '\u039A',
	  Lambda: '\u039B',
	  Mu: '\u039C',
	  Nu: '\u039D',
	  Xi: '\u039E',
	  Omicron: '\u039F',
	  Pi: '\u03A0',
	  Rho: '\u03A1',
	  Sigma: '\u03A3',
	  Tau: '\u03A4',
	  Upsilon: '\u03A5',
	  Phi: '\u03A6',
	  Chi: '\u03A7',
	  Psi: '\u03A8',
	  Omega: '\u03A9',
	  alpha: '\u03B1',
	  beta: '\u03B2',
	  gamma: '\u03B3',
	  delta: '\u03B4',
	  epsilon: '\u03B5',
	  zeta: '\u03B6',
	  eta: '\u03B7',
	  theta: '\u03B8',
	  iota: '\u03B9',
	  kappa: '\u03BA',
	  lambda: '\u03BB',
	  mu: '\u03BC',
	  nu: '\u03BD',
	  xi: '\u03BE',
	  omicron: '\u03BF',
	  pi: '\u03C0',
	  rho: '\u03C1',
	  sigmaf: '\u03C2',
	  sigma: '\u03C3',
	  tau: '\u03C4',
	  upsilon: '\u03C5',
	  phi: '\u03C6',
	  chi: '\u03C7',
	  psi: '\u03C8',
	  omega: '\u03C9',
	  thetasym: '\u03D1',
	  upsih: '\u03D2',
	  piv: '\u03D6',
	  ensp: '\u2002',
	  emsp: '\u2003',
	  thinsp: '\u2009',
	  zwnj: '\u200C',
	  zwj: '\u200D',
	  lrm: '\u200E',
	  rlm: '\u200F',
	  ndash: '\u2013',
	  mdash: '\u2014',
	  lsquo: '\u2018',
	  rsquo: '\u2019',
	  sbquo: '\u201A',
	  ldquo: '\u201C',
	  rdquo: '\u201D',
	  bdquo: '\u201E',
	  dagger: '\u2020',
	  Dagger: '\u2021',
	  bull: '\u2022',
	  hellip: '\u2026',
	  permil: '\u2030',
	  prime: '\u2032',
	  Prime: '\u2033',
	  lsaquo: '\u2039',
	  rsaquo: '\u203A',
	  oline: '\u203E',
	  frasl: '\u2044',
	  euro: '\u20AC',
	  image: '\u2111',
	  weierp: '\u2118',
	  real: '\u211C',
	  trade: '\u2122',
	  alefsym: '\u2135',
	  larr: '\u2190',
	  uarr: '\u2191',
	  rarr: '\u2192',
	  darr: '\u2193',
	  harr: '\u2194',
	  crarr: '\u21B5',
	  lArr: '\u21D0',
	  uArr: '\u21D1',
	  rArr: '\u21D2',
	  dArr: '\u21D3',
	  hArr: '\u21D4',
	  forall: '\u2200',
	  part: '\u2202',
	  exist: '\u2203',
	  empty: '\u2205',
	  nabla: '\u2207',
	  isin: '\u2208',
	  notin: '\u2209',
	  ni: '\u220B',
	  prod: '\u220F',
	  sum: '\u2211',
	  minus: '\u2212',
	  lowast: '\u2217',
	  radic: '\u221A',
	  prop: '\u221D',
	  infin: '\u221E',
	  ang: '\u2220',
	  and: '\u2227',
	  or: '\u2228',
	  cap: '\u2229',
	  cup: '\u222A',
	  "int": '\u222B',
	  there4: '\u2234',
	  sim: '\u223C',
	  cong: '\u2245',
	  asymp: '\u2248',
	  ne: '\u2260',
	  equiv: '\u2261',
	  le: '\u2264',
	  ge: '\u2265',
	  sub: '\u2282',
	  sup: '\u2283',
	  nsub: '\u2284',
	  sube: '\u2286',
	  supe: '\u2287',
	  oplus: '\u2295',
	  otimes: '\u2297',
	  perp: '\u22A5',
	  sdot: '\u22C5',
	  lceil: '\u2308',
	  rceil: '\u2309',
	  lfloor: '\u230A',
	  rfloor: '\u230B',
	  lang: '\u2329',
	  rang: '\u232A',
	  loz: '\u25CA',
	  spades: '\u2660',
	  clubs: '\u2663',
	  hearts: '\u2665',
	  diams: '\u2666'
	};

	/* eslint indent: 0 */

	var HEX_NUMBER = /^[\da-fA-F]+$/;
	var DECIMAL_NUMBER = /^\d+$/;

	types$1.j_oTag = new TokContext("<tag", false);
	types$1.j_cTag = new TokContext("</tag", false);
	types$1.j_expr = new TokContext("<tag>...</tag>", true, true);

	types.jsxName = new TokenType("jsxName");
	types.jsxText = new TokenType("jsxText", { beforeExpr: true });
	types.jsxTagStart = new TokenType("jsxTagStart", { startsExpr: true });
	types.jsxTagEnd = new TokenType("jsxTagEnd");

	types.jsxTagStart.updateContext = function () {
	  this.state.context.push(types$1.j_expr); // treat as beginning of JSX expression
	  this.state.context.push(types$1.j_oTag); // start opening tag context
	  this.state.exprAllowed = false;
	};

	types.jsxTagEnd.updateContext = function (prevType) {
	  var out = this.state.context.pop();
	  if (out === types$1.j_oTag && prevType === types.slash || out === types$1.j_cTag) {
	    this.state.context.pop();
	    this.state.exprAllowed = this.curContext() === types$1.j_expr;
	  } else {
	    this.state.exprAllowed = true;
	  }
	};

	var pp$8 = Parser.prototype;

	// Reads inline JSX contents token.

	pp$8.jsxReadToken = function () {
	  var out = "";
	  var chunkStart = this.state.pos;
	  for (;;) {
	    if (this.state.pos >= this.input.length) {
	      this.raise(this.state.start, "Unterminated JSX contents");
	    }

	    var ch = this.input.charCodeAt(this.state.pos);

	    switch (ch) {
	      case 60: // "<"
	      case 123:
	        // "{"
	        if (this.state.pos === this.state.start) {
	          if (ch === 60 && this.state.exprAllowed) {
	            ++this.state.pos;
	            return this.finishToken(types.jsxTagStart);
	          }
	          return this.getTokenFromCode(ch);
	        }
	        out += this.input.slice(chunkStart, this.state.pos);
	        return this.finishToken(types.jsxText, out);

	      case 38:
	        // "&"
	        out += this.input.slice(chunkStart, this.state.pos);
	        out += this.jsxReadEntity();
	        chunkStart = this.state.pos;
	        break;

	      default:
	        if (isNewLine(ch)) {
	          out += this.input.slice(chunkStart, this.state.pos);
	          out += this.jsxReadNewLine(true);
	          chunkStart = this.state.pos;
	        } else {
	          ++this.state.pos;
	        }
	    }
	  }
	};

	pp$8.jsxReadNewLine = function (normalizeCRLF) {
	  var ch = this.input.charCodeAt(this.state.pos);
	  var out = void 0;
	  ++this.state.pos;
	  if (ch === 13 && this.input.charCodeAt(this.state.pos) === 10) {
	    ++this.state.pos;
	    out = normalizeCRLF ? "\n" : "\r\n";
	  } else {
	    out = String.fromCharCode(ch);
	  }
	  ++this.state.curLine;
	  this.state.lineStart = this.state.pos;

	  return out;
	};

	pp$8.jsxReadString = function (quote) {
	  var out = "";
	  var chunkStart = ++this.state.pos;
	  for (;;) {
	    if (this.state.pos >= this.input.length) {
	      this.raise(this.state.start, "Unterminated string constant");
	    }

	    var ch = this.input.charCodeAt(this.state.pos);
	    if (ch === quote) break;
	    if (ch === 38) {
	      // "&"
	      out += this.input.slice(chunkStart, this.state.pos);
	      out += this.jsxReadEntity();
	      chunkStart = this.state.pos;
	    } else if (isNewLine(ch)) {
	      out += this.input.slice(chunkStart, this.state.pos);
	      out += this.jsxReadNewLine(false);
	      chunkStart = this.state.pos;
	    } else {
	      ++this.state.pos;
	    }
	  }
	  out += this.input.slice(chunkStart, this.state.pos++);
	  return this.finishToken(types.string, out);
	};

	pp$8.jsxReadEntity = function () {
	  var str = "";
	  var count = 0;
	  var entity = void 0;
	  var ch = this.input[this.state.pos];

	  var startPos = ++this.state.pos;
	  while (this.state.pos < this.input.length && count++ < 10) {
	    ch = this.input[this.state.pos++];
	    if (ch === ";") {
	      if (str[0] === "#") {
	        if (str[1] === "x") {
	          str = str.substr(2);
	          if (HEX_NUMBER.test(str)) entity = String.fromCharCode(parseInt(str, 16));
	        } else {
	          str = str.substr(1);
	          if (DECIMAL_NUMBER.test(str)) entity = String.fromCharCode(parseInt(str, 10));
	        }
	      } else {
	        entity = XHTMLEntities[str];
	      }
	      break;
	    }
	    str += ch;
	  }
	  if (!entity) {
	    this.state.pos = startPos;
	    return "&";
	  }
	  return entity;
	};

	// Read a JSX identifier (valid tag or attribute name).
	//
	// Optimized version since JSX identifiers can"t contain
	// escape characters and so can be read as single slice.
	// Also assumes that first character was already checked
	// by isIdentifierStart in readToken.

	pp$8.jsxReadWord = function () {
	  var ch = void 0;
	  var start = this.state.pos;
	  do {
	    ch = this.input.charCodeAt(++this.state.pos);
	  } while (isIdentifierChar(ch) || ch === 45); // "-"
	  return this.finishToken(types.jsxName, this.input.slice(start, this.state.pos));
	};

	// Transforms JSX element name to string.

	function getQualifiedJSXName(object) {
	  if (object.type === "JSXIdentifier") {
	    return object.name;
	  }

	  if (object.type === "JSXNamespacedName") {
	    return object.namespace.name + ":" + object.name.name;
	  }

	  if (object.type === "JSXMemberExpression") {
	    return getQualifiedJSXName(object.object) + "." + getQualifiedJSXName(object.property);
	  }
	}

	// Parse next token as JSX identifier

	pp$8.jsxParseIdentifier = function () {
	  var node = this.startNode();
	  if (this.match(types.jsxName)) {
	    node.name = this.state.value;
	  } else if (this.state.type.keyword) {
	    node.name = this.state.type.keyword;
	  } else {
	    this.unexpected();
	  }
	  this.next();
	  return this.finishNode(node, "JSXIdentifier");
	};

	// Parse namespaced identifier.

	pp$8.jsxParseNamespacedName = function () {
	  var startPos = this.state.start,
	      startLoc = this.state.startLoc;
	  var name = this.jsxParseIdentifier();
	  if (!this.eat(types.colon)) return name;

	  var node = this.startNodeAt(startPos, startLoc);
	  node.namespace = name;
	  node.name = this.jsxParseIdentifier();
	  return this.finishNode(node, "JSXNamespacedName");
	};

	// Parses element name in any form - namespaced, member
	// or single identifier.

	pp$8.jsxParseElementName = function () {
	  var startPos = this.state.start,
	      startLoc = this.state.startLoc;
	  var node = this.jsxParseNamespacedName();
	  while (this.eat(types.dot)) {
	    var newNode = this.startNodeAt(startPos, startLoc);
	    newNode.object = node;
	    newNode.property = this.jsxParseIdentifier();
	    node = this.finishNode(newNode, "JSXMemberExpression");
	  }
	  return node;
	};

	// Parses any type of JSX attribute value.

	pp$8.jsxParseAttributeValue = function () {
	  var node = void 0;
	  switch (this.state.type) {
	    case types.braceL:
	      node = this.jsxParseExpressionContainer();
	      if (node.expression.type === "JSXEmptyExpression") {
	        this.raise(node.start, "JSX attributes must only be assigned a non-empty expression");
	      } else {
	        return node;
	      }

	    case types.jsxTagStart:
	    case types.string:
	      node = this.parseExprAtom();
	      node.extra = null;
	      return node;

	    default:
	      this.raise(this.state.start, "JSX value should be either an expression or a quoted JSX text");
	  }
	};

	// JSXEmptyExpression is unique type since it doesn't actually parse anything,
	// and so it should start at the end of last read token (left brace) and finish
	// at the beginning of the next one (right brace).

	pp$8.jsxParseEmptyExpression = function () {
	  var node = this.startNodeAt(this.lastTokEnd, this.lastTokEndLoc);
	  return this.finishNodeAt(node, "JSXEmptyExpression", this.start, this.startLoc);
	};

	// Parse JSX spread child

	pp$8.jsxParseSpreadChild = function () {
	  var node = this.startNode();
	  this.expect(types.braceL);
	  this.expect(types.ellipsis);
	  node.expression = this.parseExpression();
	  this.expect(types.braceR);

	  return this.finishNode(node, "JSXSpreadChild");
	};

	// Parses JSX expression enclosed into curly brackets.


	pp$8.jsxParseExpressionContainer = function () {
	  var node = this.startNode();
	  this.next();
	  if (this.match(types.braceR)) {
	    node.expression = this.jsxParseEmptyExpression();
	  } else {
	    node.expression = this.parseExpression();
	  }
	  this.expect(types.braceR);
	  return this.finishNode(node, "JSXExpressionContainer");
	};

	// Parses following JSX attribute name-value pair.

	pp$8.jsxParseAttribute = function () {
	  var node = this.startNode();
	  if (this.eat(types.braceL)) {
	    this.expect(types.ellipsis);
	    node.argument = this.parseMaybeAssign();
	    this.expect(types.braceR);
	    return this.finishNode(node, "JSXSpreadAttribute");
	  }
	  node.name = this.jsxParseNamespacedName();
	  node.value = this.eat(types.eq) ? this.jsxParseAttributeValue() : null;
	  return this.finishNode(node, "JSXAttribute");
	};

	// Parses JSX opening tag starting after "<".

	pp$8.jsxParseOpeningElementAt = function (startPos, startLoc) {
	  var node = this.startNodeAt(startPos, startLoc);
	  node.attributes = [];
	  node.name = this.jsxParseElementName();
	  while (!this.match(types.slash) && !this.match(types.jsxTagEnd)) {
	    node.attributes.push(this.jsxParseAttribute());
	  }
	  node.selfClosing = this.eat(types.slash);
	  this.expect(types.jsxTagEnd);
	  return this.finishNode(node, "JSXOpeningElement");
	};

	// Parses JSX closing tag starting after "</".

	pp$8.jsxParseClosingElementAt = function (startPos, startLoc) {
	  var node = this.startNodeAt(startPos, startLoc);
	  node.name = this.jsxParseElementName();
	  this.expect(types.jsxTagEnd);
	  return this.finishNode(node, "JSXClosingElement");
	};

	// Parses entire JSX element, including it"s opening tag
	// (starting after "<"), attributes, contents and closing tag.

	pp$8.jsxParseElementAt = function (startPos, startLoc) {
	  var node = this.startNodeAt(startPos, startLoc);
	  var children = [];
	  var openingElement = this.jsxParseOpeningElementAt(startPos, startLoc);
	  var closingElement = null;

	  if (!openingElement.selfClosing) {
	    contents: for (;;) {
	      switch (this.state.type) {
	        case types.jsxTagStart:
	          startPos = this.state.start;startLoc = this.state.startLoc;
	          this.next();
	          if (this.eat(types.slash)) {
	            closingElement = this.jsxParseClosingElementAt(startPos, startLoc);
	            break contents;
	          }
	          children.push(this.jsxParseElementAt(startPos, startLoc));
	          break;

	        case types.jsxText:
	          children.push(this.parseExprAtom());
	          break;

	        case types.braceL:
	          if (this.lookahead().type === types.ellipsis) {
	            children.push(this.jsxParseSpreadChild());
	          } else {
	            children.push(this.jsxParseExpressionContainer());
	          }

	          break;

	        // istanbul ignore next - should never happen
	        default:
	          this.unexpected();
	      }
	    }

	    if (getQualifiedJSXName(closingElement.name) !== getQualifiedJSXName(openingElement.name)) {
	      this.raise(closingElement.start, "Expected corresponding JSX closing tag for <" + getQualifiedJSXName(openingElement.name) + ">");
	    }
	  }

	  node.openingElement = openingElement;
	  node.closingElement = closingElement;
	  node.children = children;
	  if (this.match(types.relational) && this.state.value === "<") {
	    this.raise(this.state.start, "Adjacent JSX elements must be wrapped in an enclosing tag");
	  }
	  return this.finishNode(node, "JSXElement");
	};

	// Parses entire JSX element from current position.

	pp$8.jsxParseElement = function () {
	  var startPos = this.state.start,
	      startLoc = this.state.startLoc;
	  this.next();
	  return this.jsxParseElementAt(startPos, startLoc);
	};

	var jsxPlugin = function jsxPlugin(instance) {
	  instance.extend("parseExprAtom", function (inner) {
	    return function (refShortHandDefaultPos) {
	      if (this.match(types.jsxText)) {
	        var node = this.parseLiteral(this.state.value, "JSXText");
	        // https://github.com/babel/babel/issues/2078
	        node.extra = null;
	        return node;
	      } else if (this.match(types.jsxTagStart)) {
	        return this.jsxParseElement();
	      } else {
	        return inner.call(this, refShortHandDefaultPos);
	      }
	    };
	  });

	  instance.extend("readToken", function (inner) {
	    return function (code) {
	      var context = this.curContext();

	      if (context === types$1.j_expr) {
	        return this.jsxReadToken();
	      }

	      if (context === types$1.j_oTag || context === types$1.j_cTag) {
	        if (isIdentifierStart(code)) {
	          return this.jsxReadWord();
	        }

	        if (code === 62) {
	          ++this.state.pos;
	          return this.finishToken(types.jsxTagEnd);
	        }

	        if ((code === 34 || code === 39) && context === types$1.j_oTag) {
	          return this.jsxReadString(code);
	        }
	      }

	      if (code === 60 && this.state.exprAllowed) {
	        ++this.state.pos;
	        return this.finishToken(types.jsxTagStart);
	      }

	      return inner.call(this, code);
	    };
	  });

	  instance.extend("updateContext", function (inner) {
	    return function (prevType) {
	      if (this.match(types.braceL)) {
	        var curContext = this.curContext();
	        if (curContext === types$1.j_oTag) {
	          this.state.context.push(types$1.braceExpression);
	        } else if (curContext === types$1.j_expr) {
	          this.state.context.push(types$1.templateQuasi);
	        } else {
	          inner.call(this, prevType);
	        }
	        this.state.exprAllowed = true;
	      } else if (this.match(types.slash) && prevType === types.jsxTagStart) {
	        this.state.context.length -= 2; // do not consider JSX expr -> JSX open tag -> ... anymore
	        this.state.context.push(types$1.j_cTag); // reconsider as closing tag context
	        this.state.exprAllowed = false;
	      } else {
	        return inner.call(this, prevType);
	      }
	    };
	  });
	};

	plugins.flow = flowPlugin;
	plugins.jsx = jsxPlugin;

	function parse$1(input, options) {
	  return new Parser(options, input).parse();
	}

	exports.parse = parse$1;
	exports.tokTypes = types;

/***/ },
/* 119 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// getting tag from 19.1.3.6 Object.prototype.toString()
	var cof = __webpack_require__(67),
	    TAG = __webpack_require__(6)('toStringTag')
	// ES3 wrong here
	,
	    ARG = cof(function () {
	  return arguments;
	}()) == 'Arguments';

	// fallback for IE11 Script Access Denied error
	var tryGet = function tryGet(it, key) {
	  try {
	    return it[key];
	  } catch (e) {/* empty */}
	};

	module.exports = function (it) {
	  var O, T, B;
	  return it === undefined ? 'Undefined' : it === null ? 'Null'
	  // @@toStringTag case
	  : typeof (T = tryGet(O = Object(it), TAG)) == 'string' ? T
	  // builtinTag case
	  : ARG ? cof(O)
	  // ES3 arguments fallback
	  : (B = cof(O)) == 'Object' && typeof O.callee == 'function' ? 'Arguments' : B;
	};

/***/ },
/* 120 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var global = __webpack_require__(7),
	    $export = __webpack_require__(20),
	    meta = __webpack_require__(40),
	    fails = __webpack_require__(25),
	    hide = __webpack_require__(22),
	    redefineAll = __webpack_require__(73),
	    forOf = __webpack_require__(45),
	    anInstance = __webpack_require__(65),
	    isObject = __webpack_require__(15),
	    setToStringTag = __webpack_require__(49),
	    dP = __webpack_require__(16).f,
	    each = __webpack_require__(66)(0),
	    DESCRIPTORS = __webpack_require__(14);

	module.exports = function (NAME, wrapper, methods, common, IS_MAP, IS_WEAK) {
	  var Base = global[NAME],
	      C = Base,
	      ADDER = IS_MAP ? 'set' : 'add',
	      proto = C && C.prototype,
	      O = {};
	  if (!DESCRIPTORS || typeof C != 'function' || !(IS_WEAK || proto.forEach && !fails(function () {
	    new C().entries().next();
	  }))) {
	    // create collection constructor
	    C = common.getConstructor(wrapper, NAME, IS_MAP, ADDER);
	    redefineAll(C.prototype, methods);
	    meta.NEED = true;
	  } else {
	    C = wrapper(function (target, iterable) {
	      anInstance(target, C, NAME, '_c');
	      target._c = new Base();
	      if (iterable != undefined) forOf(iterable, IS_MAP, target[ADDER], target);
	    });
	    each('add,clear,delete,forEach,get,has,set,keys,values,entries,toJSON'.split(','), function (KEY) {
	      var IS_ADDER = KEY == 'add' || KEY == 'set';
	      if (KEY in proto && !(IS_WEAK && KEY == 'clear')) hide(C.prototype, KEY, function (a, b) {
	        anInstance(this, C, KEY);
	        if (!IS_ADDER && IS_WEAK && !isObject(a)) return KEY == 'get' ? undefined : false;
	        var result = this._c[KEY](a === 0 ? 0 : a, b);
	        return IS_ADDER ? this : result;
	      });
	    });
	    if ('size' in proto) dP(C.prototype, 'size', {
	      get: function get() {
	        return this._c.size;
	      }
	    });
	  }

	  setToStringTag(C, NAME);

	  O[NAME] = C;
	  $export($export.G + $export.W + $export.F, O);

	  if (!IS_WEAK) common.setStrong(C, NAME, IS_MAP);

	  return C;
	};

/***/ },
/* 121 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isObject = __webpack_require__(15),
	    document = __webpack_require__(7).document
	// in old IE typeof document.createElement is 'object'
	,
	    is = isObject(document) && isObject(document.createElement);
	module.exports = function (it) {
	  return is ? document.createElement(it) : {};
	};

/***/ },
/* 122 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = !__webpack_require__(14) && !__webpack_require__(25)(function () {
	  return Object.defineProperty(__webpack_require__(121)('div'), 'a', { get: function get() {
	      return 7;
	    } }).a != 7;
	});

/***/ },
/* 123 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// 7.2.2 IsArray(argument)
	var cof = __webpack_require__(67);
	module.exports = Array.isArray || function isArray(arg) {
	  return cof(arg) == 'Array';
	};

/***/ },
/* 124 */
/***/ function(module, exports) {

	"use strict";

	module.exports = function (done, value) {
	  return { value: value, done: !!done };
	};

/***/ },
/* 125 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var pIE = __webpack_require__(47),
	    createDesc = __webpack_require__(48),
	    toIObject = __webpack_require__(26),
	    toPrimitive = __webpack_require__(79),
	    has = __webpack_require__(21),
	    IE8_DOM_DEFINE = __webpack_require__(122),
	    gOPD = Object.getOwnPropertyDescriptor;

	exports.f = __webpack_require__(14) ? gOPD : function getOwnPropertyDescriptor(O, P) {
	  O = toIObject(O);
	  P = toPrimitive(P, true);
	  if (IE8_DOM_DEFINE) try {
	    return gOPD(O, P);
	  } catch (e) {/* empty */}
	  if (has(O, P)) return createDesc(!pIE.f.call(O, P), O[P]);
	};

/***/ },
/* 126 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// 19.1.2.7 / 15.2.3.4 Object.getOwnPropertyNames(O)
	var $keys = __webpack_require__(127),
	    hiddenKeys = __webpack_require__(68).concat('length', 'prototype');

	exports.f = Object.getOwnPropertyNames || function getOwnPropertyNames(O) {
	  return $keys(O, hiddenKeys);
	};

/***/ },
/* 127 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var has = __webpack_require__(21),
	    toIObject = __webpack_require__(26),
	    arrayIndexOf = __webpack_require__(266)(false),
	    IE_PROTO = __webpack_require__(75)('IE_PROTO');

	module.exports = function (object, names) {
	  var O = toIObject(object),
	      i = 0,
	      result = [],
	      key;
	  for (key in O) {
	    if (key != IE_PROTO) has(O, key) && result.push(key);
	  } // Don't enum bug & hidden keys
	  while (names.length > i) {
	    if (has(O, key = names[i++])) {
	      ~arrayIndexOf(result, key) || result.push(key);
	    }
	  }return result;
	};

/***/ },
/* 128 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var classof = __webpack_require__(119),
	    ITERATOR = __webpack_require__(6)('iterator'),
	    Iterators = __webpack_require__(39);
	module.exports = __webpack_require__(3).getIteratorMethod = function (it) {
	  if (it != undefined) return it[ITERATOR] || it['@@iterator'] || Iterators[classof(it)];
	};

/***/ },
/* 129 */
/***/ function(module, exports) {

	'use strict';

	/*
	  Copyright (C) 2013-2014 Yusuke Suzuki <utatane.tea@gmail.com>
	  Copyright (C) 2014 Ivan Nikulin <ifaaan@gmail.com>

	  Redistribution and use in source and binary forms, with or without
	  modification, are permitted provided that the following conditions are met:

	    * Redistributions of source code must retain the above copyright
	      notice, this list of conditions and the following disclaimer.
	    * Redistributions in binary form must reproduce the above copyright
	      notice, this list of conditions and the following disclaimer in the
	      documentation and/or other materials provided with the distribution.

	  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
	  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
	  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
	  ARE DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> BE LIABLE FOR ANY
	  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
	  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
	  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
	  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
	  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
	  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
	*/

	(function () {
	    'use strict';

	    var ES6Regex, ES5Regex, NON_ASCII_WHITESPACES, IDENTIFIER_START, IDENTIFIER_PART, ch;

	    // See `tools/generate-identifier-regex.js`.
	    ES5Regex = {
	        // ECMAScript 5.1/Unicode v7.0.0 NonAsciiIdentifierStart:
	        NonAsciiIdentifierStart: /[\xAA\xB5\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0561-\u0587\u05D0-\u05EA\u05F0-\u05F2\u0620-\u064A\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07CA-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u08A0-\u08B2\u0904-\u0939\u093D\u0950\u0958-\u0961\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09F0\u09F1\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B71\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58\u0C59\u0C60\u0C61\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CF1\u0CF2\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D60\u0D61\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0EDC-\u0EDF\u0F00\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1380-\u138F\u13A0-\u13F4\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u1820-\u1877\u1880-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1950-\u196D\u1970-\u1974\u1980-\u19AB\u19C1-\u19C7\u1A00-\u1A16\u1A20-\u1A54\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B83-\u1BA0\u1BAE\u1BAF\u1BBA-\u1BE5\u1C00-\u1C23\u1C4D-\u1C4F\u1C5A-\u1C7D\u1CE9-\u1CEC\u1CEE-\u1CF1\u1CF5\u1CF6\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2071\u207F\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31BA\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FCC\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA61F\uA62A\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA78E\uA790-\uA7AD\uA7B0\uA7B1\uA7F7-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA840-\uA873\uA882-\uA8B3\uA8F2-\uA8F7\uA8FB\uA90A-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF\uA9E0-\uA9E4\uA9E6-\uA9EF\uA9FA-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB5F\uAB64\uAB65\uABC0-\uABE2\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]/,
	        // ECMAScript 5.1/Unicode v7.0.0 NonAsciiIdentifierPart:
	        NonAsciiIdentifierPart: /[\xAA\xB5\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0300-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u0483-\u0487\u048A-\u052F\u0531-\u0556\u0559\u0561-\u0587\u0591-\u05BD\u05BF\u05C1\u05C2\u05C4\u05C5\u05C7\u05D0-\u05EA\u05F0-\u05F2\u0610-\u061A\u0620-\u0669\u066E-\u06D3\u06D5-\u06DC\u06DF-\u06E8\u06EA-\u06FC\u06FF\u0710-\u074A\u074D-\u07B1\u07C0-\u07F5\u07FA\u0800-\u082D\u0840-\u085B\u08A0-\u08B2\u08E4-\u0963\u0966-\u096F\u0971-\u0983\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BC-\u09C4\u09C7\u09C8\u09CB-\u09CE\u09D7\u09DC\u09DD\u09DF-\u09E3\u09E6-\u09F1\u0A01-\u0A03\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A3C\u0A3E-\u0A42\u0A47\u0A48\u0A4B-\u0A4D\u0A51\u0A59-\u0A5C\u0A5E\u0A66-\u0A75\u0A81-\u0A83\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABC-\u0AC5\u0AC7-\u0AC9\u0ACB-\u0ACD\u0AD0\u0AE0-\u0AE3\u0AE6-\u0AEF\u0B01-\u0B03\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3C-\u0B44\u0B47\u0B48\u0B4B-\u0B4D\u0B56\u0B57\u0B5C\u0B5D\u0B5F-\u0B63\u0B66-\u0B6F\u0B71\u0B82\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BBE-\u0BC2\u0BC6-\u0BC8\u0BCA-\u0BCD\u0BD0\u0BD7\u0BE6-\u0BEF\u0C00-\u0C03\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D-\u0C44\u0C46-\u0C48\u0C4A-\u0C4D\u0C55\u0C56\u0C58\u0C59\u0C60-\u0C63\u0C66-\u0C6F\u0C81-\u0C83\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBC-\u0CC4\u0CC6-\u0CC8\u0CCA-\u0CCD\u0CD5\u0CD6\u0CDE\u0CE0-\u0CE3\u0CE6-\u0CEF\u0CF1\u0CF2\u0D01-\u0D03\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D-\u0D44\u0D46-\u0D48\u0D4A-\u0D4E\u0D57\u0D60-\u0D63\u0D66-\u0D6F\u0D7A-\u0D7F\u0D82\u0D83\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DCA\u0DCF-\u0DD4\u0DD6\u0DD8-\u0DDF\u0DE6-\u0DEF\u0DF2\u0DF3\u0E01-\u0E3A\u0E40-\u0E4E\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB9\u0EBB-\u0EBD\u0EC0-\u0EC4\u0EC6\u0EC8-\u0ECD\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F18\u0F19\u0F20-\u0F29\u0F35\u0F37\u0F39\u0F3E-\u0F47\u0F49-\u0F6C\u0F71-\u0F84\u0F86-\u0F97\u0F99-\u0FBC\u0FC6\u1000-\u1049\u1050-\u109D\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u135D-\u135F\u1380-\u138F\u13A0-\u13F4\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1714\u1720-\u1734\u1740-\u1753\u1760-\u176C\u176E-\u1770\u1772\u1773\u1780-\u17D3\u17D7\u17DC\u17DD\u17E0-\u17E9\u180B-\u180D\u1810-\u1819\u1820-\u1877\u1880-\u18AA\u18B0-\u18F5\u1900-\u191E\u1920-\u192B\u1930-\u193B\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19D9\u1A00-\u1A1B\u1A20-\u1A5E\u1A60-\u1A7C\u1A7F-\u1A89\u1A90-\u1A99\u1AA7\u1AB0-\u1ABD\u1B00-\u1B4B\u1B50-\u1B59\u1B6B-\u1B73\u1B80-\u1BF3\u1C00-\u1C37\u1C40-\u1C49\u1C4D-\u1C7D\u1CD0-\u1CD2\u1CD4-\u1CF6\u1CF8\u1CF9\u1D00-\u1DF5\u1DFC-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u200C\u200D\u203F\u2040\u2054\u2071\u207F\u2090-\u209C\u20D0-\u20DC\u20E1\u20E5-\u20F0\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D7F-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2DE0-\u2DFF\u2E2F\u3005-\u3007\u3021-\u302F\u3031-\u3035\u3038-\u303C\u3041-\u3096\u3099\u309A\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31BA\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FCC\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66F\uA674-\uA67D\uA67F-\uA69D\uA69F-\uA6F1\uA717-\uA71F\uA722-\uA788\uA78B-\uA78E\uA790-\uA7AD\uA7B0\uA7B1\uA7F7-\uA827\uA840-\uA873\uA880-\uA8C4\uA8D0-\uA8D9\uA8E0-\uA8F7\uA8FB\uA900-\uA92D\uA930-\uA953\uA960-\uA97C\uA980-\uA9C0\uA9CF-\uA9D9\uA9E0-\uA9FE\uAA00-\uAA36\uAA40-\uAA4D\uAA50-\uAA59\uAA60-\uAA76\uAA7A-\uAAC2\uAADB-\uAADD\uAAE0-\uAAEF\uAAF2-\uAAF6\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB5F\uAB64\uAB65\uABC0-\uABEA\uABEC\uABED\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE00-\uFE0F\uFE20-\uFE2D\uFE33\uFE34\uFE4D-\uFE4F\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF3F\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]/
	    };

	    ES6Regex = {
	        // ECMAScript 6/Unicode v7.0.0 NonAsciiIdentifierStart:
	        NonAsciiIdentifierStart: /[\xAA\xB5\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0561-\u0587\u05D0-\u05EA\u05F0-\u05F2\u0620-\u064A\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07CA-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u08A0-\u08B2\u0904-\u0939\u093D\u0950\u0958-\u0961\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09F0\u09F1\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B71\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58\u0C59\u0C60\u0C61\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CF1\u0CF2\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D60\u0D61\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0EDC-\u0EDF\u0F00\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1380-\u138F\u13A0-\u13F4\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u1820-\u1877\u1880-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1950-\u196D\u1970-\u1974\u1980-\u19AB\u19C1-\u19C7\u1A00-\u1A16\u1A20-\u1A54\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B83-\u1BA0\u1BAE\u1BAF\u1BBA-\u1BE5\u1C00-\u1C23\u1C4D-\u1C4F\u1C5A-\u1C7D\u1CE9-\u1CEC\u1CEE-\u1CF1\u1CF5\u1CF6\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2071\u207F\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2118-\u211D\u2124\u2126\u2128\u212A-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309B-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31BA\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FCC\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA61F\uA62A\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA78E\uA790-\uA7AD\uA7B0\uA7B1\uA7F7-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA840-\uA873\uA882-\uA8B3\uA8F2-\uA8F7\uA8FB\uA90A-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF\uA9E0-\uA9E4\uA9E6-\uA9EF\uA9FA-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB5F\uAB64\uAB65\uABC0-\uABE2\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD40-\uDD74\uDE80-\uDE9C\uDEA0-\uDED0\uDF00-\uDF1F\uDF30-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC60-\uDC76\uDC80-\uDC9E\uDD00-\uDD15\uDD20-\uDD39\uDD80-\uDDB7\uDDBE\uDDBF\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE33\uDE60-\uDE7C\uDE80-\uDE9C\uDEC0-\uDEC7\uDEC9-\uDEE4\uDF00-\uDF35\uDF40-\uDF55\uDF60-\uDF72\uDF80-\uDF91]|\uD803[\uDC00-\uDC48]|\uD804[\uDC03-\uDC37\uDC83-\uDCAF\uDCD0-\uDCE8\uDD03-\uDD26\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDDA\uDE00-\uDE11\uDE13-\uDE2B\uDEB0-\uDEDE\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF5D-\uDF61]|\uD805[\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDD80-\uDDAE\uDE00-\uDE2F\uDE44\uDE80-\uDEAA]|\uD806[\uDCA0-\uDCDF\uDCFF\uDEC0-\uDEF8]|\uD808[\uDC00-\uDF98]|\uD809[\uDC00-\uDC6E]|[\uD80C\uD840-\uD868\uD86A-\uD86C][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDF00-\uDF44\uDF50\uDF93-\uDF9F]|\uD82C[\uDC00\uDC01]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB]|\uD83A[\uDC00-\uDCC4]|\uD83B[\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD869[\uDC00-\uDED6\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D]|\uD87E[\uDC00-\uDE1D]/,
	        // ECMAScript 6/Unicode v7.0.0 NonAsciiIdentifierPart:
	        NonAsciiIdentifierPart: /[\xAA\xB5\xB7\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0300-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u0483-\u0487\u048A-\u052F\u0531-\u0556\u0559\u0561-\u0587\u0591-\u05BD\u05BF\u05C1\u05C2\u05C4\u05C5\u05C7\u05D0-\u05EA\u05F0-\u05F2\u0610-\u061A\u0620-\u0669\u066E-\u06D3\u06D5-\u06DC\u06DF-\u06E8\u06EA-\u06FC\u06FF\u0710-\u074A\u074D-\u07B1\u07C0-\u07F5\u07FA\u0800-\u082D\u0840-\u085B\u08A0-\u08B2\u08E4-\u0963\u0966-\u096F\u0971-\u0983\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BC-\u09C4\u09C7\u09C8\u09CB-\u09CE\u09D7\u09DC\u09DD\u09DF-\u09E3\u09E6-\u09F1\u0A01-\u0A03\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A3C\u0A3E-\u0A42\u0A47\u0A48\u0A4B-\u0A4D\u0A51\u0A59-\u0A5C\u0A5E\u0A66-\u0A75\u0A81-\u0A83\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABC-\u0AC5\u0AC7-\u0AC9\u0ACB-\u0ACD\u0AD0\u0AE0-\u0AE3\u0AE6-\u0AEF\u0B01-\u0B03\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3C-\u0B44\u0B47\u0B48\u0B4B-\u0B4D\u0B56\u0B57\u0B5C\u0B5D\u0B5F-\u0B63\u0B66-\u0B6F\u0B71\u0B82\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BBE-\u0BC2\u0BC6-\u0BC8\u0BCA-\u0BCD\u0BD0\u0BD7\u0BE6-\u0BEF\u0C00-\u0C03\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D-\u0C44\u0C46-\u0C48\u0C4A-\u0C4D\u0C55\u0C56\u0C58\u0C59\u0C60-\u0C63\u0C66-\u0C6F\u0C81-\u0C83\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBC-\u0CC4\u0CC6-\u0CC8\u0CCA-\u0CCD\u0CD5\u0CD6\u0CDE\u0CE0-\u0CE3\u0CE6-\u0CEF\u0CF1\u0CF2\u0D01-\u0D03\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D-\u0D44\u0D46-\u0D48\u0D4A-\u0D4E\u0D57\u0D60-\u0D63\u0D66-\u0D6F\u0D7A-\u0D7F\u0D82\u0D83\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DCA\u0DCF-\u0DD4\u0DD6\u0DD8-\u0DDF\u0DE6-\u0DEF\u0DF2\u0DF3\u0E01-\u0E3A\u0E40-\u0E4E\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB9\u0EBB-\u0EBD\u0EC0-\u0EC4\u0EC6\u0EC8-\u0ECD\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F18\u0F19\u0F20-\u0F29\u0F35\u0F37\u0F39\u0F3E-\u0F47\u0F49-\u0F6C\u0F71-\u0F84\u0F86-\u0F97\u0F99-\u0FBC\u0FC6\u1000-\u1049\u1050-\u109D\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u135D-\u135F\u1369-\u1371\u1380-\u138F\u13A0-\u13F4\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1714\u1720-\u1734\u1740-\u1753\u1760-\u176C\u176E-\u1770\u1772\u1773\u1780-\u17D3\u17D7\u17DC\u17DD\u17E0-\u17E9\u180B-\u180D\u1810-\u1819\u1820-\u1877\u1880-\u18AA\u18B0-\u18F5\u1900-\u191E\u1920-\u192B\u1930-\u193B\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A1B\u1A20-\u1A5E\u1A60-\u1A7C\u1A7F-\u1A89\u1A90-\u1A99\u1AA7\u1AB0-\u1ABD\u1B00-\u1B4B\u1B50-\u1B59\u1B6B-\u1B73\u1B80-\u1BF3\u1C00-\u1C37\u1C40-\u1C49\u1C4D-\u1C7D\u1CD0-\u1CD2\u1CD4-\u1CF6\u1CF8\u1CF9\u1D00-\u1DF5\u1DFC-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u200C\u200D\u203F\u2040\u2054\u2071\u207F\u2090-\u209C\u20D0-\u20DC\u20E1\u20E5-\u20F0\u2102\u2107\u210A-\u2113\u2115\u2118-\u211D\u2124\u2126\u2128\u212A-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D7F-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2DE0-\u2DFF\u3005-\u3007\u3021-\u302F\u3031-\u3035\u3038-\u303C\u3041-\u3096\u3099-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31BA\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FCC\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66F\uA674-\uA67D\uA67F-\uA69D\uA69F-\uA6F1\uA717-\uA71F\uA722-\uA788\uA78B-\uA78E\uA790-\uA7AD\uA7B0\uA7B1\uA7F7-\uA827\uA840-\uA873\uA880-\uA8C4\uA8D0-\uA8D9\uA8E0-\uA8F7\uA8FB\uA900-\uA92D\uA930-\uA953\uA960-\uA97C\uA980-\uA9C0\uA9CF-\uA9D9\uA9E0-\uA9FE\uAA00-\uAA36\uAA40-\uAA4D\uAA50-\uAA59\uAA60-\uAA76\uAA7A-\uAAC2\uAADB-\uAADD\uAAE0-\uAAEF\uAAF2-\uAAF6\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB5F\uAB64\uAB65\uABC0-\uABEA\uABEC\uABED\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE00-\uFE0F\uFE20-\uFE2D\uFE33\uFE34\uFE4D-\uFE4F\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF3F\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD40-\uDD74\uDDFD\uDE80-\uDE9C\uDEA0-\uDED0\uDEE0\uDF00-\uDF1F\uDF30-\uDF4A\uDF50-\uDF7A\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC60-\uDC76\uDC80-\uDC9E\uDD00-\uDD15\uDD20-\uDD39\uDD80-\uDDB7\uDDBE\uDDBF\uDE00-\uDE03\uDE05\uDE06\uDE0C-\uDE13\uDE15-\uDE17\uDE19-\uDE33\uDE38-\uDE3A\uDE3F\uDE60-\uDE7C\uDE80-\uDE9C\uDEC0-\uDEC7\uDEC9-\uDEE6\uDF00-\uDF35\uDF40-\uDF55\uDF60-\uDF72\uDF80-\uDF91]|\uD803[\uDC00-\uDC48]|\uD804[\uDC00-\uDC46\uDC66-\uDC6F\uDC7F-\uDCBA\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD00-\uDD34\uDD36-\uDD3F\uDD50-\uDD73\uDD76\uDD80-\uDDC4\uDDD0-\uDDDA\uDE00-\uDE11\uDE13-\uDE37\uDEB0-\uDEEA\uDEF0-\uDEF9\uDF01-\uDF03\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3C-\uDF44\uDF47\uDF48\uDF4B-\uDF4D\uDF57\uDF5D-\uDF63\uDF66-\uDF6C\uDF70-\uDF74]|\uD805[\uDC80-\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDB5\uDDB8-\uDDC0\uDE00-\uDE40\uDE44\uDE50-\uDE59\uDE80-\uDEB7\uDEC0-\uDEC9]|\uD806[\uDCA0-\uDCE9\uDCFF\uDEC0-\uDEF8]|\uD808[\uDC00-\uDF98]|\uD809[\uDC00-\uDC6E]|[\uD80C\uD840-\uD868\uD86A-\uD86C][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDED0-\uDEED\uDEF0-\uDEF4\uDF00-\uDF36\uDF40-\uDF43\uDF50-\uDF59\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDF00-\uDF44\uDF50-\uDF7E\uDF8F-\uDF9F]|\uD82C[\uDC00\uDC01]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99\uDC9D\uDC9E]|\uD834[\uDD65-\uDD69\uDD6D-\uDD72\uDD7B-\uDD82\uDD85-\uDD8B\uDDAA-\uDDAD\uDE42-\uDE44]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD83A[\uDC00-\uDCC4\uDCD0-\uDCD6]|\uD83B[\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD869[\uDC00-\uDED6\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D]|\uD87E[\uDC00-\uDE1D]|\uDB40[\uDD00-\uDDEF]/
	    };

	    function isDecimalDigit(ch) {
	        return 0x30 <= ch && ch <= 0x39; // 0..9
	    }

	    function isHexDigit(ch) {
	        return 0x30 <= ch && ch <= 0x39 || // 0..9
	        0x61 <= ch && ch <= 0x66 || // a..f
	        0x41 <= ch && ch <= 0x46; // A..F
	    }

	    function isOctalDigit(ch) {
	        return ch >= 0x30 && ch <= 0x37; // 0..7
	    }

	    // 7.2 White Space

	    NON_ASCII_WHITESPACES = [0x1680, 0x180E, 0x2000, 0x2001, 0x2002, 0x2003, 0x2004, 0x2005, 0x2006, 0x2007, 0x2008, 0x2009, 0x200A, 0x202F, 0x205F, 0x3000, 0xFEFF];

	    function isWhiteSpace(ch) {
	        return ch === 0x20 || ch === 0x09 || ch === 0x0B || ch === 0x0C || ch === 0xA0 || ch >= 0x1680 && NON_ASCII_WHITESPACES.indexOf(ch) >= 0;
	    }

	    // 7.3 Line Terminators

	    function isLineTerminator(ch) {
	        return ch === 0x0A || ch === 0x0D || ch === 0x2028 || ch === 0x2029;
	    }

	    // 7.6 Identifier Names and Identifiers

	    function fromCodePoint(cp) {
	        if (cp <= 0xFFFF) {
	            return String.fromCharCode(cp);
	        }
	        var cu1 = String.fromCharCode(Math.floor((cp - 0x10000) / 0x400) + 0xD800);
	        var cu2 = String.fromCharCode((cp - 0x10000) % 0x400 + 0xDC00);
	        return cu1 + cu2;
	    }

	    IDENTIFIER_START = new Array(0x80);
	    for (ch = 0; ch < 0x80; ++ch) {
	        IDENTIFIER_START[ch] = ch >= 0x61 && ch <= 0x7A || // a..z
	        ch >= 0x41 && ch <= 0x5A || // A..Z
	        ch === 0x24 || ch === 0x5F; // $ (dollar) and _ (underscore)
	    }

	    IDENTIFIER_PART = new Array(0x80);
	    for (ch = 0; ch < 0x80; ++ch) {
	        IDENTIFIER_PART[ch] = ch >= 0x61 && ch <= 0x7A || // a..z
	        ch >= 0x41 && ch <= 0x5A || // A..Z
	        ch >= 0x30 && ch <= 0x39 || // 0..9
	        ch === 0x24 || ch === 0x5F; // $ (dollar) and _ (underscore)
	    }

	    function isIdentifierStartES5(ch) {
	        return ch < 0x80 ? IDENTIFIER_START[ch] : ES5Regex.NonAsciiIdentifierStart.test(fromCodePoint(ch));
	    }

	    function isIdentifierPartES5(ch) {
	        return ch < 0x80 ? IDENTIFIER_PART[ch] : ES5Regex.NonAsciiIdentifierPart.test(fromCodePoint(ch));
	    }

	    function isIdentifierStartES6(ch) {
	        return ch < 0x80 ? IDENTIFIER_START[ch] : ES6Regex.NonAsciiIdentifierStart.test(fromCodePoint(ch));
	    }

	    function isIdentifierPartES6(ch) {
	        return ch < 0x80 ? IDENTIFIER_PART[ch] : ES6Regex.NonAsciiIdentifierPart.test(fromCodePoint(ch));
	    }

	    module.exports = {
	        isDecimalDigit: isDecimalDigit,
	        isHexDigit: isHexDigit,
	        isOctalDigit: isOctalDigit,
	        isWhiteSpace: isWhiteSpace,
	        isLineTerminator: isLineTerminator,
	        isIdentifierStartES5: isIdentifierStartES5,
	        isIdentifierPartES5: isIdentifierPartES5,
	        isIdentifierStartES6: isIdentifierStartES6,
	        isIdentifierPartES6: isIdentifierPartES6
	    };
	})();
	/* vim: set sw=4 ts=4 et tw=80 : */

/***/ },
/* 130 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	/*
	  Copyright (C) 2013 Yusuke Suzuki <utatane.tea@gmail.com>

	  Redistribution and use in source and binary forms, with or without
	  modification, are permitted provided that the following conditions are met:

	    * Redistributions of source code must retain the above copyright
	      notice, this list of conditions and the following disclaimer.
	    * Redistributions in binary form must reproduce the above copyright
	      notice, this list of conditions and the following disclaimer in the
	      documentation and/or other materials provided with the distribution.

	  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
	  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
	  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
	  ARE DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> BE LIABLE FOR ANY
	  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
	  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
	  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
	  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
	  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
	  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
	*/

	(function () {
	  'use strict';

	  exports.ast = __webpack_require__(302);
	  exports.code = __webpack_require__(129);
	  exports.keyword = __webpack_require__(303);
	})();
	/* vim: set sw=4 ts=4 et tw=80 : */

/***/ },
/* 131 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var getNative = __webpack_require__(28),
	    root = __webpack_require__(8);

	/* Built-in method references that are verified to be native. */
	var Set = getNative(root, 'Set');

	module.exports = Set;

/***/ },
/* 132 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * A faster alternative to `Function#apply`, this function invokes `func`
	 * with the `this` binding of `thisArg` and the arguments of `args`.
	 *
	 * @private
	 * @param {Function} func The function to invoke.
	 * @param {*} thisArg The `this` binding of `func`.
	 * @param {Array} args The arguments to invoke `func` with.
	 * @returns {*} Returns the result of `func`.
	 */
	function apply(func, thisArg, args) {
	  switch (args.length) {
	    case 0:
	      return func.call(thisArg);
	    case 1:
	      return func.call(thisArg, args[0]);
	    case 2:
	      return func.call(thisArg, args[0], args[1]);
	    case 3:
	      return func.call(thisArg, args[0], args[1], args[2]);
	  }
	  return func.apply(thisArg, args);
	}

	module.exports = apply;

/***/ },
/* 133 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * A specialized version of `_.forEach` for arrays without support for
	 * iteratee shorthands.
	 *
	 * @private
	 * @param {Array} [array] The array to iterate over.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @returns {Array} Returns `array`.
	 */
	function arrayEach(array, iteratee) {
	  var index = -1,
	      length = array == null ? 0 : array.length;

	  while (++index < length) {
	    if (iteratee(array[index], index, array) === false) {
	      break;
	    }
	  }
	  return array;
	}

	module.exports = arrayEach;

/***/ },
/* 134 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseTimes = __webpack_require__(339),
	    isArguments = __webpack_require__(152),
	    isArray = __webpack_require__(18),
	    isBuffer = __webpack_require__(153),
	    isIndex = __webpack_require__(96),
	    isTypedArray = __webpack_require__(416);

	/** Used for built-in method references. */
	var objectProto = Object.prototype;

	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;

	/**
	 * Creates an array of the enumerable property names of the array-like `value`.
	 *
	 * @private
	 * @param {*} value The value to query.
	 * @param {boolean} inherited Specify returning inherited property names.
	 * @returns {Array} Returns the array of property names.
	 */
	function arrayLikeKeys(value, inherited) {
	  var isArr = isArray(value),
	      isArg = !isArr && isArguments(value),
	      isBuff = !isArr && !isArg && isBuffer(value),
	      isType = !isArr && !isArg && !isBuff && isTypedArray(value),
	      skipIndexes = isArr || isArg || isBuff || isType,
	      result = skipIndexes ? baseTimes(value.length, String) : [],
	      length = result.length;

	  for (var key in value) {
	    if ((inherited || hasOwnProperty.call(value, key)) && !(skipIndexes && (
	    // Safari 9 has enumerable `arguments.length` in strict mode.
	    key == 'length' ||
	    // Node.js 0.10 has enumerable non-index properties on buffers.
	    isBuff && (key == 'offset' || key == 'parent') ||
	    // PhantomJS 2 has enumerable non-index properties on typed arrays.
	    isType && (key == 'buffer' || key == 'byteLength' || key == 'byteOffset') ||
	    // Skip index properties.
	    isIndex(key, length)))) {
	      result.push(key);
	    }
	  }
	  return result;
	}

	module.exports = arrayLikeKeys;

/***/ },
/* 135 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Appends the elements of `values` to `array`.
	 *
	 * @private
	 * @param {Array} array The array to modify.
	 * @param {Array} values The values to append.
	 * @returns {Array} Returns `array`.
	 */
	function arrayPush(array, values) {
	  var index = -1,
	      length = values.length,
	      offset = array.length;

	  while (++index < length) {
	    array[offset + index] = values[index];
	  }
	  return array;
	}

	module.exports = arrayPush;

/***/ },
/* 136 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * A specialized version of `_.reduce` for arrays without support for
	 * iteratee shorthands.
	 *
	 * @private
	 * @param {Array} [array] The array to iterate over.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @param {*} [accumulator] The initial value.
	 * @param {boolean} [initAccum] Specify using the first element of `array` as
	 *  the initial value.
	 * @returns {*} Returns the accumulated value.
	 */
	function arrayReduce(array, iteratee, accumulator, initAccum) {
	  var index = -1,
	      length = array == null ? 0 : array.length;

	  if (initAccum && length) {
	    accumulator = array[++index];
	  }
	  while (++index < length) {
	    accumulator = iteratee(accumulator, array[index], index, array);
	  }
	  return accumulator;
	}

	module.exports = arrayReduce;

/***/ },
/* 137 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var defineProperty = __webpack_require__(141);

	/**
	 * The base implementation of `assignValue` and `assignMergeValue` without
	 * value checks.
	 *
	 * @private
	 * @param {Object} object The object to modify.
	 * @param {string} key The key of the property to assign.
	 * @param {*} value The value to assign.
	 */
	function baseAssignValue(object, key, value) {
	  if (key == '__proto__' && defineProperty) {
	    defineProperty(object, key, {
	      'configurable': true,
	      'enumerable': true,
	      'value': value,
	      'writable': true
	    });
	  } else {
	    object[key] = value;
	  }
	}

	module.exports = baseAssignValue;

/***/ },
/* 138 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var Stack = __webpack_require__(312),
	    arrayEach = __webpack_require__(133),
	    assignValue = __webpack_require__(88),
	    baseAssign = __webpack_require__(320),
	    baseAssignIn = __webpack_require__(321),
	    cloneBuffer = __webpack_require__(346),
	    copyArray = __webpack_require__(140),
	    copySymbols = __webpack_require__(353),
	    copySymbolsIn = __webpack_require__(354),
	    getAllKeys = __webpack_require__(360),
	    getAllKeysIn = __webpack_require__(361),
	    getTag = __webpack_require__(363),
	    initCloneArray = __webpack_require__(371),
	    initCloneByTag = __webpack_require__(372),
	    initCloneObject = __webpack_require__(373),
	    isArray = __webpack_require__(18),
	    isBuffer = __webpack_require__(153),
	    isObject = __webpack_require__(29),
	    keys = __webpack_require__(34);

	/** Used to compose bitmasks for cloning. */
	var CLONE_DEEP_FLAG = 1,
	    CLONE_FLAT_FLAG = 2,
	    CLONE_SYMBOLS_FLAG = 4;

	/** `Object#toString` result references. */
	var argsTag = '[object Arguments]',
	    arrayTag = '[object Array]',
	    boolTag = '[object Boolean]',
	    dateTag = '[object Date]',
	    errorTag = '[object Error]',
	    funcTag = '[object Function]',
	    genTag = '[object GeneratorFunction]',
	    mapTag = '[object Map]',
	    numberTag = '[object Number]',
	    objectTag = '[object Object]',
	    regexpTag = '[object RegExp]',
	    setTag = '[object Set]',
	    stringTag = '[object String]',
	    symbolTag = '[object Symbol]',
	    weakMapTag = '[object WeakMap]';

	var arrayBufferTag = '[object ArrayBuffer]',
	    dataViewTag = '[object DataView]',
	    float32Tag = '[object Float32Array]',
	    float64Tag = '[object Float64Array]',
	    int8Tag = '[object Int8Array]',
	    int16Tag = '[object Int16Array]',
	    int32Tag = '[object Int32Array]',
	    uint8Tag = '[object Uint8Array]',
	    uint8ClampedTag = '[object Uint8ClampedArray]',
	    uint16Tag = '[object Uint16Array]',
	    uint32Tag = '[object Uint32Array]';

	/** Used to identify `toStringTag` values supported by `_.clone`. */
	var cloneableTags = {};
	cloneableTags[argsTag] = cloneableTags[arrayTag] = cloneableTags[arrayBufferTag] = cloneableTags[dataViewTag] = cloneableTags[boolTag] = cloneableTags[dateTag] = cloneableTags[float32Tag] = cloneableTags[float64Tag] = cloneableTags[int8Tag] = cloneableTags[int16Tag] = cloneableTags[int32Tag] = cloneableTags[mapTag] = cloneableTags[numberTag] = cloneableTags[objectTag] = cloneableTags[regexpTag] = cloneableTags[setTag] = cloneableTags[stringTag] = cloneableTags[symbolTag] = cloneableTags[uint8Tag] = cloneableTags[uint8ClampedTag] = cloneableTags[uint16Tag] = cloneableTags[uint32Tag] = true;
	cloneableTags[errorTag] = cloneableTags[funcTag] = cloneableTags[weakMapTag] = false;

	/**
	 * The base implementation of `_.clone` and `_.cloneDeep` which tracks
	 * traversed objects.
	 *
	 * @private
	 * @param {*} value The value to clone.
	 * @param {boolean} bitmask The bitmask flags.
	 *  1 - Deep clone
	 *  2 - Flatten inherited properties
	 *  4 - Clone symbols
	 * @param {Function} [customizer] The function to customize cloning.
	 * @param {string} [key] The key of `value`.
	 * @param {Object} [object] The parent object of `value`.
	 * @param {Object} [stack] Tracks traversed objects and their clone counterparts.
	 * @returns {*} Returns the cloned value.
	 */
	function baseClone(value, bitmask, customizer, key, object, stack) {
	  var result,
	      isDeep = bitmask & CLONE_DEEP_FLAG,
	      isFlat = bitmask & CLONE_FLAT_FLAG,
	      isFull = bitmask & CLONE_SYMBOLS_FLAG;

	  if (customizer) {
	    result = object ? customizer(value, key, object, stack) : customizer(value);
	  }
	  if (result !== undefined) {
	    return result;
	  }
	  if (!isObject(value)) {
	    return value;
	  }
	  var isArr = isArray(value);
	  if (isArr) {
	    result = initCloneArray(value);
	    if (!isDeep) {
	      return copyArray(value, result);
	    }
	  } else {
	    var tag = getTag(value),
	        isFunc = tag == funcTag || tag == genTag;

	    if (isBuffer(value)) {
	      return cloneBuffer(value, isDeep);
	    }
	    if (tag == objectTag || tag == argsTag || isFunc && !object) {
	      result = isFlat || isFunc ? {} : initCloneObject(value);
	      if (!isDeep) {
	        return isFlat ? copySymbolsIn(value, baseAssignIn(result, value)) : copySymbols(value, baseAssign(result, value));
	      }
	    } else {
	      if (!cloneableTags[tag]) {
	        return object ? value : {};
	      }
	      result = initCloneByTag(value, tag, baseClone, isDeep);
	    }
	  }
	  // Check for circular references and return its corresponding clone.
	  stack || (stack = new Stack());
	  var stacked = stack.get(value);
	  if (stacked) {
	    return stacked;
	  }
	  stack.set(value, result);

	  var keysFunc = isFull ? isFlat ? getAllKeysIn : getAllKeys : isFlat ? keysIn : keys;

	  var props = isArr ? undefined : keysFunc(value);
	  arrayEach(props || value, function (subValue, key) {
	    if (props) {
	      key = subValue;
	      subValue = value[key];
	    }
	    // Recursively populate clone (susceptible to call stack limits).
	    assignValue(result, key, baseClone(subValue, bitmask, customizer, key, value, stack));
	  });
	  return result;
	}

	module.exports = baseClone;

/***/ },
/* 139 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var arrayPush = __webpack_require__(135),
	    isArray = __webpack_require__(18);

	/**
	 * The base implementation of `getAllKeys` and `getAllKeysIn` which uses
	 * `keysFunc` and `symbolsFunc` to get the enumerable property names and
	 * symbols of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @param {Function} keysFunc The function to get the keys of `object`.
	 * @param {Function} symbolsFunc The function to get the symbols of `object`.
	 * @returns {Array} Returns the array of property names and symbols.
	 */
	function baseGetAllKeys(object, keysFunc, symbolsFunc) {
	  var result = keysFunc(object);
	  return isArray(object) ? result : arrayPush(result, symbolsFunc(object));
	}

	module.exports = baseGetAllKeys;

/***/ },
/* 140 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Copies the values of `source` to `array`.
	 *
	 * @private
	 * @param {Array} source The array to copy values from.
	 * @param {Array} [array=[]] The array to copy values to.
	 * @returns {Array} Returns `array`.
	 */
	function copyArray(source, array) {
	  var index = -1,
	      length = source.length;

	  array || (array = Array(length));
	  while (++index < length) {
	    array[index] = source[index];
	  }
	  return array;
	}

	module.exports = copyArray;

/***/ },
/* 141 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var getNative = __webpack_require__(28);

	var defineProperty = function () {
	  try {
	    var func = getNative(Object, 'defineProperty');
	    func({}, '', {});
	    return func;
	  } catch (e) {}
	}();

	module.exports = defineProperty;

/***/ },
/* 142 */
/***/ function(module, exports) {

	/* WEBPACK VAR INJECTION */(function(global) {'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	/** Detect free variable `global` from Node.js. */
	var freeGlobal = (typeof global === 'undefined' ? 'undefined' : _typeof(global)) == 'object' && global && global.Object === Object && global;

	module.exports = freeGlobal;
	/* WEBPACK VAR INJECTION */}.call(exports, (function() { return this; }())))

/***/ },
/* 143 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var arrayPush = __webpack_require__(135),
	    getPrototype = __webpack_require__(94),
	    getSymbols = __webpack_require__(95),
	    stubArray = __webpack_require__(156);

	/* Built-in method references for those with the same name as other `lodash` methods. */
	var nativeGetSymbols = Object.getOwnPropertySymbols;

	/**
	 * Creates an array of the own and inherited enumerable symbols of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of symbols.
	 */
	var getSymbolsIn = !nativeGetSymbols ? stubArray : function (object) {
	  var result = [];
	  while (object) {
	    arrayPush(result, getSymbols(object));
	    object = getPrototype(object);
	  }
	  return result;
	};

	module.exports = getSymbolsIn;

/***/ },
/* 144 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	var eq = __webpack_require__(59),
	    isArrayLike = __webpack_require__(33),
	    isIndex = __webpack_require__(96),
	    isObject = __webpack_require__(29);

	/**
	 * Checks if the given arguments are from an iteratee call.
	 *
	 * @private
	 * @param {*} value The potential iteratee value argument.
	 * @param {*} index The potential iteratee index or key argument.
	 * @param {*} object The potential iteratee object argument.
	 * @returns {boolean} Returns `true` if the arguments are from an iteratee call,
	 *  else `false`.
	 */
	function isIterateeCall(value, index, object) {
	  if (!isObject(object)) {
	    return false;
	  }
	  var type = typeof index === 'undefined' ? 'undefined' : _typeof(index);
	  if (type == 'number' ? isArrayLike(object) && isIndex(index, object.length) : type == 'string' && index in object) {
	    return eq(object[index], value);
	  }
	  return false;
	}

	module.exports = isIterateeCall;

/***/ },
/* 145 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(module) {'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	var freeGlobal = __webpack_require__(142);

	/** Detect free variable `exports`. */
	var freeExports = ( false ? 'undefined' : _typeof(exports)) == 'object' && exports && !exports.nodeType && exports;

	/** Detect free variable `module`. */
	var freeModule = freeExports && ( false ? 'undefined' : _typeof(module)) == 'object' && module && !module.nodeType && module;

	/** Detect the popular CommonJS extension `module.exports`. */
	var moduleExports = freeModule && freeModule.exports === freeExports;

	/** Detect free variable `process` from Node.js. */
	var freeProcess = moduleExports && freeGlobal.process;

	/** Used to access faster Node.js helpers. */
	var nodeUtil = function () {
	  try {
	    return freeProcess && freeProcess.binding && freeProcess.binding('util');
	  } catch (e) {}
	}();

	module.exports = nodeUtil;
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(35)(module)))

/***/ },
/* 146 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Creates a unary function that invokes `func` with its argument transformed.
	 *
	 * @private
	 * @param {Function} func The function to wrap.
	 * @param {Function} transform The argument transform.
	 * @returns {Function} Returns the new function.
	 */
	function overArg(func, transform) {
	  return function (arg) {
	    return func(transform(arg));
	  };
	}

	module.exports = overArg;

/***/ },
/* 147 */
/***/ function(module, exports) {

	'use strict';

	/** Used for built-in method references. */
	var funcProto = Function.prototype;

	/** Used to resolve the decompiled source of functions. */
	var funcToString = funcProto.toString;

	/**
	 * Converts `func` to its source code.
	 *
	 * @private
	 * @param {Function} func The function to convert.
	 * @returns {string} Returns the source code.
	 */
	function toSource(func) {
	  if (func != null) {
	    try {
	      return funcToString.call(func);
	    } catch (e) {}
	    try {
	      return func + '';
	    } catch (e) {}
	  }
	  return '';
	}

	module.exports = toSource;

/***/ },
/* 148 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var assignValue = __webpack_require__(88),
	    copyObject = __webpack_require__(27),
	    createAssigner = __webpack_require__(93),
	    isArrayLike = __webpack_require__(33),
	    isPrototype = __webpack_require__(57),
	    keys = __webpack_require__(34);

	/** Used for built-in method references. */
	var objectProto = Object.prototype;

	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;

	/**
	 * Assigns own enumerable string keyed properties of source objects to the
	 * destination object. Source objects are applied from left to right.
	 * Subsequent sources overwrite property assignments of previous sources.
	 *
	 * **Note:** This method mutates `object` and is loosely based on
	 * [`Object.assign`](https://mdn.io/Object/assign).
	 *
	 * @static
	 * @memberOf _
	 * @since 0.10.0
	 * @category Object
	 * @param {Object} object The destination object.
	 * @param {...Object} [sources] The source objects.
	 * @returns {Object} Returns `object`.
	 * @see _.assignIn
	 * @example
	 *
	 * function Foo() {
	 *   this.a = 1;
	 * }
	 *
	 * function Bar() {
	 *   this.c = 3;
	 * }
	 *
	 * Foo.prototype.b = 2;
	 * Bar.prototype.d = 4;
	 *
	 * _.assign({ 'a': 0 }, new Foo, new Bar);
	 * // => { 'a': 1, 'c': 3 }
	 */
	var assign = createAssigner(function (object, source) {
	  if (isPrototype(source) || isArrayLike(source)) {
	    copyObject(source, keys(source), object);
	    return;
	  }
	  for (var key in source) {
	    if (hasOwnProperty.call(source, key)) {
	      assignValue(object, key, source[key]);
	    }
	  }
	});

	module.exports = assign;

/***/ },
/* 149 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseClone = __webpack_require__(138);

	/** Used to compose bitmasks for cloning. */
	var CLONE_SYMBOLS_FLAG = 4;

	/**
	 * Creates a shallow clone of `value`.
	 *
	 * **Note:** This method is loosely based on the
	 * [structured clone algorithm](https://mdn.io/Structured_clone_algorithm)
	 * and supports cloning arrays, array buffers, booleans, date objects, maps,
	 * numbers, `Object` objects, regexes, sets, strings, symbols, and typed
	 * arrays. The own enumerable properties of `arguments` objects are cloned
	 * as plain objects. An empty object is returned for uncloneable values such
	 * as error objects, functions, DOM nodes, and WeakMaps.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to clone.
	 * @returns {*} Returns the cloned value.
	 * @see _.cloneDeep
	 * @example
	 *
	 * var objects = [{ 'a': 1 }, { 'b': 2 }];
	 *
	 * var shallow = _.clone(objects);
	 * console.log(shallow[0] === objects[0]);
	 * // => true
	 */
	function clone(value) {
	  return baseClone(value, CLONE_SYMBOLS_FLAG);
	}

	module.exports = clone;

/***/ },
/* 150 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = __webpack_require__(412);

/***/ },
/* 151 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseHas = __webpack_require__(327),
	    hasPath = __webpack_require__(365);

	/**
	 * Checks if `path` is a direct property of `object`.
	 *
	 * @static
	 * @since 0.1.0
	 * @memberOf _
	 * @category Object
	 * @param {Object} object The object to query.
	 * @param {Array|string} path The path to check.
	 * @returns {boolean} Returns `true` if `path` exists, else `false`.
	 * @example
	 *
	 * var object = { 'a': { 'b': 2 } };
	 * var other = _.create({ 'a': _.create({ 'b': 2 }) });
	 *
	 * _.has(object, 'a');
	 * // => true
	 *
	 * _.has(object, 'a.b');
	 * // => true
	 *
	 * _.has(object, ['a', 'b']);
	 * // => true
	 *
	 * _.has(other, 'a');
	 * // => false
	 */
	function has(object, path) {
	  return object != null && hasPath(object, path, baseHas);
	}

	module.exports = has;

/***/ },
/* 152 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseIsArguments = __webpack_require__(329),
	    isObjectLike = __webpack_require__(23);

	/** Used for built-in method references. */
	var objectProto = Object.prototype;

	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;

	/** Built-in value references. */
	var propertyIsEnumerable = objectProto.propertyIsEnumerable;

	/**
	 * Checks if `value` is likely an `arguments` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an `arguments` object,
	 *  else `false`.
	 * @example
	 *
	 * _.isArguments(function() { return arguments; }());
	 * // => true
	 *
	 * _.isArguments([1, 2, 3]);
	 * // => false
	 */
	var isArguments = baseIsArguments(function () {
	    return arguments;
	}()) ? baseIsArguments : function (value) {
	    return isObjectLike(value) && hasOwnProperty.call(value, 'callee') && !propertyIsEnumerable.call(value, 'callee');
	};

	module.exports = isArguments;

/***/ },
/* 153 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(module) {'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	var root = __webpack_require__(8),
	    stubFalse = __webpack_require__(422);

	/** Detect free variable `exports`. */
	var freeExports = ( false ? 'undefined' : _typeof(exports)) == 'object' && exports && !exports.nodeType && exports;

	/** Detect free variable `module`. */
	var freeModule = freeExports && ( false ? 'undefined' : _typeof(module)) == 'object' && module && !module.nodeType && module;

	/** Detect the popular CommonJS extension `module.exports`. */
	var moduleExports = freeModule && freeModule.exports === freeExports;

	/** Built-in value references. */
	var Buffer = moduleExports ? root.Buffer : undefined;

	/* Built-in method references for those with the same name as other `lodash` methods. */
	var nativeIsBuffer = Buffer ? Buffer.isBuffer : undefined;

	/**
	 * Checks if `value` is a buffer.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.3.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a buffer, else `false`.
	 * @example
	 *
	 * _.isBuffer(new Buffer(2));
	 * // => true
	 *
	 * _.isBuffer(new Uint8Array(2));
	 * // => false
	 */
	var isBuffer = nativeIsBuffer || stubFalse;

	module.exports = isBuffer;
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(35)(module)))

/***/ },
/* 154 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseGetTag = __webpack_require__(17),
	    isObject = __webpack_require__(29);

	/** `Object#toString` result references. */
	var asyncTag = '[object AsyncFunction]',
	    funcTag = '[object Function]',
	    genTag = '[object GeneratorFunction]',
	    proxyTag = '[object Proxy]';

	/**
	 * Checks if `value` is classified as a `Function` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a function, else `false`.
	 * @example
	 *
	 * _.isFunction(_);
	 * // => true
	 *
	 * _.isFunction(/abc/);
	 * // => false
	 */
	function isFunction(value) {
	    if (!isObject(value)) {
	        return false;
	    }
	    // The use of `Object#toString` avoids issues with the `typeof` operator
	    // in Safari 9 which returns 'object' for typed arrays and other constructors.
	    var tag = baseGetTag(value);
	    return tag == funcTag || tag == genTag || tag == asyncTag || tag == proxyTag;
	}

	module.exports = isFunction;

/***/ },
/* 155 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseGetTag = __webpack_require__(17),
	    isArray = __webpack_require__(18),
	    isObjectLike = __webpack_require__(23);

	/** `Object#toString` result references. */
	var stringTag = '[object String]';

	/**
	 * Checks if `value` is classified as a `String` primitive or object.
	 *
	 * @static
	 * @since 0.1.0
	 * @memberOf _
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a string, else `false`.
	 * @example
	 *
	 * _.isString('abc');
	 * // => true
	 *
	 * _.isString(1);
	 * // => false
	 */
	function isString(value) {
	    return typeof value == 'string' || !isArray(value) && isObjectLike(value) && baseGetTag(value) == stringTag;
	}

	module.exports = isString;

/***/ },
/* 156 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * This method returns a new empty array.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.13.0
	 * @category Util
	 * @returns {Array} Returns the new empty array.
	 * @example
	 *
	 * var arrays = _.times(2, _.stubArray);
	 *
	 * console.log(arrays);
	 * // => [[], []]
	 *
	 * console.log(arrays[0] === arrays[1]);
	 * // => false
	 */
	function stubArray() {
	  return [];
	}

	module.exports = stubArray;

/***/ },
/* 157 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var toFinite = __webpack_require__(423);

	/**
	 * Converts `value` to an integer.
	 *
	 * **Note:** This method is loosely based on
	 * [`ToInteger`](http://www.ecma-international.org/ecma-262/7.0/#sec-tointeger).
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to convert.
	 * @returns {number} Returns the converted integer.
	 * @example
	 *
	 * _.toInteger(3.2);
	 * // => 3
	 *
	 * _.toInteger(Number.MIN_VALUE);
	 * // => 0
	 *
	 * _.toInteger(Infinity);
	 * // => 1.7976931348623157e+308
	 *
	 * _.toInteger('3.2');
	 * // => 3
	 */
	function toInteger(value) {
	  var result = toFinite(value),
	      remainder = result % 1;

	  return result === result ? remainder ? result - remainder : result : 0;
	}

	module.exports = toInteger;

/***/ },
/* 158 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseToString = __webpack_require__(340);

	/**
	 * Converts `value` to a string. An empty string is returned for `null`
	 * and `undefined` values. The sign of `-0` is preserved.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to convert.
	 * @returns {string} Returns the converted string.
	 * @example
	 *
	 * _.toString(null);
	 * // => ''
	 *
	 * _.toString(-0);
	 * // => '-0'
	 *
	 * _.toString([1, 2, 3]);
	 * // => '1,2,3'
	 */
	function toString(value) {
	  return value == null ? '' : baseToString(value);
	}

	module.exports = toString;

/***/ },
/* 159 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseValues = __webpack_require__(342),
	    keys = __webpack_require__(34);

	/**
	 * Creates an array of the own enumerable string keyed property values of `object`.
	 *
	 * **Note:** Non-object values are coerced to objects.
	 *
	 * @static
	 * @since 0.1.0
	 * @memberOf _
	 * @category Object
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property values.
	 * @example
	 *
	 * function Foo() {
	 *   this.a = 1;
	 *   this.b = 2;
	 * }
	 *
	 * Foo.prototype.c = 3;
	 *
	 * _.values(new Foo);
	 * // => [1, 2] (iteration order is not guaranteed)
	 *
	 * _.values('hi');
	 * // => ['h', 'i']
	 */
	function values(object) {
	  return object == null ? [] : baseValues(object, keys(object));
	}

	module.exports = values;

/***/ },
/* 160 */
/***/ function(module, exports) {

	"use strict";

	var originalObject = Object;
	var originalDefProp = Object.defineProperty;
	var originalCreate = Object.create;

	function defProp(obj, name, value) {
	  if (originalDefProp) try {
	    originalDefProp.call(originalObject, obj, name, { value: value });
	  } catch (definePropertyIsBrokenInIE8) {
	    obj[name] = value;
	  } else {
	    obj[name] = value;
	  }
	}

	// For functions that will be invoked using .call or .apply, we need to
	// define those methods on the function objects themselves, rather than
	// inheriting them from Function.prototype, so that a malicious or clumsy
	// third party cannot interfere with the functionality of this module by
	// redefining Function.prototype.call or .apply.
	function makeSafeToCall(fun) {
	  if (fun) {
	    defProp(fun, "call", fun.call);
	    defProp(fun, "apply", fun.apply);
	  }
	  return fun;
	}

	makeSafeToCall(originalDefProp);
	makeSafeToCall(originalCreate);

	var hasOwn = makeSafeToCall(Object.prototype.hasOwnProperty);
	var numToStr = makeSafeToCall(Number.prototype.toString);
	var strSlice = makeSafeToCall(String.prototype.slice);

	var cloner = function cloner() {};
	function create(prototype) {
	  if (originalCreate) {
	    return originalCreate.call(originalObject, prototype);
	  }
	  cloner.prototype = prototype || null;
	  return new cloner();
	}

	var rand = Math.random;
	var uniqueKeys = create(null);

	function makeUniqueKey() {
	  // Collisions are highly unlikely, but this module is in the business of
	  // making guarantees rather than safe bets.
	  do {
	    var uniqueKey = internString(strSlice.call(numToStr.call(rand(), 36), 2));
	  } while (hasOwn.call(uniqueKeys, uniqueKey));
	  return uniqueKeys[uniqueKey] = uniqueKey;
	}

	function internString(str) {
	  var obj = {};
	  obj[str] = true;
	  return Object.keys(obj)[0];
	}

	// External users might find this function useful, but it is not necessary
	// for the typical use of this module.
	defProp(exports, "makeUniqueKey", makeUniqueKey);

	// Object.getOwnPropertyNames is the only way to enumerate non-enumerable
	// properties, so if we wrap it to ignore our secret keys, there should be
	// no way (except guessing) to access those properties.
	var originalGetOPNs = Object.getOwnPropertyNames;
	Object.getOwnPropertyNames = function getOwnPropertyNames(object) {
	  for (var names = originalGetOPNs(object), src = 0, dst = 0, len = names.length; src < len; ++src) {
	    if (!hasOwn.call(uniqueKeys, names[src])) {
	      if (src > dst) {
	        names[dst] = names[src];
	      }
	      ++dst;
	    }
	  }
	  names.length = dst;
	  return names;
	};

	function defaultCreatorFn(object) {
	  return create(null);
	}

	function makeAccessor(secretCreatorFn) {
	  var brand = makeUniqueKey();
	  var passkey = create(null);

	  secretCreatorFn = secretCreatorFn || defaultCreatorFn;

	  function register(object) {
	    var secret; // Created lazily.

	    function vault(key, forget) {
	      // Only code that has access to the passkey can retrieve (or forget)
	      // the secret object.
	      if (key === passkey) {
	        return forget ? secret = null : secret || (secret = secretCreatorFn(object));
	      }
	    }

	    defProp(object, brand, vault);
	  }

	  function accessor(object) {
	    if (!hasOwn.call(object, brand)) register(object);
	    return object[brand](passkey);
	  }

	  accessor.forget = function (object) {
	    if (hasOwn.call(object, brand)) object[brand](passkey, true);
	  };

	  return accessor;
	}

	defProp(exports, "makeAccessor", makeAccessor);

/***/ },
/* 161 */
/***/ function(module, exports, __webpack_require__) {

	var __WEBPACK_AMD_DEFINE_RESULT__;/* WEBPACK VAR INJECTION */(function(module, global) {'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	/*! https://mths.be/regenerate v1.3.2 by @mathias | MIT license */
	;(function (root) {

		// Detect free variables `exports`.
		var freeExports = ( false ? 'undefined' : _typeof(exports)) == 'object' && exports;

		// Detect free variable `module`.
		var freeModule = ( false ? 'undefined' : _typeof(module)) == 'object' && module && module.exports == freeExports && module;

		// Detect free variable `global`, from Node.js/io.js or Browserified code,
		// and use it as `root`.
		var freeGlobal = (typeof global === 'undefined' ? 'undefined' : _typeof(global)) == 'object' && global;
		if (freeGlobal.global === freeGlobal || freeGlobal.window === freeGlobal) {
			root = freeGlobal;
		}

		/*--------------------------------------------------------------------------*/

		var ERRORS = {
			'rangeOrder': 'A range\u2019s `stop` value must be greater than or equal ' + 'to the `start` value.',
			'codePointRange': 'Invalid code point value. Code points range from ' + 'U+000000 to U+10FFFF.'
		};

		// https://mathiasbynens.be/notes/javascript-encoding#surrogate-pairs
		var HIGH_SURROGATE_MIN = 0xD800;
		var HIGH_SURROGATE_MAX = 0xDBFF;
		var LOW_SURROGATE_MIN = 0xDC00;
		var LOW_SURROGATE_MAX = 0xDFFF;

		// In Regenerate output, `\0` is never preceded by `\` because we sort by
		// code point value, so let’s keep this regular expression simple.
		var regexNull = /\\x00([^0123456789]|$)/g;

		var object = {};
		var hasOwnProperty = object.hasOwnProperty;
		var extend = function extend(destination, source) {
			var key;
			for (key in source) {
				if (hasOwnProperty.call(source, key)) {
					destination[key] = source[key];
				}
			}
			return destination;
		};

		var forEach = function forEach(array, callback) {
			var index = -1;
			var length = array.length;
			while (++index < length) {
				callback(array[index], index);
			}
		};

		var toString = object.toString;
		var isArray = function isArray(value) {
			return toString.call(value) == '[object Array]';
		};
		var isNumber = function isNumber(value) {
			return typeof value == 'number' || toString.call(value) == '[object Number]';
		};

		// This assumes that `number` is a positive integer that `toString()`s nicely
		// (which is the case for all code point values).
		var zeroes = '0000';
		var pad = function pad(number, totalCharacters) {
			var string = String(number);
			return string.length < totalCharacters ? (zeroes + string).slice(-totalCharacters) : string;
		};

		var hex = function hex(number) {
			return Number(number).toString(16).toUpperCase();
		};

		var slice = [].slice;

		/*--------------------------------------------------------------------------*/

		var dataFromCodePoints = function dataFromCodePoints(codePoints) {
			var index = -1;
			var length = codePoints.length;
			var max = length - 1;
			var result = [];
			var isStart = true;
			var tmp;
			var previous = 0;
			while (++index < length) {
				tmp = codePoints[index];
				if (isStart) {
					result.push(tmp);
					previous = tmp;
					isStart = false;
				} else {
					if (tmp == previous + 1) {
						if (index != max) {
							previous = tmp;
							continue;
						} else {
							isStart = true;
							result.push(tmp + 1);
						}
					} else {
						// End the previous range and start a new one.
						result.push(previous + 1, tmp);
						previous = tmp;
					}
				}
			}
			if (!isStart) {
				result.push(tmp + 1);
			}
			return result;
		};

		var dataRemove = function dataRemove(data, codePoint) {
			// Iterate over the data per `(start, end)` pair.
			var index = 0;
			var start;
			var end;
			var length = data.length;
			while (index < length) {
				start = data[index];
				end = data[index + 1];
				if (codePoint >= start && codePoint < end) {
					// Modify this pair.
					if (codePoint == start) {
						if (end == start + 1) {
							// Just remove `start` and `end`.
							data.splice(index, 2);
							return data;
						} else {
							// Just replace `start` with a new value.
							data[index] = codePoint + 1;
							return data;
						}
					} else if (codePoint == end - 1) {
						// Just replace `end` with a new value.
						data[index + 1] = codePoint;
						return data;
					} else {
						// Replace `[start, end]` with `[startA, endA, startB, endB]`.
						data.splice(index, 2, start, codePoint, codePoint + 1, end);
						return data;
					}
				}
				index += 2;
			}
			return data;
		};

		var dataRemoveRange = function dataRemoveRange(data, rangeStart, rangeEnd) {
			if (rangeEnd < rangeStart) {
				throw Error(ERRORS.rangeOrder);
			}
			// Iterate over the data per `(start, end)` pair.
			var index = 0;
			var start;
			var end;
			while (index < data.length) {
				start = data[index];
				end = data[index + 1] - 1; // Note: the `- 1` makes `end` inclusive.

				// Exit as soon as no more matching pairs can be found.
				if (start > rangeEnd) {
					return data;
				}

				// Check if this range pair is equal to, or forms a subset of, the range
				// to be removed.
				// E.g. we have `[0, 11, 40, 51]` and want to remove 0-10 → `[40, 51]`.
				// E.g. we have `[40, 51]` and want to remove 0-100 → `[]`.
				if (rangeStart <= start && rangeEnd >= end) {
					// Remove this pair.
					data.splice(index, 2);
					continue;
				}

				// Check if both `rangeStart` and `rangeEnd` are within the bounds of
				// this pair.
				// E.g. we have `[0, 11]` and want to remove 4-6 → `[0, 4, 7, 11]`.
				if (rangeStart >= start && rangeEnd < end) {
					if (rangeStart == start) {
						// Replace `[start, end]` with `[startB, endB]`.
						data[index] = rangeEnd + 1;
						data[index + 1] = end + 1;
						return data;
					}
					// Replace `[start, end]` with `[startA, endA, startB, endB]`.
					data.splice(index, 2, start, rangeStart, rangeEnd + 1, end + 1);
					return data;
				}

				// Check if only `rangeStart` is within the bounds of this pair.
				// E.g. we have `[0, 11]` and want to remove 4-20 → `[0, 4]`.
				if (rangeStart >= start && rangeStart <= end) {
					// Replace `end` with `rangeStart`.
					data[index + 1] = rangeStart;
					// Note: we cannot `return` just yet, in case any following pairs still
					// contain matching code points.
					// E.g. we have `[0, 11, 14, 31]` and want to remove 4-20
					// → `[0, 4, 21, 31]`.
				}

				// Check if only `rangeEnd` is within the bounds of this pair.
				// E.g. we have `[14, 31]` and want to remove 4-20 → `[21, 31]`.
				else if (rangeEnd >= start && rangeEnd <= end) {
						// Just replace `start`.
						data[index] = rangeEnd + 1;
						return data;
					}

				index += 2;
			}
			return data;
		};

		var dataAdd = function dataAdd(data, codePoint) {
			// Iterate over the data per `(start, end)` pair.
			var index = 0;
			var start;
			var end;
			var lastIndex = null;
			var length = data.length;
			if (codePoint < 0x0 || codePoint > 0x10FFFF) {
				throw RangeError(ERRORS.codePointRange);
			}
			while (index < length) {
				start = data[index];
				end = data[index + 1];

				// Check if the code point is already in the set.
				if (codePoint >= start && codePoint < end) {
					return data;
				}

				if (codePoint == start - 1) {
					// Just replace `start` with a new value.
					data[index] = codePoint;
					return data;
				}

				// At this point, if `start` is `greater` than `codePoint`, insert a new
				// `[start, end]` pair before the current pair, or after the current pair
				// if there is a known `lastIndex`.
				if (start > codePoint) {
					data.splice(lastIndex != null ? lastIndex + 2 : 0, 0, codePoint, codePoint + 1);
					return data;
				}

				if (codePoint == end) {
					// Check if adding this code point causes two separate ranges to become
					// a single range, e.g. `dataAdd([0, 4, 5, 10], 4)` → `[0, 10]`.
					if (codePoint + 1 == data[index + 2]) {
						data.splice(index, 4, start, data[index + 3]);
						return data;
					}
					// Else, just replace `end` with a new value.
					data[index + 1] = codePoint + 1;
					return data;
				}
				lastIndex = index;
				index += 2;
			}
			// The loop has finished; add the new pair to the end of the data set.
			data.push(codePoint, codePoint + 1);
			return data;
		};

		var dataAddData = function dataAddData(dataA, dataB) {
			// Iterate over the data per `(start, end)` pair.
			var index = 0;
			var start;
			var end;
			var data = dataA.slice();
			var length = dataB.length;
			while (index < length) {
				start = dataB[index];
				end = dataB[index + 1] - 1;
				if (start == end) {
					data = dataAdd(data, start);
				} else {
					data = dataAddRange(data, start, end);
				}
				index += 2;
			}
			return data;
		};

		var dataRemoveData = function dataRemoveData(dataA, dataB) {
			// Iterate over the data per `(start, end)` pair.
			var index = 0;
			var start;
			var end;
			var data = dataA.slice();
			var length = dataB.length;
			while (index < length) {
				start = dataB[index];
				end = dataB[index + 1] - 1;
				if (start == end) {
					data = dataRemove(data, start);
				} else {
					data = dataRemoveRange(data, start, end);
				}
				index += 2;
			}
			return data;
		};

		var dataAddRange = function dataAddRange(data, rangeStart, rangeEnd) {
			if (rangeEnd < rangeStart) {
				throw Error(ERRORS.rangeOrder);
			}
			if (rangeStart < 0x0 || rangeStart > 0x10FFFF || rangeEnd < 0x0 || rangeEnd > 0x10FFFF) {
				throw RangeError(ERRORS.codePointRange);
			}
			// Iterate over the data per `(start, end)` pair.
			var index = 0;
			var start;
			var end;
			var added = false;
			var length = data.length;
			while (index < length) {
				start = data[index];
				end = data[index + 1];

				if (added) {
					// The range has already been added to the set; at this point, we just
					// need to get rid of the following ranges in case they overlap.

					// Check if this range can be combined with the previous range.
					if (start == rangeEnd + 1) {
						data.splice(index - 1, 2);
						return data;
					}

					// Exit as soon as no more possibly overlapping pairs can be found.
					if (start > rangeEnd) {
						return data;
					}

					// E.g. `[0, 11, 12, 16]` and we’ve added 5-15, so we now have
					// `[0, 16, 12, 16]`. Remove the `12,16` part, as it lies within the
					// `0,16` range that was previously added.
					if (start >= rangeStart && start <= rangeEnd) {
						// `start` lies within the range that was previously added.

						if (end > rangeStart && end - 1 <= rangeEnd) {
							// `end` lies within the range that was previously added as well,
							// so remove this pair.
							data.splice(index, 2);
							index -= 2;
							// Note: we cannot `return` just yet, as there may still be other
							// overlapping pairs.
						} else {
							// `start` lies within the range that was previously added, but
							// `end` doesn’t. E.g. `[0, 11, 12, 31]` and we’ve added 5-15, so
							// now we have `[0, 16, 12, 31]`. This must be written as `[0, 31]`.
							// Remove the previously added `end` and the current `start`.
							data.splice(index - 1, 2);
							index -= 2;
						}

						// Note: we cannot return yet.
					}
				} else if (start == rangeEnd + 1) {
					data[index] = rangeStart;
					return data;
				}

				// Check if a new pair must be inserted *before* the current one.
				else if (start > rangeEnd) {
						data.splice(index, 0, rangeStart, rangeEnd + 1);
						return data;
					} else if (rangeStart >= start && rangeStart < end && rangeEnd + 1 <= end) {
						// The new range lies entirely within an existing range pair. No action
						// needed.
						return data;
					} else if (
					// E.g. `[0, 11]` and you add 5-15 → `[0, 16]`.
					rangeStart >= start && rangeStart < end ||
					// E.g. `[0, 3]` and you add 3-6 → `[0, 7]`.
					end == rangeStart) {
						// Replace `end` with the new value.
						data[index + 1] = rangeEnd + 1;
						// Make sure the next range pair doesn’t overlap, e.g. `[0, 11, 12, 14]`
						// and you add 5-15 → `[0, 16]`, i.e. remove the `12,14` part.
						added = true;
						// Note: we cannot `return` just yet.
					} else if (rangeStart <= start && rangeEnd + 1 >= end) {
						// The new range is a superset of the old range.
						data[index] = rangeStart;
						data[index + 1] = rangeEnd + 1;
						added = true;
					}

				index += 2;
			}
			// The loop has finished without doing anything; add the new pair to the end
			// of the data set.
			if (!added) {
				data.push(rangeStart, rangeEnd + 1);
			}
			return data;
		};

		var dataContains = function dataContains(data, codePoint) {
			var index = 0;
			var length = data.length;
			// Exit early if `codePoint` is not within `data`’s overall range.
			var start = data[index];
			var end = data[length - 1];
			if (length >= 2) {
				if (codePoint < start || codePoint > end) {
					return false;
				}
			}
			// Iterate over the data per `(start, end)` pair.
			while (index < length) {
				start = data[index];
				end = data[index + 1];
				if (codePoint >= start && codePoint < end) {
					return true;
				}
				index += 2;
			}
			return false;
		};

		var dataIntersection = function dataIntersection(data, codePoints) {
			var index = 0;
			var length = codePoints.length;
			var codePoint;
			var result = [];
			while (index < length) {
				codePoint = codePoints[index];
				if (dataContains(data, codePoint)) {
					result.push(codePoint);
				}
				++index;
			}
			return dataFromCodePoints(result);
		};

		var dataIsEmpty = function dataIsEmpty(data) {
			return !data.length;
		};

		var dataIsSingleton = function dataIsSingleton(data) {
			// Check if the set only represents a single code point.
			return data.length == 2 && data[0] + 1 == data[1];
		};

		var dataToArray = function dataToArray(data) {
			// Iterate over the data per `(start, end)` pair.
			var index = 0;
			var start;
			var end;
			var result = [];
			var length = data.length;
			while (index < length) {
				start = data[index];
				end = data[index + 1];
				while (start < end) {
					result.push(start);
					++start;
				}
				index += 2;
			}
			return result;
		};

		/*--------------------------------------------------------------------------*/

		// https://mathiasbynens.be/notes/javascript-encoding#surrogate-formulae
		var floor = Math.floor;
		var highSurrogate = function highSurrogate(codePoint) {
			return parseInt(floor((codePoint - 0x10000) / 0x400) + HIGH_SURROGATE_MIN, 10);
		};

		var lowSurrogate = function lowSurrogate(codePoint) {
			return parseInt((codePoint - 0x10000) % 0x400 + LOW_SURROGATE_MIN, 10);
		};

		var stringFromCharCode = String.fromCharCode;
		var codePointToString = function codePointToString(codePoint) {
			var string;
			// https://mathiasbynens.be/notes/javascript-escapes#single
			// Note: the `\b` escape sequence for U+0008 BACKSPACE in strings has a
			// different meaning in regular expressions (word boundary), so it cannot
			// be used here.
			if (codePoint == 0x09) {
				string = '\\t';
			}
			// Note: IE < 9 treats `'\v'` as `'v'`, so avoid using it.
			// else if (codePoint == 0x0B) {
			// 	string = '\\v';
			// }
			else if (codePoint == 0x0A) {
					string = '\\n';
				} else if (codePoint == 0x0C) {
					string = '\\f';
				} else if (codePoint == 0x0D) {
					string = '\\r';
				} else if (codePoint == 0x5C) {
					string = '\\\\';
				} else if (codePoint == 0x24 || codePoint >= 0x28 && codePoint <= 0x2B || codePoint == 0x2D || codePoint == 0x2E || codePoint == 0x3F || codePoint >= 0x5B && codePoint <= 0x5E || codePoint >= 0x7B && codePoint <= 0x7D) {
					// The code point maps to an unsafe printable ASCII character;
					// backslash-escape it. Here’s the list of those symbols:
					//
					//     $()*+-.?[\]^{|}
					//
					// See #7 for more info.
					string = '\\' + stringFromCharCode(codePoint);
				} else if (codePoint >= 0x20 && codePoint <= 0x7E) {
					// The code point maps to one of these printable ASCII symbols
					// (including the space character):
					//
					//      !"#%&',/0123456789:;<=>@ABCDEFGHIJKLMNO
					//     PQRSTUVWXYZ_`abcdefghijklmnopqrstuvwxyz~
					//
					// These can safely be used directly.
					string = stringFromCharCode(codePoint);
				} else if (codePoint <= 0xFF) {
					// https://mathiasbynens.be/notes/javascript-escapes#hexadecimal
					string = '\\x' + pad(hex(codePoint), 2);
				} else {
					// `codePoint <= 0xFFFF` holds true.
					// https://mathiasbynens.be/notes/javascript-escapes#unicode
					string = '\\u' + pad(hex(codePoint), 4);
				}

			// There’s no need to account for astral symbols / surrogate pairs here,
			// since `codePointToString` is private and only used for BMP code points.
			// But if that’s what you need, just add an `else` block with this code:
			//
			//     string = '\\u' + pad(hex(highSurrogate(codePoint)), 4)
			//     	+ '\\u' + pad(hex(lowSurrogate(codePoint)), 4);

			return string;
		};

		var codePointToStringUnicode = function codePointToStringUnicode(codePoint) {
			if (codePoint <= 0xFFFF) {
				return codePointToString(codePoint);
			}
			return '\\u{' + codePoint.toString(16).toUpperCase() + '}';
		};

		var symbolToCodePoint = function symbolToCodePoint(symbol) {
			var length = symbol.length;
			var first = symbol.charCodeAt(0);
			var second;
			if (first >= HIGH_SURROGATE_MIN && first <= HIGH_SURROGATE_MAX && length > 1 // There is a next code unit.
			) {
					// `first` is a high surrogate, and there is a next character. Assume
					// it’s a low surrogate (else it’s invalid usage of Regenerate anyway).
					second = symbol.charCodeAt(1);
					// https://mathiasbynens.be/notes/javascript-encoding#surrogate-formulae
					return (first - HIGH_SURROGATE_MIN) * 0x400 + second - LOW_SURROGATE_MIN + 0x10000;
				}
			return first;
		};

		var createBMPCharacterClasses = function createBMPCharacterClasses(data) {
			// Iterate over the data per `(start, end)` pair.
			var result = '';
			var index = 0;
			var start;
			var end;
			var length = data.length;
			if (dataIsSingleton(data)) {
				return codePointToString(data[0]);
			}
			while (index < length) {
				start = data[index];
				end = data[index + 1] - 1; // Note: the `- 1` makes `end` inclusive.
				if (start == end) {
					result += codePointToString(start);
				} else if (start + 1 == end) {
					result += codePointToString(start) + codePointToString(end);
				} else {
					result += codePointToString(start) + '-' + codePointToString(end);
				}
				index += 2;
			}
			return '[' + result + ']';
		};

		var createUnicodeCharacterClasses = function createUnicodeCharacterClasses(data) {
			// Iterate over the data per `(start, end)` pair.
			var result = '';
			var index = 0;
			var start;
			var end;
			var length = data.length;
			if (dataIsSingleton(data)) {
				return codePointToStringUnicode(data[0]);
			}
			while (index < length) {
				start = data[index];
				end = data[index + 1] - 1; // Note: the `- 1` makes `end` inclusive.
				if (start == end) {
					result += codePointToStringUnicode(start);
				} else if (start + 1 == end) {
					result += codePointToStringUnicode(start) + codePointToStringUnicode(end);
				} else {
					result += codePointToStringUnicode(start) + '-' + codePointToStringUnicode(end);
				}
				index += 2;
			}
			return '[' + result + ']';
		};

		var splitAtBMP = function splitAtBMP(data) {
			// Iterate over the data per `(start, end)` pair.
			var loneHighSurrogates = [];
			var loneLowSurrogates = [];
			var bmp = [];
			var astral = [];
			var index = 0;
			var start;
			var end;
			var length = data.length;
			while (index < length) {
				start = data[index];
				end = data[index + 1] - 1; // Note: the `- 1` makes `end` inclusive.

				if (start < HIGH_SURROGATE_MIN) {

					// The range starts and ends before the high surrogate range.
					// E.g. (0, 0x10).
					if (end < HIGH_SURROGATE_MIN) {
						bmp.push(start, end + 1);
					}

					// The range starts before the high surrogate range and ends within it.
					// E.g. (0, 0xD855).
					if (end >= HIGH_SURROGATE_MIN && end <= HIGH_SURROGATE_MAX) {
						bmp.push(start, HIGH_SURROGATE_MIN);
						loneHighSurrogates.push(HIGH_SURROGATE_MIN, end + 1);
					}

					// The range starts before the high surrogate range and ends in the low
					// surrogate range. E.g. (0, 0xDCFF).
					if (end >= LOW_SURROGATE_MIN && end <= LOW_SURROGATE_MAX) {
						bmp.push(start, HIGH_SURROGATE_MIN);
						loneHighSurrogates.push(HIGH_SURROGATE_MIN, HIGH_SURROGATE_MAX + 1);
						loneLowSurrogates.push(LOW_SURROGATE_MIN, end + 1);
					}

					// The range starts before the high surrogate range and ends after the
					// low surrogate range. E.g. (0, 0x10FFFF).
					if (end > LOW_SURROGATE_MAX) {
						bmp.push(start, HIGH_SURROGATE_MIN);
						loneHighSurrogates.push(HIGH_SURROGATE_MIN, HIGH_SURROGATE_MAX + 1);
						loneLowSurrogates.push(LOW_SURROGATE_MIN, LOW_SURROGATE_MAX + 1);
						if (end <= 0xFFFF) {
							bmp.push(LOW_SURROGATE_MAX + 1, end + 1);
						} else {
							bmp.push(LOW_SURROGATE_MAX + 1, 0xFFFF + 1);
							astral.push(0xFFFF + 1, end + 1);
						}
					}
				} else if (start >= HIGH_SURROGATE_MIN && start <= HIGH_SURROGATE_MAX) {

					// The range starts and ends in the high surrogate range.
					// E.g. (0xD855, 0xD866).
					if (end >= HIGH_SURROGATE_MIN && end <= HIGH_SURROGATE_MAX) {
						loneHighSurrogates.push(start, end + 1);
					}

					// The range starts in the high surrogate range and ends in the low
					// surrogate range. E.g. (0xD855, 0xDCFF).
					if (end >= LOW_SURROGATE_MIN && end <= LOW_SURROGATE_MAX) {
						loneHighSurrogates.push(start, HIGH_SURROGATE_MAX + 1);
						loneLowSurrogates.push(LOW_SURROGATE_MIN, end + 1);
					}

					// The range starts in the high surrogate range and ends after the low
					// surrogate range. E.g. (0xD855, 0x10FFFF).
					if (end > LOW_SURROGATE_MAX) {
						loneHighSurrogates.push(start, HIGH_SURROGATE_MAX + 1);
						loneLowSurrogates.push(LOW_SURROGATE_MIN, LOW_SURROGATE_MAX + 1);
						if (end <= 0xFFFF) {
							bmp.push(LOW_SURROGATE_MAX + 1, end + 1);
						} else {
							bmp.push(LOW_SURROGATE_MAX + 1, 0xFFFF + 1);
							astral.push(0xFFFF + 1, end + 1);
						}
					}
				} else if (start >= LOW_SURROGATE_MIN && start <= LOW_SURROGATE_MAX) {

					// The range starts and ends in the low surrogate range.
					// E.g. (0xDCFF, 0xDDFF).
					if (end >= LOW_SURROGATE_MIN && end <= LOW_SURROGATE_MAX) {
						loneLowSurrogates.push(start, end + 1);
					}

					// The range starts in the low surrogate range and ends after the low
					// surrogate range. E.g. (0xDCFF, 0x10FFFF).
					if (end > LOW_SURROGATE_MAX) {
						loneLowSurrogates.push(start, LOW_SURROGATE_MAX + 1);
						if (end <= 0xFFFF) {
							bmp.push(LOW_SURROGATE_MAX + 1, end + 1);
						} else {
							bmp.push(LOW_SURROGATE_MAX + 1, 0xFFFF + 1);
							astral.push(0xFFFF + 1, end + 1);
						}
					}
				} else if (start > LOW_SURROGATE_MAX && start <= 0xFFFF) {

					// The range starts and ends after the low surrogate range.
					// E.g. (0xFFAA, 0x10FFFF).
					if (end <= 0xFFFF) {
						bmp.push(start, end + 1);
					} else {
						bmp.push(start, 0xFFFF + 1);
						astral.push(0xFFFF + 1, end + 1);
					}
				} else {

					// The range starts and ends in the astral range.
					astral.push(start, end + 1);
				}

				index += 2;
			}
			return {
				'loneHighSurrogates': loneHighSurrogates,
				'loneLowSurrogates': loneLowSurrogates,
				'bmp': bmp,
				'astral': astral
			};
		};

		var optimizeSurrogateMappings = function optimizeSurrogateMappings(surrogateMappings) {
			var result = [];
			var tmpLow = [];
			var addLow = false;
			var mapping;
			var nextMapping;
			var highSurrogates;
			var lowSurrogates;
			var nextHighSurrogates;
			var nextLowSurrogates;
			var index = -1;
			var length = surrogateMappings.length;
			while (++index < length) {
				mapping = surrogateMappings[index];
				nextMapping = surrogateMappings[index + 1];
				if (!nextMapping) {
					result.push(mapping);
					continue;
				}
				highSurrogates = mapping[0];
				lowSurrogates = mapping[1];
				nextHighSurrogates = nextMapping[0];
				nextLowSurrogates = nextMapping[1];

				// Check for identical high surrogate ranges.
				tmpLow = lowSurrogates;
				while (nextHighSurrogates && highSurrogates[0] == nextHighSurrogates[0] && highSurrogates[1] == nextHighSurrogates[1]) {
					// Merge with the next item.
					if (dataIsSingleton(nextLowSurrogates)) {
						tmpLow = dataAdd(tmpLow, nextLowSurrogates[0]);
					} else {
						tmpLow = dataAddRange(tmpLow, nextLowSurrogates[0], nextLowSurrogates[1] - 1);
					}
					++index;
					mapping = surrogateMappings[index];
					highSurrogates = mapping[0];
					lowSurrogates = mapping[1];
					nextMapping = surrogateMappings[index + 1];
					nextHighSurrogates = nextMapping && nextMapping[0];
					nextLowSurrogates = nextMapping && nextMapping[1];
					addLow = true;
				}
				result.push([highSurrogates, addLow ? tmpLow : lowSurrogates]);
				addLow = false;
			}
			return optimizeByLowSurrogates(result);
		};

		var optimizeByLowSurrogates = function optimizeByLowSurrogates(surrogateMappings) {
			if (surrogateMappings.length == 1) {
				return surrogateMappings;
			}
			var index = -1;
			var innerIndex = -1;
			while (++index < surrogateMappings.length) {
				var mapping = surrogateMappings[index];
				var lowSurrogates = mapping[1];
				var lowSurrogateStart = lowSurrogates[0];
				var lowSurrogateEnd = lowSurrogates[1];
				innerIndex = index; // Note: the loop starts at the next index.
				while (++innerIndex < surrogateMappings.length) {
					var otherMapping = surrogateMappings[innerIndex];
					var otherLowSurrogates = otherMapping[1];
					var otherLowSurrogateStart = otherLowSurrogates[0];
					var otherLowSurrogateEnd = otherLowSurrogates[1];
					if (lowSurrogateStart == otherLowSurrogateStart && lowSurrogateEnd == otherLowSurrogateEnd) {
						// Add the code points in the other item to this one.
						if (dataIsSingleton(otherMapping[0])) {
							mapping[0] = dataAdd(mapping[0], otherMapping[0][0]);
						} else {
							mapping[0] = dataAddRange(mapping[0], otherMapping[0][0], otherMapping[0][1] - 1);
						}
						// Remove the other, now redundant, item.
						surrogateMappings.splice(innerIndex, 1);
						--innerIndex;
					}
				}
			}
			return surrogateMappings;
		};

		var surrogateSet = function surrogateSet(data) {
			// Exit early if `data` is an empty set.
			if (!data.length) {
				return [];
			}

			// Iterate over the data per `(start, end)` pair.
			var index = 0;
			var start;
			var end;
			var startHigh;
			var startLow;
			var endHigh;
			var endLow;
			var surrogateMappings = [];
			var length = data.length;
			while (index < length) {
				start = data[index];
				end = data[index + 1] - 1;

				startHigh = highSurrogate(start);
				startLow = lowSurrogate(start);
				endHigh = highSurrogate(end);
				endLow = lowSurrogate(end);

				var startsWithLowestLowSurrogate = startLow == LOW_SURROGATE_MIN;
				var endsWithHighestLowSurrogate = endLow == LOW_SURROGATE_MAX;
				var complete = false;

				// Append the previous high-surrogate-to-low-surrogate mappings.
				// Step 1: `(startHigh, startLow)` to `(startHigh, LOW_SURROGATE_MAX)`.
				if (startHigh == endHigh || startsWithLowestLowSurrogate && endsWithHighestLowSurrogate) {
					surrogateMappings.push([[startHigh, endHigh + 1], [startLow, endLow + 1]]);
					complete = true;
				} else {
					surrogateMappings.push([[startHigh, startHigh + 1], [startLow, LOW_SURROGATE_MAX + 1]]);
				}

				// Step 2: `(startHigh + 1, LOW_SURROGATE_MIN)` to
				// `(endHigh - 1, LOW_SURROGATE_MAX)`.
				if (!complete && startHigh + 1 < endHigh) {
					if (endsWithHighestLowSurrogate) {
						// Combine step 2 and step 3.
						surrogateMappings.push([[startHigh + 1, endHigh + 1], [LOW_SURROGATE_MIN, endLow + 1]]);
						complete = true;
					} else {
						surrogateMappings.push([[startHigh + 1, endHigh], [LOW_SURROGATE_MIN, LOW_SURROGATE_MAX + 1]]);
					}
				}

				// Step 3. `(endHigh, LOW_SURROGATE_MIN)` to `(endHigh, endLow)`.
				if (!complete) {
					surrogateMappings.push([[endHigh, endHigh + 1], [LOW_SURROGATE_MIN, endLow + 1]]);
				}

				index += 2;
			}

			// The format of `surrogateMappings` is as follows:
			//
			//     [ surrogateMapping1, surrogateMapping2 ]
			//
			// i.e.:
			//
			//     [
			//       [ highSurrogates1, lowSurrogates1 ],
			//       [ highSurrogates2, lowSurrogates2 ]
			//     ]
			return optimizeSurrogateMappings(surrogateMappings);
		};

		var createSurrogateCharacterClasses = function createSurrogateCharacterClasses(surrogateMappings) {
			var result = [];
			forEach(surrogateMappings, function (surrogateMapping) {
				var highSurrogates = surrogateMapping[0];
				var lowSurrogates = surrogateMapping[1];
				result.push(createBMPCharacterClasses(highSurrogates) + createBMPCharacterClasses(lowSurrogates));
			});
			return result.join('|');
		};

		var createCharacterClassesFromData = function createCharacterClassesFromData(data, bmpOnly, hasUnicodeFlag) {
			if (hasUnicodeFlag) {
				return createUnicodeCharacterClasses(data);
			}
			var result = [];

			var parts = splitAtBMP(data);
			var loneHighSurrogates = parts.loneHighSurrogates;
			var loneLowSurrogates = parts.loneLowSurrogates;
			var bmp = parts.bmp;
			var astral = parts.astral;
			var hasLoneHighSurrogates = !dataIsEmpty(loneHighSurrogates);
			var hasLoneLowSurrogates = !dataIsEmpty(loneLowSurrogates);

			var surrogateMappings = surrogateSet(astral);

			if (bmpOnly) {
				bmp = dataAddData(bmp, loneHighSurrogates);
				hasLoneHighSurrogates = false;
				bmp = dataAddData(bmp, loneLowSurrogates);
				hasLoneLowSurrogates = false;
			}

			if (!dataIsEmpty(bmp)) {
				// The data set contains BMP code points that are not high surrogates
				// needed for astral code points in the set.
				result.push(createBMPCharacterClasses(bmp));
			}
			if (surrogateMappings.length) {
				// The data set contains astral code points; append character classes
				// based on their surrogate pairs.
				result.push(createSurrogateCharacterClasses(surrogateMappings));
			}
			// https://gist.github.com/mathiasbynens/bbe7f870208abcfec860
			if (hasLoneHighSurrogates) {
				result.push(createBMPCharacterClasses(loneHighSurrogates) +
				// Make sure the high surrogates aren’t part of a surrogate pair.
				'(?![\\uDC00-\\uDFFF])');
			}
			if (hasLoneLowSurrogates) {
				result.push(
				// It is not possible to accurately assert the low surrogates aren’t
				// part of a surrogate pair, since JavaScript regular expressions do
				// not support lookbehind.
				'(?:[^\\uD800-\\uDBFF]|^)' + createBMPCharacterClasses(loneLowSurrogates));
			}
			return result.join('|');
		};

		/*--------------------------------------------------------------------------*/

		// `regenerate` can be used as a constructor (and new methods can be added to
		// its prototype) but also as a regular function, the latter of which is the
		// documented and most common usage. For that reason, it’s not capitalized.
		var regenerate = function regenerate(value) {
			if (arguments.length > 1) {
				value = slice.call(arguments);
			}
			if (this instanceof regenerate) {
				this.data = [];
				return value ? this.add(value) : this;
			}
			return new regenerate().add(value);
		};

		regenerate.version = '1.3.2';

		var proto = regenerate.prototype;
		extend(proto, {
			'add': function add(value) {
				var $this = this;
				if (value == null) {
					return $this;
				}
				if (value instanceof regenerate) {
					// Allow passing other Regenerate instances.
					$this.data = dataAddData($this.data, value.data);
					return $this;
				}
				if (arguments.length > 1) {
					value = slice.call(arguments);
				}
				if (isArray(value)) {
					forEach(value, function (item) {
						$this.add(item);
					});
					return $this;
				}
				$this.data = dataAdd($this.data, isNumber(value) ? value : symbolToCodePoint(value));
				return $this;
			},
			'remove': function remove(value) {
				var $this = this;
				if (value == null) {
					return $this;
				}
				if (value instanceof regenerate) {
					// Allow passing other Regenerate instances.
					$this.data = dataRemoveData($this.data, value.data);
					return $this;
				}
				if (arguments.length > 1) {
					value = slice.call(arguments);
				}
				if (isArray(value)) {
					forEach(value, function (item) {
						$this.remove(item);
					});
					return $this;
				}
				$this.data = dataRemove($this.data, isNumber(value) ? value : symbolToCodePoint(value));
				return $this;
			},
			'addRange': function addRange(start, end) {
				var $this = this;
				$this.data = dataAddRange($this.data, isNumber(start) ? start : symbolToCodePoint(start), isNumber(end) ? end : symbolToCodePoint(end));
				return $this;
			},
			'removeRange': function removeRange(start, end) {
				var $this = this;
				var startCodePoint = isNumber(start) ? start : symbolToCodePoint(start);
				var endCodePoint = isNumber(end) ? end : symbolToCodePoint(end);
				$this.data = dataRemoveRange($this.data, startCodePoint, endCodePoint);
				return $this;
			},
			'intersection': function intersection(argument) {
				var $this = this;
				// Allow passing other Regenerate instances.
				// TODO: Optimize this by writing and using `dataIntersectionData()`.
				var array = argument instanceof regenerate ? dataToArray(argument.data) : argument;
				$this.data = dataIntersection($this.data, array);
				return $this;
			},
			'contains': function contains(codePoint) {
				return dataContains(this.data, isNumber(codePoint) ? codePoint : symbolToCodePoint(codePoint));
			},
			'clone': function clone() {
				var set = new regenerate();
				set.data = this.data.slice(0);
				return set;
			},
			'toString': function toString(options) {
				var result = createCharacterClassesFromData(this.data, options ? options.bmpOnly : false, options ? options.hasUnicodeFlag : false);
				if (!result) {
					// For an empty set, return something that can be inserted `/here/` to
					// form a valid regular expression. Avoid `(?:)` since that matches the
					// empty string.
					return '[]';
				}
				// Use `\0` instead of `\x00` where possible.
				return result.replace(regexNull, '\\0$1');
			},
			'toRegExp': function toRegExp(flags) {
				var pattern = this.toString(flags && flags.indexOf('u') != -1 ? { 'hasUnicodeFlag': true } : null);
				return RegExp(pattern, flags || '');
			},
			'valueOf': function valueOf() {
				// Note: `valueOf` is aliased as `toArray`.
				return dataToArray(this.data);
			}
		});

		proto.toArray = proto.valueOf;

		// Some AMD build optimizers, like r.js, check for specific condition patterns
		// like the following:
		if ("function" == 'function' && _typeof(__webpack_require__(62)) == 'object' && __webpack_require__(62)) {
			!(__WEBPACK_AMD_DEFINE_RESULT__ = function () {
				return regenerate;
			}.call(exports, __webpack_require__, exports, module), __WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
		} else if (freeExports && !freeExports.nodeType) {
			if (freeModule) {
				// in Node.js, io.js, or RingoJS v0.8.0+
				freeModule.exports = regenerate;
			} else {
				// in Narwhal or RingoJS v0.7.0-
				freeExports.regenerate = regenerate;
			}
		} else {
			// in Rhino or a web browser
			root.regenerate = regenerate;
		}
	})(undefined);
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(35)(module), (function() { return this; }())))

/***/ },
/* 162 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	var _typeof2 = __webpack_require__(11);

	var _typeof3 = _interopRequireDefault(_typeof2);

	var _stringify = __webpack_require__(37);

	var _stringify2 = _interopRequireDefault(_stringify);

	var _assert = __webpack_require__(41);

	var _assert2 = _interopRequireDefault(_assert);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	var _leap = __webpack_require__(429);

	var leap = _interopRequireWildcard(_leap);

	var _meta = __webpack_require__(430);

	var meta = _interopRequireWildcard(_meta);

	var _util = __webpack_require__(163);

	var util = _interopRequireWildcard(_util);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var hasOwn = Object.prototype.hasOwnProperty; /**
	                                               * Copyright (c) 2014, Facebook, Inc.
	                                               * All rights reserved.
	                                               *
	                                               * This source code is licensed under the BSD-style license found in the
	                                               * https://raw.github.com/facebook/regenerator/master/LICENSE file. An
	                                               * additional grant of patent rights can be found in the PATENTS file in
	                                               * the same directory.
	                                               */

	function Emitter(contextId) {
	  _assert2.default.ok(this instanceof Emitter);
	  t.assertIdentifier(contextId);

	  // Used to generate unique temporary names.
	  this.nextTempId = 0;

	  // In order to make sure the context object does not collide with
	  // anything in the local scope, we might have to rename it, so we
	  // refer to it symbolically instead of just assuming that it will be
	  // called "context".
	  this.contextId = contextId;

	  // An append-only list of Statements that grows each time this.emit is
	  // called.
	  this.listing = [];

	  // A sparse array whose keys correspond to locations in this.listing
	  // that have been marked as branch/jump targets.
	  this.marked = [true];

	  // The last location will be marked when this.getDispatchLoop is
	  // called.
	  this.finalLoc = loc();

	  // A list of all leap.TryEntry statements emitted.
	  this.tryEntries = [];

	  // Each time we evaluate the body of a loop, we tell this.leapManager
	  // to enter a nested loop context that determines the meaning of break
	  // and continue statements therein.
	  this.leapManager = new leap.LeapManager(this);
	}

	var Ep = Emitter.prototype;
	exports.Emitter = Emitter;

	// Offsets into this.listing that could be used as targets for branches or
	// jumps are represented as numeric Literal nodes. This representation has
	// the amazingly convenient benefit of allowing the exact value of the
	// location to be determined at any time, even after generating code that
	// refers to the location.
	function loc() {
	  return t.numericLiteral(-1);
	}

	// Sets the exact value of the given location to the offset of the next
	// Statement emitted.
	Ep.mark = function (loc) {
	  t.assertLiteral(loc);
	  var index = this.listing.length;
	  if (loc.value === -1) {
	    loc.value = index;
	  } else {
	    // Locations can be marked redundantly, but their values cannot change
	    // once set the first time.
	    _assert2.default.strictEqual(loc.value, index);
	  }
	  this.marked[index] = true;
	  return loc;
	};

	Ep.emit = function (node) {
	  if (t.isExpression(node)) {
	    node = t.expressionStatement(node);
	  }

	  t.assertStatement(node);
	  this.listing.push(node);
	};

	// Shorthand for emitting assignment statements. This will come in handy
	// for assignments to temporary variables.
	Ep.emitAssign = function (lhs, rhs) {
	  this.emit(this.assign(lhs, rhs));
	  return lhs;
	};

	// Shorthand for an assignment statement.
	Ep.assign = function (lhs, rhs) {
	  return t.expressionStatement(t.assignmentExpression("=", lhs, rhs));
	};

	// Convenience function for generating expressions like context.next,
	// context.sent, and context.rval.
	Ep.contextProperty = function (name, computed) {
	  return t.memberExpression(this.contextId, computed ? t.stringLiteral(name) : t.identifier(name), !!computed);
	};

	// Shorthand for setting context.rval and jumping to `context.stop()`.
	Ep.stop = function (rval) {
	  if (rval) {
	    this.setReturnValue(rval);
	  }

	  this.jump(this.finalLoc);
	};

	Ep.setReturnValue = function (valuePath) {
	  t.assertExpression(valuePath.value);

	  this.emitAssign(this.contextProperty("rval"), this.explodeExpression(valuePath));
	};

	Ep.clearPendingException = function (tryLoc, assignee) {
	  t.assertLiteral(tryLoc);

	  var catchCall = t.callExpression(this.contextProperty("catch", true), [tryLoc]);

	  if (assignee) {
	    this.emitAssign(assignee, catchCall);
	  } else {
	    this.emit(catchCall);
	  }
	};

	// Emits code for an unconditional jump to the given location, even if the
	// exact value of the location is not yet known.
	Ep.jump = function (toLoc) {
	  this.emitAssign(this.contextProperty("next"), toLoc);
	  this.emit(t.breakStatement());
	};

	// Conditional jump.
	Ep.jumpIf = function (test, toLoc) {
	  t.assertExpression(test);
	  t.assertLiteral(toLoc);

	  this.emit(t.ifStatement(test, t.blockStatement([this.assign(this.contextProperty("next"), toLoc), t.breakStatement()])));
	};

	// Conditional jump, with the condition negated.
	Ep.jumpIfNot = function (test, toLoc) {
	  t.assertExpression(test);
	  t.assertLiteral(toLoc);

	  var negatedTest = void 0;
	  if (t.isUnaryExpression(test) && test.operator === "!") {
	    // Avoid double negation.
	    negatedTest = test.argument;
	  } else {
	    negatedTest = t.unaryExpression("!", test);
	  }

	  this.emit(t.ifStatement(negatedTest, t.blockStatement([this.assign(this.contextProperty("next"), toLoc), t.breakStatement()])));
	};

	// Returns a unique MemberExpression that can be used to store and
	// retrieve temporary values. Since the object of the member expression is
	// the context object, which is presumed to coexist peacefully with all
	// other local variables, and since we just increment `nextTempId`
	// monotonically, uniqueness is assured.
	Ep.makeTempVar = function () {
	  return this.contextProperty("t" + this.nextTempId++);
	};

	Ep.getContextFunction = function (id) {
	  return t.functionExpression(id || null /*Anonymous*/
	  , [this.contextId], t.blockStatement([this.getDispatchLoop()]), false, // Not a generator anymore!
	  false // Nor an expression.
	  );
	};

	// Turns this.listing into a loop of the form
	//
	//   while (1) switch (context.next) {
	//   case 0:
	//   ...
	//   case n:
	//     return context.stop();
	//   }
	//
	// Each marked location in this.listing will correspond to one generated
	// case statement.
	Ep.getDispatchLoop = function () {
	  var self = this;
	  var cases = [];
	  var current = void 0;

	  // If we encounter a break, continue, or return statement in a switch
	  // case, we can skip the rest of the statements until the next case.
	  var alreadyEnded = false;

	  self.listing.forEach(function (stmt, i) {
	    if (self.marked.hasOwnProperty(i)) {
	      cases.push(t.switchCase(t.numericLiteral(i), current = []));
	      alreadyEnded = false;
	    }

	    if (!alreadyEnded) {
	      current.push(stmt);
	      if (t.isCompletionStatement(stmt)) alreadyEnded = true;
	    }
	  });

	  // Now that we know how many statements there will be in this.listing,
	  // we can finally resolve this.finalLoc.value.
	  this.finalLoc.value = this.listing.length;

	  cases.push(t.switchCase(this.finalLoc, [
	    // Intentionally fall through to the "end" case...
	  ]),

	  // So that the runtime can jump to the final location without having
	  // to know its offset, we provide the "end" case as a synonym.
	  t.switchCase(t.stringLiteral("end"), [
	  // This will check/clear both context.thrown and context.rval.
	  t.returnStatement(t.callExpression(this.contextProperty("stop"), []))]));

	  return t.whileStatement(t.numericLiteral(1), t.switchStatement(t.assignmentExpression("=", this.contextProperty("prev"), this.contextProperty("next")), cases));
	};

	Ep.getTryLocsList = function () {
	  if (this.tryEntries.length === 0) {
	    // To avoid adding a needless [] to the majority of runtime.wrap
	    // argument lists, force the caller to handle this case specially.
	    return null;
	  }

	  var lastLocValue = 0;

	  return t.arrayExpression(this.tryEntries.map(function (tryEntry) {
	    var thisLocValue = tryEntry.firstLoc.value;
	    _assert2.default.ok(thisLocValue >= lastLocValue, "try entries out of order");
	    lastLocValue = thisLocValue;

	    var ce = tryEntry.catchEntry;
	    var fe = tryEntry.finallyEntry;

	    var locs = [tryEntry.firstLoc,
	    // The null here makes a hole in the array.
	    ce ? ce.firstLoc : null];

	    if (fe) {
	      locs[2] = fe.firstLoc;
	      locs[3] = fe.afterLoc;
	    }

	    return t.arrayExpression(locs);
	  }));
	};

	// All side effects must be realized in order.

	// If any subexpression harbors a leap, all subexpressions must be
	// neutered of side effects.

	// No destructive modification of AST nodes.

	Ep.explode = function (path, ignoreResult) {
	  var node = path.node;
	  var self = this;

	  t.assertNode(node);

	  if (t.isDeclaration(node)) throw getDeclError(node);

	  if (t.isStatement(node)) return self.explodeStatement(path);

	  if (t.isExpression(node)) return self.explodeExpression(path, ignoreResult);

	  switch (node.type) {
	    case "Program":
	      return path.get("body").map(self.explodeStatement, self);

	    case "VariableDeclarator":
	      throw getDeclError(node);

	    // These node types should be handled by their parent nodes
	    // (ObjectExpression, SwitchStatement, and TryStatement, respectively).
	    case "Property":
	    case "SwitchCase":
	    case "CatchClause":
	      throw new Error(node.type + " nodes should be handled by their parents");

	    default:
	      throw new Error("unknown Node of type " + (0, _stringify2.default)(node.type));
	  }
	};

	function getDeclError(node) {
	  return new Error("all declarations should have been transformed into " + "assignments before the Exploder began its work: " + (0, _stringify2.default)(node));
	}

	Ep.explodeStatement = function (path, labelId) {
	  var stmt = path.node;
	  var self = this;
	  var before = void 0,
	      after = void 0,
	      head = void 0;

	  t.assertStatement(stmt);

	  if (labelId) {
	    t.assertIdentifier(labelId);
	  } else {
	    labelId = null;
	  }

	  // Explode BlockStatement nodes even if they do not contain a yield,
	  // because we don't want or need the curly braces.
	  if (t.isBlockStatement(stmt)) {
	    path.get("body").forEach(function (path) {
	      self.explodeStatement(path);
	    });
	    return;
	  }

	  if (!meta.containsLeap(stmt)) {
	    // Technically we should be able to avoid emitting the statement
	    // altogether if !meta.hasSideEffects(stmt), but that leads to
	    // confusing generated code (for instance, `while (true) {}` just
	    // disappears) and is probably a more appropriate job for a dedicated
	    // dead code elimination pass.
	    self.emit(stmt);
	    return;
	  }

	  var _ret = function () {
	    switch (stmt.type) {
	      case "ExpressionStatement":
	        self.explodeExpression(path.get("expression"), true);
	        break;

	      case "LabeledStatement":
	        after = loc();

	        // Did you know you can break from any labeled block statement or
	        // control structure? Well, you can! Note: when a labeled loop is
	        // encountered, the leap.LabeledEntry created here will immediately
	        // enclose a leap.LoopEntry on the leap manager's stack, and both
	        // entries will have the same label. Though this works just fine, it
	        // may seem a bit redundant. In theory, we could check here to
	        // determine if stmt knows how to handle its own label; for example,
	        // stmt happens to be a WhileStatement and so we know it's going to
	        // establish its own LoopEntry when we explode it (below). Then this
	        // LabeledEntry would be unnecessary. Alternatively, we might be
	        // tempted not to pass stmt.label down into self.explodeStatement,
	        // because we've handled the label here, but that's a mistake because
	        // labeled loops may contain labeled continue statements, which is not
	        // something we can handle in this generic case. All in all, I think a
	        // little redundancy greatly simplifies the logic of this case, since
	        // it's clear that we handle all possible LabeledStatements correctly
	        // here, regardless of whether they interact with the leap manager
	        // themselves. Also remember that labels and break/continue-to-label
	        // statements are rare, and all of this logic happens at transform
	        // time, so it has no additional runtime cost.
	        self.leapManager.withEntry(new leap.LabeledEntry(after, stmt.label), function () {
	          self.explodeStatement(path.get("body"), stmt.label);
	        });

	        self.mark(after);

	        break;

	      case "WhileStatement":
	        before = loc();
	        after = loc();

	        self.mark(before);
	        self.jumpIfNot(self.explodeExpression(path.get("test")), after);
	        self.leapManager.withEntry(new leap.LoopEntry(after, before, labelId), function () {
	          self.explodeStatement(path.get("body"));
	        });
	        self.jump(before);
	        self.mark(after);

	        break;

	      case "DoWhileStatement":
	        var first = loc();
	        var test = loc();
	        after = loc();

	        self.mark(first);
	        self.leapManager.withEntry(new leap.LoopEntry(after, test, labelId), function () {
	          self.explode(path.get("body"));
	        });
	        self.mark(test);
	        self.jumpIf(self.explodeExpression(path.get("test")), first);
	        self.mark(after);

	        break;

	      case "ForStatement":
	        head = loc();
	        var update = loc();
	        after = loc();

	        if (stmt.init) {
	          // We pass true here to indicate that if stmt.init is an expression
	          // then we do not care about its result.
	          self.explode(path.get("init"), true);
	        }

	        self.mark(head);

	        if (stmt.test) {
	          self.jumpIfNot(self.explodeExpression(path.get("test")), after);
	        } else {
	          // No test means continue unconditionally.
	        }

	        self.leapManager.withEntry(new leap.LoopEntry(after, update, labelId), function () {
	          self.explodeStatement(path.get("body"));
	        });

	        self.mark(update);

	        if (stmt.update) {
	          // We pass true here to indicate that if stmt.update is an
	          // expression then we do not care about its result.
	          self.explode(path.get("update"), true);
	        }

	        self.jump(head);

	        self.mark(after);

	        break;

	      case "TypeCastExpression":
	        return {
	          v: self.explodeExpression(path.get("expression"))
	        };

	      case "ForInStatement":
	        head = loc();
	        after = loc();

	        var keyIterNextFn = self.makeTempVar();
	        self.emitAssign(keyIterNextFn, t.callExpression(util.runtimeProperty("keys"), [self.explodeExpression(path.get("right"))]));

	        self.mark(head);

	        var keyInfoTmpVar = self.makeTempVar();
	        self.jumpIf(t.memberExpression(t.assignmentExpression("=", keyInfoTmpVar, t.callExpression(keyIterNextFn, [])), t.identifier("done"), false), after);

	        self.emitAssign(stmt.left, t.memberExpression(keyInfoTmpVar, t.identifier("value"), false));

	        self.leapManager.withEntry(new leap.LoopEntry(after, head, labelId), function () {
	          self.explodeStatement(path.get("body"));
	        });

	        self.jump(head);

	        self.mark(after);

	        break;

	      case "BreakStatement":
	        self.emitAbruptCompletion({
	          type: "break",
	          target: self.leapManager.getBreakLoc(stmt.label)
	        });

	        break;

	      case "ContinueStatement":
	        self.emitAbruptCompletion({
	          type: "continue",
	          target: self.leapManager.getContinueLoc(stmt.label)
	        });

	        break;

	      case "SwitchStatement":
	        // Always save the discriminant into a temporary variable in case the
	        // test expressions overwrite values like context.sent.
	        var disc = self.emitAssign(self.makeTempVar(), self.explodeExpression(path.get("discriminant")));

	        after = loc();
	        var defaultLoc = loc();
	        var condition = defaultLoc;
	        var caseLocs = [];

	        // If there are no cases, .cases might be undefined.
	        var cases = stmt.cases || [];

	        for (var i = cases.length - 1; i >= 0; --i) {
	          var c = cases[i];
	          t.assertSwitchCase(c);

	          if (c.test) {
	            condition = t.conditionalExpression(t.binaryExpression("===", disc, c.test), caseLocs[i] = loc(), condition);
	          } else {
	            caseLocs[i] = defaultLoc;
	          }
	        }

	        var discriminant = path.get("discriminant");
	        discriminant.replaceWith(condition);
	        self.jump(self.explodeExpression(discriminant));

	        self.leapManager.withEntry(new leap.SwitchEntry(after), function () {
	          path.get("cases").forEach(function (casePath) {
	            var i = casePath.key;
	            self.mark(caseLocs[i]);

	            casePath.get("consequent").forEach(function (path) {
	              self.explodeStatement(path);
	            });
	          });
	        });

	        self.mark(after);
	        if (defaultLoc.value === -1) {
	          self.mark(defaultLoc);
	          _assert2.default.strictEqual(after.value, defaultLoc.value);
	        }

	        break;

	      case "IfStatement":
	        var elseLoc = stmt.alternate && loc();
	        after = loc();

	        self.jumpIfNot(self.explodeExpression(path.get("test")), elseLoc || after);

	        self.explodeStatement(path.get("consequent"));

	        if (elseLoc) {
	          self.jump(after);
	          self.mark(elseLoc);
	          self.explodeStatement(path.get("alternate"));
	        }

	        self.mark(after);

	        break;

	      case "ReturnStatement":
	        self.emitAbruptCompletion({
	          type: "return",
	          value: self.explodeExpression(path.get("argument"))
	        });

	        break;

	      case "WithStatement":
	        throw new Error("WithStatement not supported in generator functions.");

	      case "TryStatement":
	        after = loc();

	        var handler = stmt.handler;

	        var catchLoc = handler && loc();
	        var catchEntry = catchLoc && new leap.CatchEntry(catchLoc, handler.param);

	        var finallyLoc = stmt.finalizer && loc();
	        var finallyEntry = finallyLoc && new leap.FinallyEntry(finallyLoc, after);

	        var tryEntry = new leap.TryEntry(self.getUnmarkedCurrentLoc(), catchEntry, finallyEntry);

	        self.tryEntries.push(tryEntry);
	        self.updateContextPrevLoc(tryEntry.firstLoc);

	        self.leapManager.withEntry(tryEntry, function () {
	          self.explodeStatement(path.get("block"));

	          if (catchLoc) {
	            (function () {
	              if (finallyLoc) {
	                // If we have both a catch block and a finally block, then
	                // because we emit the catch block first, we need to jump over
	                // it to the finally block.
	                self.jump(finallyLoc);
	              } else {
	                // If there is no finally block, then we need to jump over the
	                // catch block to the fall-through location.
	                self.jump(after);
	              }

	              self.updateContextPrevLoc(self.mark(catchLoc));

	              var bodyPath = path.get("handler.body");
	              var safeParam = self.makeTempVar();
	              self.clearPendingException(tryEntry.firstLoc, safeParam);

	              bodyPath.traverse(catchParamVisitor, {
	                safeParam: safeParam,
	                catchParamName: handler.param.name
	              });

	              self.leapManager.withEntry(catchEntry, function () {
	                self.explodeStatement(bodyPath);
	              });
	            })();
	          }

	          if (finallyLoc) {
	            self.updateContextPrevLoc(self.mark(finallyLoc));

	            self.leapManager.withEntry(finallyEntry, function () {
	              self.explodeStatement(path.get("finalizer"));
	            });

	            self.emit(t.returnStatement(t.callExpression(self.contextProperty("finish"), [finallyEntry.firstLoc])));
	          }
	        });

	        self.mark(after);

	        break;

	      case "ThrowStatement":
	        self.emit(t.throwStatement(self.explodeExpression(path.get("argument"))));

	        break;

	      default:
	        throw new Error("unknown Statement of type " + (0, _stringify2.default)(stmt.type));
	    }
	  }();

	  if ((typeof _ret === "undefined" ? "undefined" : (0, _typeof3.default)(_ret)) === "object") return _ret.v;
	};

	var catchParamVisitor = {
	  Identifier: function Identifier(path, state) {
	    if (path.node.name === state.catchParamName && util.isReference(path)) {
	      path.replaceWith(state.safeParam);
	    }
	  },

	  Scope: function Scope(path, state) {
	    if (path.scope.hasOwnBinding(state.catchParamName)) {
	      // Don't descend into nested scopes that shadow the catch
	      // parameter with their own declarations.
	      path.skip();
	    }
	  }
	};

	Ep.emitAbruptCompletion = function (record) {
	  if (!isValidCompletion(record)) {
	    _assert2.default.ok(false, "invalid completion record: " + (0, _stringify2.default)(record));
	  }

	  _assert2.default.notStrictEqual(record.type, "normal", "normal completions are not abrupt");

	  var abruptArgs = [t.stringLiteral(record.type)];

	  if (record.type === "break" || record.type === "continue") {
	    t.assertLiteral(record.target);
	    abruptArgs[1] = record.target;
	  } else if (record.type === "return" || record.type === "throw") {
	    if (record.value) {
	      t.assertExpression(record.value);
	      abruptArgs[1] = record.value;
	    }
	  }

	  this.emit(t.returnStatement(t.callExpression(this.contextProperty("abrupt"), abruptArgs)));
	};

	function isValidCompletion(record) {
	  var type = record.type;

	  if (type === "normal") {
	    return !hasOwn.call(record, "target");
	  }

	  if (type === "break" || type === "continue") {
	    return !hasOwn.call(record, "value") && t.isLiteral(record.target);
	  }

	  if (type === "return" || type === "throw") {
	    return hasOwn.call(record, "value") && !hasOwn.call(record, "target");
	  }

	  return false;
	}

	// Not all offsets into emitter.listing are potential jump targets. For
	// example, execution typically falls into the beginning of a try block
	// without jumping directly there. This method returns the current offset
	// without marking it, so that a switch case will not necessarily be
	// generated for this offset (I say "not necessarily" because the same
	// location might end up being marked in the process of emitting other
	// statements). There's no logical harm in marking such locations as jump
	// targets, but minimizing the number of switch cases keeps the generated
	// code shorter.
	Ep.getUnmarkedCurrentLoc = function () {
	  return t.numericLiteral(this.listing.length);
	};

	// The context.prev property takes the value of context.next whenever we
	// evaluate the switch statement discriminant, which is generally good
	// enough for tracking the last location we jumped to, but sometimes
	// context.prev needs to be more precise, such as when we fall
	// successfully out of a try block and into a finally block without
	// jumping. This method exists to update context.prev to the freshest
	// available location. If we were implementing a full interpreter, we
	// would know the location of the current instruction with complete
	// precision at all times, but we don't have that luxury here, as it would
	// be costly and verbose to set context.prev before every statement.
	Ep.updateContextPrevLoc = function (loc) {
	  if (loc) {
	    t.assertLiteral(loc);

	    if (loc.value === -1) {
	      // If an uninitialized location literal was passed in, set its value
	      // to the current this.listing.length.
	      loc.value = this.listing.length;
	    } else {
	      // Otherwise assert that the location matches the current offset.
	      _assert2.default.strictEqual(loc.value, this.listing.length);
	    }
	  } else {
	    loc = this.getUnmarkedCurrentLoc();
	  }

	  // Make sure context.prev is up to date in case we fell into this try
	  // statement without jumping to it. TODO Consider avoiding this
	  // assignment when we know control must have jumped here.
	  this.emitAssign(this.contextProperty("prev"), loc);
	};

	Ep.explodeExpression = function (path, ignoreResult) {
	  var expr = path.node;
	  if (expr) {
	    t.assertExpression(expr);
	  } else {
	    return expr;
	  }

	  var self = this;
	  var result = void 0; // Used optionally by several cases below.
	  var after = void 0;

	  function finish(expr) {
	    t.assertExpression(expr);
	    if (ignoreResult) {
	      self.emit(expr);
	    } else {
	      return expr;
	    }
	  }

	  // If the expression does not contain a leap, then we either emit the
	  // expression as a standalone statement or return it whole.
	  if (!meta.containsLeap(expr)) {
	    return finish(expr);
	  }

	  // If any child contains a leap (such as a yield or labeled continue or
	  // break statement), then any sibling subexpressions will almost
	  // certainly have to be exploded in order to maintain the order of their
	  // side effects relative to the leaping child(ren).
	  var hasLeapingChildren = meta.containsLeap.onlyChildren(expr);

	  // In order to save the rest of explodeExpression from a combinatorial
	  // trainwreck of special cases, explodeViaTempVar is responsible for
	  // deciding when a subexpression needs to be "exploded," which is my
	  // very technical term for emitting the subexpression as an assignment
	  // to a temporary variable and the substituting the temporary variable
	  // for the original subexpression. Think of exploded view diagrams, not
	  // Michael Bay movies. The point of exploding subexpressions is to
	  // control the precise order in which the generated code realizes the
	  // side effects of those subexpressions.
	  function explodeViaTempVar(tempVar, childPath, ignoreChildResult) {
	    _assert2.default.ok(!ignoreChildResult || !tempVar, "Ignoring the result of a child expression but forcing it to " + "be assigned to a temporary variable?");

	    var result = self.explodeExpression(childPath, ignoreChildResult);

	    if (ignoreChildResult) {
	      // Side effects already emitted above.

	    } else if (tempVar || hasLeapingChildren && !t.isLiteral(result)) {
	      // If tempVar was provided, then the result will always be assigned
	      // to it, even if the result does not otherwise need to be assigned
	      // to a temporary variable.  When no tempVar is provided, we have
	      // the flexibility to decide whether a temporary variable is really
	      // necessary.  Unfortunately, in general, a temporary variable is
	      // required whenever any child contains a yield expression, since it
	      // is difficult to prove (at all, let alone efficiently) whether
	      // this result would evaluate to the same value before and after the
	      // yield (see #206).  One narrow case where we can prove it doesn't
	      // matter (and thus we do not need a temporary variable) is when the
	      // result in question is a Literal value.
	      result = self.emitAssign(tempVar || self.makeTempVar(), result);
	    }
	    return result;
	  }

	  // If ignoreResult is true, then we must take full responsibility for
	  // emitting the expression with all its side effects, and we should not
	  // return a result.

	  var _ret3 = function () {
	    switch (expr.type) {
	      case "MemberExpression":
	        return {
	          v: finish(t.memberExpression(self.explodeExpression(path.get("object")), expr.computed ? explodeViaTempVar(null, path.get("property")) : expr.property, expr.computed))
	        };

	      case "CallExpression":
	        var calleePath = path.get("callee");
	        var argsPath = path.get("arguments");

	        var newCallee = void 0;
	        var newArgs = [];

	        var hasLeapingArgs = false;
	        argsPath.forEach(function (argPath) {
	          hasLeapingArgs = hasLeapingArgs || meta.containsLeap(argPath.node);
	        });

	        if (t.isMemberExpression(calleePath.node)) {
	          if (hasLeapingArgs) {
	            // If the arguments of the CallExpression contained any yield
	            // expressions, then we need to be sure to evaluate the callee
	            // before evaluating the arguments, but if the callee was a member
	            // expression, then we must be careful that the object of the
	            // member expression still gets bound to `this` for the call.

	            var newObject = explodeViaTempVar(
	            // Assign the exploded callee.object expression to a temporary
	            // variable so that we can use it twice without reevaluating it.
	            self.makeTempVar(), calleePath.get("object"));

	            var newProperty = calleePath.node.computed ? explodeViaTempVar(null, calleePath.get("property")) : calleePath.node.property;

	            newArgs.unshift(newObject);

	            newCallee = t.memberExpression(t.memberExpression(newObject, newProperty, calleePath.node.computed), t.identifier("call"), false);
	          } else {
	            newCallee = self.explodeExpression(calleePath);
	          }
	        } else {
	          newCallee = explodeViaTempVar(null, calleePath);

	          if (t.isMemberExpression(newCallee)) {
	            // If the callee was not previously a MemberExpression, then the
	            // CallExpression was "unqualified," meaning its `this` object
	            // should be the global object. If the exploded expression has
	            // become a MemberExpression (e.g. a context property, probably a
	            // temporary variable), then we need to force it to be unqualified
	            // by using the (0, object.property)(...) trick; otherwise, it
	            // will receive the object of the MemberExpression as its `this`
	            // object.
	            newCallee = t.sequenceExpression([t.numericLiteral(0), newCallee]);
	          }
	        }

	        argsPath.forEach(function (argPath) {
	          newArgs.push(explodeViaTempVar(null, argPath));
	        });

	        return {
	          v: finish(t.callExpression(newCallee, newArgs))
	        };

	      case "NewExpression":
	        return {
	          v: finish(t.newExpression(explodeViaTempVar(null, path.get("callee")), path.get("arguments").map(function (argPath) {
	            return explodeViaTempVar(null, argPath);
	          })))
	        };

	      case "ObjectExpression":
	        return {
	          v: finish(t.objectExpression(path.get("properties").map(function (propPath) {
	            if (propPath.isObjectProperty()) {
	              return t.objectProperty(propPath.node.key, explodeViaTempVar(null, propPath.get("value")), propPath.node.computed);
	            } else {
	              return propPath.node;
	            }
	          })))
	        };

	      case "ArrayExpression":
	        return {
	          v: finish(t.arrayExpression(path.get("elements").map(function (elemPath) {
	            return explodeViaTempVar(null, elemPath);
	          })))
	        };

	      case "SequenceExpression":
	        var lastIndex = expr.expressions.length - 1;

	        path.get("expressions").forEach(function (exprPath) {
	          if (exprPath.key === lastIndex) {
	            result = self.explodeExpression(exprPath, ignoreResult);
	          } else {
	            self.explodeExpression(exprPath, true);
	          }
	        });

	        return {
	          v: result
	        };

	      case "LogicalExpression":
	        after = loc();

	        if (!ignoreResult) {
	          result = self.makeTempVar();
	        }

	        var left = explodeViaTempVar(result, path.get("left"));

	        if (expr.operator === "&&") {
	          self.jumpIfNot(left, after);
	        } else {
	          _assert2.default.strictEqual(expr.operator, "||");
	          self.jumpIf(left, after);
	        }

	        explodeViaTempVar(result, path.get("right"), ignoreResult);

	        self.mark(after);

	        return {
	          v: result
	        };

	      case "ConditionalExpression":
	        var elseLoc = loc();
	        after = loc();
	        var test = self.explodeExpression(path.get("test"));

	        self.jumpIfNot(test, elseLoc);

	        if (!ignoreResult) {
	          result = self.makeTempVar();
	        }

	        explodeViaTempVar(result, path.get("consequent"), ignoreResult);
	        self.jump(after);

	        self.mark(elseLoc);
	        explodeViaTempVar(result, path.get("alternate"), ignoreResult);

	        self.mark(after);

	        return {
	          v: result
	        };

	      case "UnaryExpression":
	        return {
	          v: finish(t.unaryExpression(expr.operator,
	          // Can't (and don't need to) break up the syntax of the argument.
	          // Think about delete a[b].
	          self.explodeExpression(path.get("argument")), !!expr.prefix))
	        };

	      case "BinaryExpression":
	        return {
	          v: finish(t.binaryExpression(expr.operator, explodeViaTempVar(null, path.get("left")), explodeViaTempVar(null, path.get("right"))))
	        };

	      case "AssignmentExpression":
	        return {
	          v: finish(t.assignmentExpression(expr.operator, self.explodeExpression(path.get("left")), self.explodeExpression(path.get("right"))))
	        };

	      case "UpdateExpression":
	        return {
	          v: finish(t.updateExpression(expr.operator, self.explodeExpression(path.get("argument")), expr.prefix))
	        };

	      case "YieldExpression":
	        after = loc();
	        var arg = expr.argument && self.explodeExpression(path.get("argument"));

	        if (arg && expr.delegate) {
	          var _result = self.makeTempVar();

	          self.emit(t.returnStatement(t.callExpression(self.contextProperty("delegateYield"), [arg, t.stringLiteral(_result.property.name), after])));

	          self.mark(after);

	          return {
	            v: _result
	          };
	        }

	        self.emitAssign(self.contextProperty("next"), after);
	        self.emit(t.returnStatement(arg || null));
	        self.mark(after);

	        return {
	          v: self.contextProperty("sent")
	        };

	      default:
	        throw new Error("unknown Expression of type " + (0, _stringify2.default)(expr.type));
	    }
	  }();

	  if ((typeof _ret3 === "undefined" ? "undefined" : (0, _typeof3.default)(_ret3)) === "object") return _ret3.v;
	};

/***/ },
/* 163 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.runtimeProperty = runtimeProperty;
	exports.isReference = isReference;

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function runtimeProperty(name) {
	  return t.memberExpression(t.identifier("regeneratorRuntime"), t.identifier(name), false);
	} /**
	   * Copyright (c) 2014, Facebook, Inc.
	   * All rights reserved.
	   *
	   * This source code is licensed under the BSD-style license found in the
	   * https://raw.github.com/facebook/regenerator/master/LICENSE file. An
	   * additional grant of patent rights can be found in the PATENTS file in
	   * the same directory.
	   */

	function isReference(path) {
	  return path.isReferenced() || path.parentPath.isAssignmentExpression({ left: path.node });
	}

/***/ },
/* 164 */
/***/ function(module, exports) {

	function webpackContext(req) {
		throw new Error("Cannot find module '" + req + "'.");
	}
	webpackContext.keys = function() { return []; };
	webpackContext.resolve = webpackContext;
	module.exports = webpackContext;
	webpackContext.id = 164;


/***/ },
/* 165 */
/***/ function(module, exports) {

	module.exports = {
		"es6.typed.data-view": {
			"chrome": 5,
			"opera": 12,
			"firefox": 15,
			"safari": 5,
			"node": 0.12,
			"ie": 10,
			"android": 4,
			"ios": 6
		},
		"es6.typed.int8-array": {
			"chrome": 5,
			"opera": 12,
			"firefox": 4,
			"safari": 5,
			"node": 0.12,
			"ie": 10,
			"android": 4,
			"ios": 6
		},
		"es6.typed.uint8-array": {
			"chrome": 5,
			"opera": 12,
			"firefox": 4,
			"safari": 5,
			"node": 0.12,
			"ie": 10,
			"android": 4,
			"ios": 6
		},
		"es6.typed.uint8-clamped-array": {
			"chrome": 5,
			"opera": 12,
			"edge": 12,
			"firefox": 4,
			"safari": 6,
			"node": 0.12,
			"ios": 10
		},
		"es6.typed.int16-array": {
			"chrome": 5,
			"opera": 12,
			"firefox": 4,
			"safari": 5,
			"node": 0.12,
			"ie": 10,
			"android": 4,
			"ios": 6
		},
		"es6.typed.uint16-array": {
			"chrome": 5,
			"opera": 12,
			"firefox": 4,
			"safari": 5,
			"node": 0.12,
			"ie": 10,
			"android": 4,
			"ios": 6
		},
		"es6.typed.int32-array": {
			"chrome": 5,
			"opera": 12,
			"firefox": 4,
			"safari": 5,
			"node": 0.12,
			"ie": 10,
			"android": 4,
			"ios": 6
		},
		"es6.typed.uint32-array": {
			"chrome": 5,
			"opera": 12,
			"firefox": 4,
			"safari": 5,
			"node": 0.12,
			"ie": 10,
			"android": 4,
			"ios": 6
		},
		"es6.typed.float32-array": {
			"chrome": 5,
			"opera": 12,
			"firefox": 4,
			"safari": 5,
			"node": 0.12,
			"ie": 10,
			"android": 4,
			"ios": 6
		},
		"es6.typed.float64-array": {
			"chrome": 5,
			"opera": 12,
			"firefox": 4,
			"safari": 5,
			"node": 0.12,
			"ie": 10,
			"android": 4.1,
			"ios": 6
		},
		"es6.map": {
			"chrome": 51,
			"safari": 10,
			"node": 6.5,
			"ios": 10,
			"opera": 38
		},
		"es6.set": {
			"chrome": 51,
			"safari": 10,
			"node": 6.5,
			"ios": 10,
			"opera": 38
		},
		"es6.weak-map": {
			"chrome": 51,
			"safari": 9,
			"ios": 10,
			"opera": 38
		},
		"es6.weak-set": {
			"chrome": 51,
			"safari": 9,
			"ios": 9,
			"opera": 38
		},
		"es6.reflect.apply": {
			"chrome": 49,
			"edge": 12,
			"firefox": 42,
			"safari": 10,
			"ios": 10,
			"opera": 36
		},
		"es6.reflect.construct": {
			"chrome": 49,
			"edge": 13,
			"firefox": 45,
			"safari": 10,
			"ios": 10,
			"opera": 36
		},
		"es6.reflect.define-property": {
			"chrome": 49,
			"edge": 13,
			"firefox": 42,
			"safari": 10,
			"ios": 10,
			"opera": 36
		},
		"es6.reflect.delete-property": {
			"chrome": 49,
			"edge": 12,
			"firefox": 42,
			"safari": 10,
			"ios": 10,
			"opera": 36
		},
		"es6.reflect.get": {
			"chrome": 49,
			"edge": 12,
			"firefox": 42,
			"safari": 10,
			"ios": 10,
			"opera": 36
		},
		"es6.reflect.get-own-property-descriptor": {
			"chrome": 49,
			"edge": 12,
			"firefox": 42,
			"safari": 10,
			"ios": 10,
			"opera": 36
		},
		"es6.reflect.get-prototype-of": {
			"chrome": 49,
			"edge": 12,
			"firefox": 42,
			"safari": 10,
			"ios": 10,
			"opera": 36
		},
		"es6.reflect.has": {
			"chrome": 49,
			"edge": 12,
			"firefox": 42,
			"safari": 10,
			"ios": 10,
			"opera": 36
		},
		"es6.reflect.is-extensible": {
			"chrome": 49,
			"edge": 12,
			"firefox": 42,
			"safari": 10,
			"ios": 10,
			"opera": 36
		},
		"es6.reflect.own-keys": {
			"chrome": 49,
			"edge": 12,
			"firefox": 42,
			"safari": 10,
			"ios": 10,
			"opera": 36
		},
		"es6.reflect.prevent-extensions": {
			"chrome": 49,
			"edge": 12,
			"firefox": 42,
			"safari": 10,
			"ios": 10,
			"opera": 36
		},
		"es6.reflect.set": {
			"chrome": 49,
			"edge": 12,
			"firefox": 42,
			"safari": 10,
			"ios": 10,
			"opera": 36
		},
		"es6.reflect.set-prototype-of": {
			"chrome": 49,
			"edge": 12,
			"firefox": 42,
			"safari": 10,
			"ios": 10,
			"opera": 36
		},
		"es6.promise": {
			"chrome": 51,
			"edge": 13,
			"firefox": 45,
			"safari": 10,
			"node": 6.5,
			"ios": 10,
			"opera": 38
		},
		"es6.symbol": {
			"chrome": 51,
			"firefox": 51,
			"safari": 10,
			"ios": 10,
			"opera": 38
		},
		"es6.object.assign": {
			"chrome": 45,
			"edge": 12,
			"firefox": 34,
			"safari": 9,
			"node": 4,
			"ios": 9,
			"opera": 32
		},
		"es6.object.is": {
			"chrome": 19,
			"edge": 12,
			"firefox": 22,
			"safari": 9,
			"node": 0.12,
			"android": 4.1,
			"ios": 9
		},
		"es6.object.set-prototype-of": {
			"chrome": 34,
			"firefox": 31,
			"safari": 9,
			"node": 0.12,
			"ie": 11,
			"ios": 9,
			"opera": 21
		},
		"es6.function.name": {
			"chrome": 51,
			"safari": 10,
			"node": 6.5,
			"ios": 10,
			"opera": 38
		},
		"es6.string.raw": {
			"chrome": 41,
			"edge": 12,
			"firefox": 34,
			"safari": 9,
			"node": 4,
			"ios": 9,
			"opera": 28
		},
		"es6.string.from-code-point": {
			"chrome": 41,
			"edge": 12,
			"firefox": 29,
			"safari": 9,
			"node": 4,
			"ios": 9,
			"opera": 28
		},
		"es6.string.code-point-at": {
			"chrome": 41,
			"edge": 12,
			"firefox": 29,
			"safari": 9,
			"node": 4,
			"ios": 9,
			"opera": 28
		},
		"es6.string.repeat": {
			"chrome": 41,
			"edge": 12,
			"firefox": 24,
			"safari": 9,
			"node": 4,
			"ios": 9,
			"opera": 28
		},
		"es6.string.starts-with": {
			"chrome": 41,
			"edge": 12,
			"firefox": 29,
			"safari": 9,
			"node": 4,
			"ios": 9,
			"opera": 28
		},
		"es6.string.ends-with": {
			"chrome": 41,
			"edge": 12,
			"firefox": 29,
			"safari": 9,
			"node": 4,
			"ios": 9,
			"opera": 28
		},
		"es6.string.includes": {
			"chrome": 41,
			"edge": 12,
			"firefox": 40,
			"safari": 9,
			"node": 4,
			"ios": 9,
			"opera": 28
		},
		"es6.regexp.flags": {
			"chrome": 49,
			"firefox": 37,
			"safari": 9,
			"ios": 9,
			"opera": 36
		},
		"es6.regexp.match": {
			"chrome": 50,
			"firefox": 49,
			"safari": 10,
			"node": 6,
			"ios": 10,
			"opera": 37
		},
		"es6.regexp.replace": {
			"chrome": 50,
			"firefox": 49,
			"safari": 10,
			"node": 6,
			"ios": 10,
			"opera": 37
		},
		"es6.regexp.split": {
			"chrome": 50,
			"firefox": 49,
			"safari": 10,
			"node": 6,
			"ios": 10,
			"opera": 37
		},
		"es6.regexp.search": {
			"chrome": 50,
			"firefox": 49,
			"safari": 10,
			"node": 6,
			"ios": 10,
			"opera": 37
		},
		"es6.array.from": {
			"chrome": 51,
			"safari": 10,
			"node": 6.5,
			"ios": 10,
			"opera": 38
		},
		"es6.array.of": {
			"chrome": 45,
			"edge": 12,
			"firefox": 25,
			"safari": 9,
			"node": 4,
			"ios": 9,
			"opera": 32
		},
		"es6.array.copy-within": {
			"chrome": 45,
			"edge": 12,
			"firefox": 32,
			"safari": 9,
			"node": 4,
			"ios": 9,
			"opera": 32
		},
		"es6.array.find": {
			"chrome": 45,
			"edge": 12,
			"firefox": 25,
			"safari": 7,
			"node": 4,
			"ios": 10,
			"opera": 32
		},
		"es6.array.find-index": {
			"chrome": 45,
			"edge": 12,
			"firefox": 25,
			"safari": 7,
			"node": 4,
			"ios": 10,
			"opera": 32
		},
		"es6.array.fill": {
			"chrome": 45,
			"edge": 12,
			"firefox": 31,
			"safari": 7,
			"node": 4,
			"ios": 10,
			"opera": 32
		},
		"es6.array.iterator": {
			"chrome": 38,
			"edge": 12,
			"firefox": 28,
			"safari": 7,
			"node": 0.12,
			"ios": 10,
			"opera": 25
		},
		"es6.number.is-finite": {
			"chrome": 19,
			"edge": 12,
			"firefox": 16,
			"safari": 9,
			"node": 0.12,
			"android": 4.1,
			"ios": 9
		},
		"es6.number.is-integer": {
			"chrome": 34,
			"edge": 12,
			"firefox": 16,
			"safari": 9,
			"node": 0.12,
			"ios": 9,
			"opera": 21
		},
		"es6.number.is-safe-integer": {
			"chrome": 34,
			"edge": 12,
			"firefox": 32,
			"safari": 9,
			"node": 0.12,
			"ios": 9,
			"opera": 21
		},
		"es6.number.is-nan": {
			"chrome": 19,
			"edge": 12,
			"firefox": 15,
			"safari": 9,
			"node": 0.12,
			"android": 4.1,
			"ios": 9
		},
		"es6.number.epsilon": {
			"chrome": 34,
			"edge": 12,
			"firefox": 25,
			"safari": 9,
			"node": 0.12,
			"ios": 9,
			"opera": 21
		},
		"es6.number.min-safe-integer": {
			"chrome": 34,
			"edge": 12,
			"firefox": 31,
			"safari": 9,
			"node": 0.12,
			"ios": 9,
			"opera": 21
		},
		"es6.number.max-safe-integer": {
			"chrome": 34,
			"edge": 12,
			"firefox": 31,
			"safari": 9,
			"node": 0.12,
			"ios": 9,
			"opera": 21
		},
		"es6.math.acosh": {
			"chrome": 38,
			"edge": 12,
			"firefox": 25,
			"safari": 7,
			"node": 0.12,
			"ios": 10,
			"opera": 25
		},
		"es6.math.asinh": {
			"chrome": 38,
			"edge": 12,
			"firefox": 25,
			"safari": 7,
			"node": 0.12,
			"ios": 10,
			"opera": 25
		},
		"es6.math.atanh": {
			"chrome": 38,
			"edge": 12,
			"firefox": 25,
			"safari": 7,
			"node": 0.12,
			"ios": 10,
			"opera": 25
		},
		"es6.math.cbrt": {
			"chrome": 38,
			"edge": 12,
			"firefox": 25,
			"safari": 7,
			"node": 0.12,
			"ios": 10,
			"opera": 25
		},
		"es6.math.clz32": {
			"chrome": 38,
			"edge": 12,
			"firefox": 31,
			"safari": 9,
			"node": 0.12,
			"ios": 9,
			"opera": 25
		},
		"es6.math.cosh": {
			"chrome": 38,
			"edge": 12,
			"firefox": 25,
			"safari": 7,
			"node": 0.12,
			"ios": 10,
			"opera": 25
		},
		"es6.math.expm1": {
			"chrome": 38,
			"edge": 12,
			"firefox": 25,
			"safari": 7,
			"node": 0.12,
			"ios": 10,
			"opera": 25
		},
		"es6.math.fround": {
			"chrome": 38,
			"edge": 12,
			"firefox": 26,
			"safari": 7,
			"node": 0.12,
			"ios": 10,
			"opera": 25
		},
		"es6.math.hypot": {
			"chrome": 38,
			"edge": 12,
			"firefox": 27,
			"safari": 7,
			"node": 0.12,
			"ios": 10,
			"opera": 25
		},
		"es6.math.imul": {
			"chrome": 30,
			"edge": 12,
			"firefox": 23,
			"safari": 7,
			"node": 0.12,
			"android": 4.4,
			"ios": 8,
			"opera": 17
		},
		"es6.math.log1p": {
			"chrome": 38,
			"edge": 12,
			"firefox": 25,
			"safari": 7,
			"node": 0.12,
			"ios": 10,
			"opera": 25
		},
		"es6.math.log10": {
			"chrome": 38,
			"edge": 12,
			"firefox": 25,
			"safari": 7,
			"node": 0.12,
			"ios": 10,
			"opera": 25
		},
		"es6.math.log2": {
			"chrome": 38,
			"edge": 12,
			"firefox": 25,
			"safari": 7,
			"node": 0.12,
			"ios": 10,
			"opera": 25
		},
		"es6.math.sign": {
			"chrome": 38,
			"edge": 12,
			"firefox": 25,
			"safari": 9,
			"node": 0.12,
			"ios": 9,
			"opera": 25
		},
		"es6.math.sinh": {
			"chrome": 38,
			"edge": 12,
			"firefox": 25,
			"safari": 7,
			"node": 0.12,
			"ios": 10,
			"opera": 25
		},
		"es6.math.tanh": {
			"chrome": 38,
			"edge": 12,
			"firefox": 25,
			"safari": 7,
			"node": 0.12,
			"ios": 10,
			"opera": 25
		},
		"es6.math.trunc": {
			"chrome": 38,
			"edge": 12,
			"firefox": 25,
			"safari": 7,
			"node": 0.12,
			"ios": 10,
			"opera": 25
		},
		"es7.array.includes.js": {
			"chrome": 47,
			"edge": 14,
			"firefox": 43,
			"safari": 10,
			"ios": 10,
			"opera": 34
		},
		"es7.object.values": {
			"chrome": 54,
			"edge": 14,
			"firefox": 47,
			"node": 7,
			"opera": 41
		},
		"es7.object.entries": {
			"chrome": 54,
			"edge": 14,
			"firefox": 47,
			"node": 7,
			"opera": 41
		},
		"es7.object.get-own-property-descriptors": {
			"chrome": 54,
			"firefox": 50,
			"node": 7,
			"opera": 41
		},
		"es7.string.pad-start": {
			"firefox": 48,
			"safari": 10,
			"ios": 10
		},
		"es7.string.pad-end": {
			"firefox": 48,
			"safari": 10,
			"ios": 10
		}
	};

/***/ },
/* 166 */
/***/ function(module, exports) {

	module.exports = {
		"transform-es2015-arrow-functions": {
			"chrome": 47,
			"edge": 13,
			"firefox": 45,
			"safari": 10,
			"node": 6,
			"ios": 10,
			"opera": 34
		},
		"transform-es2015-block-scoped-functions": {
			"chrome": 41,
			"firefox": 46,
			"safari": 10,
			"node": 4,
			"ie": 11,
			"ios": 10,
			"opera": 28
		},
		"transform-es2015-block-scoping": {
			"chrome": 49,
			"firefox": 51,
			"safari": 10,
			"node": 6,
			"ios": 10,
			"opera": 36
		},
		"transform-es2015-classes": {
			"chrome": 46,
			"edge": 13,
			"firefox": 45,
			"safari": 10,
			"node": 5,
			"ios": 10,
			"opera": 33
		},
		"transform-es2015-computed-properties": {
			"chrome": 44,
			"edge": 12,
			"firefox": 34,
			"safari": 7,
			"node": 4,
			"ios": 10,
			"opera": 31
		},
		"check-es2015-constants": {
			"chrome": 49,
			"firefox": 51,
			"safari": 10,
			"node": 6,
			"ios": 10,
			"opera": 36
		},
		"transform-es2015-destructuring": {
			"chrome": 51,
			"safari": 10,
			"node": 6.5,
			"ios": 10,
			"opera": 38
		},
		"transform-es2015-for-of": {
			"chrome": 51,
			"safari": 10,
			"node": 6.5,
			"ios": 10,
			"opera": 38
		},
		"transform-es2015-function-name": {
			"chrome": 51,
			"safari": 10,
			"node": 6.5,
			"ios": 10,
			"opera": 38
		},
		"transform-es2015-literals": {
			"chrome": 44,
			"edge": 12,
			"safari": 9,
			"node": 4,
			"ios": 9,
			"opera": 31
		},
		"transform-es2015-object-super": {
			"chrome": 46,
			"edge": 13,
			"firefox": 45,
			"safari": 10,
			"node": 5,
			"ios": 10,
			"opera": 33
		},
		"transform-es2015-parameters": {
			"chrome": 49,
			"edge": 14,
			"safari": 10,
			"node": 6,
			"ios": 10,
			"opera": 36
		},
		"transform-es2015-shorthand-properties": {
			"chrome": 43,
			"edge": 12,
			"firefox": 33,
			"safari": 9,
			"node": 4,
			"ios": 9,
			"opera": 30
		},
		"transform-es2015-spread": {
			"chrome": 46,
			"edge": 13,
			"firefox": 36,
			"safari": 10,
			"node": 5,
			"ios": 10,
			"opera": 33
		},
		"transform-es2015-sticky-regex": {
			"chrome": 49,
			"edge": 13,
			"firefox": 3,
			"safari": 10,
			"node": 6,
			"ios": 10,
			"opera": 36
		},
		"transform-es2015-template-literals": {
			"chrome": 41,
			"edge": 13,
			"firefox": 34,
			"safari": 9,
			"node": 4,
			"ios": 9,
			"opera": 28
		},
		"transform-es2015-typeof-symbol": {
			"chrome": 38,
			"edge": 12,
			"firefox": 36,
			"safari": 9,
			"node": 0.12,
			"ios": 9,
			"opera": 25
		},
		"transform-es2015-unicode-regex": {
			"chrome": 50,
			"edge": 13,
			"firefox": 46,
			"safari": 10,
			"node": 6,
			"ios": 10,
			"opera": 37
		},
		"transform-regenerator": {
			"chrome": 50,
			"edge": 13,
			"safari": 10,
			"node": 6,
			"ios": 10,
			"opera": 37
		},
		"transform-exponentiation-operator": {
			"chrome": 52,
			"edge": 14,
			"firefox": 52,
			"opera": 39
		},
		"transform-async-to-generator": {
			"chrome": 55,
			"firefox": 52,
			"opera": 42
		},
		"syntax-trailing-function-commas": {
			"edge": 14,
			"firefox": 52,
			"safari": 10,
			"ios": 10
		}
	};

/***/ },
/* 167 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(module) {'use strict';

	function assembleStyles() {
		var styles = {
			modifiers: {
				reset: [0, 0],
				bold: [1, 22], // 21 isn't widely supported and 22 does the same thing
				dim: [2, 22],
				italic: [3, 23],
				underline: [4, 24],
				inverse: [7, 27],
				hidden: [8, 28],
				strikethrough: [9, 29]
			},
			colors: {
				black: [30, 39],
				red: [31, 39],
				green: [32, 39],
				yellow: [33, 39],
				blue: [34, 39],
				magenta: [35, 39],
				cyan: [36, 39],
				white: [37, 39],
				gray: [90, 39]
			},
			bgColors: {
				bgBlack: [40, 49],
				bgRed: [41, 49],
				bgGreen: [42, 49],
				bgYellow: [43, 49],
				bgBlue: [44, 49],
				bgMagenta: [45, 49],
				bgCyan: [46, 49],
				bgWhite: [47, 49]
			}
		};

		// fix humans
		styles.colors.grey = styles.colors.gray;

		Object.keys(styles).forEach(function (groupName) {
			var group = styles[groupName];

			Object.keys(group).forEach(function (styleName) {
				var style = group[styleName];

				styles[styleName] = group[styleName] = {
					open: '\x1B[' + style[0] + 'm',
					close: '\x1B[' + style[1] + 'm'
				};
			});

			Object.defineProperty(styles, groupName, {
				value: group,
				enumerable: false
			});
		});

		return styles;
	}

	Object.defineProperty(module, 'exports', {
		enumerable: true,
		get: assembleStyles
	});
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(35)(module)))

/***/ },
/* 168 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	exports.default = function (rawLines, lineNumber, colNumber) {
	  var opts = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};

	  colNumber = Math.max(colNumber, 0);

	  var highlighted = opts.highlightCode && _chalk2.default.supportsColor || opts.forceColor;
	  var chalk = _chalk2.default;
	  if (opts.forceColor) {
	    chalk = new _chalk2.default.constructor({ enabled: true });
	  }
	  var maybeHighlight = function maybeHighlight(chalkFn, string) {
	    return highlighted ? chalkFn(string) : string;
	  };
	  var defs = getDefs(chalk);
	  if (highlighted) rawLines = highlight(defs, rawLines);

	  var linesAbove = opts.linesAbove || 2;
	  var linesBelow = opts.linesBelow || 3;

	  var lines = rawLines.split(NEWLINE);
	  var start = Math.max(lineNumber - (linesAbove + 1), 0);
	  var end = Math.min(lines.length, lineNumber + linesBelow);

	  if (!lineNumber && !colNumber) {
	    start = 0;
	    end = lines.length;
	  }

	  var numberMaxWidth = String(end).length;

	  var frame = lines.slice(start, end).map(function (line, index) {
	    var number = start + 1 + index;
	    var paddedNumber = (" " + number).slice(-numberMaxWidth);
	    var gutter = " " + paddedNumber + " | ";
	    if (number === lineNumber) {
	      var markerLine = "";
	      if (colNumber) {
	        var markerSpacing = line.slice(0, colNumber - 1).replace(/[^\t]/g, " ");
	        markerLine = ["\n ", maybeHighlight(defs.gutter, gutter.replace(/\d/g, " ")), markerSpacing, maybeHighlight(defs.marker, "^")].join("");
	      }
	      return [maybeHighlight(defs.marker, ">"), maybeHighlight(defs.gutter, gutter), line, markerLine].join("");
	    } else {
	      return " " + maybeHighlight(defs.gutter, gutter) + line;
	    }
	  }).join("\n");

	  if (highlighted) {
	    return chalk.reset(frame);
	  } else {
	    return frame;
	  }
	};

	var _jsTokens = __webpack_require__(307);

	var _jsTokens2 = _interopRequireDefault(_jsTokens);

	var _esutils = __webpack_require__(130);

	var _esutils2 = _interopRequireDefault(_esutils);

	var _chalk = __webpack_require__(249);

	var _chalk2 = _interopRequireDefault(_chalk);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function getDefs(chalk) {
	  return {
	    keyword: chalk.cyan,
	    capitalized: chalk.yellow,
	    jsx_tag: chalk.yellow,
	    punctuator: chalk.yellow,

	    number: chalk.magenta,
	    string: chalk.green,
	    regex: chalk.magenta,
	    comment: chalk.grey,
	    invalid: chalk.white.bgRed.bold,
	    gutter: chalk.grey,
	    marker: chalk.red.bold
	  };
	}

	var NEWLINE = /\r\n|[\n\r\u2028\u2029]/;

	var JSX_TAG = /^[a-z][\w-]*$/i;

	var BRACKET = /^[()\[\]{}]$/;

	function getTokenType(match) {
	  var _match$slice = match.slice(-2),
	      offset = _match$slice[0],
	      text = _match$slice[1];

	  var token = _jsTokens2.default.matchToToken(match);

	  if (token.type === "name") {
	    if (_esutils2.default.keyword.isReservedWordES6(token.value)) {
	      return "keyword";
	    }

	    if (JSX_TAG.test(token.value) && (text[offset - 1] === "<" || text.substr(offset - 2, 2) == "</")) {
	      return "jsx_tag";
	    }

	    if (token.value[0] !== token.value[0].toLowerCase()) {
	      return "capitalized";
	    }
	  }

	  if (token.type === "punctuator" && BRACKET.test(token.value)) {
	    return "bracket";
	  }

	  return token.type;
	}

	function highlight(defs, text) {
	  return text.replace(_jsTokens2.default, function () {
	    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
	      args[_key] = arguments[_key];
	    }

	    var type = getTokenType(args);
	    var colorize = defs[type];
	    if (colorize) {
	      return args[0].split(NEWLINE).map(function (str) {
	        return colorize(str);
	      }).join("\n");
	    } else {
	      return args[0];
	    }
	  });
	}

	module.exports = exports["default"];

/***/ },
/* 169 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	exports.default = function (opts) {
	  var visitor = {};

	  function isAssignment(node) {
	    return node && node.operator === opts.operator + "=";
	  }

	  function buildAssignment(left, right) {
	    return t.assignmentExpression("=", left, right);
	  }

	  visitor.ExpressionStatement = function (path, file) {
	    if (path.isCompletionRecord()) return;

	    var expr = path.node.expression;
	    if (!isAssignment(expr)) return;

	    var nodes = [];
	    var exploded = (0, _babelHelperExplodeAssignableExpression2.default)(expr.left, nodes, file, path.scope, true);

	    nodes.push(t.expressionStatement(buildAssignment(exploded.ref, opts.build(exploded.uid, expr.right))));

	    path.replaceWithMultiple(nodes);
	  };

	  visitor.AssignmentExpression = function (path, file) {
	    var node = path.node;
	    var scope = path.scope;

	    if (!isAssignment(node)) return;

	    var nodes = [];
	    var exploded = (0, _babelHelperExplodeAssignableExpression2.default)(node.left, nodes, file, scope);
	    nodes.push(buildAssignment(exploded.ref, opts.build(exploded.uid, node.right)));
	    path.replaceWithMultiple(nodes);
	  };

	  visitor.BinaryExpression = function (path) {
	    var node = path.node;

	    if (node.operator === opts.operator) {
	      path.replaceWith(opts.build(node.left, node.right));
	    }
	  };

	  return visitor;
	};

	var _babelHelperExplodeAssignableExpression = __webpack_require__(172);

	var _babelHelperExplodeAssignableExpression2 = _interopRequireDefault(_babelHelperExplodeAssignableExpression);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	module.exports = exports["default"];

/***/ },
/* 170 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	exports.default = function (path) {
	  var scope = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : path.scope;
	  var node = path.node;

	  var container = t.functionExpression(null, [], node.body, node.generator, node.async);

	  var callee = container;
	  var args = [];

	  (0, _babelHelperHoistVariables2.default)(path, function (id) {
	    return scope.push({ id: id });
	  });

	  var state = {
	    foundThis: false,
	    foundArguments: false
	  };

	  path.traverse(visitor, state);

	  if (state.foundArguments) {
	    callee = t.memberExpression(container, t.identifier("apply"));
	    args = [];

	    if (state.foundThis) {
	      args.push(t.thisExpression());
	    }

	    if (state.foundArguments) {
	      if (!state.foundThis) args.push(t.nullLiteral());
	      args.push(t.identifier("arguments"));
	    }
	  }

	  var call = t.callExpression(callee, args);
	  if (node.generator) call = t.yieldExpression(call, true);

	  return t.returnStatement(call);
	};

	var _babelHelperHoistVariables = __webpack_require__(105);

	var _babelHelperHoistVariables2 = _interopRequireDefault(_babelHelperHoistVariables);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var visitor = {
	  enter: function enter(path, state) {
	    if (path.isThisExpression()) {
	      state.foundThis = true;
	    }

	    if (path.isReferencedIdentifier({ name: "arguments" })) {
	      state.foundArguments = true;
	    }
	  },
	  Function: function Function(path) {
	    path.skip();
	  }
	};

	module.exports = exports["default"];

/***/ },
/* 171 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.push = push;
	exports.hasComputed = hasComputed;
	exports.toComputedObjectFromClass = toComputedObjectFromClass;
	exports.toClassObject = toClassObject;
	exports.toDefineObject = toDefineObject;

	var _babelHelperFunctionName = __webpack_require__(36);

	var _babelHelperFunctionName2 = _interopRequireDefault(_babelHelperFunctionName);

	var _each = __webpack_require__(150);

	var _each2 = _interopRequireDefault(_each);

	var _has = __webpack_require__(151);

	var _has2 = _interopRequireDefault(_has);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function toKind(node) {
	  if (t.isClassMethod(node) || t.isObjectMethod(node)) {
	    if (node.kind === "get" || node.kind === "set") {
	      return node.kind;
	    }
	  }

	  return "value";
	}

	function push(mutatorMap, node, kind, file, scope) {
	  var alias = t.toKeyAlias(node);

	  var map = {};
	  if ((0, _has2.default)(mutatorMap, alias)) map = mutatorMap[alias];
	  mutatorMap[alias] = map;

	  map._inherits = map._inherits || [];
	  map._inherits.push(node);

	  map._key = node.key;

	  if (node.computed) {
	    map._computed = true;
	  }

	  if (node.decorators) {
	    var decorators = map.decorators = map.decorators || t.arrayExpression([]);
	    decorators.elements = decorators.elements.concat(node.decorators.map(function (dec) {
	      return dec.expression;
	    }).reverse());
	  }

	  if (map.value || map.initializer) {
	    throw file.buildCodeFrameError(node, "Key conflict with sibling node");
	  }

	  var key = void 0,
	      value = void 0;

	  if (t.isObjectProperty(node) || t.isObjectMethod(node) || t.isClassMethod(node)) {
	    key = t.toComputedKey(node, node.key);
	  }

	  if (t.isObjectProperty(node) || t.isClassProperty(node)) {
	    value = node.value;
	  } else if (t.isObjectMethod(node) || t.isClassMethod(node)) {
	    value = t.functionExpression(null, node.params, node.body, node.generator, node.async);
	    value.returnType = node.returnType;
	  }

	  var inheritedKind = toKind(node);
	  if (!kind || inheritedKind !== "value") {
	    kind = inheritedKind;
	  }

	  if (scope && t.isStringLiteral(key) && (kind === "value" || kind === "initializer") && t.isFunctionExpression(value)) {
	    value = (0, _babelHelperFunctionName2.default)({ id: key, node: value, scope: scope });
	  }

	  if (value) {
	    t.inheritsComments(value, node);
	    map[kind] = value;
	  }

	  return map;
	}

	function hasComputed(mutatorMap) {
	  for (var key in mutatorMap) {
	    if (mutatorMap[key]._computed) {
	      return true;
	    }
	  }
	  return false;
	}

	function toComputedObjectFromClass(obj) {
	  var objExpr = t.arrayExpression([]);

	  for (var i = 0; i < obj.properties.length; i++) {
	    var prop = obj.properties[i];
	    var val = prop.value;
	    val.properties.unshift(t.objectProperty(t.identifier("key"), t.toComputedKey(prop)));
	    objExpr.elements.push(val);
	  }

	  return objExpr;
	}

	function toClassObject(mutatorMap) {
	  var objExpr = t.objectExpression([]);

	  (0, _each2.default)(mutatorMap, function (map) {
	    var mapNode = t.objectExpression([]);

	    var propNode = t.objectProperty(map._key, mapNode, map._computed);

	    (0, _each2.default)(map, function (node, key) {
	      if (key[0] === "_") return;

	      var inheritNode = node;
	      if (t.isClassMethod(node) || t.isClassProperty(node)) node = node.value;

	      var prop = t.objectProperty(t.identifier(key), node);
	      t.inheritsComments(prop, inheritNode);
	      t.removeComments(inheritNode);

	      mapNode.properties.push(prop);
	    });

	    objExpr.properties.push(propNode);
	  });

	  return objExpr;
	}

	function toDefineObject(mutatorMap) {
	  (0, _each2.default)(mutatorMap, function (map) {
	    if (map.value) map.writable = t.booleanLiteral(true);
	    map.configurable = t.booleanLiteral(true);
	    map.enumerable = t.booleanLiteral(true);
	  });

	  return toClassObject(mutatorMap);
	}

/***/ },
/* 172 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	exports.default = function (node, nodes, file, scope, allowedSingleIdent) {
	  var obj = void 0;
	  if (t.isIdentifier(node) && allowedSingleIdent) {
	    obj = node;
	  } else {
	    obj = getObjRef(node, nodes, file, scope);
	  }

	  var ref = void 0,
	      uid = void 0;

	  if (t.isIdentifier(node)) {
	    ref = node;
	    uid = obj;
	  } else {
	    var prop = getPropRef(node, nodes, file, scope);
	    var computed = node.computed || t.isLiteral(prop);
	    uid = ref = t.memberExpression(obj, prop, computed);
	  }

	  return {
	    uid: uid,
	    ref: ref
	  };
	};

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function getObjRef(node, nodes, file, scope) {
	  var ref = void 0;
	  if (t.isSuper(node)) {
	    return node;
	  } else if (t.isIdentifier(node)) {
	    if (scope.hasBinding(node.name)) {
	      return node;
	    } else {
	      ref = node;
	    }
	  } else if (t.isMemberExpression(node)) {
	    ref = node.object;

	    if (t.isSuper(ref) || t.isIdentifier(ref) && scope.hasBinding(ref.name)) {
	      return ref;
	    }
	  } else {
	    throw new Error("We can't explode this node type " + node.type);
	  }

	  var temp = scope.generateUidIdentifierBasedOnNode(ref);
	  nodes.push(t.variableDeclaration("var", [t.variableDeclarator(temp, ref)]));
	  return temp;
	}

	function getPropRef(node, nodes, file, scope) {
	  var prop = node.property;
	  var key = t.toComputedKey(node, prop);
	  if (t.isLiteral(key) && t.isPureish(key)) return key;

	  var temp = scope.generateUidIdentifierBasedOnNode(prop);
	  nodes.push(t.variableDeclaration("var", [t.variableDeclarator(temp, prop)]));
	  return temp;
	}

	module.exports = exports["default"];

/***/ },
/* 173 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	exports.default = function (path, helpers) {
	  var node = path.node,
	      scope = path.scope,
	      parent = path.parent;

	  var stepKey = scope.generateUidIdentifier("step");
	  var stepValue = scope.generateUidIdentifier("value");
	  var left = node.left;
	  var declar = void 0;

	  if (t.isIdentifier(left) || t.isPattern(left) || t.isMemberExpression(left)) {
	    declar = t.expressionStatement(t.assignmentExpression("=", left, stepValue));
	  } else if (t.isVariableDeclaration(left)) {
	    declar = t.variableDeclaration(left.kind, [t.variableDeclarator(left.declarations[0].id, stepValue)]);
	  }

	  var template = buildForAwait();

	  (0, _babelTraverse2.default)(template, forAwaitVisitor, null, {
	    ITERATOR_HAD_ERROR_KEY: scope.generateUidIdentifier("didIteratorError"),
	    ITERATOR_COMPLETION: scope.generateUidIdentifier("iteratorNormalCompletion"),
	    ITERATOR_ERROR_KEY: scope.generateUidIdentifier("iteratorError"),
	    ITERATOR_KEY: scope.generateUidIdentifier("iterator"),
	    GET_ITERATOR: helpers.getAsyncIterator,
	    OBJECT: node.right,
	    STEP_VALUE: stepValue,
	    STEP_KEY: stepKey,
	    AWAIT: helpers.wrapAwait
	  });

	  template = template.body.body;

	  var isLabeledParent = t.isLabeledStatement(parent);
	  var tryBody = template[3].block.body;
	  var loop = tryBody[0];

	  if (isLabeledParent) {
	    tryBody[0] = t.labeledStatement(parent.label, loop);
	  }

	  return {
	    replaceParent: isLabeledParent,
	    node: template,
	    declar: declar,
	    loop: loop
	  };
	};

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	var _babelTemplate = __webpack_require__(5);

	var _babelTemplate2 = _interopRequireDefault(_babelTemplate);

	var _babelTraverse = __webpack_require__(12);

	var _babelTraverse2 = _interopRequireDefault(_babelTraverse);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	var buildForAwait = (0, _babelTemplate2.default)("\n  function* wrapper() {\n    var ITERATOR_COMPLETION = true;\n    var ITERATOR_HAD_ERROR_KEY = false;\n    var ITERATOR_ERROR_KEY = undefined;\n    try {\n      for (\n        var ITERATOR_KEY = GET_ITERATOR(OBJECT), STEP_KEY, STEP_VALUE;\n        (\n          STEP_KEY = yield AWAIT(ITERATOR_KEY.next()),\n          ITERATOR_COMPLETION = STEP_KEY.done,\n          STEP_VALUE = yield AWAIT(STEP_KEY.value),\n          !ITERATOR_COMPLETION\n        );\n        ITERATOR_COMPLETION = true) {\n      }\n    } catch (err) {\n      ITERATOR_HAD_ERROR_KEY = true;\n      ITERATOR_ERROR_KEY = err;\n    } finally {\n      try {\n        if (!ITERATOR_COMPLETION && ITERATOR_KEY.return) {\n          yield AWAIT(ITERATOR_KEY.return());\n        }\n      } finally {\n        if (ITERATOR_HAD_ERROR_KEY) {\n          throw ITERATOR_ERROR_KEY;\n        }\n      }\n    }\n  }\n");

	var forAwaitVisitor = {
	  noScope: true,

	  Identifier: function Identifier(path, replacements) {
	    if (path.node.name in replacements) {
	      path.replaceInline(replacements[path.node.name]);
	    }
	  },
	  CallExpression: function CallExpression(path, replacements) {
	    var callee = path.node.callee;

	    if (t.isIdentifier(callee) && callee.name === "AWAIT" && !replacements.AWAIT) {
	      path.replaceWith(path.node.arguments[0]);
	    }
	  }
	};

	module.exports = exports["default"];

/***/ },
/* 174 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	exports.default = function (path, file, helpers) {
	  if (!helpers) {
	    helpers = { wrapAsync: file };
	    file = null;
	  }
	  path.traverse(awaitVisitor, {
	    file: file,
	    wrapAwait: helpers.wrapAwait
	  });

	  if (path.isClassMethod() || path.isObjectMethod()) {
	    classOrObjectMethod(path, helpers.wrapAsync);
	  } else {
	    plainFunction(path, helpers.wrapAsync);
	  }
	};

	var _babelHelperFunctionName = __webpack_require__(36);

	var _babelHelperFunctionName2 = _interopRequireDefault(_babelHelperFunctionName);

	var _babelTemplate = __webpack_require__(5);

	var _babelTemplate2 = _interopRequireDefault(_babelTemplate);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	var _forAwait = __webpack_require__(173);

	var _forAwait2 = _interopRequireDefault(_forAwait);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var buildWrapper = (0, _babelTemplate2.default)("\n  (() => {\n    var REF = FUNCTION;\n    return function NAME(PARAMS) {\n      return REF.apply(this, arguments);\n    };\n  })\n");

	var namedBuildWrapper = (0, _babelTemplate2.default)("\n  (() => {\n    var REF = FUNCTION;\n    function NAME(PARAMS) {\n      return REF.apply(this, arguments);\n    }\n    return NAME;\n  })\n");

	var awaitVisitor = {
	  Function: function Function(path) {
	    if (path.isArrowFunctionExpression() && !path.node.async) {
	      path.arrowFunctionToShadowed();
	      return;
	    }
	    path.skip();
	  },
	  AwaitExpression: function AwaitExpression(_ref, _ref2) {
	    var node = _ref.node;
	    var wrapAwait = _ref2.wrapAwait;

	    node.type = "YieldExpression";
	    if (wrapAwait) {
	      node.argument = t.callExpression(wrapAwait, [node.argument]);
	    }
	  },
	  ForAwaitStatement: function ForAwaitStatement(path, _ref3) {
	    var file = _ref3.file,
	        wrapAwait = _ref3.wrapAwait;
	    var node = path.node;

	    var build = (0, _forAwait2.default)(path, {
	      getAsyncIterator: file.addHelper("asyncIterator"),
	      wrapAwait: wrapAwait
	    });

	    var declar = build.declar,
	        loop = build.loop;

	    var block = loop.body;

	    path.ensureBlock();

	    if (declar) {
	      block.body.push(declar);
	    }

	    block.body = block.body.concat(node.body.body);

	    t.inherits(loop, node);
	    t.inherits(loop.body, node.body);

	    if (build.replaceParent) {
	      path.parentPath.replaceWithMultiple(build.node);
	      path.remove();
	    } else {
	      path.replaceWithMultiple(build.node);
	    }
	  }
	};

	function classOrObjectMethod(path, callId) {
	  var node = path.node;
	  var body = node.body;

	  node.async = false;

	  var container = t.functionExpression(null, [], t.blockStatement(body.body), true);
	  container.shadow = true;
	  body.body = [t.returnStatement(t.callExpression(t.callExpression(callId, [container]), []))];

	  node.generator = false;
	}

	function plainFunction(path, callId) {
	  var node = path.node;
	  var isDeclaration = path.isFunctionDeclaration();
	  var asyncFnId = node.id;
	  var wrapper = buildWrapper;

	  if (path.isArrowFunctionExpression()) {
	    path.arrowFunctionToShadowed();
	  } else if (!isDeclaration && asyncFnId) {
	    wrapper = namedBuildWrapper;
	  }

	  node.async = false;
	  node.generator = true;

	  node.id = null;

	  if (isDeclaration) {
	    node.type = "FunctionExpression";
	  }

	  var built = t.callExpression(callId, [node]);
	  var container = wrapper({
	    NAME: asyncFnId,
	    REF: path.scope.generateUidIdentifier("ref"),
	    FUNCTION: built,
	    PARAMS: node.params.reduce(function (acc, param) {
	      acc.done = acc.done || t.isAssignmentPattern(param) || t.isRestElement(param);

	      if (!acc.done) {
	        acc.params.push(path.scope.generateUidIdentifier("x"));
	      }

	      return acc;
	    }, {
	      params: [],
	      done: false
	    }).params
	  }).expression;

	  if (isDeclaration) {
	    var declar = t.variableDeclaration("let", [t.variableDeclarator(t.identifier(asyncFnId.name), t.callExpression(container, []))]);
	    declar._blockHoist = true;

	    path.replaceWith(declar);
	  } else {
	    var retFunction = container.body.body[1].argument;
	    if (!asyncFnId) {
	      (0, _babelHelperFunctionName2.default)({
	        node: retFunction,
	        parent: path.parent,
	        scope: path.scope
	      });
	    }

	    if (!retFunction || retFunction.id || node.params.length) {
	      path.replaceWith(t.callExpression(container, []));
	    } else {
	      path.replaceWith(built);
	    }
	  }
	}

	module.exports = exports["default"];

/***/ },
/* 175 */
/***/ function(module, exports, __webpack_require__) {

	/*istanbul ignore next*/"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.default = function ( /*istanbul ignore next*/_ref) {
	  /*istanbul ignore next*/var messages = _ref.messages;

	  return {
	    visitor: { /*istanbul ignore next*/
	      Scope: function Scope(_ref2) {
	        /*istanbul ignore next*/var scope = _ref2.scope;

	        for (var name in scope.bindings) {
	          var binding = scope.bindings[name];
	          if (binding.kind !== "const" && binding.kind !== "module") continue;

	          for ( /*istanbul ignore next*/var _iterator = binding.constantViolations, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	            /*istanbul ignore next*/
	            var _ref3;

	            if (_isArray) {
	              if (_i >= _iterator.length) break;
	              _ref3 = _iterator[_i++];
	            } else {
	              _i = _iterator.next();
	              if (_i.done) break;
	              _ref3 = _i.value;
	            }

	            var violation = _ref3;

	            throw violation.buildCodeFrameError(messages.get("readOnly", name));
	          }
	        }
	      }
	    }
	  };
	};

	/*istanbul ignore next*/
	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	module.exports = exports["default"];

/***/ },
/* 176 */
/***/ function(module, exports) {

	"use strict";

	exports.__esModule = true;

	exports.default = function () {
	  return {
	    manipulateOptions: function manipulateOptions(opts, parserOpts) {
	      parserOpts.plugins.push("asyncFunctions");
	    }
	  };
	};

	module.exports = exports["default"];

/***/ },
/* 177 */
/***/ function(module, exports) {

	"use strict";

	exports.__esModule = true;

	exports.default = function () {
	  return {
	    manipulateOptions: function manipulateOptions(opts, parserOpts) {
	      parserOpts.plugins.push("exponentiationOperator");
	    }
	  };
	};

	module.exports = exports["default"];

/***/ },
/* 178 */
/***/ function(module, exports) {

	"use strict";

	exports.__esModule = true;

	exports.default = function () {
	  return {
	    manipulateOptions: function manipulateOptions(opts, parserOpts) {
	      parserOpts.plugins.push("trailingFunctionCommas");
	    }
	  };
	};

	module.exports = exports["default"];

/***/ },
/* 179 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	exports.default = function () {
	  return {
	    inherits: __webpack_require__(176),

	    visitor: {
	      Function: function Function(path, state) {
	        if (!path.node.async || path.node.generator) return;

	        (0, _babelHelperRemapAsyncToGenerator2.default)(path, state.file, {
	          wrapAsync: state.addHelper("asyncToGenerator")
	        });
	      }
	    }
	  };
	};

	var _babelHelperRemapAsyncToGenerator = __webpack_require__(174);

	var _babelHelperRemapAsyncToGenerator2 = _interopRequireDefault(_babelHelperRemapAsyncToGenerator);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	module.exports = exports["default"];

/***/ },
/* 180 */
/***/ function(module, exports) {

	/*istanbul ignore next*/"use strict";

	exports.__esModule = true;

	exports.default = function ( /*istanbul ignore next*/_ref) {
	  /*istanbul ignore next*/var t = _ref.types;

	  return {
	    visitor: { /*istanbul ignore next*/
	      ArrowFunctionExpression: function ArrowFunctionExpression(path, state) {
	        if (state.opts.spec) {
	          /*istanbul ignore next*/var node = path.node;

	          if (node.shadow) return;

	          node.shadow = { this: false };
	          node.type = "FunctionExpression";

	          var boundThis = t.thisExpression();
	          boundThis._forceShadow = path;

	          // make sure that arrow function won't be instantiated
	          path.ensureBlock();
	          path.get("body").unshiftContainer("body", t.expressionStatement(t.callExpression(state.addHelper("newArrowCheck"), [t.thisExpression(), boundThis])));

	          path.replaceWith(t.callExpression(t.memberExpression(node, t.identifier("bind")), [t.thisExpression()]));
	        } else {
	          path.arrowFunctionToShadowed();
	        }
	      }
	    }
	  };
	};

	/*istanbul ignore next*/module.exports = exports["default"];

/***/ },
/* 181 */
/***/ function(module, exports, __webpack_require__) {

	/*istanbul ignore next*/"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.default = function ( /*istanbul ignore next*/_ref) {
	  /*istanbul ignore next*/var t = _ref.types;

	  function statementList(key, path) {
	    var paths = path.get(key);

	    for ( /*istanbul ignore next*/var _iterator = paths, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	      /*istanbul ignore next*/
	      var _ref2;

	      if (_isArray) {
	        if (_i >= _iterator.length) break;
	        _ref2 = _iterator[_i++];
	      } else {
	        _i = _iterator.next();
	        if (_i.done) break;
	        _ref2 = _i.value;
	      }

	      var _path = _ref2;

	      var func = _path.node;
	      if (!_path.isFunctionDeclaration()) continue;

	      var declar = t.variableDeclaration("let", [t.variableDeclarator(func.id, t.toExpression(func))]);

	      // hoist it up above everything else
	      declar._blockHoist = 2;

	      // todo: name this
	      func.id = null;

	      _path.replaceWith(declar);
	    }
	  }

	  return {
	    visitor: { /*istanbul ignore next*/
	      BlockStatement: function BlockStatement(path) {
	        /*istanbul ignore next*/var node = path.node;
	        /*istanbul ignore next*/var parent = path.parent;

	        if (t.isFunction(parent, { body: node }) || t.isExportDeclaration(parent)) {
	          return;
	        }

	        statementList("body", path);
	      },
	      /*istanbul ignore next*/SwitchCase: function SwitchCase(path) {
	        statementList("consequent", path);
	      }
	    }
	  };
	};

	/*istanbul ignore next*/
	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	module.exports = exports["default"];

/***/ },
/* 182 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _symbol = __webpack_require__(10);

	var _symbol2 = _interopRequireDefault(_symbol);

	var _create = __webpack_require__(9);

	var _create2 = _interopRequireDefault(_create);

	var _classCallCheck2 = __webpack_require__(4);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	exports.default = function () {
	  return {
	    visitor: {
	      VariableDeclaration: function VariableDeclaration(path, file) {
	        var node = path.node,
	            parent = path.parent,
	            scope = path.scope;

	        if (!isBlockScoped(node)) return;
	        convertBlockScopedToVar(path, null, parent, scope, true);

	        if (node._tdzThis) {
	          var nodes = [node];

	          for (var i = 0; i < node.declarations.length; i++) {
	            var decl = node.declarations[i];
	            if (decl.init) {
	              var assign = t.assignmentExpression("=", decl.id, decl.init);
	              assign._ignoreBlockScopingTDZ = true;
	              nodes.push(t.expressionStatement(assign));
	            }
	            decl.init = file.addHelper("temporalUndefined");
	          }

	          node._blockHoist = 2;

	          if (path.isCompletionRecord()) {
	            nodes.push(t.expressionStatement(scope.buildUndefinedNode()));
	          }

	          path.replaceWithMultiple(nodes);
	        }
	      },
	      Loop: function Loop(path, file) {
	        var node = path.node,
	            parent = path.parent,
	            scope = path.scope;

	        t.ensureBlock(node);
	        var blockScoping = new BlockScoping(path, path.get("body"), parent, scope, file);
	        var replace = blockScoping.run();
	        if (replace) path.replaceWith(replace);
	      },
	      CatchClause: function CatchClause(path, file) {
	        var parent = path.parent,
	            scope = path.scope;

	        var blockScoping = new BlockScoping(null, path.get("body"), parent, scope, file);
	        blockScoping.run();
	      },
	      "BlockStatement|SwitchStatement|Program": function BlockStatementSwitchStatementProgram(path, file) {
	        if (!ignoreBlock(path)) {
	          var blockScoping = new BlockScoping(null, path, path.parent, path.scope, file);
	          blockScoping.run();
	        }
	      }
	    }
	  };
	};

	var _babelTraverse = __webpack_require__(12);

	var _babelTraverse2 = _interopRequireDefault(_babelTraverse);

	var _tdz = __webpack_require__(183);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	var _values = __webpack_require__(159);

	var _values2 = _interopRequireDefault(_values);

	var _extend = __webpack_require__(411);

	var _extend2 = _interopRequireDefault(_extend);

	var _babelTemplate = __webpack_require__(5);

	var _babelTemplate2 = _interopRequireDefault(_babelTemplate);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function ignoreBlock(path) {
	  return t.isLoop(path.parent) || t.isCatchClause(path.parent);
	}

	var buildRetCheck = (0, _babelTemplate2.default)("\n  if (typeof RETURN === \"object\") return RETURN.v;\n");

	function isBlockScoped(node) {
	  if (!t.isVariableDeclaration(node)) return false;
	  if (node[t.BLOCK_SCOPED_SYMBOL]) return true;
	  if (node.kind !== "let" && node.kind !== "const") return false;
	  return true;
	}

	function convertBlockScopedToVar(path, node, parent, scope) {
	  var moveBindingsToParent = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : false;

	  if (!node) {
	    node = path.node;
	  }

	  if (!t.isFor(parent)) {
	    for (var i = 0; i < node.declarations.length; i++) {
	      var declar = node.declarations[i];
	      declar.init = declar.init || scope.buildUndefinedNode();
	    }
	  }

	  node[t.BLOCK_SCOPED_SYMBOL] = true;
	  node.kind = "var";

	  if (moveBindingsToParent) {
	    var parentScope = scope.getFunctionParent();
	    var ids = path.getBindingIdentifiers();
	    for (var name in ids) {
	      var binding = scope.getOwnBinding(name);
	      if (binding) binding.kind = "var";
	      scope.moveBindingTo(name, parentScope);
	    }
	  }
	}

	function isVar(node) {
	  return t.isVariableDeclaration(node, { kind: "var" }) && !isBlockScoped(node);
	}

	var letReferenceBlockVisitor = _babelTraverse2.default.visitors.merge([{
	  Function: function Function(path, state) {
	    path.traverse(letReferenceFunctionVisitor, state);
	    return path.skip();
	  }
	}, _tdz.visitor]);

	var letReferenceFunctionVisitor = _babelTraverse2.default.visitors.merge([{
	  ReferencedIdentifier: function ReferencedIdentifier(path, state) {
	    var ref = state.letReferences[path.node.name];

	    if (!ref) return;

	    var localBinding = path.scope.getBindingIdentifier(path.node.name);
	    if (localBinding && localBinding !== ref) return;

	    state.closurify = true;
	  }
	}, _tdz.visitor]);

	var hoistVarDeclarationsVisitor = {
	  enter: function enter(path, self) {
	    var node = path.node,
	        parent = path.parent;

	    if (path.isForStatement()) {
	      if (isVar(node.init, node)) {
	        var nodes = self.pushDeclar(node.init);
	        if (nodes.length === 1) {
	          node.init = nodes[0];
	        } else {
	          node.init = t.sequenceExpression(nodes);
	        }
	      }
	    } else if (path.isFor()) {
	      if (isVar(node.left, node)) {
	        self.pushDeclar(node.left);
	        node.left = node.left.declarations[0].id;
	      }
	    } else if (isVar(node, parent)) {
	      path.replaceWithMultiple(self.pushDeclar(node).map(function (expr) {
	        return t.expressionStatement(expr);
	      }));
	    } else if (path.isFunction()) {
	      return path.skip();
	    }
	  }
	};

	var loopLabelVisitor = {
	  LabeledStatement: function LabeledStatement(_ref, state) {
	    var node = _ref.node;

	    state.innerLabels.push(node.label.name);
	  }
	};

	var continuationVisitor = {
	  enter: function enter(path, state) {
	    if (path.isAssignmentExpression() || path.isUpdateExpression()) {
	      var bindings = path.getBindingIdentifiers();
	      for (var name in bindings) {
	        if (state.outsideReferences[name] !== path.scope.getBindingIdentifier(name)) continue;
	        state.reassignments[name] = true;
	      }
	    }
	  }
	};

	function loopNodeTo(node) {
	  if (t.isBreakStatement(node)) {
	    return "break";
	  } else if (t.isContinueStatement(node)) {
	    return "continue";
	  }
	}

	var loopVisitor = {
	  Loop: function Loop(path, state) {
	    var oldIgnoreLabeless = state.ignoreLabeless;
	    state.ignoreLabeless = true;
	    path.traverse(loopVisitor, state);
	    state.ignoreLabeless = oldIgnoreLabeless;
	    path.skip();
	  },
	  Function: function Function(path) {
	    path.skip();
	  },
	  SwitchCase: function SwitchCase(path, state) {
	    var oldInSwitchCase = state.inSwitchCase;
	    state.inSwitchCase = true;
	    path.traverse(loopVisitor, state);
	    state.inSwitchCase = oldInSwitchCase;
	    path.skip();
	  },
	  "BreakStatement|ContinueStatement|ReturnStatement": function BreakStatementContinueStatementReturnStatement(path, state) {
	    var node = path.node,
	        parent = path.parent,
	        scope = path.scope;

	    if (node[this.LOOP_IGNORE]) return;

	    var replace = void 0;
	    var loopText = loopNodeTo(node);

	    if (loopText) {
	      if (node.label) {
	        if (state.innerLabels.indexOf(node.label.name) >= 0) {
	          return;
	        }

	        loopText = loopText + "|" + node.label.name;
	      } else {
	        if (state.ignoreLabeless) return;

	        if (state.inSwitchCase) return;

	        if (t.isBreakStatement(node) && t.isSwitchCase(parent)) return;
	      }

	      state.hasBreakContinue = true;
	      state.map[loopText] = node;
	      replace = t.stringLiteral(loopText);
	    }

	    if (path.isReturnStatement()) {
	      state.hasReturn = true;
	      replace = t.objectExpression([t.objectProperty(t.identifier("v"), node.argument || scope.buildUndefinedNode())]);
	    }

	    if (replace) {
	      replace = t.returnStatement(replace);
	      replace[this.LOOP_IGNORE] = true;
	      path.skip();
	      path.replaceWith(t.inherits(replace, node));
	    }
	  }
	};

	var BlockScoping = function () {
	  function BlockScoping(loopPath, blockPath, parent, scope, file) {
	    (0, _classCallCheck3.default)(this, BlockScoping);

	    this.parent = parent;
	    this.scope = scope;
	    this.file = file;

	    this.blockPath = blockPath;
	    this.block = blockPath.node;

	    this.outsideLetReferences = (0, _create2.default)(null);
	    this.hasLetReferences = false;
	    this.letReferences = (0, _create2.default)(null);
	    this.body = [];

	    if (loopPath) {
	      this.loopParent = loopPath.parent;
	      this.loopLabel = t.isLabeledStatement(this.loopParent) && this.loopParent.label;
	      this.loopPath = loopPath;
	      this.loop = loopPath.node;
	    }
	  }

	  BlockScoping.prototype.run = function run() {
	    var block = this.block;
	    if (block._letDone) return;
	    block._letDone = true;

	    var needsClosure = this.getLetReferences();

	    if (t.isFunction(this.parent) || t.isProgram(this.block)) {
	      this.updateScopeInfo();
	      return;
	    }

	    if (!this.hasLetReferences) return;

	    if (needsClosure) {
	      this.wrapClosure();
	    } else {
	      this.remap();
	    }

	    this.updateScopeInfo(needsClosure);

	    if (this.loopLabel && !t.isLabeledStatement(this.loopParent)) {
	      return t.labeledStatement(this.loopLabel, this.loop);
	    }
	  };

	  BlockScoping.prototype.updateScopeInfo = function updateScopeInfo(wrappedInClosure) {
	    var scope = this.scope;
	    var parentScope = scope.getFunctionParent();
	    var letRefs = this.letReferences;

	    for (var key in letRefs) {
	      var ref = letRefs[key];
	      var binding = scope.getBinding(ref.name);
	      if (!binding) continue;
	      if (binding.kind === "let" || binding.kind === "const") {
	        binding.kind = "var";

	        if (wrappedInClosure) {
	          scope.removeBinding(ref.name);
	        } else {
	          scope.moveBindingTo(ref.name, parentScope);
	        }
	      }
	    }
	  };

	  BlockScoping.prototype.remap = function remap() {
	    var letRefs = this.letReferences;
	    var scope = this.scope;

	    for (var key in letRefs) {
	      var ref = letRefs[key];

	      if (scope.parentHasBinding(key) || scope.hasGlobal(key)) {
	        if (scope.hasOwnBinding(key)) scope.rename(ref.name);

	        if (this.blockPath.scope.hasOwnBinding(key)) this.blockPath.scope.rename(ref.name);
	      }
	    }
	  };

	  BlockScoping.prototype.wrapClosure = function wrapClosure() {
	    var block = this.block;

	    var outsideRefs = this.outsideLetReferences;

	    if (this.loop) {
	      for (var name in outsideRefs) {
	        var id = outsideRefs[name];

	        if (this.scope.hasGlobal(id.name) || this.scope.parentHasBinding(id.name)) {
	          delete outsideRefs[id.name];
	          delete this.letReferences[id.name];

	          this.scope.rename(id.name);

	          this.letReferences[id.name] = id;
	          outsideRefs[id.name] = id;
	        }
	      }
	    }

	    this.has = this.checkLoop();

	    this.hoistVarDeclarations();

	    var params = (0, _values2.default)(outsideRefs);
	    var args = (0, _values2.default)(outsideRefs);

	    var isSwitch = this.blockPath.isSwitchStatement();

	    var fn = t.functionExpression(null, params, t.blockStatement(isSwitch ? [block] : block.body));
	    fn.shadow = true;

	    this.addContinuations(fn);

	    var ref = fn;

	    if (this.loop) {
	      ref = this.scope.generateUidIdentifier("loop");
	      this.loopPath.insertBefore(t.variableDeclaration("var", [t.variableDeclarator(ref, fn)]));
	    }

	    var call = t.callExpression(ref, args);
	    var ret = this.scope.generateUidIdentifier("ret");

	    var hasYield = _babelTraverse2.default.hasType(fn.body, this.scope, "YieldExpression", t.FUNCTION_TYPES);
	    if (hasYield) {
	      fn.generator = true;
	      call = t.yieldExpression(call, true);
	    }

	    var hasAsync = _babelTraverse2.default.hasType(fn.body, this.scope, "AwaitExpression", t.FUNCTION_TYPES);
	    if (hasAsync) {
	      fn.async = true;
	      call = t.awaitExpression(call);
	    }

	    this.buildClosure(ret, call);

	    if (isSwitch) this.blockPath.replaceWithMultiple(this.body);else block.body = this.body;
	  };

	  BlockScoping.prototype.buildClosure = function buildClosure(ret, call) {
	    var has = this.has;
	    if (has.hasReturn || has.hasBreakContinue) {
	      this.buildHas(ret, call);
	    } else {
	      this.body.push(t.expressionStatement(call));
	    }
	  };

	  BlockScoping.prototype.addContinuations = function addContinuations(fn) {
	    var state = {
	      reassignments: {},
	      outsideReferences: this.outsideLetReferences
	    };

	    this.scope.traverse(fn, continuationVisitor, state);

	    for (var i = 0; i < fn.params.length; i++) {
	      var param = fn.params[i];
	      if (!state.reassignments[param.name]) continue;

	      var newParam = this.scope.generateUidIdentifier(param.name);
	      fn.params[i] = newParam;

	      this.scope.rename(param.name, newParam.name, fn);

	      fn.body.body.push(t.expressionStatement(t.assignmentExpression("=", param, newParam)));
	    }
	  };

	  BlockScoping.prototype.getLetReferences = function getLetReferences() {
	    var _this = this;

	    var block = this.block;

	    var declarators = [];

	    if (this.loop) {
	      var init = this.loop.left || this.loop.init;
	      if (isBlockScoped(init)) {
	        declarators.push(init);
	        (0, _extend2.default)(this.outsideLetReferences, t.getBindingIdentifiers(init));
	      }
	    }

	    var addDeclarationsFromChild = function addDeclarationsFromChild(path, node) {
	      node = node || path.node;
	      if (t.isClassDeclaration(node) || t.isFunctionDeclaration(node) || isBlockScoped(node)) {
	        if (isBlockScoped(node)) {
	          convertBlockScopedToVar(path, node, block, _this.scope);
	        }
	        declarators = declarators.concat(node.declarations || node);
	      }
	      if (t.isLabeledStatement(node)) {
	        addDeclarationsFromChild(path.get("body"), node.body);
	      }
	    };

	    if (block.body) {
	      for (var i = 0; i < block.body.length; i++) {
	        var declarPath = this.blockPath.get("body")[i];
	        addDeclarationsFromChild(declarPath);
	      }
	    }

	    if (block.cases) {
	      for (var _i = 0; _i < block.cases.length; _i++) {
	        var consequents = block.cases[_i].consequent;

	        for (var j = 0; j < consequents.length; j++) {
	          var _declarPath = this.blockPath.get("cases")[_i];
	          var declar = consequents[j];
	          addDeclarationsFromChild(_declarPath, declar);
	        }
	      }
	    }

	    for (var _i2 = 0; _i2 < declarators.length; _i2++) {
	      var _declar = declarators[_i2];

	      var keys = t.getBindingIdentifiers(_declar, false, true);
	      (0, _extend2.default)(this.letReferences, keys);
	      this.hasLetReferences = true;
	    }

	    if (!this.hasLetReferences) return;

	    var state = {
	      letReferences: this.letReferences,
	      closurify: false,
	      file: this.file
	    };

	    this.blockPath.traverse(letReferenceBlockVisitor, state);

	    return state.closurify;
	  };

	  BlockScoping.prototype.checkLoop = function checkLoop() {
	    var state = {
	      hasBreakContinue: false,
	      ignoreLabeless: false,
	      inSwitchCase: false,
	      innerLabels: [],
	      hasReturn: false,
	      isLoop: !!this.loop,
	      map: {},
	      LOOP_IGNORE: (0, _symbol2.default)()
	    };

	    this.blockPath.traverse(loopLabelVisitor, state);
	    this.blockPath.traverse(loopVisitor, state);

	    return state;
	  };

	  BlockScoping.prototype.hoistVarDeclarations = function hoistVarDeclarations() {
	    this.blockPath.traverse(hoistVarDeclarationsVisitor, this);
	  };

	  BlockScoping.prototype.pushDeclar = function pushDeclar(node) {
	    var declars = [];
	    var names = t.getBindingIdentifiers(node);
	    for (var name in names) {
	      declars.push(t.variableDeclarator(names[name]));
	    }

	    this.body.push(t.variableDeclaration(node.kind, declars));

	    var replace = [];

	    for (var i = 0; i < node.declarations.length; i++) {
	      var declar = node.declarations[i];
	      if (!declar.init) continue;

	      var expr = t.assignmentExpression("=", declar.id, declar.init);
	      replace.push(t.inherits(expr, declar));
	    }

	    return replace;
	  };

	  BlockScoping.prototype.buildHas = function buildHas(ret, call) {
	    var body = this.body;

	    body.push(t.variableDeclaration("var", [t.variableDeclarator(ret, call)]));

	    var retCheck = void 0;
	    var has = this.has;
	    var cases = [];

	    if (has.hasReturn) {
	      retCheck = buildRetCheck({
	        RETURN: ret
	      });
	    }

	    if (has.hasBreakContinue) {
	      for (var key in has.map) {
	        cases.push(t.switchCase(t.stringLiteral(key), [has.map[key]]));
	      }

	      if (has.hasReturn) {
	        cases.push(t.switchCase(null, [retCheck]));
	      }

	      if (cases.length === 1) {
	        var single = cases[0];
	        body.push(t.ifStatement(t.binaryExpression("===", ret, single.test), single.consequent[0]));
	      } else {
	        if (this.loop) {
	          for (var i = 0; i < cases.length; i++) {
	            var caseConsequent = cases[i].consequent[0];
	            if (t.isBreakStatement(caseConsequent) && !caseConsequent.label) {
	              caseConsequent.label = this.loopLabel = this.loopLabel || this.scope.generateUidIdentifier("loop");
	            }
	          }
	        }

	        body.push(t.switchStatement(ret, cases));
	      }
	    } else {
	      if (has.hasReturn) {
	        body.push(retCheck);
	      }
	    }
	  };

	  return BlockScoping;
	}();

	module.exports = exports["default"];

/***/ },
/* 183 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.visitor = undefined;

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function getTDZStatus(refPath, bindingPath) {
	  var executionStatus = bindingPath._guessExecutionStatusRelativeTo(refPath);

	  if (executionStatus === "before") {
	    return "inside";
	  } else if (executionStatus === "after") {
	    return "outside";
	  } else {
	    return "maybe";
	  }
	}

	function buildTDZAssert(node, file) {
	  return t.callExpression(file.addHelper("temporalRef"), [node, t.stringLiteral(node.name), file.addHelper("temporalUndefined")]);
	}

	function isReference(node, scope, state) {
	  var declared = state.letReferences[node.name];
	  if (!declared) return false;

	  return scope.getBindingIdentifier(node.name) === declared;
	}

	var visitor = exports.visitor = {
	  ReferencedIdentifier: function ReferencedIdentifier(path, state) {
	    if (!this.file.opts.tdz) return;

	    var node = path.node,
	        parent = path.parent,
	        scope = path.scope;

	    if (path.parentPath.isFor({ left: node })) return;
	    if (!isReference(node, scope, state)) return;

	    var bindingPath = scope.getBinding(node.name).path;

	    var status = getTDZStatus(path, bindingPath);
	    if (status === "inside") return;

	    if (status === "maybe") {
	      var assert = buildTDZAssert(node, state.file);

	      bindingPath.parent._tdzThis = true;

	      path.skip();

	      if (path.parentPath.isUpdateExpression()) {
	        if (parent._ignoreBlockScopingTDZ) return;
	        path.parentPath.replaceWith(t.sequenceExpression([assert, parent]));
	      } else {
	        path.replaceWith(assert);
	      }
	    } else if (status === "outside") {
	      path.replaceWith(t.throwStatement(t.inherits(t.newExpression(t.identifier("ReferenceError"), [t.stringLiteral(node.name + " is not defined - temporal dead zone")]), node)));
	    }
	  },

	  AssignmentExpression: {
	    exit: function exit(path, state) {
	      if (!this.file.opts.tdz) return;

	      var node = path.node;

	      if (node._ignoreBlockScopingTDZ) return;

	      var nodes = [];
	      var ids = path.getBindingIdentifiers();

	      for (var name in ids) {
	        var id = ids[name];

	        if (isReference(id, path.scope, state)) {
	          nodes.push(buildTDZAssert(id, state.file));
	        }
	      }

	      if (nodes.length) {
	        node._ignoreBlockScopingTDZ = true;
	        nodes.push(node);
	        path.replaceWithMultiple(nodes.map(t.expressionStatement));
	      }
	    }
	  }
	};

/***/ },
/* 184 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _symbol = __webpack_require__(10);

	var _symbol2 = _interopRequireDefault(_symbol);

	exports.default = function (_ref) {
	  var t = _ref.types;

	  var VISITED = (0, _symbol2.default)();

	  return {
	    visitor: {
	      ExportDefaultDeclaration: function ExportDefaultDeclaration(path) {
	        if (!path.get("declaration").isClassDeclaration()) return;

	        var node = path.node;

	        var ref = node.declaration.id || path.scope.generateUidIdentifier("class");
	        node.declaration.id = ref;

	        path.replaceWith(node.declaration);
	        path.insertAfter(t.exportDefaultDeclaration(ref));
	      },
	      ClassDeclaration: function ClassDeclaration(path) {
	        var node = path.node;

	        var ref = node.id || path.scope.generateUidIdentifier("class");

	        path.replaceWith(t.variableDeclaration("let", [t.variableDeclarator(ref, t.toExpression(node))]));
	      },
	      ClassExpression: function ClassExpression(path, state) {
	        var node = path.node;

	        if (node[VISITED]) return;

	        var inferred = (0, _babelHelperFunctionName2.default)(path);
	        if (inferred && inferred !== node) return path.replaceWith(inferred);

	        node[VISITED] = true;

	        var Constructor = _vanilla2.default;
	        if (state.opts.loose) Constructor = _loose2.default;

	        path.replaceWith(new Constructor(path, state.file).run());
	      }
	    }
	  };
	};

	var _loose = __webpack_require__(185);

	var _loose2 = _interopRequireDefault(_loose);

	var _vanilla = __webpack_require__(109);

	var _vanilla2 = _interopRequireDefault(_vanilla);

	var _babelHelperFunctionName = __webpack_require__(36);

	var _babelHelperFunctionName2 = _interopRequireDefault(_babelHelperFunctionName);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	module.exports = exports["default"];

/***/ },
/* 185 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _classCallCheck2 = __webpack_require__(4);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	var _possibleConstructorReturn2 = __webpack_require__(218);

	var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

	var _inherits2 = __webpack_require__(217);

	var _inherits3 = _interopRequireDefault(_inherits2);

	var _babelHelperFunctionName = __webpack_require__(36);

	var _babelHelperFunctionName2 = _interopRequireDefault(_babelHelperFunctionName);

	var _vanilla = __webpack_require__(109);

	var _vanilla2 = _interopRequireDefault(_vanilla);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var LooseClassTransformer = function (_VanillaTransformer) {
	  (0, _inherits3.default)(LooseClassTransformer, _VanillaTransformer);

	  function LooseClassTransformer() {
	    (0, _classCallCheck3.default)(this, LooseClassTransformer);

	    var _this = (0, _possibleConstructorReturn3.default)(this, _VanillaTransformer.apply(this, arguments));

	    _this.isLoose = true;
	    return _this;
	  }

	  LooseClassTransformer.prototype._processMethod = function _processMethod(node, scope) {
	    if (!node.decorators) {

	      var classRef = this.classRef;
	      if (!node.static) classRef = t.memberExpression(classRef, t.identifier("prototype"));
	      var methodName = t.memberExpression(classRef, node.key, node.computed || t.isLiteral(node.key));

	      var func = t.functionExpression(null, node.params, node.body, node.generator, node.async);
	      func.returnType = node.returnType;
	      var key = t.toComputedKey(node, node.key);
	      if (t.isStringLiteral(key)) {
	        func = (0, _babelHelperFunctionName2.default)({
	          node: func,
	          id: key,
	          scope: scope
	        });
	      }

	      var expr = t.expressionStatement(t.assignmentExpression("=", methodName, func));
	      t.inheritsComments(expr, node);
	      this.body.push(expr);
	      return true;
	    }
	  };

	  return LooseClassTransformer;
	}(_vanilla2.default);

	exports.default = LooseClassTransformer;
	module.exports = exports["default"];

/***/ },
/* 186 */
/***/ function(module, exports, __webpack_require__) {

	/*istanbul ignore next*/"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.default = function ( /*istanbul ignore next*/_ref) {
	  /*istanbul ignore next*/var t = _ref.types;
	  /*istanbul ignore next*/var template = _ref.template;

	  var buildMutatorMapAssign = template( /*istanbul ignore next*/"\n    MUTATOR_MAP_REF[KEY] = MUTATOR_MAP_REF[KEY] || {};\n    MUTATOR_MAP_REF[KEY].KIND = VALUE;\n  ");

	  function getValue(prop) {
	    if (t.isObjectProperty(prop)) {
	      return prop.value;
	    } else if (t.isObjectMethod(prop)) {
	      return t.functionExpression(null, prop.params, prop.body, prop.generator, prop.async);
	    }
	  }

	  function pushAssign(objId, prop, body) {
	    if (prop.kind === "get" && prop.kind === "set") {
	      pushMutatorDefine(objId, prop, body);
	    } else {
	      body.push(t.expressionStatement(t.assignmentExpression("=", t.memberExpression(objId, prop.key, prop.computed || t.isLiteral(prop.key)), getValue(prop))));
	    }
	  }

	  function pushMutatorDefine( /*istanbul ignore next*/_ref2, prop) {
	    /*istanbul ignore next*/var objId = _ref2.objId;
	    /*istanbul ignore next*/var body = _ref2.body;
	    /*istanbul ignore next*/var getMutatorId = _ref2.getMutatorId;
	    /*istanbul ignore next*/var scope = _ref2.scope;

	    var key = !prop.computed && t.isIdentifier(prop.key) ? t.stringLiteral(prop.key.name) : prop.key;

	    var maybeMemoise = scope.maybeGenerateMemoised(key);
	    if (maybeMemoise) {
	      body.push(t.expressionStatement(t.assignmentExpression("=", maybeMemoise, key)));
	      key = maybeMemoise;
	    }

	    /*istanbul ignore next*/body.push. /*istanbul ignore next*/apply(body, buildMutatorMapAssign({
	      MUTATOR_MAP_REF: getMutatorId(),
	      KEY: key,
	      VALUE: getValue(prop),
	      KIND: t.identifier(prop.kind)
	    }));
	  }

	  function loose(info) {
	    for ( /*istanbul ignore next*/var _iterator = info.computedProps, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	      /*istanbul ignore next*/
	      var _ref3;

	      if (_isArray) {
	        if (_i >= _iterator.length) break;
	        _ref3 = _iterator[_i++];
	      } else {
	        _i = _iterator.next();
	        if (_i.done) break;
	        _ref3 = _i.value;
	      }

	      var prop = _ref3;

	      if (prop.kind === "get" || prop.kind === "set") {
	        pushMutatorDefine(info, prop);
	      } else {
	        pushAssign(info.objId, prop, info.body);
	      }
	    }
	  }

	  function spec(info) {
	    /*istanbul ignore next*/var objId = info.objId;
	    /*istanbul ignore next*/var body = info.body;
	    /*istanbul ignore next*/var computedProps = info.computedProps;
	    /*istanbul ignore next*/var state = info.state;

	    for ( /*istanbul ignore next*/var _iterator2 = computedProps, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	      /*istanbul ignore next*/
	      var _ref4;

	      if (_isArray2) {
	        if (_i2 >= _iterator2.length) break;
	        _ref4 = _iterator2[_i2++];
	      } else {
	        _i2 = _iterator2.next();
	        if (_i2.done) break;
	        _ref4 = _i2.value;
	      }

	      var prop = _ref4;

	      var key = t.toComputedKey(prop);

	      if (prop.kind === "get" || prop.kind === "set") {
	        pushMutatorDefine(info, prop);
	      } else if (t.isStringLiteral(key, { value: "__proto__" })) {
	        pushAssign(objId, prop, body);
	      } else {
	        if (computedProps.length === 1) {
	          return t.callExpression(state.addHelper("defineProperty"), [info.initPropExpression, key, getValue(prop)]);
	        } else {
	          body.push(t.expressionStatement(t.callExpression(state.addHelper("defineProperty"), [objId, key, getValue(prop)])));
	        }
	      }
	    }
	  }

	  return {
	    visitor: {
	      ObjectExpression: { /*istanbul ignore next*/
	        exit: function exit(path, state) {
	          /*istanbul ignore next*/var node = path.node;
	          /*istanbul ignore next*/var parent = path.parent;
	          /*istanbul ignore next*/var scope = path.scope;

	          var hasComputed = false;
	          for ( /*istanbul ignore next*/var _iterator3 = node.properties, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : (0, _getIterator3.default)(_iterator3);;) {
	            /*istanbul ignore next*/
	            var _ref5;

	            if (_isArray3) {
	              if (_i3 >= _iterator3.length) break;
	              _ref5 = _iterator3[_i3++];
	            } else {
	              _i3 = _iterator3.next();
	              if (_i3.done) break;
	              _ref5 = _i3.value;
	            }

	            var prop = _ref5;

	            hasComputed = prop.computed === true;
	            if (hasComputed) break;
	          }
	          if (!hasComputed) return;

	          // put all getters/setters into the first object expression as well as all initialisers up
	          // to the first computed property

	          var initProps = [];
	          var computedProps = [];
	          var foundComputed = false;

	          for ( /*istanbul ignore next*/var _iterator4 = node.properties, _isArray4 = Array.isArray(_iterator4), _i4 = 0, _iterator4 = _isArray4 ? _iterator4 : (0, _getIterator3.default)(_iterator4);;) {
	            /*istanbul ignore next*/
	            var _ref6;

	            if (_isArray4) {
	              if (_i4 >= _iterator4.length) break;
	              _ref6 = _iterator4[_i4++];
	            } else {
	              _i4 = _iterator4.next();
	              if (_i4.done) break;
	              _ref6 = _i4.value;
	            }

	            var _prop = _ref6;

	            if (_prop.computed) {
	              foundComputed = true;
	            }

	            if (foundComputed) {
	              computedProps.push(_prop);
	            } else {
	              initProps.push(_prop);
	            }
	          }

	          var objId = scope.generateUidIdentifierBasedOnNode(parent);
	          var initPropExpression = t.objectExpression(initProps);
	          var body = [];

	          body.push(t.variableDeclaration("var", [t.variableDeclarator(objId, initPropExpression)]));

	          var callback = spec;
	          if (state.opts.loose) callback = loose;

	          var mutatorRef = /*istanbul ignore next*/void 0;

	          var getMutatorId = function getMutatorId() {
	            if (!mutatorRef) {
	              mutatorRef = scope.generateUidIdentifier("mutatorMap");

	              body.push(t.variableDeclaration("var", [t.variableDeclarator(mutatorRef, t.objectExpression([]))]));
	            }

	            return mutatorRef;
	          };

	          var single = callback({
	            scope: scope,
	            objId: objId,
	            body: body,
	            computedProps: computedProps,
	            initPropExpression: initPropExpression,
	            getMutatorId: getMutatorId,
	            state: state
	          });

	          if (mutatorRef) {
	            body.push(t.expressionStatement(t.callExpression(state.addHelper("defineEnumerableProperties"), [objId, mutatorRef])));
	          }

	          if (single) {
	            path.replaceWith(single);
	          } else {
	            body.push(t.expressionStatement(objId));
	            path.replaceWithMultiple(body);
	          }
	        }
	      }
	    }
	  };
	};

	/*istanbul ignore next*/
	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	module.exports = exports["default"];

/***/ },
/* 187 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _classCallCheck2 = __webpack_require__(4);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.default = function (_ref) {
	  var t = _ref.types;

	  function variableDeclarationHasPattern(node) {
	    for (var _iterator = node.declarations, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	      var _ref2;

	      if (_isArray) {
	        if (_i >= _iterator.length) break;
	        _ref2 = _iterator[_i++];
	      } else {
	        _i = _iterator.next();
	        if (_i.done) break;
	        _ref2 = _i.value;
	      }

	      var declar = _ref2;

	      if (t.isPattern(declar.id)) {
	        return true;
	      }
	    }
	    return false;
	  }

	  function hasRest(pattern) {
	    for (var _iterator2 = pattern.elements, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	      var _ref3;

	      if (_isArray2) {
	        if (_i2 >= _iterator2.length) break;
	        _ref3 = _iterator2[_i2++];
	      } else {
	        _i2 = _iterator2.next();
	        if (_i2.done) break;
	        _ref3 = _i2.value;
	      }

	      var elem = _ref3;

	      if (t.isRestElement(elem)) {
	        return true;
	      }
	    }
	    return false;
	  }

	  var arrayUnpackVisitor = {
	    ReferencedIdentifier: function ReferencedIdentifier(path, state) {
	      if (state.bindings[path.node.name]) {
	        state.deopt = true;
	        path.stop();
	      }
	    }
	  };

	  var DestructuringTransformer = function () {
	    function DestructuringTransformer(opts) {
	      (0, _classCallCheck3.default)(this, DestructuringTransformer);

	      this.blockHoist = opts.blockHoist;
	      this.operator = opts.operator;
	      this.arrays = {};
	      this.nodes = opts.nodes || [];
	      this.scope = opts.scope;
	      this.file = opts.file;
	      this.kind = opts.kind;
	    }

	    DestructuringTransformer.prototype.buildVariableAssignment = function buildVariableAssignment(id, init) {
	      var op = this.operator;
	      if (t.isMemberExpression(id)) op = "=";

	      var node = void 0;

	      if (op) {
	        node = t.expressionStatement(t.assignmentExpression(op, id, init));
	      } else {
	        node = t.variableDeclaration(this.kind, [t.variableDeclarator(id, init)]);
	      }

	      node._blockHoist = this.blockHoist;

	      return node;
	    };

	    DestructuringTransformer.prototype.buildVariableDeclaration = function buildVariableDeclaration(id, init) {
	      var declar = t.variableDeclaration("var", [t.variableDeclarator(id, init)]);
	      declar._blockHoist = this.blockHoist;
	      return declar;
	    };

	    DestructuringTransformer.prototype.push = function push(id, init) {
	      if (t.isObjectPattern(id)) {
	        this.pushObjectPattern(id, init);
	      } else if (t.isArrayPattern(id)) {
	        this.pushArrayPattern(id, init);
	      } else if (t.isAssignmentPattern(id)) {
	        this.pushAssignmentPattern(id, init);
	      } else {
	        this.nodes.push(this.buildVariableAssignment(id, init));
	      }
	    };

	    DestructuringTransformer.prototype.toArray = function toArray(node, count) {
	      if (this.file.opts.loose || t.isIdentifier(node) && this.arrays[node.name]) {
	        return node;
	      } else {
	        return this.scope.toArray(node, count);
	      }
	    };

	    DestructuringTransformer.prototype.pushAssignmentPattern = function pushAssignmentPattern(pattern, valueRef) {

	      var tempValueRef = this.scope.generateUidIdentifierBasedOnNode(valueRef);

	      var declar = t.variableDeclaration("var", [t.variableDeclarator(tempValueRef, valueRef)]);
	      declar._blockHoist = this.blockHoist;
	      this.nodes.push(declar);

	      var tempConditional = t.conditionalExpression(t.binaryExpression("===", tempValueRef, t.identifier("undefined")), pattern.right, tempValueRef);

	      var left = pattern.left;
	      if (t.isPattern(left)) {
	        var tempValueDefault = t.expressionStatement(t.assignmentExpression("=", tempValueRef, tempConditional));
	        tempValueDefault._blockHoist = this.blockHoist;

	        this.nodes.push(tempValueDefault);
	        this.push(left, tempValueRef);
	      } else {
	        this.nodes.push(this.buildVariableAssignment(left, tempConditional));
	      }
	    };

	    DestructuringTransformer.prototype.pushObjectRest = function pushObjectRest(pattern, objRef, spreadProp, spreadPropIndex) {

	      var keys = [];

	      for (var i = 0; i < pattern.properties.length; i++) {
	        var prop = pattern.properties[i];

	        if (i >= spreadPropIndex) break;

	        if (t.isRestProperty(prop)) continue;

	        var key = prop.key;
	        if (t.isIdentifier(key) && !prop.computed) key = t.stringLiteral(prop.key.name);
	        keys.push(key);
	      }

	      keys = t.arrayExpression(keys);

	      var value = t.callExpression(this.file.addHelper("objectWithoutProperties"), [objRef, keys]);
	      this.nodes.push(this.buildVariableAssignment(spreadProp.argument, value));
	    };

	    DestructuringTransformer.prototype.pushObjectProperty = function pushObjectProperty(prop, propRef) {
	      if (t.isLiteral(prop.key)) prop.computed = true;

	      var pattern = prop.value;
	      var objRef = t.memberExpression(propRef, prop.key, prop.computed);

	      if (t.isPattern(pattern)) {
	        this.push(pattern, objRef);
	      } else {
	        this.nodes.push(this.buildVariableAssignment(pattern, objRef));
	      }
	    };

	    DestructuringTransformer.prototype.pushObjectPattern = function pushObjectPattern(pattern, objRef) {

	      if (!pattern.properties.length) {
	        this.nodes.push(t.expressionStatement(t.callExpression(this.file.addHelper("objectDestructuringEmpty"), [objRef])));
	      }

	      if (pattern.properties.length > 1 && !this.scope.isStatic(objRef)) {
	        var temp = this.scope.generateUidIdentifierBasedOnNode(objRef);
	        this.nodes.push(this.buildVariableDeclaration(temp, objRef));
	        objRef = temp;
	      }

	      for (var i = 0; i < pattern.properties.length; i++) {
	        var prop = pattern.properties[i];
	        if (t.isRestProperty(prop)) {
	          this.pushObjectRest(pattern, objRef, prop, i);
	        } else {
	          this.pushObjectProperty(prop, objRef);
	        }
	      }
	    };

	    DestructuringTransformer.prototype.canUnpackArrayPattern = function canUnpackArrayPattern(pattern, arr) {
	      if (!t.isArrayExpression(arr)) return false;

	      if (pattern.elements.length > arr.elements.length) return;
	      if (pattern.elements.length < arr.elements.length && !hasRest(pattern)) return false;

	      for (var _iterator3 = pattern.elements, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : (0, _getIterator3.default)(_iterator3);;) {
	        var _ref4;

	        if (_isArray3) {
	          if (_i3 >= _iterator3.length) break;
	          _ref4 = _iterator3[_i3++];
	        } else {
	          _i3 = _iterator3.next();
	          if (_i3.done) break;
	          _ref4 = _i3.value;
	        }

	        var elem = _ref4;

	        if (!elem) return false;

	        if (t.isMemberExpression(elem)) return false;
	      }

	      for (var _iterator4 = arr.elements, _isArray4 = Array.isArray(_iterator4), _i4 = 0, _iterator4 = _isArray4 ? _iterator4 : (0, _getIterator3.default)(_iterator4);;) {
	        var _ref5;

	        if (_isArray4) {
	          if (_i4 >= _iterator4.length) break;
	          _ref5 = _iterator4[_i4++];
	        } else {
	          _i4 = _iterator4.next();
	          if (_i4.done) break;
	          _ref5 = _i4.value;
	        }

	        var _elem = _ref5;

	        if (t.isSpreadElement(_elem)) return false;

	        if (t.isCallExpression(_elem)) return false;

	        if (t.isMemberExpression(_elem)) return false;
	      }

	      var bindings = t.getBindingIdentifiers(pattern);
	      var state = { deopt: false, bindings: bindings };
	      this.scope.traverse(arr, arrayUnpackVisitor, state);
	      return !state.deopt;
	    };

	    DestructuringTransformer.prototype.pushUnpackedArrayPattern = function pushUnpackedArrayPattern(pattern, arr) {
	      for (var i = 0; i < pattern.elements.length; i++) {
	        var elem = pattern.elements[i];
	        if (t.isRestElement(elem)) {
	          this.push(elem.argument, t.arrayExpression(arr.elements.slice(i)));
	        } else {
	          this.push(elem, arr.elements[i]);
	        }
	      }
	    };

	    DestructuringTransformer.prototype.pushArrayPattern = function pushArrayPattern(pattern, arrayRef) {
	      if (!pattern.elements) return;

	      if (this.canUnpackArrayPattern(pattern, arrayRef)) {
	        return this.pushUnpackedArrayPattern(pattern, arrayRef);
	      }

	      var count = !hasRest(pattern) && pattern.elements.length;

	      var toArray = this.toArray(arrayRef, count);

	      if (t.isIdentifier(toArray)) {
	        arrayRef = toArray;
	      } else {
	        arrayRef = this.scope.generateUidIdentifierBasedOnNode(arrayRef);
	        this.arrays[arrayRef.name] = true;
	        this.nodes.push(this.buildVariableDeclaration(arrayRef, toArray));
	      }

	      for (var i = 0; i < pattern.elements.length; i++) {
	        var elem = pattern.elements[i];

	        if (!elem) continue;

	        var elemRef = void 0;

	        if (t.isRestElement(elem)) {
	          elemRef = this.toArray(arrayRef);

	          if (i > 0) {
	            elemRef = t.callExpression(t.memberExpression(elemRef, t.identifier("slice")), [t.numericLiteral(i)]);
	          }

	          elem = elem.argument;
	        } else {
	          elemRef = t.memberExpression(arrayRef, t.numericLiteral(i), true);
	        }

	        this.push(elem, elemRef);
	      }
	    };

	    DestructuringTransformer.prototype.init = function init(pattern, ref) {

	      if (!t.isArrayExpression(ref) && !t.isMemberExpression(ref)) {
	        var memo = this.scope.maybeGenerateMemoised(ref, true);
	        if (memo) {
	          this.nodes.push(this.buildVariableDeclaration(memo, ref));
	          ref = memo;
	        }
	      }

	      this.push(pattern, ref);

	      return this.nodes;
	    };

	    return DestructuringTransformer;
	  }();

	  return {
	    visitor: {
	      ExportNamedDeclaration: function ExportNamedDeclaration(path) {
	        var declaration = path.get("declaration");
	        if (!declaration.isVariableDeclaration()) return;
	        if (!variableDeclarationHasPattern(declaration.node)) return;

	        var specifiers = [];

	        for (var name in path.getOuterBindingIdentifiers(path)) {
	          var id = t.identifier(name);
	          specifiers.push(t.exportSpecifier(id, id));
	        }

	        path.replaceWith(declaration.node);
	        path.insertAfter(t.exportNamedDeclaration(null, specifiers));
	      },
	      ForXStatement: function ForXStatement(path, file) {
	        var node = path.node,
	            scope = path.scope;

	        var left = node.left;

	        if (t.isPattern(left)) {

	          var temp = scope.generateUidIdentifier("ref");

	          node.left = t.variableDeclaration("var", [t.variableDeclarator(temp)]);

	          path.ensureBlock();

	          node.body.body.unshift(t.variableDeclaration("var", [t.variableDeclarator(left, temp)]));

	          return;
	        }

	        if (!t.isVariableDeclaration(left)) return;

	        var pattern = left.declarations[0].id;
	        if (!t.isPattern(pattern)) return;

	        var key = scope.generateUidIdentifier("ref");
	        node.left = t.variableDeclaration(left.kind, [t.variableDeclarator(key, null)]);

	        var nodes = [];

	        var destructuring = new DestructuringTransformer({
	          kind: left.kind,
	          file: file,
	          scope: scope,
	          nodes: nodes
	        });

	        destructuring.init(pattern, key);

	        path.ensureBlock();

	        var block = node.body;
	        block.body = nodes.concat(block.body);
	      },
	      CatchClause: function CatchClause(_ref6, file) {
	        var node = _ref6.node,
	            scope = _ref6.scope;

	        var pattern = node.param;
	        if (!t.isPattern(pattern)) return;

	        var ref = scope.generateUidIdentifier("ref");
	        node.param = ref;

	        var nodes = [];

	        var destructuring = new DestructuringTransformer({
	          kind: "let",
	          file: file,
	          scope: scope,
	          nodes: nodes
	        });
	        destructuring.init(pattern, ref);

	        node.body.body = nodes.concat(node.body.body);
	      },
	      AssignmentExpression: function AssignmentExpression(path, file) {
	        var node = path.node,
	            scope = path.scope;

	        if (!t.isPattern(node.left)) return;

	        var nodes = [];

	        var destructuring = new DestructuringTransformer({
	          operator: node.operator,
	          file: file,
	          scope: scope,
	          nodes: nodes
	        });

	        var ref = void 0;
	        if (path.isCompletionRecord() || !path.parentPath.isExpressionStatement()) {
	          ref = scope.generateUidIdentifierBasedOnNode(node.right, "ref");

	          nodes.push(t.variableDeclaration("var", [t.variableDeclarator(ref, node.right)]));

	          if (t.isArrayExpression(node.right)) {
	            destructuring.arrays[ref.name] = true;
	          }
	        }

	        destructuring.init(node.left, ref || node.right);

	        if (ref) {
	          nodes.push(t.expressionStatement(ref));
	        }

	        path.replaceWithMultiple(nodes);
	      },
	      VariableDeclaration: function VariableDeclaration(path, file) {
	        var node = path.node,
	            scope = path.scope,
	            parent = path.parent;

	        if (t.isForXStatement(parent)) return;
	        if (!parent || !path.container) return;
	        if (!variableDeclarationHasPattern(node)) return;

	        var nodes = [];
	        var declar = void 0;

	        for (var i = 0; i < node.declarations.length; i++) {
	          declar = node.declarations[i];

	          var patternId = declar.init;
	          var pattern = declar.id;

	          var destructuring = new DestructuringTransformer({
	            blockHoist: node._blockHoist,
	            nodes: nodes,
	            scope: scope,
	            kind: node.kind,
	            file: file
	          });

	          if (t.isPattern(pattern)) {
	            destructuring.init(pattern, patternId);

	            if (+i !== node.declarations.length - 1) {
	              t.inherits(nodes[nodes.length - 1], declar);
	            }
	          } else {
	            nodes.push(t.inherits(destructuring.buildVariableAssignment(declar.id, declar.init), declar));
	          }
	        }

	        var nodesOut = [];
	        for (var _iterator5 = nodes, _isArray5 = Array.isArray(_iterator5), _i5 = 0, _iterator5 = _isArray5 ? _iterator5 : (0, _getIterator3.default)(_iterator5);;) {
	          var _ref7;

	          if (_isArray5) {
	            if (_i5 >= _iterator5.length) break;
	            _ref7 = _iterator5[_i5++];
	          } else {
	            _i5 = _iterator5.next();
	            if (_i5.done) break;
	            _ref7 = _i5.value;
	          }

	          var _node = _ref7;

	          var tail = nodesOut[nodesOut.length - 1];
	          if (tail && t.isVariableDeclaration(tail) && t.isVariableDeclaration(_node) && tail.kind === _node.kind) {
	            var _tail$declarations;

	            (_tail$declarations = tail.declarations).push.apply(_tail$declarations, _node.declarations);
	          } else {
	            nodesOut.push(_node);
	          }
	        }

	        for (var _iterator6 = nodesOut, _isArray6 = Array.isArray(_iterator6), _i6 = 0, _iterator6 = _isArray6 ? _iterator6 : (0, _getIterator3.default)(_iterator6);;) {
	          var _ref8;

	          if (_isArray6) {
	            if (_i6 >= _iterator6.length) break;
	            _ref8 = _iterator6[_i6++];
	          } else {
	            _i6 = _iterator6.next();
	            if (_i6.done) break;
	            _ref8 = _i6.value;
	          }

	          var nodeOut = _ref8;

	          if (!nodeOut.declarations) continue;
	          for (var _iterator7 = nodeOut.declarations, _isArray7 = Array.isArray(_iterator7), _i7 = 0, _iterator7 = _isArray7 ? _iterator7 : (0, _getIterator3.default)(_iterator7);;) {
	            var _ref9;

	            if (_isArray7) {
	              if (_i7 >= _iterator7.length) break;
	              _ref9 = _iterator7[_i7++];
	            } else {
	              _i7 = _iterator7.next();
	              if (_i7.done) break;
	              _ref9 = _i7.value;
	            }

	            var declaration = _ref9;
	            var name = declaration.id.name;

	            if (scope.bindings[name]) {
	              scope.bindings[name].kind = nodeOut.kind;
	            }
	          }
	        }

	        if (nodesOut.length === 1) {
	          path.replaceWith(nodesOut[0]);
	        } else {
	          path.replaceWithMultiple(nodesOut);
	        }
	      }
	    }
	  };
	};

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	module.exports = exports["default"];

/***/ },
/* 188 */
/***/ function(module, exports, __webpack_require__) {

	/*istanbul ignore next*/"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	var _create = __webpack_require__(9);

	var _create2 = _interopRequireDefault(_create);

	exports.default = function () {
	  return {
	    visitor: { /*istanbul ignore next*/
	      ObjectExpression: function ObjectExpression(path) {
	        /*istanbul ignore next*/var node = path.node;

	        var plainProps = node.properties.filter(function (prop) /*istanbul ignore next*/{
	          return !t.isSpreadProperty(prop) && !prop.computed;
	        });

	        // A property is a duplicate key if:
	        // * the property is a data property, and is preceeded by a data,
	        //   getter, or setter property of the same name.
	        // * the property is a getter property, and is preceeded by a data or
	        //   getter property of the same name.
	        // * the property is a setter property, and is preceeded by a data or
	        //   setter property of the same name.

	        var alreadySeenData = /*istanbul ignore next*/(0, _create2.default)(null);
	        var alreadySeenGetters = /*istanbul ignore next*/(0, _create2.default)(null);
	        var alreadySeenSetters = /*istanbul ignore next*/(0, _create2.default)(null);

	        for ( /*istanbul ignore next*/var _iterator = plainProps, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	          /*istanbul ignore next*/
	          var _ref;

	          if (_isArray) {
	            if (_i >= _iterator.length) break;
	            _ref = _iterator[_i++];
	          } else {
	            _i = _iterator.next();
	            if (_i.done) break;
	            _ref = _i.value;
	          }

	          var prop = _ref;

	          var name = getName(prop.key);
	          var isDuplicate = false;
	          switch (prop.kind) {
	            case "get":
	              if (alreadySeenData[name] || alreadySeenGetters[name]) {
	                isDuplicate = true;
	              }
	              alreadySeenGetters[name] = true;
	              break;
	            case "set":
	              if (alreadySeenData[name] || alreadySeenSetters[name]) {
	                isDuplicate = true;
	              }
	              alreadySeenSetters[name] = true;
	              break;
	            default:
	              if (alreadySeenData[name] || alreadySeenGetters[name] || alreadySeenSetters[name]) {
	                isDuplicate = true;
	              }
	              alreadySeenData[name] = true;
	          }

	          if (isDuplicate) {
	            // Rely on the computed properties transform to split the property
	            // assignment out of the object literal.
	            prop.computed = true;
	            prop.key = t.stringLiteral(name);
	          }
	        }
	      }
	    }
	  };
	};

	var /*istanbul ignore next*/_babelTypes = __webpack_require__(1);

	/*istanbul ignore next*/
	var t = _interopRequireWildcard(_babelTypes);

	/*istanbul ignore next*/
	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function getName(key) {
	  if (t.isIdentifier(key)) {
	    return key.name;
	  }
	  return key.value.toString();
	}

	/*istanbul ignore next*/module.exports = exports["default"];

/***/ },
/* 189 */
/***/ function(module, exports) {

	"use strict";

	exports.__esModule = true;

	exports.default = function (_ref) {
	  var messages = _ref.messages;
	  var template = _ref.template;
	  var t = _ref.types;

	  var buildForOfArray = template("\n    for (var KEY = 0; KEY < ARR.length; KEY++) BODY;\n  ");

	  var buildForOfLoose = template("\n    for (var LOOP_OBJECT = OBJECT,\n             IS_ARRAY = Array.isArray(LOOP_OBJECT),\n             INDEX = 0,\n             LOOP_OBJECT = IS_ARRAY ? LOOP_OBJECT : LOOP_OBJECT[Symbol.iterator]();;) {\n      var ID;\n      if (IS_ARRAY) {\n        if (INDEX >= LOOP_OBJECT.length) break;\n        ID = LOOP_OBJECT[INDEX++];\n      } else {\n        INDEX = LOOP_OBJECT.next();\n        if (INDEX.done) break;\n        ID = INDEX.value;\n      }\n    }\n  ");

	  var buildForOf = template("\n    var ITERATOR_COMPLETION = true;\n    var ITERATOR_HAD_ERROR_KEY = false;\n    var ITERATOR_ERROR_KEY = undefined;\n    try {\n      for (var ITERATOR_KEY = OBJECT[Symbol.iterator](), STEP_KEY; !(ITERATOR_COMPLETION = (STEP_KEY = ITERATOR_KEY.next()).done); ITERATOR_COMPLETION = true) {\n      }\n    } catch (err) {\n      ITERATOR_HAD_ERROR_KEY = true;\n      ITERATOR_ERROR_KEY = err;\n    } finally {\n      try {\n        if (!ITERATOR_COMPLETION && ITERATOR_KEY.return) {\n          ITERATOR_KEY.return();\n        }\n      } finally {\n        if (ITERATOR_HAD_ERROR_KEY) {\n          throw ITERATOR_ERROR_KEY;\n        }\n      }\n    }\n  ");

	  function _ForOfStatementArray(path) {
	    var node = path.node;
	    var scope = path.scope;

	    var nodes = [];
	    var right = node.right;

	    if (!t.isIdentifier(right) || !scope.hasBinding(right.name)) {
	      var uid = scope.generateUidIdentifier("arr");
	      nodes.push(t.variableDeclaration("var", [t.variableDeclarator(uid, right)]));
	      right = uid;
	    }

	    var iterationKey = scope.generateUidIdentifier("i");

	    var loop = buildForOfArray({
	      BODY: node.body,
	      KEY: iterationKey,
	      ARR: right
	    });

	    t.inherits(loop, node);
	    t.ensureBlock(loop);

	    var iterationValue = t.memberExpression(right, iterationKey, true);

	    var left = node.left;
	    if (t.isVariableDeclaration(left)) {
	      left.declarations[0].init = iterationValue;
	      loop.body.body.unshift(left);
	    } else {
	      loop.body.body.unshift(t.expressionStatement(t.assignmentExpression("=", left, iterationValue)));
	    }

	    if (path.parentPath.isLabeledStatement()) {
	      loop = t.labeledStatement(path.parentPath.node.label, loop);
	    }

	    nodes.push(loop);

	    return nodes;
	  }

	  return {
	    visitor: {
	      ForOfStatement: function ForOfStatement(path, state) {
	        if (path.get("right").isArrayExpression()) {
	          if (path.parentPath.isLabeledStatement()) {
	            return path.parentPath.replaceWithMultiple(_ForOfStatementArray(path));
	          } else {
	            return path.replaceWithMultiple(_ForOfStatementArray(path));
	          }
	        }

	        var callback = spec;
	        if (state.opts.loose) callback = loose;

	        var node = path.node;

	        var build = callback(path, state);
	        var declar = build.declar;
	        var loop = build.loop;
	        var block = loop.body;

	        path.ensureBlock();

	        if (declar) {
	          block.body.push(declar);
	        }

	        block.body = block.body.concat(node.body.body);

	        t.inherits(loop, node);
	        t.inherits(loop.body, node.body);

	        if (build.replaceParent) {
	          path.parentPath.replaceWithMultiple(build.node);
	          path.remove();
	        } else {
	          path.replaceWithMultiple(build.node);
	        }
	      }
	    }
	  };

	  function loose(path, file) {
	    var node = path.node;
	    var scope = path.scope;

	    var left = node.left;
	    var declar = void 0,
	        id = void 0;

	    if (t.isIdentifier(left) || t.isPattern(left) || t.isMemberExpression(left)) {
	      id = left;
	    } else if (t.isVariableDeclaration(left)) {
	      id = scope.generateUidIdentifier("ref");
	      declar = t.variableDeclaration(left.kind, [t.variableDeclarator(left.declarations[0].id, id)]);
	    } else {
	      throw file.buildCodeFrameError(left, messages.get("unknownForHead", left.type));
	    }

	    var iteratorKey = scope.generateUidIdentifier("iterator");
	    var isArrayKey = scope.generateUidIdentifier("isArray");

	    var loop = buildForOfLoose({
	      LOOP_OBJECT: iteratorKey,
	      IS_ARRAY: isArrayKey,
	      OBJECT: node.right,
	      INDEX: scope.generateUidIdentifier("i"),
	      ID: id
	    });

	    if (!declar) {
	      loop.body.body.shift();
	    }

	    return {
	      declar: declar,
	      node: loop,
	      loop: loop
	    };
	  }

	  function spec(path, file) {
	    var node = path.node;
	    var scope = path.scope;
	    var parent = path.parent;

	    var left = node.left;
	    var declar = void 0;

	    var stepKey = scope.generateUidIdentifier("step");
	    var stepValue = t.memberExpression(stepKey, t.identifier("value"));

	    if (t.isIdentifier(left) || t.isPattern(left) || t.isMemberExpression(left)) {
	      declar = t.expressionStatement(t.assignmentExpression("=", left, stepValue));
	    } else if (t.isVariableDeclaration(left)) {
	      declar = t.variableDeclaration(left.kind, [t.variableDeclarator(left.declarations[0].id, stepValue)]);
	    } else {
	      throw file.buildCodeFrameError(left, messages.get("unknownForHead", left.type));
	    }

	    var iteratorKey = scope.generateUidIdentifier("iterator");

	    var template = buildForOf({
	      ITERATOR_HAD_ERROR_KEY: scope.generateUidIdentifier("didIteratorError"),
	      ITERATOR_COMPLETION: scope.generateUidIdentifier("iteratorNormalCompletion"),
	      ITERATOR_ERROR_KEY: scope.generateUidIdentifier("iteratorError"),
	      ITERATOR_KEY: iteratorKey,
	      STEP_KEY: stepKey,
	      OBJECT: node.right,
	      BODY: null
	    });

	    var isLabeledParent = t.isLabeledStatement(parent);

	    var tryBody = template[3].block.body;
	    var loop = tryBody[0];

	    if (isLabeledParent) {
	      tryBody[0] = t.labeledStatement(parent.label, loop);
	    }

	    return {
	      replaceParent: isLabeledParent,
	      declar: declar,
	      loop: loop,
	      node: template
	    };
	  }
	};

	module.exports = exports["default"];

/***/ },
/* 190 */
/***/ function(module, exports, __webpack_require__) {

	/*istanbul ignore next*/"use strict";

	exports.__esModule = true;

	exports.default = function () {
	  return {
	    visitor: {
	      "ArrowFunctionExpression|FunctionExpression": { /*istanbul ignore next*/
	        exit: function exit(path) {
	          if (path.key !== "value" && !path.parentPath.isObjectProperty()) {
	            var replacement = /*istanbul ignore next*/(0, _babelHelperFunctionName2.default)(path);
	            if (replacement) path.replaceWith(replacement);
	          }
	        }
	      },

	      /*istanbul ignore next*/ObjectProperty: function ObjectProperty(path) {
	        var value = path.get("value");
	        if (value.isFunction()) {
	          var newNode = /*istanbul ignore next*/(0, _babelHelperFunctionName2.default)(value);
	          if (newNode) value.replaceWith(newNode);
	        }
	      }
	    }
	  };
	};

	var /*istanbul ignore next*/_babelHelperFunctionName = __webpack_require__(36);

	/*istanbul ignore next*/
	var _babelHelperFunctionName2 = _interopRequireDefault(_babelHelperFunctionName);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	module.exports = exports["default"];

/***/ },
/* 191 */
/***/ function(module, exports) {

	/*istanbul ignore next*/"use strict";

	exports.__esModule = true;

	exports.default = function () {
	  return {
	    visitor: { /*istanbul ignore next*/
	      NumericLiteral: function NumericLiteral(_ref) {
	        /*istanbul ignore next*/var node = _ref.node;

	        // number octal like 0b10 or 0o70
	        if (node.extra && /^0[ob]/i.test(node.extra.raw)) {
	          node.extra = undefined;
	        }
	      },
	      /*istanbul ignore next*/StringLiteral: function StringLiteral(_ref2) {
	        /*istanbul ignore next*/var node = _ref2.node;

	        // unicode escape
	        if (node.extra && /\\[u]/gi.test(node.extra.raw)) {
	          node.extra = undefined;
	        }
	      }
	    }
	  };
	};

	/*istanbul ignore next*/module.exports = exports["default"];

/***/ },
/* 192 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _create = __webpack_require__(9);

	var _create2 = _interopRequireDefault(_create);

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	var _symbol = __webpack_require__(10);

	var _symbol2 = _interopRequireDefault(_symbol);

	exports.default = function (_ref) {
	  var t = _ref.types;

	  var IGNORE_REASSIGNMENT_SYMBOL = (0, _symbol2.default)();

	  var reassignmentVisitor = {
	    "AssignmentExpression|UpdateExpression": function AssignmentExpressionUpdateExpression(path) {
	      if (path.node[IGNORE_REASSIGNMENT_SYMBOL]) return;
	      path.node[IGNORE_REASSIGNMENT_SYMBOL] = true;

	      var arg = path.get(path.isAssignmentExpression() ? "left" : "argument");
	      if (!arg.isIdentifier()) return;

	      var name = arg.node.name;

	      if (this.scope.getBinding(name) !== path.scope.getBinding(name)) return;

	      var exportedNames = this.exports[name];
	      if (!exportedNames) return;

	      var node = path.node;

	      var isPostUpdateExpression = path.isUpdateExpression() && !node.prefix;
	      if (isPostUpdateExpression) {
	        if (node.operator === "++") node = t.binaryExpression("+", node.argument, t.numericLiteral(1));else if (node.operator === "--") node = t.binaryExpression("-", node.argument, t.numericLiteral(1));else isPostUpdateExpression = false;
	      }

	      for (var _iterator = exportedNames, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	        var _ref2;

	        if (_isArray) {
	          if (_i >= _iterator.length) break;
	          _ref2 = _iterator[_i++];
	        } else {
	          _i = _iterator.next();
	          if (_i.done) break;
	          _ref2 = _i.value;
	        }

	        var exportedName = _ref2;

	        node = this.buildCall(exportedName, node).expression;
	      }

	      if (isPostUpdateExpression) node = t.sequenceExpression([node, path.node]);

	      path.replaceWith(node);
	    }
	  };

	  return {
	    visitor: {
	      CallExpression: function CallExpression(path, state) {
	        if (path.node.callee.type === TYPE_IMPORT) {
	          var contextIdent = state.contextIdent;
	          path.replaceWith(t.callExpression(t.memberExpression(contextIdent, t.identifier("import")), path.node.arguments));
	        }
	      },
	      ReferencedIdentifier: function ReferencedIdentifier(path, state) {
	        if (path.node.name == "__moduleName" && !path.scope.hasBinding("__moduleName")) {
	          path.replaceWith(t.memberExpression(state.contextIdent, t.identifier("id")));
	        }
	      },

	      Program: {
	        enter: function enter(path, state) {
	          state.contextIdent = path.scope.generateUidIdentifier("context");
	        },
	        exit: function exit(path, state) {
	          var exportIdent = path.scope.generateUidIdentifier("export");
	          var contextIdent = state.contextIdent;

	          var exportNames = (0, _create2.default)(null);
	          var modules = [];

	          var beforeBody = [];
	          var setters = [];
	          var sources = [];
	          var variableIds = [];
	          var removedPaths = [];

	          function addExportName(key, val) {
	            exportNames[key] = exportNames[key] || [];
	            exportNames[key].push(val);
	          }

	          function pushModule(source, key, specifiers) {
	            var module = void 0;
	            modules.forEach(function (m) {
	              if (m.key === source) {
	                module = m;
	              }
	            });
	            if (!module) {
	              modules.push(module = { key: source, imports: [], exports: [] });
	            }
	            module[key] = module[key].concat(specifiers);
	          }

	          function buildExportCall(name, val) {
	            return t.expressionStatement(t.callExpression(exportIdent, [t.stringLiteral(name), val]));
	          }

	          var body = path.get("body");

	          var canHoist = true;
	          for (var _iterator2 = body, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	            var _ref3;

	            if (_isArray2) {
	              if (_i2 >= _iterator2.length) break;
	              _ref3 = _iterator2[_i2++];
	            } else {
	              _i2 = _iterator2.next();
	              if (_i2.done) break;
	              _ref3 = _i2.value;
	            }

	            var _path = _ref3;

	            if (_path.isExportDeclaration()) _path = _path.get("declaration");
	            if (_path.isVariableDeclaration() && _path.node.kind !== "var") {
	              canHoist = false;
	              break;
	            }
	          }

	          for (var _iterator3 = body, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : (0, _getIterator3.default)(_iterator3);;) {
	            var _ref4;

	            if (_isArray3) {
	              if (_i3 >= _iterator3.length) break;
	              _ref4 = _iterator3[_i3++];
	            } else {
	              _i3 = _iterator3.next();
	              if (_i3.done) break;
	              _ref4 = _i3.value;
	            }

	            var _path2 = _ref4;

	            if (canHoist && _path2.isFunctionDeclaration()) {
	              beforeBody.push(_path2.node);
	              removedPaths.push(_path2);
	            } else if (_path2.isImportDeclaration()) {
	              var source = _path2.node.source.value;
	              pushModule(source, "imports", _path2.node.specifiers);
	              for (var name in _path2.getBindingIdentifiers()) {
	                _path2.scope.removeBinding(name);
	                variableIds.push(t.identifier(name));
	              }
	              _path2.remove();
	            } else if (_path2.isExportAllDeclaration()) {
	              pushModule(_path2.node.source.value, "exports", _path2.node);
	              _path2.remove();
	            } else if (_path2.isExportDefaultDeclaration()) {
	              var declar = _path2.get("declaration");
	              if (declar.isClassDeclaration() || declar.isFunctionDeclaration()) {
	                var id = declar.node.id;
	                var nodes = [];

	                if (id) {
	                  nodes.push(declar.node);
	                  nodes.push(buildExportCall("default", id));
	                  addExportName(id.name, "default");
	                } else {
	                  nodes.push(buildExportCall("default", t.toExpression(declar.node)));
	                }

	                if (!canHoist || declar.isClassDeclaration()) {
	                  _path2.replaceWithMultiple(nodes);
	                } else {
	                  beforeBody = beforeBody.concat(nodes);
	                  removedPaths.push(_path2);
	                }
	              } else {
	                _path2.replaceWith(buildExportCall("default", declar.node));
	              }
	            } else if (_path2.isExportNamedDeclaration()) {
	              var _declar = _path2.get("declaration");

	              if (_declar.node) {
	                _path2.replaceWith(_declar);

	                var _nodes = [];
	                var bindingIdentifiers = void 0;
	                if (_path2.isFunction()) {
	                  var node = _declar.node;
	                  var _name = node.id.name;
	                  if (canHoist) {
	                    addExportName(_name, _name);
	                    beforeBody.push(node);
	                    beforeBody.push(buildExportCall(_name, node.id));
	                    removedPaths.push(_path2);
	                  } else {
	                    var _bindingIdentifiers;

	                    bindingIdentifiers = (_bindingIdentifiers = {}, _bindingIdentifiers[_name] = node.id, _bindingIdentifiers);
	                  }
	                } else {
	                  bindingIdentifiers = _declar.getBindingIdentifiers();
	                }
	                for (var _name2 in bindingIdentifiers) {
	                  addExportName(_name2, _name2);
	                  _nodes.push(buildExportCall(_name2, t.identifier(_name2)));
	                }
	                _path2.insertAfter(_nodes);
	              } else {
	                var specifiers = _path2.node.specifiers;
	                if (specifiers && specifiers.length) {
	                  if (_path2.node.source) {
	                    pushModule(_path2.node.source.value, "exports", specifiers);
	                    _path2.remove();
	                  } else {
	                    var _nodes2 = [];

	                    for (var _iterator7 = specifiers, _isArray7 = Array.isArray(_iterator7), _i7 = 0, _iterator7 = _isArray7 ? _iterator7 : (0, _getIterator3.default)(_iterator7);;) {
	                      var _ref8;

	                      if (_isArray7) {
	                        if (_i7 >= _iterator7.length) break;
	                        _ref8 = _iterator7[_i7++];
	                      } else {
	                        _i7 = _iterator7.next();
	                        if (_i7.done) break;
	                        _ref8 = _i7.value;
	                      }

	                      var specifier = _ref8;

	                      _nodes2.push(buildExportCall(specifier.exported.name, specifier.local));
	                      addExportName(specifier.local.name, specifier.exported.name);
	                    }

	                    _path2.replaceWithMultiple(_nodes2);
	                  }
	                }
	              }
	            }
	          }

	          modules.forEach(function (specifiers) {
	            var setterBody = [];
	            var target = path.scope.generateUidIdentifier(specifiers.key);

	            for (var _iterator4 = specifiers.imports, _isArray4 = Array.isArray(_iterator4), _i4 = 0, _iterator4 = _isArray4 ? _iterator4 : (0, _getIterator3.default)(_iterator4);;) {
	              var _ref5;

	              if (_isArray4) {
	                if (_i4 >= _iterator4.length) break;
	                _ref5 = _iterator4[_i4++];
	              } else {
	                _i4 = _iterator4.next();
	                if (_i4.done) break;
	                _ref5 = _i4.value;
	              }

	              var specifier = _ref5;

	              if (t.isImportNamespaceSpecifier(specifier)) {
	                setterBody.push(t.expressionStatement(t.assignmentExpression("=", specifier.local, target)));
	              } else if (t.isImportDefaultSpecifier(specifier)) {
	                specifier = t.importSpecifier(specifier.local, t.identifier("default"));
	              }

	              if (t.isImportSpecifier(specifier)) {
	                setterBody.push(t.expressionStatement(t.assignmentExpression("=", specifier.local, t.memberExpression(target, specifier.imported))));
	              }
	            }

	            if (specifiers.exports.length) {
	              var exportObjRef = path.scope.generateUidIdentifier("exportObj");

	              setterBody.push(t.variableDeclaration("var", [t.variableDeclarator(exportObjRef, t.objectExpression([]))]));

	              for (var _iterator5 = specifiers.exports, _isArray5 = Array.isArray(_iterator5), _i5 = 0, _iterator5 = _isArray5 ? _iterator5 : (0, _getIterator3.default)(_iterator5);;) {
	                var _ref6;

	                if (_isArray5) {
	                  if (_i5 >= _iterator5.length) break;
	                  _ref6 = _iterator5[_i5++];
	                } else {
	                  _i5 = _iterator5.next();
	                  if (_i5.done) break;
	                  _ref6 = _i5.value;
	                }

	                var node = _ref6;

	                if (t.isExportAllDeclaration(node)) {
	                  setterBody.push(buildExportAll({
	                    KEY: path.scope.generateUidIdentifier("key"),
	                    EXPORT_OBJ: exportObjRef,
	                    TARGET: target
	                  }));
	                } else if (t.isExportSpecifier(node)) {
	                  setterBody.push(t.expressionStatement(t.assignmentExpression("=", t.memberExpression(exportObjRef, node.exported), t.memberExpression(target, node.local))));
	                } else {}
	              }

	              setterBody.push(t.expressionStatement(t.callExpression(exportIdent, [exportObjRef])));
	            }

	            sources.push(t.stringLiteral(specifiers.key));
	            setters.push(t.functionExpression(null, [target], t.blockStatement(setterBody)));
	          });

	          var moduleName = this.getModuleName();
	          if (moduleName) moduleName = t.stringLiteral(moduleName);

	          if (canHoist) {
	            (0, _babelHelperHoistVariables2.default)(path, function (id) {
	              return variableIds.push(id);
	            });
	          }

	          if (variableIds.length) {
	            beforeBody.unshift(t.variableDeclaration("var", variableIds.map(function (id) {
	              return t.variableDeclarator(id);
	            })));
	          }

	          path.traverse(reassignmentVisitor, {
	            exports: exportNames,
	            buildCall: buildExportCall,
	            scope: path.scope
	          });

	          for (var _iterator6 = removedPaths, _isArray6 = Array.isArray(_iterator6), _i6 = 0, _iterator6 = _isArray6 ? _iterator6 : (0, _getIterator3.default)(_iterator6);;) {
	            var _ref7;

	            if (_isArray6) {
	              if (_i6 >= _iterator6.length) break;
	              _ref7 = _iterator6[_i6++];
	            } else {
	              _i6 = _iterator6.next();
	              if (_i6.done) break;
	              _ref7 = _i6.value;
	            }

	            var _path3 = _ref7;

	            _path3.remove();
	          }

	          path.node.body = [buildTemplate({
	            SYSTEM_REGISTER: t.memberExpression(t.identifier(state.opts.systemGlobal || "System"), t.identifier("register")),
	            BEFORE_BODY: beforeBody,
	            MODULE_NAME: moduleName,
	            SETTERS: setters,
	            SOURCES: sources,
	            BODY: path.node.body,
	            EXPORT_IDENTIFIER: exportIdent,
	            CONTEXT_IDENTIFIER: contextIdent
	          })];
	        }
	      }
	    }
	  };
	};

	var _babelHelperHoistVariables = __webpack_require__(105);

	var _babelHelperHoistVariables2 = _interopRequireDefault(_babelHelperHoistVariables);

	var _babelTemplate = __webpack_require__(5);

	var _babelTemplate2 = _interopRequireDefault(_babelTemplate);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var buildTemplate = (0, _babelTemplate2.default)("\n  SYSTEM_REGISTER(MODULE_NAME, [SOURCES], function (EXPORT_IDENTIFIER, CONTEXT_IDENTIFIER) {\n    \"use strict\";\n    BEFORE_BODY;\n    return {\n      setters: [SETTERS],\n      execute: function () {\n        BODY;\n      }\n    };\n  });\n");

	var buildExportAll = (0, _babelTemplate2.default)("\n  for (var KEY in TARGET) {\n    if (KEY !== \"default\" && KEY !== \"__esModule\") EXPORT_OBJ[KEY] = TARGET[KEY];\n  }\n");

	var TYPE_IMPORT = "Import";

	module.exports = exports["default"];

/***/ },
/* 193 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	exports.default = function (_ref) {
	  var t = _ref.types;

	  function isValidDefine(path) {
	    if (!path.isExpressionStatement()) return;

	    var expr = path.get("expression");
	    if (!expr.isCallExpression()) return false;
	    if (!expr.get("callee").isIdentifier({ name: "define" })) return false;

	    var args = expr.get("arguments");
	    if (args.length === 3 && !args.shift().isStringLiteral()) return false;
	    if (args.length !== 2) return false;
	    if (!args.shift().isArrayExpression()) return false;
	    if (!args.shift().isFunctionExpression()) return false;

	    return true;
	  }

	  return {
	    inherits: __webpack_require__(110),

	    visitor: {
	      Program: {
	        exit: function exit(path, state) {
	          var last = path.get("body").pop();
	          if (!isValidDefine(last)) return;

	          var call = last.node.expression;
	          var args = call.arguments;

	          var moduleName = args.length === 3 ? args.shift() : null;
	          var amdArgs = call.arguments[0];
	          var func = call.arguments[1];
	          var browserGlobals = state.opts.globals || {};

	          var commonArgs = amdArgs.elements.map(function (arg) {
	            if (arg.value === "module" || arg.value === "exports") {
	              return t.identifier(arg.value);
	            } else {
	              return t.callExpression(t.identifier("require"), [arg]);
	            }
	          });

	          var browserArgs = amdArgs.elements.map(function (arg) {
	            if (arg.value === "module") {
	              return t.identifier("mod");
	            } else if (arg.value === "exports") {
	              return t.memberExpression(t.identifier("mod"), t.identifier("exports"));
	            } else {
	              var memberExpression = void 0;

	              if (state.opts.exactGlobals) {
	                var globalRef = browserGlobals[arg.value];
	                if (globalRef) {
	                  memberExpression = globalRef.split(".").reduce(function (accum, curr) {
	                    return t.memberExpression(accum, t.identifier(curr));
	                  }, t.identifier("global"));
	                } else {
	                  memberExpression = t.memberExpression(t.identifier("global"), t.identifier(t.toIdentifier(arg.value)));
	                }
	              } else {
	                var requireName = (0, _path.basename)(arg.value, (0, _path.extname)(arg.value));
	                var globalName = browserGlobals[requireName] || requireName;
	                memberExpression = t.memberExpression(t.identifier("global"), t.identifier(t.toIdentifier(globalName)));
	              }

	              return memberExpression;
	            }
	          });

	          var moduleNameOrBasename = moduleName ? moduleName.value : this.file.opts.basename;
	          var globalToAssign = t.memberExpression(t.identifier("global"), t.identifier(t.toIdentifier(moduleNameOrBasename)));
	          var prerequisiteAssignments = null;

	          if (state.opts.exactGlobals) {
	            var globalName = browserGlobals[moduleNameOrBasename];

	            if (globalName) {
	              prerequisiteAssignments = [];

	              var members = globalName.split(".");
	              globalToAssign = members.slice(1).reduce(function (accum, curr) {
	                prerequisiteAssignments.push(buildPrerequisiteAssignment({ GLOBAL_REFERENCE: accum }));
	                return t.memberExpression(accum, t.identifier(curr));
	              }, t.memberExpression(t.identifier("global"), t.identifier(members[0])));
	            }
	          }

	          var globalExport = buildGlobalExport({
	            BROWSER_ARGUMENTS: browserArgs,
	            PREREQUISITE_ASSIGNMENTS: prerequisiteAssignments,
	            GLOBAL_TO_ASSIGN: globalToAssign
	          });

	          last.replaceWith(buildWrapper({
	            MODULE_NAME: moduleName,
	            AMD_ARGUMENTS: amdArgs,
	            COMMON_ARGUMENTS: commonArgs,
	            GLOBAL_EXPORT: globalExport,
	            FUNC: func
	          }));
	        }
	      }
	    }
	  };
	};

	var _path = __webpack_require__(101);

	var _babelTemplate = __webpack_require__(5);

	var _babelTemplate2 = _interopRequireDefault(_babelTemplate);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var buildPrerequisiteAssignment = (0, _babelTemplate2.default)("\n  GLOBAL_REFERENCE = GLOBAL_REFERENCE || {}\n");

	var buildGlobalExport = (0, _babelTemplate2.default)("\n  var mod = { exports: {} };\n  factory(BROWSER_ARGUMENTS);\n  PREREQUISITE_ASSIGNMENTS\n  GLOBAL_TO_ASSIGN = mod.exports;\n");

	var buildWrapper = (0, _babelTemplate2.default)("\n  (function (global, factory) {\n    if (typeof define === \"function\" && define.amd) {\n      define(MODULE_NAME, AMD_ARGUMENTS, factory);\n    } else if (typeof exports !== \"undefined\") {\n      factory(COMMON_ARGUMENTS);\n    } else {\n      GLOBAL_EXPORT\n    }\n  })(this, FUNC);\n");

	module.exports = exports["default"];

/***/ },
/* 194 */
/***/ function(module, exports, __webpack_require__) {

	/*istanbul ignore next*/"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	var _symbol = __webpack_require__(10);

	var _symbol2 = _interopRequireDefault(_symbol);

	exports.default = function ( /*istanbul ignore next*/_ref) {
	  /*istanbul ignore next*/var t = _ref.types;

	  function Property(path, node, scope, getObjectRef, file) {
	    var replaceSupers = new /*istanbul ignore next*/_babelHelperReplaceSupers2.default({
	      getObjectRef: getObjectRef,
	      methodNode: node,
	      methodPath: path,
	      isStatic: true,
	      scope: scope,
	      file: file
	    });

	    replaceSupers.replace();
	  }

	  var CONTAINS_SUPER = /*istanbul ignore next*/(0, _symbol2.default)();

	  return {
	    visitor: { /*istanbul ignore next*/
	      Super: function Super(path) {
	        var parentObj = path.findParent(function (path) /*istanbul ignore next*/{
	          return path.isObjectExpression();
	        });
	        if (parentObj) parentObj.node[CONTAINS_SUPER] = true;
	      },

	      ObjectExpression: { /*istanbul ignore next*/
	        exit: function exit(path, file) {
	          if (!path.node[CONTAINS_SUPER]) return;

	          var objectRef = /*istanbul ignore next*/void 0;
	          var getObjectRef = function getObjectRef() /*istanbul ignore next*/{
	            return objectRef = objectRef || path.scope.generateUidIdentifier("obj");
	          };

	          var propPaths = path.get("properties");
	          for ( /*istanbul ignore next*/var _iterator = propPaths, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	            /*istanbul ignore next*/
	            var _ref2;

	            if (_isArray) {
	              if (_i >= _iterator.length) break;
	              _ref2 = _iterator[_i++];
	            } else {
	              _i = _iterator.next();
	              if (_i.done) break;
	              _ref2 = _i.value;
	            }

	            var propPath = _ref2;

	            if (propPath.isObjectProperty()) propPath = propPath.get("value");
	            Property(propPath, propPath.node, path.scope, getObjectRef, file);
	          }

	          if (objectRef) {
	            path.scope.push({ id: objectRef });
	            path.replaceWith(t.assignmentExpression("=", objectRef, path.node));
	          }
	        }
	      }
	    }
	  };
	};

	var /*istanbul ignore next*/_babelHelperReplaceSupers = __webpack_require__(108);

	/*istanbul ignore next*/
	var _babelHelperReplaceSupers2 = _interopRequireDefault(_babelHelperReplaceSupers);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	module.exports = exports["default"];

/***/ },
/* 195 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.visitor = undefined;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	var _babelHelperGetFunctionArity = __webpack_require__(104);

	var _babelHelperGetFunctionArity2 = _interopRequireDefault(_babelHelperGetFunctionArity);

	var _babelHelperCallDelegate = __webpack_require__(170);

	var _babelHelperCallDelegate2 = _interopRequireDefault(_babelHelperCallDelegate);

	var _babelTemplate = __webpack_require__(5);

	var _babelTemplate2 = _interopRequireDefault(_babelTemplate);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var buildDefaultParam = (0, _babelTemplate2.default)("\n  let VARIABLE_NAME =\n    ARGUMENTS.length > ARGUMENT_KEY && ARGUMENTS[ARGUMENT_KEY] !== undefined ?\n      ARGUMENTS[ARGUMENT_KEY]\n    :\n      DEFAULT_VALUE;\n");

	var buildCutOff = (0, _babelTemplate2.default)("\n  let $0 = $1[$2];\n");

	function hasDefaults(node) {
	  for (var _iterator = node.params, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	    var _ref;

	    if (_isArray) {
	      if (_i >= _iterator.length) break;
	      _ref = _iterator[_i++];
	    } else {
	      _i = _iterator.next();
	      if (_i.done) break;
	      _ref = _i.value;
	    }

	    var param = _ref;

	    if (!t.isIdentifier(param)) return true;
	  }
	  return false;
	}

	function isSafeBinding(scope, node) {
	  if (!scope.hasOwnBinding(node.name)) return true;

	  var _scope$getOwnBinding = scope.getOwnBinding(node.name),
	      kind = _scope$getOwnBinding.kind;

	  return kind === "param" || kind === "local";
	}

	var iifeVisitor = {
	  ReferencedIdentifier: function ReferencedIdentifier(path, state) {
	    var scope = path.scope,
	        node = path.node;

	    if (node.name === "eval" || !isSafeBinding(scope, node)) {
	      state.iife = true;
	      path.stop();
	    }
	  },
	  Scope: function Scope(path) {
	    path.skip();
	  }
	};

	var visitor = exports.visitor = {
	  Function: function Function(path) {
	    var node = path.node,
	        scope = path.scope;

	    if (!hasDefaults(node)) return;

	    path.ensureBlock();

	    var state = {
	      iife: false,
	      scope: scope
	    };

	    var body = [];

	    var argsIdentifier = t.identifier("arguments");
	    argsIdentifier._shadowedFunctionLiteral = path;

	    function pushDefNode(left, right, i) {
	      var defNode = buildDefaultParam({
	        VARIABLE_NAME: left,
	        DEFAULT_VALUE: right,
	        ARGUMENT_KEY: t.numericLiteral(i),
	        ARGUMENTS: argsIdentifier
	      });
	      defNode._blockHoist = node.params.length - i;
	      body.push(defNode);
	    }

	    var lastNonDefaultParam = (0, _babelHelperGetFunctionArity2.default)(node);

	    var params = path.get("params");
	    for (var i = 0; i < params.length; i++) {
	      var param = params[i];

	      if (!param.isAssignmentPattern()) {
	        if (!state.iife && !param.isIdentifier()) {
	          param.traverse(iifeVisitor, state);
	        }

	        continue;
	      }

	      var left = param.get("left");
	      var right = param.get("right");

	      if (i >= lastNonDefaultParam || left.isPattern()) {
	        var placeholder = scope.generateUidIdentifier("x");
	        placeholder._isDefaultPlaceholder = true;
	        node.params[i] = placeholder;
	      } else {
	        node.params[i] = left.node;
	      }

	      if (!state.iife) {
	        if (right.isIdentifier() && !isSafeBinding(scope, right.node)) {
	          state.iife = true;
	        } else {
	          right.traverse(iifeVisitor, state);
	        }
	      }

	      pushDefNode(left.node, right.node, i);
	    }

	    for (var _i2 = lastNonDefaultParam + 1; _i2 < node.params.length; _i2++) {
	      var _param = node.params[_i2];
	      if (_param._isDefaultPlaceholder) continue;

	      var declar = buildCutOff(_param, argsIdentifier, t.numericLiteral(_i2));
	      declar._blockHoist = node.params.length - _i2;
	      body.push(declar);
	    }

	    node.params = node.params.slice(0, lastNonDefaultParam);

	    if (state.iife) {
	      body.push((0, _babelHelperCallDelegate2.default)(path, scope));
	      path.set("body", t.blockStatement(body));
	    } else {
	      path.get("body").unshiftContainer("body", body);
	    }
	  }
	};

/***/ },
/* 196 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.visitor = undefined;

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	var visitor = exports.visitor = {
	  Function: function Function(path) {
	    var params = path.get("params");

	    var hoistTweak = t.isRestElement(params[params.length - 1]) ? 1 : 0;
	    var outputParamsLength = params.length - hoistTweak;

	    for (var i = 0; i < outputParamsLength; i++) {
	      var param = params[i];
	      if (param.isArrayPattern() || param.isObjectPattern()) {
	        var uid = path.scope.generateUidIdentifier("ref");

	        var declar = t.variableDeclaration("let", [t.variableDeclarator(param.node, uid)]);
	        declar._blockHoist = outputParamsLength - i;

	        path.ensureBlock();
	        path.get("body").unshiftContainer("body", declar);

	        param.replaceWith(uid);
	      }
	    }
	  }
	};

/***/ },
/* 197 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.default = function () {
	  return {
	    visitor: _babelTraverse.visitors.merge([{
	      ArrowFunctionExpression: function ArrowFunctionExpression(path) {
	        var params = path.get("params");
	        for (var _iterator = params, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	          var _ref;

	          if (_isArray) {
	            if (_i >= _iterator.length) break;
	            _ref = _iterator[_i++];
	          } else {
	            _i = _iterator.next();
	            if (_i.done) break;
	            _ref = _i.value;
	          }

	          var param = _ref;

	          if (param.isRestElement() || param.isAssignmentPattern()) {
	            path.arrowFunctionToShadowed();
	            break;
	          }
	        }
	      }
	    }, destructuring.visitor, rest.visitor, def.visitor])
	  };
	};

	var _babelTraverse = __webpack_require__(12);

	var _destructuring = __webpack_require__(196);

	var destructuring = _interopRequireWildcard(_destructuring);

	var _default = __webpack_require__(195);

	var def = _interopRequireWildcard(_default);

	var _rest = __webpack_require__(198);

	var rest = _interopRequireWildcard(_rest);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	module.exports = exports["default"];

/***/ },
/* 198 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.visitor = undefined;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	var _babelTemplate = __webpack_require__(5);

	var _babelTemplate2 = _interopRequireDefault(_babelTemplate);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var buildRest = (0, _babelTemplate2.default)("\n  for (var LEN = ARGUMENTS.length,\n           ARRAY = Array(ARRAY_LEN),\n           KEY = START;\n       KEY < LEN;\n       KEY++) {\n    ARRAY[ARRAY_KEY] = ARGUMENTS[KEY];\n  }\n");

	var restIndex = (0, _babelTemplate2.default)("\n  ARGUMENTS.length <= INDEX ? undefined : ARGUMENTS[INDEX]\n");

	var restIndexImpure = (0, _babelTemplate2.default)("\n  REF = INDEX, ARGUMENTS.length <= REF ? undefined : ARGUMENTS[REF]\n");

	var restLength = (0, _babelTemplate2.default)("\n  ARGUMENTS.length <= OFFSET ? 0 : ARGUMENTS.length - OFFSET\n");

	var memberExpressionOptimisationVisitor = {
	  Scope: function Scope(path, state) {
	    if (!path.scope.bindingIdentifierEquals(state.name, state.outerBinding)) {
	      path.skip();
	    }
	  },
	  Flow: function Flow(path) {
	    if (path.isTypeCastExpression()) return;

	    path.skip();
	  },

	  "Function|ClassProperty": function FunctionClassProperty(path, state) {
	    var oldNoOptimise = state.noOptimise;
	    state.noOptimise = true;
	    path.traverse(memberExpressionOptimisationVisitor, state);
	    state.noOptimise = oldNoOptimise;

	    path.skip();
	  },

	  ReferencedIdentifier: function ReferencedIdentifier(path, state) {
	    var node = path.node;

	    if (node.name === "arguments") {
	      state.deopted = true;
	    }

	    if (node.name !== state.name) return;

	    if (state.noOptimise) {
	      state.deopted = true;
	    } else {
	      var parentPath = path.parentPath;

	      if (parentPath.listKey === "params" && parentPath.key < state.offset) {
	        return;
	      }

	      if (parentPath.isMemberExpression({ object: node })) {
	        var grandparentPath = parentPath.parentPath;

	        var argsOptEligible = !state.deopted && !(grandparentPath.isAssignmentExpression() && parentPath.node === grandparentPath.node.left || grandparentPath.isLVal() || grandparentPath.isForXStatement() || grandparentPath.isUpdateExpression() || grandparentPath.isUnaryExpression({ operator: "delete" }) || (grandparentPath.isCallExpression() || grandparentPath.isNewExpression()) && parentPath.node === grandparentPath.node.callee);

	        if (argsOptEligible) {
	          if (parentPath.node.computed) {
	            if (parentPath.get("property").isBaseType("number")) {
	              state.candidates.push({ cause: "indexGetter", path: path });
	              return;
	            }
	          } else if (parentPath.node.property.name === "length") {
	            state.candidates.push({ cause: "lengthGetter", path: path });
	            return;
	          }
	        }
	      }

	      if (state.offset === 0 && parentPath.isSpreadElement()) {
	        var call = parentPath.parentPath;
	        if (call.isCallExpression() && call.node.arguments.length === 1) {
	          state.candidates.push({ cause: "argSpread", path: path });
	          return;
	        }
	      }

	      state.references.push(path);
	    }
	  },
	  BindingIdentifier: function BindingIdentifier(_ref, state) {
	    var node = _ref.node;

	    if (node.name === state.name) {
	      state.deopted = true;
	    }
	  }
	};
	function hasRest(node) {
	  return t.isRestElement(node.params[node.params.length - 1]);
	}

	function optimiseIndexGetter(path, argsId, offset) {
	  var index = void 0;

	  if (t.isNumericLiteral(path.parent.property)) {
	    index = t.numericLiteral(path.parent.property.value + offset);
	  } else if (offset === 0) {
	    index = path.parent.property;
	  } else {
	    index = t.binaryExpression("+", path.parent.property, t.numericLiteral(offset));
	  }

	  var scope = path.scope;

	  if (!scope.isPure(index)) {
	    var temp = scope.generateUidIdentifierBasedOnNode(index);
	    scope.push({ id: temp, kind: "var" });
	    path.parentPath.replaceWith(restIndexImpure({
	      ARGUMENTS: argsId,
	      INDEX: index,
	      REF: temp
	    }));
	  } else {
	    path.parentPath.replaceWith(restIndex({
	      ARGUMENTS: argsId,
	      INDEX: index
	    }));
	  }
	}

	function optimiseLengthGetter(path, argsId, offset) {
	  if (offset) {
	    path.parentPath.replaceWith(restLength({
	      ARGUMENTS: argsId,
	      OFFSET: t.numericLiteral(offset)
	    }));
	  } else {
	    path.replaceWith(argsId);
	  }
	}

	var visitor = exports.visitor = {
	  Function: function Function(path) {
	    var node = path.node,
	        scope = path.scope;

	    if (!hasRest(node)) return;

	    var rest = node.params.pop().argument;

	    var argsId = t.identifier("arguments");

	    argsId._shadowedFunctionLiteral = path;

	    var state = {
	      references: [],
	      offset: node.params.length,

	      argumentsNode: argsId,
	      outerBinding: scope.getBindingIdentifier(rest.name),

	      candidates: [],

	      name: rest.name,

	      deopted: false
	    };

	    path.traverse(memberExpressionOptimisationVisitor, state);

	    if (!state.deopted && !state.references.length) {
	      for (var _iterator = state.candidates, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	        var _ref3;

	        if (_isArray) {
	          if (_i >= _iterator.length) break;
	          _ref3 = _iterator[_i++];
	        } else {
	          _i = _iterator.next();
	          if (_i.done) break;
	          _ref3 = _i.value;
	        }

	        var _ref4 = _ref3;
	        var _path = _ref4.path,
	            cause = _ref4.cause;

	        switch (cause) {
	          case "indexGetter":
	            optimiseIndexGetter(_path, argsId, state.offset);
	            break;
	          case "lengthGetter":
	            optimiseLengthGetter(_path, argsId, state.offset);
	            break;
	          default:
	            _path.replaceWith(argsId);
	        }
	      }
	      return;
	    }

	    state.references = state.references.concat(state.candidates.map(function (_ref5) {
	      var path = _ref5.path;
	      return path;
	    }));

	    state.deopted = state.deopted || !!node.shadow;

	    var start = t.numericLiteral(node.params.length);
	    var key = scope.generateUidIdentifier("key");
	    var len = scope.generateUidIdentifier("len");

	    var arrKey = key;
	    var arrLen = len;
	    if (node.params.length) {
	      arrKey = t.binaryExpression("-", key, start);

	      arrLen = t.conditionalExpression(t.binaryExpression(">", len, start), t.binaryExpression("-", len, start), t.numericLiteral(0));
	    }

	    var loop = buildRest({
	      ARGUMENTS: argsId,
	      ARRAY_KEY: arrKey,
	      ARRAY_LEN: arrLen,
	      START: start,
	      ARRAY: rest,
	      KEY: key,
	      LEN: len
	    });

	    if (state.deopted) {
	      loop._blockHoist = node.params.length + 1;
	      node.body.body.unshift(loop);
	    } else {
	      loop._blockHoist = 1;

	      var target = path.getEarliestCommonAncestorFrom(state.references).getStatementParent();

	      target.findParent(function (path) {
	        if (path.isLoop()) {
	          target = path;
	        } else {
	          return path.isFunction();
	        }
	      });

	      target.insertBefore(loop);
	    }
	  }
	};

/***/ },
/* 199 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	exports.default = function () {
	  return {
	    visitor: {
	      ObjectMethod: function ObjectMethod(path) {
	        var node = path.node;

	        if (node.kind === "method") {
	          var func = t.functionExpression(null, node.params, node.body, node.generator, node.async);
	          func.returnType = node.returnType;

	          path.replaceWith(t.objectProperty(node.key, func, node.computed));
	        }
	      },
	      ObjectProperty: function ObjectProperty(_ref) {
	        var node = _ref.node;

	        if (node.shorthand) {
	          node.shorthand = false;
	        }
	      }
	    }
	  };
	};

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	module.exports = exports["default"];

/***/ },
/* 200 */
/***/ function(module, exports, __webpack_require__) {

	/*istanbul ignore next*/"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.default = function ( /*istanbul ignore next*/_ref) {
	  /*istanbul ignore next*/var t = _ref.types;

	  function getSpreadLiteral(spread, scope, state) {
	    if (state.opts.loose && !t.isIdentifier(spread.argument, { name: "arguments" })) {
	      return spread.argument;
	    } else {
	      return scope.toArray(spread.argument, true);
	    }
	  }

	  function hasSpread(nodes) {
	    for (var i = 0; i < nodes.length; i++) {
	      if (t.isSpreadElement(nodes[i])) {
	        return true;
	      }
	    }
	    return false;
	  }

	  function build(props, scope, state) {
	    var nodes = [];

	    var _props = [];

	    function push() {
	      if (!_props.length) return;
	      nodes.push(t.arrayExpression(_props));
	      _props = [];
	    }

	    for ( /*istanbul ignore next*/var _iterator = props, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	      /*istanbul ignore next*/
	      var _ref2;

	      if (_isArray) {
	        if (_i >= _iterator.length) break;
	        _ref2 = _iterator[_i++];
	      } else {
	        _i = _iterator.next();
	        if (_i.done) break;
	        _ref2 = _i.value;
	      }

	      var prop = _ref2;

	      if (t.isSpreadElement(prop)) {
	        push();
	        nodes.push(getSpreadLiteral(prop, scope, state));
	      } else {
	        _props.push(prop);
	      }
	    }

	    push();

	    return nodes;
	  }

	  return {
	    visitor: { /*istanbul ignore next*/
	      ArrayExpression: function ArrayExpression(path, state) {
	        /*istanbul ignore next*/var node = path.node;
	        /*istanbul ignore next*/var scope = path.scope;

	        var elements = node.elements;
	        if (!hasSpread(elements)) return;

	        var nodes = build(elements, scope, state);
	        var first = nodes.shift();

	        if (!t.isArrayExpression(first)) {
	          nodes.unshift(first);
	          first = t.arrayExpression([]);
	        }

	        path.replaceWith(t.callExpression(t.memberExpression(first, t.identifier("concat")), nodes));
	      },
	      /*istanbul ignore next*/CallExpression: function CallExpression(path, state) {
	        /*istanbul ignore next*/var node = path.node;
	        /*istanbul ignore next*/var scope = path.scope;

	        var args = node.arguments;
	        if (!hasSpread(args)) return;

	        var calleePath = path.get("callee");
	        if (calleePath.isSuper()) return;

	        var contextLiteral = t.identifier("undefined");

	        node.arguments = [];

	        var nodes = /*istanbul ignore next*/void 0;
	        if (args.length === 1 && args[0].argument.name === "arguments") {
	          nodes = [args[0].argument];
	        } else {
	          nodes = build(args, scope, state);
	        }

	        var first = nodes.shift();
	        if (nodes.length) {
	          node.arguments.push(t.callExpression(t.memberExpression(first, t.identifier("concat")), nodes));
	        } else {
	          node.arguments.push(first);
	        }

	        var callee = node.callee;

	        if (calleePath.isMemberExpression()) {
	          var temp = scope.maybeGenerateMemoised(callee.object);
	          if (temp) {
	            callee.object = t.assignmentExpression("=", temp, callee.object);
	            contextLiteral = temp;
	          } else {
	            contextLiteral = callee.object;
	          }
	          t.appendToMemberExpression(callee, t.identifier("apply"));
	        } else {
	          node.callee = t.memberExpression(node.callee, t.identifier("apply"));
	        }

	        if (t.isSuper(contextLiteral)) {
	          contextLiteral = t.thisExpression();
	        }

	        node.arguments.unshift(contextLiteral);
	      },
	      /*istanbul ignore next*/NewExpression: function NewExpression(path, state) {
	        /*istanbul ignore next*/var node = path.node;
	        /*istanbul ignore next*/var scope = path.scope;

	        var args = node.arguments;
	        if (!hasSpread(args)) return;

	        var nodes = build(args, scope, state);

	        var context = t.arrayExpression([t.nullLiteral()]);

	        args = t.callExpression(t.memberExpression(context, t.identifier("concat")), nodes);

	        path.replaceWith(t.newExpression(t.callExpression(t.memberExpression(t.memberExpression(t.memberExpression(t.identifier("Function"), t.identifier("prototype")), t.identifier("bind")), t.identifier("apply")), [node.callee, args]), []));
	      }
	    }
	  };
	};

	/*istanbul ignore next*/
	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	module.exports = exports["default"];

/***/ },
/* 201 */
/***/ function(module, exports, __webpack_require__) {

	/*istanbul ignore next*/"use strict";

	exports.__esModule = true;

	exports.default = function () {
	  return {
	    visitor: { /*istanbul ignore next*/
	      RegExpLiteral: function RegExpLiteral(path) {
	        /*istanbul ignore next*/var node = path.node;

	        if (!regex.is(node, "y")) return;

	        path.replaceWith(t.newExpression(t.identifier("RegExp"), [t.stringLiteral(node.pattern), t.stringLiteral(node.flags)]));
	      }
	    }
	  };
	};

	var /*istanbul ignore next*/_babelHelperRegex = __webpack_require__(107);

	/*istanbul ignore next*/
	var regex = _interopRequireWildcard(_babelHelperRegex);

	var /*istanbul ignore next*/_babelTypes = __webpack_require__(1);

	/*istanbul ignore next*/
	var t = _interopRequireWildcard(_babelTypes);

	/*istanbul ignore next*/
	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	module.exports = exports["default"];

/***/ },
/* 202 */
/***/ function(module, exports, __webpack_require__) {

	/*istanbul ignore next*/"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.default = function ( /*istanbul ignore next*/_ref) {
	  /*istanbul ignore next*/var t = _ref.types;

	  function isString(node) {
	    return t.isLiteral(node) && typeof node.value === "string";
	  }

	  function buildBinaryExpression(left, right) {
	    return t.binaryExpression("+", left, right);
	  }

	  return {
	    visitor: { /*istanbul ignore next*/
	      TaggedTemplateExpression: function TaggedTemplateExpression(path, state) {
	        /*istanbul ignore next*/var node = path.node;

	        var quasi = node.quasi;
	        var args = [];

	        var strings = [];
	        var raw = [];

	        for ( /*istanbul ignore next*/var _iterator = quasi.quasis, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	          /*istanbul ignore next*/
	          var _ref2;

	          if (_isArray) {
	            if (_i >= _iterator.length) break;
	            _ref2 = _iterator[_i++];
	          } else {
	            _i = _iterator.next();
	            if (_i.done) break;
	            _ref2 = _i.value;
	          }

	          var elem = _ref2;

	          strings.push(t.stringLiteral(elem.value.cooked));
	          raw.push(t.stringLiteral(elem.value.raw));
	        }

	        strings = t.arrayExpression(strings);
	        raw = t.arrayExpression(raw);

	        var templateName = "taggedTemplateLiteral";
	        if (state.opts.loose) templateName += "Loose";

	        var templateObject = state.file.addTemplateObject(templateName, strings, raw);
	        args.push(templateObject);

	        args = args.concat(quasi.expressions);

	        path.replaceWith(t.callExpression(node.tag, args));
	      },
	      /*istanbul ignore next*/TemplateLiteral: function TemplateLiteral(path, state) {
	        var nodes = [];

	        var expressions = path.get("expressions");

	        for ( /*istanbul ignore next*/var _iterator2 = path.node.quasis, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	          /*istanbul ignore next*/
	          var _ref3;

	          if (_isArray2) {
	            if (_i2 >= _iterator2.length) break;
	            _ref3 = _iterator2[_i2++];
	          } else {
	            _i2 = _iterator2.next();
	            if (_i2.done) break;
	            _ref3 = _i2.value;
	          }

	          var elem = _ref3;

	          nodes.push(t.stringLiteral(elem.value.cooked));

	          var expr = expressions.shift();
	          if (expr) {
	            if (state.opts.spec && !expr.isBaseType("string") && !expr.isBaseType("number")) {
	              nodes.push(t.callExpression(t.identifier("String"), [expr.node]));
	            } else {
	              nodes.push(expr.node);
	            }
	          }
	        }

	        // filter out empty string literals
	        nodes = nodes.filter(function (n) /*istanbul ignore next*/{
	          return !t.isLiteral(n, { value: "" });
	        });

	        // since `+` is left-to-right associative
	        // ensure the first node is a string if first/second isn't
	        if (!isString(nodes[0]) && !isString(nodes[1])) {
	          nodes.unshift(t.stringLiteral(""));
	        }

	        if (nodes.length > 1) {
	          var root = buildBinaryExpression(nodes.shift(), nodes.shift());

	          for ( /*istanbul ignore next*/var _iterator3 = nodes, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : (0, _getIterator3.default)(_iterator3);;) {
	            /*istanbul ignore next*/
	            var _ref4;

	            if (_isArray3) {
	              if (_i3 >= _iterator3.length) break;
	              _ref4 = _iterator3[_i3++];
	            } else {
	              _i3 = _iterator3.next();
	              if (_i3.done) break;
	              _ref4 = _i3.value;
	            }

	            var node = _ref4;

	            root = buildBinaryExpression(root, node);
	          }

	          path.replaceWith(root);
	        } else {
	          path.replaceWith(nodes[0]);
	        }
	      }
	    }
	  };
	};

	/*istanbul ignore next*/
	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	module.exports = exports["default"];

/***/ },
/* 203 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _symbol = __webpack_require__(10);

	var _symbol2 = _interopRequireDefault(_symbol);

	exports.default = function (_ref) {
	  var t = _ref.types;

	  var IGNORE = (0, _symbol2.default)();

	  return {
	    visitor: {
	      Scope: function Scope(_ref2) {
	        var scope = _ref2.scope;

	        if (!scope.getBinding("Symbol")) {
	          return;
	        }

	        scope.rename("Symbol");
	      },
	      UnaryExpression: function UnaryExpression(path) {
	        var node = path.node;
	        var parent = path.parent;

	        if (node[IGNORE]) return;
	        if (path.find(function (path) {
	          return path.node && !!path.node._generated;
	        })) return;

	        if (path.parentPath.isBinaryExpression() && t.EQUALITY_BINARY_OPERATORS.indexOf(parent.operator) >= 0) {
	          var opposite = path.getOpposite();
	          if (opposite.isLiteral() && opposite.node.value !== "symbol" && opposite.node.value !== "object") {
	            return;
	          }
	        }

	        if (node.operator === "typeof") {
	          var call = t.callExpression(this.addHelper("typeof"), [node.argument]);
	          if (path.get("argument").isIdentifier()) {
	            var undefLiteral = t.stringLiteral("undefined");
	            var unary = t.unaryExpression("typeof", node.argument);
	            unary[IGNORE] = true;
	            path.replaceWith(t.conditionalExpression(t.binaryExpression("===", unary, undefLiteral), undefLiteral, call));
	          } else {
	            path.replaceWith(call);
	          }
	        }
	      }
	    }
	  };
	};

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	module.exports = exports["default"];

/***/ },
/* 204 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	exports.default = function () {
	  return {
	    visitor: {
	      RegExpLiteral: function RegExpLiteral(_ref) {
	        var node = _ref.node;

	        if (!regex.is(node, "u")) return;
	        node.pattern = (0, _regexpuCore2.default)(node.pattern, node.flags);
	        regex.pullFlag(node, "u");
	      }
	    }
	  };
	};

	var _regexpuCore = __webpack_require__(433);

	var _regexpuCore2 = _interopRequireDefault(_regexpuCore);

	var _babelHelperRegex = __webpack_require__(107);

	var regex = _interopRequireWildcard(_babelHelperRegex);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	module.exports = exports["default"];

/***/ },
/* 205 */
/***/ function(module, exports, __webpack_require__) {

	/*istanbul ignore next*/"use strict";

	exports.__esModule = true;

	exports.default = function ( /*istanbul ignore next*/_ref) {
	  /*istanbul ignore next*/var t = _ref.types;

	  return {
	    inherits: __webpack_require__(177),

	    visitor: /*istanbul ignore next*/(0, _babelHelperBuilderBinaryAssignmentOperatorVisitor2.default)({
	      operator: "**",

	      /*istanbul ignore next*/build: function build(left, right) {
	        return t.callExpression(t.memberExpression(t.identifier("Math"), t.identifier("pow")), [left, right]);
	      }
	    })
	  };
	};

	var /*istanbul ignore next*/_babelHelperBuilderBinaryAssignmentOperatorVisitor = __webpack_require__(169);

	/*istanbul ignore next*/
	var _babelHelperBuilderBinaryAssignmentOperatorVisitor2 = _interopRequireDefault(_babelHelperBuilderBinaryAssignmentOperatorVisitor);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	module.exports = exports["default"];

/***/ },
/* 206 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	module.exports = __webpack_require__(428);

/***/ },
/* 207 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.default = function () {
	  return {
	    visitor: {
	      Program: function Program(path, state) {
	        if (state.opts.strict === false || state.opts.strictMode === false) return;

	        var node = path.node;

	        for (var _iterator = node.directives, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	          var _ref;

	          if (_isArray) {
	            if (_i >= _iterator.length) break;
	            _ref = _iterator[_i++];
	          } else {
	            _i = _iterator.next();
	            if (_i.done) break;
	            _ref = _i.value;
	          }

	          var directive = _ref;

	          if (directive.value.value === "use strict") return;
	        }

	        path.unshiftContainer("directives", t.directive(t.directiveLiteral("use strict")));
	      }
	    }
	  };
	};

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	module.exports = exports["default"];

/***/ },
/* 208 */
/***/ function(module, exports) {

	"use strict";

	module.exports = {
	  // es2015
	  "transform-es2015-arrow-functions": {
	    features: ["arrow functions"]
	  },
	  "transform-es2015-block-scoped-functions": {
	    features: ["block-level function declaration"]
	  },
	  "transform-es2015-block-scoping": {
	    features: ["const", "let"]
	  },
	  "transform-es2015-classes": {
	    features: ["class", "super"]
	  },
	  "transform-es2015-computed-properties": {
	    features: ["object literal extensions / computed properties"]
	  },
	  "check-es2015-constants": {
	    features: ["const"]
	  },
	  "transform-es2015-destructuring": {
	    features: ["destructuring, assignment", "destructuring, declarations", "destructuring, parameters"]
	  },
	  "transform-es2015-for-of": {
	    features: ["for..of loops"]
	  },
	  "transform-es2015-function-name": {
	    features: ["function \"name\" property"]
	  },
	  "transform-es2015-literals": {
	    features: ["Unicode code point escapes"]
	  },
	  "transform-es2015-object-super": {
	    features: ["super"]
	  },
	  "transform-es2015-parameters": {
	    features: ["default function parameters", "rest parameters"]
	  },
	  "transform-es2015-shorthand-properties": {
	    features: ["object literal extensions / shorthand properties"]
	  },
	  "transform-es2015-spread": {
	    features: ["spread (...) operator"]
	  },
	  "transform-es2015-sticky-regex": {
	    features: ["RegExp \"y\" and \"u\" flags / \"y\" flag, lastIndex", "RegExp \"y\" and \"u\" flags / \"y\" flag"]
	  },
	  "transform-es2015-template-literals": {
	    features: ["template literals"]
	  },
	  "transform-es2015-typeof-symbol": {
	    features: ["Symbol / typeof support"]
	  },
	  "transform-es2015-unicode-regex": {
	    features: ["RegExp \"y\" and \"u\" flags / \"u\" flag, case folding", "RegExp \"y\" and \"u\" flags / \"u\" flag, Unicode code point escapes", "RegExp \"y\" and \"u\" flags / \"u\" flag"]
	  },
	  "transform-regenerator": {
	    features: ["generators"]
	  },

	  // es2016
	  "transform-exponentiation-operator": {
	    features: ["exponentiation (**) operator"]
	  },

	  // es2017
	  "transform-async-to-generator": {
	    features: ["async functions"]
	  },
	  "syntax-trailing-function-commas": {
	    features: ["trailing commas in function syntax"]
	  }
	};

/***/ },
/* 209 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(process) {"use strict";

	exports.__esModule = true;
	exports.validateModulesOption = exports.validateLooseOption = exports.getTargets = exports.electronVersionToChromeVersion = exports.getCurrentNodeVersion = exports.isPluginRequired = exports.validIncludesAndExcludes = exports.MODULE_TRANSFORMATIONS = undefined;
	exports.validatePluginsOption = validatePluginsOption;
	exports.checkDuplicateIncludeExcludes = checkDuplicateIncludeExcludes;
	exports.default = buildPreset;

	var _plugins = __webpack_require__(166);

	var _plugins2 = _interopRequireDefault(_plugins);

	var _pluginFeatures = __webpack_require__(208);

	var _pluginFeatures2 = _interopRequireDefault(_pluginFeatures);

	var _builtIns = __webpack_require__(165);

	var _builtIns2 = _interopRequireDefault(_builtIns);

	var _browserslist = __webpack_require__(248);

	var _browserslist2 = _interopRequireDefault(_browserslist);

	var _transformPolyfillRequirePlugin = __webpack_require__(210);

	var _transformPolyfillRequirePlugin2 = _interopRequireDefault(_transformPolyfillRequirePlugin);

	var _electronToChromium = __webpack_require__(112);

	var _electronToChromium2 = _interopRequireDefault(_electronToChromium);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var MODULE_TRANSFORMATIONS = exports.MODULE_TRANSFORMATIONS = {
	  "amd": "transform-es2015-modules-amd",
	  "commonjs": "transform-es2015-modules-commonjs",
	  "systemjs": "transform-es2015-modules-systemjs",
	  "umd": "transform-es2015-modules-umd"
	};

	var defaultInclude = ["web.timers", "web.immediate", "web.dom.iterable"];

	var validIncludesAndExcludes = exports.validIncludesAndExcludes = [].concat(Object.keys(_pluginFeatures2.default), Object.keys(MODULE_TRANSFORMATIONS).map(function (m) {
	  return MODULE_TRANSFORMATIONS[m];
	}), Object.keys(_builtIns2.default), defaultInclude);

	/**
	 * Determine if a transformation is required
	 * @param  {Object}  supportedEnvironments  An Object containing environment keys and the lowest
	 *                                          supported version as a value
	 * @param  {Object}  plugin                 An Object containing environment keys and the lowest
	 *                                          version the feature was implmented in as a value
	 * @return {Boolean}  Whether or not the transformation is required
	 */
	var isPluginRequired = exports.isPluginRequired = function isPluginRequired(supportedEnvironments, plugin) {
	  if (supportedEnvironments.browsers) {
	    supportedEnvironments = getTargets(supportedEnvironments);
	  }

	  var targetEnvironments = Object.keys(supportedEnvironments);

	  if (targetEnvironments.length === 0) {
	    return true;
	  }

	  var isRequiredForEnvironments = targetEnvironments.filter(function (environment) {
	    // Feature is not implemented in that environment
	    if (!plugin[environment]) {
	      return true;
	    }

	    var lowestImplementedVersion = plugin[environment];
	    var lowestTargetedVersion = supportedEnvironments[environment];

	    if (lowestTargetedVersion < lowestImplementedVersion) {
	      return true;
	    }

	    return false;
	  });

	  return isRequiredForEnvironments.length > 0 ? true : false;
	};

	var isBrowsersQueryValid = function isBrowsersQueryValid(browsers) {
	  return typeof browsers === "string" || Array.isArray(browsers);
	};

	var browserNameMap = {
	  chrome: "chrome",
	  edge: "edge",
	  firefox: "firefox",
	  ie: "ie",
	  ios_saf: "ios",
	  safari: "safari"
	};

	var getLowestVersions = function getLowestVersions(browsers) {
	  return browsers.reduce(function (all, browser) {
	    var _browser$split = browser.split(" "),
	        browserName = _browser$split[0],
	        browserVersion = _browser$split[1];

	    if (browserName in browserNameMap) {
	      all[browserNameMap[browserName]] = parseInt(browserVersion);
	    }
	    return all;
	  }, {});
	};

	var mergeBrowsers = function mergeBrowsers(fromQuery, fromTarget) {
	  return Object.keys(fromTarget).reduce(function (queryObj, targKey) {
	    if (targKey !== "browsers") {
	      queryObj[targKey] = fromTarget[targKey];
	    }
	    return queryObj;
	  }, fromQuery);
	};

	var getCurrentNodeVersion = exports.getCurrentNodeVersion = function getCurrentNodeVersion() {
	  return parseFloat(process.versions.node);
	};

	var electronVersionToChromeVersion = exports.electronVersionToChromeVersion = function electronVersionToChromeVersion(semverVer) {
	  semverVer = String(semverVer);

	  if (semverVer === "1") {
	    semverVer = "1.0";
	  }

	  var m = semverVer.match(/^(\d+\.\d+)/);
	  if (!m) {
	    throw new Error("Electron version must be a semver version");
	  }

	  var result = _electronToChromium2.default[m[1]];
	  if (!result) {
	    throw new Error("Electron version " + m[1] + " is either too old or too new");
	  }

	  return result;
	};

	var _extends = Object.assign || function (target) {
	  for (var i = 1; i < arguments.length; i++) {
	    var source = arguments[i];
	    for (var key in source) {
	      if (Object.prototype.hasOwnProperty.call(source, key)) {
	        target[key] = source[key];
	      }
	    }
	  }
	  return target;
	};

	var getTargets = exports.getTargets = function getTargets() {
	  var targets = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

	  var targetOps = _extends({}, targets);

	  if (targetOps.node === true || targetOps.node === "current") {
	    targetOps.node = getCurrentNodeVersion();
	  }

	  // Rewrite Electron versions to their Chrome equivalents
	  if (targetOps.electron) {
	    targetOps.chrome = electronVersionToChromeVersion(targetOps.electron);
	    delete targetOps.electron;
	  }

	  var browserOpts = targetOps.browsers;
	  if (isBrowsersQueryValid(browserOpts)) {
	    var queryBrowsers = getLowestVersions((0, _browserslist2.default)(browserOpts));
	    return mergeBrowsers(queryBrowsers, targetOps);
	  }
	  return targetOps;
	};

	// TODO: Allow specifying plugins as either shortened or full name
	// babel-plugin-transform-es2015-classes
	// transform-es2015-classes
	var validateLooseOption = exports.validateLooseOption = function validateLooseOption() {
	  var looseOpt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;

	  if (typeof looseOpt !== "boolean") {
	    throw new Error("Preset env: 'loose' option must be a boolean.");
	  }

	  return looseOpt;
	};

	var validateModulesOption = exports.validateModulesOption = function validateModulesOption() {
	  var modulesOpt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : "commonjs";

	  if (modulesOpt !== false && Object.keys(MODULE_TRANSFORMATIONS).indexOf(modulesOpt) === -1) {
	    throw new Error("The 'modules' option must be 'false' to indicate no modules\n" + "or a module type which be be one of: 'commonjs' (default), 'amd', 'umd', 'systemjs'");
	  }

	  return modulesOpt;
	};

	function validatePluginsOption() {
	  var opts = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
	  var type = arguments[1];

	  if (!Array.isArray(opts)) {
	    throw new Error("The '" + type + "' option must be an Array<string> of plugins/built-ins");
	  }

	  var unknownOpts = [];
	  opts.forEach(function (opt) {
	    if (validIncludesAndExcludes.indexOf(opt) === -1) {
	      unknownOpts.push(opt);
	    }
	  });

	  if (unknownOpts.length > 0) {
	    throw new Error("Invalid plugins/built-ins '" + unknownOpts + "' passed to '" + type + "' option.\n      Check data/[plugin-features|built-in-features].js in babel-preset-env");
	  }

	  return {
	    all: opts,
	    plugins: opts.filter(function (opt) {
	      return !opt.match(/^(es\d+|web)\./);
	    }),
	    builtIns: opts.filter(function (opt) {
	      return opt.match(/^(es\d+|web)\./);
	    })
	  };
	}

	var validateIncludeOption = function validateIncludeOption(opts) {
	  return validatePluginsOption(opts, "include");
	};
	var validateExcludeOption = function validateExcludeOption(opts) {
	  return validatePluginsOption(opts, "exclude");
	};

	function checkDuplicateIncludeExcludes(include, exclude) {
	  var duplicates = [];
	  include.forEach(function (opt) {
	    if (exclude.indexOf(opt) >= 0) {
	      duplicates.push(opt);
	    }
	  });

	  if (duplicates.length > 0) {
	    throw new Error("Duplicate plugins/built-ins: '" + duplicates + "' found\n      in both the \"include\" and \"exclude\" options.");
	  }
	}

	var hasBeenLogged = false;
	var hasBeenWarned = false;

	var logPlugin = function logPlugin(plugin, targets, list) {
	  var envList = list[plugin] || {};
	  var filteredList = Object.keys(targets).reduce(function (a, b) {
	    a[b] = envList[b];
	    return a;
	  }, {});
	  var logStr = "\n " + plugin + " " + JSON.stringify(filteredList);
	  console.log(logStr);
	};

	function buildPreset(context) {
	  var opts = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

	  var loose = validateLooseOption(opts.loose);
	  var moduleType = validateModulesOption(opts.modules);
	  // TODO: remove whitelist in favor of include in next major
	  if (opts.whitelist && !hasBeenWarned) {
	    hasBeenWarned = true;
	    console.warn("The \"whitelist\" option has been deprecated\n    in favor of \"include\" to match the newly added \"exclude\" option (instead of \"blacklist\").");
	  }
	  var include = validateIncludeOption(opts.whitelist || opts.include);
	  var exclude = validateExcludeOption(opts.exclude);
	  checkDuplicateIncludeExcludes(include.all, exclude.all);
	  var targets = getTargets(opts.targets);
	  var debug = opts.debug;
	  var useBuiltIns = opts.useBuiltIns;

	  var transformations = Object.keys(_plugins2.default).filter(function (pluginName) {
	    return isPluginRequired(targets, _plugins2.default[pluginName]);
	  });

	  var polyfills = void 0;
	  if (useBuiltIns) {
	    polyfills = Object.keys(_builtIns2.default).filter(function (builtInName) {
	      return isPluginRequired(targets, _builtIns2.default[builtInName]);
	    }).concat(defaultInclude).filter(function (plugin) {
	      return exclude.builtIns.indexOf(plugin) === -1;
	    }).concat(include.builtIns);
	  }

	  if (debug && !hasBeenLogged) {
	    hasBeenLogged = true;
	    console.log("babel-preset-env: `DEBUG` option");
	    console.log("");
	    console.log("Using targets: " + JSON.stringify(opts.targets, null, 2));
	    console.log("");
	    console.log("modules transform: " + moduleType);
	    console.log("");
	    console.log("Using plugins:");
	    transformations.forEach(function (transform) {
	      logPlugin(transform, opts.targets, _plugins2.default);
	    });
	    console.log("\nUsing polyfills:");
	    if (useBuiltIns && polyfills.length) {
	      polyfills.forEach(function (polyfill) {
	        logPlugin(polyfill, opts.targets, _builtIns2.default);
	      });
	    }
	  }

	  var allTransformations = transformations.filter(function (plugin) {
	    return exclude.plugins.indexOf(plugin) === -1;
	  }).concat(include.plugins);

	  var regenerator = allTransformations.indexOf("transform-regenerator") >= 0;
	  var modulePlugin = moduleType !== false && MODULE_TRANSFORMATIONS[moduleType];
	  var plugins = [];

	  modulePlugin && plugins.push([!(function webpackMissingModule() { var e = new Error("Cannot find module \".\""); e.code = 'MODULE_NOT_FOUND'; throw e; }()), { loose: loose }]);

	  plugins.push.apply(plugins, allTransformations.map(function (pluginName) {
	    return [!(function webpackMissingModule() { var e = new Error("Cannot find module \".\""); e.code = 'MODULE_NOT_FOUND'; throw e; }()), { loose: loose }];
	  }));

	  useBuiltIns && plugins.push([_transformPolyfillRequirePlugin2.default, { polyfills: polyfills, regenerator: regenerator }]);

	  return {
	    plugins: plugins
	  };
	}
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(30)))

/***/ },
/* 210 */
/***/ function(module, exports) {

	"use strict";

	exports.__esModule = true;

	exports.default = function (_ref) {
	  var t = _ref.types;

	  function createImportDeclaration(polyfill) {
	    var declar = t.importDeclaration([], t.stringLiteral(polyfill));
	    declar._blockHoist = 3;
	    return declar;
	  }

	  function createRequireStatement(polyfill) {
	    return t.expressionStatement(t.callExpression(t.identifier("require"), [t.stringLiteral(polyfill)]));
	  }

	  function isRequire(path) {
	    return t.isExpressionStatement(path.node) && t.isCallExpression(path.node.expression) && t.isIdentifier(path.node.expression.callee) && path.node.expression.callee.name === "require" && path.node.expression.arguments.length === 1 && t.isStringLiteral(path.node.expression.arguments[0]) && isPolyfillSource(path.node.expression.arguments[0].value);
	  }

	  function createImport(polyfill, requireType, core) {
	    if (core) {
	      polyfill = "core-js/modules/" + polyfill;
	    }

	    if (requireType === "import") {
	      return createImportDeclaration(polyfill);
	    } else {
	      return createRequireStatement(polyfill);
	    }
	  }

	  function createImports(polyfills, requireType, regenerator) {
	    var imports = polyfills.filter(function (el, i, arr) {
	      return arr.indexOf(el) === i;
	    }).map(function (polyfill) {
	      return createImport(polyfill, requireType, true);
	    });

	    return [].concat(imports, [regenerator && createImport("regenerator-runtime/runtime", requireType)]).filter(Boolean);
	  }

	  var isPolyfillImport = {
	    ImportDeclaration: function ImportDeclaration(path, state) {
	      if (path.node.specifiers.length === 0 && isPolyfillSource(path.node.source.value)) {
	        this.numPolyfillImports++;
	        if (this.numPolyfillImports > 1) {
	          path.remove();
	          return;
	        }

	        path.replaceWithMultiple(createImports(state.opts.polyfills, "import", state.opts.regenerator));
	      }
	    },
	    Program: function Program(path, state) {
	      var _this = this;

	      if (!state.opts.polyfills) {
	        throw path.buildCodeFrameError("\nThere was an issue in \"babel-preset-env\" such that\nthe \"polyfills\" option was not correctly passed\nto the \"transform-polyfill-require\" plugin\n");
	      }
	      path.get("body").forEach(function (bodyPath) {
	        if (isRequire(bodyPath)) {
	          _this.numPolyfillImports++;
	          if (_this.numPolyfillImports > 1) {
	            path.remove();
	            return;
	          }

	          bodyPath.replaceWithMultiple(createImports(state.opts.polyfills, "require", state.opts.regenerator));
	        }
	      });
	    }
	  };

	  return {
	    name: "transform-polyfill-require",
	    visitor: isPolyfillImport,
	    pre: function pre() {
	      this.numPolyfillImports = 0;
	    }
	  };
	};

	function isPolyfillSource(value) {
	  return value === "babel-polyfill" || value === "core-js";
	}

/***/ },
/* 211 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	module.exports = { "default": __webpack_require__(254), __esModule: true };

/***/ },
/* 212 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	module.exports = { "default": __webpack_require__(256), __esModule: true };

/***/ },
/* 213 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	module.exports = { "default": __webpack_require__(258), __esModule: true };

/***/ },
/* 214 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	module.exports = { "default": __webpack_require__(259), __esModule: true };

/***/ },
/* 215 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	module.exports = { "default": __webpack_require__(261), __esModule: true };

/***/ },
/* 216 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	module.exports = { "default": __webpack_require__(262), __esModule: true };

/***/ },
/* 217 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _setPrototypeOf = __webpack_require__(213);

	var _setPrototypeOf2 = _interopRequireDefault(_setPrototypeOf);

	var _create = __webpack_require__(9);

	var _create2 = _interopRequireDefault(_create);

	var _typeof2 = __webpack_require__(11);

	var _typeof3 = _interopRequireDefault(_typeof2);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	exports.default = function (subClass, superClass) {
	  if (typeof superClass !== "function" && superClass !== null) {
	    throw new TypeError("Super expression must either be null or a function, not " + (typeof superClass === "undefined" ? "undefined" : (0, _typeof3.default)(superClass)));
	  }

	  subClass.prototype = (0, _create2.default)(superClass && superClass.prototype, {
	    constructor: {
	      value: subClass,
	      enumerable: false,
	      writable: true,
	      configurable: true
	    }
	  });
	  if (superClass) _setPrototypeOf2.default ? (0, _setPrototypeOf2.default)(subClass, superClass) : subClass.__proto__ = superClass;
	};

/***/ },
/* 218 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _typeof2 = __webpack_require__(11);

	var _typeof3 = _interopRequireDefault(_typeof2);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	exports.default = function (self, call) {
	  if (!self) {
	    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
	  }

	  return call && ((typeof call === "undefined" ? "undefined" : (0, _typeof3.default)(call)) === "object" || typeof call === "function") ? call : self;
	};

/***/ },
/* 219 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	var _classCallCheck2 = __webpack_require__(4);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	var _path2 = __webpack_require__(24);

	var _path3 = _interopRequireDefault(_path2);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var testing = ("production") === "test";

	var TraversalContext = function () {
	  function TraversalContext(scope, opts, state, parentPath) {
	    (0, _classCallCheck3.default)(this, TraversalContext);
	    this.queue = null;

	    this.parentPath = parentPath;
	    this.scope = scope;
	    this.state = state;
	    this.opts = opts;
	  }

	  TraversalContext.prototype.shouldVisit = function shouldVisit(node) {
	    var opts = this.opts;
	    if (opts.enter || opts.exit) return true;

	    if (opts[node.type]) return true;

	    var keys = t.VISITOR_KEYS[node.type];
	    if (!keys || !keys.length) return false;

	    for (var _iterator = keys, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	      var _ref;

	      if (_isArray) {
	        if (_i >= _iterator.length) break;
	        _ref = _iterator[_i++];
	      } else {
	        _i = _iterator.next();
	        if (_i.done) break;
	        _ref = _i.value;
	      }

	      var key = _ref;

	      if (node[key]) return true;
	    }

	    return false;
	  };

	  TraversalContext.prototype.create = function create(node, obj, key, listKey) {
	    return _path3.default.get({
	      parentPath: this.parentPath,
	      parent: node,
	      container: obj,
	      key: key,
	      listKey: listKey
	    });
	  };

	  TraversalContext.prototype.maybeQueue = function maybeQueue(path, notPriority) {
	    if (this.trap) {
	      throw new Error("Infinite cycle detected");
	    }

	    if (this.queue) {
	      if (notPriority) {
	        this.queue.push(path);
	      } else {
	        this.priorityQueue.push(path);
	      }
	    }
	  };

	  TraversalContext.prototype.visitMultiple = function visitMultiple(container, parent, listKey) {
	    if (container.length === 0) return false;

	    var queue = [];

	    for (var key = 0; key < container.length; key++) {
	      var node = container[key];
	      if (node && this.shouldVisit(node)) {
	        queue.push(this.create(parent, container, key, listKey));
	      }
	    }

	    return this.visitQueue(queue);
	  };

	  TraversalContext.prototype.visitSingle = function visitSingle(node, key) {
	    if (this.shouldVisit(node[key])) {
	      return this.visitQueue([this.create(node, node, key)]);
	    } else {
	      return false;
	    }
	  };

	  TraversalContext.prototype.visitQueue = function visitQueue(queue) {
	    this.queue = queue;
	    this.priorityQueue = [];

	    var visited = [];
	    var stop = false;

	    for (var _iterator2 = queue, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	      var _ref2;

	      if (_isArray2) {
	        if (_i2 >= _iterator2.length) break;
	        _ref2 = _iterator2[_i2++];
	      } else {
	        _i2 = _iterator2.next();
	        if (_i2.done) break;
	        _ref2 = _i2.value;
	      }

	      var path = _ref2;

	      path.resync();

	      if (path.contexts.length === 0 || path.contexts[path.contexts.length - 1] !== this) {
	        path.pushContext(this);
	      }

	      if (path.key === null) continue;

	      if (testing && queue.length >= 10000) {
	        this.trap = true;
	      }

	      if (visited.indexOf(path.node) >= 0) continue;
	      visited.push(path.node);

	      if (path.visit()) {
	        stop = true;
	        break;
	      }

	      if (this.priorityQueue.length) {
	        stop = this.visitQueue(this.priorityQueue);
	        this.priorityQueue = [];
	        this.queue = queue;
	        if (stop) break;
	      }
	    }

	    for (var _iterator3 = queue, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : (0, _getIterator3.default)(_iterator3);;) {
	      var _ref3;

	      if (_isArray3) {
	        if (_i3 >= _iterator3.length) break;
	        _ref3 = _iterator3[_i3++];
	      } else {
	        _i3 = _iterator3.next();
	        if (_i3.done) break;
	        _ref3 = _i3.value;
	      }

	      var _path = _ref3;

	      _path.popContext();
	    }

	    this.queue = null;

	    return stop;
	  };

	  TraversalContext.prototype.visit = function visit(node, key) {
	    var nodes = node[key];
	    if (!nodes) return false;

	    if (Array.isArray(nodes)) {
	      return this.visitMultiple(nodes, node, key);
	    } else {
	      return this.visitSingle(node, key);
	    }
	  };

	  return TraversalContext;
	}();

	exports.default = TraversalContext;
	module.exports = exports["default"];

/***/ },
/* 220 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.findParent = findParent;
	exports.find = find;
	exports.getFunctionParent = getFunctionParent;
	exports.getStatementParent = getStatementParent;
	exports.getEarliestCommonAncestorFrom = getEarliestCommonAncestorFrom;
	exports.getDeepestCommonAncestorFrom = getDeepestCommonAncestorFrom;
	exports.getAncestry = getAncestry;
	exports.isAncestor = isAncestor;
	exports.isDescendant = isDescendant;
	exports.inType = inType;
	exports.inShadow = inShadow;

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	var _index = __webpack_require__(24);

	var _index2 = _interopRequireDefault(_index);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function findParent(callback) {
	  var path = this;
	  while (path = path.parentPath) {
	    if (callback(path)) return path;
	  }
	  return null;
	}

	function find(callback) {
	  var path = this;
	  do {
	    if (callback(path)) return path;
	  } while (path = path.parentPath);
	  return null;
	}

	function getFunctionParent() {
	  return this.findParent(function (path) {
	    return path.isFunction() || path.isProgram();
	  });
	}

	function getStatementParent() {
	  var path = this;
	  do {
	    if (Array.isArray(path.container)) {
	      return path;
	    }
	  } while (path = path.parentPath);
	}

	function getEarliestCommonAncestorFrom(paths) {
	  return this.getDeepestCommonAncestorFrom(paths, function (deepest, i, ancestries) {
	    var earliest = void 0;
	    var keys = t.VISITOR_KEYS[deepest.type];

	    for (var _iterator = ancestries, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	      var _ref;

	      if (_isArray) {
	        if (_i >= _iterator.length) break;
	        _ref = _iterator[_i++];
	      } else {
	        _i = _iterator.next();
	        if (_i.done) break;
	        _ref = _i.value;
	      }

	      var ancestry = _ref;

	      var path = ancestry[i + 1];

	      if (!earliest) {
	        earliest = path;
	        continue;
	      }

	      if (path.listKey && earliest.listKey === path.listKey) {
	        if (path.key < earliest.key) {
	          earliest = path;
	          continue;
	        }
	      }

	      var earliestKeyIndex = keys.indexOf(earliest.parentKey);
	      var currentKeyIndex = keys.indexOf(path.parentKey);
	      if (earliestKeyIndex > currentKeyIndex) {
	        earliest = path;
	      }
	    }

	    return earliest;
	  });
	}

	function getDeepestCommonAncestorFrom(paths, filter) {
	  var _this = this;

	  if (!paths.length) {
	    return this;
	  }

	  if (paths.length === 1) {
	    return paths[0];
	  }

	  var minDepth = Infinity;

	  var lastCommonIndex = void 0,
	      lastCommon = void 0;

	  var ancestries = paths.map(function (path) {
	    var ancestry = [];

	    do {
	      ancestry.unshift(path);
	    } while ((path = path.parentPath) && path !== _this);

	    if (ancestry.length < minDepth) {
	      minDepth = ancestry.length;
	    }

	    return ancestry;
	  });

	  var first = ancestries[0];

	  depthLoop: for (var i = 0; i < minDepth; i++) {
	    var shouldMatch = first[i];

	    for (var _iterator2 = ancestries, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	      var _ref2;

	      if (_isArray2) {
	        if (_i2 >= _iterator2.length) break;
	        _ref2 = _iterator2[_i2++];
	      } else {
	        _i2 = _iterator2.next();
	        if (_i2.done) break;
	        _ref2 = _i2.value;
	      }

	      var ancestry = _ref2;

	      if (ancestry[i] !== shouldMatch) {
	        break depthLoop;
	      }
	    }

	    lastCommonIndex = i;
	    lastCommon = shouldMatch;
	  }

	  if (lastCommon) {
	    if (filter) {
	      return filter(lastCommon, lastCommonIndex, ancestries);
	    } else {
	      return lastCommon;
	    }
	  } else {
	    throw new Error("Couldn't find intersection");
	  }
	}

	function getAncestry() {
	  var path = this;
	  var paths = [];
	  do {
	    paths.push(path);
	  } while (path = path.parentPath);
	  return paths;
	}

	function isAncestor(maybeDescendant) {
	  return maybeDescendant.isDescendant(this);
	}

	function isDescendant(maybeAncestor) {
	  return !!this.findParent(function (parent) {
	    return parent === maybeAncestor;
	  });
	}

	function inType() {
	  var path = this;
	  while (path) {
	    for (var _iterator3 = arguments, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : (0, _getIterator3.default)(_iterator3);;) {
	      var _ref3;

	      if (_isArray3) {
	        if (_i3 >= _iterator3.length) break;
	        _ref3 = _iterator3[_i3++];
	      } else {
	        _i3 = _iterator3.next();
	        if (_i3.done) break;
	        _ref3 = _i3.value;
	      }

	      var type = _ref3;

	      if (path.node.type === type) return true;
	    }
	    path = path.parentPath;
	  }

	  return false;
	}

	function inShadow(key) {
	  var parentFn = this.isFunction() ? this : this.findParent(function (p) {
	    return p.isFunction();
	  });
	  if (!parentFn) return;

	  if (parentFn.isFunctionExpression() || parentFn.isFunctionDeclaration()) {
	    var shadow = parentFn.node.shadow;

	    if (shadow && (!key || shadow[key] !== false)) {
	      return parentFn;
	    }
	  } else if (parentFn.isArrowFunctionExpression()) {
	    return parentFn;
	  }

	  return null;
	}

/***/ },
/* 221 */
/***/ function(module, exports) {

	"use strict";

	exports.__esModule = true;
	exports.shareCommentsWithSiblings = shareCommentsWithSiblings;
	exports.addComment = addComment;
	exports.addComments = addComments;
	function shareCommentsWithSiblings() {
	  if (typeof this.key === "string") return;

	  var node = this.node;
	  if (!node) return;

	  var trailing = node.trailingComments;
	  var leading = node.leadingComments;
	  if (!trailing && !leading) return;

	  var prev = this.getSibling(this.key - 1);
	  var next = this.getSibling(this.key + 1);

	  if (!prev.node) prev = next;
	  if (!next.node) next = prev;

	  prev.addComments("trailing", leading);
	  next.addComments("leading", trailing);
	}

	function addComment(type, content, line) {
	  this.addComments(type, [{
	    type: line ? "CommentLine" : "CommentBlock",
	    value: content
	  }]);
	}

	function addComments(type, comments) {
	  if (!comments) return;

	  var node = this.node;
	  if (!node) return;

	  var key = type + "Comments";

	  if (node[key]) {
	    node[key] = node[key].concat(comments);
	  } else {
	    node[key] = comments;
	  }
	}

/***/ },
/* 222 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.call = call;
	exports._call = _call;
	exports.isBlacklisted = isBlacklisted;
	exports.visit = visit;
	exports.skip = skip;
	exports.skipKey = skipKey;
	exports.stop = stop;
	exports.setScope = setScope;
	exports.setContext = setContext;
	exports.resync = resync;
	exports._resyncParent = _resyncParent;
	exports._resyncKey = _resyncKey;
	exports._resyncList = _resyncList;
	exports._resyncRemoved = _resyncRemoved;
	exports.popContext = popContext;
	exports.pushContext = pushContext;
	exports.setup = setup;
	exports.setKey = setKey;
	exports.requeue = requeue;
	exports._getQueueContexts = _getQueueContexts;

	var _index = __webpack_require__(12);

	var _index2 = _interopRequireDefault(_index);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function call(key) {
	  var opts = this.opts;

	  this.debug(function () {
	    return key;
	  });

	  if (this.node) {
	    if (this._call(opts[key])) return true;
	  }

	  if (this.node) {
	    return this._call(opts[this.node.type] && opts[this.node.type][key]);
	  }

	  return false;
	}

	function _call(fns) {
	  if (!fns) return false;

	  for (var _iterator = fns, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	    var _ref;

	    if (_isArray) {
	      if (_i >= _iterator.length) break;
	      _ref = _iterator[_i++];
	    } else {
	      _i = _iterator.next();
	      if (_i.done) break;
	      _ref = _i.value;
	    }

	    var fn = _ref;

	    if (!fn) continue;

	    var node = this.node;
	    if (!node) return true;

	    var ret = fn.call(this.state, this, this.state);
	    if (ret) throw new Error("Unexpected return value from visitor method " + fn);

	    if (this.node !== node) return true;

	    if (this.shouldStop || this.shouldSkip || this.removed) return true;
	  }

	  return false;
	}

	function isBlacklisted() {
	  var blacklist = this.opts.blacklist;
	  return blacklist && blacklist.indexOf(this.node.type) > -1;
	}

	function visit() {
	  if (!this.node) {
	    return false;
	  }

	  if (this.isBlacklisted()) {
	    return false;
	  }

	  if (this.opts.shouldSkip && this.opts.shouldSkip(this)) {
	    return false;
	  }

	  if (this.call("enter") || this.shouldSkip) {
	    this.debug(function () {
	      return "Skip...";
	    });
	    return this.shouldStop;
	  }

	  this.debug(function () {
	    return "Recursing into...";
	  });
	  _index2.default.node(this.node, this.opts, this.scope, this.state, this, this.skipKeys);

	  this.call("exit");

	  return this.shouldStop;
	}

	function skip() {
	  this.shouldSkip = true;
	}

	function skipKey(key) {
	  this.skipKeys[key] = true;
	}

	function stop() {
	  this.shouldStop = true;
	  this.shouldSkip = true;
	}

	function setScope() {
	  if (this.opts && this.opts.noScope) return;

	  var target = this.context && this.context.scope;

	  if (!target) {
	    var path = this.parentPath;
	    while (path && !target) {
	      if (path.opts && path.opts.noScope) return;

	      target = path.scope;
	      path = path.parentPath;
	    }
	  }

	  this.scope = this.getScope(target);
	  if (this.scope) this.scope.init();
	}

	function setContext(context) {
	  this.shouldSkip = false;
	  this.shouldStop = false;
	  this.removed = false;
	  this.skipKeys = {};

	  if (context) {
	    this.context = context;
	    this.state = context.state;
	    this.opts = context.opts;
	  }

	  this.setScope();

	  return this;
	}

	function resync() {
	  if (this.removed) return;

	  this._resyncParent();
	  this._resyncList();
	  this._resyncKey();
	}

	function _resyncParent() {
	  if (this.parentPath) {
	    this.parent = this.parentPath.node;
	  }
	}

	function _resyncKey() {
	  if (!this.container) return;

	  if (this.node === this.container[this.key]) return;

	  if (Array.isArray(this.container)) {
	    for (var i = 0; i < this.container.length; i++) {
	      if (this.container[i] === this.node) {
	        return this.setKey(i);
	      }
	    }
	  } else {
	    for (var key in this.container) {
	      if (this.container[key] === this.node) {
	        return this.setKey(key);
	      }
	    }
	  }

	  this.key = null;
	}

	function _resyncList() {
	  if (!this.parent || !this.inList) return;

	  var newContainer = this.parent[this.listKey];
	  if (this.container === newContainer) return;

	  this.container = newContainer || null;
	}

	function _resyncRemoved() {
	  if (this.key == null || !this.container || this.container[this.key] !== this.node) {
	    this._markRemoved();
	  }
	}

	function popContext() {
	  this.contexts.pop();
	  this.setContext(this.contexts[this.contexts.length - 1]);
	}

	function pushContext(context) {
	  this.contexts.push(context);
	  this.setContext(context);
	}

	function setup(parentPath, container, listKey, key) {
	  this.inList = !!listKey;
	  this.listKey = listKey;
	  this.parentKey = listKey || key;
	  this.container = container;

	  this.parentPath = parentPath || this.parentPath;
	  this.setKey(key);
	}

	function setKey(key) {
	  this.key = key;
	  this.node = this.container[this.key];
	  this.type = this.node && this.node.type;
	}

	function requeue() {
	  var pathToQueue = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : this;

	  if (pathToQueue.removed) return;

	  var contexts = this.contexts;

	  for (var _iterator2 = contexts, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	    var _ref2;

	    if (_isArray2) {
	      if (_i2 >= _iterator2.length) break;
	      _ref2 = _iterator2[_i2++];
	    } else {
	      _i2 = _iterator2.next();
	      if (_i2.done) break;
	      _ref2 = _i2.value;
	    }

	    var context = _ref2;

	    context.maybeQueue(pathToQueue);
	  }
	}

	function _getQueueContexts() {
	  var path = this;
	  var contexts = this.contexts;
	  while (!contexts.length) {
	    path = path.parentPath;
	    contexts = path.contexts;
	  }
	  return contexts;
	}

/***/ },
/* 223 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.toComputedKey = toComputedKey;
	exports.ensureBlock = ensureBlock;
	exports.arrowFunctionToShadowed = arrowFunctionToShadowed;

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function toComputedKey() {
	  var node = this.node;

	  var key = void 0;
	  if (this.isMemberExpression()) {
	    key = node.property;
	  } else if (this.isProperty() || this.isMethod()) {
	    key = node.key;
	  } else {
	    throw new ReferenceError("todo");
	  }

	  if (!node.computed) {
	    if (t.isIdentifier(key)) key = t.stringLiteral(key.name);
	  }

	  return key;
	}

	function ensureBlock() {
	  return t.ensureBlock(this.node);
	}

	function arrowFunctionToShadowed() {
	  if (!this.isArrowFunctionExpression()) return;

	  this.ensureBlock();

	  var node = this.node;

	  node.expression = false;
	  node.type = "FunctionExpression";
	  node.shadow = node.shadow || true;
	}

/***/ },
/* 224 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(global) {"use strict";

	exports.__esModule = true;

	var _typeof2 = __webpack_require__(11);

	var _typeof3 = _interopRequireDefault(_typeof2);

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	var _map = __webpack_require__(113);

	var _map2 = _interopRequireDefault(_map);

	exports.evaluateTruthy = evaluateTruthy;
	exports.evaluate = evaluate;

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var VALID_CALLEES = ["String", "Number", "Math"];
	var INVALID_METHODS = ["random"];

	function evaluateTruthy() {
	  var res = this.evaluate();
	  if (res.confident) return !!res.value;
	}

	function evaluate() {
	  var confident = true;
	  var deoptPath = void 0;
	  var seen = new _map2.default();

	  function deopt(path) {
	    if (!confident) return;
	    deoptPath = path;
	    confident = false;
	  }

	  var value = evaluate(this);
	  if (!confident) value = undefined;
	  return {
	    confident: confident,
	    deopt: deoptPath,
	    value: value
	  };

	  function evaluate(path) {
	    var node = path.node;

	    if (seen.has(node)) {
	      var existing = seen.get(node);
	      if (existing.resolved) {
	        return existing.value;
	      } else {
	        deopt(path);
	        return;
	      }
	    } else {
	      var item = { resolved: false };
	      seen.set(node, item);

	      var val = _evaluate(path);
	      if (confident) {
	        item.resolved = true;
	        item.value = val;
	      }
	      return val;
	    }
	  }

	  function _evaluate(path) {
	    if (!confident) return;

	    var node = path.node;

	    if (path.isSequenceExpression()) {
	      var exprs = path.get("expressions");
	      return evaluate(exprs[exprs.length - 1]);
	    }

	    if (path.isStringLiteral() || path.isNumericLiteral() || path.isBooleanLiteral()) {
	      return node.value;
	    }

	    if (path.isNullLiteral()) {
	      return null;
	    }

	    if (path.isTemplateLiteral()) {
	      var str = "";

	      var i = 0;
	      var _exprs = path.get("expressions");

	      for (var _iterator = node.quasis, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	        var _ref;

	        if (_isArray) {
	          if (_i >= _iterator.length) break;
	          _ref = _iterator[_i++];
	        } else {
	          _i = _iterator.next();
	          if (_i.done) break;
	          _ref = _i.value;
	        }

	        var elem = _ref;

	        if (!confident) break;

	        str += elem.value.cooked;

	        var expr = _exprs[i++];
	        if (expr) str += String(evaluate(expr));
	      }

	      if (!confident) return;
	      return str;
	    }

	    if (path.isConditionalExpression()) {
	      var testResult = evaluate(path.get("test"));
	      if (!confident) return;
	      if (testResult) {
	        return evaluate(path.get("consequent"));
	      } else {
	        return evaluate(path.get("alternate"));
	      }
	    }

	    if (path.isExpressionWrapper()) {
	      return evaluate(path.get("expression"));
	    }

	    if (path.isMemberExpression() && !path.parentPath.isCallExpression({ callee: node })) {
	      var property = path.get("property");
	      var object = path.get("object");

	      if (object.isLiteral() && property.isIdentifier()) {
	        var _value = object.node.value;
	        var type = typeof _value === "undefined" ? "undefined" : (0, _typeof3.default)(_value);
	        if (type === "number" || type === "string") {
	          return _value[property.node.name];
	        }
	      }
	    }

	    if (path.isReferencedIdentifier()) {
	      var binding = path.scope.getBinding(node.name);

	      if (binding && binding.constantViolations.length > 0) {
	        return deopt(binding.path);
	      }

	      if (binding && path.node.start < binding.path.node.end) {
	        return deopt(binding.path);
	      }

	      if (binding && binding.hasValue) {
	        return binding.value;
	      } else {
	        if (node.name === "undefined") {
	          return undefined;
	        } else if (node.name === "Infinity") {
	          return Infinity;
	        } else if (node.name === "NaN") {
	          return NaN;
	        }

	        var resolved = path.resolve();
	        if (resolved === path) {
	          return deopt(path);
	        } else {
	          return evaluate(resolved);
	        }
	      }
	    }

	    if (path.isUnaryExpression({ prefix: true })) {
	      if (node.operator === "void") {
	        return undefined;
	      }

	      var argument = path.get("argument");
	      if (node.operator === "typeof" && (argument.isFunction() || argument.isClass())) {
	        return "function";
	      }

	      var arg = evaluate(argument);
	      if (!confident) return;
	      switch (node.operator) {
	        case "!":
	          return !arg;
	        case "+":
	          return +arg;
	        case "-":
	          return -arg;
	        case "~":
	          return ~arg;
	        case "typeof":
	          return typeof arg === "undefined" ? "undefined" : (0, _typeof3.default)(arg);
	      }
	    }

	    if (path.isArrayExpression()) {
	      var arr = [];
	      var elems = path.get("elements");
	      for (var _iterator2 = elems, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	        var _ref2;

	        if (_isArray2) {
	          if (_i2 >= _iterator2.length) break;
	          _ref2 = _iterator2[_i2++];
	        } else {
	          _i2 = _iterator2.next();
	          if (_i2.done) break;
	          _ref2 = _i2.value;
	        }

	        var _elem = _ref2;

	        _elem = _elem.evaluate();

	        if (_elem.confident) {
	          arr.push(_elem.value);
	        } else {
	          return deopt(_elem);
	        }
	      }
	      return arr;
	    }

	    if (path.isObjectExpression()) {
	      var obj = {};
	      var props = path.get("properties");
	      for (var _iterator3 = props, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : (0, _getIterator3.default)(_iterator3);;) {
	        var _ref3;

	        if (_isArray3) {
	          if (_i3 >= _iterator3.length) break;
	          _ref3 = _iterator3[_i3++];
	        } else {
	          _i3 = _iterator3.next();
	          if (_i3.done) break;
	          _ref3 = _i3.value;
	        }

	        var prop = _ref3;

	        if (prop.isObjectMethod() || prop.isSpreadProperty()) {
	          return deopt(prop);
	        }
	        var keyPath = prop.get("key");
	        var key = keyPath;
	        if (prop.node.computed) {
	          key = key.evaluate();
	          if (!key.confident) {
	            return deopt(keyPath);
	          }
	          key = key.value;
	        } else if (key.isIdentifier()) {
	          key = key.node.name;
	        } else {
	          key = key.node.value;
	        }
	        var valuePath = prop.get("value");
	        var _value2 = valuePath.evaluate();
	        if (!_value2.confident) {
	          return deopt(valuePath);
	        }
	        _value2 = _value2.value;
	        obj[key] = _value2;
	      }
	      return obj;
	    }

	    if (path.isLogicalExpression()) {
	      var wasConfident = confident;
	      var left = evaluate(path.get("left"));
	      var leftConfident = confident;
	      confident = wasConfident;
	      var right = evaluate(path.get("right"));
	      var rightConfident = confident;
	      confident = leftConfident && rightConfident;

	      switch (node.operator) {
	        case "||":
	          if (left && leftConfident) {
	            confident = true;
	            return left;
	          }

	          if (!confident) return;

	          return left || right;
	        case "&&":
	          if (!left && leftConfident || !right && rightConfident) {
	            confident = true;
	          }

	          if (!confident) return;

	          return left && right;
	      }
	    }

	    if (path.isBinaryExpression()) {
	      var _left = evaluate(path.get("left"));
	      if (!confident) return;
	      var _right = evaluate(path.get("right"));
	      if (!confident) return;

	      switch (node.operator) {
	        case "-":
	          return _left - _right;
	        case "+":
	          return _left + _right;
	        case "/":
	          return _left / _right;
	        case "*":
	          return _left * _right;
	        case "%":
	          return _left % _right;
	        case "**":
	          return Math.pow(_left, _right);
	        case "<":
	          return _left < _right;
	        case ">":
	          return _left > _right;
	        case "<=":
	          return _left <= _right;
	        case ">=":
	          return _left >= _right;
	        case "==":
	          return _left == _right;
	        case "!=":
	          return _left != _right;
	        case "===":
	          return _left === _right;
	        case "!==":
	          return _left !== _right;
	        case "|":
	          return _left | _right;
	        case "&":
	          return _left & _right;
	        case "^":
	          return _left ^ _right;
	        case "<<":
	          return _left << _right;
	        case ">>":
	          return _left >> _right;
	        case ">>>":
	          return _left >>> _right;
	      }
	    }

	    if (path.isCallExpression()) {
	      var callee = path.get("callee");
	      var context = void 0;
	      var func = void 0;

	      if (callee.isIdentifier() && !path.scope.getBinding(callee.node.name, true) && VALID_CALLEES.indexOf(callee.node.name) >= 0) {
	        func = global[node.callee.name];
	      }

	      if (callee.isMemberExpression()) {
	        var _object = callee.get("object");
	        var _property = callee.get("property");

	        if (_object.isIdentifier() && _property.isIdentifier() && VALID_CALLEES.indexOf(_object.node.name) >= 0 && INVALID_METHODS.indexOf(_property.node.name) < 0) {
	          context = global[_object.node.name];
	          func = context[_property.node.name];
	        }

	        if (_object.isLiteral() && _property.isIdentifier()) {
	          var _type = (0, _typeof3.default)(_object.node.value);
	          if (_type === "string" || _type === "number") {
	            context = _object.node.value;
	            func = context[_property.node.name];
	          }
	        }
	      }

	      if (func) {
	        var args = path.get("arguments").map(evaluate);
	        if (!confident) return;

	        return func.apply(context, args);
	      }
	    }

	    deopt(path);
	  }
	}
	/* WEBPACK VAR INJECTION */}.call(exports, (function() { return this; }())))

/***/ },
/* 225 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _create = __webpack_require__(9);

	var _create2 = _interopRequireDefault(_create);

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.getStatementParent = getStatementParent;
	exports.getOpposite = getOpposite;
	exports.getCompletionRecords = getCompletionRecords;
	exports.getSibling = getSibling;
	exports.get = get;
	exports._getKey = _getKey;
	exports._getPattern = _getPattern;
	exports.getBindingIdentifiers = getBindingIdentifiers;
	exports.getOuterBindingIdentifiers = getOuterBindingIdentifiers;
	exports.getBindingIdentifierPaths = getBindingIdentifierPaths;
	exports.getOuterBindingIdentifierPaths = getOuterBindingIdentifierPaths;

	var _index = __webpack_require__(24);

	var _index2 = _interopRequireDefault(_index);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function getStatementParent() {
	  var path = this;

	  do {
	    if (!path.parentPath || Array.isArray(path.container) && path.isStatement()) {
	      break;
	    } else {
	      path = path.parentPath;
	    }
	  } while (path);

	  if (path && (path.isProgram() || path.isFile())) {
	    throw new Error("File/Program node, we can't possibly find a statement parent to this");
	  }

	  return path;
	}

	function getOpposite() {
	  if (this.key === "left") {
	    return this.getSibling("right");
	  } else if (this.key === "right") {
	    return this.getSibling("left");
	  }
	}

	function getCompletionRecords() {
	  var paths = [];

	  var add = function add(path) {
	    if (path) paths = paths.concat(path.getCompletionRecords());
	  };

	  if (this.isIfStatement()) {
	    add(this.get("consequent"));
	    add(this.get("alternate"));
	  } else if (this.isDoExpression() || this.isFor() || this.isWhile()) {
	    add(this.get("body"));
	  } else if (this.isProgram() || this.isBlockStatement()) {
	    add(this.get("body").pop());
	  } else if (this.isFunction()) {
	    return this.get("body").getCompletionRecords();
	  } else if (this.isTryStatement()) {
	    add(this.get("block"));
	    add(this.get("handler"));
	    add(this.get("finalizer"));
	  } else {
	    paths.push(this);
	  }

	  return paths;
	}

	function getSibling(key) {
	  return _index2.default.get({
	    parentPath: this.parentPath,
	    parent: this.parent,
	    container: this.container,
	    listKey: this.listKey,
	    key: key
	  });
	}

	function get(key, context) {
	  if (context === true) context = this.context;
	  var parts = key.split(".");
	  if (parts.length === 1) {
	    return this._getKey(key, context);
	  } else {
	    return this._getPattern(parts, context);
	  }
	}

	function _getKey(key, context) {
	  var _this = this;

	  var node = this.node;
	  var container = node[key];

	  if (Array.isArray(container)) {
	    return container.map(function (_, i) {
	      return _index2.default.get({
	        listKey: key,
	        parentPath: _this,
	        parent: node,
	        container: container,
	        key: i
	      }).setContext(context);
	    });
	  } else {
	    return _index2.default.get({
	      parentPath: this,
	      parent: node,
	      container: node,
	      key: key
	    }).setContext(context);
	  }
	}

	function _getPattern(parts, context) {
	  var path = this;
	  for (var _iterator = parts, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	    var _ref;

	    if (_isArray) {
	      if (_i >= _iterator.length) break;
	      _ref = _iterator[_i++];
	    } else {
	      _i = _iterator.next();
	      if (_i.done) break;
	      _ref = _i.value;
	    }

	    var part = _ref;

	    if (part === ".") {
	      path = path.parentPath;
	    } else {
	      if (Array.isArray(path)) {
	        path = path[part];
	      } else {
	        path = path.get(part, context);
	      }
	    }
	  }
	  return path;
	}

	function getBindingIdentifiers(duplicates) {
	  return t.getBindingIdentifiers(this.node, duplicates);
	}

	function getOuterBindingIdentifiers(duplicates) {
	  return t.getOuterBindingIdentifiers(this.node, duplicates);
	}

	function getBindingIdentifierPaths() {
	  var duplicates = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
	  var outerOnly = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

	  var path = this;
	  var search = [].concat(path);
	  var ids = (0, _create2.default)(null);

	  while (search.length) {
	    var id = search.shift();
	    if (!id) continue;
	    if (!id.node) continue;

	    var keys = t.getBindingIdentifiers.keys[id.node.type];

	    if (id.isIdentifier()) {
	      if (duplicates) {
	        var _ids = ids[id.node.name] = ids[id.node.name] || [];
	        _ids.push(id);
	      } else {
	        ids[id.node.name] = id;
	      }
	      continue;
	    }

	    if (id.isExportDeclaration()) {
	      var declaration = id.get("declaration");
	      if (declaration.isDeclaration()) {
	        search.push(declaration);
	      }
	      continue;
	    }

	    if (outerOnly) {
	      if (id.isFunctionDeclaration()) {
	        search.push(id.get("id"));
	        continue;
	      }
	      if (id.isFunctionExpression()) {
	        continue;
	      }
	    }

	    if (keys) {
	      for (var i = 0; i < keys.length; i++) {
	        var key = keys[i];
	        var child = id.get(key);
	        if (Array.isArray(child) || child.node) {
	          search = search.concat(child);
	        }
	      }
	    }
	  }

	  return ids;
	}

	function getOuterBindingIdentifierPaths(duplicates) {
	  return this.getBindingIdentifierPaths(duplicates, true);
	}

/***/ },
/* 226 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.getTypeAnnotation = getTypeAnnotation;
	exports._getTypeAnnotation = _getTypeAnnotation;
	exports.isBaseType = isBaseType;
	exports.couldBeBaseType = couldBeBaseType;
	exports.baseTypeStrictlyMatches = baseTypeStrictlyMatches;
	exports.isGenericType = isGenericType;

	var _inferers = __webpack_require__(228);

	var inferers = _interopRequireWildcard(_inferers);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function getTypeAnnotation() {
	  if (this.typeAnnotation) return this.typeAnnotation;

	  var type = this._getTypeAnnotation() || t.anyTypeAnnotation();
	  if (t.isTypeAnnotation(type)) type = type.typeAnnotation;
	  return this.typeAnnotation = type;
	}

	function _getTypeAnnotation() {
	  var node = this.node;

	  if (!node) {
	    if (this.key === "init" && this.parentPath.isVariableDeclarator()) {
	      var declar = this.parentPath.parentPath;
	      var declarParent = declar.parentPath;

	      if (declar.key === "left" && declarParent.isForInStatement()) {
	        return t.stringTypeAnnotation();
	      }

	      if (declar.key === "left" && declarParent.isForOfStatement()) {
	        return t.anyTypeAnnotation();
	      }

	      return t.voidTypeAnnotation();
	    } else {
	      return;
	    }
	  }

	  if (node.typeAnnotation) {
	    return node.typeAnnotation;
	  }

	  var inferer = inferers[node.type];
	  if (inferer) {
	    return inferer.call(this, node);
	  }

	  inferer = inferers[this.parentPath.type];
	  if (inferer && inferer.validParent) {
	    return this.parentPath.getTypeAnnotation();
	  }
	}

	function isBaseType(baseName, soft) {
	  return _isBaseType(baseName, this.getTypeAnnotation(), soft);
	}

	function _isBaseType(baseName, type, soft) {
	  if (baseName === "string") {
	    return t.isStringTypeAnnotation(type);
	  } else if (baseName === "number") {
	    return t.isNumberTypeAnnotation(type);
	  } else if (baseName === "boolean") {
	    return t.isBooleanTypeAnnotation(type);
	  } else if (baseName === "any") {
	    return t.isAnyTypeAnnotation(type);
	  } else if (baseName === "mixed") {
	    return t.isMixedTypeAnnotation(type);
	  } else if (baseName === "empty") {
	    return t.isEmptyTypeAnnotation(type);
	  } else if (baseName === "void") {
	    return t.isVoidTypeAnnotation(type);
	  } else {
	    if (soft) {
	      return false;
	    } else {
	      throw new Error("Unknown base type " + baseName);
	    }
	  }
	}

	function couldBeBaseType(name) {
	  var type = this.getTypeAnnotation();
	  if (t.isAnyTypeAnnotation(type)) return true;

	  if (t.isUnionTypeAnnotation(type)) {
	    for (var _iterator = type.types, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	      var _ref;

	      if (_isArray) {
	        if (_i >= _iterator.length) break;
	        _ref = _iterator[_i++];
	      } else {
	        _i = _iterator.next();
	        if (_i.done) break;
	        _ref = _i.value;
	      }

	      var type2 = _ref;

	      if (t.isAnyTypeAnnotation(type2) || _isBaseType(name, type2, true)) {
	        return true;
	      }
	    }
	    return false;
	  } else {
	    return _isBaseType(name, type, true);
	  }
	}

	function baseTypeStrictlyMatches(right) {
	  var left = this.getTypeAnnotation();
	  right = right.getTypeAnnotation();

	  if (!t.isAnyTypeAnnotation(left) && t.isFlowBaseAnnotation(left)) {
	    return right.type === left.type;
	  }
	}

	function isGenericType(genericName) {
	  var type = this.getTypeAnnotation();
	  return t.isGenericTypeAnnotation(type) && t.isIdentifier(type.id, { name: genericName });
	}

/***/ },
/* 227 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.default = function (node) {
	  if (!this.isReferenced()) return;

	  var binding = this.scope.getBinding(node.name);
	  if (binding) {
	    if (binding.identifier.typeAnnotation) {
	      return binding.identifier.typeAnnotation;
	    } else {
	      return getTypeAnnotationBindingConstantViolations(this, node.name);
	    }
	  }

	  if (node.name === "undefined") {
	    return t.voidTypeAnnotation();
	  } else if (node.name === "NaN" || node.name === "Infinity") {
	    return t.numberTypeAnnotation();
	  } else if (node.name === "arguments") {}
	};

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function getTypeAnnotationBindingConstantViolations(path, name) {
	  var binding = path.scope.getBinding(name);

	  var types = [];
	  path.typeAnnotation = t.unionTypeAnnotation(types);

	  var functionConstantViolations = [];
	  var constantViolations = getConstantViolationsBefore(binding, path, functionConstantViolations);

	  var testType = getConditionalAnnotation(path, name);
	  if (testType) {
	    (function () {
	      var testConstantViolations = getConstantViolationsBefore(binding, testType.ifStatement);

	      constantViolations = constantViolations.filter(function (path) {
	        return testConstantViolations.indexOf(path) < 0;
	      });

	      types.push(testType.typeAnnotation);
	    })();
	  }

	  if (constantViolations.length) {
	    constantViolations = constantViolations.concat(functionConstantViolations);

	    for (var _iterator = constantViolations, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	      var _ref;

	      if (_isArray) {
	        if (_i >= _iterator.length) break;
	        _ref = _iterator[_i++];
	      } else {
	        _i = _iterator.next();
	        if (_i.done) break;
	        _ref = _i.value;
	      }

	      var violation = _ref;

	      types.push(violation.getTypeAnnotation());
	    }
	  }

	  if (types.length) {
	    return t.createUnionTypeAnnotation(types);
	  }
	}

	function getConstantViolationsBefore(binding, path, functions) {
	  var violations = binding.constantViolations.slice();
	  violations.unshift(binding.path);
	  return violations.filter(function (violation) {
	    violation = violation.resolve();
	    var status = violation._guessExecutionStatusRelativeTo(path);
	    if (functions && status === "function") functions.push(violation);
	    return status === "before";
	  });
	}

	function inferAnnotationFromBinaryExpression(name, path) {
	  var operator = path.node.operator;

	  var right = path.get("right").resolve();
	  var left = path.get("left").resolve();

	  var target = void 0;
	  if (left.isIdentifier({ name: name })) {
	    target = right;
	  } else if (right.isIdentifier({ name: name })) {
	    target = left;
	  }
	  if (target) {
	    if (operator === "===") {
	      return target.getTypeAnnotation();
	    } else if (t.BOOLEAN_NUMBER_BINARY_OPERATORS.indexOf(operator) >= 0) {
	      return t.numberTypeAnnotation();
	    } else {
	      return;
	    }
	  } else {
	    if (operator !== "===") return;
	  }

	  var typeofPath = void 0;
	  var typePath = void 0;
	  if (left.isUnaryExpression({ operator: "typeof" })) {
	    typeofPath = left;
	    typePath = right;
	  } else if (right.isUnaryExpression({ operator: "typeof" })) {
	    typeofPath = right;
	    typePath = left;
	  }
	  if (!typePath && !typeofPath) return;

	  typePath = typePath.resolve();
	  if (!typePath.isLiteral()) return;

	  var typeValue = typePath.node.value;
	  if (typeof typeValue !== "string") return;

	  if (!typeofPath.get("argument").isIdentifier({ name: name })) return;

	  return t.createTypeAnnotationBasedOnTypeof(typePath.node.value);
	}

	function getParentConditionalPath(path) {
	  var parentPath = void 0;
	  while (parentPath = path.parentPath) {
	    if (parentPath.isIfStatement() || parentPath.isConditionalExpression()) {
	      if (path.key === "test") {
	        return;
	      } else {
	        return parentPath;
	      }
	    } else {
	      path = parentPath;
	    }
	  }
	}

	function getConditionalAnnotation(path, name) {
	  var ifStatement = getParentConditionalPath(path);
	  if (!ifStatement) return;

	  var test = ifStatement.get("test");
	  var paths = [test];
	  var types = [];

	  do {
	    var _path = paths.shift().resolve();

	    if (_path.isLogicalExpression()) {
	      paths.push(_path.get("left"));
	      paths.push(_path.get("right"));
	    }

	    if (_path.isBinaryExpression()) {
	      var type = inferAnnotationFromBinaryExpression(name, _path);
	      if (type) types.push(type);
	    }
	  } while (paths.length);

	  if (types.length) {
	    return {
	      typeAnnotation: t.createUnionTypeAnnotation(types),
	      ifStatement: ifStatement
	    };
	  } else {
	    return getConditionalAnnotation(ifStatement, name);
	  }
	}
	module.exports = exports["default"];

/***/ },
/* 228 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.ClassDeclaration = exports.ClassExpression = exports.FunctionDeclaration = exports.ArrowFunctionExpression = exports.FunctionExpression = exports.Identifier = undefined;

	var _infererReference = __webpack_require__(227);

	Object.defineProperty(exports, "Identifier", {
	  enumerable: true,
	  get: function get() {
	    return _interopRequireDefault(_infererReference).default;
	  }
	});
	exports.VariableDeclarator = VariableDeclarator;
	exports.TypeCastExpression = TypeCastExpression;
	exports.NewExpression = NewExpression;
	exports.TemplateLiteral = TemplateLiteral;
	exports.UnaryExpression = UnaryExpression;
	exports.BinaryExpression = BinaryExpression;
	exports.LogicalExpression = LogicalExpression;
	exports.ConditionalExpression = ConditionalExpression;
	exports.SequenceExpression = SequenceExpression;
	exports.AssignmentExpression = AssignmentExpression;
	exports.UpdateExpression = UpdateExpression;
	exports.StringLiteral = StringLiteral;
	exports.NumericLiteral = NumericLiteral;
	exports.BooleanLiteral = BooleanLiteral;
	exports.NullLiteral = NullLiteral;
	exports.RegExpLiteral = RegExpLiteral;
	exports.ObjectExpression = ObjectExpression;
	exports.ArrayExpression = ArrayExpression;
	exports.RestElement = RestElement;
	exports.CallExpression = CallExpression;
	exports.TaggedTemplateExpression = TaggedTemplateExpression;

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function VariableDeclarator() {
	  var id = this.get("id");

	  if (id.isIdentifier()) {
	    return this.get("init").getTypeAnnotation();
	  } else {
	    return;
	  }
	}

	function TypeCastExpression(node) {
	  return node.typeAnnotation;
	}

	TypeCastExpression.validParent = true;

	function NewExpression(node) {
	  if (this.get("callee").isIdentifier()) {
	    return t.genericTypeAnnotation(node.callee);
	  }
	}

	function TemplateLiteral() {
	  return t.stringTypeAnnotation();
	}

	function UnaryExpression(node) {
	  var operator = node.operator;

	  if (operator === "void") {
	    return t.voidTypeAnnotation();
	  } else if (t.NUMBER_UNARY_OPERATORS.indexOf(operator) >= 0) {
	    return t.numberTypeAnnotation();
	  } else if (t.STRING_UNARY_OPERATORS.indexOf(operator) >= 0) {
	    return t.stringTypeAnnotation();
	  } else if (t.BOOLEAN_UNARY_OPERATORS.indexOf(operator) >= 0) {
	    return t.booleanTypeAnnotation();
	  }
	}

	function BinaryExpression(node) {
	  var operator = node.operator;

	  if (t.NUMBER_BINARY_OPERATORS.indexOf(operator) >= 0) {
	    return t.numberTypeAnnotation();
	  } else if (t.BOOLEAN_BINARY_OPERATORS.indexOf(operator) >= 0) {
	    return t.booleanTypeAnnotation();
	  } else if (operator === "+") {
	    var right = this.get("right");
	    var left = this.get("left");

	    if (left.isBaseType("number") && right.isBaseType("number")) {
	      return t.numberTypeAnnotation();
	    } else if (left.isBaseType("string") || right.isBaseType("string")) {
	      return t.stringTypeAnnotation();
	    }

	    return t.unionTypeAnnotation([t.stringTypeAnnotation(), t.numberTypeAnnotation()]);
	  }
	}

	function LogicalExpression() {
	  return t.createUnionTypeAnnotation([this.get("left").getTypeAnnotation(), this.get("right").getTypeAnnotation()]);
	}

	function ConditionalExpression() {
	  return t.createUnionTypeAnnotation([this.get("consequent").getTypeAnnotation(), this.get("alternate").getTypeAnnotation()]);
	}

	function SequenceExpression() {
	  return this.get("expressions").pop().getTypeAnnotation();
	}

	function AssignmentExpression() {
	  return this.get("right").getTypeAnnotation();
	}

	function UpdateExpression(node) {
	  var operator = node.operator;
	  if (operator === "++" || operator === "--") {
	    return t.numberTypeAnnotation();
	  }
	}

	function StringLiteral() {
	  return t.stringTypeAnnotation();
	}

	function NumericLiteral() {
	  return t.numberTypeAnnotation();
	}

	function BooleanLiteral() {
	  return t.booleanTypeAnnotation();
	}

	function NullLiteral() {
	  return t.nullLiteralTypeAnnotation();
	}

	function RegExpLiteral() {
	  return t.genericTypeAnnotation(t.identifier("RegExp"));
	}

	function ObjectExpression() {
	  return t.genericTypeAnnotation(t.identifier("Object"));
	}

	function ArrayExpression() {
	  return t.genericTypeAnnotation(t.identifier("Array"));
	}

	function RestElement() {
	  return ArrayExpression();
	}

	RestElement.validParent = true;

	function Func() {
	  return t.genericTypeAnnotation(t.identifier("Function"));
	}

	exports.FunctionExpression = Func;
	exports.ArrowFunctionExpression = Func;
	exports.FunctionDeclaration = Func;
	exports.ClassExpression = Func;
	exports.ClassDeclaration = Func;
	function CallExpression() {
	  return resolveCall(this.get("callee"));
	}

	function TaggedTemplateExpression() {
	  return resolveCall(this.get("tag"));
	}

	function resolveCall(callee) {
	  callee = callee.resolve();

	  if (callee.isFunction()) {
	    if (callee.is("async")) {
	      if (callee.is("generator")) {
	        return t.genericTypeAnnotation(t.identifier("AsyncIterator"));
	      } else {
	        return t.genericTypeAnnotation(t.identifier("Promise"));
	      }
	    } else {
	      if (callee.node.returnType) {
	        return callee.node.returnType;
	      } else {}
	    }
	  }
	}

/***/ },
/* 229 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.is = undefined;

	var _typeof2 = __webpack_require__(11);

	var _typeof3 = _interopRequireDefault(_typeof2);

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.matchesPattern = matchesPattern;
	exports.has = has;
	exports.isStatic = isStatic;
	exports.isnt = isnt;
	exports.equals = equals;
	exports.isNodeType = isNodeType;
	exports.canHaveVariableDeclarationOrExpression = canHaveVariableDeclarationOrExpression;
	exports.canSwapBetweenExpressionAndStatement = canSwapBetweenExpressionAndStatement;
	exports.isCompletionRecord = isCompletionRecord;
	exports.isStatementOrBlock = isStatementOrBlock;
	exports.referencesImport = referencesImport;
	exports.getSource = getSource;
	exports.willIMaybeExecuteBefore = willIMaybeExecuteBefore;
	exports._guessExecutionStatusRelativeTo = _guessExecutionStatusRelativeTo;
	exports._guessExecutionStatusRelativeToDifferentFunctions = _guessExecutionStatusRelativeToDifferentFunctions;
	exports.resolve = resolve;
	exports._resolve = _resolve;

	var _includes = __webpack_require__(99);

	var _includes2 = _interopRequireDefault(_includes);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function matchesPattern(pattern, allowPartial) {
	  if (!this.isMemberExpression()) return false;

	  var parts = pattern.split(".");
	  var search = [this.node];
	  var i = 0;

	  function matches(name) {
	    var part = parts[i];
	    return part === "*" || name === part;
	  }

	  while (search.length) {
	    var node = search.shift();

	    if (allowPartial && i === parts.length) {
	      return true;
	    }

	    if (t.isIdentifier(node)) {
	      if (!matches(node.name)) return false;
	    } else if (t.isLiteral(node)) {
	      if (!matches(node.value)) return false;
	    } else if (t.isMemberExpression(node)) {
	      if (node.computed && !t.isLiteral(node.property)) {
	        return false;
	      } else {
	        search.unshift(node.property);
	        search.unshift(node.object);
	        continue;
	      }
	    } else if (t.isThisExpression(node)) {
	      if (!matches("this")) return false;
	    } else {
	      return false;
	    }

	    if (++i > parts.length) {
	      return false;
	    }
	  }

	  return i === parts.length;
	}

	function has(key) {
	  var val = this.node && this.node[key];
	  if (val && Array.isArray(val)) {
	    return !!val.length;
	  } else {
	    return !!val;
	  }
	}

	function isStatic() {
	  return this.scope.isStatic(this.node);
	}

	var is = exports.is = has;

	function isnt(key) {
	  return !this.has(key);
	}

	function equals(key, value) {
	  return this.node[key] === value;
	}

	function isNodeType(type) {
	  return t.isType(this.type, type);
	}

	function canHaveVariableDeclarationOrExpression() {
	  return (this.key === "init" || this.key === "left") && this.parentPath.isFor();
	}

	function canSwapBetweenExpressionAndStatement(replacement) {
	  if (this.key !== "body" || !this.parentPath.isArrowFunctionExpression()) {
	    return false;
	  }

	  if (this.isExpression()) {
	    return t.isBlockStatement(replacement);
	  } else if (this.isBlockStatement()) {
	    return t.isExpression(replacement);
	  }

	  return false;
	}

	function isCompletionRecord(allowInsideFunction) {
	  var path = this;
	  var first = true;

	  do {
	    var container = path.container;

	    if (path.isFunction() && !first) {
	      return !!allowInsideFunction;
	    }

	    first = false;

	    if (Array.isArray(container) && path.key !== container.length - 1) {
	      return false;
	    }
	  } while ((path = path.parentPath) && !path.isProgram());

	  return true;
	}

	function isStatementOrBlock() {
	  if (this.parentPath.isLabeledStatement() || t.isBlockStatement(this.container)) {
	    return false;
	  } else {
	    return (0, _includes2.default)(t.STATEMENT_OR_BLOCK_KEYS, this.key);
	  }
	}

	function referencesImport(moduleSource, importName) {
	  if (!this.isReferencedIdentifier()) return false;

	  var binding = this.scope.getBinding(this.node.name);
	  if (!binding || binding.kind !== "module") return false;

	  var path = binding.path;
	  var parent = path.parentPath;
	  if (!parent.isImportDeclaration()) return false;

	  if (parent.node.source.value === moduleSource) {
	    if (!importName) return true;
	  } else {
	    return false;
	  }

	  if (path.isImportDefaultSpecifier() && importName === "default") {
	    return true;
	  }

	  if (path.isImportNamespaceSpecifier() && importName === "*") {
	    return true;
	  }

	  if (path.isImportSpecifier() && path.node.imported.name === importName) {
	    return true;
	  }

	  return false;
	}

	function getSource() {
	  var node = this.node;
	  if (node.end) {
	    return this.hub.file.code.slice(node.start, node.end);
	  } else {
	    return "";
	  }
	}

	function willIMaybeExecuteBefore(target) {
	  return this._guessExecutionStatusRelativeTo(target) !== "after";
	}

	function _guessExecutionStatusRelativeTo(target) {
	  var targetFuncParent = target.scope.getFunctionParent();
	  var selfFuncParent = this.scope.getFunctionParent();

	  if (targetFuncParent.node !== selfFuncParent.node) {
	    var status = this._guessExecutionStatusRelativeToDifferentFunctions(targetFuncParent);
	    if (status) {
	      return status;
	    } else {
	      target = targetFuncParent.path;
	    }
	  }

	  var targetPaths = target.getAncestry();
	  if (targetPaths.indexOf(this) >= 0) return "after";

	  var selfPaths = this.getAncestry();

	  var commonPath = void 0;
	  var targetIndex = void 0;
	  var selfIndex = void 0;
	  for (selfIndex = 0; selfIndex < selfPaths.length; selfIndex++) {
	    var selfPath = selfPaths[selfIndex];
	    targetIndex = targetPaths.indexOf(selfPath);
	    if (targetIndex >= 0) {
	      commonPath = selfPath;
	      break;
	    }
	  }
	  if (!commonPath) {
	    return "before";
	  }

	  var targetRelationship = targetPaths[targetIndex - 1];
	  var selfRelationship = selfPaths[selfIndex - 1];
	  if (!targetRelationship || !selfRelationship) {
	    return "before";
	  }

	  if (targetRelationship.listKey && targetRelationship.container === selfRelationship.container) {
	    return targetRelationship.key > selfRelationship.key ? "before" : "after";
	  }

	  var targetKeyPosition = t.VISITOR_KEYS[targetRelationship.type].indexOf(targetRelationship.key);
	  var selfKeyPosition = t.VISITOR_KEYS[selfRelationship.type].indexOf(selfRelationship.key);
	  return targetKeyPosition > selfKeyPosition ? "before" : "after";
	}

	function _guessExecutionStatusRelativeToDifferentFunctions(targetFuncParent) {
	  var targetFuncPath = targetFuncParent.path;
	  if (!targetFuncPath.isFunctionDeclaration()) return;

	  var binding = targetFuncPath.scope.getBinding(targetFuncPath.node.id.name);

	  if (!binding.references) return "before";

	  var referencePaths = binding.referencePaths;

	  for (var _iterator = referencePaths, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	    var _ref;

	    if (_isArray) {
	      if (_i >= _iterator.length) break;
	      _ref = _iterator[_i++];
	    } else {
	      _i = _iterator.next();
	      if (_i.done) break;
	      _ref = _i.value;
	    }

	    var path = _ref;

	    if (path.key !== "callee" || !path.parentPath.isCallExpression()) {
	      return;
	    }
	  }

	  var allStatus = void 0;

	  for (var _iterator2 = referencePaths, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	    var _ref2;

	    if (_isArray2) {
	      if (_i2 >= _iterator2.length) break;
	      _ref2 = _iterator2[_i2++];
	    } else {
	      _i2 = _iterator2.next();
	      if (_i2.done) break;
	      _ref2 = _i2.value;
	    }

	    var _path = _ref2;

	    var childOfFunction = !!_path.find(function (path) {
	      return path.node === targetFuncPath.node;
	    });
	    if (childOfFunction) continue;

	    var status = this._guessExecutionStatusRelativeTo(_path);

	    if (allStatus) {
	      if (allStatus !== status) return;
	    } else {
	      allStatus = status;
	    }
	  }

	  return allStatus;
	}

	function resolve(dangerous, resolved) {
	  return this._resolve(dangerous, resolved) || this;
	}

	function _resolve(dangerous, resolved) {
	  var _this = this;

	  if (resolved && resolved.indexOf(this) >= 0) return;

	  resolved = resolved || [];
	  resolved.push(this);

	  if (this.isVariableDeclarator()) {
	    if (this.get("id").isIdentifier()) {
	      return this.get("init").resolve(dangerous, resolved);
	    } else {}
	  } else if (this.isReferencedIdentifier()) {
	    var binding = this.scope.getBinding(this.node.name);
	    if (!binding) return;

	    if (!binding.constant) return;

	    if (binding.kind === "module") return;

	    if (binding.path !== this) {
	      var _ret = function () {
	        var ret = binding.path.resolve(dangerous, resolved);

	        if (_this.find(function (parent) {
	          return parent.node === ret.node;
	        })) return {
	          v: void 0
	        };
	        return {
	          v: ret
	        };
	      }();

	      if ((typeof _ret === "undefined" ? "undefined" : (0, _typeof3.default)(_ret)) === "object") return _ret.v;
	    }
	  } else if (this.isTypeCastExpression()) {
	    return this.get("expression").resolve(dangerous, resolved);
	  } else if (dangerous && this.isMemberExpression()) {

	    var targetKey = this.toComputedKey();
	    if (!t.isLiteral(targetKey)) return;

	    var targetName = targetKey.value;

	    var target = this.get("object").resolve(dangerous, resolved);

	    if (target.isObjectExpression()) {
	      var props = target.get("properties");
	      for (var _iterator3 = props, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : (0, _getIterator3.default)(_iterator3);;) {
	        var _ref3;

	        if (_isArray3) {
	          if (_i3 >= _iterator3.length) break;
	          _ref3 = _iterator3[_i3++];
	        } else {
	          _i3 = _iterator3.next();
	          if (_i3.done) break;
	          _ref3 = _i3.value;
	        }

	        var prop = _ref3;

	        if (!prop.isProperty()) continue;

	        var key = prop.get("key");

	        var match = prop.isnt("computed") && key.isIdentifier({ name: targetName });

	        match = match || key.isLiteral({ value: targetName });

	        if (match) return prop.get("value").resolve(dangerous, resolved);
	      }
	    } else if (target.isArrayExpression() && !isNaN(+targetName)) {
	      var elems = target.get("elements");
	      var elem = elems[targetName];
	      if (elem) return elem.resolve(dangerous, resolved);
	    }
	  }
	}

/***/ },
/* 230 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _classCallCheck2 = __webpack_require__(4);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var referenceVisitor = {
	  ReferencedIdentifier: function ReferencedIdentifier(path, state) {
	    if (path.isJSXIdentifier() && _babelTypes.react.isCompatTag(path.node.name)) {
	      return;
	    }

	    var binding = path.scope.getBinding(path.node.name);
	    if (!binding) return;

	    if (binding !== state.scope.getBinding(path.node.name)) return;

	    if (binding.constant) {
	      state.bindings[path.node.name] = binding;
	    } else {
	      for (var _iterator = binding.constantViolations, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	        var _ref;

	        if (_isArray) {
	          if (_i >= _iterator.length) break;
	          _ref = _iterator[_i++];
	        } else {
	          _i = _iterator.next();
	          if (_i.done) break;
	          _ref = _i.value;
	        }

	        var violationPath = _ref;

	        state.breakOnScopePaths = state.breakOnScopePaths.concat(violationPath.getAncestry());
	      }
	    }
	  }
	};

	var PathHoister = function () {
	  function PathHoister(path, scope) {
	    (0, _classCallCheck3.default)(this, PathHoister);

	    this.breakOnScopePaths = [];
	    this.bindings = {};
	    this.scopes = [];
	    this.scope = scope;
	    this.path = path;
	  }

	  PathHoister.prototype.isCompatibleScope = function isCompatibleScope(scope) {
	    for (var key in this.bindings) {
	      var binding = this.bindings[key];
	      if (!scope.bindingIdentifierEquals(key, binding.identifier)) {
	        return false;
	      }
	    }

	    return true;
	  };

	  PathHoister.prototype.getCompatibleScopes = function getCompatibleScopes() {
	    var scope = this.path.scope;
	    do {
	      if (this.isCompatibleScope(scope)) {
	        this.scopes.push(scope);
	      } else {
	        break;
	      }

	      if (this.breakOnScopePaths.indexOf(scope.path) >= 0) {
	        break;
	      }
	    } while (scope = scope.parent);
	  };

	  PathHoister.prototype.getAttachmentPath = function getAttachmentPath() {
	    var path = this._getAttachmentPath();
	    if (!path) return;

	    var targetScope = path.scope;

	    if (targetScope.path === path) {
	      targetScope = path.scope.parent;
	    }

	    if (targetScope.path.isProgram() || targetScope.path.isFunction()) {
	      for (var name in this.bindings) {
	        if (!targetScope.hasOwnBinding(name)) continue;

	        var binding = this.bindings[name];

	        if (binding.kind === "param") continue;

	        if (this.getAttachmentParentForPath(binding.path).key > path.key) return;
	      }
	    }

	    return path;
	  };

	  PathHoister.prototype._getAttachmentPath = function _getAttachmentPath() {
	    var scopes = this.scopes;

	    var scope = scopes.pop();
	    if (!scope) return;

	    if (scope.path.isFunction()) {
	      if (this.hasOwnParamBindings(scope)) {
	        if (this.scope === scope) return;

	        return scope.path.get("body").get("body")[0];
	      } else {
	        return this.getNextScopeAttachmentParent();
	      }
	    } else if (scope.path.isProgram()) {
	      return this.getNextScopeAttachmentParent();
	    }
	  };

	  PathHoister.prototype.getNextScopeAttachmentParent = function getNextScopeAttachmentParent() {
	    var scope = this.scopes.pop();
	    if (scope) return this.getAttachmentParentForPath(scope.path);
	  };

	  PathHoister.prototype.getAttachmentParentForPath = function getAttachmentParentForPath(path) {
	    do {
	      if (!path.parentPath || Array.isArray(path.container) && path.isStatement() || path.isVariableDeclarator() && path.parentPath.node.declarations.length > 1) return path;
	    } while (path = path.parentPath);
	  };

	  PathHoister.prototype.hasOwnParamBindings = function hasOwnParamBindings(scope) {
	    for (var name in this.bindings) {
	      if (!scope.hasOwnBinding(name)) continue;

	      var binding = this.bindings[name];
	      if (binding.kind === "param") return true;
	    }
	    return false;
	  };

	  PathHoister.prototype.run = function run() {
	    var node = this.path.node;
	    if (node._hoisted) return;
	    node._hoisted = true;

	    this.path.traverse(referenceVisitor, this);

	    this.getCompatibleScopes();

	    var attachTo = this.getAttachmentPath();
	    if (!attachTo) return;

	    if (attachTo.getFunctionParent() === this.path.getFunctionParent()) return;

	    var uid = attachTo.scope.generateUidIdentifier("ref");
	    var declarator = t.variableDeclarator(uid, this.path.node);

	    attachTo.insertBefore([attachTo.isVariableDeclarator() ? declarator : t.variableDeclaration("var", [declarator])]);

	    var parent = this.path.parentPath;
	    if (parent.isJSXElement() && this.path.container === parent.node.children) {
	      uid = t.JSXExpressionContainer(uid);
	    }

	    this.path.replaceWith(uid);
	  };

	  return PathHoister;
	}();

	exports.default = PathHoister;
	module.exports = exports["default"];

/***/ },
/* 231 */
/***/ function(module, exports) {

	"use strict";

	exports.__esModule = true;
	var hooks = exports.hooks = [function (self, parent) {
	  if (self.key === "body" && parent.isArrowFunctionExpression()) {
	    self.replaceWith(self.scope.buildUndefinedNode());
	    return true;
	  }
	}, function (self, parent) {
	  var removeParent = false;

	  removeParent = removeParent || self.key === "test" && (parent.isWhile() || parent.isSwitchCase());

	  removeParent = removeParent || self.key === "declaration" && parent.isExportDeclaration();

	  removeParent = removeParent || self.key === "body" && parent.isLabeledStatement();

	  removeParent = removeParent || self.listKey === "declarations" && parent.isVariableDeclaration() && parent.node.declarations.length === 1;

	  removeParent = removeParent || self.key === "expression" && parent.isExpressionStatement();

	  if (removeParent) {
	    parent.remove();
	    return true;
	  }
	}, function (self, parent) {
	  if (parent.isSequenceExpression() && parent.node.expressions.length === 1) {
	    parent.replaceWith(parent.node.expressions[0]);
	    return true;
	  }
	}, function (self, parent) {
	  if (parent.isBinary()) {
	    if (self.key === "left") {
	      parent.replaceWith(parent.node.right);
	    } else {
	      parent.replaceWith(parent.node.left);
	    }
	    return true;
	  }
	}, function (self, parent) {
	  if (parent.isIfStatement() && (self.key === "consequent" || self.key === "alternate") || parent.isLoop() && self.key === "body") {
	    self.replaceWith({
	      type: "BlockStatement",
	      body: []
	    });
	    return true;
	  }
	}];

/***/ },
/* 232 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _typeof2 = __webpack_require__(11);

	var _typeof3 = _interopRequireDefault(_typeof2);

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.insertBefore = insertBefore;
	exports._containerInsert = _containerInsert;
	exports._containerInsertBefore = _containerInsertBefore;
	exports._containerInsertAfter = _containerInsertAfter;
	exports._maybePopFromStatements = _maybePopFromStatements;
	exports.insertAfter = insertAfter;
	exports.updateSiblingKeys = updateSiblingKeys;
	exports._verifyNodeList = _verifyNodeList;
	exports.unshiftContainer = unshiftContainer;
	exports.pushContainer = pushContainer;
	exports.hoist = hoist;

	var _cache = __webpack_require__(43);

	var _hoister = __webpack_require__(230);

	var _hoister2 = _interopRequireDefault(_hoister);

	var _index = __webpack_require__(24);

	var _index2 = _interopRequireDefault(_index);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function insertBefore(nodes) {
	  this._assertUnremoved();

	  nodes = this._verifyNodeList(nodes);

	  if (this.parentPath.isExpressionStatement() || this.parentPath.isLabeledStatement()) {
	    return this.parentPath.insertBefore(nodes);
	  } else if (this.isNodeType("Expression") || this.parentPath.isForStatement() && this.key === "init") {
	    if (this.node) nodes.push(this.node);
	    this.replaceExpressionWithStatements(nodes);
	  } else {
	    this._maybePopFromStatements(nodes);
	    if (Array.isArray(this.container)) {
	      return this._containerInsertBefore(nodes);
	    } else if (this.isStatementOrBlock()) {
	      if (this.node) nodes.push(this.node);
	      this._replaceWith(t.blockStatement(nodes));
	    } else {
	      throw new Error("We don't know what to do with this node type. We were previously a Statement but we can't fit in here?");
	    }
	  }

	  return [this];
	}

	function _containerInsert(from, nodes) {
	  this.updateSiblingKeys(from, nodes.length);

	  var paths = [];

	  for (var i = 0; i < nodes.length; i++) {
	    var to = from + i;
	    var node = nodes[i];
	    this.container.splice(to, 0, node);

	    if (this.context) {
	      var path = this.context.create(this.parent, this.container, to, this.listKey);

	      if (this.context.queue) path.pushContext(this.context);
	      paths.push(path);
	    } else {
	      paths.push(_index2.default.get({
	        parentPath: this.parentPath,
	        parent: this.parent,
	        container: this.container,
	        listKey: this.listKey,
	        key: to
	      }));
	    }
	  }

	  var contexts = this._getQueueContexts();

	  for (var _iterator = paths, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	    var _ref;

	    if (_isArray) {
	      if (_i >= _iterator.length) break;
	      _ref = _iterator[_i++];
	    } else {
	      _i = _iterator.next();
	      if (_i.done) break;
	      _ref = _i.value;
	    }

	    var _path = _ref;

	    _path.setScope();
	    _path.debug(function () {
	      return "Inserted.";
	    });

	    for (var _iterator2 = contexts, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	      var _ref2;

	      if (_isArray2) {
	        if (_i2 >= _iterator2.length) break;
	        _ref2 = _iterator2[_i2++];
	      } else {
	        _i2 = _iterator2.next();
	        if (_i2.done) break;
	        _ref2 = _i2.value;
	      }

	      var context = _ref2;

	      context.maybeQueue(_path, true);
	    }
	  }

	  return paths;
	}

	function _containerInsertBefore(nodes) {
	  return this._containerInsert(this.key, nodes);
	}

	function _containerInsertAfter(nodes) {
	  return this._containerInsert(this.key + 1, nodes);
	}

	function _maybePopFromStatements(nodes) {
	  var last = nodes[nodes.length - 1];
	  var isIdentifier = t.isIdentifier(last) || t.isExpressionStatement(last) && t.isIdentifier(last.expression);

	  if (isIdentifier && !this.isCompletionRecord()) {
	    nodes.pop();
	  }
	}

	function insertAfter(nodes) {
	  this._assertUnremoved();

	  nodes = this._verifyNodeList(nodes);

	  if (this.parentPath.isExpressionStatement() || this.parentPath.isLabeledStatement()) {
	    return this.parentPath.insertAfter(nodes);
	  } else if (this.isNodeType("Expression") || this.parentPath.isForStatement() && this.key === "init") {
	    if (this.node) {
	      var temp = this.scope.generateDeclaredUidIdentifier();
	      nodes.unshift(t.expressionStatement(t.assignmentExpression("=", temp, this.node)));
	      nodes.push(t.expressionStatement(temp));
	    }
	    this.replaceExpressionWithStatements(nodes);
	  } else {
	    this._maybePopFromStatements(nodes);
	    if (Array.isArray(this.container)) {
	      return this._containerInsertAfter(nodes);
	    } else if (this.isStatementOrBlock()) {
	      if (this.node) nodes.unshift(this.node);
	      this._replaceWith(t.blockStatement(nodes));
	    } else {
	      throw new Error("We don't know what to do with this node type. We were previously a Statement but we can't fit in here?");
	    }
	  }

	  return [this];
	}

	function updateSiblingKeys(fromIndex, incrementBy) {
	  if (!this.parent) return;

	  var paths = _cache.path.get(this.parent);
	  for (var i = 0; i < paths.length; i++) {
	    var path = paths[i];
	    if (path.key >= fromIndex) {
	      path.key += incrementBy;
	    }
	  }
	}

	function _verifyNodeList(nodes) {
	  if (!nodes) {
	    return [];
	  }

	  if (nodes.constructor !== Array) {
	    nodes = [nodes];
	  }

	  for (var i = 0; i < nodes.length; i++) {
	    var node = nodes[i];
	    var msg = void 0;

	    if (!node) {
	      msg = "has falsy node";
	    } else if ((typeof node === "undefined" ? "undefined" : (0, _typeof3.default)(node)) !== "object") {
	      msg = "contains a non-object node";
	    } else if (!node.type) {
	      msg = "without a type";
	    } else if (node instanceof _index2.default) {
	      msg = "has a NodePath when it expected a raw object";
	    }

	    if (msg) {
	      var type = Array.isArray(node) ? "array" : typeof node === "undefined" ? "undefined" : (0, _typeof3.default)(node);
	      throw new Error("Node list " + msg + " with the index of " + i + " and type of " + type);
	    }
	  }

	  return nodes;
	}

	function unshiftContainer(listKey, nodes) {
	  this._assertUnremoved();

	  nodes = this._verifyNodeList(nodes);

	  var path = _index2.default.get({
	    parentPath: this,
	    parent: this.node,
	    container: this.node[listKey],
	    listKey: listKey,
	    key: 0
	  });

	  return path.insertBefore(nodes);
	}

	function pushContainer(listKey, nodes) {
	  this._assertUnremoved();

	  nodes = this._verifyNodeList(nodes);

	  var container = this.node[listKey];
	  var path = _index2.default.get({
	    parentPath: this,
	    parent: this.node,
	    container: container,
	    listKey: listKey,
	    key: container.length
	  });

	  return path.replaceWithMultiple(nodes);
	}

	function hoist() {
	  var scope = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : this.scope;

	  var hoister = new _hoister2.default(this, scope);
	  return hoister.run();
	}

/***/ },
/* 233 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.remove = remove;
	exports._callRemovalHooks = _callRemovalHooks;
	exports._remove = _remove;
	exports._markRemoved = _markRemoved;
	exports._assertUnremoved = _assertUnremoved;

	var _removalHooks = __webpack_require__(231);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function remove() {
	  this._assertUnremoved();

	  this.resync();

	  if (this._callRemovalHooks()) {
	    this._markRemoved();
	    return;
	  }

	  this.shareCommentsWithSiblings();
	  this._remove();
	  this._markRemoved();
	}

	function _callRemovalHooks() {
	  for (var _iterator = _removalHooks.hooks, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	    var _ref;

	    if (_isArray) {
	      if (_i >= _iterator.length) break;
	      _ref = _iterator[_i++];
	    } else {
	      _i = _iterator.next();
	      if (_i.done) break;
	      _ref = _i.value;
	    }

	    var fn = _ref;

	    if (fn(this, this.parentPath)) return true;
	  }
	}

	function _remove() {
	  if (Array.isArray(this.container)) {
	    this.container.splice(this.key, 1);
	    this.updateSiblingKeys(this.key, -1);
	  } else {
	    this._replaceWith(null);
	  }
	}

	function _markRemoved() {
	  this.shouldSkip = true;
	  this.removed = true;
	  this.node = null;
	}

	function _assertUnremoved() {
	  if (this.removed) {
	    throw this.buildCodeFrameError("NodePath has been removed so is read-only.");
	  }
	}

/***/ },
/* 234 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.replaceWithMultiple = replaceWithMultiple;
	exports.replaceWithSourceString = replaceWithSourceString;
	exports.replaceWith = replaceWith;
	exports._replaceWith = _replaceWith;
	exports.replaceExpressionWithStatements = replaceExpressionWithStatements;
	exports.replaceInline = replaceInline;

	var _babelCodeFrame = __webpack_require__(168);

	var _babelCodeFrame2 = _interopRequireDefault(_babelCodeFrame);

	var _index = __webpack_require__(12);

	var _index2 = _interopRequireDefault(_index);

	var _index3 = __webpack_require__(24);

	var _index4 = _interopRequireDefault(_index3);

	var _babylon = __webpack_require__(118);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var hoistVariablesVisitor = {
	  Function: function Function(path) {
	    path.skip();
	  },
	  VariableDeclaration: function VariableDeclaration(path) {
	    if (path.node.kind !== "var") return;

	    var bindings = path.getBindingIdentifiers();
	    for (var key in bindings) {
	      path.scope.push({ id: bindings[key] });
	    }

	    var exprs = [];

	    for (var _iterator = path.node.declarations, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	      var _ref;

	      if (_isArray) {
	        if (_i >= _iterator.length) break;
	        _ref = _iterator[_i++];
	      } else {
	        _i = _iterator.next();
	        if (_i.done) break;
	        _ref = _i.value;
	      }

	      var declar = _ref;

	      if (declar.init) {
	        exprs.push(t.expressionStatement(t.assignmentExpression("=", declar.id, declar.init)));
	      }
	    }

	    path.replaceWithMultiple(exprs);
	  }
	};

	function replaceWithMultiple(nodes) {
	  this.resync();

	  nodes = this._verifyNodeList(nodes);
	  t.inheritLeadingComments(nodes[0], this.node);
	  t.inheritTrailingComments(nodes[nodes.length - 1], this.node);
	  this.node = this.container[this.key] = null;
	  this.insertAfter(nodes);

	  if (this.node) {
	    this.requeue();
	  } else {
	    this.remove();
	  }
	}

	function replaceWithSourceString(replacement) {
	  this.resync();

	  try {
	    replacement = "(" + replacement + ")";
	    replacement = (0, _babylon.parse)(replacement);
	  } catch (err) {
	    var loc = err.loc;
	    if (loc) {
	      err.message += " - make sure this is an expression.";
	      err.message += "\n" + (0, _babelCodeFrame2.default)(replacement, loc.line, loc.column + 1);
	    }
	    throw err;
	  }

	  replacement = replacement.program.body[0].expression;
	  _index2.default.removeProperties(replacement);
	  return this.replaceWith(replacement);
	}

	function replaceWith(replacement) {
	  this.resync();

	  if (this.removed) {
	    throw new Error("You can't replace this node, we've already removed it");
	  }

	  if (replacement instanceof _index4.default) {
	    replacement = replacement.node;
	  }

	  if (!replacement) {
	    throw new Error("You passed `path.replaceWith()` a falsy node, use `path.remove()` instead");
	  }

	  if (this.node === replacement) {
	    return;
	  }

	  if (this.isProgram() && !t.isProgram(replacement)) {
	    throw new Error("You can only replace a Program root node with another Program node");
	  }

	  if (Array.isArray(replacement)) {
	    throw new Error("Don't use `path.replaceWith()` with an array of nodes, use `path.replaceWithMultiple()`");
	  }

	  if (typeof replacement === "string") {
	    throw new Error("Don't use `path.replaceWith()` with a source string, use `path.replaceWithSourceString()`");
	  }

	  if (this.isNodeType("Statement") && t.isExpression(replacement)) {
	    if (!this.canHaveVariableDeclarationOrExpression() && !this.canSwapBetweenExpressionAndStatement(replacement)) {
	      replacement = t.expressionStatement(replacement);
	    }
	  }

	  if (this.isNodeType("Expression") && t.isStatement(replacement)) {
	    if (!this.canHaveVariableDeclarationOrExpression() && !this.canSwapBetweenExpressionAndStatement(replacement)) {
	      return this.replaceExpressionWithStatements([replacement]);
	    }
	  }

	  var oldNode = this.node;
	  if (oldNode) {
	    t.inheritsComments(replacement, oldNode);
	    t.removeComments(oldNode);
	  }

	  this._replaceWith(replacement);
	  this.type = replacement.type;

	  this.setScope();

	  this.requeue();
	}

	function _replaceWith(node) {
	  if (!this.container) {
	    throw new ReferenceError("Container is falsy");
	  }

	  if (this.inList) {
	    t.validate(this.parent, this.key, [node]);
	  } else {
	    t.validate(this.parent, this.key, node);
	  }

	  this.debug(function () {
	    return "Replace with " + (node && node.type);
	  });

	  this.node = this.container[this.key] = node;
	}

	function replaceExpressionWithStatements(nodes) {
	  this.resync();

	  var toSequenceExpression = t.toSequenceExpression(nodes, this.scope);

	  if (t.isSequenceExpression(toSequenceExpression)) {
	    var exprs = toSequenceExpression.expressions;

	    if (exprs.length >= 2 && this.parentPath.isExpressionStatement()) {
	      this._maybePopFromStatements(exprs);
	    }

	    if (exprs.length === 1) {
	      this.replaceWith(exprs[0]);
	    } else {
	      this.replaceWith(toSequenceExpression);
	    }
	  } else if (toSequenceExpression) {
	    this.replaceWith(toSequenceExpression);
	  } else {
	    var container = t.functionExpression(null, [], t.blockStatement(nodes));
	    container.shadow = true;

	    this.replaceWith(t.callExpression(container, []));
	    this.traverse(hoistVariablesVisitor);

	    var completionRecords = this.get("callee").getCompletionRecords();
	    for (var _iterator2 = completionRecords, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	      var _ref2;

	      if (_isArray2) {
	        if (_i2 >= _iterator2.length) break;
	        _ref2 = _iterator2[_i2++];
	      } else {
	        _i2 = _iterator2.next();
	        if (_i2.done) break;
	        _ref2 = _i2.value;
	      }

	      var path = _ref2;

	      if (!path.isExpressionStatement()) continue;

	      var loop = path.findParent(function (path) {
	        return path.isLoop();
	      });
	      if (loop) {
	        var callee = this.get("callee");

	        var uid = callee.scope.generateDeclaredUidIdentifier("ret");
	        callee.get("body").pushContainer("body", t.returnStatement(uid));

	        path.get("expression").replaceWith(t.assignmentExpression("=", uid, path.node.expression));
	      } else {
	        path.replaceWith(t.returnStatement(path.node.expression));
	      }
	    }

	    return this.node;
	  }
	}

	function replaceInline(nodes) {
	  this.resync();

	  if (Array.isArray(nodes)) {
	    if (Array.isArray(this.container)) {
	      nodes = this._verifyNodeList(nodes);
	      this._containerInsertAfter(nodes);
	      return this.remove();
	    } else {
	      return this.replaceWithMultiple(nodes);
	    }
	  } else {
	    return this.replaceWith(nodes);
	  }
	}

/***/ },
/* 235 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _classCallCheck2 = __webpack_require__(4);

	var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

	var _binding = __webpack_require__(116);

	var _binding2 = _interopRequireDefault(_binding);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var renameVisitor = {
	  ReferencedIdentifier: function ReferencedIdentifier(_ref, state) {
	    var node = _ref.node;

	    if (node.name === state.oldName) {
	      node.name = state.newName;
	    }
	  },
	  Scope: function Scope(path, state) {
	    if (!path.scope.bindingIdentifierEquals(state.oldName, state.binding.identifier)) {
	      path.skip();
	    }
	  },
	  "AssignmentExpression|Declaration": function AssignmentExpressionDeclaration(path, state) {
	    var ids = path.getOuterBindingIdentifiers();

	    for (var name in ids) {
	      if (name === state.oldName) ids[name].name = state.newName;
	    }
	  }
	};

	var Renamer = function () {
	  function Renamer(binding, oldName, newName) {
	    (0, _classCallCheck3.default)(this, Renamer);

	    this.newName = newName;
	    this.oldName = oldName;
	    this.binding = binding;
	  }

	  Renamer.prototype.maybeConvertFromExportDeclaration = function maybeConvertFromExportDeclaration(parentDeclar) {
	    var exportDeclar = parentDeclar.parentPath.isExportDeclaration() && parentDeclar.parentPath;
	    if (!exportDeclar) return;

	    var isDefault = exportDeclar.isExportDefaultDeclaration();

	    if (isDefault && (parentDeclar.isFunctionDeclaration() || parentDeclar.isClassDeclaration()) && !parentDeclar.node.id) {
	      parentDeclar.node.id = parentDeclar.scope.generateUidIdentifier("default");
	    }

	    var bindingIdentifiers = parentDeclar.getOuterBindingIdentifiers();
	    var specifiers = [];

	    for (var name in bindingIdentifiers) {
	      var localName = name === this.oldName ? this.newName : name;
	      var exportedName = isDefault ? "default" : name;
	      specifiers.push(t.exportSpecifier(t.identifier(localName), t.identifier(exportedName)));
	    }

	    if (specifiers.length) {
	      var aliasDeclar = t.exportNamedDeclaration(null, specifiers);

	      if (parentDeclar.isFunctionDeclaration()) {
	        aliasDeclar._blockHoist = 3;
	      }

	      exportDeclar.insertAfter(aliasDeclar);
	      exportDeclar.replaceWith(parentDeclar.node);
	    }
	  };

	  Renamer.prototype.maybeConvertFromClassFunctionDeclaration = function maybeConvertFromClassFunctionDeclaration(path) {
	    return;

	    if (!path.isFunctionDeclaration() && !path.isClassDeclaration()) return;
	    if (this.binding.kind !== "hoisted") return;

	    path.node.id = t.identifier(this.oldName);
	    path.node._blockHoist = 3;

	    path.replaceWith(t.variableDeclaration("let", [t.variableDeclarator(t.identifier(this.newName), t.toExpression(path.node))]));
	  };

	  Renamer.prototype.maybeConvertFromClassFunctionExpression = function maybeConvertFromClassFunctionExpression(path) {
	    return;

	    if (!path.isFunctionExpression() && !path.isClassExpression()) return;
	    if (this.binding.kind !== "local") return;

	    path.node.id = t.identifier(this.oldName);

	    this.binding.scope.parent.push({
	      id: t.identifier(this.newName)
	    });

	    path.replaceWith(t.assignmentExpression("=", t.identifier(this.newName), path.node));
	  };

	  Renamer.prototype.rename = function rename(block) {
	    var binding = this.binding,
	        oldName = this.oldName,
	        newName = this.newName;
	    var scope = binding.scope,
	        path = binding.path;

	    var parentDeclar = path.find(function (path) {
	      return path.isDeclaration() || path.isFunctionExpression();
	    });
	    if (parentDeclar) {
	      this.maybeConvertFromExportDeclaration(parentDeclar);
	    }

	    scope.traverse(block || scope.block, renameVisitor, this);

	    if (!block) {
	      scope.removeOwnBinding(oldName);
	      scope.bindings[newName] = binding;
	      this.binding.identifier.name = newName;
	    }

	    if (binding.type === "hoisted") {}

	    if (parentDeclar) {
	      this.maybeConvertFromClassFunctionDeclaration(parentDeclar);
	      this.maybeConvertFromClassFunctionExpression(parentDeclar);
	    }
	  };

	  return Renamer;
	}();

	exports.default = Renamer;
	module.exports = exports["default"];

/***/ },
/* 236 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _typeof2 = __webpack_require__(11);

	var _typeof3 = _interopRequireDefault(_typeof2);

	var _keys = __webpack_require__(31);

	var _keys2 = _interopRequireDefault(_keys);

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.explode = explode;
	exports.verify = verify;
	exports.merge = merge;

	var _virtualTypes = __webpack_require__(115);

	var virtualTypes = _interopRequireWildcard(_virtualTypes);

	var _babelMessages = __webpack_require__(42);

	var messages = _interopRequireWildcard(_babelMessages);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	var _clone = __webpack_require__(149);

	var _clone2 = _interopRequireDefault(_clone);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function explode(visitor) {
	  if (visitor._exploded) return visitor;
	  visitor._exploded = true;

	  for (var nodeType in visitor) {
	    if (shouldIgnoreKey(nodeType)) continue;

	    var parts = nodeType.split("|");
	    if (parts.length === 1) continue;

	    var fns = visitor[nodeType];
	    delete visitor[nodeType];

	    for (var _iterator = parts, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	      var _ref;

	      if (_isArray) {
	        if (_i >= _iterator.length) break;
	        _ref = _iterator[_i++];
	      } else {
	        _i = _iterator.next();
	        if (_i.done) break;
	        _ref = _i.value;
	      }

	      var part = _ref;

	      visitor[part] = fns;
	    }
	  }

	  verify(visitor);

	  delete visitor.__esModule;

	  ensureEntranceObjects(visitor);

	  ensureCallbackArrays(visitor);

	  for (var _iterator2 = (0, _keys2.default)(visitor), _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	    var _ref2;

	    if (_isArray2) {
	      if (_i2 >= _iterator2.length) break;
	      _ref2 = _iterator2[_i2++];
	    } else {
	      _i2 = _iterator2.next();
	      if (_i2.done) break;
	      _ref2 = _i2.value;
	    }

	    var _nodeType3 = _ref2;

	    if (shouldIgnoreKey(_nodeType3)) continue;

	    var wrapper = virtualTypes[_nodeType3];
	    if (!wrapper) continue;

	    var _fns2 = visitor[_nodeType3];
	    for (var type in _fns2) {
	      _fns2[type] = wrapCheck(wrapper, _fns2[type]);
	    }

	    delete visitor[_nodeType3];

	    if (wrapper.types) {
	      for (var _iterator4 = wrapper.types, _isArray4 = Array.isArray(_iterator4), _i4 = 0, _iterator4 = _isArray4 ? _iterator4 : (0, _getIterator3.default)(_iterator4);;) {
	        var _ref4;

	        if (_isArray4) {
	          if (_i4 >= _iterator4.length) break;
	          _ref4 = _iterator4[_i4++];
	        } else {
	          _i4 = _iterator4.next();
	          if (_i4.done) break;
	          _ref4 = _i4.value;
	        }

	        var _type = _ref4;

	        if (visitor[_type]) {
	          mergePair(visitor[_type], _fns2);
	        } else {
	          visitor[_type] = _fns2;
	        }
	      }
	    } else {
	      mergePair(visitor, _fns2);
	    }
	  }

	  for (var _nodeType in visitor) {
	    if (shouldIgnoreKey(_nodeType)) continue;

	    var _fns = visitor[_nodeType];

	    var aliases = t.FLIPPED_ALIAS_KEYS[_nodeType];

	    var deprecratedKey = t.DEPRECATED_KEYS[_nodeType];
	    if (deprecratedKey) {
	      console.trace("Visitor defined for " + _nodeType + " but it has been renamed to " + deprecratedKey);
	      aliases = [deprecratedKey];
	    }

	    if (!aliases) continue;

	    delete visitor[_nodeType];

	    for (var _iterator3 = aliases, _isArray3 = Array.isArray(_iterator3), _i3 = 0, _iterator3 = _isArray3 ? _iterator3 : (0, _getIterator3.default)(_iterator3);;) {
	      var _ref3;

	      if (_isArray3) {
	        if (_i3 >= _iterator3.length) break;
	        _ref3 = _iterator3[_i3++];
	      } else {
	        _i3 = _iterator3.next();
	        if (_i3.done) break;
	        _ref3 = _i3.value;
	      }

	      var alias = _ref3;

	      var existing = visitor[alias];
	      if (existing) {
	        mergePair(existing, _fns);
	      } else {
	        visitor[alias] = (0, _clone2.default)(_fns);
	      }
	    }
	  }

	  for (var _nodeType2 in visitor) {
	    if (shouldIgnoreKey(_nodeType2)) continue;

	    ensureCallbackArrays(visitor[_nodeType2]);
	  }

	  return visitor;
	}

	function verify(visitor) {
	  if (visitor._verified) return;

	  if (typeof visitor === "function") {
	    throw new Error(messages.get("traverseVerifyRootFunction"));
	  }

	  for (var nodeType in visitor) {
	    if (nodeType === "enter" || nodeType === "exit") {
	      validateVisitorMethods(nodeType, visitor[nodeType]);
	    }

	    if (shouldIgnoreKey(nodeType)) continue;

	    if (t.TYPES.indexOf(nodeType) < 0) {
	      throw new Error(messages.get("traverseVerifyNodeType", nodeType));
	    }

	    var visitors = visitor[nodeType];
	    if ((typeof visitors === "undefined" ? "undefined" : (0, _typeof3.default)(visitors)) === "object") {
	      for (var visitorKey in visitors) {
	        if (visitorKey === "enter" || visitorKey === "exit") {
	          validateVisitorMethods(nodeType + "." + visitorKey, visitors[visitorKey]);
	        } else {
	          throw new Error(messages.get("traverseVerifyVisitorProperty", nodeType, visitorKey));
	        }
	      }
	    }
	  }

	  visitor._verified = true;
	}

	function validateVisitorMethods(path, val) {
	  var fns = [].concat(val);
	  for (var _iterator5 = fns, _isArray5 = Array.isArray(_iterator5), _i5 = 0, _iterator5 = _isArray5 ? _iterator5 : (0, _getIterator3.default)(_iterator5);;) {
	    var _ref5;

	    if (_isArray5) {
	      if (_i5 >= _iterator5.length) break;
	      _ref5 = _iterator5[_i5++];
	    } else {
	      _i5 = _iterator5.next();
	      if (_i5.done) break;
	      _ref5 = _i5.value;
	    }

	    var fn = _ref5;

	    if (typeof fn !== "function") {
	      throw new TypeError("Non-function found defined in " + path + " with type " + (typeof fn === "undefined" ? "undefined" : (0, _typeof3.default)(fn)));
	    }
	  }
	}

	function merge(visitors) {
	  var states = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
	  var wrapper = arguments[2];

	  var rootVisitor = {};

	  for (var i = 0; i < visitors.length; i++) {
	    var visitor = visitors[i];
	    var state = states[i];

	    explode(visitor);

	    for (var type in visitor) {
	      var visitorType = visitor[type];

	      if (state || wrapper) {
	        visitorType = wrapWithStateOrWrapper(visitorType, state, wrapper);
	      }

	      var nodeVisitor = rootVisitor[type] = rootVisitor[type] || {};
	      mergePair(nodeVisitor, visitorType);
	    }
	  }

	  return rootVisitor;
	}

	function wrapWithStateOrWrapper(oldVisitor, state, wrapper) {
	  var newVisitor = {};

	  var _loop = function _loop(key) {
	    var fns = oldVisitor[key];

	    if (!Array.isArray(fns)) return "continue";

	    fns = fns.map(function (fn) {
	      var newFn = fn;

	      if (state) {
	        newFn = function newFn(path) {
	          return fn.call(state, path, state);
	        };
	      }

	      if (wrapper) {
	        newFn = wrapper(state.key, key, newFn);
	      }

	      return newFn;
	    });

	    newVisitor[key] = fns;
	  };

	  for (var key in oldVisitor) {
	    var _ret = _loop(key);

	    if (_ret === "continue") continue;
	  }

	  return newVisitor;
	}

	function ensureEntranceObjects(obj) {
	  for (var key in obj) {
	    if (shouldIgnoreKey(key)) continue;

	    var fns = obj[key];
	    if (typeof fns === "function") {
	      obj[key] = { enter: fns };
	    }
	  }
	}

	function ensureCallbackArrays(obj) {
	  if (obj.enter && !Array.isArray(obj.enter)) obj.enter = [obj.enter];
	  if (obj.exit && !Array.isArray(obj.exit)) obj.exit = [obj.exit];
	}

	function wrapCheck(wrapper, fn) {
	  var newFn = function newFn(path) {
	    if (wrapper.checkPath(path)) {
	      return fn.apply(this, arguments);
	    }
	  };
	  newFn.toString = function () {
	    return fn.toString();
	  };
	  return newFn;
	}

	function shouldIgnoreKey(key) {
	  if (key[0] === "_") return true;

	  if (key === "enter" || key === "exit" || key === "shouldSkip") return true;

	  if (key === "blacklist" || key === "noScope" || key === "skipKeys") return true;

	  return false;
	}

	function mergePair(dest, src) {
	  for (var key in src) {
	    dest[key] = [].concat(dest[key] || [], src[key]);
	  }
	}

/***/ },
/* 237 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _maxSafeInteger = __webpack_require__(211);

	var _maxSafeInteger2 = _interopRequireDefault(_maxSafeInteger);

	var _stringify = __webpack_require__(37);

	var _stringify2 = _interopRequireDefault(_stringify);

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.toComputedKey = toComputedKey;
	exports.toSequenceExpression = toSequenceExpression;
	exports.toKeyAlias = toKeyAlias;
	exports.toIdentifier = toIdentifier;
	exports.toBindingIdentifierName = toBindingIdentifierName;
	exports.toStatement = toStatement;
	exports.toExpression = toExpression;
	exports.toBlock = toBlock;
	exports.valueToNode = valueToNode;

	var _isPlainObject = __webpack_require__(414);

	var _isPlainObject2 = _interopRequireDefault(_isPlainObject);

	var _isNumber = __webpack_require__(413);

	var _isNumber2 = _interopRequireDefault(_isNumber);

	var _isRegExp = __webpack_require__(415);

	var _isRegExp2 = _interopRequireDefault(_isRegExp);

	var _isString = __webpack_require__(155);

	var _isString2 = _interopRequireDefault(_isString);

	var _index = __webpack_require__(1);

	var t = _interopRequireWildcard(_index);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function toComputedKey(node) {
	  var key = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : node.key || node.property;

	  if (!node.computed) {
	    if (t.isIdentifier(key)) key = t.stringLiteral(key.name);
	  }
	  return key;
	}

	function toSequenceExpression(nodes, scope) {
	  if (!nodes || !nodes.length) return;

	  var declars = [];
	  var bailed = false;

	  var result = convert(nodes);
	  if (bailed) return;

	  for (var i = 0; i < declars.length; i++) {
	    scope.push(declars[i]);
	  }

	  return result;

	  function convert(nodes) {
	    var ensureLastUndefined = false;
	    var exprs = [];

	    for (var _iterator = nodes, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	      var _ref;

	      if (_isArray) {
	        if (_i >= _iterator.length) break;
	        _ref = _iterator[_i++];
	      } else {
	        _i = _iterator.next();
	        if (_i.done) break;
	        _ref = _i.value;
	      }

	      var node = _ref;

	      if (t.isExpression(node)) {
	        exprs.push(node);
	      } else if (t.isExpressionStatement(node)) {
	        exprs.push(node.expression);
	      } else if (t.isVariableDeclaration(node)) {
	        if (node.kind !== "var") return bailed = true;

	        for (var _iterator2 = node.declarations, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	          var _ref2;

	          if (_isArray2) {
	            if (_i2 >= _iterator2.length) break;
	            _ref2 = _iterator2[_i2++];
	          } else {
	            _i2 = _iterator2.next();
	            if (_i2.done) break;
	            _ref2 = _i2.value;
	          }

	          var declar = _ref2;

	          var bindings = t.getBindingIdentifiers(declar);
	          for (var key in bindings) {
	            declars.push({
	              kind: node.kind,
	              id: bindings[key]
	            });
	          }

	          if (declar.init) {
	            exprs.push(t.assignmentExpression("=", declar.id, declar.init));
	          }
	        }

	        ensureLastUndefined = true;
	        continue;
	      } else if (t.isIfStatement(node)) {
	        var consequent = node.consequent ? convert([node.consequent]) : scope.buildUndefinedNode();
	        var alternate = node.alternate ? convert([node.alternate]) : scope.buildUndefinedNode();
	        if (!consequent || !alternate) return bailed = true;

	        exprs.push(t.conditionalExpression(node.test, consequent, alternate));
	      } else if (t.isBlockStatement(node)) {
	        exprs.push(convert(node.body));
	      } else if (t.isEmptyStatement(node)) {
	        ensureLastUndefined = true;
	        continue;
	      } else {
	        return bailed = true;
	      }

	      ensureLastUndefined = false;
	    }

	    if (ensureLastUndefined || exprs.length === 0) {
	      exprs.push(scope.buildUndefinedNode());
	    }

	    if (exprs.length === 1) {
	      return exprs[0];
	    } else {
	      return t.sequenceExpression(exprs);
	    }
	  }
	}

	function toKeyAlias(node) {
	  var key = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : node.key;

	  var alias = void 0;

	  if (node.kind === "method") {
	    return toKeyAlias.increment() + "";
	  } else if (t.isIdentifier(key)) {
	    alias = key.name;
	  } else if (t.isStringLiteral(key)) {
	    alias = (0, _stringify2.default)(key.value);
	  } else {
	    alias = (0, _stringify2.default)(t.removePropertiesDeep(t.cloneDeep(key)));
	  }

	  if (node.computed) {
	    alias = "[" + alias + "]";
	  }

	  if (node.static) {
	    alias = "static:" + alias;
	  }

	  return alias;
	}

	toKeyAlias.uid = 0;

	toKeyAlias.increment = function () {
	  if (toKeyAlias.uid >= _maxSafeInteger2.default) {
	    return toKeyAlias.uid = 0;
	  } else {
	    return toKeyAlias.uid++;
	  }
	};

	function toIdentifier(name) {
	  name = name + "";

	  name = name.replace(/[^a-zA-Z0-9$_]/g, "-");

	  name = name.replace(/^[-0-9]+/, "");

	  name = name.replace(/[-\s]+(.)?/g, function (match, c) {
	    return c ? c.toUpperCase() : "";
	  });

	  if (!t.isValidIdentifier(name)) {
	    name = "_" + name;
	  }

	  return name || "_";
	}

	function toBindingIdentifierName(name) {
	  name = toIdentifier(name);
	  if (name === "eval" || name === "arguments") name = "_" + name;
	  return name;
	}

	function toStatement(node, ignore) {
	  if (t.isStatement(node)) {
	    return node;
	  }

	  var mustHaveId = false;
	  var newType = void 0;

	  if (t.isClass(node)) {
	    mustHaveId = true;
	    newType = "ClassDeclaration";
	  } else if (t.isFunction(node)) {
	    mustHaveId = true;
	    newType = "FunctionDeclaration";
	  } else if (t.isAssignmentExpression(node)) {
	    return t.expressionStatement(node);
	  }

	  if (mustHaveId && !node.id) {
	    newType = false;
	  }

	  if (!newType) {
	    if (ignore) {
	      return false;
	    } else {
	      throw new Error("cannot turn " + node.type + " to a statement");
	    }
	  }

	  node.type = newType;

	  return node;
	}

	function toExpression(node) {
	  if (t.isExpressionStatement(node)) {
	    node = node.expression;
	  }

	  if (t.isExpression(node)) {
	    return node;
	  }

	  if (t.isClass(node)) {
	    node.type = "ClassExpression";
	  } else if (t.isFunction(node)) {
	    node.type = "FunctionExpression";
	  }

	  if (!t.isExpression(node)) {
	    throw new Error("cannot turn " + node.type + " to an expression");
	  }

	  return node;
	}

	function toBlock(node, parent) {
	  if (t.isBlockStatement(node)) {
	    return node;
	  }

	  if (t.isEmptyStatement(node)) {
	    node = [];
	  }

	  if (!Array.isArray(node)) {
	    if (!t.isStatement(node)) {
	      if (t.isFunction(parent)) {
	        node = t.returnStatement(node);
	      } else {
	        node = t.expressionStatement(node);
	      }
	    }

	    node = [node];
	  }

	  return t.blockStatement(node);
	}

	function valueToNode(value) {
	  if (value === undefined) {
	    return t.identifier("undefined");
	  }

	  if (value === true || value === false) {
	    return t.booleanLiteral(value);
	  }

	  if (value === null) {
	    return t.nullLiteral();
	  }

	  if ((0, _isString2.default)(value)) {
	    return t.stringLiteral(value);
	  }

	  if ((0, _isNumber2.default)(value)) {
	    return t.numericLiteral(value);
	  }

	  if ((0, _isRegExp2.default)(value)) {
	    var pattern = value.source;
	    var flags = value.toString().match(/\/([a-z]+|)$/)[1];
	    return t.regExpLiteral(pattern, flags);
	  }

	  if (Array.isArray(value)) {
	    return t.arrayExpression(value.map(t.valueToNode));
	  }

	  if ((0, _isPlainObject2.default)(value)) {
	    var props = [];
	    for (var key in value) {
	      var nodeKey = void 0;
	      if (t.isValidIdentifier(key)) {
	        nodeKey = t.identifier(key);
	      } else {
	        nodeKey = t.stringLiteral(key);
	      }
	      props.push(t.objectProperty(nodeKey, t.valueToNode(value[key])));
	    }
	    return t.objectExpression(props);
	  }

	  throw new Error("don't know how to turn this value into a node");
	}

/***/ },
/* 238 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	var _index = __webpack_require__(1);

	var t = _interopRequireWildcard(_index);

	var _constants = __webpack_require__(64);

	var _index2 = __webpack_require__(19);

	var _index3 = _interopRequireDefault(_index2);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	(0, _index3.default)("ArrayExpression", {
	  fields: {
	    elements: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeOrValueType)("null", "Expression", "SpreadElement"))),
	      default: []
	    }
	  },
	  visitor: ["elements"],
	  aliases: ["Expression"]
	});

	(0, _index3.default)("AssignmentExpression", {
	  fields: {
	    operator: {
	      validate: (0, _index2.assertValueType)("string")
	    },
	    left: {
	      validate: (0, _index2.assertNodeType)("LVal")
	    },
	    right: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    }
	  },
	  builder: ["operator", "left", "right"],
	  visitor: ["left", "right"],
	  aliases: ["Expression"]
	});

	(0, _index3.default)("BinaryExpression", {
	  builder: ["operator", "left", "right"],
	  fields: {
	    operator: {
	      validate: _index2.assertOneOf.apply(undefined, _constants.BINARY_OPERATORS)
	    },
	    left: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    },
	    right: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    }
	  },
	  visitor: ["left", "right"],
	  aliases: ["Binary", "Expression"]
	});

	(0, _index3.default)("Directive", {
	  visitor: ["value"],
	  fields: {
	    value: {
	      validate: (0, _index2.assertNodeType)("DirectiveLiteral")
	    }
	  }
	});

	(0, _index3.default)("DirectiveLiteral", {
	  builder: ["value"],
	  fields: {
	    value: {
	      validate: (0, _index2.assertValueType)("string")
	    }
	  }
	});

	(0, _index3.default)("BlockStatement", {
	  builder: ["body", "directives"],
	  visitor: ["directives", "body"],
	  fields: {
	    directives: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeType)("Directive"))),
	      default: []
	    },
	    body: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeType)("Statement")))
	    }
	  },
	  aliases: ["Scopable", "BlockParent", "Block", "Statement"]
	});

	(0, _index3.default)("BreakStatement", {
	  visitor: ["label"],
	  fields: {
	    label: {
	      validate: (0, _index2.assertNodeType)("Identifier"),
	      optional: true
	    }
	  },
	  aliases: ["Statement", "Terminatorless", "CompletionStatement"]
	});

	(0, _index3.default)("CallExpression", {
	  visitor: ["callee", "arguments"],
	  fields: {
	    callee: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    },
	    arguments: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeType)("Expression", "SpreadElement")))
	    }
	  },
	  aliases: ["Expression"]
	});

	(0, _index3.default)("CatchClause", {
	  visitor: ["param", "body"],
	  fields: {
	    param: {
	      validate: (0, _index2.assertNodeType)("Identifier")
	    },
	    body: {
	      validate: (0, _index2.assertNodeType)("BlockStatement")
	    }
	  },
	  aliases: ["Scopable"]
	});

	(0, _index3.default)("ConditionalExpression", {
	  visitor: ["test", "consequent", "alternate"],
	  fields: {
	    test: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    },
	    consequent: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    },
	    alternate: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    }
	  },
	  aliases: ["Expression", "Conditional"]
	});

	(0, _index3.default)("ContinueStatement", {
	  visitor: ["label"],
	  fields: {
	    label: {
	      validate: (0, _index2.assertNodeType)("Identifier"),
	      optional: true
	    }
	  },
	  aliases: ["Statement", "Terminatorless", "CompletionStatement"]
	});

	(0, _index3.default)("DebuggerStatement", {
	  aliases: ["Statement"]
	});

	(0, _index3.default)("DoWhileStatement", {
	  visitor: ["test", "body"],
	  fields: {
	    test: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    },
	    body: {
	      validate: (0, _index2.assertNodeType)("Statement")
	    }
	  },
	  aliases: ["Statement", "BlockParent", "Loop", "While", "Scopable"]
	});

	(0, _index3.default)("EmptyStatement", {
	  aliases: ["Statement"]
	});

	(0, _index3.default)("ExpressionStatement", {
	  visitor: ["expression"],
	  fields: {
	    expression: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    }
	  },
	  aliases: ["Statement", "ExpressionWrapper"]
	});

	(0, _index3.default)("File", {
	  builder: ["program", "comments", "tokens"],
	  visitor: ["program"],
	  fields: {
	    program: {
	      validate: (0, _index2.assertNodeType)("Program")
	    }
	  }
	});

	(0, _index3.default)("ForInStatement", {
	  visitor: ["left", "right", "body"],
	  aliases: ["Scopable", "Statement", "For", "BlockParent", "Loop", "ForXStatement"],
	  fields: {
	    left: {
	      validate: (0, _index2.assertNodeType)("VariableDeclaration", "LVal")
	    },
	    right: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    },
	    body: {
	      validate: (0, _index2.assertNodeType)("Statement")
	    }
	  }
	});

	(0, _index3.default)("ForStatement", {
	  visitor: ["init", "test", "update", "body"],
	  aliases: ["Scopable", "Statement", "For", "BlockParent", "Loop"],
	  fields: {
	    init: {
	      validate: (0, _index2.assertNodeType)("VariableDeclaration", "Expression"),
	      optional: true
	    },
	    test: {
	      validate: (0, _index2.assertNodeType)("Expression"),
	      optional: true
	    },
	    update: {
	      validate: (0, _index2.assertNodeType)("Expression"),
	      optional: true
	    },
	    body: {
	      validate: (0, _index2.assertNodeType)("Statement")
	    }
	  }
	});

	(0, _index3.default)("FunctionDeclaration", {
	  builder: ["id", "params", "body", "generator", "async"],
	  visitor: ["id", "params", "body", "returnType", "typeParameters"],
	  fields: {
	    id: {
	      validate: (0, _index2.assertNodeType)("Identifier")
	    },
	    params: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeType)("LVal")))
	    },
	    body: {
	      validate: (0, _index2.assertNodeType)("BlockStatement")
	    },
	    generator: {
	      default: false,
	      validate: (0, _index2.assertValueType)("boolean")
	    },
	    async: {
	      default: false,
	      validate: (0, _index2.assertValueType)("boolean")
	    }
	  },
	  aliases: ["Scopable", "Function", "BlockParent", "FunctionParent", "Statement", "Pureish", "Declaration"]
	});

	(0, _index3.default)("FunctionExpression", {
	  inherits: "FunctionDeclaration",
	  aliases: ["Scopable", "Function", "BlockParent", "FunctionParent", "Expression", "Pureish"],
	  fields: {
	    id: {
	      validate: (0, _index2.assertNodeType)("Identifier"),
	      optional: true
	    },
	    params: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeType)("LVal")))
	    },
	    body: {
	      validate: (0, _index2.assertNodeType)("BlockStatement")
	    },
	    generator: {
	      default: false,
	      validate: (0, _index2.assertValueType)("boolean")
	    },
	    async: {
	      default: false,
	      validate: (0, _index2.assertValueType)("boolean")
	    }
	  }
	});

	(0, _index3.default)("Identifier", {
	  builder: ["name"],
	  visitor: ["typeAnnotation"],
	  aliases: ["Expression", "LVal"],
	  fields: {
	    name: {
	      validate: function validate(node, key, val) {
	        if (!t.isValidIdentifier(val)) {}
	      }
	    },
	    decorators: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeType)("Decorator")))
	    }
	  }
	});

	(0, _index3.default)("IfStatement", {
	  visitor: ["test", "consequent", "alternate"],
	  aliases: ["Statement", "Conditional"],
	  fields: {
	    test: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    },
	    consequent: {
	      validate: (0, _index2.assertNodeType)("Statement")
	    },
	    alternate: {
	      optional: true,
	      validate: (0, _index2.assertNodeType)("Statement")
	    }
	  }
	});

	(0, _index3.default)("LabeledStatement", {
	  visitor: ["label", "body"],
	  aliases: ["Statement"],
	  fields: {
	    label: {
	      validate: (0, _index2.assertNodeType)("Identifier")
	    },
	    body: {
	      validate: (0, _index2.assertNodeType)("Statement")
	    }
	  }
	});

	(0, _index3.default)("StringLiteral", {
	  builder: ["value"],
	  fields: {
	    value: {
	      validate: (0, _index2.assertValueType)("string")
	    }
	  },
	  aliases: ["Expression", "Pureish", "Literal", "Immutable"]
	});

	(0, _index3.default)("NumericLiteral", {
	  builder: ["value"],
	  deprecatedAlias: "NumberLiteral",
	  fields: {
	    value: {
	      validate: (0, _index2.assertValueType)("number")
	    }
	  },
	  aliases: ["Expression", "Pureish", "Literal", "Immutable"]
	});

	(0, _index3.default)("NullLiteral", {
	  aliases: ["Expression", "Pureish", "Literal", "Immutable"]
	});

	(0, _index3.default)("BooleanLiteral", {
	  builder: ["value"],
	  fields: {
	    value: {
	      validate: (0, _index2.assertValueType)("boolean")
	    }
	  },
	  aliases: ["Expression", "Pureish", "Literal", "Immutable"]
	});

	(0, _index3.default)("RegExpLiteral", {
	  builder: ["pattern", "flags"],
	  deprecatedAlias: "RegexLiteral",
	  aliases: ["Expression", "Literal"],
	  fields: {
	    pattern: {
	      validate: (0, _index2.assertValueType)("string")
	    },
	    flags: {
	      validate: (0, _index2.assertValueType)("string"),
	      default: ""
	    }
	  }
	});

	(0, _index3.default)("LogicalExpression", {
	  builder: ["operator", "left", "right"],
	  visitor: ["left", "right"],
	  aliases: ["Binary", "Expression"],
	  fields: {
	    operator: {
	      validate: _index2.assertOneOf.apply(undefined, _constants.LOGICAL_OPERATORS)
	    },
	    left: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    },
	    right: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    }
	  }
	});

	(0, _index3.default)("MemberExpression", {
	  builder: ["object", "property", "computed"],
	  visitor: ["object", "property"],
	  aliases: ["Expression", "LVal"],
	  fields: {
	    object: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    },
	    property: {
	      validate: function validate(node, key, val) {
	        var expectedType = node.computed ? "Expression" : "Identifier";
	        (0, _index2.assertNodeType)(expectedType)(node, key, val);
	      }
	    },
	    computed: {
	      default: false
	    }
	  }
	});

	(0, _index3.default)("NewExpression", {
	  visitor: ["callee", "arguments"],
	  aliases: ["Expression"],
	  fields: {
	    callee: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    },
	    arguments: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeType)("Expression", "SpreadElement")))
	    }
	  }
	});

	(0, _index3.default)("Program", {
	  visitor: ["directives", "body"],
	  builder: ["body", "directives"],
	  fields: {
	    directives: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeType)("Directive"))),
	      default: []
	    },
	    body: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeType)("Statement")))
	    }
	  },
	  aliases: ["Scopable", "BlockParent", "Block", "FunctionParent"]
	});

	(0, _index3.default)("ObjectExpression", {
	  visitor: ["properties"],
	  aliases: ["Expression"],
	  fields: {
	    properties: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeType)("ObjectMethod", "ObjectProperty", "SpreadProperty")))
	    }
	  }
	});

	(0, _index3.default)("ObjectMethod", {
	  builder: ["kind", "key", "params", "body", "computed"],
	  fields: {
	    kind: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("string"), (0, _index2.assertOneOf)("method", "get", "set")),
	      default: "method"
	    },
	    computed: {
	      validate: (0, _index2.assertValueType)("boolean"),
	      default: false
	    },
	    key: {
	      validate: function validate(node, key, val) {
	        var expectedTypes = node.computed ? ["Expression"] : ["Identifier", "StringLiteral", "NumericLiteral"];
	        _index2.assertNodeType.apply(undefined, expectedTypes)(node, key, val);
	      }
	    },
	    decorators: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeType)("Decorator")))
	    },
	    body: {
	      validate: (0, _index2.assertNodeType)("BlockStatement")
	    },
	    generator: {
	      default: false,
	      validate: (0, _index2.assertValueType)("boolean")
	    },
	    async: {
	      default: false,
	      validate: (0, _index2.assertValueType)("boolean")
	    }
	  },
	  visitor: ["key", "params", "body", "decorators", "returnType", "typeParameters"],
	  aliases: ["UserWhitespacable", "Function", "Scopable", "BlockParent", "FunctionParent", "Method", "ObjectMember"]
	});

	(0, _index3.default)("ObjectProperty", {
	  builder: ["key", "value", "computed", "shorthand", "decorators"],
	  fields: {
	    computed: {
	      validate: (0, _index2.assertValueType)("boolean"),
	      default: false
	    },
	    key: {
	      validate: function validate(node, key, val) {
	        var expectedTypes = node.computed ? ["Expression"] : ["Identifier", "StringLiteral", "NumericLiteral"];
	        _index2.assertNodeType.apply(undefined, expectedTypes)(node, key, val);
	      }
	    },
	    value: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    },
	    shorthand: {
	      validate: (0, _index2.assertValueType)("boolean"),
	      default: false
	    },
	    decorators: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeType)("Decorator"))),
	      optional: true
	    }
	  },
	  visitor: ["key", "value", "decorators"],
	  aliases: ["UserWhitespacable", "Property", "ObjectMember"]
	});

	(0, _index3.default)("RestElement", {
	  visitor: ["argument", "typeAnnotation"],
	  aliases: ["LVal"],
	  fields: {
	    argument: {
	      validate: (0, _index2.assertNodeType)("LVal")
	    },
	    decorators: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeType)("Decorator")))
	    }
	  }
	});

	(0, _index3.default)("ReturnStatement", {
	  visitor: ["argument"],
	  aliases: ["Statement", "Terminatorless", "CompletionStatement"],
	  fields: {
	    argument: {
	      validate: (0, _index2.assertNodeType)("Expression"),
	      optional: true
	    }
	  }
	});

	(0, _index3.default)("SequenceExpression", {
	  visitor: ["expressions"],
	  fields: {
	    expressions: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeType)("Expression")))
	    }
	  },
	  aliases: ["Expression"]
	});

	(0, _index3.default)("SwitchCase", {
	  visitor: ["test", "consequent"],
	  fields: {
	    test: {
	      validate: (0, _index2.assertNodeType)("Expression"),
	      optional: true
	    },
	    consequent: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeType)("Statement")))
	    }
	  }
	});

	(0, _index3.default)("SwitchStatement", {
	  visitor: ["discriminant", "cases"],
	  aliases: ["Statement", "BlockParent", "Scopable"],
	  fields: {
	    discriminant: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    },
	    cases: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeType)("SwitchCase")))
	    }
	  }
	});

	(0, _index3.default)("ThisExpression", {
	  aliases: ["Expression"]
	});

	(0, _index3.default)("ThrowStatement", {
	  visitor: ["argument"],
	  aliases: ["Statement", "Terminatorless", "CompletionStatement"],
	  fields: {
	    argument: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    }
	  }
	});

	(0, _index3.default)("TryStatement", {
	  visitor: ["block", "handler", "finalizer"],
	  aliases: ["Statement"],
	  fields: {
	    body: {
	      validate: (0, _index2.assertNodeType)("BlockStatement")
	    },
	    handler: {
	      optional: true,
	      handler: (0, _index2.assertNodeType)("BlockStatement")
	    },
	    finalizer: {
	      optional: true,
	      validate: (0, _index2.assertNodeType)("BlockStatement")
	    }
	  }
	});

	(0, _index3.default)("UnaryExpression", {
	  builder: ["operator", "argument", "prefix"],
	  fields: {
	    prefix: {
	      default: true
	    },
	    argument: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    },
	    operator: {
	      validate: _index2.assertOneOf.apply(undefined, _constants.UNARY_OPERATORS)
	    }
	  },
	  visitor: ["argument"],
	  aliases: ["UnaryLike", "Expression"]
	});

	(0, _index3.default)("UpdateExpression", {
	  builder: ["operator", "argument", "prefix"],
	  fields: {
	    prefix: {
	      default: false
	    },
	    argument: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    },
	    operator: {
	      validate: _index2.assertOneOf.apply(undefined, _constants.UPDATE_OPERATORS)
	    }
	  },
	  visitor: ["argument"],
	  aliases: ["Expression"]
	});

	(0, _index3.default)("VariableDeclaration", {
	  builder: ["kind", "declarations"],
	  visitor: ["declarations"],
	  aliases: ["Statement", "Declaration"],
	  fields: {
	    kind: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("string"), (0, _index2.assertOneOf)("var", "let", "const"))
	    },
	    declarations: {
	      validate: (0, _index2.chain)((0, _index2.assertValueType)("array"), (0, _index2.assertEach)((0, _index2.assertNodeType)("VariableDeclarator")))
	    }
	  }
	});

	(0, _index3.default)("VariableDeclarator", {
	  visitor: ["id", "init"],
	  fields: {
	    id: {
	      validate: (0, _index2.assertNodeType)("LVal")
	    },
	    init: {
	      optional: true,
	      validate: (0, _index2.assertNodeType)("Expression")
	    }
	  }
	});

	(0, _index3.default)("WhileStatement", {
	  visitor: ["test", "body"],
	  aliases: ["Statement", "BlockParent", "Loop", "While", "Scopable"],
	  fields: {
	    test: {
	      validate: (0, _index2.assertNodeType)("Expression")
	    },
	    body: {
	      validate: (0, _index2.assertNodeType)("BlockStatement", "Statement")
	    }
	  }
	});

	(0, _index3.default)("WithStatement", {
	  visitor: ["object", "body"],
	  aliases: ["Statement"],
	  fields: {
	    object: {
	      object: (0, _index2.assertNodeType)("Expression")
	    },
	    body: {
	      validate: (0, _index2.assertNodeType)("BlockStatement", "Statement")
	    }
	  }
	});

/***/ },
/* 239 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	var _index = __webpack_require__(19);

	var _index2 = _interopRequireDefault(_index);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	(0, _index2.default)("AssignmentPattern", {
	  visitor: ["left", "right"],
	  aliases: ["Pattern", "LVal"],
	  fields: {
	    left: {
	      validate: (0, _index.assertNodeType)("Identifier")
	    },
	    right: {
	      validate: (0, _index.assertNodeType)("Expression")
	    },
	    decorators: {
	      validate: (0, _index.chain)((0, _index.assertValueType)("array"), (0, _index.assertEach)((0, _index.assertNodeType)("Decorator")))
	    }
	  }
	});

	(0, _index2.default)("ArrayPattern", {
	  visitor: ["elements", "typeAnnotation"],
	  aliases: ["Pattern", "LVal"],
	  fields: {
	    elements: {
	      validate: (0, _index.chain)((0, _index.assertValueType)("array"), (0, _index.assertEach)((0, _index.assertNodeType)("Expression")))
	    },
	    decorators: {
	      validate: (0, _index.chain)((0, _index.assertValueType)("array"), (0, _index.assertEach)((0, _index.assertNodeType)("Decorator")))
	    }
	  }
	});

	(0, _index2.default)("ArrowFunctionExpression", {
	  builder: ["params", "body", "async"],
	  visitor: ["params", "body", "returnType", "typeParameters"],
	  aliases: ["Scopable", "Function", "BlockParent", "FunctionParent", "Expression", "Pureish"],
	  fields: {
	    params: {
	      validate: (0, _index.chain)((0, _index.assertValueType)("array"), (0, _index.assertEach)((0, _index.assertNodeType)("LVal")))
	    },
	    body: {
	      validate: (0, _index.assertNodeType)("BlockStatement", "Expression")
	    },
	    async: {
	      validate: (0, _index.assertValueType)("boolean"),
	      default: false
	    }
	  }
	});

	(0, _index2.default)("ClassBody", {
	  visitor: ["body"],
	  fields: {
	    body: {
	      validate: (0, _index.chain)((0, _index.assertValueType)("array"), (0, _index.assertEach)((0, _index.assertNodeType)("ClassMethod", "ClassProperty")))
	    }
	  }
	});

	(0, _index2.default)("ClassDeclaration", {
	  builder: ["id", "superClass", "body", "decorators"],
	  visitor: ["id", "body", "superClass", "mixins", "typeParameters", "superTypeParameters", "implements", "decorators"],
	  aliases: ["Scopable", "Class", "Statement", "Declaration", "Pureish"],
	  fields: {
	    id: {
	      validate: (0, _index.assertNodeType)("Identifier")
	    },
	    body: {
	      validate: (0, _index.assertNodeType)("ClassBody")
	    },
	    superClass: {
	      optional: true,
	      validate: (0, _index.assertNodeType)("Expression")
	    },
	    decorators: {
	      validate: (0, _index.chain)((0, _index.assertValueType)("array"), (0, _index.assertEach)((0, _index.assertNodeType)("Decorator")))
	    }
	  }
	});

	(0, _index2.default)("ClassExpression", {
	  inherits: "ClassDeclaration",
	  aliases: ["Scopable", "Class", "Expression", "Pureish"],
	  fields: {
	    id: {
	      optional: true,
	      validate: (0, _index.assertNodeType)("Identifier")
	    },
	    body: {
	      validate: (0, _index.assertNodeType)("ClassBody")
	    },
	    superClass: {
	      optional: true,
	      validate: (0, _index.assertNodeType)("Expression")
	    },
	    decorators: {
	      validate: (0, _index.chain)((0, _index.assertValueType)("array"), (0, _index.assertEach)((0, _index.assertNodeType)("Decorator")))
	    }
	  }
	});

	(0, _index2.default)("ExportAllDeclaration", {
	  visitor: ["source"],
	  aliases: ["Statement", "Declaration", "ModuleDeclaration", "ExportDeclaration"],
	  fields: {
	    source: {
	      validate: (0, _index.assertNodeType)("StringLiteral")
	    }
	  }
	});

	(0, _index2.default)("ExportDefaultDeclaration", {
	  visitor: ["declaration"],
	  aliases: ["Statement", "Declaration", "ModuleDeclaration", "ExportDeclaration"],
	  fields: {
	    declaration: {
	      validate: (0, _index.assertNodeType)("FunctionDeclaration", "ClassDeclaration", "Expression")
	    }
	  }
	});

	(0, _index2.default)("ExportNamedDeclaration", {
	  visitor: ["declaration", "specifiers", "source"],
	  aliases: ["Statement", "Declaration", "ModuleDeclaration", "ExportDeclaration"],
	  fields: {
	    declaration: {
	      validate: (0, _index.assertNodeType)("Declaration"),
	      optional: true
	    },
	    specifiers: {
	      validate: (0, _index.chain)((0, _index.assertValueType)("array"), (0, _index.assertEach)((0, _index.assertNodeType)("ExportSpecifier")))
	    },
	    source: {
	      validate: (0, _index.assertNodeType)("StringLiteral"),
	      optional: true
	    }
	  }
	});

	(0, _index2.default)("ExportSpecifier", {
	  visitor: ["local", "exported"],
	  aliases: ["ModuleSpecifier"],
	  fields: {
	    local: {
	      validate: (0, _index.assertNodeType)("Identifier")
	    },
	    exported: {
	      validate: (0, _index.assertNodeType)("Identifier")
	    }
	  }
	});

	(0, _index2.default)("ForOfStatement", {
	  visitor: ["left", "right", "body"],
	  aliases: ["Scopable", "Statement", "For", "BlockParent", "Loop", "ForXStatement"],
	  fields: {
	    left: {
	      validate: (0, _index.assertNodeType)("VariableDeclaration", "LVal")
	    },
	    right: {
	      validate: (0, _index.assertNodeType)("Expression")
	    },
	    body: {
	      validate: (0, _index.assertNodeType)("Statement")
	    }
	  }
	});

	(0, _index2.default)("ImportDeclaration", {
	  visitor: ["specifiers", "source"],
	  aliases: ["Statement", "Declaration", "ModuleDeclaration"],
	  fields: {
	    specifiers: {
	      validate: (0, _index.chain)((0, _index.assertValueType)("array"), (0, _index.assertEach)((0, _index.assertNodeType)("ImportSpecifier", "ImportDefaultSpecifier", "ImportNamespaceSpecifier")))
	    },
	    source: {
	      validate: (0, _index.assertNodeType)("StringLiteral")
	    }
	  }
	});

	(0, _index2.default)("ImportDefaultSpecifier", {
	  visitor: ["local"],
	  aliases: ["ModuleSpecifier"],
	  fields: {
	    local: {
	      validate: (0, _index.assertNodeType)("Identifier")
	    }
	  }
	});

	(0, _index2.default)("ImportNamespaceSpecifier", {
	  visitor: ["local"],
	  aliases: ["ModuleSpecifier"],
	  fields: {
	    local: {
	      validate: (0, _index.assertNodeType)("Identifier")
	    }
	  }
	});

	(0, _index2.default)("ImportSpecifier", {
	  visitor: ["local", "imported"],
	  aliases: ["ModuleSpecifier"],
	  fields: {
	    local: {
	      validate: (0, _index.assertNodeType)("Identifier")
	    },
	    imported: {
	      validate: (0, _index.assertNodeType)("Identifier")
	    }
	  }
	});

	(0, _index2.default)("MetaProperty", {
	  visitor: ["meta", "property"],
	  aliases: ["Expression"],
	  fields: {
	    meta: {
	      validate: (0, _index.assertValueType)("string")
	    },
	    property: {
	      validate: (0, _index.assertValueType)("string")
	    }
	  }
	});

	(0, _index2.default)("ClassMethod", {
	  aliases: ["Function", "Scopable", "BlockParent", "FunctionParent", "Method"],
	  builder: ["kind", "key", "params", "body", "computed", "static"],
	  visitor: ["key", "params", "body", "decorators", "returnType", "typeParameters"],
	  fields: {
	    kind: {
	      validate: (0, _index.chain)((0, _index.assertValueType)("string"), (0, _index.assertOneOf)("get", "set", "method", "constructor")),
	      default: "method"
	    },
	    computed: {
	      default: false,
	      validate: (0, _index.assertValueType)("boolean")
	    },
	    static: {
	      default: false,
	      validate: (0, _index.assertValueType)("boolean")
	    },
	    key: {
	      validate: function validate(node, key, val) {
	        var expectedTypes = node.computed ? ["Expression"] : ["Identifier", "StringLiteral", "NumericLiteral"];
	        _index.assertNodeType.apply(undefined, expectedTypes)(node, key, val);
	      }
	    },
	    params: {
	      validate: (0, _index.chain)((0, _index.assertValueType)("array"), (0, _index.assertEach)((0, _index.assertNodeType)("LVal")))
	    },
	    body: {
	      validate: (0, _index.assertNodeType)("BlockStatement")
	    },
	    generator: {
	      default: false,
	      validate: (0, _index.assertValueType)("boolean")
	    },
	    async: {
	      default: false,
	      validate: (0, _index.assertValueType)("boolean")
	    }
	  }
	});

	(0, _index2.default)("ObjectPattern", {
	  visitor: ["properties", "typeAnnotation"],
	  aliases: ["Pattern", "LVal"],
	  fields: {
	    properties: {
	      validate: (0, _index.chain)((0, _index.assertValueType)("array"), (0, _index.assertEach)((0, _index.assertNodeType)("RestProperty", "Property")))
	    },
	    decorators: {
	      validate: (0, _index.chain)((0, _index.assertValueType)("array"), (0, _index.assertEach)((0, _index.assertNodeType)("Decorator")))
	    }
	  }
	});

	(0, _index2.default)("SpreadElement", {
	  visitor: ["argument"],
	  aliases: ["UnaryLike"],
	  fields: {
	    argument: {
	      validate: (0, _index.assertNodeType)("Expression")
	    }
	  }
	});

	(0, _index2.default)("Super", {
	  aliases: ["Expression"]
	});

	(0, _index2.default)("TaggedTemplateExpression", {
	  visitor: ["tag", "quasi"],
	  aliases: ["Expression"],
	  fields: {
	    tag: {
	      validate: (0, _index.assertNodeType)("Expression")
	    },
	    quasi: {
	      validate: (0, _index.assertNodeType)("TemplateLiteral")
	    }
	  }
	});

	(0, _index2.default)("TemplateElement", {
	  builder: ["value", "tail"],
	  fields: {
	    value: {},
	    tail: {
	      validate: (0, _index.assertValueType)("boolean"),
	      default: false
	    }
	  }
	});

	(0, _index2.default)("TemplateLiteral", {
	  visitor: ["quasis", "expressions"],
	  aliases: ["Expression", "Literal"],
	  fields: {
	    quasis: {
	      validate: (0, _index.chain)((0, _index.assertValueType)("array"), (0, _index.assertEach)((0, _index.assertNodeType)("TemplateElement")))
	    },
	    expressions: {
	      validate: (0, _index.chain)((0, _index.assertValueType)("array"), (0, _index.assertEach)((0, _index.assertNodeType)("Expression")))
	    }
	  }
	});

	(0, _index2.default)("YieldExpression", {
	  builder: ["argument", "delegate"],
	  visitor: ["argument"],
	  aliases: ["Expression", "Terminatorless"],
	  fields: {
	    delegate: {
	      validate: (0, _index.assertValueType)("boolean"),
	      default: false
	    },
	    argument: {
	      optional: true,
	      validate: (0, _index.assertNodeType)("Expression")
	    }
	  }
	});

/***/ },
/* 240 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	var _index = __webpack_require__(19);

	var _index2 = _interopRequireDefault(_index);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	(0, _index2.default)("AwaitExpression", {
	  builder: ["argument"],
	  visitor: ["argument"],
	  aliases: ["Expression", "Terminatorless"],
	  fields: {
	    argument: {
	      validate: (0, _index.assertNodeType)("Expression")
	    }
	  }
	});

	(0, _index2.default)("ForAwaitStatement", {
	  visitor: ["left", "right", "body"],
	  aliases: ["Scopable", "Statement", "For", "BlockParent", "Loop", "ForXStatement"],
	  fields: {
	    left: {
	      validate: (0, _index.assertNodeType)("VariableDeclaration", "LVal")
	    },
	    right: {
	      validate: (0, _index.assertNodeType)("Expression")
	    },
	    body: {
	      validate: (0, _index.assertNodeType)("Statement")
	    }
	  }
	});

	(0, _index2.default)("BindExpression", {
	  visitor: ["object", "callee"],
	  aliases: ["Expression"],
	  fields: {}
	});

	(0, _index2.default)("Import", {
	  aliases: ["Expression"]
	});

	(0, _index2.default)("Decorator", {
	  visitor: ["expression"],
	  fields: {
	    expression: {
	      validate: (0, _index.assertNodeType)("Expression")
	    }
	  }
	});

	(0, _index2.default)("DoExpression", {
	  visitor: ["body"],
	  aliases: ["Expression"],
	  fields: {
	    body: {
	      validate: (0, _index.assertNodeType)("BlockStatement")
	    }
	  }
	});

	(0, _index2.default)("ExportDefaultSpecifier", {
	  visitor: ["exported"],
	  aliases: ["ModuleSpecifier"],
	  fields: {
	    exported: {
	      validate: (0, _index.assertNodeType)("Identifier")
	    }
	  }
	});

	(0, _index2.default)("ExportNamespaceSpecifier", {
	  visitor: ["exported"],
	  aliases: ["ModuleSpecifier"],
	  fields: {
	    exported: {
	      validate: (0, _index.assertNodeType)("Identifier")
	    }
	  }
	});

	(0, _index2.default)("RestProperty", {
	  visitor: ["argument"],
	  aliases: ["UnaryLike"],
	  fields: {
	    argument: {
	      validate: (0, _index.assertNodeType)("LVal")
	    }
	  }
	});

	(0, _index2.default)("SpreadProperty", {
	  visitor: ["argument"],
	  aliases: ["UnaryLike"],
	  fields: {
	    argument: {
	      validate: (0, _index.assertNodeType)("Expression")
	    }
	  }
	});

/***/ },
/* 241 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	var _index = __webpack_require__(19);

	var _index2 = _interopRequireDefault(_index);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	(0, _index2.default)("AnyTypeAnnotation", {
	  aliases: ["Flow", "FlowBaseAnnotation"],
	  fields: {}
	});

	(0, _index2.default)("ArrayTypeAnnotation", {
	  visitor: ["elementType"],
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("BooleanTypeAnnotation", {
	  aliases: ["Flow", "FlowBaseAnnotation"],
	  fields: {}
	});

	(0, _index2.default)("BooleanLiteralTypeAnnotation", {
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("NullLiteralTypeAnnotation", {
	  aliases: ["Flow", "FlowBaseAnnotation"],
	  fields: {}
	});

	(0, _index2.default)("ClassImplements", {
	  visitor: ["id", "typeParameters"],
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("ClassProperty", {
	  visitor: ["key", "value", "typeAnnotation", "decorators"],
	  builder: ["key", "value", "typeAnnotation", "decorators", "computed"],
	  aliases: ["Property"],
	  fields: {
	    computed: {
	      validate: (0, _index.assertValueType)("boolean"),
	      default: false
	    }
	  }
	});

	(0, _index2.default)("DeclareClass", {
	  visitor: ["id", "typeParameters", "extends", "body"],
	  aliases: ["Flow", "FlowDeclaration", "Statement", "Declaration"],
	  fields: {}
	});

	(0, _index2.default)("DeclareFunction", {
	  visitor: ["id"],
	  aliases: ["Flow", "FlowDeclaration", "Statement", "Declaration"],
	  fields: {}
	});

	(0, _index2.default)("DeclareInterface", {
	  visitor: ["id", "typeParameters", "extends", "body"],
	  aliases: ["Flow", "FlowDeclaration", "Statement", "Declaration"],
	  fields: {}
	});

	(0, _index2.default)("DeclareModule", {
	  visitor: ["id", "body"],
	  aliases: ["Flow", "FlowDeclaration", "Statement", "Declaration"],
	  fields: {}
	});

	(0, _index2.default)("DeclareModuleExports", {
	  visitor: ["typeAnnotation"],
	  aliases: ["Flow", "FlowDeclaration", "Statement", "Declaration"],
	  fields: {}
	});

	(0, _index2.default)("DeclareTypeAlias", {
	  visitor: ["id", "typeParameters", "right"],
	  aliases: ["Flow", "FlowDeclaration", "Statement", "Declaration"],
	  fields: {}
	});

	(0, _index2.default)("DeclareVariable", {
	  visitor: ["id"],
	  aliases: ["Flow", "FlowDeclaration", "Statement", "Declaration"],
	  fields: {}
	});

	(0, _index2.default)("ExistentialTypeParam", {
	  aliases: ["Flow"]
	});

	(0, _index2.default)("FunctionTypeAnnotation", {
	  visitor: ["typeParameters", "params", "rest", "returnType"],
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("FunctionTypeParam", {
	  visitor: ["name", "typeAnnotation"],
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("GenericTypeAnnotation", {
	  visitor: ["id", "typeParameters"],
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("InterfaceExtends", {
	  visitor: ["id", "typeParameters"],
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("InterfaceDeclaration", {
	  visitor: ["id", "typeParameters", "extends", "body"],
	  aliases: ["Flow", "FlowDeclaration", "Statement", "Declaration"],
	  fields: {}
	});

	(0, _index2.default)("IntersectionTypeAnnotation", {
	  visitor: ["types"],
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("MixedTypeAnnotation", {
	  aliases: ["Flow", "FlowBaseAnnotation"]
	});

	(0, _index2.default)("EmptyTypeAnnotation", {
	  aliases: ["Flow", "FlowBaseAnnotation"]
	});

	(0, _index2.default)("NullableTypeAnnotation", {
	  visitor: ["typeAnnotation"],
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("NumericLiteralTypeAnnotation", {
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("NumberTypeAnnotation", {
	  aliases: ["Flow", "FlowBaseAnnotation"],
	  fields: {}
	});

	(0, _index2.default)("StringLiteralTypeAnnotation", {
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("StringTypeAnnotation", {
	  aliases: ["Flow", "FlowBaseAnnotation"],
	  fields: {}
	});

	(0, _index2.default)("ThisTypeAnnotation", {
	  aliases: ["Flow", "FlowBaseAnnotation"],
	  fields: {}
	});

	(0, _index2.default)("TupleTypeAnnotation", {
	  visitor: ["types"],
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("TypeofTypeAnnotation", {
	  visitor: ["argument"],
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("TypeAlias", {
	  visitor: ["id", "typeParameters", "right"],
	  aliases: ["Flow", "FlowDeclaration", "Statement", "Declaration"],
	  fields: {}
	});

	(0, _index2.default)("TypeAnnotation", {
	  visitor: ["typeAnnotation"],
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("TypeCastExpression", {
	  visitor: ["expression", "typeAnnotation"],
	  aliases: ["Flow", "ExpressionWrapper", "Expression"],
	  fields: {}
	});

	(0, _index2.default)("TypeParameter", {
	  visitor: ["bound"],
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("TypeParameterDeclaration", {
	  visitor: ["params"],
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("TypeParameterInstantiation", {
	  visitor: ["params"],
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("ObjectTypeAnnotation", {
	  visitor: ["properties", "indexers", "callProperties"],
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("ObjectTypeCallProperty", {
	  visitor: ["value"],
	  aliases: ["Flow", "UserWhitespacable"],
	  fields: {}
	});

	(0, _index2.default)("ObjectTypeIndexer", {
	  visitor: ["id", "key", "value"],
	  aliases: ["Flow", "UserWhitespacable"],
	  fields: {}
	});

	(0, _index2.default)("ObjectTypeProperty", {
	  visitor: ["key", "value"],
	  aliases: ["Flow", "UserWhitespacable"],
	  fields: {}
	});

	(0, _index2.default)("QualifiedTypeIdentifier", {
	  visitor: ["id", "qualification"],
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("UnionTypeAnnotation", {
	  visitor: ["types"],
	  aliases: ["Flow"],
	  fields: {}
	});

	(0, _index2.default)("VoidTypeAnnotation", {
	  aliases: ["Flow", "FlowBaseAnnotation"],
	  fields: {}
	});

/***/ },
/* 242 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	__webpack_require__(19);

	__webpack_require__(238);

	__webpack_require__(239);

	__webpack_require__(241);

	__webpack_require__(243);

	__webpack_require__(244);

	__webpack_require__(240);

/***/ },
/* 243 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	var _index = __webpack_require__(19);

	var _index2 = _interopRequireDefault(_index);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	(0, _index2.default)("JSXAttribute", {
	  visitor: ["name", "value"],
	  aliases: ["JSX", "Immutable"],
	  fields: {
	    name: {
	      validate: (0, _index.assertNodeType)("JSXIdentifier", "JSXNamespacedName")
	    },
	    value: {
	      optional: true,
	      validate: (0, _index.assertNodeType)("JSXElement", "StringLiteral", "JSXExpressionContainer")
	    }
	  }
	});

	(0, _index2.default)("JSXClosingElement", {
	  visitor: ["name"],
	  aliases: ["JSX", "Immutable"],
	  fields: {
	    name: {
	      validate: (0, _index.assertNodeType)("JSXIdentifier", "JSXMemberExpression")
	    }
	  }
	});

	(0, _index2.default)("JSXElement", {
	  builder: ["openingElement", "closingElement", "children", "selfClosing"],
	  visitor: ["openingElement", "children", "closingElement"],
	  aliases: ["JSX", "Immutable", "Expression"],
	  fields: {
	    openingElement: {
	      validate: (0, _index.assertNodeType)("JSXOpeningElement")
	    },
	    closingElement: {
	      optional: true,
	      validate: (0, _index.assertNodeType)("JSXClosingElement")
	    },
	    children: {
	      validate: (0, _index.chain)((0, _index.assertValueType)("array"), (0, _index.assertEach)((0, _index.assertNodeType)("JSXText", "JSXExpressionContainer", "JSXSpreadChild", "JSXElement")))
	    }
	  }
	});

	(0, _index2.default)("JSXEmptyExpression", {
	  aliases: ["JSX", "Expression"]
	});

	(0, _index2.default)("JSXExpressionContainer", {
	  visitor: ["expression"],
	  aliases: ["JSX", "Immutable"],
	  fields: {
	    expression: {
	      validate: (0, _index.assertNodeType)("Expression")
	    }
	  }
	});

	(0, _index2.default)("JSXSpreadChild", {
	  visitor: ["expression"],
	  aliases: ["JSX", "Immutable"],
	  fields: {
	    expression: {
	      validate: (0, _index.assertNodeType)("Expression")
	    }
	  }
	});

	(0, _index2.default)("JSXIdentifier", {
	  builder: ["name"],
	  aliases: ["JSX", "Expression"],
	  fields: {
	    name: {
	      validate: (0, _index.assertValueType)("string")
	    }
	  }
	});

	(0, _index2.default)("JSXMemberExpression", {
	  visitor: ["object", "property"],
	  aliases: ["JSX", "Expression"],
	  fields: {
	    object: {
	      validate: (0, _index.assertNodeType)("JSXMemberExpression", "JSXIdentifier")
	    },
	    property: {
	      validate: (0, _index.assertNodeType)("JSXIdentifier")
	    }
	  }
	});

	(0, _index2.default)("JSXNamespacedName", {
	  visitor: ["namespace", "name"],
	  aliases: ["JSX"],
	  fields: {
	    namespace: {
	      validate: (0, _index.assertNodeType)("JSXIdentifier")
	    },
	    name: {
	      validate: (0, _index.assertNodeType)("JSXIdentifier")
	    }
	  }
	});

	(0, _index2.default)("JSXOpeningElement", {
	  builder: ["name", "attributes", "selfClosing"],
	  visitor: ["name", "attributes"],
	  aliases: ["JSX", "Immutable"],
	  fields: {
	    name: {
	      validate: (0, _index.assertNodeType)("JSXIdentifier", "JSXMemberExpression")
	    },
	    selfClosing: {
	      default: false,
	      validate: (0, _index.assertValueType)("boolean")
	    },
	    attributes: {
	      validate: (0, _index.chain)((0, _index.assertValueType)("array"), (0, _index.assertEach)((0, _index.assertNodeType)("JSXAttribute", "JSXSpreadAttribute")))
	    }
	  }
	});

	(0, _index2.default)("JSXSpreadAttribute", {
	  visitor: ["argument"],
	  aliases: ["JSX"],
	  fields: {
	    argument: {
	      validate: (0, _index.assertNodeType)("Expression")
	    }
	  }
	});

	(0, _index2.default)("JSXText", {
	  aliases: ["JSX", "Immutable"],
	  builder: ["value"],
	  fields: {
	    value: {
	      validate: (0, _index.assertValueType)("string")
	    }
	  }
	});

/***/ },
/* 244 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	var _index = __webpack_require__(19);

	var _index2 = _interopRequireDefault(_index);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	(0, _index2.default)("Noop", {
	  visitor: []
	});

	(0, _index2.default)("ParenthesizedExpression", {
	  visitor: ["expression"],
	  aliases: ["Expression", "ExpressionWrapper"],
	  fields: {
	    expression: {
	      validate: (0, _index.assertNodeType)("Expression")
	    }
	  }
	});

/***/ },
/* 245 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.createUnionTypeAnnotation = createUnionTypeAnnotation;
	exports.removeTypeDuplicates = removeTypeDuplicates;
	exports.createTypeAnnotationBasedOnTypeof = createTypeAnnotationBasedOnTypeof;

	var _index = __webpack_require__(1);

	var t = _interopRequireWildcard(_index);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function createUnionTypeAnnotation(types) {
	  var flattened = removeTypeDuplicates(types);

	  if (flattened.length === 1) {
	    return flattened[0];
	  } else {
	    return t.unionTypeAnnotation(flattened);
	  }
	}

	function removeTypeDuplicates(nodes) {
	  var generics = {};
	  var bases = {};

	  var typeGroups = [];

	  var types = [];

	  for (var i = 0; i < nodes.length; i++) {
	    var node = nodes[i];
	    if (!node) continue;

	    if (types.indexOf(node) >= 0) {
	      continue;
	    }

	    if (t.isAnyTypeAnnotation(node)) {
	      return [node];
	    }

	    if (t.isFlowBaseAnnotation(node)) {
	      bases[node.type] = node;
	      continue;
	    }

	    if (t.isUnionTypeAnnotation(node)) {
	      if (typeGroups.indexOf(node.types) < 0) {
	        nodes = nodes.concat(node.types);
	        typeGroups.push(node.types);
	      }
	      continue;
	    }

	    if (t.isGenericTypeAnnotation(node)) {
	      var name = node.id.name;

	      if (generics[name]) {
	        var existing = generics[name];
	        if (existing.typeParameters) {
	          if (node.typeParameters) {
	            existing.typeParameters.params = removeTypeDuplicates(existing.typeParameters.params.concat(node.typeParameters.params));
	          }
	        } else {
	          existing = node.typeParameters;
	        }
	      } else {
	        generics[name] = node;
	      }

	      continue;
	    }

	    types.push(node);
	  }

	  for (var type in bases) {
	    types.push(bases[type]);
	  }

	  for (var _name in generics) {
	    types.push(generics[_name]);
	  }

	  return types;
	}

	function createTypeAnnotationBasedOnTypeof(type) {
	  if (type === "string") {
	    return t.stringTypeAnnotation();
	  } else if (type === "number") {
	    return t.numberTypeAnnotation();
	  } else if (type === "undefined") {
	    return t.voidTypeAnnotation();
	  } else if (type === "boolean") {
	    return t.booleanTypeAnnotation();
	  } else if (type === "function") {
	    return t.genericTypeAnnotation(t.identifier("Function"));
	  } else if (type === "object") {
	    return t.genericTypeAnnotation(t.identifier("Object"));
	  } else if (type === "symbol") {
	    return t.genericTypeAnnotation(t.identifier("Symbol"));
	  } else {
	    throw new Error("Invalid typeof value");
	  }
	}

/***/ },
/* 246 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;
	exports.isReactComponent = undefined;
	exports.isCompatTag = isCompatTag;
	exports.buildChildren = buildChildren;

	var _index = __webpack_require__(1);

	var t = _interopRequireWildcard(_index);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	var isReactComponent = exports.isReactComponent = t.buildMatchMemberExpression("React.Component");

	function isCompatTag(tagName) {
	  return !!tagName && /^[a-z]|\-/.test(tagName);
	}

	function cleanJSXElementLiteralChild(child, args) {
	  var lines = child.value.split(/\r\n|\n|\r/);

	  var lastNonEmptyLine = 0;

	  for (var i = 0; i < lines.length; i++) {
	    if (lines[i].match(/[^ \t]/)) {
	      lastNonEmptyLine = i;
	    }
	  }

	  var str = "";

	  for (var _i = 0; _i < lines.length; _i++) {
	    var line = lines[_i];

	    var isFirstLine = _i === 0;
	    var isLastLine = _i === lines.length - 1;
	    var isLastNonEmptyLine = _i === lastNonEmptyLine;

	    var trimmedLine = line.replace(/\t/g, " ");

	    if (!isFirstLine) {
	      trimmedLine = trimmedLine.replace(/^[ ]+/, "");
	    }

	    if (!isLastLine) {
	      trimmedLine = trimmedLine.replace(/[ ]+$/, "");
	    }

	    if (trimmedLine) {
	      if (!isLastNonEmptyLine) {
	        trimmedLine += " ";
	      }

	      str += trimmedLine;
	    }
	  }

	  if (str) args.push(t.stringLiteral(str));
	}

	function buildChildren(node) {
	  var elems = [];

	  for (var i = 0; i < node.children.length; i++) {
	    var child = node.children[i];

	    if (t.isJSXText(child)) {
	      cleanJSXElementLiteralChild(child, elems);
	      continue;
	    }

	    if (t.isJSXExpressionContainer(child)) child = child.expression;
	    if (t.isJSXEmptyExpression(child)) continue;

	    elems.push(child);
	  }

	  return elems;
	}

/***/ },
/* 247 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	var _keys = __webpack_require__(31);

	var _keys2 = _interopRequireDefault(_keys);

	var _typeof2 = __webpack_require__(11);

	var _typeof3 = _interopRequireDefault(_typeof2);

	var _getIterator2 = __webpack_require__(2);

	var _getIterator3 = _interopRequireDefault(_getIterator2);

	exports.isBinding = isBinding;
	exports.isReferenced = isReferenced;
	exports.isValidIdentifier = isValidIdentifier;
	exports.isLet = isLet;
	exports.isBlockScoped = isBlockScoped;
	exports.isVar = isVar;
	exports.isSpecifierDefault = isSpecifierDefault;
	exports.isScope = isScope;
	exports.isImmutable = isImmutable;
	exports.isNodesEquivalent = isNodesEquivalent;

	var _retrievers = __webpack_require__(117);

	var _esutils = __webpack_require__(130);

	var _esutils2 = _interopRequireDefault(_esutils);

	var _index = __webpack_require__(1);

	var t = _interopRequireWildcard(_index);

	var _constants = __webpack_require__(64);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function isBinding(node, parent) {
	  var keys = _retrievers.getBindingIdentifiers.keys[parent.type];
	  if (keys) {
	    for (var i = 0; i < keys.length; i++) {
	      var key = keys[i];
	      var val = parent[key];
	      if (Array.isArray(val)) {
	        if (val.indexOf(node) >= 0) return true;
	      } else {
	        if (val === node) return true;
	      }
	    }
	  }

	  return false;
	}

	function isReferenced(node, parent) {
	  switch (parent.type) {
	    case "BindExpression":
	      return parent.object === node || parent.callee === node;

	    case "MemberExpression":
	    case "JSXMemberExpression":
	      if (parent.property === node && parent.computed) {
	        return true;
	      } else if (parent.object === node) {
	        return true;
	      } else {
	        return false;
	      }

	    case "MetaProperty":
	      return false;

	    case "ObjectProperty":
	      if (parent.key === node) {
	        return parent.computed;
	      }

	    case "VariableDeclarator":
	      return parent.id !== node;

	    case "ArrowFunctionExpression":
	    case "FunctionDeclaration":
	    case "FunctionExpression":
	      for (var _iterator = parent.params, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : (0, _getIterator3.default)(_iterator);;) {
	        var _ref;

	        if (_isArray) {
	          if (_i >= _iterator.length) break;
	          _ref = _iterator[_i++];
	        } else {
	          _i = _iterator.next();
	          if (_i.done) break;
	          _ref = _i.value;
	        }

	        var param = _ref;

	        if (param === node) return false;
	      }

	      return parent.id !== node;

	    case "ExportSpecifier":
	      if (parent.source) {
	        return false;
	      } else {
	        return parent.local === node;
	      }

	    case "ExportNamespaceSpecifier":
	    case "ExportDefaultSpecifier":
	      return false;

	    case "JSXAttribute":
	      return parent.name !== node;

	    case "ClassProperty":
	      if (parent.key === node) {
	        return parent.computed;
	      } else {
	        return parent.value === node;
	      }

	    case "ImportDefaultSpecifier":
	    case "ImportNamespaceSpecifier":
	    case "ImportSpecifier":
	      return false;

	    case "ClassDeclaration":
	    case "ClassExpression":
	      return parent.id !== node;

	    case "ClassMethod":
	    case "ObjectMethod":
	      return parent.key === node && parent.computed;

	    case "LabeledStatement":
	      return false;

	    case "CatchClause":
	      return parent.param !== node;

	    case "RestElement":
	      return false;

	    case "AssignmentExpression":
	      return parent.right === node;

	    case "AssignmentPattern":
	      return parent.right === node;

	    case "ObjectPattern":
	    case "ArrayPattern":
	      return false;
	  }

	  return true;
	}

	function isValidIdentifier(name) {
	  if (typeof name !== "string" || _esutils2.default.keyword.isReservedWordES6(name, true)) {
	    return false;
	  } else {
	    return _esutils2.default.keyword.isIdentifierNameES6(name);
	  }
	}

	function isLet(node) {
	  return t.isVariableDeclaration(node) && (node.kind !== "var" || node[_constants.BLOCK_SCOPED_SYMBOL]);
	}

	function isBlockScoped(node) {
	  return t.isFunctionDeclaration(node) || t.isClassDeclaration(node) || t.isLet(node);
	}

	function isVar(node) {
	  return t.isVariableDeclaration(node, { kind: "var" }) && !node[_constants.BLOCK_SCOPED_SYMBOL];
	}

	function isSpecifierDefault(specifier) {
	  return t.isImportDefaultSpecifier(specifier) || t.isIdentifier(specifier.imported || specifier.exported, { name: "default" });
	}

	function isScope(node, parent) {
	  if (t.isBlockStatement(node) && t.isFunction(parent, { body: node })) {
	    return false;
	  }

	  return t.isScopable(node);
	}

	function isImmutable(node) {
	  if (t.isType(node.type, "Immutable")) return true;

	  if (t.isIdentifier(node)) {
	    if (node.name === "undefined") {
	      return true;
	    } else {
	      return false;
	    }
	  }

	  return false;
	}

	function isNodesEquivalent(a, b) {
	  if ((typeof a === "undefined" ? "undefined" : (0, _typeof3.default)(a)) !== "object" || (typeof a === "undefined" ? "undefined" : (0, _typeof3.default)(a)) !== "object" || a == null || b == null) {
	    return a === b;
	  }

	  if (a.type !== b.type) {
	    return false;
	  }

	  var fields = (0, _keys2.default)(t.NODE_FIELDS[a.type] || a.type);

	  for (var _iterator2 = fields, _isArray2 = Array.isArray(_iterator2), _i2 = 0, _iterator2 = _isArray2 ? _iterator2 : (0, _getIterator3.default)(_iterator2);;) {
	    var _ref2;

	    if (_isArray2) {
	      if (_i2 >= _iterator2.length) break;
	      _ref2 = _iterator2[_i2++];
	    } else {
	      _i2 = _iterator2.next();
	      if (_i2.done) break;
	      _ref2 = _i2.value;
	    }

	    var field = _ref2;

	    if ((0, _typeof3.default)(a[field]) !== (0, _typeof3.default)(b[field])) {
	      return false;
	    }

	    if (Array.isArray(a[field])) {
	      if (!Array.isArray(b[field])) {
	        return false;
	      }
	      if (a[field].length !== b[field].length) {
	        return false;
	      }

	      for (var i = 0; i < a[field].length; i++) {
	        if (!isNodesEquivalent(a[field][i], b[field][i])) {
	          return false;
	        }
	      }
	      continue;
	    }

	    if (!isNodesEquivalent(a[field], b[field])) {
	      return false;
	    }
	  }

	  return true;
	}

/***/ },
/* 248 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(process) {'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	var caniuse = __webpack_require__(442).agents;
	var path = __webpack_require__(101);
	var fs = __webpack_require__(426);

	var FLOAT = /^\d+(\.\d+)?$/;
	var IS_SECTION = /^\s*\[(.+)\]\s*$/;

	function uniq(array) {
	    var filtered = [];
	    for (var i = 0; i < array.length; i++) {
	        if (filtered.indexOf(array[i]) === -1) filtered.push(array[i]);
	    }
	    return filtered;
	}

	function BrowserslistError(message) {
	    this.name = 'BrowserslistError';
	    this.message = message || '';
	    this.browserslist = true;
	    if (Error.captureStackTrace) {
	        Error.captureStackTrace(this, BrowserslistError);
	    }
	}
	BrowserslistError.prototype = Error.prototype;

	// Helpers

	function error(name) {
	    throw new BrowserslistError(name);
	}

	function normalize(versions) {
	    return versions.filter(function (version) {
	        return typeof version === 'string';
	    });
	}

	function fillUsage(result, name, data) {
	    for (var i in data) {
	        result[name + ' ' + i] = data[i];
	    }
	}

	function isFile(file) {
	    return fs.existsSync(file) && fs.statSync(file).isFile();
	}

	function eachParent(file, callback) {
	    if (!fs.readFileSync || !fs.existsSync || !fs.statSync) {
	        /* istanbul ignore next */
	        return undefined;
	    }

	    if (file === false) return undefined;
	    if (typeof file === 'undefined') file = '.';

	    var dirs = path.resolve(file).split(path.sep);
	    while (dirs.length) {
	        var result = callback(dirs.join(path.sep));
	        if (typeof result !== 'undefined') return result;
	        dirs.pop();
	    }
	    return undefined;
	}

	function getStat(opts) {
	    if (opts.stats) {
	        return opts.stats;
	    } else if (process.env.BROWSERSLIST_STATS) {
	        return process.env.BROWSERSLIST_STATS;
	    } else {
	        return eachParent(opts.path, function (dir) {
	            var file = path.join(dir, 'browserslist-stats.json');
	            if (isFile(file)) {
	                return file;
	            }
	        });
	    }
	}

	function parsePackage(file) {
	    var config = JSON.parse(fs.readFileSync(file)).browserslist;
	    if ((typeof config === 'undefined' ? 'undefined' : _typeof(config)) === 'object' && config.length) {
	        config = { defaults: config };
	    }
	    return config;
	}

	function pickEnv(config, opts) {
	    if ((typeof config === 'undefined' ? 'undefined' : _typeof(config)) !== 'object') return config;

	    var env;
	    if (typeof opts.env === 'string') {
	        env = opts.env;
	    } else if (typeof process.env.BROWSERSLIST_ENV === 'string') {
	        env = process.env.BROWSERSLIST_ENV;
	    } else if (true) {
	        env = ("production");
	    } else {
	        env = 'development';
	    }

	    return config[env] || config.defaults;
	}

	/**
	 * Return array of browsers by selection queries.
	 *
	 * @param {string[]} queries Browser queries.
	 * @param {object} opts Options.
	 * @param {string} [opts.path="."] Path to processed file.
	 *                                 It will be used to find config files.
	 * @param {string} [opts.env="development"] Processing environment.
	 *                                          It will be used to take right
	 *                                          queries from config file.
	 * @param {string} [opts.config] Path to config file with queries.
	 * @param {object} [opts.stats] Custom browser usage statistics
	 *                              for "> 1% in my stats" query.
	 * @return {string[]} Array with browser names in Can I Use.
	 *
	 * @example
	 * browserslist('IE >= 10, IE 8') //=> ['ie 11', 'ie 10', 'ie 8']
	 */
	var browserslist = function browserslist(queries, opts) {
	    if (typeof opts === 'undefined') opts = {};

	    if (typeof queries === 'undefined' || queries === null) {
	        if (process.env.BROWSERSLIST) {
	            queries = process.env.BROWSERSLIST;
	        } else if (opts.config || process.env.BROWSERSLIST_CONFIG) {
	            var file = opts.config || process.env.BROWSERSLIST_CONFIG;
	            queries = pickEnv(browserslist.readConfig(file), opts);
	        } else {
	            queries = pickEnv(browserslist.findConfig(opts.path), opts);
	        }
	    }

	    if (typeof queries === 'undefined' || queries === null) {
	        queries = browserslist.defaults;
	    }

	    if (typeof queries === 'string') {
	        queries = queries.split(/,\s*/);
	    }

	    var context = {};

	    var stats = getStat(opts);
	    if (stats) {
	        if (typeof stats === 'string') {
	            try {
	                stats = JSON.parse(fs.readFileSync(stats));
	            } catch (e) {
	                error('Can\'t read ' + stats);
	            }
	        }
	        if ('dataByBrowser' in stats) {
	            stats = stats.dataByBrowser;
	        }

	        context.customUsage = {};
	        for (var browser in stats) {
	            fillUsage(context.customUsage, browser, stats[browser]);
	        }
	    }

	    var result = [];

	    queries.forEach(function (selection) {
	        if (selection.trim() === '') return;

	        var exclude = selection.indexOf('not ') === 0;
	        if (exclude) selection = selection.slice(4);

	        for (var i in browserslist.queries) {
	            var type = browserslist.queries[i];
	            var match = selection.match(type.regexp);
	            if (match) {
	                var args = [context].concat(match.slice(1));
	                var array = type.select.apply(browserslist, args);
	                if (exclude) {
	                    result = result.filter(function (j) {
	                        return array.indexOf(j) === -1;
	                    });
	                } else {
	                    result = result.concat(array);
	                }
	                return;
	            }
	        }

	        error('Unknown browser query `' + selection + '`');
	    });

	    result = uniq(result);

	    return result.filter(function (i) {
	        var version = i.split(' ')[1];
	        if (version === '0') {
	            var name = i.split(' ')[0];
	            return !result.some(function (j) {
	                return j !== i && j.split(' ')[0] === name;
	            });
	        } else {
	            return true;
	        }
	    }).sort(function (name1, name2) {
	        name1 = name1.split(' ');
	        name2 = name2.split(' ');
	        if (name1[0] === name2[0]) {
	            if (FLOAT.test(name1[1]) && FLOAT.test(name2[1])) {
	                return parseFloat(name2[1]) - parseFloat(name1[1]);
	            } else {
	                return name2[1].localeCompare(name1[1]);
	            }
	        } else {
	            return name1[0].localeCompare(name2[0]);
	        }
	    });
	};

	var normalizeVersion = function normalizeVersion(data, version) {
	    if (data.versions.indexOf(version) !== -1) {
	        return version;
	    } else {
	        return browserslist.versionAliases[data.name][version];
	    }
	};

	var loadCountryStatistics = function loadCountryStatistics(country) {
	    if (!browserslist.usage[country]) {
	        var usage = {};
	        var data = __webpack_require__(441)("./" + country + '.json');
	        for (var i in data.data) {
	            fillUsage(usage, i, data.data[i]);
	        }
	        browserslist.usage[country] = usage;
	    }
	};

	// Will be filled by Can I Use data below
	browserslist.data = {};
	browserslist.usage = {
	    global: {},
	    custom: null
	};

	// Default browsers query
	browserslist.defaults = ['> 1%', 'last 2 versions', 'Firefox ESR'];

	// What browsers will be used in `last n version` query
	browserslist.major = ['safari', 'opera', 'ios_saf', 'ie_mob', 'ie', 'edge', 'firefox', 'chrome'];

	// Browser names aliases
	browserslist.aliases = {
	    fx: 'firefox',
	    ff: 'firefox',
	    ios: 'ios_saf',
	    explorer: 'ie',
	    blackberry: 'bb',
	    explorermobile: 'ie_mob',
	    operamini: 'op_mini',
	    operamobile: 'op_mob',
	    chromeandroid: 'and_chr',
	    firefoxandroid: 'and_ff',
	    ucandroid: 'and_uc'
	};

	// Aliases to work with joined versions like `ios_saf 7.0-7.1`
	browserslist.versionAliases = {};

	// Get browser data by alias or case insensitive name
	browserslist.byName = function (name) {
	    name = name.toLowerCase();
	    name = browserslist.aliases[name] || name;
	    return browserslist.data[name];
	};

	// Get browser data by alias or case insensitive name and throw error
	// on unknown browser
	browserslist.checkName = function (name) {
	    var data = browserslist.byName(name);
	    if (!data) error('Unknown browser ' + name);
	    return data;
	};

	// Read and parse config
	browserslist.readConfig = function (file) {
	    if (!fs.existsSync(file) || !fs.statSync(file).isFile()) {
	        error('Can\'t read ' + file + ' config');
	    }
	    return browserslist.parseConfig(fs.readFileSync(file));
	};

	// Find config, read file and parse it
	browserslist.findConfig = function (from) {
	    return eachParent(from, function (dir) {
	        var config = path.join(dir, 'browserslist');
	        var pkg = path.join(dir, 'package.json');

	        var pkgBrowserslist;
	        if (isFile(pkg)) {
	            try {
	                pkgBrowserslist = parsePackage(pkg);
	            } catch (e) {
	                console.warn('[Browserslist] Could not parse ' + pkg + '. ' + 'Ignoring it.');
	            }
	        }

	        if (isFile(config) && pkgBrowserslist) {
	            error(dir + ' contains both browserslist ' + 'and package.json with browsers');
	        } else if (isFile(config)) {
	            return browserslist.readConfig(config);
	        } else if (pkgBrowserslist) {
	            return pkgBrowserslist;
	        }
	    });
	};

	/**
	 * Return browsers market coverage.
	 *
	 * @param {string[]} browsers Browsers names in Can I Use.
	 * @param {string} [country="global"] Which country statistics should be used.
	 *
	 * @return {number} Total market coverage for all selected browsers.
	 *
	 * @example
	 * browserslist.coverage(browserslist('> 1% in US'), 'US') //=> 83.1
	 */
	browserslist.coverage = function (browsers, country) {
	    if (country && country !== 'global') {
	        country = country.toUpperCase();
	        loadCountryStatistics(country);
	    } else {
	        country = 'global';
	    }

	    return browsers.reduce(function (all, i) {
	        var usage = browserslist.usage[country][i];
	        if (usage === undefined) {
	            usage = browserslist.usage[country][i.replace(/ [\d.]+$/, ' 0')];
	        }
	        return all + (usage || 0);
	    }, 0);
	};

	// Return array of queries from config content
	browserslist.parseConfig = function (string) {
	    var result = { defaults: [] };
	    var section = 'defaults';

	    string.toString().replace(/#[^\n]*/g, '').split(/\n/).map(function (line) {
	        return line.trim();
	    }).filter(function (line) {
	        return line !== '';
	    }).forEach(function (line) {
	        if (IS_SECTION.test(line)) {
	            section = line.match(IS_SECTION)[1].trim();
	            result[section] = result[section] || [];
	        } else {
	            result[section].push(line);
	        }
	    });

	    return result;
	};

	browserslist.queries = {

	    lastVersions: {
	        regexp: /^last\s+(\d+)\s+versions?$/i,
	        select: function select(context, versions) {
	            var selected = [];
	            browserslist.major.forEach(function (name) {
	                var data = browserslist.byName(name);
	                if (!data) return;
	                var array = data.released.slice(-versions);

	                array = array.map(function (v) {
	                    return data.name + ' ' + v;
	                });
	                selected = selected.concat(array);
	            });
	            return selected;
	        }
	    },

	    lastByBrowser: {
	        regexp: /^last\s+(\d+)\s+(\w+)\s+versions?$/i,
	        select: function select(context, versions, name) {
	            var data = browserslist.checkName(name);
	            return data.released.slice(-versions).map(function (v) {
	                return data.name + ' ' + v;
	            });
	        }
	    },

	    globalStatistics: {
	        regexp: /^>\s*(\d*\.?\d+)%$/,
	        select: function select(context, popularity) {
	            popularity = parseFloat(popularity);
	            var result = [];

	            for (var version in browserslist.usage.global) {
	                if (browserslist.usage.global[version] > popularity) {
	                    result.push(version);
	                }
	            }

	            return result;
	        }
	    },

	    customStatistics: {
	        regexp: /^>\s*(\d*\.?\d+)%\s+in\s+my\s+stats$/,
	        select: function select(context, popularity) {
	            popularity = parseFloat(popularity);
	            var result = [];

	            if (!context.customUsage) {
	                error('Custom usage statistics was not provided');
	            }

	            for (var version in context.customUsage) {
	                if (context.customUsage[version] > popularity) {
	                    result.push(version);
	                }
	            }

	            return result;
	        }
	    },

	    countryStatistics: {
	        regexp: /^>\s*(\d*\.?\d+)%\s+in\s+(\w\w)$/,
	        select: function select(context, popularity, country) {
	            popularity = parseFloat(popularity);
	            country = country.toUpperCase();
	            var result = [];

	            loadCountryStatistics(country);
	            var usage = browserslist.usage[country];

	            for (var version in usage) {
	                if (usage[version] > popularity) {
	                    result.push(version);
	                }
	            }

	            return result;
	        }
	    },

	    range: {
	        regexp: /^(\w+)\s+([\d\.]+)\s*-\s*([\d\.]+)$/i,
	        select: function select(context, name, from, to) {
	            var data = browserslist.checkName(name);
	            from = parseFloat(normalizeVersion(data, from) || from);
	            to = parseFloat(normalizeVersion(data, to) || to);

	            var filter = function filter(v) {
	                var parsed = parseFloat(v);
	                return parsed >= from && parsed <= to;
	            };

	            return data.released.filter(filter).map(function (v) {
	                return data.name + ' ' + v;
	            });
	        }
	    },

	    versions: {
	        regexp: /^(\w+)\s*(>=?|<=?)\s*([\d\.]+)$/,
	        select: function select(context, name, sign, version) {
	            var data = browserslist.checkName(name);
	            var alias = normalizeVersion(data, version);
	            if (alias) {
	                version = alias;
	            }
	            version = parseFloat(version);

	            var filter;
	            if (sign === '>') {
	                filter = function filter(v) {
	                    return parseFloat(v) > version;
	                };
	            } else if (sign === '>=') {
	                filter = function filter(v) {
	                    return parseFloat(v) >= version;
	                };
	            } else if (sign === '<') {
	                filter = function filter(v) {
	                    return parseFloat(v) < version;
	                };
	            } else if (sign === '<=') {
	                filter = function filter(v) {
	                    return parseFloat(v) <= version;
	                };
	            }
	            return data.released.filter(filter).map(function (v) {
	                return data.name + ' ' + v;
	            });
	        }
	    },

	    esr: {
	        regexp: /^(firefox|ff|fx)\s+esr$/i,
	        select: function select() {
	            return ['firefox 45'];
	        }
	    },

	    opMini: {
	        regexp: /(operamini|op_mini)\s+all/i,
	        select: function select() {
	            return ['op_mini all'];
	        }
	    },

	    direct: {
	        regexp: /^(\w+)\s+(tp|[\d\.]+)$/i,
	        select: function select(context, name, version) {
	            if (/tp/i.test(version)) version = 'TP';
	            var data = browserslist.checkName(name);
	            var alias = normalizeVersion(data, version);
	            if (alias) {
	                version = alias;
	            } else {
	                if (version.indexOf('.') === -1) {
	                    alias = version + '.0';
	                } else if (/\.0$/.test(version)) {
	                    alias = version.replace(/\.0$/, '');
	                }
	                alias = normalizeVersion(data, alias);
	                if (alias) {
	                    version = alias;
	                } else {
	                    error('Unknown version ' + version + ' of ' + name);
	                }
	            }
	            return [data.name + ' ' + version];
	        }
	    },

	    defaults: {
	        regexp: /^defaults$/i,
	        select: function select() {
	            return browserslist(browserslist.defaults);
	        }
	    }

	};

	// Get and convert Can I Use data

	(function () {
	    for (var name in caniuse) {
	        browserslist.data[name] = {
	            name: name,
	            versions: normalize(caniuse[name].versions),
	            released: normalize(caniuse[name].versions.slice(0, -3))
	        };
	        fillUsage(browserslist.usage.global, name, caniuse[name].usage_global);

	        browserslist.versionAliases[name] = {};
	        for (var i = 0; i < caniuse[name].versions.length; i++) {
	            if (!caniuse[name].versions[i]) continue;
	            var full = caniuse[name].versions[i];

	            if (full.indexOf('-') !== -1) {
	                var interval = full.split('-');
	                for (var j = 0; j < interval.length; j++) {
	                    browserslist.versionAliases[name][interval[j]] = full;
	                }
	            }
	        }
	    }
	})();

	module.exports = browserslist;
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(30)))

/***/ },
/* 249 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(process) {'use strict';

	var escapeStringRegexp = __webpack_require__(301);
	var ansiStyles = __webpack_require__(167);
	var stripAnsi = __webpack_require__(436);
	var hasAnsi = __webpack_require__(305);
	var supportsColor = __webpack_require__(250);
	var defineProps = Object.defineProperties;
	var isSimpleWindowsTerm = process.platform === 'win32' && !/^xterm/i.test(process.env.TERM);

	function Chalk(options) {
		// detect mode if not set manually
		this.enabled = !options || options.enabled === undefined ? supportsColor : options.enabled;
	}

	// use bright blue on Windows as the normal blue color is illegible
	if (isSimpleWindowsTerm) {
		ansiStyles.blue.open = '\x1B[94m';
	}

	var styles = function () {
		var ret = {};

		Object.keys(ansiStyles).forEach(function (key) {
			ansiStyles[key].closeRe = new RegExp(escapeStringRegexp(ansiStyles[key].close), 'g');

			ret[key] = {
				get: function get() {
					return build.call(this, this._styles.concat(key));
				}
			};
		});

		return ret;
	}();

	var proto = defineProps(function chalk() {}, styles);

	function build(_styles) {
		var builder = function builder() {
			return applyStyle.apply(builder, arguments);
		};

		builder._styles = _styles;
		builder.enabled = this.enabled;
		// __proto__ is used because we must return a function, but there is
		// no way to create a function with a different prototype.
		/* eslint-disable no-proto */
		builder.__proto__ = proto;

		return builder;
	}

	function applyStyle() {
		// support varags, but simply cast to string in case there's only one arg
		var args = arguments;
		var argsLen = args.length;
		var str = argsLen !== 0 && String(arguments[0]);

		if (argsLen > 1) {
			// don't slice `arguments`, it prevents v8 optimizations
			for (var a = 1; a < argsLen; a++) {
				str += ' ' + args[a];
			}
		}

		if (!this.enabled || !str) {
			return str;
		}

		var nestedStyles = this._styles;
		var i = nestedStyles.length;

		// Turns out that on Windows dimmed gray text becomes invisible in cmd.exe,
		// see https://github.com/chalk/chalk/issues/58
		// If we're on Windows and we're dealing with a gray color, temporarily make 'dim' a noop.
		var originalDim = ansiStyles.dim.open;
		if (isSimpleWindowsTerm && (nestedStyles.indexOf('gray') !== -1 || nestedStyles.indexOf('grey') !== -1)) {
			ansiStyles.dim.open = '';
		}

		while (i--) {
			var code = ansiStyles[nestedStyles[i]];

			// Replace any instances already present with a re-opening code
			// otherwise only the part of the string until said closing code
			// will be colored, and the rest will simply be 'plain'.
			str = code.open + str.replace(code.closeRe, code.open) + code.close;
		}

		// Reset the original 'dim' if we changed it to work around the Windows dimmed gray issue.
		ansiStyles.dim.open = originalDim;

		return str;
	}

	function init() {
		var ret = {};

		Object.keys(styles).forEach(function (name) {
			ret[name] = {
				get: function get() {
					return build.call(this, [name]);
				}
			};
		});

		return ret;
	}

	defineProps(Chalk.prototype, init());

	module.exports = new Chalk();
	module.exports.styles = ansiStyles;
	module.exports.hasColor = hasAnsi;
	module.exports.stripColor = stripAnsi;
	module.exports.supportsColor = supportsColor;
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(30)))

/***/ },
/* 250 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(process) {'use strict';

	var argv = process.argv;

	var terminator = argv.indexOf('--');
	var hasFlag = function hasFlag(flag) {
		flag = '--' + flag;
		var pos = argv.indexOf(flag);
		return pos !== -1 && (terminator !== -1 ? pos < terminator : true);
	};

	module.exports = function () {
		if ('FORCE_COLOR' in process.env) {
			return true;
		}

		if (hasFlag('no-color') || hasFlag('no-colors') || hasFlag('color=false')) {
			return false;
		}

		if (hasFlag('color') || hasFlag('colors') || hasFlag('color=true') || hasFlag('color=always')) {
			return true;
		}

		if (process.stdout && !process.stdout.isTTY) {
			return false;
		}

		if (process.platform === 'win32') {
			return true;
		}

		if ('COLORTERM' in process.env) {
			return true;
		}

		if (process.env.TERM === 'dumb') {
			return false;
		}

		if (/^screen|^xterm|^vt100|color|ansi|cygwin|linux/i.test(process.env.TERM)) {
			return true;
		}

		return false;
	}();
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(30)))

/***/ },
/* 251 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	__webpack_require__(52);
	__webpack_require__(83);
	module.exports = __webpack_require__(287);

/***/ },
/* 252 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var core = __webpack_require__(3),
	    $JSON = core.JSON || (core.JSON = { stringify: JSON.stringify });
	module.exports = function stringify(it) {
	  // eslint-disable-line no-unused-vars
	  return $JSON.stringify.apply($JSON, arguments);
	};

/***/ },
/* 253 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	__webpack_require__(82);
	__webpack_require__(83);
	__webpack_require__(52);
	__webpack_require__(289);
	__webpack_require__(295);
	module.exports = __webpack_require__(3).Map;

/***/ },
/* 254 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	__webpack_require__(290);
	module.exports = 0x1fffffffffffff;

/***/ },
/* 255 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	__webpack_require__(291);
	var $Object = __webpack_require__(3).Object;
	module.exports = function create(P, D) {
	  return $Object.create(P, D);
	};

/***/ },
/* 256 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	__webpack_require__(84);
	module.exports = __webpack_require__(3).Object.getOwnPropertySymbols;

/***/ },
/* 257 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	__webpack_require__(292);
	module.exports = __webpack_require__(3).Object.keys;

/***/ },
/* 258 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	__webpack_require__(293);
	module.exports = __webpack_require__(3).Object.setPrototypeOf;

/***/ },
/* 259 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	__webpack_require__(84);
	module.exports = __webpack_require__(3).Symbol['for'];

/***/ },
/* 260 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	__webpack_require__(84);
	__webpack_require__(82);
	__webpack_require__(296);
	__webpack_require__(297);
	module.exports = __webpack_require__(3).Symbol;

/***/ },
/* 261 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	__webpack_require__(83);
	__webpack_require__(52);
	module.exports = __webpack_require__(81).f('iterator');

/***/ },
/* 262 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	__webpack_require__(82);
	__webpack_require__(52);
	__webpack_require__(294);
	module.exports = __webpack_require__(3).WeakMap;

/***/ },
/* 263 */
/***/ function(module, exports) {

	'use strict';

	module.exports = function (it) {
	  if (typeof it != 'function') throw TypeError(it + ' is not a function!');
	  return it;
	};

/***/ },
/* 264 */
/***/ function(module, exports) {

	"use strict";

	module.exports = function () {/* empty */};

/***/ },
/* 265 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var forOf = __webpack_require__(45);

	module.exports = function (iter, ITERATOR) {
	  var result = [];
	  forOf(iter, false, result.push, result, ITERATOR);
	  return result;
	};

/***/ },
/* 266 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// false -> Array#indexOf
	// true  -> Array#includes
	var toIObject = __webpack_require__(26),
	    toLength = __webpack_require__(78),
	    toIndex = __webpack_require__(286);
	module.exports = function (IS_INCLUDES) {
	  return function ($this, el, fromIndex) {
	    var O = toIObject($this),
	        length = toLength(O.length),
	        index = toIndex(fromIndex, length),
	        value;
	    // Array#includes uses SameValueZero equality algorithm
	    if (IS_INCLUDES && el != el) while (length > index) {
	      value = O[index++];
	      if (value != value) return true;
	      // Array#toIndex ignores holes, Array#includes - not
	    } else for (; length > index; index++) {
	      if (IS_INCLUDES || index in O) {
	        if (O[index] === el) return IS_INCLUDES || index || 0;
	      }
	    }return !IS_INCLUDES && -1;
	  };
	};

/***/ },
/* 267 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isObject = __webpack_require__(15),
	    isArray = __webpack_require__(123),
	    SPECIES = __webpack_require__(6)('species');

	module.exports = function (original) {
	  var C;
	  if (isArray(original)) {
	    C = original.constructor;
	    // cross-realm fallback
	    if (typeof C == 'function' && (C === Array || isArray(C.prototype))) C = undefined;
	    if (isObject(C)) {
	      C = C[SPECIES];
	      if (C === null) C = undefined;
	    }
	  }return C === undefined ? Array : C;
	};

/***/ },
/* 268 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// 9.4.2.3 ArraySpeciesCreate(originalArray, length)
	var speciesConstructor = __webpack_require__(267);

	module.exports = function (original, length) {
	  return new (speciesConstructor(original))(length);
	};

/***/ },
/* 269 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var dP = __webpack_require__(16).f,
	    create = __webpack_require__(46),
	    redefineAll = __webpack_require__(73),
	    ctx = __webpack_require__(38),
	    anInstance = __webpack_require__(65),
	    defined = __webpack_require__(44),
	    forOf = __webpack_require__(45),
	    $iterDefine = __webpack_require__(70),
	    step = __webpack_require__(124),
	    setSpecies = __webpack_require__(284),
	    DESCRIPTORS = __webpack_require__(14),
	    fastKey = __webpack_require__(40).fastKey,
	    SIZE = DESCRIPTORS ? '_s' : 'size';

	var getEntry = function getEntry(that, key) {
	  // fast case
	  var index = fastKey(key),
	      entry;
	  if (index !== 'F') return that._i[index];
	  // frozen object case
	  for (entry = that._f; entry; entry = entry.n) {
	    if (entry.k == key) return entry;
	  }
	};

	module.exports = {
	  getConstructor: function getConstructor(wrapper, NAME, IS_MAP, ADDER) {
	    var C = wrapper(function (that, iterable) {
	      anInstance(that, C, NAME, '_i');
	      that._i = create(null); // index
	      that._f = undefined; // first entry
	      that._l = undefined; // last entry
	      that[SIZE] = 0; // size
	      if (iterable != undefined) forOf(iterable, IS_MAP, that[ADDER], that);
	    });
	    redefineAll(C.prototype, {
	      // 23.1.3.1 Map.prototype.clear()
	      // 23.2.3.2 Set.prototype.clear()
	      clear: function clear() {
	        for (var that = this, data = that._i, entry = that._f; entry; entry = entry.n) {
	          entry.r = true;
	          if (entry.p) entry.p = entry.p.n = undefined;
	          delete data[entry.i];
	        }
	        that._f = that._l = undefined;
	        that[SIZE] = 0;
	      },
	      // 23.1.3.3 Map.prototype.delete(key)
	      // 23.2.3.4 Set.prototype.delete(value)
	      'delete': function _delete(key) {
	        var that = this,
	            entry = getEntry(that, key);
	        if (entry) {
	          var next = entry.n,
	              prev = entry.p;
	          delete that._i[entry.i];
	          entry.r = true;
	          if (prev) prev.n = next;
	          if (next) next.p = prev;
	          if (that._f == entry) that._f = next;
	          if (that._l == entry) that._l = prev;
	          that[SIZE]--;
	        }return !!entry;
	      },
	      // 23.2.3.6 Set.prototype.forEach(callbackfn, thisArg = undefined)
	      // 23.1.3.5 Map.prototype.forEach(callbackfn, thisArg = undefined)
	      forEach: function forEach(callbackfn /*, that = undefined */) {
	        anInstance(this, C, 'forEach');
	        var f = ctx(callbackfn, arguments.length > 1 ? arguments[1] : undefined, 3),
	            entry;
	        while (entry = entry ? entry.n : this._f) {
	          f(entry.v, entry.k, this);
	          // revert to the last existing entry
	          while (entry && entry.r) {
	            entry = entry.p;
	          }
	        }
	      },
	      // 23.1.3.7 Map.prototype.has(key)
	      // 23.2.3.7 Set.prototype.has(value)
	      has: function has(key) {
	        return !!getEntry(this, key);
	      }
	    });
	    if (DESCRIPTORS) dP(C.prototype, 'size', {
	      get: function get() {
	        return defined(this[SIZE]);
	      }
	    });
	    return C;
	  },
	  def: function def(that, key, value) {
	    var entry = getEntry(that, key),
	        prev,
	        index;
	    // change existing entry
	    if (entry) {
	      entry.v = value;
	      // create new entry
	    } else {
	      that._l = entry = {
	        i: index = fastKey(key, true), // <- index
	        k: key, // <- key
	        v: value, // <- value
	        p: prev = that._l, // <- previous entry
	        n: undefined, // <- next entry
	        r: false // <- removed
	      };
	      if (!that._f) that._f = entry;
	      if (prev) prev.n = entry;
	      that[SIZE]++;
	      // add to index
	      if (index !== 'F') that._i[index] = entry;
	    }return that;
	  },
	  getEntry: getEntry,
	  setStrong: function setStrong(C, NAME, IS_MAP) {
	    // add .keys, .values, .entries, [@@iterator]
	    // 23.1.3.4, 23.1.3.8, 23.1.3.11, 23.1.3.12, 23.2.3.5, 23.2.3.8, 23.2.3.10, 23.2.3.11
	    $iterDefine(C, NAME, function (iterated, kind) {
	      this._t = iterated; // target
	      this._k = kind; // kind
	      this._l = undefined; // previous
	    }, function () {
	      var that = this,
	          kind = that._k,
	          entry = that._l;
	      // revert to the last existing entry
	      while (entry && entry.r) {
	        entry = entry.p;
	      } // get next entry
	      if (!that._t || !(that._l = entry = entry ? entry.n : that._t._f)) {
	        // or finish the iteration
	        that._t = undefined;
	        return step(1);
	      }
	      // return step by kind
	      if (kind == 'keys') return step(0, entry.k);
	      if (kind == 'values') return step(0, entry.v);
	      return step(0, [entry.k, entry.v]);
	    }, IS_MAP ? 'entries' : 'values', !IS_MAP, true);

	    // add [@@species], 23.1.2.2, 23.2.2.2
	    setSpecies(NAME);
	  }
	};

/***/ },
/* 270 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// https://github.com/DavidBruant/Map-Set.prototype.toJSON
	var classof = __webpack_require__(119),
	    from = __webpack_require__(265);
	module.exports = function (NAME) {
	  return function toJSON() {
	    if (classof(this) != NAME) throw TypeError(NAME + "#toJSON isn't generic");
	    return from(this);
	  };
	};

/***/ },
/* 271 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var redefineAll = __webpack_require__(73),
	    getWeak = __webpack_require__(40).getWeak,
	    anObject = __webpack_require__(13),
	    isObject = __webpack_require__(15),
	    anInstance = __webpack_require__(65),
	    forOf = __webpack_require__(45),
	    createArrayMethod = __webpack_require__(66),
	    $has = __webpack_require__(21),
	    arrayFind = createArrayMethod(5),
	    arrayFindIndex = createArrayMethod(6),
	    id = 0;

	// fallback for uncaught frozen keys
	var uncaughtFrozenStore = function uncaughtFrozenStore(that) {
	  return that._l || (that._l = new UncaughtFrozenStore());
	};
	var UncaughtFrozenStore = function UncaughtFrozenStore() {
	  this.a = [];
	};
	var findUncaughtFrozen = function findUncaughtFrozen(store, key) {
	  return arrayFind(store.a, function (it) {
	    return it[0] === key;
	  });
	};
	UncaughtFrozenStore.prototype = {
	  get: function get(key) {
	    var entry = findUncaughtFrozen(this, key);
	    if (entry) return entry[1];
	  },
	  has: function has(key) {
	    return !!findUncaughtFrozen(this, key);
	  },
	  set: function set(key, value) {
	    var entry = findUncaughtFrozen(this, key);
	    if (entry) entry[1] = value;else this.a.push([key, value]);
	  },
	  'delete': function _delete(key) {
	    var index = arrayFindIndex(this.a, function (it) {
	      return it[0] === key;
	    });
	    if (~index) this.a.splice(index, 1);
	    return !!~index;
	  }
	};

	module.exports = {
	  getConstructor: function getConstructor(wrapper, NAME, IS_MAP, ADDER) {
	    var C = wrapper(function (that, iterable) {
	      anInstance(that, C, NAME, '_i');
	      that._i = id++; // collection id
	      that._l = undefined; // leak store for uncaught frozen objects
	      if (iterable != undefined) forOf(iterable, IS_MAP, that[ADDER], that);
	    });
	    redefineAll(C.prototype, {
	      // 23.3.3.2 WeakMap.prototype.delete(key)
	      // 23.4.3.3 WeakSet.prototype.delete(value)
	      'delete': function _delete(key) {
	        if (!isObject(key)) return false;
	        var data = getWeak(key);
	        if (data === true) return uncaughtFrozenStore(this)['delete'](key);
	        return data && $has(data, this._i) && delete data[this._i];
	      },
	      // 23.3.3.4 WeakMap.prototype.has(key)
	      // 23.4.3.4 WeakSet.prototype.has(value)
	      has: function has(key) {
	        if (!isObject(key)) return false;
	        var data = getWeak(key);
	        if (data === true) return uncaughtFrozenStore(this).has(key);
	        return data && $has(data, this._i);
	      }
	    });
	    return C;
	  },
	  def: function def(that, key, value) {
	    var data = getWeak(anObject(key), true);
	    if (data === true) uncaughtFrozenStore(that).set(key, value);else data[that._i] = value;
	    return that;
	  },
	  ufstore: uncaughtFrozenStore
	};

/***/ },
/* 272 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// all enumerable object keys, includes symbols
	var getKeys = __webpack_require__(32),
	    gOPS = __webpack_require__(72),
	    pIE = __webpack_require__(47);
	module.exports = function (it) {
	  var result = getKeys(it),
	      getSymbols = gOPS.f;
	  if (getSymbols) {
	    var symbols = getSymbols(it),
	        isEnum = pIE.f,
	        i = 0,
	        key;
	    while (symbols.length > i) {
	      if (isEnum.call(it, key = symbols[i++])) result.push(key);
	    }
	  }return result;
	};

/***/ },
/* 273 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = __webpack_require__(7).document && document.documentElement;

/***/ },
/* 274 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// check on default Array iterator
	var Iterators = __webpack_require__(39),
	    ITERATOR = __webpack_require__(6)('iterator'),
	    ArrayProto = Array.prototype;

	module.exports = function (it) {
	  return it !== undefined && (Iterators.Array === it || ArrayProto[ITERATOR] === it);
	};

/***/ },
/* 275 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// call something on iterator step with safe closing on error
	var anObject = __webpack_require__(13);
	module.exports = function (iterator, fn, value, entries) {
	  try {
	    return entries ? fn(anObject(value)[0], value[1]) : fn(value);
	    // 7.4.6 IteratorClose(iterator, completion)
	  } catch (e) {
	    var ret = iterator['return'];
	    if (ret !== undefined) anObject(ret.call(iterator));
	    throw e;
	  }
	};

/***/ },
/* 276 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var create = __webpack_require__(46),
	    descriptor = __webpack_require__(48),
	    setToStringTag = __webpack_require__(49),
	    IteratorPrototype = {};

	// 25.1.2.1.1 %IteratorPrototype%[@@iterator]()
	__webpack_require__(22)(IteratorPrototype, __webpack_require__(6)('iterator'), function () {
	  return this;
	});

	module.exports = function (Constructor, NAME, next) {
	  Constructor.prototype = create(IteratorPrototype, { next: descriptor(1, next) });
	  setToStringTag(Constructor, NAME + ' Iterator');
	};

/***/ },
/* 277 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var getKeys = __webpack_require__(32),
	    toIObject = __webpack_require__(26);
	module.exports = function (object, el) {
	  var O = toIObject(object),
	      keys = getKeys(O),
	      length = keys.length,
	      index = 0,
	      key;
	  while (length > index) {
	    if (O[key = keys[index++]] === el) return key;
	  }
	};

/***/ },
/* 278 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	// 19.1.2.1 Object.assign(target, source, ...)

	var getKeys = __webpack_require__(32),
	    gOPS = __webpack_require__(72),
	    pIE = __webpack_require__(47),
	    toObject = __webpack_require__(50),
	    IObject = __webpack_require__(69),
	    $assign = Object.assign;

	// should work with symbols and should have deterministic property order (V8 bug)
	module.exports = !$assign || __webpack_require__(25)(function () {
	  var A = {},
	      B = {},
	      S = Symbol(),
	      K = 'abcdefghijklmnopqrst';
	  A[S] = 7;
	  K.split('').forEach(function (k) {
	    B[k] = k;
	  });
	  return $assign({}, A)[S] != 7 || Object.keys($assign({}, B)).join('') != K;
	}) ? function assign(target, source) {
	  // eslint-disable-line no-unused-vars
	  var T = toObject(target),
	      aLen = arguments.length,
	      index = 1,
	      getSymbols = gOPS.f,
	      isEnum = pIE.f;
	  while (aLen > index) {
	    var S = IObject(arguments[index++]),
	        keys = getSymbols ? getKeys(S).concat(getSymbols(S)) : getKeys(S),
	        length = keys.length,
	        j = 0,
	        key;
	    while (length > j) {
	      if (isEnum.call(S, key = keys[j++])) T[key] = S[key];
	    }
	  }return T;
	} : $assign;

/***/ },
/* 279 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var dP = __webpack_require__(16),
	    anObject = __webpack_require__(13),
	    getKeys = __webpack_require__(32);

	module.exports = __webpack_require__(14) ? Object.defineProperties : function defineProperties(O, Properties) {
	  anObject(O);
	  var keys = getKeys(Properties),
	      length = keys.length,
	      i = 0,
	      P;
	  while (length > i) {
	    dP.f(O, P = keys[i++], Properties[P]);
	  }return O;
	};

/***/ },
/* 280 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	// fallback for IE11 buggy Object.getOwnPropertyNames with iframe and window
	var toIObject = __webpack_require__(26),
	    gOPN = __webpack_require__(126).f,
	    toString = {}.toString;

	var windowNames = (typeof window === 'undefined' ? 'undefined' : _typeof(window)) == 'object' && window && Object.getOwnPropertyNames ? Object.getOwnPropertyNames(window) : [];

	var getWindowNames = function getWindowNames(it) {
	  try {
	    return gOPN(it);
	  } catch (e) {
	    return windowNames.slice();
	  }
	};

	module.exports.f = function getOwnPropertyNames(it) {
	  return windowNames && toString.call(it) == '[object Window]' ? getWindowNames(it) : gOPN(toIObject(it));
	};

/***/ },
/* 281 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// 19.1.2.9 / 15.2.3.2 Object.getPrototypeOf(O)
	var has = __webpack_require__(21),
	    toObject = __webpack_require__(50),
	    IE_PROTO = __webpack_require__(75)('IE_PROTO'),
	    ObjectProto = Object.prototype;

	module.exports = Object.getPrototypeOf || function (O) {
	  O = toObject(O);
	  if (has(O, IE_PROTO)) return O[IE_PROTO];
	  if (typeof O.constructor == 'function' && O instanceof O.constructor) {
	    return O.constructor.prototype;
	  }return O instanceof Object ? ObjectProto : null;
	};

/***/ },
/* 282 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// most Object methods by ES6 should accept primitives
	var $export = __webpack_require__(20),
	    core = __webpack_require__(3),
	    fails = __webpack_require__(25);
	module.exports = function (KEY, exec) {
	  var fn = (core.Object || {})[KEY] || Object[KEY],
	      exp = {};
	  exp[KEY] = exec(fn);
	  $export($export.S + $export.F * fails(function () {
	    fn(1);
	  }), 'Object', exp);
	};

/***/ },
/* 283 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// Works with __proto__ only. Old v8 can't work with null proto objects.
	/* eslint-disable no-proto */
	var isObject = __webpack_require__(15),
	    anObject = __webpack_require__(13);
	var check = function check(O, proto) {
	  anObject(O);
	  if (!isObject(proto) && proto !== null) throw TypeError(proto + ": can't set as prototype!");
	};
	module.exports = {
	  set: Object.setPrototypeOf || ('__proto__' in {} ? // eslint-disable-line
	  function (test, buggy, set) {
	    try {
	      set = __webpack_require__(38)(Function.call, __webpack_require__(125).f(Object.prototype, '__proto__').set, 2);
	      set(test, []);
	      buggy = !(test instanceof Array);
	    } catch (e) {
	      buggy = true;
	    }
	    return function setPrototypeOf(O, proto) {
	      check(O, proto);
	      if (buggy) O.__proto__ = proto;else set(O, proto);
	      return O;
	    };
	  }({}, false) : undefined),
	  check: check
	};

/***/ },
/* 284 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var global = __webpack_require__(7),
	    core = __webpack_require__(3),
	    dP = __webpack_require__(16),
	    DESCRIPTORS = __webpack_require__(14),
	    SPECIES = __webpack_require__(6)('species');

	module.exports = function (KEY) {
	  var C = typeof core[KEY] == 'function' ? core[KEY] : global[KEY];
	  if (DESCRIPTORS && C && !C[SPECIES]) dP.f(C, SPECIES, {
	    configurable: true,
	    get: function get() {
	      return this;
	    }
	  });
	};

/***/ },
/* 285 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var toInteger = __webpack_require__(77),
	    defined = __webpack_require__(44);
	// true  -> String#at
	// false -> String#codePointAt
	module.exports = function (TO_STRING) {
	  return function (that, pos) {
	    var s = String(defined(that)),
	        i = toInteger(pos),
	        l = s.length,
	        a,
	        b;
	    if (i < 0 || i >= l) return TO_STRING ? '' : undefined;
	    a = s.charCodeAt(i);
	    return a < 0xd800 || a > 0xdbff || i + 1 === l || (b = s.charCodeAt(i + 1)) < 0xdc00 || b > 0xdfff ? TO_STRING ? s.charAt(i) : a : TO_STRING ? s.slice(i, i + 2) : (a - 0xd800 << 10) + (b - 0xdc00) + 0x10000;
	  };
	};

/***/ },
/* 286 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var toInteger = __webpack_require__(77),
	    max = Math.max,
	    min = Math.min;
	module.exports = function (index, length) {
	  index = toInteger(index);
	  return index < 0 ? max(index + length, 0) : min(index, length);
	};

/***/ },
/* 287 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var anObject = __webpack_require__(13),
	    get = __webpack_require__(128);
	module.exports = __webpack_require__(3).getIterator = function (it) {
	  var iterFn = get(it);
	  if (typeof iterFn != 'function') throw TypeError(it + ' is not iterable!');
	  return anObject(iterFn.call(it));
	};

/***/ },
/* 288 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var addToUnscopables = __webpack_require__(264),
	    step = __webpack_require__(124),
	    Iterators = __webpack_require__(39),
	    toIObject = __webpack_require__(26);

	// 22.1.3.4 Array.prototype.entries()
	// 22.1.3.13 Array.prototype.keys()
	// 22.1.3.29 Array.prototype.values()
	// 22.1.3.30 Array.prototype[@@iterator]()
	module.exports = __webpack_require__(70)(Array, 'Array', function (iterated, kind) {
	  this._t = toIObject(iterated); // target
	  this._i = 0; // next index
	  this._k = kind; // kind
	  // 22.1.5.2.1 %ArrayIteratorPrototype%.next()
	}, function () {
	  var O = this._t,
	      kind = this._k,
	      index = this._i++;
	  if (!O || index >= O.length) {
	    this._t = undefined;
	    return step(1);
	  }
	  if (kind == 'keys') return step(0, index);
	  if (kind == 'values') return step(0, O[index]);
	  return step(0, [index, O[index]]);
	}, 'values');

	// argumentsList[@@iterator] is %ArrayProto_values% (9.4.4.6, 9.4.4.7)
	Iterators.Arguments = Iterators.Array;

	addToUnscopables('keys');
	addToUnscopables('values');
	addToUnscopables('entries');

/***/ },
/* 289 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var strong = __webpack_require__(269);

	// 23.1 Map Objects
	module.exports = __webpack_require__(120)('Map', function (get) {
	  return function Map() {
	    return get(this, arguments.length > 0 ? arguments[0] : undefined);
	  };
	}, {
	  // 23.1.3.6 Map.prototype.get(key)
	  get: function get(key) {
	    var entry = strong.getEntry(this, key);
	    return entry && entry.v;
	  },
	  // 23.1.3.9 Map.prototype.set(key, value)
	  set: function set(key, value) {
	    return strong.def(this, key === 0 ? 0 : key, value);
	  }
	}, strong, true);

/***/ },
/* 290 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// 20.1.2.6 Number.MAX_SAFE_INTEGER
	var $export = __webpack_require__(20);

	$export($export.S, 'Number', { MAX_SAFE_INTEGER: 0x1fffffffffffff });

/***/ },
/* 291 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var $export = __webpack_require__(20);
	// 19.1.2.2 / 15.2.3.5 Object.create(O [, Properties])
	$export($export.S, 'Object', { create: __webpack_require__(46) });

/***/ },
/* 292 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// 19.1.2.14 Object.keys(O)
	var toObject = __webpack_require__(50),
	    $keys = __webpack_require__(32);

	__webpack_require__(282)('keys', function () {
	  return function keys(it) {
	    return $keys(toObject(it));
	  };
	});

/***/ },
/* 293 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// 19.1.3.19 Object.setPrototypeOf(O, proto)
	var $export = __webpack_require__(20);
	$export($export.S, 'Object', { setPrototypeOf: __webpack_require__(283).set });

/***/ },
/* 294 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var each = __webpack_require__(66)(0),
	    redefine = __webpack_require__(74),
	    meta = __webpack_require__(40),
	    assign = __webpack_require__(278),
	    weak = __webpack_require__(271),
	    isObject = __webpack_require__(15),
	    getWeak = meta.getWeak,
	    isExtensible = Object.isExtensible,
	    uncaughtFrozenStore = weak.ufstore,
	    tmp = {},
	    InternalMap;

	var wrapper = function wrapper(get) {
	  return function WeakMap() {
	    return get(this, arguments.length > 0 ? arguments[0] : undefined);
	  };
	};

	var methods = {
	  // 23.3.3.3 WeakMap.prototype.get(key)
	  get: function get(key) {
	    if (isObject(key)) {
	      var data = getWeak(key);
	      if (data === true) return uncaughtFrozenStore(this).get(key);
	      return data ? data[this._i] : undefined;
	    }
	  },
	  // 23.3.3.5 WeakMap.prototype.set(key, value)
	  set: function set(key, value) {
	    return weak.def(this, key, value);
	  }
	};

	// 23.3 WeakMap Objects
	var $WeakMap = module.exports = __webpack_require__(120)('WeakMap', wrapper, methods, weak, true, true);

	// IE11 WeakMap frozen keys fix
	if (new $WeakMap().set((Object.freeze || Object)(tmp), 7).get(tmp) != 7) {
	  InternalMap = weak.getConstructor(wrapper);
	  assign(InternalMap.prototype, methods);
	  meta.NEED = true;
	  each(['delete', 'has', 'get', 'set'], function (key) {
	    var proto = $WeakMap.prototype,
	        method = proto[key];
	    redefine(proto, key, function (a, b) {
	      // store frozen objects on internal weakmap shim
	      if (isObject(a) && !isExtensible(a)) {
	        if (!this._f) this._f = new InternalMap();
	        var result = this._f[key](a, b);
	        return key == 'set' ? this : result;
	        // store all the rest on native weakmap
	      }return method.call(this, a, b);
	    });
	  });
	}

/***/ },
/* 295 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// https://github.com/DavidBruant/Map-Set.prototype.toJSON
	var $export = __webpack_require__(20);

	$export($export.P + $export.R, 'Map', { toJSON: __webpack_require__(270)('Map') });

/***/ },
/* 296 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	__webpack_require__(80)('asyncIterator');

/***/ },
/* 297 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	__webpack_require__(80)('observable');

/***/ },
/* 298 */
/***/ function(module, exports) {

	'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	/**
	 * Helpers.
	 */

	var s = 1000;
	var m = s * 60;
	var h = m * 60;
	var d = h * 24;
	var y = d * 365.25;

	/**
	 * Parse or format the given `val`.
	 *
	 * Options:
	 *
	 *  - `long` verbose formatting [false]
	 *
	 * @param {String|Number} val
	 * @param {Object} options
	 * @throws {Error} throw an error if val is not a non-empty string or a number
	 * @return {String|Number}
	 * @api public
	 */

	module.exports = function (val, options) {
	  options = options || {};
	  var type = typeof val === 'undefined' ? 'undefined' : _typeof(val);
	  if (type === 'string' && val.length > 0) {
	    return parse(val);
	  } else if (type === 'number' && isNaN(val) === false) {
	    return options.long ? fmtLong(val) : fmtShort(val);
	  }
	  throw new Error('val is not a non-empty string or a valid number. val=' + JSON.stringify(val));
	};

	/**
	 * Parse the given `str` and return milliseconds.
	 *
	 * @param {String} str
	 * @return {Number}
	 * @api private
	 */

	function parse(str) {
	  str = String(str);
	  if (str.length > 10000) {
	    return;
	  }
	  var match = /^((?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|years?|yrs?|y)?$/i.exec(str);
	  if (!match) {
	    return;
	  }
	  var n = parseFloat(match[1]);
	  var type = (match[2] || 'ms').toLowerCase();
	  switch (type) {
	    case 'years':
	    case 'year':
	    case 'yrs':
	    case 'yr':
	    case 'y':
	      return n * y;
	    case 'days':
	    case 'day':
	    case 'd':
	      return n * d;
	    case 'hours':
	    case 'hour':
	    case 'hrs':
	    case 'hr':
	    case 'h':
	      return n * h;
	    case 'minutes':
	    case 'minute':
	    case 'mins':
	    case 'min':
	    case 'm':
	      return n * m;
	    case 'seconds':
	    case 'second':
	    case 'secs':
	    case 'sec':
	    case 's':
	      return n * s;
	    case 'milliseconds':
	    case 'millisecond':
	    case 'msecs':
	    case 'msec':
	    case 'ms':
	      return n;
	    default:
	      return undefined;
	  }
	}

	/**
	 * Short format for `ms`.
	 *
	 * @param {Number} ms
	 * @return {String}
	 * @api private
	 */

	function fmtShort(ms) {
	  if (ms >= d) {
	    return Math.round(ms / d) + 'd';
	  }
	  if (ms >= h) {
	    return Math.round(ms / h) + 'h';
	  }
	  if (ms >= m) {
	    return Math.round(ms / m) + 'm';
	  }
	  if (ms >= s) {
	    return Math.round(ms / s) + 's';
	  }
	  return ms + 'ms';
	}

	/**
	 * Long format for `ms`.
	 *
	 * @param {Number} ms
	 * @return {String}
	 * @api private
	 */

	function fmtLong(ms) {
	  return plural(ms, d, 'day') || plural(ms, h, 'hour') || plural(ms, m, 'minute') || plural(ms, s, 'second') || ms + ' ms';
	}

	/**
	 * Pluralization helper.
	 */

	function plural(ms, n, name) {
	  if (ms < n) {
	    return;
	  }
	  if (ms < n * 1.5) {
	    return Math.floor(ms / n) + ' ' + name;
	  }
	  return Math.ceil(ms / n) + ' ' + name + 's';
	}

/***/ },
/* 299 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(process) {'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	/**
	 * This is the web browser implementation of `debug()`.
	 *
	 * Expose `debug()` as the module.
	 */

	exports = module.exports = __webpack_require__(300);
	exports.log = log;
	exports.formatArgs = formatArgs;
	exports.save = save;
	exports.load = load;
	exports.useColors = useColors;
	exports.storage = 'undefined' != typeof chrome && 'undefined' != typeof chrome.storage ? chrome.storage.local : localstorage();

	/**
	 * Colors.
	 */

	exports.colors = ['lightseagreen', 'forestgreen', 'goldenrod', 'dodgerblue', 'darkorchid', 'crimson'];

	/**
	 * Currently only WebKit-based Web Inspectors, Firefox >= v31,
	 * and the Firebug extension (any Firefox version) are known
	 * to support "%c" CSS customizations.
	 *
	 * TODO: add a `localStorage` variable to explicitly enable/disable colors
	 */

	function useColors() {
	  // NB: In an Electron preload script, document will be defined but not fully
	  // initialized. Since we know we're in Chrome, we'll just detect this case
	  // explicitly
	  if (typeof window !== 'undefined' && window && typeof window.process !== 'undefined' && window.process.type === 'renderer') {
	    return true;
	  }

	  // is webkit? http://stackoverflow.com/a/16459606/376773
	  // document is undefined in react-native: https://github.com/facebook/react-native/pull/1632
	  return typeof document !== 'undefined' && document && 'WebkitAppearance' in document.documentElement.style ||
	  // is firebug? http://stackoverflow.com/a/398120/376773
	  typeof window !== 'undefined' && window && window.console && (console.firebug || console.exception && console.table) ||
	  // is firefox >= v31?
	  // https://developer.mozilla.org/en-US/docs/Tools/Web_Console#Styling_messages
	  typeof navigator !== 'undefined' && navigator && navigator.userAgent && navigator.userAgent.toLowerCase().match(/firefox\/(\d+)/) && parseInt(RegExp.$1, 10) >= 31 ||
	  // double check webkit in userAgent just in case we are in a worker
	  typeof navigator !== 'undefined' && navigator && navigator.userAgent && navigator.userAgent.toLowerCase().match(/applewebkit\/(\d+)/);
	}

	/**
	 * Map %j to `JSON.stringify()`, since no Web Inspectors do that by default.
	 */

	exports.formatters.j = function (v) {
	  try {
	    return JSON.stringify(v);
	  } catch (err) {
	    return '[UnexpectedJSONParseError]: ' + err.message;
	  }
	};

	/**
	 * Colorize log arguments if enabled.
	 *
	 * @api public
	 */

	function formatArgs(args) {
	  var useColors = this.useColors;

	  args[0] = (useColors ? '%c' : '') + this.namespace + (useColors ? ' %c' : ' ') + args[0] + (useColors ? '%c ' : ' ') + '+' + exports.humanize(this.diff);

	  if (!useColors) return;

	  var c = 'color: ' + this.color;
	  args.splice(1, 0, c, 'color: inherit');

	  // the final "%c" is somewhat tricky, because there could be other
	  // arguments passed either before or after the %c, so we need to
	  // figure out the correct index to insert the CSS into
	  var index = 0;
	  var lastC = 0;
	  args[0].replace(/%[a-zA-Z%]/g, function (match) {
	    if ('%%' === match) return;
	    index++;
	    if ('%c' === match) {
	      // we only are interested in the *last* %c
	      // (the user may have provided their own)
	      lastC = index;
	    }
	  });

	  args.splice(lastC, 0, c);
	}

	/**
	 * Invokes `console.log()` when available.
	 * No-op when `console.log` is not a "function".
	 *
	 * @api public
	 */

	function log() {
	  // this hackery is required for IE8/9, where
	  // the `console.log` function doesn't have 'apply'
	  return 'object' === (typeof console === 'undefined' ? 'undefined' : _typeof(console)) && console.log && Function.prototype.apply.call(console.log, console, arguments);
	}

	/**
	 * Save `namespaces`.
	 *
	 * @param {String} namespaces
	 * @api private
	 */

	function save(namespaces) {
	  try {
	    if (null == namespaces) {
	      exports.storage.removeItem('debug');
	    } else {
	      exports.storage.debug = namespaces;
	    }
	  } catch (e) {}
	}

	/**
	 * Load `namespaces`.
	 *
	 * @return {String} returns the previously persisted debug modes
	 * @api private
	 */

	function load() {
	  try {
	    return exports.storage.debug;
	  } catch (e) {}

	  // If debug isn't set in LS, and we're in Electron, try to load $DEBUG
	  if (typeof process !== 'undefined' && 'env' in process) {
	    return process.env.DEBUG;
	  }
	}

	/**
	 * Enable namespaces listed in `localStorage.debug` initially.
	 */

	exports.enable(load());

	/**
	 * Localstorage attempts to return the localstorage.
	 *
	 * This is necessary because safari throws
	 * when a user disables cookies/localstorage
	 * and you attempt to access it.
	 *
	 * @return {LocalStorage}
	 * @api private
	 */

	function localstorage() {
	  try {
	    return window.localStorage;
	  } catch (e) {}
	}
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(30)))

/***/ },
/* 300 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	/**
	 * This is the common logic for both the Node.js and web browser
	 * implementations of `debug()`.
	 *
	 * Expose `debug()` as the module.
	 */

	exports = module.exports = createDebug.debug = createDebug.default = createDebug;
	exports.coerce = coerce;
	exports.disable = disable;
	exports.enable = enable;
	exports.enabled = enabled;
	exports.humanize = __webpack_require__(298);

	/**
	 * The currently active debug mode names, and names to skip.
	 */

	exports.names = [];
	exports.skips = [];

	/**
	 * Map of special "%n" handling functions, for the debug "format" argument.
	 *
	 * Valid key names are a single, lower or upper-case letter, i.e. "n" and "N".
	 */

	exports.formatters = {};

	/**
	 * Previous log timestamp.
	 */

	var prevTime;

	/**
	 * Select a color.
	 * @param {String} namespace
	 * @return {Number}
	 * @api private
	 */

	function selectColor(namespace) {
	  var hash = 0,
	      i;

	  for (i in namespace) {
	    hash = (hash << 5) - hash + namespace.charCodeAt(i);
	    hash |= 0; // Convert to 32bit integer
	  }

	  return exports.colors[Math.abs(hash) % exports.colors.length];
	}

	/**
	 * Create a debugger with the given `namespace`.
	 *
	 * @param {String} namespace
	 * @return {Function}
	 * @api public
	 */

	function createDebug(namespace) {

	  function debug() {
	    // disabled?
	    if (!debug.enabled) return;

	    var self = debug;

	    // set `diff` timestamp
	    var curr = +new Date();
	    var ms = curr - (prevTime || curr);
	    self.diff = ms;
	    self.prev = prevTime;
	    self.curr = curr;
	    prevTime = curr;

	    // turn the `arguments` into a proper Array
	    var args = new Array(arguments.length);
	    for (var i = 0; i < args.length; i++) {
	      args[i] = arguments[i];
	    }

	    args[0] = exports.coerce(args[0]);

	    if ('string' !== typeof args[0]) {
	      // anything else let's inspect with %O
	      args.unshift('%O');
	    }

	    // apply any `formatters` transformations
	    var index = 0;
	    args[0] = args[0].replace(/%([a-zA-Z%])/g, function (match, format) {
	      // if we encounter an escaped % then don't increase the array index
	      if (match === '%%') return match;
	      index++;
	      var formatter = exports.formatters[format];
	      if ('function' === typeof formatter) {
	        var val = args[index];
	        match = formatter.call(self, val);

	        // now we need to remove `args[index]` since it's inlined in the `format`
	        args.splice(index, 1);
	        index--;
	      }
	      return match;
	    });

	    // apply env-specific formatting (colors, etc.)
	    exports.formatArgs.call(self, args);

	    var logFn = debug.log || exports.log || console.log.bind(console);
	    logFn.apply(self, args);
	  }

	  debug.namespace = namespace;
	  debug.enabled = exports.enabled(namespace);
	  debug.useColors = exports.useColors();
	  debug.color = selectColor(namespace);

	  // env-specific initialization logic for debug instances
	  if ('function' === typeof exports.init) {
	    exports.init(debug);
	  }

	  return debug;
	}

	/**
	 * Enables a debug mode by namespaces. This can include modes
	 * separated by a colon and wildcards.
	 *
	 * @param {String} namespaces
	 * @api public
	 */

	function enable(namespaces) {
	  exports.save(namespaces);

	  var split = (namespaces || '').split(/[\s,]+/);
	  var len = split.length;

	  for (var i = 0; i < len; i++) {
	    if (!split[i]) continue; // ignore empty strings
	    namespaces = split[i].replace(/\*/g, '.*?');
	    if (namespaces[0] === '-') {
	      exports.skips.push(new RegExp('^' + namespaces.substr(1) + '$'));
	    } else {
	      exports.names.push(new RegExp('^' + namespaces + '$'));
	    }
	  }
	}

	/**
	 * Disable debug output.
	 *
	 * @api public
	 */

	function disable() {
	  exports.enable('');
	}

	/**
	 * Returns true if the given mode name is enabled, false otherwise.
	 *
	 * @param {String} name
	 * @return {Boolean}
	 * @api public
	 */

	function enabled(name) {
	  var i, len;
	  for (i = 0, len = exports.skips.length; i < len; i++) {
	    if (exports.skips[i].test(name)) {
	      return false;
	    }
	  }
	  for (i = 0, len = exports.names.length; i < len; i++) {
	    if (exports.names[i].test(name)) {
	      return true;
	    }
	  }
	  return false;
	}

	/**
	 * Coerce `val`.
	 *
	 * @param {Mixed} val
	 * @return {Mixed}
	 * @api private
	 */

	function coerce(val) {
	  if (val instanceof Error) return val.stack || val.message;
	  return val;
	}

/***/ },
/* 301 */
/***/ function(module, exports) {

	'use strict';

	var matchOperatorsRe = /[|\\{}()[\]^$+*?.]/g;

	module.exports = function (str) {
		if (typeof str !== 'string') {
			throw new TypeError('Expected a string');
		}

		return str.replace(matchOperatorsRe, '\\$&');
	};

/***/ },
/* 302 */
/***/ function(module, exports) {

	'use strict';

	/*
	  Copyright (C) 2013 Yusuke Suzuki <utatane.tea@gmail.com>

	  Redistribution and use in source and binary forms, with or without
	  modification, are permitted provided that the following conditions are met:

	    * Redistributions of source code must retain the above copyright
	      notice, this list of conditions and the following disclaimer.
	    * Redistributions in binary form must reproduce the above copyright
	      notice, this list of conditions and the following disclaimer in the
	      documentation and/or other materials provided with the distribution.

	  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 'AS IS'
	  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
	  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
	  ARE DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> BE LIABLE FOR ANY
	  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
	  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
	  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
	  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
	  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
	  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
	*/

	(function () {
	    'use strict';

	    function isExpression(node) {
	        if (node == null) {
	            return false;
	        }
	        switch (node.type) {
	            case 'ArrayExpression':
	            case 'AssignmentExpression':
	            case 'BinaryExpression':
	            case 'CallExpression':
	            case 'ConditionalExpression':
	            case 'FunctionExpression':
	            case 'Identifier':
	            case 'Literal':
	            case 'LogicalExpression':
	            case 'MemberExpression':
	            case 'NewExpression':
	            case 'ObjectExpression':
	            case 'SequenceExpression':
	            case 'ThisExpression':
	            case 'UnaryExpression':
	            case 'UpdateExpression':
	                return true;
	        }
	        return false;
	    }

	    function isIterationStatement(node) {
	        if (node == null) {
	            return false;
	        }
	        switch (node.type) {
	            case 'DoWhileStatement':
	            case 'ForInStatement':
	            case 'ForStatement':
	            case 'WhileStatement':
	                return true;
	        }
	        return false;
	    }

	    function isStatement(node) {
	        if (node == null) {
	            return false;
	        }
	        switch (node.type) {
	            case 'BlockStatement':
	            case 'BreakStatement':
	            case 'ContinueStatement':
	            case 'DebuggerStatement':
	            case 'DoWhileStatement':
	            case 'EmptyStatement':
	            case 'ExpressionStatement':
	            case 'ForInStatement':
	            case 'ForStatement':
	            case 'IfStatement':
	            case 'LabeledStatement':
	            case 'ReturnStatement':
	            case 'SwitchStatement':
	            case 'ThrowStatement':
	            case 'TryStatement':
	            case 'VariableDeclaration':
	            case 'WhileStatement':
	            case 'WithStatement':
	                return true;
	        }
	        return false;
	    }

	    function isSourceElement(node) {
	        return isStatement(node) || node != null && node.type === 'FunctionDeclaration';
	    }

	    function trailingStatement(node) {
	        switch (node.type) {
	            case 'IfStatement':
	                if (node.alternate != null) {
	                    return node.alternate;
	                }
	                return node.consequent;

	            case 'LabeledStatement':
	            case 'ForStatement':
	            case 'ForInStatement':
	            case 'WhileStatement':
	            case 'WithStatement':
	                return node.body;
	        }
	        return null;
	    }

	    function isProblematicIfStatement(node) {
	        var current;

	        if (node.type !== 'IfStatement') {
	            return false;
	        }
	        if (node.alternate == null) {
	            return false;
	        }
	        current = node.consequent;
	        do {
	            if (current.type === 'IfStatement') {
	                if (current.alternate == null) {
	                    return true;
	                }
	            }
	            current = trailingStatement(current);
	        } while (current);

	        return false;
	    }

	    module.exports = {
	        isExpression: isExpression,
	        isStatement: isStatement,
	        isIterationStatement: isIterationStatement,
	        isSourceElement: isSourceElement,
	        isProblematicIfStatement: isProblematicIfStatement,

	        trailingStatement: trailingStatement
	    };
	})();
	/* vim: set sw=4 ts=4 et tw=80 : */

/***/ },
/* 303 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	/*
	  Copyright (C) 2013 Yusuke Suzuki <utatane.tea@gmail.com>

	  Redistribution and use in source and binary forms, with or without
	  modification, are permitted provided that the following conditions are met:

	    * Redistributions of source code must retain the above copyright
	      notice, this list of conditions and the following disclaimer.
	    * Redistributions in binary form must reproduce the above copyright
	      notice, this list of conditions and the following disclaimer in the
	      documentation and/or other materials provided with the distribution.

	  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
	  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
	  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
	  ARE DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> BE LIABLE FOR ANY
	  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
	  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
	  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
	  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
	  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
	  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
	*/

	(function () {
	    'use strict';

	    var code = __webpack_require__(129);

	    function isStrictModeReservedWordES6(id) {
	        switch (id) {
	            case 'implements':
	            case 'interface':
	            case 'package':
	            case 'private':
	            case 'protected':
	            case 'public':
	            case 'static':
	            case 'let':
	                return true;
	            default:
	                return false;
	        }
	    }

	    function isKeywordES5(id, strict) {
	        // yield should not be treated as keyword under non-strict mode.
	        if (!strict && id === 'yield') {
	            return false;
	        }
	        return isKeywordES6(id, strict);
	    }

	    function isKeywordES6(id, strict) {
	        if (strict && isStrictModeReservedWordES6(id)) {
	            return true;
	        }

	        switch (id.length) {
	            case 2:
	                return id === 'if' || id === 'in' || id === 'do';
	            case 3:
	                return id === 'var' || id === 'for' || id === 'new' || id === 'try';
	            case 4:
	                return id === 'this' || id === 'else' || id === 'case' || id === 'void' || id === 'with' || id === 'enum';
	            case 5:
	                return id === 'while' || id === 'break' || id === 'catch' || id === 'throw' || id === 'const' || id === 'yield' || id === 'class' || id === 'super';
	            case 6:
	                return id === 'return' || id === 'typeof' || id === 'delete' || id === 'switch' || id === 'export' || id === 'import';
	            case 7:
	                return id === 'default' || id === 'finally' || id === 'extends';
	            case 8:
	                return id === 'function' || id === 'continue' || id === 'debugger';
	            case 10:
	                return id === 'instanceof';
	            default:
	                return false;
	        }
	    }

	    function isReservedWordES5(id, strict) {
	        return id === 'null' || id === 'true' || id === 'false' || isKeywordES5(id, strict);
	    }

	    function isReservedWordES6(id, strict) {
	        return id === 'null' || id === 'true' || id === 'false' || isKeywordES6(id, strict);
	    }

	    function isRestrictedWord(id) {
	        return id === 'eval' || id === 'arguments';
	    }

	    function isIdentifierNameES5(id) {
	        var i, iz, ch;

	        if (id.length === 0) {
	            return false;
	        }

	        ch = id.charCodeAt(0);
	        if (!code.isIdentifierStartES5(ch)) {
	            return false;
	        }

	        for (i = 1, iz = id.length; i < iz; ++i) {
	            ch = id.charCodeAt(i);
	            if (!code.isIdentifierPartES5(ch)) {
	                return false;
	            }
	        }
	        return true;
	    }

	    function decodeUtf16(lead, trail) {
	        return (lead - 0xD800) * 0x400 + (trail - 0xDC00) + 0x10000;
	    }

	    function isIdentifierNameES6(id) {
	        var i, iz, ch, lowCh, check;

	        if (id.length === 0) {
	            return false;
	        }

	        check = code.isIdentifierStartES6;
	        for (i = 0, iz = id.length; i < iz; ++i) {
	            ch = id.charCodeAt(i);
	            if (0xD800 <= ch && ch <= 0xDBFF) {
	                ++i;
	                if (i >= iz) {
	                    return false;
	                }
	                lowCh = id.charCodeAt(i);
	                if (!(0xDC00 <= lowCh && lowCh <= 0xDFFF)) {
	                    return false;
	                }
	                ch = decodeUtf16(ch, lowCh);
	            }
	            if (!check(ch)) {
	                return false;
	            }
	            check = code.isIdentifierPartES6;
	        }
	        return true;
	    }

	    function isIdentifierES5(id, strict) {
	        return isIdentifierNameES5(id) && !isReservedWordES5(id, strict);
	    }

	    function isIdentifierES6(id, strict) {
	        return isIdentifierNameES6(id) && !isReservedWordES6(id, strict);
	    }

	    module.exports = {
	        isKeywordES5: isKeywordES5,
	        isKeywordES6: isKeywordES6,
	        isReservedWordES5: isReservedWordES5,
	        isReservedWordES6: isReservedWordES6,
	        isRestrictedWord: isRestrictedWord,
	        isIdentifierNameES5: isIdentifierNameES5,
	        isIdentifierNameES6: isIdentifierNameES6,
	        isIdentifierES5: isIdentifierES5,
	        isIdentifierES6: isIdentifierES6
	    };
	})();
	/* vim: set sw=4 ts=4 et tw=80 : */

/***/ },
/* 304 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = __webpack_require__(685);

/***/ },
/* 305 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ansiRegex = __webpack_require__(103);
	var re = new RegExp(ansiRegex().source); // remove the `g` flag
	module.exports = re.test.bind(re);

/***/ },
/* 306 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Copyright 2013-2015, Facebook, Inc.
	 * All rights reserved.
	 *
	 * This source code is licensed under the BSD-style license found in the
	 * LICENSE file in the root directory of this source tree. An additional grant
	 * of patent rights can be found in the PATENTS file in the same directory.
	 */

	'use strict';

	/**
	 * Use invariant() to assert state which your program assumes to be true.
	 *
	 * Provide sprintf-style format (only %s is supported) and arguments
	 * to provide information about what broke and what you were
	 * expecting.
	 *
	 * The invariant message will be stripped in production, but the invariant
	 * will remain to ensure logic does not differ in production.
	 */

	var invariant = function invariant(condition, format, a, b, c, d, e, f) {
	  if (false) {
	    if (format === undefined) {
	      throw new Error('invariant requires an error message argument');
	    }
	  }

	  if (!condition) {
	    var error;
	    if (format === undefined) {
	      error = new Error('Minified exception occurred; use the non-minified dev environment ' + 'for the full error message and additional helpful warnings.');
	    } else {
	      var args = [a, b, c, d, e, f];
	      var argIndex = 0;
	      error = new Error(format.replace(/%s/g, function () {
	        return args[argIndex++];
	      }));
	      error.name = 'Invariant Violation';
	    }

	    error.framesToPop = 1; // we don't care about invariant's own frame
	    throw error;
	  }
	};

	module.exports = invariant;

/***/ },
/* 307 */
/***/ function(module, exports) {

	"use strict";

	// Copyright 2014, 2015, 2016 Simon Lydell
	// X11 (“MIT”) Licensed. (See LICENSE.)

	// This regex comes from regex.coffee, and is inserted here by generate-index.js
	// (run `npm run build`).
	module.exports = /((['"])(?:(?!\2|\\).|\\(?:\r\n|[\s\S]))*(\2)?|`(?:[^`\\$]|\\[\s\S]|\$(?!\{)|\$\{(?:[^{}]|\{[^}]*\}?)*\}?)*(`)?)|(\/\/.*)|(\/\*(?:[^*]|\*(?!\/))*(\*\/)?)|(\/(?!\*)(?:\[(?:(?![\]\\]).|\\.)*\]|(?![\/\]\\]).|\\.)+\/(?:(?!\s*(?:\b|[\u0080-\uFFFF$\\'"~({]|[+\-!](?!=)|\.?\d))|[gmiyu]{1,5}\b(?![\u0080-\uFFFF$\\]|\s*(?:[+\-*%&|^<>!=?({]|\/(?![\/*])))))|(0[xX][\da-fA-F]+|0[oO][0-7]+|0[bB][01]+|(?:\d*\.\d+|\d+\.?)(?:[eE][+-]?\d+)?)|((?!\d)(?:(?!\s)[$\w\u0080-\uFFFF]|\\u[\da-fA-F]{4}|\\u\{[\da-fA-F]{1,6}\})+)|(--|\+\+|&&|\|\||=>|\.{3}|(?:[+\-\/%&|^]|\*{1,2}|<{1,2}|>{1,3}|!=?|={1,2})=?|[?~.,:;[\](){}])|(\s+)|(^$|[\s\S])/g;

	module.exports.matchToToken = function (match) {
	  var token = { type: "invalid", value: match[0] };
	  if (match[1]) token.type = "string", token.closed = !!(match[3] || match[4]);else if (match[5]) token.type = "comment";else if (match[6]) token.type = "comment", token.closed = !!match[7];else if (match[8]) token.type = "regex";else if (match[9]) token.type = "number";else if (match[10]) token.type = "name";else if (match[11]) token.type = "punctuator";else if (match[12]) token.type = "whitespace";
	  return token;
	};

/***/ },
/* 308 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var getNative = __webpack_require__(28),
	    root = __webpack_require__(8);

	/* Built-in method references that are verified to be native. */
	var DataView = getNative(root, 'DataView');

	module.exports = DataView;

/***/ },
/* 309 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var hashClear = __webpack_require__(366),
	    hashDelete = __webpack_require__(367),
	    hashGet = __webpack_require__(368),
	    hashHas = __webpack_require__(369),
	    hashSet = __webpack_require__(370);

	/**
	 * Creates a hash object.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function Hash(entries) {
	    var index = -1,
	        length = entries == null ? 0 : entries.length;

	    this.clear();
	    while (++index < length) {
	        var entry = entries[index];
	        this.set(entry[0], entry[1]);
	    }
	}

	// Add methods to `Hash`.
	Hash.prototype.clear = hashClear;
	Hash.prototype['delete'] = hashDelete;
	Hash.prototype.get = hashGet;
	Hash.prototype.has = hashHas;
	Hash.prototype.set = hashSet;

	module.exports = Hash;

/***/ },
/* 310 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var getNative = __webpack_require__(28),
	    root = __webpack_require__(8);

	/* Built-in method references that are verified to be native. */
	var Promise = getNative(root, 'Promise');

	module.exports = Promise;

/***/ },
/* 311 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var MapCache = __webpack_require__(86),
	    setCacheAdd = __webpack_require__(393),
	    setCacheHas = __webpack_require__(394);

	/**
	 *
	 * Creates an array cache object to store unique values.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [values] The values to cache.
	 */
	function SetCache(values) {
	    var index = -1,
	        length = values == null ? 0 : values.length;

	    this.__data__ = new MapCache();
	    while (++index < length) {
	        this.add(values[index]);
	    }
	}

	// Add methods to `SetCache`.
	SetCache.prototype.add = SetCache.prototype.push = setCacheAdd;
	SetCache.prototype.has = setCacheHas;

	module.exports = SetCache;

/***/ },
/* 312 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ListCache = __webpack_require__(53),
	    stackClear = __webpack_require__(397),
	    stackDelete = __webpack_require__(398),
	    stackGet = __webpack_require__(399),
	    stackHas = __webpack_require__(400),
	    stackSet = __webpack_require__(401);

	/**
	 * Creates a stack cache object to store key-value pairs.
	 *
	 * @private
	 * @constructor
	 * @param {Array} [entries] The key-value pairs to cache.
	 */
	function Stack(entries) {
	  var data = this.__data__ = new ListCache(entries);
	  this.size = data.size;
	}

	// Add methods to `Stack`.
	Stack.prototype.clear = stackClear;
	Stack.prototype['delete'] = stackDelete;
	Stack.prototype.get = stackGet;
	Stack.prototype.has = stackHas;
	Stack.prototype.set = stackSet;

	module.exports = Stack;

/***/ },
/* 313 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var root = __webpack_require__(8);

	/** Built-in value references. */
	var Uint8Array = root.Uint8Array;

	module.exports = Uint8Array;

/***/ },
/* 314 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var getNative = __webpack_require__(28),
	    root = __webpack_require__(8);

	/* Built-in method references that are verified to be native. */
	var WeakMap = getNative(root, 'WeakMap');

	module.exports = WeakMap;

/***/ },
/* 315 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Adds the key-value `pair` to `map`.
	 *
	 * @private
	 * @param {Object} map The map to modify.
	 * @param {Array} pair The key-value pair to add.
	 * @returns {Object} Returns `map`.
	 */
	function addMapEntry(map, pair) {
	  // Don't return `map.set` because it's not chainable in IE 11.
	  map.set(pair[0], pair[1]);
	  return map;
	}

	module.exports = addMapEntry;

/***/ },
/* 316 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Adds `value` to `set`.
	 *
	 * @private
	 * @param {Object} set The set to modify.
	 * @param {*} value The value to add.
	 * @returns {Object} Returns `set`.
	 */
	function addSetEntry(set, value) {
	  // Don't return `set.add` because it's not chainable in IE 11.
	  set.add(value);
	  return set;
	}

	module.exports = addSetEntry;

/***/ },
/* 317 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * A specialized version of `_.filter` for arrays without support for
	 * iteratee shorthands.
	 *
	 * @private
	 * @param {Array} [array] The array to iterate over.
	 * @param {Function} predicate The function invoked per iteration.
	 * @returns {Array} Returns the new filtered array.
	 */
	function arrayFilter(array, predicate) {
	  var index = -1,
	      length = array == null ? 0 : array.length,
	      resIndex = 0,
	      result = [];

	  while (++index < length) {
	    var value = array[index];
	    if (predicate(value, index, array)) {
	      result[resIndex++] = value;
	    }
	  }
	  return result;
	}

	module.exports = arrayFilter;

/***/ },
/* 318 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseIndexOf = __webpack_require__(89);

	/**
	 * A specialized version of `_.includes` for arrays without support for
	 * specifying an index to search from.
	 *
	 * @private
	 * @param {Array} [array] The array to inspect.
	 * @param {*} target The value to search for.
	 * @returns {boolean} Returns `true` if `target` is found, else `false`.
	 */
	function arrayIncludes(array, value) {
	  var length = array == null ? 0 : array.length;
	  return !!length && baseIndexOf(array, value, 0) > -1;
	}

	module.exports = arrayIncludes;

/***/ },
/* 319 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * This function is like `arrayIncludes` except that it accepts a comparator.
	 *
	 * @private
	 * @param {Array} [array] The array to inspect.
	 * @param {*} target The value to search for.
	 * @param {Function} comparator The comparator invoked per element.
	 * @returns {boolean} Returns `true` if `target` is found, else `false`.
	 */
	function arrayIncludesWith(array, value, comparator) {
	  var index = -1,
	      length = array == null ? 0 : array.length;

	  while (++index < length) {
	    if (comparator(value, array[index])) {
	      return true;
	    }
	  }
	  return false;
	}

	module.exports = arrayIncludesWith;

/***/ },
/* 320 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var copyObject = __webpack_require__(27),
	    keys = __webpack_require__(34);

	/**
	 * The base implementation of `_.assign` without support for multiple sources
	 * or `customizer` functions.
	 *
	 * @private
	 * @param {Object} object The destination object.
	 * @param {Object} source The source object.
	 * @returns {Object} Returns `object`.
	 */
	function baseAssign(object, source) {
	  return object && copyObject(source, keys(source), object);
	}

	module.exports = baseAssign;

/***/ },
/* 321 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var copyObject = __webpack_require__(27),
	    keysIn = __webpack_require__(61);

	/**
	 * The base implementation of `_.assignIn` without support for multiple sources
	 * or `customizer` functions.
	 *
	 * @private
	 * @param {Object} object The destination object.
	 * @param {Object} source The source object.
	 * @returns {Object} Returns `object`.
	 */
	function baseAssignIn(object, source) {
	  return object && copyObject(source, keysIn(source), object);
	}

	module.exports = baseAssignIn;

/***/ },
/* 322 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isObject = __webpack_require__(29);

	/** Built-in value references. */
	var objectCreate = Object.create;

	/**
	 * The base implementation of `_.create` without support for assigning
	 * properties to the created object.
	 *
	 * @private
	 * @param {Object} proto The object to inherit from.
	 * @returns {Object} Returns the new object.
	 */
	var baseCreate = function () {
	  function object() {}
	  return function (proto) {
	    if (!isObject(proto)) {
	      return {};
	    }
	    if (objectCreate) {
	      return objectCreate(proto);
	    }
	    object.prototype = proto;
	    var result = new object();
	    object.prototype = undefined;
	    return result;
	  };
	}();

	module.exports = baseCreate;

/***/ },
/* 323 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseForOwn = __webpack_require__(326),
	    createBaseEach = __webpack_require__(356);

	/**
	 * The base implementation of `_.forEach` without support for iteratee shorthands.
	 *
	 * @private
	 * @param {Array|Object} collection The collection to iterate over.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @returns {Array|Object} Returns `collection`.
	 */
	var baseEach = createBaseEach(baseForOwn);

	module.exports = baseEach;

/***/ },
/* 324 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * The base implementation of `_.findIndex` and `_.findLastIndex` without
	 * support for iteratee shorthands.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {Function} predicate The function invoked per iteration.
	 * @param {number} fromIndex The index to search from.
	 * @param {boolean} [fromRight] Specify iterating from right to left.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function baseFindIndex(array, predicate, fromIndex, fromRight) {
	  var length = array.length,
	      index = fromIndex + (fromRight ? 1 : -1);

	  while (fromRight ? index-- : ++index < length) {
	    if (predicate(array[index], index, array)) {
	      return index;
	    }
	  }
	  return -1;
	}

	module.exports = baseFindIndex;

/***/ },
/* 325 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var createBaseFor = __webpack_require__(357);

	/**
	 * The base implementation of `baseForOwn` which iterates over `object`
	 * properties returned by `keysFunc` and invokes `iteratee` for each property.
	 * Iteratee functions may exit iteration early by explicitly returning `false`.
	 *
	 * @private
	 * @param {Object} object The object to iterate over.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @param {Function} keysFunc The function to get the keys of `object`.
	 * @returns {Object} Returns `object`.
	 */
	var baseFor = createBaseFor();

	module.exports = baseFor;

/***/ },
/* 326 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseFor = __webpack_require__(325),
	    keys = __webpack_require__(34);

	/**
	 * The base implementation of `_.forOwn` without support for iteratee shorthands.
	 *
	 * @private
	 * @param {Object} object The object to iterate over.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @returns {Object} Returns `object`.
	 */
	function baseForOwn(object, iteratee) {
	  return object && baseFor(object, iteratee, keys);
	}

	module.exports = baseForOwn;

/***/ },
/* 327 */
/***/ function(module, exports) {

	"use strict";

	/** Used for built-in method references. */
	var objectProto = Object.prototype;

	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;

	/**
	 * The base implementation of `_.has` without support for deep paths.
	 *
	 * @private
	 * @param {Object} [object] The object to query.
	 * @param {Array|string} key The key to check.
	 * @returns {boolean} Returns `true` if `key` exists, else `false`.
	 */
	function baseHas(object, key) {
	  return object != null && hasOwnProperty.call(object, key);
	}

	module.exports = baseHas;

/***/ },
/* 328 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * This function is like `baseIndexOf` except that it accepts a comparator.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {*} value The value to search for.
	 * @param {number} fromIndex The index to search from.
	 * @param {Function} comparator The comparator invoked per element.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function baseIndexOfWith(array, value, fromIndex, comparator) {
	  var index = fromIndex - 1,
	      length = array.length;

	  while (++index < length) {
	    if (comparator(array[index], value)) {
	      return index;
	    }
	  }
	  return -1;
	}

	module.exports = baseIndexOfWith;

/***/ },
/* 329 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseGetTag = __webpack_require__(17),
	    isObjectLike = __webpack_require__(23);

	/** `Object#toString` result references. */
	var argsTag = '[object Arguments]';

	/**
	 * The base implementation of `_.isArguments`.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an `arguments` object,
	 */
	function baseIsArguments(value) {
	  return isObjectLike(value) && baseGetTag(value) == argsTag;
	}

	module.exports = baseIsArguments;

/***/ },
/* 330 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * The base implementation of `_.isNaN` without support for number objects.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is `NaN`, else `false`.
	 */
	function baseIsNaN(value) {
	  return value !== value;
	}

	module.exports = baseIsNaN;

/***/ },
/* 331 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isFunction = __webpack_require__(154),
	    isMasked = __webpack_require__(376),
	    isObject = __webpack_require__(29),
	    toSource = __webpack_require__(147);

	/**
	 * Used to match `RegExp`
	 * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
	 */
	var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;

	/** Used to detect host constructors (Safari). */
	var reIsHostCtor = /^\[object .+?Constructor\]$/;

	/** Used for built-in method references. */
	var funcProto = Function.prototype,
	    objectProto = Object.prototype;

	/** Used to resolve the decompiled source of functions. */
	var funcToString = funcProto.toString;

	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;

	/** Used to detect if a method is native. */
	var reIsNative = RegExp('^' + funcToString.call(hasOwnProperty).replace(reRegExpChar, '\\$&').replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$');

	/**
	 * The base implementation of `_.isNative` without bad shim checks.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a native function,
	 *  else `false`.
	 */
	function baseIsNative(value) {
	  if (!isObject(value) || isMasked(value)) {
	    return false;
	  }
	  var pattern = isFunction(value) ? reIsNative : reIsHostCtor;
	  return pattern.test(toSource(value));
	}

	module.exports = baseIsNative;

/***/ },
/* 332 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseGetTag = __webpack_require__(17),
	    isObjectLike = __webpack_require__(23);

	/** `Object#toString` result references. */
	var regexpTag = '[object RegExp]';

	/**
	 * The base implementation of `_.isRegExp` without Node.js optimizations.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a regexp, else `false`.
	 */
	function baseIsRegExp(value) {
	  return isObjectLike(value) && baseGetTag(value) == regexpTag;
	}

	module.exports = baseIsRegExp;

/***/ },
/* 333 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseGetTag = __webpack_require__(17),
	    isLength = __webpack_require__(100),
	    isObjectLike = __webpack_require__(23);

	/** `Object#toString` result references. */
	var argsTag = '[object Arguments]',
	    arrayTag = '[object Array]',
	    boolTag = '[object Boolean]',
	    dateTag = '[object Date]',
	    errorTag = '[object Error]',
	    funcTag = '[object Function]',
	    mapTag = '[object Map]',
	    numberTag = '[object Number]',
	    objectTag = '[object Object]',
	    regexpTag = '[object RegExp]',
	    setTag = '[object Set]',
	    stringTag = '[object String]',
	    weakMapTag = '[object WeakMap]';

	var arrayBufferTag = '[object ArrayBuffer]',
	    dataViewTag = '[object DataView]',
	    float32Tag = '[object Float32Array]',
	    float64Tag = '[object Float64Array]',
	    int8Tag = '[object Int8Array]',
	    int16Tag = '[object Int16Array]',
	    int32Tag = '[object Int32Array]',
	    uint8Tag = '[object Uint8Array]',
	    uint8ClampedTag = '[object Uint8ClampedArray]',
	    uint16Tag = '[object Uint16Array]',
	    uint32Tag = '[object Uint32Array]';

	/** Used to identify `toStringTag` values of typed arrays. */
	var typedArrayTags = {};
	typedArrayTags[float32Tag] = typedArrayTags[float64Tag] = typedArrayTags[int8Tag] = typedArrayTags[int16Tag] = typedArrayTags[int32Tag] = typedArrayTags[uint8Tag] = typedArrayTags[uint8ClampedTag] = typedArrayTags[uint16Tag] = typedArrayTags[uint32Tag] = true;
	typedArrayTags[argsTag] = typedArrayTags[arrayTag] = typedArrayTags[arrayBufferTag] = typedArrayTags[boolTag] = typedArrayTags[dataViewTag] = typedArrayTags[dateTag] = typedArrayTags[errorTag] = typedArrayTags[funcTag] = typedArrayTags[mapTag] = typedArrayTags[numberTag] = typedArrayTags[objectTag] = typedArrayTags[regexpTag] = typedArrayTags[setTag] = typedArrayTags[stringTag] = typedArrayTags[weakMapTag] = false;

	/**
	 * The base implementation of `_.isTypedArray` without Node.js optimizations.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a typed array, else `false`.
	 */
	function baseIsTypedArray(value) {
	    return isObjectLike(value) && isLength(value.length) && !!typedArrayTags[baseGetTag(value)];
	}

	module.exports = baseIsTypedArray;

/***/ },
/* 334 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isPrototype = __webpack_require__(57),
	    nativeKeys = __webpack_require__(389);

	/** Used for built-in method references. */
	var objectProto = Object.prototype;

	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;

	/**
	 * The base implementation of `_.keys` which doesn't treat sparse arrays as dense.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 */
	function baseKeys(object) {
	  if (!isPrototype(object)) {
	    return nativeKeys(object);
	  }
	  var result = [];
	  for (var key in Object(object)) {
	    if (hasOwnProperty.call(object, key) && key != 'constructor') {
	      result.push(key);
	    }
	  }
	  return result;
	}

	module.exports = baseKeys;

/***/ },
/* 335 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isObject = __webpack_require__(29),
	    isPrototype = __webpack_require__(57),
	    nativeKeysIn = __webpack_require__(390);

	/** Used for built-in method references. */
	var objectProto = Object.prototype;

	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;

	/**
	 * The base implementation of `_.keysIn` which doesn't treat sparse arrays as dense.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 */
	function baseKeysIn(object) {
	  if (!isObject(object)) {
	    return nativeKeysIn(object);
	  }
	  var isProto = isPrototype(object),
	      result = [];

	  for (var key in object) {
	    if (!(key == 'constructor' && (isProto || !hasOwnProperty.call(object, key)))) {
	      result.push(key);
	    }
	  }
	  return result;
	}

	module.exports = baseKeysIn;

/***/ },
/* 336 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var arrayMap = __webpack_require__(87),
	    baseIndexOf = __webpack_require__(89),
	    baseIndexOfWith = __webpack_require__(328),
	    baseUnary = __webpack_require__(91),
	    copyArray = __webpack_require__(140);

	/** Used for built-in method references. */
	var arrayProto = Array.prototype;

	/** Built-in value references. */
	var splice = arrayProto.splice;

	/**
	 * The base implementation of `_.pullAllBy` without support for iteratee
	 * shorthands.
	 *
	 * @private
	 * @param {Array} array The array to modify.
	 * @param {Array} values The values to remove.
	 * @param {Function} [iteratee] The iteratee invoked per element.
	 * @param {Function} [comparator] The comparator invoked per element.
	 * @returns {Array} Returns `array`.
	 */
	function basePullAll(array, values, iteratee, comparator) {
	  var indexOf = comparator ? baseIndexOfWith : baseIndexOf,
	      index = -1,
	      length = values.length,
	      seen = array;

	  if (array === values) {
	    values = copyArray(values);
	  }
	  if (iteratee) {
	    seen = arrayMap(array, baseUnary(iteratee));
	  }
	  while (++index < length) {
	    var fromIndex = 0,
	        value = values[index],
	        computed = iteratee ? iteratee(value) : value;

	    while ((fromIndex = indexOf(seen, computed, fromIndex, comparator)) > -1) {
	      if (seen !== array) {
	        splice.call(seen, fromIndex, 1);
	      }
	      splice.call(array, fromIndex, 1);
	    }
	  }
	  return array;
	}

	module.exports = basePullAll;

/***/ },
/* 337 */
/***/ function(module, exports) {

	'use strict';

	/** Used as references for various `Number` constants. */
	var MAX_SAFE_INTEGER = 9007199254740991;

	/* Built-in method references for those with the same name as other `lodash` methods. */
	var nativeFloor = Math.floor;

	/**
	 * The base implementation of `_.repeat` which doesn't coerce arguments.
	 *
	 * @private
	 * @param {string} string The string to repeat.
	 * @param {number} n The number of times to repeat the string.
	 * @returns {string} Returns the repeated string.
	 */
	function baseRepeat(string, n) {
	  var result = '';
	  if (!string || n < 1 || n > MAX_SAFE_INTEGER) {
	    return result;
	  }
	  // Leverage the exponentiation by squaring algorithm for a faster repeat.
	  // See https://en.wikipedia.org/wiki/Exponentiation_by_squaring for more details.
	  do {
	    if (n % 2) {
	      result += string;
	    }
	    n = nativeFloor(n / 2);
	    if (n) {
	      string += string;
	    }
	  } while (n);

	  return result;
	}

	module.exports = baseRepeat;

/***/ },
/* 338 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var constant = __webpack_require__(409),
	    defineProperty = __webpack_require__(141),
	    identity = __webpack_require__(98);

	/**
	 * The base implementation of `setToString` without support for hot loop shorting.
	 *
	 * @private
	 * @param {Function} func The function to modify.
	 * @param {Function} string The `toString` result.
	 * @returns {Function} Returns `func`.
	 */
	var baseSetToString = !defineProperty ? identity : function (func, string) {
	  return defineProperty(func, 'toString', {
	    'configurable': true,
	    'enumerable': false,
	    'value': constant(string),
	    'writable': true
	  });
	};

	module.exports = baseSetToString;

/***/ },
/* 339 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * The base implementation of `_.times` without support for iteratee shorthands
	 * or max array length checks.
	 *
	 * @private
	 * @param {number} n The number of times to invoke `iteratee`.
	 * @param {Function} iteratee The function invoked per iteration.
	 * @returns {Array} Returns the array of results.
	 */
	function baseTimes(n, iteratee) {
	  var index = -1,
	      result = Array(n);

	  while (++index < n) {
	    result[index] = iteratee(index);
	  }
	  return result;
	}

	module.exports = baseTimes;

/***/ },
/* 340 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _Symbol = __webpack_require__(54),
	    arrayMap = __webpack_require__(87),
	    isArray = __webpack_require__(18),
	    isSymbol = __webpack_require__(60);

	/** Used as references for various `Number` constants. */
	var INFINITY = 1 / 0;

	/** Used to convert symbols to primitives and strings. */
	var symbolProto = _Symbol ? _Symbol.prototype : undefined,
	    symbolToString = symbolProto ? symbolProto.toString : undefined;

	/**
	 * The base implementation of `_.toString` which doesn't convert nullish
	 * values to empty strings.
	 *
	 * @private
	 * @param {*} value The value to process.
	 * @returns {string} Returns the string.
	 */
	function baseToString(value) {
	  // Exit early for strings to avoid a performance hit in some environments.
	  if (typeof value == 'string') {
	    return value;
	  }
	  if (isArray(value)) {
	    // Recursively convert values (susceptible to call stack limits).
	    return arrayMap(value, baseToString) + '';
	  }
	  if (isSymbol(value)) {
	    return symbolToString ? symbolToString.call(value) : '';
	  }
	  var result = value + '';
	  return result == '0' && 1 / value == -INFINITY ? '-0' : result;
	}

	module.exports = baseToString;

/***/ },
/* 341 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var SetCache = __webpack_require__(311),
	    arrayIncludes = __webpack_require__(318),
	    arrayIncludesWith = __webpack_require__(319),
	    cacheHas = __webpack_require__(343),
	    createSet = __webpack_require__(358),
	    setToArray = __webpack_require__(97);

	/** Used as the size to enable large array optimizations. */
	var LARGE_ARRAY_SIZE = 200;

	/**
	 * The base implementation of `_.uniqBy` without support for iteratee shorthands.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {Function} [iteratee] The iteratee invoked per element.
	 * @param {Function} [comparator] The comparator invoked per element.
	 * @returns {Array} Returns the new duplicate free array.
	 */
	function baseUniq(array, iteratee, comparator) {
	  var index = -1,
	      includes = arrayIncludes,
	      length = array.length,
	      isCommon = true,
	      result = [],
	      seen = result;

	  if (comparator) {
	    isCommon = false;
	    includes = arrayIncludesWith;
	  } else if (length >= LARGE_ARRAY_SIZE) {
	    var set = iteratee ? null : createSet(array);
	    if (set) {
	      return setToArray(set);
	    }
	    isCommon = false;
	    includes = cacheHas;
	    seen = new SetCache();
	  } else {
	    seen = iteratee ? [] : result;
	  }
	  outer: while (++index < length) {
	    var value = array[index],
	        computed = iteratee ? iteratee(value) : value;

	    value = comparator || value !== 0 ? value : 0;
	    if (isCommon && computed === computed) {
	      var seenIndex = seen.length;
	      while (seenIndex--) {
	        if (seen[seenIndex] === computed) {
	          continue outer;
	        }
	      }
	      if (iteratee) {
	        seen.push(computed);
	      }
	      result.push(value);
	    } else if (!includes(seen, computed, comparator)) {
	      if (seen !== result) {
	        seen.push(computed);
	      }
	      result.push(value);
	    }
	  }
	  return result;
	}

	module.exports = baseUniq;

/***/ },
/* 342 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var arrayMap = __webpack_require__(87);

	/**
	 * The base implementation of `_.values` and `_.valuesIn` which creates an
	 * array of `object` property values corresponding to the property names
	 * of `props`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @param {Array} props The property names to get values for.
	 * @returns {Object} Returns the array of property values.
	 */
	function baseValues(object, props) {
	  return arrayMap(props, function (key) {
	    return object[key];
	  });
	}

	module.exports = baseValues;

/***/ },
/* 343 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Checks if a `cache` value for `key` exists.
	 *
	 * @private
	 * @param {Object} cache The cache to query.
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function cacheHas(cache, key) {
	  return cache.has(key);
	}

	module.exports = cacheHas;

/***/ },
/* 344 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var identity = __webpack_require__(98);

	/**
	 * Casts `value` to `identity` if it's not a function.
	 *
	 * @private
	 * @param {*} value The value to inspect.
	 * @returns {Function} Returns cast function.
	 */
	function castFunction(value) {
	  return typeof value == 'function' ? value : identity;
	}

	module.exports = castFunction;

/***/ },
/* 345 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isArray = __webpack_require__(18),
	    isKey = __webpack_require__(374),
	    stringToPath = __webpack_require__(403),
	    toString = __webpack_require__(158);

	/**
	 * Casts `value` to a path array if it's not one.
	 *
	 * @private
	 * @param {*} value The value to inspect.
	 * @param {Object} [object] The object to query keys on.
	 * @returns {Array} Returns the cast property path array.
	 */
	function castPath(value, object) {
	  if (isArray(value)) {
	    return value;
	  }
	  return isKey(value, object) ? [value] : stringToPath(toString(value));
	}

	module.exports = castPath;

/***/ },
/* 346 */
/***/ function(module, exports, __webpack_require__) {

	/* WEBPACK VAR INJECTION */(function(module) {'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	var root = __webpack_require__(8);

	/** Detect free variable `exports`. */
	var freeExports = ( false ? 'undefined' : _typeof(exports)) == 'object' && exports && !exports.nodeType && exports;

	/** Detect free variable `module`. */
	var freeModule = freeExports && ( false ? 'undefined' : _typeof(module)) == 'object' && module && !module.nodeType && module;

	/** Detect the popular CommonJS extension `module.exports`. */
	var moduleExports = freeModule && freeModule.exports === freeExports;

	/** Built-in value references. */
	var Buffer = moduleExports ? root.Buffer : undefined,
	    allocUnsafe = Buffer ? Buffer.allocUnsafe : undefined;

	/**
	 * Creates a clone of  `buffer`.
	 *
	 * @private
	 * @param {Buffer} buffer The buffer to clone.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Buffer} Returns the cloned buffer.
	 */
	function cloneBuffer(buffer, isDeep) {
	  if (isDeep) {
	    return buffer.slice();
	  }
	  var length = buffer.length,
	      result = allocUnsafe ? allocUnsafe(length) : new buffer.constructor(length);

	  buffer.copy(result);
	  return result;
	}

	module.exports = cloneBuffer;
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(35)(module)))

/***/ },
/* 347 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var cloneArrayBuffer = __webpack_require__(92);

	/**
	 * Creates a clone of `dataView`.
	 *
	 * @private
	 * @param {Object} dataView The data view to clone.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Object} Returns the cloned data view.
	 */
	function cloneDataView(dataView, isDeep) {
	  var buffer = isDeep ? cloneArrayBuffer(dataView.buffer) : dataView.buffer;
	  return new dataView.constructor(buffer, dataView.byteOffset, dataView.byteLength);
	}

	module.exports = cloneDataView;

/***/ },
/* 348 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var addMapEntry = __webpack_require__(315),
	    arrayReduce = __webpack_require__(136),
	    mapToArray = __webpack_require__(387);

	/** Used to compose bitmasks for cloning. */
	var CLONE_DEEP_FLAG = 1;

	/**
	 * Creates a clone of `map`.
	 *
	 * @private
	 * @param {Object} map The map to clone.
	 * @param {Function} cloneFunc The function to clone values.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Object} Returns the cloned map.
	 */
	function cloneMap(map, isDeep, cloneFunc) {
	  var array = isDeep ? cloneFunc(mapToArray(map), CLONE_DEEP_FLAG) : mapToArray(map);
	  return arrayReduce(array, addMapEntry, new map.constructor());
	}

	module.exports = cloneMap;

/***/ },
/* 349 */
/***/ function(module, exports) {

	"use strict";

	/** Used to match `RegExp` flags from their coerced string values. */
	var reFlags = /\w*$/;

	/**
	 * Creates a clone of `regexp`.
	 *
	 * @private
	 * @param {Object} regexp The regexp to clone.
	 * @returns {Object} Returns the cloned regexp.
	 */
	function cloneRegExp(regexp) {
	  var result = new regexp.constructor(regexp.source, reFlags.exec(regexp));
	  result.lastIndex = regexp.lastIndex;
	  return result;
	}

	module.exports = cloneRegExp;

/***/ },
/* 350 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var addSetEntry = __webpack_require__(316),
	    arrayReduce = __webpack_require__(136),
	    setToArray = __webpack_require__(97);

	/** Used to compose bitmasks for cloning. */
	var CLONE_DEEP_FLAG = 1;

	/**
	 * Creates a clone of `set`.
	 *
	 * @private
	 * @param {Object} set The set to clone.
	 * @param {Function} cloneFunc The function to clone values.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Object} Returns the cloned set.
	 */
	function cloneSet(set, isDeep, cloneFunc) {
	  var array = isDeep ? cloneFunc(setToArray(set), CLONE_DEEP_FLAG) : setToArray(set);
	  return arrayReduce(array, addSetEntry, new set.constructor());
	}

	module.exports = cloneSet;

/***/ },
/* 351 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _Symbol = __webpack_require__(54);

	/** Used to convert symbols to primitives and strings. */
	var symbolProto = _Symbol ? _Symbol.prototype : undefined,
	    symbolValueOf = symbolProto ? symbolProto.valueOf : undefined;

	/**
	 * Creates a clone of the `symbol` object.
	 *
	 * @private
	 * @param {Object} symbol The symbol object to clone.
	 * @returns {Object} Returns the cloned symbol object.
	 */
	function cloneSymbol(symbol) {
	  return symbolValueOf ? Object(symbolValueOf.call(symbol)) : {};
	}

	module.exports = cloneSymbol;

/***/ },
/* 352 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var cloneArrayBuffer = __webpack_require__(92);

	/**
	 * Creates a clone of `typedArray`.
	 *
	 * @private
	 * @param {Object} typedArray The typed array to clone.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Object} Returns the cloned typed array.
	 */
	function cloneTypedArray(typedArray, isDeep) {
	  var buffer = isDeep ? cloneArrayBuffer(typedArray.buffer) : typedArray.buffer;
	  return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
	}

	module.exports = cloneTypedArray;

/***/ },
/* 353 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var copyObject = __webpack_require__(27),
	    getSymbols = __webpack_require__(95);

	/**
	 * Copies own symbols of `source` to `object`.
	 *
	 * @private
	 * @param {Object} source The object to copy symbols from.
	 * @param {Object} [object={}] The object to copy symbols to.
	 * @returns {Object} Returns `object`.
	 */
	function copySymbols(source, object) {
	  return copyObject(source, getSymbols(source), object);
	}

	module.exports = copySymbols;

/***/ },
/* 354 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var copyObject = __webpack_require__(27),
	    getSymbolsIn = __webpack_require__(143);

	/**
	 * Copies own and inherited symbols of `source` to `object`.
	 *
	 * @private
	 * @param {Object} source The object to copy symbols from.
	 * @param {Object} [object={}] The object to copy symbols to.
	 * @returns {Object} Returns `object`.
	 */
	function copySymbolsIn(source, object) {
	  return copyObject(source, getSymbolsIn(source), object);
	}

	module.exports = copySymbolsIn;

/***/ },
/* 355 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var root = __webpack_require__(8);

	/** Used to detect overreaching core-js shims. */
	var coreJsData = root['__core-js_shared__'];

	module.exports = coreJsData;

/***/ },
/* 356 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isArrayLike = __webpack_require__(33);

	/**
	 * Creates a `baseEach` or `baseEachRight` function.
	 *
	 * @private
	 * @param {Function} eachFunc The function to iterate over a collection.
	 * @param {boolean} [fromRight] Specify iterating from right to left.
	 * @returns {Function} Returns the new base function.
	 */
	function createBaseEach(eachFunc, fromRight) {
	  return function (collection, iteratee) {
	    if (collection == null) {
	      return collection;
	    }
	    if (!isArrayLike(collection)) {
	      return eachFunc(collection, iteratee);
	    }
	    var length = collection.length,
	        index = fromRight ? length : -1,
	        iterable = Object(collection);

	    while (fromRight ? index-- : ++index < length) {
	      if (iteratee(iterable[index], index, iterable) === false) {
	        break;
	      }
	    }
	    return collection;
	  };
	}

	module.exports = createBaseEach;

/***/ },
/* 357 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Creates a base function for methods like `_.forIn` and `_.forOwn`.
	 *
	 * @private
	 * @param {boolean} [fromRight] Specify iterating from right to left.
	 * @returns {Function} Returns the new base function.
	 */
	function createBaseFor(fromRight) {
	  return function (object, iteratee, keysFunc) {
	    var index = -1,
	        iterable = Object(object),
	        props = keysFunc(object),
	        length = props.length;

	    while (length--) {
	      var key = props[fromRight ? length : ++index];
	      if (iteratee(iterable[key], key, iterable) === false) {
	        break;
	      }
	    }
	    return object;
	  };
	}

	module.exports = createBaseFor;

/***/ },
/* 358 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var Set = __webpack_require__(131),
	    noop = __webpack_require__(418),
	    setToArray = __webpack_require__(97);

	/** Used as references for various `Number` constants. */
	var INFINITY = 1 / 0;

	/**
	 * Creates a set object of `values`.
	 *
	 * @private
	 * @param {Array} values The values to add to the set.
	 * @returns {Object} Returns the new set.
	 */
	var createSet = !(Set && 1 / setToArray(new Set([, -0]))[1] == INFINITY) ? noop : function (values) {
	  return new Set(values);
	};

	module.exports = createSet;

/***/ },
/* 359 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var eq = __webpack_require__(59);

	/** Used for built-in method references. */
	var objectProto = Object.prototype;

	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;

	/**
	 * Used by `_.defaults` to customize its `_.assignIn` use to assign properties
	 * of source objects to the destination object for all destination properties
	 * that resolve to `undefined`.
	 *
	 * @private
	 * @param {*} objValue The destination value.
	 * @param {*} srcValue The source value.
	 * @param {string} key The key of the property to assign.
	 * @param {Object} object The parent object of `objValue`.
	 * @returns {*} Returns the value to assign.
	 */
	function customDefaultsAssignIn(objValue, srcValue, key, object) {
	  if (objValue === undefined || eq(objValue, objectProto[key]) && !hasOwnProperty.call(object, key)) {
	    return srcValue;
	  }
	  return objValue;
	}

	module.exports = customDefaultsAssignIn;

/***/ },
/* 360 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseGetAllKeys = __webpack_require__(139),
	    getSymbols = __webpack_require__(95),
	    keys = __webpack_require__(34);

	/**
	 * Creates an array of own enumerable property names and symbols of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names and symbols.
	 */
	function getAllKeys(object) {
	  return baseGetAllKeys(object, keys, getSymbols);
	}

	module.exports = getAllKeys;

/***/ },
/* 361 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseGetAllKeys = __webpack_require__(139),
	    getSymbolsIn = __webpack_require__(143),
	    keysIn = __webpack_require__(61);

	/**
	 * Creates an array of own and inherited enumerable property names and
	 * symbols of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names and symbols.
	 */
	function getAllKeysIn(object) {
	  return baseGetAllKeys(object, keysIn, getSymbolsIn);
	}

	module.exports = getAllKeysIn;

/***/ },
/* 362 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _Symbol = __webpack_require__(54);

	/** Used for built-in method references. */
	var objectProto = Object.prototype;

	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;

	/**
	 * Used to resolve the
	 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var nativeObjectToString = objectProto.toString;

	/** Built-in value references. */
	var symToStringTag = _Symbol ? _Symbol.toStringTag : undefined;

	/**
	 * A specialized version of `baseGetTag` which ignores `Symbol.toStringTag` values.
	 *
	 * @private
	 * @param {*} value The value to query.
	 * @returns {string} Returns the raw `toStringTag`.
	 */
	function getRawTag(value) {
	  var isOwn = hasOwnProperty.call(value, symToStringTag),
	      tag = value[symToStringTag];

	  try {
	    value[symToStringTag] = undefined;
	    var unmasked = true;
	  } catch (e) {}

	  var result = nativeObjectToString.call(value);
	  if (unmasked) {
	    if (isOwn) {
	      value[symToStringTag] = tag;
	    } else {
	      delete value[symToStringTag];
	    }
	  }
	  return result;
	}

	module.exports = getRawTag;

/***/ },
/* 363 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var DataView = __webpack_require__(308),
	    Map = __webpack_require__(85),
	    Promise = __webpack_require__(310),
	    Set = __webpack_require__(131),
	    WeakMap = __webpack_require__(314),
	    baseGetTag = __webpack_require__(17),
	    toSource = __webpack_require__(147);

	/** `Object#toString` result references. */
	var mapTag = '[object Map]',
	    objectTag = '[object Object]',
	    promiseTag = '[object Promise]',
	    setTag = '[object Set]',
	    weakMapTag = '[object WeakMap]';

	var dataViewTag = '[object DataView]';

	/** Used to detect maps, sets, and weakmaps. */
	var dataViewCtorString = toSource(DataView),
	    mapCtorString = toSource(Map),
	    promiseCtorString = toSource(Promise),
	    setCtorString = toSource(Set),
	    weakMapCtorString = toSource(WeakMap);

	/**
	 * Gets the `toStringTag` of `value`.
	 *
	 * @private
	 * @param {*} value The value to query.
	 * @returns {string} Returns the `toStringTag`.
	 */
	var getTag = baseGetTag;

	// Fallback for data views, maps, sets, and weak maps in IE 11 and promises in Node.js < 6.
	if (DataView && getTag(new DataView(new ArrayBuffer(1))) != dataViewTag || Map && getTag(new Map()) != mapTag || Promise && getTag(Promise.resolve()) != promiseTag || Set && getTag(new Set()) != setTag || WeakMap && getTag(new WeakMap()) != weakMapTag) {
	    getTag = function getTag(value) {
	        var result = baseGetTag(value),
	            Ctor = result == objectTag ? value.constructor : undefined,
	            ctorString = Ctor ? toSource(Ctor) : '';

	        if (ctorString) {
	            switch (ctorString) {
	                case dataViewCtorString:
	                    return dataViewTag;
	                case mapCtorString:
	                    return mapTag;
	                case promiseCtorString:
	                    return promiseTag;
	                case setCtorString:
	                    return setTag;
	                case weakMapCtorString:
	                    return weakMapTag;
	            }
	        }
	        return result;
	    };
	}

	module.exports = getTag;

/***/ },
/* 364 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Gets the value at `key` of `object`.
	 *
	 * @private
	 * @param {Object} [object] The object to query.
	 * @param {string} key The key of the property to get.
	 * @returns {*} Returns the property value.
	 */
	function getValue(object, key) {
	  return object == null ? undefined : object[key];
	}

	module.exports = getValue;

/***/ },
/* 365 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var castPath = __webpack_require__(345),
	    isArguments = __webpack_require__(152),
	    isArray = __webpack_require__(18),
	    isIndex = __webpack_require__(96),
	    isLength = __webpack_require__(100),
	    toKey = __webpack_require__(404);

	/**
	 * Checks if `path` exists on `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @param {Array|string} path The path to check.
	 * @param {Function} hasFunc The function to check properties.
	 * @returns {boolean} Returns `true` if `path` exists, else `false`.
	 */
	function hasPath(object, path, hasFunc) {
	  path = castPath(path, object);

	  var index = -1,
	      length = path.length,
	      result = false;

	  while (++index < length) {
	    var key = toKey(path[index]);
	    if (!(result = object != null && hasFunc(object, key))) {
	      break;
	    }
	    object = object[key];
	  }
	  if (result || ++index != length) {
	    return result;
	  }
	  length = object == null ? 0 : object.length;
	  return !!length && isLength(length) && isIndex(key, length) && (isArray(object) || isArguments(object));
	}

	module.exports = hasPath;

/***/ },
/* 366 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var nativeCreate = __webpack_require__(58);

	/**
	 * Removes all key-value entries from the hash.
	 *
	 * @private
	 * @name clear
	 * @memberOf Hash
	 */
	function hashClear() {
	  this.__data__ = nativeCreate ? nativeCreate(null) : {};
	  this.size = 0;
	}

	module.exports = hashClear;

/***/ },
/* 367 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Removes `key` and its value from the hash.
	 *
	 * @private
	 * @name delete
	 * @memberOf Hash
	 * @param {Object} hash The hash to modify.
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function hashDelete(key) {
	  var result = this.has(key) && delete this.__data__[key];
	  this.size -= result ? 1 : 0;
	  return result;
	}

	module.exports = hashDelete;

/***/ },
/* 368 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var nativeCreate = __webpack_require__(58);

	/** Used to stand-in for `undefined` hash values. */
	var HASH_UNDEFINED = '__lodash_hash_undefined__';

	/** Used for built-in method references. */
	var objectProto = Object.prototype;

	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;

	/**
	 * Gets the hash value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf Hash
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function hashGet(key) {
	  var data = this.__data__;
	  if (nativeCreate) {
	    var result = data[key];
	    return result === HASH_UNDEFINED ? undefined : result;
	  }
	  return hasOwnProperty.call(data, key) ? data[key] : undefined;
	}

	module.exports = hashGet;

/***/ },
/* 369 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var nativeCreate = __webpack_require__(58);

	/** Used for built-in method references. */
	var objectProto = Object.prototype;

	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;

	/**
	 * Checks if a hash value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf Hash
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function hashHas(key) {
	  var data = this.__data__;
	  return nativeCreate ? data[key] !== undefined : hasOwnProperty.call(data, key);
	}

	module.exports = hashHas;

/***/ },
/* 370 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var nativeCreate = __webpack_require__(58);

	/** Used to stand-in for `undefined` hash values. */
	var HASH_UNDEFINED = '__lodash_hash_undefined__';

	/**
	 * Sets the hash `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf Hash
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the hash instance.
	 */
	function hashSet(key, value) {
	  var data = this.__data__;
	  this.size += this.has(key) ? 0 : 1;
	  data[key] = nativeCreate && value === undefined ? HASH_UNDEFINED : value;
	  return this;
	}

	module.exports = hashSet;

/***/ },
/* 371 */
/***/ function(module, exports) {

	'use strict';

	/** Used for built-in method references. */
	var objectProto = Object.prototype;

	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;

	/**
	 * Initializes an array clone.
	 *
	 * @private
	 * @param {Array} array The array to clone.
	 * @returns {Array} Returns the initialized clone.
	 */
	function initCloneArray(array) {
	  var length = array.length,
	      result = array.constructor(length);

	  // Add properties assigned by `RegExp#exec`.
	  if (length && typeof array[0] == 'string' && hasOwnProperty.call(array, 'index')) {
	    result.index = array.index;
	    result.input = array.input;
	  }
	  return result;
	}

	module.exports = initCloneArray;

/***/ },
/* 372 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var cloneArrayBuffer = __webpack_require__(92),
	    cloneDataView = __webpack_require__(347),
	    cloneMap = __webpack_require__(348),
	    cloneRegExp = __webpack_require__(349),
	    cloneSet = __webpack_require__(350),
	    cloneSymbol = __webpack_require__(351),
	    cloneTypedArray = __webpack_require__(352);

	/** `Object#toString` result references. */
	var boolTag = '[object Boolean]',
	    dateTag = '[object Date]',
	    mapTag = '[object Map]',
	    numberTag = '[object Number]',
	    regexpTag = '[object RegExp]',
	    setTag = '[object Set]',
	    stringTag = '[object String]',
	    symbolTag = '[object Symbol]';

	var arrayBufferTag = '[object ArrayBuffer]',
	    dataViewTag = '[object DataView]',
	    float32Tag = '[object Float32Array]',
	    float64Tag = '[object Float64Array]',
	    int8Tag = '[object Int8Array]',
	    int16Tag = '[object Int16Array]',
	    int32Tag = '[object Int32Array]',
	    uint8Tag = '[object Uint8Array]',
	    uint8ClampedTag = '[object Uint8ClampedArray]',
	    uint16Tag = '[object Uint16Array]',
	    uint32Tag = '[object Uint32Array]';

	/**
	 * Initializes an object clone based on its `toStringTag`.
	 *
	 * **Note:** This function only supports cloning values with tags of
	 * `Boolean`, `Date`, `Error`, `Number`, `RegExp`, or `String`.
	 *
	 * @private
	 * @param {Object} object The object to clone.
	 * @param {string} tag The `toStringTag` of the object to clone.
	 * @param {Function} cloneFunc The function to clone values.
	 * @param {boolean} [isDeep] Specify a deep clone.
	 * @returns {Object} Returns the initialized clone.
	 */
	function initCloneByTag(object, tag, cloneFunc, isDeep) {
	  var Ctor = object.constructor;
	  switch (tag) {
	    case arrayBufferTag:
	      return cloneArrayBuffer(object);

	    case boolTag:
	    case dateTag:
	      return new Ctor(+object);

	    case dataViewTag:
	      return cloneDataView(object, isDeep);

	    case float32Tag:case float64Tag:
	    case int8Tag:case int16Tag:case int32Tag:
	    case uint8Tag:case uint8ClampedTag:case uint16Tag:case uint32Tag:
	      return cloneTypedArray(object, isDeep);

	    case mapTag:
	      return cloneMap(object, isDeep, cloneFunc);

	    case numberTag:
	    case stringTag:
	      return new Ctor(object);

	    case regexpTag:
	      return cloneRegExp(object);

	    case setTag:
	      return cloneSet(object, isDeep, cloneFunc);

	    case symbolTag:
	      return cloneSymbol(object);
	  }
	}

	module.exports = initCloneByTag;

/***/ },
/* 373 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseCreate = __webpack_require__(322),
	    getPrototype = __webpack_require__(94),
	    isPrototype = __webpack_require__(57);

	/**
	 * Initializes an object clone.
	 *
	 * @private
	 * @param {Object} object The object to clone.
	 * @returns {Object} Returns the initialized clone.
	 */
	function initCloneObject(object) {
	    return typeof object.constructor == 'function' && !isPrototype(object) ? baseCreate(getPrototype(object)) : {};
	}

	module.exports = initCloneObject;

/***/ },
/* 374 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	var isArray = __webpack_require__(18),
	    isSymbol = __webpack_require__(60);

	/** Used to match property names within property paths. */
	var reIsDeepProp = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/,
	    reIsPlainProp = /^\w*$/;

	/**
	 * Checks if `value` is a property name and not a property path.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @param {Object} [object] The object to query keys on.
	 * @returns {boolean} Returns `true` if `value` is a property name, else `false`.
	 */
	function isKey(value, object) {
	  if (isArray(value)) {
	    return false;
	  }
	  var type = typeof value === 'undefined' ? 'undefined' : _typeof(value);
	  if (type == 'number' || type == 'symbol' || type == 'boolean' || value == null || isSymbol(value)) {
	    return true;
	  }
	  return reIsPlainProp.test(value) || !reIsDeepProp.test(value) || object != null && value in Object(object);
	}

	module.exports = isKey;

/***/ },
/* 375 */
/***/ function(module, exports) {

	'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	/**
	 * Checks if `value` is suitable for use as unique object key.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is suitable, else `false`.
	 */
	function isKeyable(value) {
	  var type = typeof value === 'undefined' ? 'undefined' : _typeof(value);
	  return type == 'string' || type == 'number' || type == 'symbol' || type == 'boolean' ? value !== '__proto__' : value === null;
	}

	module.exports = isKeyable;

/***/ },
/* 376 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var coreJsData = __webpack_require__(355);

	/** Used to detect methods masquerading as native. */
	var maskSrcKey = function () {
	  var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || '');
	  return uid ? 'Symbol(src)_1.' + uid : '';
	}();

	/**
	 * Checks if `func` has its source masked.
	 *
	 * @private
	 * @param {Function} func The function to check.
	 * @returns {boolean} Returns `true` if `func` is masked, else `false`.
	 */
	function isMasked(func) {
	  return !!maskSrcKey && maskSrcKey in func;
	}

	module.exports = isMasked;

/***/ },
/* 377 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Removes all key-value entries from the list cache.
	 *
	 * @private
	 * @name clear
	 * @memberOf ListCache
	 */
	function listCacheClear() {
	  this.__data__ = [];
	  this.size = 0;
	}

	module.exports = listCacheClear;

/***/ },
/* 378 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var assocIndexOf = __webpack_require__(55);

	/** Used for built-in method references. */
	var arrayProto = Array.prototype;

	/** Built-in value references. */
	var splice = arrayProto.splice;

	/**
	 * Removes `key` and its value from the list cache.
	 *
	 * @private
	 * @name delete
	 * @memberOf ListCache
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function listCacheDelete(key) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);

	  if (index < 0) {
	    return false;
	  }
	  var lastIndex = data.length - 1;
	  if (index == lastIndex) {
	    data.pop();
	  } else {
	    splice.call(data, index, 1);
	  }
	  --this.size;
	  return true;
	}

	module.exports = listCacheDelete;

/***/ },
/* 379 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var assocIndexOf = __webpack_require__(55);

	/**
	 * Gets the list cache value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf ListCache
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function listCacheGet(key) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);

	  return index < 0 ? undefined : data[index][1];
	}

	module.exports = listCacheGet;

/***/ },
/* 380 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var assocIndexOf = __webpack_require__(55);

	/**
	 * Checks if a list cache value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf ListCache
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function listCacheHas(key) {
	  return assocIndexOf(this.__data__, key) > -1;
	}

	module.exports = listCacheHas;

/***/ },
/* 381 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var assocIndexOf = __webpack_require__(55);

	/**
	 * Sets the list cache `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf ListCache
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the list cache instance.
	 */
	function listCacheSet(key, value) {
	  var data = this.__data__,
	      index = assocIndexOf(data, key);

	  if (index < 0) {
	    ++this.size;
	    data.push([key, value]);
	  } else {
	    data[index][1] = value;
	  }
	  return this;
	}

	module.exports = listCacheSet;

/***/ },
/* 382 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var Hash = __webpack_require__(309),
	    ListCache = __webpack_require__(53),
	    Map = __webpack_require__(85);

	/**
	 * Removes all key-value entries from the map.
	 *
	 * @private
	 * @name clear
	 * @memberOf MapCache
	 */
	function mapCacheClear() {
	  this.size = 0;
	  this.__data__ = {
	    'hash': new Hash(),
	    'map': new (Map || ListCache)(),
	    'string': new Hash()
	  };
	}

	module.exports = mapCacheClear;

/***/ },
/* 383 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var getMapData = __webpack_require__(56);

	/**
	 * Removes `key` and its value from the map.
	 *
	 * @private
	 * @name delete
	 * @memberOf MapCache
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function mapCacheDelete(key) {
	  var result = getMapData(this, key)['delete'](key);
	  this.size -= result ? 1 : 0;
	  return result;
	}

	module.exports = mapCacheDelete;

/***/ },
/* 384 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var getMapData = __webpack_require__(56);

	/**
	 * Gets the map value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf MapCache
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function mapCacheGet(key) {
	  return getMapData(this, key).get(key);
	}

	module.exports = mapCacheGet;

/***/ },
/* 385 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var getMapData = __webpack_require__(56);

	/**
	 * Checks if a map value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf MapCache
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function mapCacheHas(key) {
	  return getMapData(this, key).has(key);
	}

	module.exports = mapCacheHas;

/***/ },
/* 386 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var getMapData = __webpack_require__(56);

	/**
	 * Sets the map `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf MapCache
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the map cache instance.
	 */
	function mapCacheSet(key, value) {
	  var data = getMapData(this, key),
	      size = data.size;

	  data.set(key, value);
	  this.size += data.size == size ? 0 : 1;
	  return this;
	}

	module.exports = mapCacheSet;

/***/ },
/* 387 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Converts `map` to its key-value pairs.
	 *
	 * @private
	 * @param {Object} map The map to convert.
	 * @returns {Array} Returns the key-value pairs.
	 */
	function mapToArray(map) {
	  var index = -1,
	      result = Array(map.size);

	  map.forEach(function (value, key) {
	    result[++index] = [key, value];
	  });
	  return result;
	}

	module.exports = mapToArray;

/***/ },
/* 388 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var memoize = __webpack_require__(417);

	/** Used as the maximum memoize cache size. */
	var MAX_MEMOIZE_SIZE = 500;

	/**
	 * A specialized version of `_.memoize` which clears the memoized function's
	 * cache when it exceeds `MAX_MEMOIZE_SIZE`.
	 *
	 * @private
	 * @param {Function} func The function to have its output memoized.
	 * @returns {Function} Returns the new memoized function.
	 */
	function memoizeCapped(func) {
	  var result = memoize(func, function (key) {
	    if (cache.size === MAX_MEMOIZE_SIZE) {
	      cache.clear();
	    }
	    return key;
	  });

	  var cache = result.cache;
	  return result;
	}

	module.exports = memoizeCapped;

/***/ },
/* 389 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var overArg = __webpack_require__(146);

	/* Built-in method references for those with the same name as other `lodash` methods. */
	var nativeKeys = overArg(Object.keys, Object);

	module.exports = nativeKeys;

/***/ },
/* 390 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * This function is like
	 * [`Object.keys`](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
	 * except that it includes inherited enumerable properties.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {Array} Returns the array of property names.
	 */
	function nativeKeysIn(object) {
	  var result = [];
	  if (object != null) {
	    for (var key in Object(object)) {
	      result.push(key);
	    }
	  }
	  return result;
	}

	module.exports = nativeKeysIn;

/***/ },
/* 391 */
/***/ function(module, exports) {

	"use strict";

	/** Used for built-in method references. */
	var objectProto = Object.prototype;

	/**
	 * Used to resolve the
	 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var nativeObjectToString = objectProto.toString;

	/**
	 * Converts `value` to a string using `Object.prototype.toString`.
	 *
	 * @private
	 * @param {*} value The value to convert.
	 * @returns {string} Returns the converted string.
	 */
	function objectToString(value) {
	  return nativeObjectToString.call(value);
	}

	module.exports = objectToString;

/***/ },
/* 392 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var apply = __webpack_require__(132);

	/* Built-in method references for those with the same name as other `lodash` methods. */
	var nativeMax = Math.max;

	/**
	 * A specialized version of `baseRest` which transforms the rest array.
	 *
	 * @private
	 * @param {Function} func The function to apply a rest parameter to.
	 * @param {number} [start=func.length-1] The start position of the rest parameter.
	 * @param {Function} transform The rest array transform.
	 * @returns {Function} Returns the new function.
	 */
	function overRest(func, start, transform) {
	  start = nativeMax(start === undefined ? func.length - 1 : start, 0);
	  return function () {
	    var args = arguments,
	        index = -1,
	        length = nativeMax(args.length - start, 0),
	        array = Array(length);

	    while (++index < length) {
	      array[index] = args[start + index];
	    }
	    index = -1;
	    var otherArgs = Array(start + 1);
	    while (++index < start) {
	      otherArgs[index] = args[index];
	    }
	    otherArgs[start] = transform(array);
	    return apply(func, this, otherArgs);
	  };
	}

	module.exports = overRest;

/***/ },
/* 393 */
/***/ function(module, exports) {

	'use strict';

	/** Used to stand-in for `undefined` hash values. */
	var HASH_UNDEFINED = '__lodash_hash_undefined__';

	/**
	 * Adds `value` to the array cache.
	 *
	 * @private
	 * @name add
	 * @memberOf SetCache
	 * @alias push
	 * @param {*} value The value to cache.
	 * @returns {Object} Returns the cache instance.
	 */
	function setCacheAdd(value) {
	  this.__data__.set(value, HASH_UNDEFINED);
	  return this;
	}

	module.exports = setCacheAdd;

/***/ },
/* 394 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Checks if `value` is in the array cache.
	 *
	 * @private
	 * @name has
	 * @memberOf SetCache
	 * @param {*} value The value to search for.
	 * @returns {number} Returns `true` if `value` is found, else `false`.
	 */
	function setCacheHas(value) {
	  return this.__data__.has(value);
	}

	module.exports = setCacheHas;

/***/ },
/* 395 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseSetToString = __webpack_require__(338),
	    shortOut = __webpack_require__(396);

	/**
	 * Sets the `toString` method of `func` to return `string`.
	 *
	 * @private
	 * @param {Function} func The function to modify.
	 * @param {Function} string The `toString` result.
	 * @returns {Function} Returns `func`.
	 */
	var setToString = shortOut(baseSetToString);

	module.exports = setToString;

/***/ },
/* 396 */
/***/ function(module, exports) {

	"use strict";

	/** Used to detect hot functions by number of calls within a span of milliseconds. */
	var HOT_COUNT = 800,
	    HOT_SPAN = 16;

	/* Built-in method references for those with the same name as other `lodash` methods. */
	var nativeNow = Date.now;

	/**
	 * Creates a function that'll short out and invoke `identity` instead
	 * of `func` when it's called `HOT_COUNT` or more times in `HOT_SPAN`
	 * milliseconds.
	 *
	 * @private
	 * @param {Function} func The function to restrict.
	 * @returns {Function} Returns the new shortable function.
	 */
	function shortOut(func) {
	  var count = 0,
	      lastCalled = 0;

	  return function () {
	    var stamp = nativeNow(),
	        remaining = HOT_SPAN - (stamp - lastCalled);

	    lastCalled = stamp;
	    if (remaining > 0) {
	      if (++count >= HOT_COUNT) {
	        return arguments[0];
	      }
	    } else {
	      count = 0;
	    }
	    return func.apply(undefined, arguments);
	  };
	}

	module.exports = shortOut;

/***/ },
/* 397 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ListCache = __webpack_require__(53);

	/**
	 * Removes all key-value entries from the stack.
	 *
	 * @private
	 * @name clear
	 * @memberOf Stack
	 */
	function stackClear() {
	  this.__data__ = new ListCache();
	  this.size = 0;
	}

	module.exports = stackClear;

/***/ },
/* 398 */
/***/ function(module, exports) {

	'use strict';

	/**
	 * Removes `key` and its value from the stack.
	 *
	 * @private
	 * @name delete
	 * @memberOf Stack
	 * @param {string} key The key of the value to remove.
	 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
	 */
	function stackDelete(key) {
	  var data = this.__data__,
	      result = data['delete'](key);

	  this.size = data.size;
	  return result;
	}

	module.exports = stackDelete;

/***/ },
/* 399 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Gets the stack value for `key`.
	 *
	 * @private
	 * @name get
	 * @memberOf Stack
	 * @param {string} key The key of the value to get.
	 * @returns {*} Returns the entry value.
	 */
	function stackGet(key) {
	  return this.__data__.get(key);
	}

	module.exports = stackGet;

/***/ },
/* 400 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Checks if a stack value for `key` exists.
	 *
	 * @private
	 * @name has
	 * @memberOf Stack
	 * @param {string} key The key of the entry to check.
	 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
	 */
	function stackHas(key) {
	  return this.__data__.has(key);
	}

	module.exports = stackHas;

/***/ },
/* 401 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ListCache = __webpack_require__(53),
	    Map = __webpack_require__(85),
	    MapCache = __webpack_require__(86);

	/** Used as the size to enable large array optimizations. */
	var LARGE_ARRAY_SIZE = 200;

	/**
	 * Sets the stack `key` to `value`.
	 *
	 * @private
	 * @name set
	 * @memberOf Stack
	 * @param {string} key The key of the value to set.
	 * @param {*} value The value to set.
	 * @returns {Object} Returns the stack cache instance.
	 */
	function stackSet(key, value) {
	  var data = this.__data__;
	  if (data instanceof ListCache) {
	    var pairs = data.__data__;
	    if (!Map || pairs.length < LARGE_ARRAY_SIZE - 1) {
	      pairs.push([key, value]);
	      this.size = ++data.size;
	      return this;
	    }
	    data = this.__data__ = new MapCache(pairs);
	  }
	  data.set(key, value);
	  this.size = data.size;
	  return this;
	}

	module.exports = stackSet;

/***/ },
/* 402 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * A specialized version of `_.indexOf` which performs strict equality
	 * comparisons of values, i.e. `===`.
	 *
	 * @private
	 * @param {Array} array The array to inspect.
	 * @param {*} value The value to search for.
	 * @param {number} fromIndex The index to search from.
	 * @returns {number} Returns the index of the matched value, else `-1`.
	 */
	function strictIndexOf(array, value, fromIndex) {
	  var index = fromIndex - 1,
	      length = array.length;

	  while (++index < length) {
	    if (array[index] === value) {
	      return index;
	    }
	  }
	  return -1;
	}

	module.exports = strictIndexOf;

/***/ },
/* 403 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var memoizeCapped = __webpack_require__(388);

	/** Used to match property names within property paths. */
	var reLeadingDot = /^\./,
	    rePropName = /[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g;

	/** Used to match backslashes in property paths. */
	var reEscapeChar = /\\(\\)?/g;

	/**
	 * Converts `string` to a property path array.
	 *
	 * @private
	 * @param {string} string The string to convert.
	 * @returns {Array} Returns the property path array.
	 */
	var stringToPath = memoizeCapped(function (string) {
	  var result = [];
	  if (reLeadingDot.test(string)) {
	    result.push('');
	  }
	  string.replace(rePropName, function (match, number, quote, string) {
	    result.push(quote ? string.replace(reEscapeChar, '$1') : number || match);
	  });
	  return result;
	});

	module.exports = stringToPath;

/***/ },
/* 404 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isSymbol = __webpack_require__(60);

	/** Used as references for various `Number` constants. */
	var INFINITY = 1 / 0;

	/**
	 * Converts `value` to a string key if it's not a string or symbol.
	 *
	 * @private
	 * @param {*} value The value to inspect.
	 * @returns {string|symbol} Returns the key.
	 */
	function toKey(value) {
	  if (typeof value == 'string' || isSymbol(value)) {
	    return value;
	  }
	  var result = value + '';
	  return result == '0' && 1 / value == -INFINITY ? '-0' : result;
	}

	module.exports = toKey;

/***/ },
/* 405 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var copyObject = __webpack_require__(27),
	    createAssigner = __webpack_require__(93),
	    keysIn = __webpack_require__(61);

	/**
	 * This method is like `_.assign` except that it iterates over own and
	 * inherited source properties.
	 *
	 * **Note:** This method mutates `object`.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @alias extend
	 * @category Object
	 * @param {Object} object The destination object.
	 * @param {...Object} [sources] The source objects.
	 * @returns {Object} Returns `object`.
	 * @see _.assign
	 * @example
	 *
	 * function Foo() {
	 *   this.a = 1;
	 * }
	 *
	 * function Bar() {
	 *   this.c = 3;
	 * }
	 *
	 * Foo.prototype.b = 2;
	 * Bar.prototype.d = 4;
	 *
	 * _.assignIn({ 'a': 0 }, new Foo, new Bar);
	 * // => { 'a': 1, 'b': 2, 'c': 3, 'd': 4 }
	 */
	var assignIn = createAssigner(function (object, source) {
	  copyObject(source, keysIn(source), object);
	});

	module.exports = assignIn;

/***/ },
/* 406 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var copyObject = __webpack_require__(27),
	    createAssigner = __webpack_require__(93),
	    keysIn = __webpack_require__(61);

	/**
	 * This method is like `_.assignIn` except that it accepts `customizer`
	 * which is invoked to produce the assigned values. If `customizer` returns
	 * `undefined`, assignment is handled by the method instead. The `customizer`
	 * is invoked with five arguments: (objValue, srcValue, key, object, source).
	 *
	 * **Note:** This method mutates `object`.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @alias extendWith
	 * @category Object
	 * @param {Object} object The destination object.
	 * @param {...Object} sources The source objects.
	 * @param {Function} [customizer] The function to customize assigned values.
	 * @returns {Object} Returns `object`.
	 * @see _.assignWith
	 * @example
	 *
	 * function customizer(objValue, srcValue) {
	 *   return _.isUndefined(objValue) ? srcValue : objValue;
	 * }
	 *
	 * var defaults = _.partialRight(_.assignInWith, customizer);
	 *
	 * defaults({ 'a': 1 }, { 'b': 2 }, { 'a': 3 });
	 * // => { 'a': 1, 'b': 2 }
	 */
	var assignInWith = createAssigner(function (object, source, srcIndex, customizer) {
	  copyObject(source, keysIn(source), object, customizer);
	});

	module.exports = assignInWith;

/***/ },
/* 407 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseClone = __webpack_require__(138);

	/** Used to compose bitmasks for cloning. */
	var CLONE_DEEP_FLAG = 1,
	    CLONE_SYMBOLS_FLAG = 4;

	/**
	 * This method is like `_.clone` except that it recursively clones `value`.
	 *
	 * @static
	 * @memberOf _
	 * @since 1.0.0
	 * @category Lang
	 * @param {*} value The value to recursively clone.
	 * @returns {*} Returns the deep cloned value.
	 * @see _.clone
	 * @example
	 *
	 * var objects = [{ 'a': 1 }, { 'b': 2 }];
	 *
	 * var deep = _.cloneDeep(objects);
	 * console.log(deep[0] === objects[0]);
	 * // => false
	 */
	function cloneDeep(value) {
	  return baseClone(value, CLONE_DEEP_FLAG | CLONE_SYMBOLS_FLAG);
	}

	module.exports = cloneDeep;

/***/ },
/* 408 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Creates an array with all falsey values removed. The values `false`, `null`,
	 * `0`, `""`, `undefined`, and `NaN` are falsey.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Array
	 * @param {Array} array The array to compact.
	 * @returns {Array} Returns the new array of filtered values.
	 * @example
	 *
	 * _.compact([0, 1, false, 2, '', 3]);
	 * // => [1, 2, 3]
	 */
	function compact(array) {
	  var index = -1,
	      length = array == null ? 0 : array.length,
	      resIndex = 0,
	      result = [];

	  while (++index < length) {
	    var value = array[index];
	    if (value) {
	      result[resIndex++] = value;
	    }
	  }
	  return result;
	}

	module.exports = compact;

/***/ },
/* 409 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Creates a function that returns `value`.
	 *
	 * @static
	 * @memberOf _
	 * @since 2.4.0
	 * @category Util
	 * @param {*} value The value to return from the new function.
	 * @returns {Function} Returns the new constant function.
	 * @example
	 *
	 * var objects = _.times(2, _.constant({ 'a': 1 }));
	 *
	 * console.log(objects);
	 * // => [{ 'a': 1 }, { 'a': 1 }]
	 *
	 * console.log(objects[0] === objects[1]);
	 * // => true
	 */
	function constant(value) {
	  return function () {
	    return value;
	  };
	}

	module.exports = constant;

/***/ },
/* 410 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var apply = __webpack_require__(132),
	    assignInWith = __webpack_require__(406),
	    baseRest = __webpack_require__(90),
	    customDefaultsAssignIn = __webpack_require__(359);

	/**
	 * Assigns own and inherited enumerable string keyed properties of source
	 * objects to the destination object for all destination properties that
	 * resolve to `undefined`. Source objects are applied from left to right.
	 * Once a property is set, additional values of the same property are ignored.
	 *
	 * **Note:** This method mutates `object`.
	 *
	 * @static
	 * @since 0.1.0
	 * @memberOf _
	 * @category Object
	 * @param {Object} object The destination object.
	 * @param {...Object} [sources] The source objects.
	 * @returns {Object} Returns `object`.
	 * @see _.defaultsDeep
	 * @example
	 *
	 * _.defaults({ 'a': 1 }, { 'b': 2 }, { 'a': 3 });
	 * // => { 'a': 1, 'b': 2 }
	 */
	var defaults = baseRest(function (args) {
	  args.push(undefined, customDefaultsAssignIn);
	  return apply(assignInWith, undefined, args);
	});

	module.exports = defaults;

/***/ },
/* 411 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = __webpack_require__(405);

/***/ },
/* 412 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var arrayEach = __webpack_require__(133),
	    baseEach = __webpack_require__(323),
	    castFunction = __webpack_require__(344),
	    isArray = __webpack_require__(18);

	/**
	 * Iterates over elements of `collection` and invokes `iteratee` for each element.
	 * The iteratee is invoked with three arguments: (value, index|key, collection).
	 * Iteratee functions may exit iteration early by explicitly returning `false`.
	 *
	 * **Note:** As with other "Collections" methods, objects with a "length"
	 * property are iterated like arrays. To avoid this behavior use `_.forIn`
	 * or `_.forOwn` for object iteration.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @alias each
	 * @category Collection
	 * @param {Array|Object} collection The collection to iterate over.
	 * @param {Function} [iteratee=_.identity] The function invoked per iteration.
	 * @returns {Array|Object} Returns `collection`.
	 * @see _.forEachRight
	 * @example
	 *
	 * _.forEach([1, 2], function(value) {
	 *   console.log(value);
	 * });
	 * // => Logs `1` then `2`.
	 *
	 * _.forEach({ 'a': 1, 'b': 2 }, function(value, key) {
	 *   console.log(key);
	 * });
	 * // => Logs 'a' then 'b' (iteration order is not guaranteed).
	 */
	function forEach(collection, iteratee) {
	  var func = isArray(collection) ? arrayEach : baseEach;
	  return func(collection, castFunction(iteratee));
	}

	module.exports = forEach;

/***/ },
/* 413 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseGetTag = __webpack_require__(17),
	    isObjectLike = __webpack_require__(23);

	/** `Object#toString` result references. */
	var numberTag = '[object Number]';

	/**
	 * Checks if `value` is classified as a `Number` primitive or object.
	 *
	 * **Note:** To exclude `Infinity`, `-Infinity`, and `NaN`, which are
	 * classified as numbers, use the `_.isFinite` method.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a number, else `false`.
	 * @example
	 *
	 * _.isNumber(3);
	 * // => true
	 *
	 * _.isNumber(Number.MIN_VALUE);
	 * // => true
	 *
	 * _.isNumber(Infinity);
	 * // => true
	 *
	 * _.isNumber('3');
	 * // => false
	 */
	function isNumber(value) {
	    return typeof value == 'number' || isObjectLike(value) && baseGetTag(value) == numberTag;
	}

	module.exports = isNumber;

/***/ },
/* 414 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseGetTag = __webpack_require__(17),
	    getPrototype = __webpack_require__(94),
	    isObjectLike = __webpack_require__(23);

	/** `Object#toString` result references. */
	var objectTag = '[object Object]';

	/** Used for built-in method references. */
	var funcProto = Function.prototype,
	    objectProto = Object.prototype;

	/** Used to resolve the decompiled source of functions. */
	var funcToString = funcProto.toString;

	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;

	/** Used to infer the `Object` constructor. */
	var objectCtorString = funcToString.call(Object);

	/**
	 * Checks if `value` is a plain object, that is, an object created by the
	 * `Object` constructor or one with a `[[Prototype]]` of `null`.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.8.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a plain object, else `false`.
	 * @example
	 *
	 * function Foo() {
	 *   this.a = 1;
	 * }
	 *
	 * _.isPlainObject(new Foo);
	 * // => false
	 *
	 * _.isPlainObject([1, 2, 3]);
	 * // => false
	 *
	 * _.isPlainObject({ 'x': 0, 'y': 0 });
	 * // => true
	 *
	 * _.isPlainObject(Object.create(null));
	 * // => true
	 */
	function isPlainObject(value) {
	  if (!isObjectLike(value) || baseGetTag(value) != objectTag) {
	    return false;
	  }
	  var proto = getPrototype(value);
	  if (proto === null) {
	    return true;
	  }
	  var Ctor = hasOwnProperty.call(proto, 'constructor') && proto.constructor;
	  return typeof Ctor == 'function' && Ctor instanceof Ctor && funcToString.call(Ctor) == objectCtorString;
	}

	module.exports = isPlainObject;

/***/ },
/* 415 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseIsRegExp = __webpack_require__(332),
	    baseUnary = __webpack_require__(91),
	    nodeUtil = __webpack_require__(145);

	/* Node.js helper references. */
	var nodeIsRegExp = nodeUtil && nodeUtil.isRegExp;

	/**
	 * Checks if `value` is classified as a `RegExp` object.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a regexp, else `false`.
	 * @example
	 *
	 * _.isRegExp(/abc/);
	 * // => true
	 *
	 * _.isRegExp('/abc/');
	 * // => false
	 */
	var isRegExp = nodeIsRegExp ? baseUnary(nodeIsRegExp) : baseIsRegExp;

	module.exports = isRegExp;

/***/ },
/* 416 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseIsTypedArray = __webpack_require__(333),
	    baseUnary = __webpack_require__(91),
	    nodeUtil = __webpack_require__(145);

	/* Node.js helper references. */
	var nodeIsTypedArray = nodeUtil && nodeUtil.isTypedArray;

	/**
	 * Checks if `value` is classified as a typed array.
	 *
	 * @static
	 * @memberOf _
	 * @since 3.0.0
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a typed array, else `false`.
	 * @example
	 *
	 * _.isTypedArray(new Uint8Array);
	 * // => true
	 *
	 * _.isTypedArray([]);
	 * // => false
	 */
	var isTypedArray = nodeIsTypedArray ? baseUnary(nodeIsTypedArray) : baseIsTypedArray;

	module.exports = isTypedArray;

/***/ },
/* 417 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var MapCache = __webpack_require__(86);

	/** Error message constants. */
	var FUNC_ERROR_TEXT = 'Expected a function';

	/**
	 * Creates a function that memoizes the result of `func`. If `resolver` is
	 * provided, it determines the cache key for storing the result based on the
	 * arguments provided to the memoized function. By default, the first argument
	 * provided to the memoized function is used as the map cache key. The `func`
	 * is invoked with the `this` binding of the memoized function.
	 *
	 * **Note:** The cache is exposed as the `cache` property on the memoized
	 * function. Its creation may be customized by replacing the `_.memoize.Cache`
	 * constructor with one whose instances implement the
	 * [`Map`](http://ecma-international.org/ecma-262/7.0/#sec-properties-of-the-map-prototype-object)
	 * method interface of `clear`, `delete`, `get`, `has`, and `set`.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Function
	 * @param {Function} func The function to have its output memoized.
	 * @param {Function} [resolver] The function to resolve the cache key.
	 * @returns {Function} Returns the new memoized function.
	 * @example
	 *
	 * var object = { 'a': 1, 'b': 2 };
	 * var other = { 'c': 3, 'd': 4 };
	 *
	 * var values = _.memoize(_.values);
	 * values(object);
	 * // => [1, 2]
	 *
	 * values(other);
	 * // => [3, 4]
	 *
	 * object.a = 2;
	 * values(object);
	 * // => [1, 2]
	 *
	 * // Modify the result cache.
	 * values.cache.set(object, ['a', 'b']);
	 * values(object);
	 * // => ['a', 'b']
	 *
	 * // Replace `_.memoize.Cache`.
	 * _.memoize.Cache = WeakMap;
	 */
	function memoize(func, resolver) {
	  if (typeof func != 'function' || resolver != null && typeof resolver != 'function') {
	    throw new TypeError(FUNC_ERROR_TEXT);
	  }
	  var memoized = function memoized() {
	    var args = arguments,
	        key = resolver ? resolver.apply(this, args) : args[0],
	        cache = memoized.cache;

	    if (cache.has(key)) {
	      return cache.get(key);
	    }
	    var result = func.apply(this, args);
	    memoized.cache = cache.set(key, result) || cache;
	    return result;
	  };
	  memoized.cache = new (memoize.Cache || MapCache)();
	  return memoized;
	}

	// Expose `MapCache`.
	memoize.Cache = MapCache;

	module.exports = memoize;

/***/ },
/* 418 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * This method returns `undefined`.
	 *
	 * @static
	 * @memberOf _
	 * @since 2.3.0
	 * @category Util
	 * @example
	 *
	 * _.times(2, _.noop);
	 * // => [undefined, undefined]
	 */
	function noop() {
	  // No operation performed.
	}

	module.exports = noop;

/***/ },
/* 419 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseRest = __webpack_require__(90),
	    pullAll = __webpack_require__(420);

	/**
	 * Removes all given values from `array` using
	 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
	 * for equality comparisons.
	 *
	 * **Note:** Unlike `_.without`, this method mutates `array`. Use `_.remove`
	 * to remove elements from an array by predicate.
	 *
	 * @static
	 * @memberOf _
	 * @since 2.0.0
	 * @category Array
	 * @param {Array} array The array to modify.
	 * @param {...*} [values] The values to remove.
	 * @returns {Array} Returns `array`.
	 * @example
	 *
	 * var array = ['a', 'b', 'c', 'a', 'b', 'c'];
	 *
	 * _.pull(array, 'a', 'c');
	 * console.log(array);
	 * // => ['b', 'b']
	 */
	var pull = baseRest(pullAll);

	module.exports = pull;

/***/ },
/* 420 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var basePullAll = __webpack_require__(336);

	/**
	 * This method is like `_.pull` except that it accepts an array of values to remove.
	 *
	 * **Note:** Unlike `_.difference`, this method mutates `array`.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Array
	 * @param {Array} array The array to modify.
	 * @param {Array} values The values to remove.
	 * @returns {Array} Returns `array`.
	 * @example
	 *
	 * var array = ['a', 'b', 'c', 'a', 'b', 'c'];
	 *
	 * _.pullAll(array, ['a', 'c']);
	 * console.log(array);
	 * // => ['b', 'b']
	 */
	function pullAll(array, values) {
	  return array && array.length && values && values.length ? basePullAll(array, values) : array;
	}

	module.exports = pullAll;

/***/ },
/* 421 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseRepeat = __webpack_require__(337),
	    isIterateeCall = __webpack_require__(144),
	    toInteger = __webpack_require__(157),
	    toString = __webpack_require__(158);

	/**
	 * Repeats the given string `n` times.
	 *
	 * @static
	 * @memberOf _
	 * @since 3.0.0
	 * @category String
	 * @param {string} [string=''] The string to repeat.
	 * @param {number} [n=1] The number of times to repeat the string.
	 * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
	 * @returns {string} Returns the repeated string.
	 * @example
	 *
	 * _.repeat('*', 3);
	 * // => '***'
	 *
	 * _.repeat('abc', 2);
	 * // => 'abcabc'
	 *
	 * _.repeat('abc', 0);
	 * // => ''
	 */
	function repeat(string, n, guard) {
	  if (guard ? isIterateeCall(string, n, guard) : n === undefined) {
	    n = 1;
	  } else {
	    n = toInteger(n);
	  }
	  return baseRepeat(toString(string), n);
	}

	module.exports = repeat;

/***/ },
/* 422 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * This method returns `false`.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.13.0
	 * @category Util
	 * @returns {boolean} Returns `false`.
	 * @example
	 *
	 * _.times(2, _.stubFalse);
	 * // => [false, false]
	 */
	function stubFalse() {
	  return false;
	}

	module.exports = stubFalse;

/***/ },
/* 423 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var toNumber = __webpack_require__(424);

	/** Used as references for various `Number` constants. */
	var INFINITY = 1 / 0,
	    MAX_INTEGER = 1.7976931348623157e+308;

	/**
	 * Converts `value` to a finite number.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.12.0
	 * @category Lang
	 * @param {*} value The value to convert.
	 * @returns {number} Returns the converted number.
	 * @example
	 *
	 * _.toFinite(3.2);
	 * // => 3.2
	 *
	 * _.toFinite(Number.MIN_VALUE);
	 * // => 5e-324
	 *
	 * _.toFinite(Infinity);
	 * // => 1.7976931348623157e+308
	 *
	 * _.toFinite('3.2');
	 * // => 3.2
	 */
	function toFinite(value) {
	  if (!value) {
	    return value === 0 ? value : 0;
	  }
	  value = toNumber(value);
	  if (value === INFINITY || value === -INFINITY) {
	    var sign = value < 0 ? -1 : 1;
	    return sign * MAX_INTEGER;
	  }
	  return value === value ? value : 0;
	}

	module.exports = toFinite;

/***/ },
/* 424 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isObject = __webpack_require__(29),
	    isSymbol = __webpack_require__(60);

	/** Used as references for various `Number` constants. */
	var NAN = 0 / 0;

	/** Used to match leading and trailing whitespace. */
	var reTrim = /^\s+|\s+$/g;

	/** Used to detect bad signed hexadecimal string values. */
	var reIsBadHex = /^[-+]0x[0-9a-f]+$/i;

	/** Used to detect binary string values. */
	var reIsBinary = /^0b[01]+$/i;

	/** Used to detect octal string values. */
	var reIsOctal = /^0o[0-7]+$/i;

	/** Built-in method references without a dependency on `root`. */
	var freeParseInt = parseInt;

	/**
	 * Converts `value` to a number.
	 *
	 * @static
	 * @memberOf _
	 * @since 4.0.0
	 * @category Lang
	 * @param {*} value The value to process.
	 * @returns {number} Returns the number.
	 * @example
	 *
	 * _.toNumber(3.2);
	 * // => 3.2
	 *
	 * _.toNumber(Number.MIN_VALUE);
	 * // => 5e-324
	 *
	 * _.toNumber(Infinity);
	 * // => Infinity
	 *
	 * _.toNumber('3.2');
	 * // => 3.2
	 */
	function toNumber(value) {
	  if (typeof value == 'number') {
	    return value;
	  }
	  if (isSymbol(value)) {
	    return NAN;
	  }
	  if (isObject(value)) {
	    var other = typeof value.valueOf == 'function' ? value.valueOf() : value;
	    value = isObject(other) ? other + '' : other;
	  }
	  if (typeof value != 'string') {
	    return value === 0 ? value : +value;
	  }
	  value = value.replace(reTrim, '');
	  var isBinary = reIsBinary.test(value);
	  return isBinary || reIsOctal.test(value) ? freeParseInt(value.slice(2), isBinary ? 2 : 8) : reIsBadHex.test(value) ? NAN : +value;
	}

	module.exports = toNumber;

/***/ },
/* 425 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseUniq = __webpack_require__(341);

	/**
	 * Creates a duplicate-free version of an array, using
	 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
	 * for equality comparisons, in which only the first occurrence of each element
	 * is kept. The order of result values is determined by the order they occur
	 * in the array.
	 *
	 * @static
	 * @memberOf _
	 * @since 0.1.0
	 * @category Array
	 * @param {Array} array The array to inspect.
	 * @returns {Array} Returns the new duplicate free array.
	 * @example
	 *
	 * _.uniq([2, 1, 2]);
	 * // => [2, 1]
	 */
	function uniq(array) {
	  return array && array.length ? baseUniq(array) : [];
	}

	module.exports = uniq;

/***/ },
/* 426 */
82,
/* 427 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	var _keys = __webpack_require__(31);

	var _keys2 = _interopRequireDefault(_keys);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var hasOwn = Object.prototype.hasOwnProperty;

	// The hoist function takes a FunctionExpression or FunctionDeclaration
	// and replaces any Declaration nodes in its body with assignments, then
	// returns a VariableDeclaration containing just the names of the removed
	// declarations.
	/**
	 * Copyright (c) 2014, Facebook, Inc.
	 * All rights reserved.
	 *
	 * This source code is licensed under the BSD-style license found in the
	 * https://raw.github.com/facebook/regenerator/master/LICENSE file. An
	 * additional grant of patent rights can be found in the PATENTS file in
	 * the same directory.
	 */

	exports.hoist = function (funPath) {
	  t.assertFunction(funPath.node);

	  var vars = {};

	  function varDeclToExpr(vdec, includeIdentifiers) {
	    t.assertVariableDeclaration(vdec);
	    // TODO assert.equal(vdec.kind, "var");
	    var exprs = [];

	    vdec.declarations.forEach(function (dec) {
	      // Note: We duplicate 'dec.id' here to ensure that the variable declaration IDs don't
	      // have the same 'loc' value, since that can make sourcemaps and retainLines behave poorly.
	      vars[dec.id.name] = t.identifier(dec.id.name);

	      if (dec.init) {
	        exprs.push(t.assignmentExpression("=", dec.id, dec.init));
	      } else if (includeIdentifiers) {
	        exprs.push(dec.id);
	      }
	    });

	    if (exprs.length === 0) return null;

	    if (exprs.length === 1) return exprs[0];

	    return t.sequenceExpression(exprs);
	  }

	  funPath.get("body").traverse({
	    VariableDeclaration: {
	      exit: function exit(path) {
	        var expr = varDeclToExpr(path.node, false);
	        if (expr === null) {
	          path.remove();
	        } else {
	          // We don't need to traverse this expression any further because
	          // there can't be any new declarations inside an expression.
	          path.replaceWith(t.expressionStatement(expr));
	        }

	        // Since the original node has been either removed or replaced,
	        // avoid traversing it any further.
	        path.skip();
	      }
	    },

	    ForStatement: function ForStatement(path) {
	      var init = path.node.init;
	      if (t.isVariableDeclaration(init)) {
	        path.get("init").replaceWith(varDeclToExpr(init, false));
	      }
	    },

	    ForXStatement: function ForXStatement(path) {
	      var left = path.get("left");
	      if (left.isVariableDeclaration()) {
	        left.replaceWith(varDeclToExpr(left.node, true));
	      }
	    },

	    FunctionDeclaration: function FunctionDeclaration(path) {
	      var node = path.node;
	      vars[node.id.name] = node.id;

	      var assignment = t.expressionStatement(t.assignmentExpression("=", node.id, t.functionExpression(node.id, node.params, node.body, node.generator, node.expression)));

	      if (path.parentPath.isBlockStatement()) {
	        // Insert the assignment form before the first statement in the
	        // enclosing block.
	        path.parentPath.unshiftContainer("body", assignment);

	        // Remove the function declaration now that we've inserted the
	        // equivalent assignment form at the beginning of the block.
	        path.remove();
	      } else {
	        // If the parent node is not a block statement, then we can just
	        // replace the declaration with the equivalent assignment form
	        // without worrying about hoisting it.
	        path.replaceWith(assignment);
	      }

	      // Don't hoist variables out of inner functions.
	      path.skip();
	    },

	    FunctionExpression: function FunctionExpression(path) {
	      // Don't descend into nested function expressions.
	      path.skip();
	    }
	  });

	  var paramNames = {};
	  funPath.get("params").forEach(function (paramPath) {
	    var param = paramPath.node;
	    if (t.isIdentifier(param)) {
	      paramNames[param.name] = param;
	    } else {
	      // Variables declared by destructuring parameter patterns will be
	      // harmlessly re-declared.
	    }
	  });

	  var declarations = [];

	  (0, _keys2.default)(vars).forEach(function (name) {
	    if (!hasOwn.call(paramNames, name)) {
	      declarations.push(t.variableDeclarator(vars[name], null));
	    }
	  });

	  if (declarations.length === 0) {
	    return null; // Be sure to handle this case!
	  }

	  return t.variableDeclaration("var", declarations);
	};

/***/ },
/* 428 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	exports.__esModule = true;

	exports.default = function () {
	  return __webpack_require__(431);
	};

/***/ },
/* 429 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	var _assert = __webpack_require__(41);

	var _assert2 = _interopRequireDefault(_assert);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	var _util = __webpack_require__(102);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	function Entry() {
	  _assert2.default.ok(this instanceof Entry);
	} /**
	   * Copyright (c) 2014, Facebook, Inc.
	   * All rights reserved.
	   *
	   * This source code is licensed under the BSD-style license found in the
	   * https://raw.github.com/facebook/regenerator/master/LICENSE file. An
	   * additional grant of patent rights can be found in the PATENTS file in
	   * the same directory.
	   */

	function FunctionEntry(returnLoc) {
	  Entry.call(this);
	  t.assertLiteral(returnLoc);
	  this.returnLoc = returnLoc;
	}

	(0, _util.inherits)(FunctionEntry, Entry);
	exports.FunctionEntry = FunctionEntry;

	function LoopEntry(breakLoc, continueLoc, label) {
	  Entry.call(this);

	  t.assertLiteral(breakLoc);
	  t.assertLiteral(continueLoc);

	  if (label) {
	    t.assertIdentifier(label);
	  } else {
	    label = null;
	  }

	  this.breakLoc = breakLoc;
	  this.continueLoc = continueLoc;
	  this.label = label;
	}

	(0, _util.inherits)(LoopEntry, Entry);
	exports.LoopEntry = LoopEntry;

	function SwitchEntry(breakLoc) {
	  Entry.call(this);
	  t.assertLiteral(breakLoc);
	  this.breakLoc = breakLoc;
	}

	(0, _util.inherits)(SwitchEntry, Entry);
	exports.SwitchEntry = SwitchEntry;

	function TryEntry(firstLoc, catchEntry, finallyEntry) {
	  Entry.call(this);

	  t.assertLiteral(firstLoc);

	  if (catchEntry) {
	    _assert2.default.ok(catchEntry instanceof CatchEntry);
	  } else {
	    catchEntry = null;
	  }

	  if (finallyEntry) {
	    _assert2.default.ok(finallyEntry instanceof FinallyEntry);
	  } else {
	    finallyEntry = null;
	  }

	  // Have to have one or the other (or both).
	  _assert2.default.ok(catchEntry || finallyEntry);

	  this.firstLoc = firstLoc;
	  this.catchEntry = catchEntry;
	  this.finallyEntry = finallyEntry;
	}

	(0, _util.inherits)(TryEntry, Entry);
	exports.TryEntry = TryEntry;

	function CatchEntry(firstLoc, paramId) {
	  Entry.call(this);

	  t.assertLiteral(firstLoc);
	  t.assertIdentifier(paramId);

	  this.firstLoc = firstLoc;
	  this.paramId = paramId;
	}

	(0, _util.inherits)(CatchEntry, Entry);
	exports.CatchEntry = CatchEntry;

	function FinallyEntry(firstLoc, afterLoc) {
	  Entry.call(this);
	  t.assertLiteral(firstLoc);
	  t.assertLiteral(afterLoc);
	  this.firstLoc = firstLoc;
	  this.afterLoc = afterLoc;
	}

	(0, _util.inherits)(FinallyEntry, Entry);
	exports.FinallyEntry = FinallyEntry;

	function LabeledEntry(breakLoc, label) {
	  Entry.call(this);

	  t.assertLiteral(breakLoc);
	  t.assertIdentifier(label);

	  this.breakLoc = breakLoc;
	  this.label = label;
	}

	(0, _util.inherits)(LabeledEntry, Entry);
	exports.LabeledEntry = LabeledEntry;

	function LeapManager(emitter) {
	  _assert2.default.ok(this instanceof LeapManager);

	  var Emitter = __webpack_require__(162).Emitter;
	  _assert2.default.ok(emitter instanceof Emitter);

	  this.emitter = emitter;
	  this.entryStack = [new FunctionEntry(emitter.finalLoc)];
	}

	var LMp = LeapManager.prototype;
	exports.LeapManager = LeapManager;

	LMp.withEntry = function (entry, callback) {
	  _assert2.default.ok(entry instanceof Entry);
	  this.entryStack.push(entry);
	  try {
	    callback.call(this.emitter);
	  } finally {
	    var popped = this.entryStack.pop();
	    _assert2.default.strictEqual(popped, entry);
	  }
	};

	LMp._findLeapLocation = function (property, label) {
	  for (var i = this.entryStack.length - 1; i >= 0; --i) {
	    var entry = this.entryStack[i];
	    var loc = entry[property];
	    if (loc) {
	      if (label) {
	        if (entry.label && entry.label.name === label.name) {
	          return loc;
	        }
	      } else if (entry instanceof LabeledEntry) {
	        // Ignore LabeledEntry entries unless we are actually breaking to
	        // a label.
	      } else {
	        return loc;
	      }
	    }
	  }

	  return null;
	};

	LMp.getBreakLoc = function (label) {
	  return this._findLeapLocation("breakLoc", label);
	};

	LMp.getContinueLoc = function (label) {
	  return this._findLeapLocation("continueLoc", label);
	};

/***/ },
/* 430 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	var _assert = __webpack_require__(41);

	var _assert2 = _interopRequireDefault(_assert);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var m = __webpack_require__(160).makeAccessor(); /**
	                                            * Copyright (c) 2014, Facebook, Inc.
	                                            * All rights reserved.
	                                            *
	                                            * This source code is licensed under the BSD-style license found in the
	                                            * https://raw.github.com/facebook/regenerator/master/LICENSE file. An
	                                            * additional grant of patent rights can be found in the PATENTS file in
	                                            * the same directory.
	                                            */

	var hasOwn = Object.prototype.hasOwnProperty;

	function makePredicate(propertyName, knownTypes) {
	  function onlyChildren(node) {
	    t.assertNode(node);

	    // Assume no side effects until we find out otherwise.
	    var result = false;

	    function check(child) {
	      if (result) {
	        // Do nothing.
	      } else if (Array.isArray(child)) {
	        child.some(check);
	      } else if (t.isNode(child)) {
	        _assert2.default.strictEqual(result, false);
	        result = predicate(child);
	      }
	      return result;
	    }

	    var keys = t.VISITOR_KEYS[node.type];
	    if (keys) {
	      for (var i = 0; i < keys.length; i++) {
	        var key = keys[i];
	        var child = node[key];
	        check(child);
	      }
	    }

	    return result;
	  }

	  function predicate(node) {
	    t.assertNode(node);

	    var meta = m(node);
	    if (hasOwn.call(meta, propertyName)) return meta[propertyName];

	    // Certain types are "opaque," which means they have no side
	    // effects or leaps and we don't care about their subexpressions.
	    if (hasOwn.call(opaqueTypes, node.type)) return meta[propertyName] = false;

	    if (hasOwn.call(knownTypes, node.type)) return meta[propertyName] = true;

	    return meta[propertyName] = onlyChildren(node);
	  }

	  predicate.onlyChildren = onlyChildren;

	  return predicate;
	}

	var opaqueTypes = {
	  FunctionExpression: true
	};

	// These types potentially have side effects regardless of what side
	// effects their subexpressions have.
	var sideEffectTypes = {
	  CallExpression: true, // Anything could happen!
	  ForInStatement: true, // Modifies the key variable.
	  UnaryExpression: true, // Think delete.
	  BinaryExpression: true, // Might invoke .toString() or .valueOf().
	  AssignmentExpression: true, // Side-effecting by definition.
	  UpdateExpression: true, // Updates are essentially assignments.
	  NewExpression: true // Similar to CallExpression.
	};

	// These types are the direct cause of all leaps in control flow.
	var leapTypes = {
	  YieldExpression: true,
	  BreakStatement: true,
	  ContinueStatement: true,
	  ReturnStatement: true,
	  ThrowStatement: true
	};

	// All leap types are also side effect types.
	for (var type in leapTypes) {
	  if (hasOwn.call(leapTypes, type)) {
	    sideEffectTypes[type] = leapTypes[type];
	  }
	}

	exports.hasSideEffects = makePredicate("hasSideEffects", sideEffectTypes);
	exports.containsLeap = makePredicate("containsLeap", leapTypes);

/***/ },
/* 431 */
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	var _assert = __webpack_require__(41);

	var _assert2 = _interopRequireDefault(_assert);

	var _babelTypes = __webpack_require__(1);

	var t = _interopRequireWildcard(_babelTypes);

	var _hoist = __webpack_require__(427);

	var _emit = __webpack_require__(162);

	var _util = __webpack_require__(163);

	var util = _interopRequireWildcard(_util);

	function _interopRequireWildcard(obj) {
	  if (obj && obj.__esModule) {
	    return obj;
	  } else {
	    var newObj = {};if (obj != null) {
	      for (var key in obj) {
	        if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key];
	      }
	    }newObj.default = obj;return newObj;
	  }
	}

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { default: obj };
	}

	var getMarkInfo = __webpack_require__(160).makeAccessor(); /**
	                                                      * Copyright (c) 2014, Facebook, Inc.
	                                                      * All rights reserved.
	                                                      *
	                                                      * This source code is licensed under the BSD-style license found in the
	                                                      * https://raw.github.com/facebook/regenerator/master/LICENSE file. An
	                                                      * additional grant of patent rights can be found in the PATENTS file in
	                                                      * the same directory.
	                                                      */

	exports.visitor = {
	  Function: {
	    exit: function exit(path, state) {
	      var node = path.node;

	      if (node.generator) {
	        if (node.async) {
	          // Async generator
	          if (state.opts.asyncGenerators === false) return;
	        } else {
	          // Plain generator
	          if (state.opts.generators === false) return;
	        }
	      } else if (node.async) {
	        // Async function
	        if (state.opts.async === false) return;
	      } else {
	        // Not a generator or async function.
	        return;
	      }

	      var contextId = path.scope.generateUidIdentifier("context");
	      var argsId = path.scope.generateUidIdentifier("args");

	      path.ensureBlock();
	      var bodyBlockPath = path.get("body");

	      if (node.async) {
	        bodyBlockPath.traverse(awaitVisitor);
	      }

	      bodyBlockPath.traverse(functionSentVisitor, {
	        context: contextId
	      });

	      var outerBody = [];
	      var innerBody = [];

	      bodyBlockPath.get("body").forEach(function (childPath) {
	        var node = childPath.node;
	        if (t.isExpressionStatement(node) && t.isStringLiteral(node.expression)) {
	          // Babylon represents directives like "use strict" as elements
	          // of a bodyBlockPath.node.directives array, but they could just
	          // as easily be represented (by other parsers) as traditional
	          // string-literal-valued expression statements, so we need to
	          // handle that here. (#248)
	          outerBody.push(node);
	        } else if (node && node._blockHoist != null) {
	          outerBody.push(node);
	        } else {
	          innerBody.push(node);
	        }
	      });

	      if (outerBody.length > 0) {
	        // Only replace the inner body if we actually hoisted any statements
	        // to the outer body.
	        bodyBlockPath.node.body = innerBody;
	      }

	      var outerFnExpr = getOuterFnExpr(path);
	      // Note that getOuterFnExpr has the side-effect of ensuring that the
	      // function has a name (so node.id will always be an Identifier), even
	      // if a temporary name has to be synthesized.
	      t.assertIdentifier(node.id);
	      var innerFnId = t.identifier(node.id.name + "$");

	      // Turn all declarations into vars, and replace the original
	      // declarations with equivalent assignment expressions.
	      var vars = (0, _hoist.hoist)(path);

	      var didRenameArguments = renameArguments(path, argsId);
	      if (didRenameArguments) {
	        vars = vars || t.variableDeclaration("var", []);
	        vars.declarations.push(t.variableDeclarator(argsId, t.identifier("arguments")));
	      }

	      var emitter = new _emit.Emitter(contextId);
	      emitter.explode(path.get("body"));

	      if (vars && vars.declarations.length > 0) {
	        outerBody.push(vars);
	      }

	      var wrapArgs = [emitter.getContextFunction(innerFnId),
	      // Async functions that are not generators don't care about the
	      // outer function because they don't need it to be marked and don't
	      // inherit from its .prototype.
	      node.generator ? outerFnExpr : t.nullLiteral(), t.thisExpression()];

	      var tryLocsList = emitter.getTryLocsList();
	      if (tryLocsList) {
	        wrapArgs.push(tryLocsList);
	      }

	      var wrapCall = t.callExpression(util.runtimeProperty(node.async ? "async" : "wrap"), wrapArgs);

	      outerBody.push(t.returnStatement(wrapCall));
	      node.body = t.blockStatement(outerBody);

	      var oldDirectives = bodyBlockPath.node.directives;
	      if (oldDirectives) {
	        // Babylon represents directives like "use strict" as elements of
	        // a bodyBlockPath.node.directives array. (#248)
	        node.body.directives = oldDirectives;
	      }

	      var wasGeneratorFunction = node.generator;
	      if (wasGeneratorFunction) {
	        node.generator = false;
	      }

	      if (node.async) {
	        node.async = false;
	      }

	      if (wasGeneratorFunction && t.isExpression(node)) {
	        path.replaceWith(t.callExpression(util.runtimeProperty("mark"), [node]));
	      }

	      // Generators are processed in 'exit' handlers so that regenerator only has to run on
	      // an ES5 AST, but that means traversal will not pick up newly inserted references
	      // to things like 'regeneratorRuntime'. To avoid this, we explicitly requeue.
	      path.requeue();
	    }
	  }
	};

	// Given a NodePath for a Function, return an Expression node that can be
	// used to refer reliably to the function object from inside the function.
	// This expression is essentially a replacement for arguments.callee, with
	// the key advantage that it works in strict mode.
	function getOuterFnExpr(funPath) {
	  var node = funPath.node;
	  t.assertFunction(node);

	  if (!node.id) {
	    // Default-exported function declarations, and function expressions may not
	    // have a name to reference, so we explicitly add one.
	    node.id = funPath.scope.parent.generateUidIdentifier("callee");
	  }

	  if (node.generator && // Non-generator functions don't need to be marked.
	  t.isFunctionDeclaration(node)) {
	    var pp = funPath.findParent(function (path) {
	      return path.isProgram() || path.isBlockStatement();
	    });

	    if (!pp) {
	      return node.id;
	    }

	    var markDecl = getRuntimeMarkDecl(pp);
	    var markedArray = markDecl.declarations[0].id;
	    var funDeclIdArray = markDecl.declarations[0].init.callee.object;
	    t.assertArrayExpression(funDeclIdArray);

	    var index = funDeclIdArray.elements.length;
	    funDeclIdArray.elements.push(node.id);

	    return t.memberExpression(markedArray, t.numericLiteral(index), true);
	  }

	  return node.id;
	}

	function getRuntimeMarkDecl(blockPath) {
	  var block = blockPath.node;
	  _assert2.default.ok(Array.isArray(block.body));

	  var info = getMarkInfo(block);
	  if (info.decl) {
	    return info.decl;
	  }

	  info.decl = t.variableDeclaration("var", [t.variableDeclarator(blockPath.scope.generateUidIdentifier("marked"), t.callExpression(t.memberExpression(t.arrayExpression([]), t.identifier("map"), false), [util.runtimeProperty("mark")]))]);

	  blockPath.unshiftContainer("body", info.decl);

	  return info.decl;
	}

	function renameArguments(funcPath, argsId) {
	  var state = {
	    didRenameArguments: false,
	    argsId: argsId
	  };

	  funcPath.traverse(argumentsVisitor, state);

	  // If the traversal replaced any arguments references, then we need to
	  // alias the outer function's arguments binding (be it the implicit
	  // arguments object or some other parameter or variable) to the variable
	  // named by argsId.
	  return state.didRenameArguments;
	}

	var argumentsVisitor = {
	  "FunctionExpression|FunctionDeclaration": function FunctionExpressionFunctionDeclaration(path) {
	    path.skip();
	  },

	  Identifier: function Identifier(path, state) {
	    if (path.node.name === "arguments" && util.isReference(path)) {
	      path.replaceWith(state.argsId);
	      state.didRenameArguments = true;
	    }
	  }
	};

	var functionSentVisitor = {
	  MetaProperty: function MetaProperty(path) {
	    var node = path.node;

	    if (node.meta.name === "function" && node.property.name === "sent") {
	      path.replaceWith(t.memberExpression(this.context, t.identifier("_sent")));
	    }
	  }
	};

	var awaitVisitor = {
	  Function: function Function(path) {
	    path.skip(); // Don't descend into nested function scopes.
	  },

	  AwaitExpression: function AwaitExpression(path) {
	    // Convert await expressions to yield expressions.
	    var argument = path.node.argument;

	    // Transforming `await x` to `yield regeneratorRuntime.awrap(x)`
	    // causes the argument to be wrapped in such a way that the runtime
	    // can distinguish between awaited and merely yielded values.
	    path.replaceWith(t.yieldExpression(t.callExpression(util.runtimeProperty("awrap"), [argument]), false));
	  }
	};

/***/ },
/* 432 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// Generated by `/scripts/character-class-escape-sets.js`. Do not edit.
	var regenerate = __webpack_require__(161);

	exports.REGULAR = {
		'd': regenerate().addRange(0x30, 0x39),
		'D': regenerate().addRange(0x0, 0x2F).addRange(0x3A, 0xFFFF),
		's': regenerate(0x20, 0xA0, 0x1680, 0x202F, 0x205F, 0x3000, 0xFEFF).addRange(0x9, 0xD).addRange(0x2000, 0x200A).addRange(0x2028, 0x2029),
		'S': regenerate().addRange(0x0, 0x8).addRange(0xE, 0x1F).addRange(0x21, 0x9F).addRange(0xA1, 0x167F).addRange(0x1681, 0x1FFF).addRange(0x200B, 0x2027).addRange(0x202A, 0x202E).addRange(0x2030, 0x205E).addRange(0x2060, 0x2FFF).addRange(0x3001, 0xFEFE).addRange(0xFF00, 0xFFFF),
		'w': regenerate(0x5F).addRange(0x30, 0x39).addRange(0x41, 0x5A).addRange(0x61, 0x7A),
		'W': regenerate(0x60).addRange(0x0, 0x2F).addRange(0x3A, 0x40).addRange(0x5B, 0x5E).addRange(0x7B, 0xFFFF)
	};

	exports.UNICODE = {
		'd': regenerate().addRange(0x30, 0x39),
		'D': regenerate().addRange(0x0, 0x2F).addRange(0x3A, 0x10FFFF),
		's': regenerate(0x20, 0xA0, 0x1680, 0x202F, 0x205F, 0x3000, 0xFEFF).addRange(0x9, 0xD).addRange(0x2000, 0x200A).addRange(0x2028, 0x2029),
		'S': regenerate().addRange(0x0, 0x8).addRange(0xE, 0x1F).addRange(0x21, 0x9F).addRange(0xA1, 0x167F).addRange(0x1681, 0x1FFF).addRange(0x200B, 0x2027).addRange(0x202A, 0x202E).addRange(0x2030, 0x205E).addRange(0x2060, 0x2FFF).addRange(0x3001, 0xFEFE).addRange(0xFF00, 0x10FFFF),
		'w': regenerate(0x5F).addRange(0x30, 0x39).addRange(0x41, 0x5A).addRange(0x61, 0x7A),
		'W': regenerate(0x60).addRange(0x0, 0x2F).addRange(0x3A, 0x40).addRange(0x5B, 0x5E).addRange(0x7B, 0x10FFFF)
	};

	exports.UNICODE_IGNORE_CASE = {
		'd': regenerate().addRange(0x30, 0x39),
		'D': regenerate().addRange(0x0, 0x2F).addRange(0x3A, 0x10FFFF),
		's': regenerate(0x20, 0xA0, 0x1680, 0x202F, 0x205F, 0x3000, 0xFEFF).addRange(0x9, 0xD).addRange(0x2000, 0x200A).addRange(0x2028, 0x2029),
		'S': regenerate().addRange(0x0, 0x8).addRange(0xE, 0x1F).addRange(0x21, 0x9F).addRange(0xA1, 0x167F).addRange(0x1681, 0x1FFF).addRange(0x200B, 0x2027).addRange(0x202A, 0x202E).addRange(0x2030, 0x205E).addRange(0x2060, 0x2FFF).addRange(0x3001, 0xFEFE).addRange(0xFF00, 0x10FFFF),
		'w': regenerate(0x5F, 0x17F, 0x212A).addRange(0x30, 0x39).addRange(0x41, 0x5A).addRange(0x61, 0x7A),
		'W': regenerate(0x4B, 0x53, 0x60).addRange(0x0, 0x2F).addRange(0x3A, 0x40).addRange(0x5B, 0x5E).addRange(0x7B, 0x10FFFF)
	};

/***/ },
/* 433 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var generate = __webpack_require__(434).generate;
	var parse = __webpack_require__(435).parse;
	var regenerate = __webpack_require__(161);
	var iuMappings = __webpack_require__(686);
	var ESCAPE_SETS = __webpack_require__(432);

	function getCharacterClassEscapeSet(character) {
		if (unicode) {
			if (ignoreCase) {
				return ESCAPE_SETS.UNICODE_IGNORE_CASE[character];
			}
			return ESCAPE_SETS.UNICODE[character];
		}
		return ESCAPE_SETS.REGULAR[character];
	}

	var object = {};
	var hasOwnProperty = object.hasOwnProperty;
	function has(object, property) {
		return hasOwnProperty.call(object, property);
	}

	// Prepare a Regenerate set containing all code points, used for negative
	// character classes (if any).
	var UNICODE_SET = regenerate().addRange(0x0, 0x10FFFF);
	// Without the `u` flag, the range stops at 0xFFFF.
	// https://mths.be/es6#sec-pattern-semantics
	var BMP_SET = regenerate().addRange(0x0, 0xFFFF);

	// Prepare a Regenerate set containing all code points that are supposed to be
	// matched by `/./u`. https://mths.be/es6#sec-atom
	var DOT_SET_UNICODE = UNICODE_SET.clone() // all Unicode code points
	.remove(
	// minus `LineTerminator`s (https://mths.be/es6#sec-line-terminators):
	0x000A, // Line Feed <LF>
	0x000D, // Carriage Return <CR>
	0x2028, // Line Separator <LS>
	0x2029 // Paragraph Separator <PS>
	);
	// Prepare a Regenerate set containing all code points that are supposed to be
	// matched by `/./` (only BMP code points).
	var DOT_SET = DOT_SET_UNICODE.clone().intersection(BMP_SET);

	// Add a range of code points + any case-folded code points in that range to a
	// set.
	regenerate.prototype.iuAddRange = function (min, max) {
		var $this = this;
		do {
			var folded = caseFold(min);
			if (folded) {
				$this.add(folded);
			}
		} while (++min <= max);
		return $this;
	};

	function assign(target, source) {
		for (var key in source) {
			// Note: `hasOwnProperty` is not needed here.
			target[key] = source[key];
		}
	}

	function update(item, pattern) {
		// TODO: Test if memoizing `pattern` here is worth the effort.
		if (!pattern) {
			return;
		}
		var tree = parse(pattern, '');
		switch (tree.type) {
			case 'characterClass':
			case 'group':
			case 'value':
				// No wrapping needed.
				break;
			default:
				// Wrap the pattern in a non-capturing group.
				tree = wrap(tree, pattern);
		}
		assign(item, tree);
	}

	function wrap(tree, pattern) {
		// Wrap the pattern in a non-capturing group.
		return {
			'type': 'group',
			'behavior': 'ignore',
			'body': [tree],
			'raw': '(?:' + pattern + ')'
		};
	}

	function caseFold(codePoint) {
		return has(iuMappings, codePoint) ? iuMappings[codePoint] : false;
	}

	var ignoreCase = false;
	var unicode = false;
	function processCharacterClass(characterClassItem) {
		var set = regenerate();
		var body = characterClassItem.body.forEach(function (item) {
			switch (item.type) {
				case 'value':
					set.add(item.codePoint);
					if (ignoreCase && unicode) {
						var folded = caseFold(item.codePoint);
						if (folded) {
							set.add(folded);
						}
					}
					break;
				case 'characterClassRange':
					var min = item.min.codePoint;
					var max = item.max.codePoint;
					set.addRange(min, max);
					if (ignoreCase && unicode) {
						set.iuAddRange(min, max);
					}
					break;
				case 'characterClassEscape':
					set.add(getCharacterClassEscapeSet(item.value));
					break;
				// The `default` clause is only here as a safeguard; it should never be
				// reached. Code coverage tools should ignore it.
				/* istanbul ignore next */
				default:
					throw Error('Unknown term type: ' + item.type);
			}
		});
		if (characterClassItem.negative) {
			set = (unicode ? UNICODE_SET : BMP_SET).clone().remove(set);
		}
		update(characterClassItem, set.toString());
		return characterClassItem;
	}

	function processTerm(item) {
		switch (item.type) {
			case 'dot':
				update(item, (unicode ? DOT_SET_UNICODE : DOT_SET).toString());
				break;
			case 'characterClass':
				item = processCharacterClass(item);
				break;
			case 'characterClassEscape':
				update(item, getCharacterClassEscapeSet(item.value).toString());
				break;
			case 'alternative':
			case 'disjunction':
			case 'group':
			case 'quantifier':
				item.body = item.body.map(processTerm);
				break;
			case 'value':
				var codePoint = item.codePoint;
				var set = regenerate(codePoint);
				if (ignoreCase && unicode) {
					var folded = caseFold(codePoint);
					if (folded) {
						set.add(folded);
					}
				}
				update(item, set.toString());
				break;
			case 'anchor':
			case 'empty':
			case 'group':
			case 'reference':
				// Nothing to do here.
				break;
			// The `default` clause is only here as a safeguard; it should never be
			// reached. Code coverage tools should ignore it.
			/* istanbul ignore next */
			default:
				throw Error('Unknown term type: ' + item.type);
		}
		return item;
	};

	module.exports = function (pattern, flags) {
		var tree = parse(pattern, flags);
		ignoreCase = flags ? flags.indexOf('i') > -1 : false;
		unicode = flags ? flags.indexOf('u') > -1 : false;
		assign(tree, processTerm(tree));
		return generate(tree);
	};

/***/ },
/* 434 */
/***/ function(module, exports, __webpack_require__) {

	var __WEBPACK_AMD_DEFINE_RESULT__;/* WEBPACK VAR INJECTION */(function(module, global) {'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	/*!
	 * RegJSGen
	 * Copyright 2014 Benjamin Tan <https://d10.github.io/>
	 * Available under MIT license <http://d10.mit-license.org/>
	 */
	;(function () {
	  'use strict';

	  /** Used to determine if values are of the language type `Object` */

	  var objectTypes = {
	    'function': true,
	    'object': true
	  };

	  /** Used as a reference to the global object */
	  var root = objectTypes[typeof window === 'undefined' ? 'undefined' : _typeof(window)] && window || this;

	  /** Backup possible global object */
	  var oldRoot = root;

	  /** Detect free variable `exports` */
	  var freeExports = objectTypes[ false ? 'undefined' : _typeof(exports)] && exports;

	  /** Detect free variable `module` */
	  var freeModule = objectTypes[ false ? 'undefined' : _typeof(module)] && module && !module.nodeType && module;

	  /** Detect free variable `global` from Node.js or Browserified code and use it as `root` */
	  var freeGlobal = freeExports && freeModule && (typeof global === 'undefined' ? 'undefined' : _typeof(global)) == 'object' && global;
	  if (freeGlobal && (freeGlobal.global === freeGlobal || freeGlobal.window === freeGlobal || freeGlobal.self === freeGlobal)) {
	    root = freeGlobal;
	  }

	  /*--------------------------------------------------------------------------*/

	  /*! Based on https://mths.be/fromcodepoint v0.2.0 by @mathias */

	  var stringFromCharCode = String.fromCharCode;
	  var floor = Math.floor;
	  function fromCodePoint() {
	    var MAX_SIZE = 0x4000;
	    var codeUnits = [];
	    var highSurrogate;
	    var lowSurrogate;
	    var index = -1;
	    var length = arguments.length;
	    if (!length) {
	      return '';
	    }
	    var result = '';
	    while (++index < length) {
	      var codePoint = Number(arguments[index]);
	      if (!isFinite(codePoint) || // `NaN`, `+Infinity`, or `-Infinity`
	      codePoint < 0 || // not a valid Unicode code point
	      codePoint > 0x10FFFF || // not a valid Unicode code point
	      floor(codePoint) != codePoint // not an integer
	      ) {
	          throw RangeError('Invalid code point: ' + codePoint);
	        }
	      if (codePoint <= 0xFFFF) {
	        // BMP code point
	        codeUnits.push(codePoint);
	      } else {
	        // Astral code point; split in surrogate halves
	        // http://mathiasbynens.be/notes/javascript-encoding#surrogate-formulae
	        codePoint -= 0x10000;
	        highSurrogate = (codePoint >> 10) + 0xD800;
	        lowSurrogate = codePoint % 0x400 + 0xDC00;
	        codeUnits.push(highSurrogate, lowSurrogate);
	      }
	      if (index + 1 == length || codeUnits.length > MAX_SIZE) {
	        result += stringFromCharCode.apply(null, codeUnits);
	        codeUnits.length = 0;
	      }
	    }
	    return result;
	  }

	  function assertType(type, expected) {
	    if (expected.indexOf('|') == -1) {
	      if (type == expected) {
	        return;
	      }

	      throw Error('Invalid node type: ' + type);
	    }

	    expected = assertType.hasOwnProperty(expected) ? assertType[expected] : assertType[expected] = RegExp('^(?:' + expected + ')$');

	    if (expected.test(type)) {
	      return;
	    }

	    throw Error('Invalid node type: ' + type);
	  }

	  /*--------------------------------------------------------------------------*/

	  function generate(node) {
	    var type = node.type;

	    if (generate.hasOwnProperty(type) && typeof generate[type] == 'function') {
	      return generate[type](node);
	    }

	    throw Error('Invalid node type: ' + type);
	  }

	  /*--------------------------------------------------------------------------*/

	  function generateAlternative(node) {
	    assertType(node.type, 'alternative');

	    var terms = node.body,
	        length = terms ? terms.length : 0;

	    if (length == 1) {
	      return generateTerm(terms[0]);
	    } else {
	      var i = -1,
	          result = '';

	      while (++i < length) {
	        result += generateTerm(terms[i]);
	      }

	      return result;
	    }
	  }

	  function generateAnchor(node) {
	    assertType(node.type, 'anchor');

	    switch (node.kind) {
	      case 'start':
	        return '^';
	      case 'end':
	        return '$';
	      case 'boundary':
	        return '\\b';
	      case 'not-boundary':
	        return '\\B';
	      default:
	        throw Error('Invalid assertion');
	    }
	  }

	  function generateAtom(node) {
	    assertType(node.type, 'anchor|characterClass|characterClassEscape|dot|group|reference|value');

	    return generate(node);
	  }

	  function generateCharacterClass(node) {
	    assertType(node.type, 'characterClass');

	    var classRanges = node.body,
	        length = classRanges ? classRanges.length : 0;

	    var i = -1,
	        result = '[';

	    if (node.negative) {
	      result += '^';
	    }

	    while (++i < length) {
	      result += generateClassAtom(classRanges[i]);
	    }

	    result += ']';

	    return result;
	  }

	  function generateCharacterClassEscape(node) {
	    assertType(node.type, 'characterClassEscape');

	    return '\\' + node.value;
	  }

	  function generateCharacterClassRange(node) {
	    assertType(node.type, 'characterClassRange');

	    var min = node.min,
	        max = node.max;

	    if (min.type == 'characterClassRange' || max.type == 'characterClassRange') {
	      throw Error('Invalid character class range');
	    }

	    return generateClassAtom(min) + '-' + generateClassAtom(max);
	  }

	  function generateClassAtom(node) {
	    assertType(node.type, 'anchor|characterClassEscape|characterClassRange|dot|value');

	    return generate(node);
	  }

	  function generateDisjunction(node) {
	    assertType(node.type, 'disjunction');

	    var body = node.body,
	        length = body ? body.length : 0;

	    if (length == 0) {
	      throw Error('No body');
	    } else if (length == 1) {
	      return generate(body[0]);
	    } else {
	      var i = -1,
	          result = '';

	      while (++i < length) {
	        if (i != 0) {
	          result += '|';
	        }
	        result += generate(body[i]);
	      }

	      return result;
	    }
	  }

	  function generateDot(node) {
	    assertType(node.type, 'dot');

	    return '.';
	  }

	  function generateGroup(node) {
	    assertType(node.type, 'group');

	    var result = '(';

	    switch (node.behavior) {
	      case 'normal':
	        break;
	      case 'ignore':
	        result += '?:';
	        break;
	      case 'lookahead':
	        result += '?=';
	        break;
	      case 'negativeLookahead':
	        result += '?!';
	        break;
	      default:
	        throw Error('Invalid behaviour: ' + node.behaviour);
	    }

	    var body = node.body,
	        length = body ? body.length : 0;

	    if (length == 1) {
	      result += generate(body[0]);
	    } else {
	      var i = -1;

	      while (++i < length) {
	        result += generate(body[i]);
	      }
	    }

	    result += ')';

	    return result;
	  }

	  function generateQuantifier(node) {
	    assertType(node.type, 'quantifier');

	    var quantifier = '',
	        min = node.min,
	        max = node.max;

	    switch (max) {
	      case undefined:
	      case null:
	        switch (min) {
	          case 0:
	            quantifier = '*';
	            break;
	          case 1:
	            quantifier = '+';
	            break;
	          default:
	            quantifier = '{' + min + ',}';
	            break;
	        }
	        break;
	      default:
	        if (min == max) {
	          quantifier = '{' + min + '}';
	        } else if (min == 0 && max == 1) {
	          quantifier = '?';
	        } else {
	          quantifier = '{' + min + ',' + max + '}';
	        }
	        break;
	    }

	    if (!node.greedy) {
	      quantifier += '?';
	    }

	    return generateAtom(node.body[0]) + quantifier;
	  }

	  function generateReference(node) {
	    assertType(node.type, 'reference');

	    return '\\' + node.matchIndex;
	  }

	  function generateTerm(node) {
	    assertType(node.type, 'anchor|characterClass|characterClassEscape|empty|group|quantifier|reference|value');

	    return generate(node);
	  }

	  function generateValue(node) {
	    assertType(node.type, 'value');

	    var kind = node.kind,
	        codePoint = node.codePoint;

	    switch (kind) {
	      case 'controlLetter':
	        return '\\c' + fromCodePoint(codePoint + 64);
	      case 'hexadecimalEscape':
	        return '\\x' + ('00' + codePoint.toString(16).toUpperCase()).slice(-2);
	      case 'identifier':
	        return '\\' + fromCodePoint(codePoint);
	      case 'null':
	        return '\\' + codePoint;
	      case 'octal':
	        return '\\' + codePoint.toString(8);
	      case 'singleEscape':
	        switch (codePoint) {
	          case 0x0008:
	            return '\\b';
	          case 0x009:
	            return '\\t';
	          case 0x00A:
	            return '\\n';
	          case 0x00B:
	            return '\\v';
	          case 0x00C:
	            return '\\f';
	          case 0x00D:
	            return '\\r';
	          default:
	            throw Error('Invalid codepoint: ' + codePoint);
	        }
	      case 'symbol':
	        return fromCodePoint(codePoint);
	      case 'unicodeEscape':
	        return '\\u' + ('0000' + codePoint.toString(16).toUpperCase()).slice(-4);
	      case 'unicodeCodePointEscape':
	        return '\\u{' + codePoint.toString(16).toUpperCase() + '}';
	      default:
	        throw Error('Unsupported node kind: ' + kind);
	    }
	  }

	  /*--------------------------------------------------------------------------*/

	  generate.alternative = generateAlternative;
	  generate.anchor = generateAnchor;
	  generate.characterClass = generateCharacterClass;
	  generate.characterClassEscape = generateCharacterClassEscape;
	  generate.characterClassRange = generateCharacterClassRange;
	  generate.disjunction = generateDisjunction;
	  generate.dot = generateDot;
	  generate.group = generateGroup;
	  generate.quantifier = generateQuantifier;
	  generate.reference = generateReference;
	  generate.value = generateValue;

	  /*--------------------------------------------------------------------------*/

	  // export regjsgen
	  // some AMD build optimizers, like r.js, check for condition patterns like the following:
	  if ("function" == 'function' && _typeof(__webpack_require__(62)) == 'object' && __webpack_require__(62)) {
	    // define as an anonymous module so, through path mapping, it can be aliased
	    !(__WEBPACK_AMD_DEFINE_RESULT__ = function () {
	      return {
	        'generate': generate
	      };
	    }.call(exports, __webpack_require__, exports, module), __WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
	  }
	  // check for `exports` after `define` in case a build optimizer adds an `exports` object
	  else if (freeExports && freeModule) {
	      // in Narwhal, Node.js, Rhino -require, or RingoJS
	      freeExports.generate = generate;
	    }
	    // in a browser or Rhino
	    else {
	        root.regjsgen = {
	          'generate': generate
	        };
	      }
	}).call(undefined);
	/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(35)(module), (function() { return this; }())))

/***/ },
/* 435 */
/***/ function(module, exports) {

	'use strict';

	// regjsparser
	//
	// ==================================================================
	//
	// See ECMA-262 Standard: 15.10.1
	//
	// NOTE: The ECMA-262 standard uses the term "Assertion" for /^/. Here the
	//   term "Anchor" is used.
	//
	// Pattern ::
	//      Disjunction
	//
	// Disjunction ::
	//      Alternative
	//      Alternative | Disjunction
	//
	// Alternative ::
	//      [empty]
	//      Alternative Term
	//
	// Term ::
	//      Anchor
	//      Atom
	//      Atom Quantifier
	//
	// Anchor ::
	//      ^
	//      $
	//      \ b
	//      \ B
	//      ( ? = Disjunction )
	//      ( ? ! Disjunction )
	//
	// Quantifier ::
	//      QuantifierPrefix
	//      QuantifierPrefix ?
	//
	// QuantifierPrefix ::
	//      *
	//      +
	//      ?
	//      { DecimalDigits }
	//      { DecimalDigits , }
	//      { DecimalDigits , DecimalDigits }
	//
	// Atom ::
	//      PatternCharacter
	//      .
	//      \ AtomEscape
	//      CharacterClass
	//      ( Disjunction )
	//      ( ? : Disjunction )
	//
	// PatternCharacter ::
	//      SourceCharacter but not any of: ^ $ \ . * + ? ( ) [ ] { } |
	//
	// AtomEscape ::
	//      DecimalEscape
	//      CharacterEscape
	//      CharacterClassEscape
	//
	// CharacterEscape[U] ::
	//      ControlEscape
	//      c ControlLetter
	//      HexEscapeSequence
	//      RegExpUnicodeEscapeSequence[?U] (ES6)
	//      IdentityEscape[?U]
	//
	// ControlEscape ::
	//      one of f n r t v
	// ControlLetter ::
	//      one of
	//          a b c d e f g h i j k l m n o p q r s t u v w x y z
	//          A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
	//
	// IdentityEscape ::
	//      SourceCharacter but not IdentifierPart
	//      <ZWJ>
	//      <ZWNJ>
	//
	// DecimalEscape ::
	//      DecimalIntegerLiteral [lookahead ∉ DecimalDigit]
	//
	// CharacterClassEscape ::
	//      one of d D s S w W
	//
	// CharacterClass ::
	//      [ [lookahead ∉ {^}] ClassRanges ]
	//      [ ^ ClassRanges ]
	//
	// ClassRanges ::
	//      [empty]
	//      NonemptyClassRanges
	//
	// NonemptyClassRanges ::
	//      ClassAtom
	//      ClassAtom NonemptyClassRangesNoDash
	//      ClassAtom - ClassAtom ClassRanges
	//
	// NonemptyClassRangesNoDash ::
	//      ClassAtom
	//      ClassAtomNoDash NonemptyClassRangesNoDash
	//      ClassAtomNoDash - ClassAtom ClassRanges
	//
	// ClassAtom ::
	//      -
	//      ClassAtomNoDash
	//
	// ClassAtomNoDash ::
	//      SourceCharacter but not one of \ or ] or -
	//      \ ClassEscape
	//
	// ClassEscape ::
	//      DecimalEscape
	//      b
	//      CharacterEscape
	//      CharacterClassEscape

	(function () {

	  function parse(str, flags) {
	    function addRaw(node) {
	      node.raw = str.substring(node.range[0], node.range[1]);
	      return node;
	    }

	    function updateRawStart(node, start) {
	      node.range[0] = start;
	      return addRaw(node);
	    }

	    function createAnchor(kind, rawLength) {
	      return addRaw({
	        type: 'anchor',
	        kind: kind,
	        range: [pos - rawLength, pos]
	      });
	    }

	    function createValue(kind, codePoint, from, to) {
	      return addRaw({
	        type: 'value',
	        kind: kind,
	        codePoint: codePoint,
	        range: [from, to]
	      });
	    }

	    function createEscaped(kind, codePoint, value, fromOffset) {
	      fromOffset = fromOffset || 0;
	      return createValue(kind, codePoint, pos - (value.length + fromOffset), pos);
	    }

	    function createCharacter(matches) {
	      var _char = matches[0];
	      var first = _char.charCodeAt(0);
	      if (hasUnicodeFlag) {
	        var second;
	        if (_char.length === 1 && first >= 0xD800 && first <= 0xDBFF) {
	          second = lookahead().charCodeAt(0);
	          if (second >= 0xDC00 && second <= 0xDFFF) {
	            // Unicode surrogate pair
	            pos++;
	            return createValue('symbol', (first - 0xD800) * 0x400 + second - 0xDC00 + 0x10000, pos - 2, pos);
	          }
	        }
	      }
	      return createValue('symbol', first, pos - 1, pos);
	    }

	    function createDisjunction(alternatives, from, to) {
	      return addRaw({
	        type: 'disjunction',
	        body: alternatives,
	        range: [from, to]
	      });
	    }

	    function createDot() {
	      return addRaw({
	        type: 'dot',
	        range: [pos - 1, pos]
	      });
	    }

	    function createCharacterClassEscape(value) {
	      return addRaw({
	        type: 'characterClassEscape',
	        value: value,
	        range: [pos - 2, pos]
	      });
	    }

	    function createReference(matchIndex) {
	      return addRaw({
	        type: 'reference',
	        matchIndex: parseInt(matchIndex, 10),
	        range: [pos - 1 - matchIndex.length, pos]
	      });
	    }

	    function createGroup(behavior, disjunction, from, to) {
	      return addRaw({
	        type: 'group',
	        behavior: behavior,
	        body: disjunction,
	        range: [from, to]
	      });
	    }

	    function createQuantifier(min, max, from, to) {
	      if (to == null) {
	        from = pos - 1;
	        to = pos;
	      }

	      return addRaw({
	        type: 'quantifier',
	        min: min,
	        max: max,
	        greedy: true,
	        body: null, // set later on
	        range: [from, to]
	      });
	    }

	    function createAlternative(terms, from, to) {
	      return addRaw({
	        type: 'alternative',
	        body: terms,
	        range: [from, to]
	      });
	    }

	    function createCharacterClass(classRanges, negative, from, to) {
	      return addRaw({
	        type: 'characterClass',
	        body: classRanges,
	        negative: negative,
	        range: [from, to]
	      });
	    }

	    function createClassRange(min, max, from, to) {
	      // See 15.10.2.15:
	      if (min.codePoint > max.codePoint) {
	        bail('invalid range in character class', min.raw + '-' + max.raw, from, to);
	      }

	      return addRaw({
	        type: 'characterClassRange',
	        min: min,
	        max: max,
	        range: [from, to]
	      });
	    }

	    function flattenBody(body) {
	      if (body.type === 'alternative') {
	        return body.body;
	      } else {
	        return [body];
	      }
	    }

	    function isEmpty(obj) {
	      return obj.type === 'empty';
	    }

	    function incr(amount) {
	      amount = amount || 1;
	      var res = str.substring(pos, pos + amount);
	      pos += amount || 1;
	      return res;
	    }

	    function skip(value) {
	      if (!match(value)) {
	        bail('character', value);
	      }
	    }

	    function match(value) {
	      if (str.indexOf(value, pos) === pos) {
	        return incr(value.length);
	      }
	    }

	    function lookahead() {
	      return str[pos];
	    }

	    function current(value) {
	      return str.indexOf(value, pos) === pos;
	    }

	    function next(value) {
	      return str[pos + 1] === value;
	    }

	    function matchReg(regExp) {
	      var subStr = str.substring(pos);
	      var res = subStr.match(regExp);
	      if (res) {
	        res.range = [];
	        res.range[0] = pos;
	        incr(res[0].length);
	        res.range[1] = pos;
	      }
	      return res;
	    }

	    function parseDisjunction() {
	      // Disjunction ::
	      //      Alternative
	      //      Alternative | Disjunction
	      var res = [],
	          from = pos;
	      res.push(parseAlternative());

	      while (match('|')) {
	        res.push(parseAlternative());
	      }

	      if (res.length === 1) {
	        return res[0];
	      }

	      return createDisjunction(res, from, pos);
	    }

	    function parseAlternative() {
	      var res = [],
	          from = pos;
	      var term;

	      // Alternative ::
	      //      [empty]
	      //      Alternative Term
	      while (term = parseTerm()) {
	        res.push(term);
	      }

	      if (res.length === 1) {
	        return res[0];
	      }

	      return createAlternative(res, from, pos);
	    }

	    function parseTerm() {
	      // Term ::
	      //      Anchor
	      //      Atom
	      //      Atom Quantifier

	      if (pos >= str.length || current('|') || current(')')) {
	        return null; /* Means: The term is empty */
	      }

	      var anchor = parseAnchor();

	      if (anchor) {
	        return anchor;
	      }

	      var atom = parseAtom();
	      if (!atom) {
	        bail('Expected atom');
	      }
	      var quantifier = parseQuantifier() || false;
	      if (quantifier) {
	        quantifier.body = flattenBody(atom);
	        // The quantifier contains the atom. Therefore, the beginning of the
	        // quantifier range is given by the beginning of the atom.
	        updateRawStart(quantifier, atom.range[0]);
	        return quantifier;
	      }
	      return atom;
	    }

	    function parseGroup(matchA, typeA, matchB, typeB) {
	      var type = null,
	          from = pos;

	      if (match(matchA)) {
	        type = typeA;
	      } else if (match(matchB)) {
	        type = typeB;
	      } else {
	        return false;
	      }

	      var body = parseDisjunction();
	      if (!body) {
	        bail('Expected disjunction');
	      }
	      skip(')');
	      var group = createGroup(type, flattenBody(body), from, pos);

	      if (type == 'normal') {
	        // Keep track of the number of closed groups. This is required for
	        // parseDecimalEscape(). In case the string is parsed a second time the
	        // value already holds the total count and no incrementation is required.
	        if (firstIteration) {
	          closedCaptureCounter++;
	        }
	      }
	      return group;
	    }

	    function parseAnchor() {
	      // Anchor ::
	      //      ^
	      //      $
	      //      \ b
	      //      \ B
	      //      ( ? = Disjunction )
	      //      ( ? ! Disjunction )
	      var res,
	          from = pos;

	      if (match('^')) {
	        return createAnchor('start', 1 /* rawLength */);
	      } else if (match('$')) {
	        return createAnchor('end', 1 /* rawLength */);
	      } else if (match('\\b')) {
	        return createAnchor('boundary', 2 /* rawLength */);
	      } else if (match('\\B')) {
	        return createAnchor('not-boundary', 2 /* rawLength */);
	      } else {
	        return parseGroup('(?=', 'lookahead', '(?!', 'negativeLookahead');
	      }
	    }

	    function parseQuantifier() {
	      // Quantifier ::
	      //      QuantifierPrefix
	      //      QuantifierPrefix ?
	      //
	      // QuantifierPrefix ::
	      //      *
	      //      +
	      //      ?
	      //      { DecimalDigits }
	      //      { DecimalDigits , }
	      //      { DecimalDigits , DecimalDigits }

	      var res,
	          from = pos;
	      var quantifier;
	      var min, max;

	      if (match('*')) {
	        quantifier = createQuantifier(0);
	      } else if (match('+')) {
	        quantifier = createQuantifier(1);
	      } else if (match('?')) {
	        quantifier = createQuantifier(0, 1);
	      } else if (res = matchReg(/^\{([0-9]+)\}/)) {
	        min = parseInt(res[1], 10);
	        quantifier = createQuantifier(min, min, res.range[0], res.range[1]);
	      } else if (res = matchReg(/^\{([0-9]+),\}/)) {
	        min = parseInt(res[1], 10);
	        quantifier = createQuantifier(min, undefined, res.range[0], res.range[1]);
	      } else if (res = matchReg(/^\{([0-9]+),([0-9]+)\}/)) {
	        min = parseInt(res[1], 10);
	        max = parseInt(res[2], 10);
	        if (min > max) {
	          bail('numbers out of order in {} quantifier', '', from, pos);
	        }
	        quantifier = createQuantifier(min, max, res.range[0], res.range[1]);
	      }

	      if (quantifier) {
	        if (match('?')) {
	          quantifier.greedy = false;
	          quantifier.range[1] += 1;
	        }
	      }

	      return quantifier;
	    }

	    function parseAtom() {
	      // Atom ::
	      //      PatternCharacter
	      //      .
	      //      \ AtomEscape
	      //      CharacterClass
	      //      ( Disjunction )
	      //      ( ? : Disjunction )

	      var res;

	      // jviereck: allow ']', '}' here as well to be compatible with browser's
	      //   implementations: ']'.match(/]/);
	      // if (res = matchReg(/^[^^$\\.*+?()[\]{}|]/)) {
	      if (res = matchReg(/^[^^$\\.*+?(){[|]/)) {
	        //      PatternCharacter
	        return createCharacter(res);
	      } else if (match('.')) {
	        //      .
	        return createDot();
	      } else if (match('\\')) {
	        //      \ AtomEscape
	        res = parseAtomEscape();
	        if (!res) {
	          bail('atomEscape');
	        }
	        return res;
	      } else if (res = parseCharacterClass()) {
	        return res;
	      } else {
	        //      ( Disjunction )
	        //      ( ? : Disjunction )
	        return parseGroup('(?:', 'ignore', '(', 'normal');
	      }
	    }

	    function parseUnicodeSurrogatePairEscape(firstEscape) {
	      if (hasUnicodeFlag) {
	        var first, second;
	        if (firstEscape.kind == 'unicodeEscape' && (first = firstEscape.codePoint) >= 0xD800 && first <= 0xDBFF && current('\\') && next('u')) {
	          var prevPos = pos;
	          pos++;
	          var secondEscape = parseClassEscape();
	          if (secondEscape.kind == 'unicodeEscape' && (second = secondEscape.codePoint) >= 0xDC00 && second <= 0xDFFF) {
	            // Unicode surrogate pair
	            firstEscape.range[1] = secondEscape.range[1];
	            firstEscape.codePoint = (first - 0xD800) * 0x400 + second - 0xDC00 + 0x10000;
	            firstEscape.type = 'value';
	            firstEscape.kind = 'unicodeCodePointEscape';
	            addRaw(firstEscape);
	          } else {
	            pos = prevPos;
	          }
	        }
	      }
	      return firstEscape;
	    }

	    function parseClassEscape() {
	      return parseAtomEscape(true);
	    }

	    function parseAtomEscape(insideCharacterClass) {
	      // AtomEscape ::
	      //      DecimalEscape
	      //      CharacterEscape
	      //      CharacterClassEscape

	      var res,
	          from = pos;

	      res = parseDecimalEscape();
	      if (res) {
	        return res;
	      }

	      // For ClassEscape
	      if (insideCharacterClass) {
	        if (match('b')) {
	          // 15.10.2.19
	          // The production ClassEscape :: b evaluates by returning the
	          // CharSet containing the one character <BS> (Unicode value 0008).
	          return createEscaped('singleEscape', 0x0008, '\\b');
	        } else if (match('B')) {
	          bail('\\B not possible inside of CharacterClass', '', from);
	        }
	      }

	      res = parseCharacterEscape();

	      return res;
	    }

	    function parseDecimalEscape() {
	      // DecimalEscape ::
	      //      DecimalIntegerLiteral [lookahead ∉ DecimalDigit]
	      //      CharacterClassEscape :: one of d D s S w W

	      var res, match;

	      if (res = matchReg(/^(?!0)\d+/)) {
	        match = res[0];
	        var refIdx = parseInt(res[0], 10);
	        if (refIdx <= closedCaptureCounter) {
	          // If the number is smaller than the normal-groups found so
	          // far, then it is a reference...
	          return createReference(res[0]);
	        } else {
	          // ... otherwise it needs to be interpreted as a octal (if the
	          // number is in an octal format). If it is NOT octal format,
	          // then the slash is ignored and the number is matched later
	          // as normal characters.

	          // Recall the negative decision to decide if the input must be parsed
	          // a second time with the total normal-groups.
	          backrefDenied.push(refIdx);

	          // Reset the position again, as maybe only parts of the previous
	          // matched numbers are actual octal numbers. E.g. in '019' only
	          // the '01' should be matched.
	          incr(-res[0].length);
	          if (res = matchReg(/^[0-7]{1,3}/)) {
	            return createEscaped('octal', parseInt(res[0], 8), res[0], 1);
	          } else {
	            // If we end up here, we have a case like /\91/. Then the
	            // first slash is to be ignored and the 9 & 1 to be treated
	            // like ordinary characters. Create a character for the
	            // first number only here - other number-characters
	            // (if available) will be matched later.
	            res = createCharacter(matchReg(/^[89]/));
	            return updateRawStart(res, res.range[0] - 1);
	          }
	        }
	      }
	      // Only allow octal numbers in the following. All matched numbers start
	      // with a zero (if the do not, the previous if-branch is executed).
	      // If the number is not octal format and starts with zero (e.g. `091`)
	      // then only the zeros `0` is treated here and the `91` are ordinary
	      // characters.
	      // Example:
	      //   /\091/.exec('\091')[0].length === 3
	      else if (res = matchReg(/^[0-7]{1,3}/)) {
	          match = res[0];
	          if (/^0{1,3}$/.test(match)) {
	            // If they are all zeros, then only take the first one.
	            return createEscaped('null', 0x0000, '0', match.length + 1);
	          } else {
	            return createEscaped('octal', parseInt(match, 8), match, 1);
	          }
	        } else if (res = matchReg(/^[dDsSwW]/)) {
	          return createCharacterClassEscape(res[0]);
	        }
	      return false;
	    }

	    function parseCharacterEscape() {
	      // CharacterEscape ::
	      //      ControlEscape
	      //      c ControlLetter
	      //      HexEscapeSequence
	      //      UnicodeEscapeSequence
	      //      IdentityEscape

	      var res;
	      if (res = matchReg(/^[fnrtv]/)) {
	        // ControlEscape
	        var codePoint = 0;
	        switch (res[0]) {
	          case 't':
	            codePoint = 0x009;break;
	          case 'n':
	            codePoint = 0x00A;break;
	          case 'v':
	            codePoint = 0x00B;break;
	          case 'f':
	            codePoint = 0x00C;break;
	          case 'r':
	            codePoint = 0x00D;break;
	        }
	        return createEscaped('singleEscape', codePoint, '\\' + res[0]);
	      } else if (res = matchReg(/^c([a-zA-Z])/)) {
	        // c ControlLetter
	        return createEscaped('controlLetter', res[1].charCodeAt(0) % 32, res[1], 2);
	      } else if (res = matchReg(/^x([0-9a-fA-F]{2})/)) {
	        // HexEscapeSequence
	        return createEscaped('hexadecimalEscape', parseInt(res[1], 16), res[1], 2);
	      } else if (res = matchReg(/^u([0-9a-fA-F]{4})/)) {
	        // UnicodeEscapeSequence
	        return parseUnicodeSurrogatePairEscape(createEscaped('unicodeEscape', parseInt(res[1], 16), res[1], 2));
	      } else if (hasUnicodeFlag && (res = matchReg(/^u\{([0-9a-fA-F]+)\}/))) {
	        // RegExpUnicodeEscapeSequence (ES6 Unicode code point escape)
	        return createEscaped('unicodeCodePointEscape', parseInt(res[1], 16), res[1], 4);
	      } else {
	        // IdentityEscape
	        return parseIdentityEscape();
	      }
	    }

	    // Taken from the Esprima parser.
	    function isIdentifierPart(ch) {
	      // Generated by `tools/generate-identifier-regex.js`.
	      var NonAsciiIdentifierPart = new RegExp('[\xAA\xB5\xBA\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0300-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u0483-\u0487\u048A-\u052F\u0531-\u0556\u0559\u0561-\u0587\u0591-\u05BD\u05BF\u05C1\u05C2\u05C4\u05C5\u05C7\u05D0-\u05EA\u05F0-\u05F2\u0610-\u061A\u0620-\u0669\u066E-\u06D3\u06D5-\u06DC\u06DF-\u06E8\u06EA-\u06FC\u06FF\u0710-\u074A\u074D-\u07B1\u07C0-\u07F5\u07FA\u0800-\u082D\u0840-\u085B\u08A0-\u08B2\u08E4-\u0963\u0966-\u096F\u0971-\u0983\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BC-\u09C4\u09C7\u09C8\u09CB-\u09CE\u09D7\u09DC\u09DD\u09DF-\u09E3\u09E6-\u09F1\u0A01-\u0A03\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A3C\u0A3E-\u0A42\u0A47\u0A48\u0A4B-\u0A4D\u0A51\u0A59-\u0A5C\u0A5E\u0A66-\u0A75\u0A81-\u0A83\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABC-\u0AC5\u0AC7-\u0AC9\u0ACB-\u0ACD\u0AD0\u0AE0-\u0AE3\u0AE6-\u0AEF\u0B01-\u0B03\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3C-\u0B44\u0B47\u0B48\u0B4B-\u0B4D\u0B56\u0B57\u0B5C\u0B5D\u0B5F-\u0B63\u0B66-\u0B6F\u0B71\u0B82\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BBE-\u0BC2\u0BC6-\u0BC8\u0BCA-\u0BCD\u0BD0\u0BD7\u0BE6-\u0BEF\u0C00-\u0C03\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D-\u0C44\u0C46-\u0C48\u0C4A-\u0C4D\u0C55\u0C56\u0C58\u0C59\u0C60-\u0C63\u0C66-\u0C6F\u0C81-\u0C83\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBC-\u0CC4\u0CC6-\u0CC8\u0CCA-\u0CCD\u0CD5\u0CD6\u0CDE\u0CE0-\u0CE3\u0CE6-\u0CEF\u0CF1\u0CF2\u0D01-\u0D03\u0D05-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D-\u0D44\u0D46-\u0D48\u0D4A-\u0D4E\u0D57\u0D60-\u0D63\u0D66-\u0D6F\u0D7A-\u0D7F\u0D82\u0D83\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DCA\u0DCF-\u0DD4\u0DD6\u0DD8-\u0DDF\u0DE6-\u0DEF\u0DF2\u0DF3\u0E01-\u0E3A\u0E40-\u0E4E\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E87\u0E88\u0E8A\u0E8D\u0E94-\u0E97\u0E99-\u0E9F\u0EA1-\u0EA3\u0EA5\u0EA7\u0EAA\u0EAB\u0EAD-\u0EB9\u0EBB-\u0EBD\u0EC0-\u0EC4\u0EC6\u0EC8-\u0ECD\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F18\u0F19\u0F20-\u0F29\u0F35\u0F37\u0F39\u0F3E-\u0F47\u0F49-\u0F6C\u0F71-\u0F84\u0F86-\u0F97\u0F99-\u0FBC\u0FC6\u1000-\u1049\u1050-\u109D\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u135D-\u135F\u1380-\u138F\u13A0-\u13F4\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1714\u1720-\u1734\u1740-\u1753\u1760-\u176C\u176E-\u1770\u1772\u1773\u1780-\u17D3\u17D7\u17DC\u17DD\u17E0-\u17E9\u180B-\u180D\u1810-\u1819\u1820-\u1877\u1880-\u18AA\u18B0-\u18F5\u1900-\u191E\u1920-\u192B\u1930-\u193B\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19D9\u1A00-\u1A1B\u1A20-\u1A5E\u1A60-\u1A7C\u1A7F-\u1A89\u1A90-\u1A99\u1AA7\u1AB0-\u1ABD\u1B00-\u1B4B\u1B50-\u1B59\u1B6B-\u1B73\u1B80-\u1BF3\u1C00-\u1C37\u1C40-\u1C49\u1C4D-\u1C7D\u1CD0-\u1CD2\u1CD4-\u1CF6\u1CF8\u1CF9\u1D00-\u1DF5\u1DFC-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u200C\u200D\u203F\u2040\u2054\u2071\u207F\u2090-\u209C\u20D0-\u20DC\u20E1\u20E5-\u20F0\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2160-\u2188\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CF3\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D7F-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2DE0-\u2DFF\u2E2F\u3005-\u3007\u3021-\u302F\u3031-\u3035\u3038-\u303C\u3041-\u3096\u3099\u309A\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312D\u3131-\u318E\u31A0-\u31BA\u31F0-\u31FF\u3400-\u4DB5\u4E00-\u9FCC\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66F\uA674-\uA67D\uA67F-\uA69D\uA69F-\uA6F1\uA717-\uA71F\uA722-\uA788\uA78B-\uA78E\uA790-\uA7AD\uA7B0\uA7B1\uA7F7-\uA827\uA840-\uA873\uA880-\uA8C4\uA8D0-\uA8D9\uA8E0-\uA8F7\uA8FB\uA900-\uA92D\uA930-\uA953\uA960-\uA97C\uA980-\uA9C0\uA9CF-\uA9D9\uA9E0-\uA9FE\uAA00-\uAA36\uAA40-\uAA4D\uAA50-\uAA59\uAA60-\uAA76\uAA7A-\uAAC2\uAADB-\uAADD\uAAE0-\uAAEF\uAAF2-\uAAF6\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB5F\uAB64\uAB65\uABC0-\uABEA\uABEC\uABED\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE00-\uFE0F\uFE20-\uFE2D\uFE33\uFE34\uFE4D-\uFE4F\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF3F\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]');

	      return ch === 36 || ch === 95 || // $ (dollar) and _ (underscore)
	      ch >= 65 && ch <= 90 || // A..Z
	      ch >= 97 && ch <= 122 || // a..z
	      ch >= 48 && ch <= 57 || // 0..9
	      ch === 92 || // \ (backslash)
	      ch >= 0x80 && NonAsciiIdentifierPart.test(String.fromCharCode(ch));
	    }

	    function parseIdentityEscape() {
	      // IdentityEscape ::
	      //      SourceCharacter but not IdentifierPart
	      //      <ZWJ>
	      //      <ZWNJ>

	      var ZWJ = '\u200C';
	      var ZWNJ = '\u200D';

	      var tmp;

	      if (!isIdentifierPart(lookahead())) {
	        tmp = incr();
	        return createEscaped('identifier', tmp.charCodeAt(0), tmp, 1);
	      }

	      if (match(ZWJ)) {
	        // <ZWJ>
	        return createEscaped('identifier', 0x200C, ZWJ);
	      } else if (match(ZWNJ)) {
	        // <ZWNJ>
	        return createEscaped('identifier', 0x200D, ZWNJ);
	      }

	      return null;
	    }

	    function parseCharacterClass() {
	      // CharacterClass ::
	      //      [ [lookahead ∉ {^}] ClassRanges ]
	      //      [ ^ ClassRanges ]

	      var res,
	          from = pos;
	      if (res = matchReg(/^\[\^/)) {
	        res = parseClassRanges();
	        skip(']');
	        return createCharacterClass(res, true, from, pos);
	      } else if (match('[')) {
	        res = parseClassRanges();
	        skip(']');
	        return createCharacterClass(res, false, from, pos);
	      }

	      return null;
	    }

	    function parseClassRanges() {
	      // ClassRanges ::
	      //      [empty]
	      //      NonemptyClassRanges

	      var res;
	      if (current(']')) {
	        // Empty array means nothing insinde of the ClassRange.
	        return [];
	      } else {
	        res = parseNonemptyClassRanges();
	        if (!res) {
	          bail('nonEmptyClassRanges');
	        }
	        return res;
	      }
	    }

	    function parseHelperClassRanges(atom) {
	      var from, to, res;
	      if (current('-') && !next(']')) {
	        // ClassAtom - ClassAtom ClassRanges
	        skip('-');

	        res = parseClassAtom();
	        if (!res) {
	          bail('classAtom');
	        }
	        to = pos;
	        var classRanges = parseClassRanges();
	        if (!classRanges) {
	          bail('classRanges');
	        }
	        from = atom.range[0];
	        if (classRanges.type === 'empty') {
	          return [createClassRange(atom, res, from, to)];
	        }
	        return [createClassRange(atom, res, from, to)].concat(classRanges);
	      }

	      res = parseNonemptyClassRangesNoDash();
	      if (!res) {
	        bail('nonEmptyClassRangesNoDash');
	      }

	      return [atom].concat(res);
	    }

	    function parseNonemptyClassRanges() {
	      // NonemptyClassRanges ::
	      //      ClassAtom
	      //      ClassAtom NonemptyClassRangesNoDash
	      //      ClassAtom - ClassAtom ClassRanges

	      var atom = parseClassAtom();
	      if (!atom) {
	        bail('classAtom');
	      }

	      if (current(']')) {
	        // ClassAtom
	        return [atom];
	      }

	      // ClassAtom NonemptyClassRangesNoDash
	      // ClassAtom - ClassAtom ClassRanges
	      return parseHelperClassRanges(atom);
	    }

	    function parseNonemptyClassRangesNoDash() {
	      // NonemptyClassRangesNoDash ::
	      //      ClassAtom
	      //      ClassAtomNoDash NonemptyClassRangesNoDash
	      //      ClassAtomNoDash - ClassAtom ClassRanges

	      var res = parseClassAtom();
	      if (!res) {
	        bail('classAtom');
	      }
	      if (current(']')) {
	        //      ClassAtom
	        return res;
	      }

	      // ClassAtomNoDash NonemptyClassRangesNoDash
	      // ClassAtomNoDash - ClassAtom ClassRanges
	      return parseHelperClassRanges(res);
	    }

	    function parseClassAtom() {
	      // ClassAtom ::
	      //      -
	      //      ClassAtomNoDash
	      if (match('-')) {
	        return createCharacter('-');
	      } else {
	        return parseClassAtomNoDash();
	      }
	    }

	    function parseClassAtomNoDash() {
	      // ClassAtomNoDash ::
	      //      SourceCharacter but not one of \ or ] or -
	      //      \ ClassEscape

	      var res;
	      if (res = matchReg(/^[^\\\]-]/)) {
	        return createCharacter(res[0]);
	      } else if (match('\\')) {
	        res = parseClassEscape();
	        if (!res) {
	          bail('classEscape');
	        }

	        return parseUnicodeSurrogatePairEscape(res);
	      }
	    }

	    function bail(message, details, from, to) {
	      from = from == null ? pos : from;
	      to = to == null ? from : to;

	      var contextStart = Math.max(0, from - 10);
	      var contextEnd = Math.min(to + 10, str.length);

	      // Output a bit of context and a line pointing to where our error is.
	      //
	      // We are assuming that there are no actual newlines in the content as this is a regular expression.
	      var context = '    ' + str.substring(contextStart, contextEnd);
	      var pointer = '    ' + new Array(from - contextStart + 1).join(' ') + '^';

	      throw SyntaxError(message + ' at position ' + from + (details ? ': ' + details : '') + '\n' + context + '\n' + pointer);
	    }

	    var backrefDenied = [];
	    var closedCaptureCounter = 0;
	    var firstIteration = true;
	    var hasUnicodeFlag = (flags || "").indexOf("u") !== -1;
	    var pos = 0;

	    // Convert the input to a string and treat the empty string special.
	    str = String(str);
	    if (str === '') {
	      str = '(?:)';
	    }

	    var result = parseDisjunction();

	    if (result.range[1] !== str.length) {
	      bail('Could not parse entire input - got stuck', '', result.range[1]);
	    }

	    // The spec requires to interpret the `\2` in `/\2()()/` as backreference.
	    // As the parser collects the number of capture groups as the string is
	    // parsed it is impossible to make these decisions at the point when the
	    // `\2` is handled. In case the local decision turns out to be wrong after
	    // the parsing has finished, the input string is parsed a second time with
	    // the total number of capture groups set.
	    //
	    // SEE: https://github.com/jviereck/regjsparser/issues/70
	    for (var i = 0; i < backrefDenied.length; i++) {
	      if (backrefDenied[i] <= closedCaptureCounter) {
	        // Parse the input a second time.
	        pos = 0;
	        firstIteration = false;
	        return parseDisjunction();
	      }
	    }

	    return result;
	  }

	  var regjsparser = {
	    parse: parse
	  };

	  if (typeof module !== 'undefined' && module.exports) {
	    module.exports = regjsparser;
	  } else {
	    window.regjsparser = regjsparser;
	  }
	})();

/***/ },
/* 436 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ansiRegex = __webpack_require__(103)();

	module.exports = function (str) {
		return typeof str === 'string' ? str.replace(ansiRegex, '') : str;
	};

/***/ },
/* 437 */
/***/ function(module, exports) {

	'use strict';

	module.exports = function toFastProperties(obj) {
		function f() {}
		f.prototype = obj;
		new f();
		return;
		eval(obj);
	};

/***/ },
/* 438 */
/***/ function(module, exports) {

	'use strict';

	if (typeof Object.create === 'function') {
	  // implementation from standard node.js 'util' module
	  module.exports = function inherits(ctor, superCtor) {
	    ctor.super_ = superCtor;
	    ctor.prototype = Object.create(superCtor.prototype, {
	      constructor: {
	        value: ctor,
	        enumerable: false,
	        writable: true,
	        configurable: true
	      }
	    });
	  };
	} else {
	  // old school shim for old browsers
	  module.exports = function inherits(ctor, superCtor) {
	    ctor.super_ = superCtor;
	    var TempCtor = function TempCtor() {};
	    TempCtor.prototype = superCtor.prototype;
	    ctor.prototype = new TempCtor();
	    ctor.prototype.constructor = ctor;
	  };
	}

/***/ },
/* 439 */
/***/ function(module, exports) {

	'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

	module.exports = function isBuffer(arg) {
	  return arg && (typeof arg === 'undefined' ? 'undefined' : _typeof(arg)) === 'object' && typeof arg.copy === 'function' && typeof arg.fill === 'function' && typeof arg.readUInt8 === 'function';
	};

/***/ },
/* 440 */
/***/ function(module, exports) {

	"use strict";

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	exports.default = function (_ref) {
	  var t = _ref.types;

	  function createImportDeclaration(polyfill) {
	    var declar = t.importDeclaration([], t.stringLiteral(polyfill));
	    declar._blockHoist = 3;
	    return declar;
	  }

	  function createRequireStatement(polyfill) {
	    return t.expressionStatement(t.callExpression(t.identifier("require"), [t.stringLiteral(polyfill)]));
	  }

	  function isRequire(path) {
	    return t.isExpressionStatement(path.node) && t.isCallExpression(path.node.expression) && t.isIdentifier(path.node.expression.callee) && path.node.expression.callee.name === "require" && path.node.expression.arguments.length === 1 && t.isStringLiteral(path.node.expression.arguments[0]) && isPolyfillSource(path.node.expression.arguments[0].value);
	  }

	  function createImport(polyfill, requireType, core) {
	    if (core) {
	      polyfill = "core-js/modules/" + polyfill;
	    }

	    if (requireType === "import") {
	      return createImportDeclaration(polyfill);
	    } else {
	      return createRequireStatement(polyfill);
	    }
	  }

	  function createImports(polyfills, requireType, regenerator) {
	    var imports = polyfills.filter(function (el, i, arr) {
	      return arr.indexOf(el) === i;
	    }).map(function (polyfill) {
	      return createImport(polyfill, requireType, true);
	    });

	    return [].concat(_toConsumableArray(imports), [regenerator && createImport("regenerator-runtime/runtime", requireType)]).filter(Boolean);
	  }

	  var isPolyfillImport = {
	    ImportDeclaration: function ImportDeclaration(path, state) {
	      if (path.node.specifiers.length === 0 && isPolyfillSource(path.node.source.value)) {
	        this.numPolyfillImports++;
	        if (this.numPolyfillImports > 1) {
	          path.remove();
	          return;
	        }

	        path.replaceWithMultiple(createImports(state.opts.polyfills, "import", state.opts.regenerator));
	      }
	    },
	    Program: function Program(path, state) {
	      var _this = this;

	      if (!state.opts.polyfills) {
	        throw path.buildCodeFrameError("\nThere was an issue in \"babel-preset-env\" such that\nthe \"polyfills\" option was not correctly passed\nto the \"transform-polyfill-require\" plugin\n");
	      }
	      path.get("body").forEach(function (bodyPath) {
	        if (isRequire(bodyPath)) {
	          _this.numPolyfillImports++;
	          if (_this.numPolyfillImports > 1) {
	            path.remove();
	            return;
	          }

	          bodyPath.replaceWithMultiple(createImports(state.opts.polyfills, "require", state.opts.regenerator));
	        }
	      });
	    }
	  };

	  return {
	    name: "transform-polyfill-require",
	    visitor: isPolyfillImport,
	    pre: function pre() {
	      this.numPolyfillImports = 0;
	    }
	  };
	};

	function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

	// Copyright (c) Babel

	// Permission is hereby granted, free of charge, to any person obtaining a copy
	// of this software and associated documentation files (the "Software"), to deal
	// in the Software without restriction, including without limitation the rights
	// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
	// copies of the Software, and to permit persons to whom the Software is
	// furnished to do so, subject to the following conditions:

	// The above copyright notice and this permission notice shall be included in all
	// copies or substantial portions of the Software.

	// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
	// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
	// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
	// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
	// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
	// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
	// SOFTWARE.

	function isPolyfillSource(value) {
	  return value === "babel-polyfill" || value === "core-js";
	}

/***/ },
/* 441 */
/***/ function(module, exports, __webpack_require__) {

	var map = {
		"./AD.json": 443,
		"./AE.json": 444,
		"./AF.json": 445,
		"./AG.json": 446,
		"./AI.json": 447,
		"./AL.json": 448,
		"./AM.json": 449,
		"./AN.json": 450,
		"./AO.json": 451,
		"./AR.json": 452,
		"./AS.json": 453,
		"./AT.json": 454,
		"./AU.json": 455,
		"./AW.json": 456,
		"./AX.json": 457,
		"./AZ.json": 458,
		"./BA.json": 459,
		"./BB.json": 460,
		"./BD.json": 461,
		"./BE.json": 462,
		"./BF.json": 463,
		"./BG.json": 464,
		"./BH.json": 465,
		"./BI.json": 466,
		"./BJ.json": 467,
		"./BM.json": 468,
		"./BN.json": 469,
		"./BO.json": 470,
		"./BR.json": 471,
		"./BS.json": 472,
		"./BT.json": 473,
		"./BW.json": 474,
		"./BY.json": 475,
		"./BZ.json": 476,
		"./CA.json": 477,
		"./CD.json": 478,
		"./CF.json": 479,
		"./CG.json": 480,
		"./CH.json": 481,
		"./CI.json": 482,
		"./CK.json": 483,
		"./CL.json": 484,
		"./CM.json": 485,
		"./CN.json": 486,
		"./CO.json": 487,
		"./CR.json": 488,
		"./CU.json": 489,
		"./CV.json": 490,
		"./CX.json": 491,
		"./CY.json": 492,
		"./CZ.json": 493,
		"./DE.json": 494,
		"./DJ.json": 495,
		"./DK.json": 496,
		"./DM.json": 497,
		"./DO.json": 498,
		"./DZ.json": 499,
		"./EC.json": 500,
		"./EE.json": 501,
		"./EG.json": 502,
		"./ER.json": 503,
		"./ES.json": 504,
		"./ET.json": 505,
		"./FI.json": 506,
		"./FJ.json": 507,
		"./FK.json": 508,
		"./FM.json": 509,
		"./FO.json": 510,
		"./FR.json": 511,
		"./GA.json": 512,
		"./GB.json": 513,
		"./GD.json": 514,
		"./GE.json": 515,
		"./GF.json": 516,
		"./GG.json": 517,
		"./GH.json": 518,
		"./GI.json": 519,
		"./GL.json": 520,
		"./GM.json": 521,
		"./GN.json": 522,
		"./GP.json": 523,
		"./GQ.json": 524,
		"./GR.json": 525,
		"./GT.json": 526,
		"./GU.json": 527,
		"./GW.json": 528,
		"./GY.json": 529,
		"./HK.json": 530,
		"./HN.json": 531,
		"./HR.json": 532,
		"./HT.json": 533,
		"./HU.json": 534,
		"./ID.json": 535,
		"./IE.json": 536,
		"./IL.json": 537,
		"./IM.json": 538,
		"./IN.json": 539,
		"./IQ.json": 540,
		"./IR.json": 541,
		"./IS.json": 542,
		"./IT.json": 543,
		"./JE.json": 544,
		"./JM.json": 545,
		"./JO.json": 546,
		"./JP.json": 547,
		"./KE.json": 548,
		"./KG.json": 549,
		"./KH.json": 550,
		"./KI.json": 551,
		"./KM.json": 552,
		"./KN.json": 553,
		"./KP.json": 554,
		"./KR.json": 555,
		"./KW.json": 556,
		"./KY.json": 557,
		"./KZ.json": 558,
		"./LA.json": 559,
		"./LB.json": 560,
		"./LC.json": 561,
		"./LI.json": 562,
		"./LK.json": 563,
		"./LR.json": 564,
		"./LS.json": 565,
		"./LT.json": 566,
		"./LU.json": 567,
		"./LV.json": 568,
		"./LY.json": 569,
		"./MA.json": 570,
		"./MC.json": 571,
		"./MD.json": 572,
		"./ME.json": 573,
		"./MG.json": 574,
		"./MH.json": 575,
		"./MK.json": 576,
		"./ML.json": 577,
		"./MM.json": 578,
		"./MN.json": 579,
		"./MO.json": 580,
		"./MP.json": 581,
		"./MQ.json": 582,
		"./MR.json": 583,
		"./MS.json": 584,
		"./MT.json": 585,
		"./MU.json": 586,
		"./MV.json": 587,
		"./MW.json": 588,
		"./MX.json": 589,
		"./MY.json": 590,
		"./MZ.json": 591,
		"./NA.json": 592,
		"./NC.json": 593,
		"./NE.json": 594,
		"./NF.json": 595,
		"./NG.json": 596,
		"./NI.json": 597,
		"./NL.json": 598,
		"./NO.json": 599,
		"./NP.json": 600,
		"./NR.json": 601,
		"./NU.json": 602,
		"./NZ.json": 603,
		"./OM.json": 604,
		"./PA.json": 605,
		"./PE.json": 606,
		"./PF.json": 607,
		"./PG.json": 608,
		"./PH.json": 609,
		"./PK.json": 610,
		"./PL.json": 611,
		"./PM.json": 612,
		"./PN.json": 613,
		"./PR.json": 614,
		"./PS.json": 615,
		"./PT.json": 616,
		"./PW.json": 617,
		"./PY.json": 618,
		"./QA.json": 619,
		"./RE.json": 620,
		"./RO.json": 621,
		"./RS.json": 622,
		"./RU.json": 623,
		"./RW.json": 624,
		"./SA.json": 625,
		"./SB.json": 626,
		"./SC.json": 627,
		"./SD.json": 628,
		"./SE.json": 629,
		"./SG.json": 630,
		"./SH.json": 631,
		"./SI.json": 632,
		"./SK.json": 633,
		"./SL.json": 634,
		"./SM.json": 635,
		"./SN.json": 636,
		"./SO.json": 637,
		"./SR.json": 638,
		"./ST.json": 639,
		"./SV.json": 640,
		"./SY.json": 641,
		"./SZ.json": 642,
		"./TC.json": 643,
		"./TD.json": 644,
		"./TG.json": 645,
		"./TH.json": 646,
		"./TJ.json": 647,
		"./TK.json": 648,
		"./TL.json": 649,
		"./TM.json": 650,
		"./TN.json": 651,
		"./TO.json": 652,
		"./TR.json": 653,
		"./TT.json": 654,
		"./TV.json": 655,
		"./TW.json": 656,
		"./TZ.json": 657,
		"./UA.json": 658,
		"./UG.json": 659,
		"./US.json": 660,
		"./UY.json": 661,
		"./UZ.json": 662,
		"./VA.json": 663,
		"./VC.json": 664,
		"./VE.json": 665,
		"./VG.json": 666,
		"./VI.json": 667,
		"./VN.json": 668,
		"./VU.json": 669,
		"./WF.json": 670,
		"./WS.json": 671,
		"./YE.json": 672,
		"./YT.json": 673,
		"./ZA.json": 674,
		"./ZM.json": 675,
		"./ZW.json": 676,
		"./alt-af.json": 677,
		"./alt-an.json": 678,
		"./alt-as.json": 679,
		"./alt-eu.json": 680,
		"./alt-na.json": 681,
		"./alt-oc.json": 682,
		"./alt-sa.json": 683,
		"./alt-ww.json": 684
	};
	function webpackContext(req) {
		return __webpack_require__(webpackContextResolve(req));
	};
	function webpackContextResolve(req) {
		return map[req] || (function() { throw new Error("Cannot find module '" + req + "'.") }());
	};
	webpackContext.keys = function webpackContextKeys() {
		return Object.keys(map);
	};
	webpackContext.resolve = webpackContextResolve;
	module.exports = webpackContext;
	webpackContext.id = 441;


/***/ },
/* 442 */
/***/ function(module, exports) {

	module.exports = {
		"eras": {
			"e-51": "51 versions back",
			"e-50": "50 versions back",
			"e-49": "49 versions back",
			"e-48": "48 versions back",
			"e-47": "47 versions back",
			"e-46": "46 versions back",
			"e-45": "45 versions back",
			"e-44": "44 versions back",
			"e-43": "43 versions back",
			"e-42": "42 versions back",
			"e-41": "41 versions back",
			"e-40": "40 versions back",
			"e-39": "39 versions back",
			"e-38": "38 versions back",
			"e-37": "37 versions back",
			"e-36": "36 versions back",
			"e-35": "35 versions back",
			"e-34": "34 versions back",
			"e-33": "33 versions back",
			"e-32": "32 versions back",
			"e-31": "31 versions back",
			"e-30": "30 versions back",
			"e-29": "29 versions back",
			"e-28": "28 versions back",
			"e-27": "27 versions back",
			"e-26": "26 versions back",
			"e-25": "25 versions back",
			"e-24": "24 versions back",
			"e-23": "23 versions back",
			"e-22": "22 versions back",
			"e-21": "21 versions back",
			"e-20": "20 versions back",
			"e-19": "19 versions back",
			"e-18": "18 versions back",
			"e-17": "17 versions back",
			"e-16": "16 versions back",
			"e-15": "15 versions back",
			"e-14": "14 versions back",
			"e-13": "13 versions back",
			"e-12": "12 versions back",
			"e-11": "11 versions back",
			"e-10": "10 versions back",
			"e-9": "9 versions back",
			"e-8": "8 versions back",
			"e-7": "7 versions back",
			"e-6": "6 versions back",
			"e-5": "5 versions back",
			"e-4": "4 versions back",
			"e-3": "3 versions back",
			"e-2": "2 versions back",
			"e-1": "Previous version",
			"e0": "Current",
			"e1": "Near future",
			"e2": "Farther future",
			"e3": "3 versions ahead"
		},
		"agents": {
			"ie": {
				"browser": "IE",
				"abbr": "IE",
				"prefix": "ms",
				"type": "desktop",
				"usage_global": {
					"6": 0.0193529,
					"7": 0.0241911,
					"8": 0.391896,
					"9": 0.27094,
					"10": 0.251587,
					"11": 3.69156,
					"5.5": 0.009298
				},
				"versions": [
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					"5.5",
					"6",
					"7",
					"8",
					"9",
					"10",
					"11",
					null,
					null,
					null
				]
			},
			"edge": {
				"browser": "Edge",
				"abbr": "Edge",
				"prefix": "ms",
				"type": "desktop",
				"usage_global": {
					"12": 0.056472,
					"13": 0.225888,
					"14": 1.23297,
					"15": 0
				},
				"versions": [
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					"12",
					"13",
					"14",
					"15",
					null,
					null
				]
			},
			"firefox": {
				"browser": "Firefox",
				"abbr": "FF",
				"prefix": "moz",
				"type": "desktop",
				"usage_global": {
					"2": 0.014118,
					"3": 0.037648,
					"4": 0.009412,
					"5": 0.004879,
					"6": 0.020136,
					"7": 0.005725,
					"8": 0.014118,
					"9": 0.00533,
					"10": 0.004706,
					"11": 0.009412,
					"12": 0.014118,
					"13": 0.004706,
					"14": 0.004706,
					"15": 0.014118,
					"16": 0.009412,
					"17": 0.004706,
					"18": 0.014118,
					"19": 0.004706,
					"20": 0.009412,
					"21": 0.02353,
					"22": 0.009412,
					"23": 0.014118,
					"24": 0.014118,
					"25": 0.02353,
					"26": 0.009412,
					"27": 0.009412,
					"28": 0.014118,
					"29": 0.018824,
					"30": 0.014118,
					"31": 0.028236,
					"32": 0.009412,
					"33": 0.018824,
					"34": 0.018824,
					"35": 0.02353,
					"36": 0.02353,
					"37": 0.032942,
					"38": 0.080002,
					"39": 0.037648,
					"40": 0.032942,
					"41": 0.037648,
					"42": 0.037648,
					"43": 0.131768,
					"44": 0.080002,
					"45": 0.160004,
					"46": 0.127062,
					"47": 0.367068,
					"48": 0.268242,
					"49": 3.12478,
					"50": 1.82122,
					"51": 0.056472,
					"52": 0,
					"53": 0,
					"3.5": 0.014118,
					"3.6": 0.037648
				},
				"versions": [
					null,
					"2",
					"3",
					"3.5",
					"3.6",
					"4",
					"5",
					"6",
					"7",
					"8",
					"9",
					"10",
					"11",
					"12",
					"13",
					"14",
					"15",
					"16",
					"17",
					"18",
					"19",
					"20",
					"21",
					"22",
					"23",
					"24",
					"25",
					"26",
					"27",
					"28",
					"29",
					"30",
					"31",
					"32",
					"33",
					"34",
					"35",
					"36",
					"37",
					"38",
					"39",
					"40",
					"41",
					"42",
					"43",
					"44",
					"45",
					"46",
					"47",
					"48",
					"49",
					"50",
					"51",
					"52",
					"53"
				]
			},
			"chrome": {
				"browser": "Chrome",
				"abbr": "Chr.",
				"prefix": "webkit",
				"type": "desktop",
				"usage_global": {
					"4": 0.004706,
					"5": 0.004879,
					"6": 0.004879,
					"7": 0.005591,
					"8": 0.005591,
					"9": 0.005591,
					"10": 0.004706,
					"11": 0.028236,
					"12": 0.009412,
					"13": 0.004879,
					"14": 0.004706,
					"15": 0.004706,
					"16": 0.009412,
					"17": 0.009412,
					"18": 0.014118,
					"19": 0.014118,
					"20": 0.009412,
					"21": 0.014118,
					"22": 0.042354,
					"23": 0.014118,
					"24": 0.032942,
					"25": 0.014118,
					"26": 0.02353,
					"27": 0.018824,
					"28": 0.014118,
					"29": 0.02353,
					"30": 0.02353,
					"31": 0.084708,
					"32": 0.02353,
					"33": 0.042354,
					"34": 0.037648,
					"35": 0.042354,
					"36": 0.028236,
					"37": 0.032942,
					"38": 0.042354,
					"39": 0.056472,
					"40": 0.042354,
					"41": 0.061178,
					"42": 0.061178,
					"43": 0.263536,
					"44": 0.084708,
					"45": 0.301184,
					"46": 0.080002,
					"47": 0.112944,
					"48": 0.127062,
					"49": 1.60004,
					"50": 0.221182,
					"51": 0.592956,
					"52": 0.348244,
					"53": 0.983554,
					"54": 22.5512,
					"55": 0.09412,
					"56": 0.065884,
					"57": 0.004706,
					"58": 0
				},
				"versions": [
					"4",
					"5",
					"6",
					"7",
					"8",
					"9",
					"10",
					"11",
					"12",
					"13",
					"14",
					"15",
					"16",
					"17",
					"18",
					"19",
					"20",
					"21",
					"22",
					"23",
					"24",
					"25",
					"26",
					"27",
					"28",
					"29",
					"30",
					"31",
					"32",
					"33",
					"34",
					"35",
					"36",
					"37",
					"38",
					"39",
					"40",
					"41",
					"42",
					"43",
					"44",
					"45",
					"46",
					"47",
					"48",
					"49",
					"50",
					"51",
					"52",
					"53",
					"54",
					"55",
					"56",
					"57",
					"58"
				]
			},
			"safari": {
				"browser": "Safari",
				"abbr": "Saf.",
				"prefix": "webkit",
				"type": "desktop",
				"usage_global": {
					"4": 0.014118,
					"5": 0.042354,
					"6": 0.009412,
					"7": 0.028236,
					"8": 0.122356,
					"9": 0.145886,
					"10": 1.26121,
					"3.1": 0,
					"3.2": 0.008692,
					"5.1": 0.07059,
					"6.1": 0.04706,
					"7.1": 0.009412,
					"9.1": 0.61178,
					"TP": 0
				},
				"versions": [
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					"3.1",
					"3.2",
					"4",
					"5",
					"5.1",
					"6",
					"6.1",
					"7",
					"7.1",
					"8",
					"9",
					"9.1",
					"10",
					"TP",
					null,
					null
				]
			},
			"opera": {
				"browser": "Opera",
				"abbr": "Op.",
				"prefix": "webkit",
				"type": "desktop",
				"usage_global": {
					"9": 0.0082,
					"11": 0.016581,
					"12": 0.018824,
					"15": 0.00685,
					"16": 0.00685,
					"17": 0.00685,
					"18": 0.005014,
					"19": 0.006015,
					"20": 0.004879,
					"21": 0.006597,
					"22": 0.006597,
					"23": 0.013434,
					"24": 0.006702,
					"25": 0.006015,
					"26": 0.005595,
					"27": 0.004706,
					"28": 0.018824,
					"29": 0.004879,
					"30": 0.004879,
					"31": 0.00533,
					"32": 0.005152,
					"33": 0.005014,
					"34": 0.009758,
					"35": 0.004879,
					"36": 0.032942,
					"37": 0.028236,
					"38": 0.056472,
					"39": 0.004706,
					"40": 0.018824,
					"41": 0.44707,
					"42": 0,
					"43": 0,
					"44": 0,
					"9.5-9.6": 0.00685,
					"10.0-10.1": 0.009412,
					"10.5": 0.008392,
					"10.6": 0.004706,
					"11.1": 0.006229,
					"11.5": 0.004879,
					"11.6": 0.014118,
					"12.1": 0.131768
				},
				"versions": [
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					"9",
					"9.5-9.6",
					"10.0-10.1",
					"10.5",
					"10.6",
					"11",
					"11.1",
					"11.5",
					"11.6",
					"12",
					"12.1",
					"15",
					"16",
					"17",
					"18",
					"19",
					"20",
					"21",
					"22",
					"23",
					"24",
					"25",
					"26",
					"27",
					"28",
					"29",
					"30",
					"31",
					"32",
					"33",
					"34",
					"35",
					"36",
					"37",
					"38",
					"39",
					"40",
					"41",
					"42",
					"43",
					"44",
					null
				],
				"prefix_exceptions": {
					"9": "o",
					"11": "o",
					"12": "o",
					"9.5-9.6": "o",
					"10.0-10.1": "o",
					"10.5": "o",
					"10.6": "o",
					"11.1": "o",
					"11.5": "o",
					"11.6": "o",
					"12.1": "o"
				}
			},
			"ios_saf": {
				"browser": "iOS Safari",
				"abbr": "iOS",
				"prefix": "webkit",
				"type": "mobile",
				"usage_global": {
					"8": 0,
					"3.2": 0,
					"4.0-4.1": 0,
					"4.2-4.3": 0,
					"5.0-5.1": 0,
					"6.0-6.1": 0,
					"7.0-7.1": 0.207553,
					"8.1-8.4": 0.268089,
					"9.0-9.2": 0.206592,
					"9.3": 1.35294,
					"10-10.1": 7.19227
				},
				"versions": [
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					"3.2",
					"4.0-4.1",
					"4.2-4.3",
					"5.0-5.1",
					"6.0-6.1",
					"7.0-7.1",
					"8",
					"8.1-8.4",
					"9.0-9.2",
					"9.3",
					"10-10.1",
					null,
					null,
					null
				]
			},
			"op_mini": {
				"browser": "Opera Mini",
				"abbr": "O.Mini",
				"prefix": "o",
				"type": "mobile",
				"usage_global": {
					"all": 4.11701
				},
				"versions": [
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					"all",
					null,
					null,
					null
				]
			},
			"android": {
				"browser": "Android Browser",
				"abbr": "And.",
				"prefix": "webkit",
				"type": "mobile",
				"usage_global": {
					"3": 0,
					"4": 0.0547878,
					"53": 0,
					"2.1": 0,
					"2.2": 0,
					"2.3": 0.00632167,
					"4.1": 0.173846,
					"4.2-4.3": 0.496251,
					"4.4": 1.16951,
					"4.4.3-4.4.4": 0.894516
				},
				"versions": [
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					"2.1",
					"2.2",
					"2.3",
					"3",
					"4",
					"4.1",
					"4.2-4.3",
					"4.4",
					"4.4.3-4.4.4",
					"53",
					null,
					null,
					null
				]
			},
			"bb": {
				"browser": "Blackberry Browser",
				"abbr": "BB",
				"prefix": "webkit",
				"type": "mobile",
				"usage_global": {
					"7": 0.0569105,
					"10": 0
				},
				"versions": [
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					"7",
					"10",
					null,
					null,
					null
				]
			},
			"op_mob": {
				"browser": "Opera Mobile",
				"abbr": "O.Mob",
				"prefix": "o",
				"type": "mobile",
				"usage_global": {
					"10": 0,
					"11": 0,
					"12": 0,
					"37": 0.305579,
					"11.1": 0,
					"11.5": 0,
					"12.1": 0.0084883
				},
				"versions": [
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					"10",
					"11",
					"11.1",
					"11.5",
					"12",
					"12.1",
					"37",
					null,
					null,
					null
				],
				"prefix_exceptions": {
					"37": "webkit"
				}
			},
			"and_chr": {
				"browser": "Chrome for Android",
				"abbr": "Chr/And.",
				"prefix": "webkit",
				"type": "mobile",
				"usage_global": {
					"55": 24.0089
				},
				"versions": [
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					"55",
					null,
					null,
					null
				]
			},
			"and_ff": {
				"browser": "Firefox for Android",
				"abbr": "FF/And.",
				"prefix": "moz",
				"type": "mobile",
				"usage_global": {
					"50": 0.037058
				},
				"versions": [
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					"50",
					null,
					null,
					null
				]
			},
			"ie_mob": {
				"browser": "IE Mobile",
				"abbr": "IE.Mob",
				"prefix": "ms",
				"type": "mobile",
				"usage_global": {
					"10": 0.0959696,
					"11": 0.449312
				},
				"versions": [
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					"10",
					"11",
					null,
					null,
					null
				]
			},
			"and_uc": {
				"browser": "UC Browser for Android",
				"abbr": "UC",
				"prefix": "webkit",
				"type": "mobile",
				"usage_global": {
					"11": 8.86216
				},
				"versions": [
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					"11",
					null,
					null,
					null
				],
				"prefix_exceptions": {
					"11": "webkit"
				}
			},
			"samsung": {
				"browser": "Samsung Internet",
				"abbr": "SS",
				"prefix": "webkit",
				"type": "mobile",
				"usage_global": {
					"4": 3.38287
				},
				"versions": [
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					null,
					"4",
					null,
					null,
					null
				]
			}
		},
		"statuses": {
			"rec": "W3C Recommendation",
			"pr": "W3C Proposed Recommendation",
			"cr": "W3C Candidate Recommendation",
			"wd": "W3C Working Draft",
			"ls": "WHATWG Living Standard",
			"other": "Other",
			"unoff": "Unofficial / Note"
		},
		"cats": {
			"CSS": [
				"CSS",
				"CSS2",
				"CSS3"
			],
			"HTML5": [
				"Canvas",
				"HTML5"
			],
			"JS API": [
				"JS API"
			],
			"Other": [
				"DOM",
				"PNG",
				"Other"
			],
			"SVG": [
				"SVG"
			]
		},
		"updated": 1482296544,
		"data": {
			"png-alpha": {
				"title": "PNG alpha transparency",
				"description": "Semi-transparent areas in PNG files",
				"spec": "http://www.w3.org/TR/PNG/",
				"status": "rec",
				"links": [
					{
						"url": "http://en.wikipedia.org/wiki/Portable_Network_Graphics",
						"title": "Wikipedia"
					},
					{
						"url": "http://dillerdesign.com/experiment/DD_belatedPNG/",
						"title": "Workaround for IE6"
					}
				],
				"categories": [
					"PNG"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "IE6 does support full transparency in 8-bit PNGs, which can sometimes be an alternative to 24-bit PNGs.",
				"notes_by_num": {},
				"usage_perc_y": 98.1,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"apng": {
				"title": "Animated PNG (APNG)",
				"description": "Like animated GIFs, but allowing 24-bit colors and alpha transparency",
				"spec": "https://wiki.mozilla.org/APNG_Specification",
				"status": "unoff",
				"links": [
					{
						"url": "http://en.wikipedia.org/wiki/APNG",
						"title": "Wikipedia"
					},
					{
						"url": "https://github.com/davidmz/apng-canvas",
						"title": "Polyfill using canvas"
					},
					{
						"url": "https://chrome.google.com/webstore/detail/ehkepjiconegkhpodgoaeamnpckdbblp",
						"title": "Chrome extension providing support"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6513393-apng-animated-png-images-support-firefox-and-sa",
						"title": "Microsoft Edge feature request on UserVoice"
					},
					{
						"url": "https://addons.opera.com/en/extensions/details/apng/?display=en",
						"title": "Opera extension providing support"
					},
					{
						"url": "https://code.google.com/p/chromium/issues/detail?id=437662",
						"title": "Chromium issue"
					}
				],
				"categories": [
					"PNG"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "n",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "Where support for APNG is missing, only the first frame is displayed",
				"notes_by_num": {},
				"usage_perc_y": 18.34,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "6691520493125632",
				"firefox_id": "",
				"webkit_id": ""
			},
			"video": {
				"title": "Video element",
				"description": "Method of playing videos on webpages (without requiring a plug-in).",
				"spec": "https://html.spec.whatwg.org/multipage/embedded-content.html#the-video-element",
				"status": "ls",
				"links": [
					{
						"url": "https://dev.opera.com/articles/view/everything-you-need-to-know-about-html5-video-and-audio/",
						"title": "Detailed article on video/audio elements"
					},
					{
						"url": "http://webmproject.org",
						"title": "WebM format information"
					},
					{
						"url": "http://camendesign.co.uk/code/video_for_everybody",
						"title": "Video for Everybody"
					},
					{
						"url": "http://diveintohtml5.info/video.html",
						"title": "Video on the Web - includes info on Android support"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/video.js#video",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/html/elements/video",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "a #1",
						"2.2": "a #1",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Different browsers have support for different video formats, see sub-features for details.\r\n\r\n",
				"notes_by_num": {
					"1": "The Android browser (before 2.3) requires [specific handling](http://www.broken-links.com/2010/07/08/making-html5-video-work-on-android-phones/) to run the video element."
				},
				"usage_perc_y": 93.49,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "<video>",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"audio": {
				"title": "Audio element",
				"description": "Method of playing sound on webpages (without requiring a plug-in).",
				"spec": "https://html.spec.whatwg.org/multipage/embedded-content.html#the-audio-element",
				"status": "ls",
				"links": [
					{
						"url": "http://html5doctor.com/native-audio-in-the-browser/",
						"title": "HTML5 Doctor article"
					},
					{
						"url": "https://dev.opera.com/articles/view/everything-you-need-to-know-about-html5-video-and-audio/",
						"title": "Detailed article on video/audio elements"
					},
					{
						"url": "http://www.jplayer.org/latest/demos/",
						"title": "Demos of audio player that uses the audio element"
					},
					{
						"url": "http://24ways.org/2010/the-state-of-html5-audio",
						"title": "Detailed article on support"
					},
					{
						"url": "http://textopia.org/androidsoundformats.html",
						"title": "File format test page"
					},
					{
						"url": "http://www.phoboslab.org/log/2011/03/the-state-of-html5-audio",
						"title": "The State of HTML5 Audio"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/audio.js#audio",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/html/elements/audio",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "a",
						"10.0-10.1": "a",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 93.49,
				"usage_perc_a": 0.02,
				"ucprefix": false,
				"parent": "",
				"keywords": "<audio>",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"contenteditable": {
				"title": "contenteditable attribute (basic support)",
				"description": "Method of making any HTML element editable.",
				"spec": "https://html.spec.whatwg.org/multipage/interaction.html#contenteditable",
				"status": "ls",
				"links": [
					{
						"url": "http://html5demos.com/contenteditable",
						"title": "Demo page"
					},
					{
						"url": "https://blog.whatwg.org/the-road-to-html-5-contenteditable",
						"title": "WHATWG blog post"
					},
					{
						"url": "http://accessgarage.wordpress.com/2009/05/08/how-to-hack-your-app-to-make-contenteditable-work/",
						"title": "Blog post on usage problems"
					},
					{
						"url": "http://docs.webplatform.org/wiki/html/attributes/contentEditable",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "y"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "a",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "This support only refers to very basic editing capability, implementations vary significantly on how certain elements can be edited.",
				"notes_by_num": {},
				"usage_perc_y": 93.96,
				"usage_perc_a": 0.04,
				"ucprefix": false,
				"parent": "",
				"keywords": "iscontenteditable",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"dragndrop": {
				"title": "Drag and Drop",
				"description": "Method of easily dragging and dropping elements on a page, requiring minimal JavaScript.",
				"spec": "https://html.spec.whatwg.org/multipage/interaction.html#dnd",
				"status": "ls",
				"links": [
					{
						"url": "http://html5doctor.com/native-drag-and-drop/",
						"title": "HTML5 Doctor article"
					},
					{
						"url": "http://nettutsplus.s3.amazonaws.com/64_html5dragdrop/demo/index.html",
						"title": "Shopping cart demo"
					},
					{
						"url": "http://html5demos.com/drag",
						"title": "Demo with link blocks"
					},
					{
						"url": "http://docs.webplatform.org/wiki/dom/DragEvent",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://github.com/MihaiValentin/setDragImage-IE",
						"title": "Polyfill for setDragImage in IE"
					},
					{
						"url": "http://blog.teamtreehouse.com/implementing-native-drag-and-drop",
						"title": "Implementing Native Drag and Drop"
					},
					{
						"url": "https://github.com/timruffles/ios-html5-drag-drop-shim",
						"title": "iOS/Android shim for HTML 5 drag'n'drop"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6542268-setdragimage-on-datatransfer-of-dragevent",
						"title": "Microsoft Edge setDragImage feature request on UserVoice"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "a #1 #3",
						"7": "a #1 #3",
						"8": "a #1 #3",
						"9": "a #1 #3",
						"10": "a #2 #3",
						"11": "a #2 #3",
						"5.5": "a #1 #3"
					},
					"edge": {
						"12": "a #2",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2"
					},
					"firefox": {
						"2": "p",
						"3": "p",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "p",
						"11": "p",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "p",
						"10.0-10.1": "p",
						"10.5": "p",
						"10.6": "p",
						"11.1": "p",
						"11.5": "p",
						"11.6": "p",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "p",
						"11": "p",
						"12": "p",
						"37": "n",
						"11.1": "p",
						"11.5": "p",
						"12.1": "y"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "`dataTransfer.items` only supported by Chrome.\r\n\r\nCurrently no browser supports the `dropzone` attribute.\r\n\r\nFirefox supports any kind of DOM elements for `.setDragImage`. Chrome must have either an `HTMLImageElement` or any kind of DOM elements attached to the DOM and within the viewport of the browser for `.setDragImage`.",
				"notes_by_num": {
					"1": "Partial support refers to no support for the `dataTransfer.files` or `.types` objects",
					"2": "Partial support refers to not supporting `.setDragImage`",
					"3": "Partial support refers to limited supported formats for `dataTransfer.setData`/`getData`."
				},
				"usage_perc_y": 39.03,
				"usage_perc_a": 6.17,
				"ucprefix": false,
				"parent": "",
				"keywords": "draganddrop",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"internationalization": {
				"title": "Internationalization API",
				"description": "Locale-sensitive collation (string comparison), number formatting, and date and time formatting.",
				"spec": "http://www.ecma-international.org/ecma-402/1.0/",
				"status": "other",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl",
						"title": "MDN reference"
					},
					{
						"url": "http://norbertlindenberg.com/2012/12/ecmascript-internationalization-api/",
						"title": "The ECMAScript Internationalization API"
					},
					{
						"url": "http://code.tutsplus.com/tutorials/working-with-intl--cms-21082",
						"title": "Working With Intl"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=90906",
						"title": "WebKit tracking bug"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1215247",
						"title": "Firefox for Android tracking bug"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 79.29,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "Intl,Collator,NumberFormat,DateTimeFormat",
				"ie_id": "ecmascriptinternationalizationapi",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": "specification-internationalization-api"
			},
			"queryselector": {
				"title": "querySelector/querySelectorAll",
				"description": "Method of accessing DOM elements using CSS selectors",
				"spec": "https://dom.spec.whatwg.org/#dom-parentnode-queryselector",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/DOM/element.querySelector",
						"title": "MDN article on querySelector"
					},
					{
						"url": "https://developer.mozilla.org/En/DOM/Element.querySelectorAll",
						"title": "MDN article on querySelectorAll"
					},
					{
						"url": "http://cjihrig.com/blog/javascripts-selectors-api/",
						"title": "Blog post"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/selectors_api/querySelector",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "a #1",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "p",
						"3": "p",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "p",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "p",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in IE8 is due to being limited to [CSS 2.1 selectors](/#feat=css-sel2) and a small subset of [CSS 3 selectors](/#feat=css-sel3) (see notes there). Additionally, it will have trouble with selectors including unrecognized tags (for example HTML5 ones)."
				},
				"usage_perc_y": 97.62,
				"usage_perc_a": 0.39,
				"ucprefix": false,
				"parent": "",
				"keywords": "query,selectors,selectors api,document.queryselector",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"getelementsbyclassname": {
				"title": "getElementsByClassName",
				"description": "Method of accessing DOM elements by class name",
				"spec": "https://dom.spec.whatwg.org/#dom-document-getelementsbyclassname",
				"status": "ls",
				"links": [
					{
						"url": "http://www.quirksmode.org/dom/tests/basics.html#getElementsByClassName",
						"title": "Test page"
					},
					{
						"url": "http://docs.webplatform.org/wiki/dom/HTMLElement/getElementsByClassName",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "p",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 97.67,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "byclassname",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"forms": {
				"title": "HTML5 form features",
				"description": "Expanded form options, including things like date pickers, sliders, validation, placeholders and multiple file uploads. Previously known as \"Web forms 2.0\".",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#forms",
				"status": "ls",
				"links": [
					{
						"url": "https://miketaylr.com/code/input-type-attr.html",
						"title": "HTML5 inputs and attribute support page"
					},
					{
						"url": "https://github.com/westonruter/webforms2",
						"title": "Cross-browser JS implementation (based on original spec)"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "a",
						"11": "a",
						"5.5": "n"
					},
					"edge": {
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a"
					},
					"firefox": {
						"2": "p",
						"3": "p",
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"45": "a",
						"46": "a",
						"47": "a",
						"48": "a",
						"49": "a",
						"50": "a",
						"51": "a",
						"52": "a",
						"53": "a",
						"3.5": "p",
						"3.6": "p"
					},
					"chrome": {
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"45": "a",
						"46": "a",
						"47": "a",
						"48": "a",
						"49": "a",
						"50": "a",
						"51": "a",
						"52": "a",
						"53": "a",
						"54": "a",
						"55": "a",
						"56": "a",
						"57": "a",
						"58": "a"
					},
					"safari": {
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"3.1": "p",
						"3.2": "p",
						"5.1": "a",
						"6.1": "a",
						"7.1": "a",
						"9.1": "a",
						"TP": "a"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "a",
						"3.2": "n",
						"4.0-4.1": "a",
						"4.2-4.3": "a",
						"5.0-5.1": "a",
						"6.0-6.1": "a",
						"7.0-7.1": "a",
						"8.1-8.4": "a",
						"9.0-9.2": "a",
						"9.3": "a",
						"10-10.1": "a"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "a",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "a",
						"4.4.3-4.4.4": "a"
					},
					"bb": {
						"7": "n",
						"10": "a"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "a",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "a"
					},
					"and_ff": {
						"50": "a"
					},
					"ie_mob": {
						"10": "a",
						"11": "a"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "a"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 9.1,
				"usage_perc_a": 83.3,
				"ucprefix": false,
				"parent": "",
				"keywords": "input,datepicker",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"html5semantic": {
				"title": "New semantic elements",
				"description": "HTML5 offers some new elements, primarily for semantic purposes. The elements include: `section`, `article`, `aside`, `header`, `footer`, `nav`, `figure`, `figcaption`, `time`, `mark` & `main`.",
				"spec": "https://html.spec.whatwg.org/multipage/semantics.html#sections",
				"status": "ls",
				"links": [
					{
						"url": "https://blog.whatwg.org/supporting-new-elements-in-ie",
						"title": "Workaround for IE"
					},
					{
						"url": "https://blog.whatwg.org/styling-ie-noscript",
						"title": "Alternate workaround"
					},
					{
						"url": "http://oli.jp/2009/html5-structure3/",
						"title": "Article on structural elements"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/dom.js#dom-html5-elements",
						"title": "has.js test"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "a #2",
						"10": "a #2",
						"11": "a #2",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "a #1",
						"4": "a #2",
						"5": "a #2",
						"6": "a #2",
						"7": "a #2",
						"8": "a #2",
						"9": "a #2",
						"10": "a #2",
						"11": "a #2",
						"12": "a #2",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2",
						"16": "a #2",
						"17": "a #2",
						"18": "a #2",
						"19": "a #2",
						"20": "a #2",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a #1",
						"3.6": "a #1"
					},
					"chrome": {
						"4": "a #1",
						"5": "a #1",
						"6": "a #2",
						"7": "a #2",
						"8": "a #2",
						"9": "a #2",
						"10": "a #2",
						"11": "a #2",
						"12": "a #2",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2",
						"16": "a #2",
						"17": "a #2",
						"18": "a #2",
						"19": "a #2",
						"20": "a #2",
						"21": "a #2",
						"22": "a #2",
						"23": "a #2",
						"24": "a #2",
						"25": "a #2",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a #1",
						"5": "a #2",
						"6": "a #2",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "a #1",
						"3.2": "a #1",
						"5.1": "a #2",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "a #1",
						"11": "a #1",
						"12": "a #2",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "a #1",
						"10.0-10.1": "a #1",
						"10.5": "a #1",
						"10.6": "a #1",
						"11.1": "a #2",
						"11.5": "a #2",
						"11.6": "a #2",
						"12.1": "a #2"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "a #1",
						"4.0-4.1": "a #2",
						"4.2-4.3": "a #2",
						"5.0-5.1": "a #2",
						"6.0-6.1": "a #2",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "a #1"
					},
					"android": {
						"3": "a #2",
						"4": "a #2",
						"53": "y",
						"2.1": "a #1",
						"2.2": "a #2",
						"2.3": "a #2",
						"4.1": "a #2",
						"4.2-4.3": "a #2",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a #2",
						"10": "a #2"
					},
					"op_mob": {
						"10": "a #1",
						"11": "a #2",
						"12": "a #2",
						"37": "y",
						"11.1": "a #2",
						"11.5": "a #2",
						"12.1": "a #2"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a #2",
						"11": "a #2"
					},
					"and_uc": {
						"11": "a #2"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to missing the default styling, as technically the elements are considered \"[unknown](https://developer.mozilla.org/en-US/docs/Web/API/HTMLUnknownElement)\". This is easily taken care of by manually setting the default `display` value for each tag.",
					"2": "Partial support refers to only the `<main>` element (added later to the spec) being \"unknown\", though it can still be used and styled."
				},
				"usage_perc_y": 78.26,
				"usage_perc_a": 19.42,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-line-clamp": {
				"title": "CSS line-clamp",
				"description": "Proprietary and undocumented CSS property that will contain text to a given amount of lines when used in combination with `display: -webkit-box`. It will end with ellipsis when `text-overflow: ellipsis` is included.",
				"spec": "https://developer.apple.com/library/safari/documentation/AppleApplications/Reference/SafariCSSRef/Articles/StandardCSSProperties.html#//apple_ref/doc/uid/TP30001266-WebKit_SpecificUnsupportedProperties",
				"status": "unoff",
				"links": [
					{
						"url": "http://guerillalabs.co/blog/css-line-clamping.html",
						"title": "Article on cross-browser CSS line clamping"
					},
					{
						"url": "https://css-tricks.com/line-clampin/",
						"title": "CSS Tricks article"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y x",
						"49": "y x",
						"50": "y x",
						"51": "y x",
						"52": "y x",
						"53": "y x",
						"54": "y x",
						"55": "y x",
						"56": "y x",
						"57": "y x",
						"58": "y x"
					},
					"safari": {
						"4": "n",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y x",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y x",
						"TP": "y x"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y x",
						"6.0-6.1": "y x",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y x",
						"4": "y x",
						"53": "y x",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y x",
						"4.1": "y x",
						"4.2-4.3": "y x",
						"4.4": "y x",
						"4.4.3-4.4.4": "y x"
					},
					"bb": {
						"7": "y x",
						"10": "y x"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y x",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y x"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "y x"
					}
				},
				"notes": "As there is no specification and the property is dependent on an outdated implementation of flexbox (hence `display: -webkit-box`) it is unlikely that other browsers will support the property as-is, although an alternative solution may at some point replace it.\r\n\r\nOlder (presto-based) versions of the Opera browser have also supported the same effect using the proprietary `-o-ellipsis-lastline;` value for `text-overflow`.",
				"notes_by_num": {},
				"usage_perc_y": 79.99,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"offline-apps": {
				"title": "Offline web applications",
				"description": "Now deprecated method of defining web page files to be cached using a cache manifest file, allowing them to work offline on subsequent visits to the page. ",
				"spec": "https://html.spec.whatwg.org/multipage/browsers.html#offline",
				"status": "unoff",
				"links": [
					{
						"url": "http://www.sitepoint.com/offline-web-application-tutorial/",
						"title": "Sitepoint tutorial"
					},
					{
						"url": "http://diveintohtml5.info/offline.html",
						"title": "Dive Into HTML5 article"
					},
					{
						"url": "http://hacks.mozilla.org/2010/01/offline-web-applications/",
						"title": "Mozilla Hacks article/demo"
					},
					{
						"url": "http://docs.webplatform.org/wiki/apis/appcache/ApplicationCache",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "p",
						"3": "a",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "p",
						"3.2": "p",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "p",
						"10.5": "p",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "This technology is being deprecated in favor of [Service Workers](http://caniuse.com/#feat=serviceworkers)",
				"notes_by_num": {},
				"usage_perc_y": 93.21,
				"usage_perc_a": 0.04,
				"ucprefix": false,
				"parent": "",
				"keywords": "appcache,applicationcache,app cache,application cache,online",
				"ie_id": "applicationcache",
				"chrome_id": "6192449487634432",
				"firefox_id": "",
				"webkit_id": ""
			},
			"webworkers": {
				"title": "Web Workers",
				"description": "Method of running scripts in the background, isolated from the web page",
				"spec": "https://html.spec.whatwg.org/multipage/workers.html",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/En/Using_web_workers",
						"title": "MDN article"
					},
					{
						"url": "http://nerget.com/rayjs-mt/rayjs.html",
						"title": "Web Worker demo"
					},
					{
						"url": "http://code.google.com/p/ie-web-worker/",
						"title": "Polyfill for IE (single threaded)"
					},
					{
						"url": "http://net.tutsplus.com/tutorials/javascript-ajax/getting-started-with-web-workers/",
						"title": "Tutorial"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "p",
						"3": "p",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "p",
						"3.2": "p",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "p",
						"10.5": "p",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "y",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "p",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 92.48,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"fontface": {
				"title": "@font-face Web fonts",
				"description": "Method of displaying fonts downloaded from websites",
				"spec": "http://www.w3.org/TR/css3-webfonts/",
				"status": "cr",
				"links": [
					{
						"url": "http://webfonts.info",
						"title": "News and information site"
					},
					{
						"url": "http://en.wikipedia.org/wiki/Web_typography",
						"title": "Wikipedia"
					},
					{
						"url": "http://www.css3files.com/font/",
						"title": "Information page"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/atrules/@font-face",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "a #1"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "a #2",
						"4.0-4.1": "a #2",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "a",
						"2.3": "a",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Not supported by IE Mobile 9 and below.",
				"notes_by_num": {
					"1": "Partial support refers to only supporting EOT fonts.",
					"2": "Partial support refers to only supporting SVG fonts."
				},
				"usage_perc_y": 93.44,
				"usage_perc_a": 0.51,
				"ucprefix": false,
				"parent": "",
				"keywords": "font face",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"eot": {
				"title": "EOT - Embedded OpenType fonts",
				"description": "Type of font that can be derived from a regular font, allowing small files and legal use of high-quality fonts. Usage is restricted by the file being tied to the website",
				"spec": "http://www.w3.org/Submission/EOT/",
				"status": "unoff",
				"links": [
					{
						"url": "http://en.wikipedia.org/wiki/Embedded_OpenType",
						"title": "Wikipedia"
					},
					{
						"url": "http://www.microsoft.com/typography/web/embedding/default.aspx",
						"title": "Example pages"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "Proposal by Microsoft, being considered for W3C standardization.",
				"notes_by_num": {},
				"usage_perc_y": 4.65,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "fontface",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"woff": {
				"title": "WOFF - Web Open Font Format",
				"description": "Compressed TrueType/OpenType font that contains information about the font's source.",
				"spec": "http://www.w3.org/TR/WOFF/",
				"status": "rec",
				"links": [
					{
						"url": "http://hacks.mozilla.org/2009/10/woff/",
						"title": "Mozilla hacks blog post"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "y"
					},
					"chrome": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n #1",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Reported to be supported in some modified versions of the Android 4.0 browser."
				},
				"usage_perc_y": 92.65,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "fontface",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"multibackgrounds": {
				"title": "CSS3 Multiple backgrounds",
				"description": "Method of using multiple images as a background",
				"spec": "http://www.w3.org/TR/css3-background/",
				"status": "cr",
				"links": [
					{
						"url": "http://www.css3.info/preview/multiple-backgrounds/",
						"title": "Demo & information page"
					},
					{
						"url": "http://www.css3files.com/background/",
						"title": "Information page"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/background-image",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 97.6,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"border-image": {
				"title": "CSS3 Border images",
				"description": "Method of using images for borders",
				"spec": "https://www.w3.org/TR/css3-background/#border-images",
				"status": "cr",
				"links": [
					{
						"url": "http://www.css3files.com/border/",
						"title": "Information page"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/border-image",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://developer.mozilla.org//docs/Web/CSS/border-image",
						"title": "Border image on MDN"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y #1",
						"13": "y #1",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a x #2 #3",
						"5": "a x #2 #3",
						"6": "a x #2 #3",
						"7": "a x #2 #3",
						"8": "a x #2 #3",
						"9": "a x #2 #3",
						"10": "a x #2 #3",
						"11": "a x #2 #3",
						"12": "a x #2 #3",
						"13": "a x #2 #3",
						"14": "a x #2 #3",
						"15": "a #2",
						"16": "a #2",
						"17": "a #2",
						"18": "a #2",
						"19": "a #2",
						"20": "a #2",
						"21": "a #2",
						"22": "a #2",
						"23": "a #2",
						"24": "a #2",
						"25": "a #2",
						"26": "a #2",
						"27": "a #2",
						"28": "a #2",
						"29": "a #2",
						"30": "a #2",
						"31": "a #2",
						"32": "a #2",
						"33": "a #2",
						"34": "a #2",
						"35": "a #2",
						"36": "a #2",
						"37": "a #2",
						"38": "a #2",
						"39": "a #2",
						"40": "a #2",
						"41": "a #2",
						"42": "a #2",
						"43": "a #2",
						"44": "a #2",
						"45": "a #2",
						"46": "a #2",
						"47": "a #2",
						"48": "a #2",
						"49": "a #2",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a x #2 #3",
						"3.6": "a x #2 #3"
					},
					"chrome": {
						"4": "a x #1 #2 #3 #4",
						"5": "a x #1 #2 #3 #4",
						"6": "a x #1 #2 #3 #4",
						"7": "a x #1 #2 #3 #4",
						"8": "a x #1 #2 #3 #4",
						"9": "a x #1 #2 #3 #4",
						"10": "a x #1 #2 #3 #4",
						"11": "a x #1 #2 #3 #4",
						"12": "a x #1 #2 #3 #4",
						"13": "a x #1 #2 #3 #4",
						"14": "a x #1 #2 #3 #4",
						"15": "a #1 #2 #4",
						"16": "a #1 #2 #4",
						"17": "a #1 #2 #4",
						"18": "a #1 #2 #4",
						"19": "a #1 #2 #4",
						"20": "a #1 #2 #4",
						"21": "a #1 #2 #4",
						"22": "a #1 #2 #4",
						"23": "a #1 #2 #4",
						"24": "a #1 #2 #4",
						"25": "a #1 #2 #4",
						"26": "a #1 #2 #4",
						"27": "a #1 #2 #4",
						"28": "a #1 #2 #4",
						"29": "a #1 #2 #4",
						"30": "a #1 #2",
						"31": "a #1 #2",
						"32": "a #1 #2",
						"33": "a #1 #2",
						"34": "a #1 #2",
						"35": "a #1 #2",
						"36": "a #1 #2",
						"37": "a #1 #2",
						"38": "a #1 #2",
						"39": "a #1 #2",
						"40": "a #1 #2",
						"41": "a #1 #2",
						"42": "a #1 #2",
						"43": "a #1 #2",
						"44": "a #1 #2",
						"45": "a #1 #2",
						"46": "a #1 #2",
						"47": "a #1 #2",
						"48": "a #1 #2",
						"49": "a #1 #2",
						"50": "a #1 #2",
						"51": "a #2",
						"52": "a #2",
						"53": "a #2",
						"54": "a #2",
						"55": "a #2",
						"56": "a #2",
						"57": "a #2",
						"58": "a #2"
					},
					"safari": {
						"4": "a x #1 #2 #3 #4",
						"5": "a x #1 #2 #3 #4",
						"6": "a #1 #2 #4",
						"7": "a #1 #2 #4",
						"8": "a #1 #2 #4",
						"9": "a #1 #2 #4",
						"10": "y #1",
						"3.1": "a x #1 #2 #3 #4",
						"3.2": "a x #1 #2 #3 #4",
						"5.1": "a x #1 #2 #3 #4",
						"6.1": "a #1 #2 #4",
						"7.1": "a #1 #2 #4",
						"9.1": "y #1",
						"TP": "y #1"
					},
					"opera": {
						"9": "n",
						"11": "a x #2 #3 #4",
						"12": "a x #2 #3 #4",
						"15": "a #1 #2",
						"16": "a #1 #2",
						"17": "a #1 #2",
						"18": "a #1 #2",
						"19": "a #1 #2",
						"20": "a #1 #2",
						"21": "a #1 #2",
						"22": "a #1 #2",
						"23": "a #1 #2",
						"24": "a #1 #2",
						"25": "a #1 #2",
						"26": "a #1 #2",
						"27": "a #1 #2",
						"28": "a #1 #2",
						"29": "a #1 #2",
						"30": "a #1 #2",
						"31": "a #1 #2",
						"32": "a #1 #2",
						"33": "a #1 #2",
						"34": "a #1 #2",
						"35": "a #1 #2",
						"36": "a #1 #2",
						"37": "a #1 #2",
						"38": "a #2",
						"39": "a #2",
						"40": "a #2",
						"41": "a #2",
						"42": "a #2",
						"43": "a #2",
						"44": "a #2",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "a #2 #3 #4",
						"10.6": "a #2 #3 #4",
						"11.1": "a x #2 #3 #4",
						"11.5": "a x #2 #3 #4",
						"11.6": "a x #2 #3 #4",
						"12.1": "a x #2 #3 #4"
					},
					"ios_saf": {
						"8": "a #1 #2 #4",
						"3.2": "a x #1 #2 #3 #4",
						"4.0-4.1": "a x #1 #2 #3 #4",
						"4.2-4.3": "a x #1 #2 #3 #4",
						"5.0-5.1": "a x #1 #2 #3 #4",
						"6.0-6.1": "a #1 #2 #4",
						"7.0-7.1": "a #1 #2 #4",
						"8.1-8.4": "a #1 #2 #4",
						"9.0-9.2": "a #1 #2 #4",
						"9.3": "y #1",
						"10-10.1": "y #1"
					},
					"op_mini": {
						"all": "a x #2 #3 #4"
					},
					"android": {
						"3": "a #1 #2 #3 #4",
						"4": "a #1 #2 #3 #4",
						"53": "a #1 #2",
						"2.1": "a #1 #2 #3 #4",
						"2.2": "a #1 #2 #3 #4",
						"2.3": "a #1 #2 #3 #4",
						"4.1": "a #1 #2 #3 #4",
						"4.2-4.3": "a #1 #2 #3 #4",
						"4.4": "a #1 #2",
						"4.4.3-4.4.4": "a #1 #2"
					},
					"bb": {
						"7": "a #1 #2 #3 #4",
						"10": "a #1 #2 #4"
					},
					"op_mob": {
						"10": "n",
						"11": "a x #2 #3 #4",
						"12": "a x #2 #3 #4",
						"37": "a #1 #2",
						"11.1": "a x #2 #3 #4",
						"11.5": "a x #2 #3 #4",
						"12.1": "a x #2 #3 #4"
					},
					"and_chr": {
						"55": "a #2"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "a #1 #2"
					},
					"samsung": {
						"4": "a #1 #2"
					}
				},
				"notes": "Note that both the `border-style` and `border-width` must be specified (not set to `none` or 0) for border-images to work.",
				"notes_by_num": {
					"1": "Has a bug where `border-image` incorrectly overrides `border-style`. See [test case](http://codepen.io/Savago/pen/yYrgyK), [WebKit bug](https://bugs.webkit.org/show_bug.cgi?id=99922), [discussion](https://github.com/whatwg/compat/issues/17)",
					"2": "Partial support refers to not supporting `border-image-repeat: space`",
					"3": "Partial support refers to supporting the shorthand syntax, but not the individual properties (`border-image-source`, `border-image-slice`, etc). ",
					"4": "Partial support refers to not supporting `border-image-repeat: round`"
				},
				"usage_perc_y": 17.99,
				"usage_perc_a": 79,
				"ucprefix": false,
				"parent": "",
				"keywords": "border-image-source,border-image-slice,border-image-repeat,border-image-width,,border-image-outset",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"background-img-opts": {
				"title": "CSS3 Background-image options",
				"description": "New properties to affect background images, including background-clip, background-origin and background-size",
				"spec": "http://www.w3.org/TR/css3-background/#backgrounds",
				"status": "cr",
				"links": [
					{
						"url": "http://www.standardista.com/css3/css3-background-properties",
						"title": "Detailed compatibility tables and demos"
					},
					{
						"url": "http://www.css3files.com/background/",
						"title": "Information page"
					},
					{
						"url": "https://github.com/louisremi/background-size-polyfill",
						"title": "Polyfill for IE7-8"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "a x"
					},
					"chrome": {
						"4": "a #3",
						"5": "a #3",
						"6": "a #3",
						"7": "a #3",
						"8": "a #3",
						"9": "a #3",
						"10": "a #3",
						"11": "a #3",
						"12": "a #3",
						"13": "a #3",
						"14": "a #3",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a #2 #3",
						"5": "a #2 #3",
						"6": "a #2 #3",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "a #2 #3",
						"3.2": "a #2 #3",
						"5.1": "a #2 #3",
						"6.1": "a #2 #3",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "a x",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "a",
						"4.0-4.1": "a",
						"4.2-4.3": "a",
						"5.0-5.1": "a #3",
						"6.0-6.1": "a",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "a #1"
					},
					"android": {
						"3": "a #3",
						"4": "a #3",
						"53": "y",
						"2.1": "a x",
						"2.2": "a x #3",
						"2.3": "a x #3",
						"4.1": "a #3",
						"4.2-4.3": "a #3",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Safari also supports the unofficial `-webkit-background-clip: text` (only with prefix)",
				"notes_by_num": {
					"1": "Partial support in Opera Mini refers to not supporting background sizing or background attachments. However Opera Mini 7.5 supports background sizing (including cover and contain values).",
					"2": "Partial support in Safari 6 refers to not supporting background sizing offset from edges syntax.",
					"3": "Does not support `background-size` values in the `background` shorthand"
				},
				"usage_perc_y": 92.44,
				"usage_perc_a": 5.17,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-table": {
				"title": "CSS Table display",
				"description": "Method of displaying elements as tables, rows, and cells. Includes support for all `display: table-*` properties as well as `display: inline-table`",
				"spec": "http://www.w3.org/TR/CSS21/tables.html",
				"status": "rec",
				"links": [
					{
						"url": "http://www.onenaught.com/posts/201/use-css-displaytable-for-layout",
						"title": "Blog post on usage"
					}
				],
				"categories": [
					"CSS2"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "a #1",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Firefox 2 does not support `inline-table`"
				},
				"usage_perc_y": 98.07,
				"usage_perc_a": 0.01,
				"ucprefix": false,
				"parent": "",
				"keywords": "display:table,table-cell,table-row,table-layout",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-gencontent": {
				"title": "CSS Generated content for pseudo-elements",
				"description": "Method of displaying text or images before or after the given element's contents using the ::before and ::after pseudo-elements. All browsers with support also support the `attr()` notation in the `content` property. ",
				"spec": "http://www.w3.org/TR/CSS21/generate.html",
				"status": "rec",
				"links": [
					{
						"url": "http://www.westciv.com/style_master/academy/css_tutorial/advanced/generated_content.html",
						"title": "Guide on usage"
					},
					{
						"url": "https://dev.opera.com/articles/view/css-generated-content-techniques/",
						"title": "Dev.Opera article"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/generated_and_replaced_content",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS2",
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "a #1",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "For content to appear in pseudo-elements, the `content` property must be set (but may be an empty string).",
				"notes_by_num": {
					"1": "IE8 only supports the single-colon CSS 2.1 syntax (i.e. :pseudo-class). It does not support the double-colon CSS3 syntax (i.e. ::pseudo-element)."
				},
				"usage_perc_y": 97.69,
				"usage_perc_a": 0.39,
				"ucprefix": false,
				"parent": "",
				"keywords": "before,after",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-fixed": {
				"title": "CSS position:fixed",
				"description": "Method of keeping an element in a fixed location regardless of scroll position",
				"spec": "http://www.w3.org/TR/CSS21/visuren.html#fixed-positioning",
				"status": "rec",
				"links": [
					{
						"url": "http://www.css-101.org/fixed-positioning/05.php",
						"title": "Workaround for IE6"
					},
					{
						"url": "http://bradfrostweb.com/blog/mobile/fixed-position/",
						"title": "Article on mobile support"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/position",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "a #1",
						"6.0-6.1": "a #1",
						"7.0-7.1": "a #1",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y #3",
						"53": "y",
						"2.1": "a #2",
						"2.2": "a #2",
						"2.3": "a #2",
						"4.1": "y #3",
						"4.2-4.3": "y #3",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in older iOS Safari refers to [buggy behavior](http://remysharp.com/2012/05/24/issues-with-position-fixed-scrolling-on-ios/).",
					"2": "Only works in Android 2.1 thru 2.3 by using the following meta tag: <meta name=\"viewport\" content=\"width=device-width, user-scalable=no\">.",
					"3": "Android 4.0-4.3 [ignore transforms and margin:auto on position:fixed elements](https://codepen.io/mattiacci/pen/mPRKZY)."
				},
				"usage_perc_y": 93.77,
				"usage_perc_a": 0.21,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"beacon": {
				"title": "Beacon API",
				"description": "Allows data to be sent asynchronously to a server with `navigator.sendBeacon`, even after a page was closed. Useful for posting analytics data the moment a user was finished using the page.",
				"spec": "http://www.w3.org/TR/beacon/",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Navigator/sendBeacon",
						"title": "MDN article"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 72.66,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "beacon",
				"chrome_id": "5517433905348608",
				"firefox_id": "",
				"webkit_id": ""
			},
			"hashchange": {
				"title": "Hashchange event",
				"description": "Event triggered in JavaScript when the URL's hash has changed (for example: page.html#foo to page.html#bar) ",
				"spec": "https://html.spec.whatwg.org/multipage/browsers.html#the-hashchangeevent-interface",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/DOM/window.onhashchange",
						"title": "MDN article"
					},
					{
						"url": "http://msdn.microsoft.com/en-us/library/cc288209(VS.85).aspx",
						"title": "MSDN article"
					},
					{
						"url": "http://www.quirksmode.org/dom/events/tests/hashchange.html",
						"title": "Simple demo"
					},
					{
						"url": "http://github.com/3nr1c/jUri.js",
						"title": "Polyfill"
					},
					{
						"url": "http://docs.webplatform.org/wiki/dom/Element/hashchange",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"HTML5",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "p"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "p",
						"3": "p",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "p",
						"3.6": "y"
					},
					"chrome": {
						"4": "p",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "p",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "p",
						"3.2": "p",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "p",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "p",
						"10.0-10.1": "p",
						"10.5": "p",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "p",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 93.84,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "onhashchange,HashChangeEvent",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-sel2": {
				"title": "CSS 2.1 selectors",
				"description": "Basic CSS selectors including: `*` (universal selector), `>` (child selector), `:first-child`, `:link`, `:visited`, `:active`, `:hover`, `:focus`, `:lang()`, `+` (adjacent sibling selector), `[attr]`, `[attr=\"val\"]`, `[attr~=\"val\"]`, `[attr|=\"bar\"]`, `.foo` (class selector), `#foo` (id selector)",
				"spec": "http://www.w3.org/TR/CSS21/selector.html",
				"status": "rec",
				"links": [
					{
						"url": "http://www.quirksmode.org/css/contents.html",
						"title": "Detailed support information"
					},
					{
						"url": "http://www.yourhtmlsource.com/stylesheets/advancedselectors.html",
						"title": "Examples of advanced selectors"
					},
					{
						"url": "http://selectivizr.com",
						"title": "Selectivizr: Polyfill for IE6-8"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/selectors",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS2"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Support for `:visited` styling [varies across browsers](http://sixrevisions.com/css/visited-pseudo-class-strange/) due to security concerns.",
				"notes_by_num": {},
				"usage_perc_y": 98.1,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "attribute selector",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-sel3": {
				"title": "CSS3 selectors",
				"description": "Advanced element selection using selectors including: `[foo^=\"bar\"]`, `[foo$=\"bar\"]`, `[foo*=\"bar\"]`, `:root`, `:nth-child()`,  `:nth-last-child()`, `nth-of-type`, `nth-last-of-type()`, `:last-child`, `:first-of-type`, `:last-of-type`, `:only-child`, `:only-of-type`, `:empty`, `:target`, `:enabled`, `:disabled`, `:checked`, `:not()`, `~` (general sibling)",
				"spec": "http://www.w3.org/TR/css3-selectors/",
				"status": "rec",
				"links": [
					{
						"url": "http://www.quirksmode.org/css/selectors/",
						"title": "Detailed support information"
					},
					{
						"url": "http://www.css3.info/selectors-test/",
						"title": "Automated CSS3 selector test"
					},
					{
						"url": "http://selectivizr.com",
						"title": "Selectivizr: Polyfill for IE6-8"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/selectors",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "a #1",
						"8": "a #1",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "IE7 and IE8 support only these CSS3 selectors: General siblings (`element1~element2`) and Attribute selectors `[attr^=val]`, `[attr$=val]`, and `[attr*=val]`"
				},
				"usage_perc_y": 97.63,
				"usage_perc_a": 0.42,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-textshadow": {
				"title": "CSS3 Text-shadow",
				"description": "Method of applying one or more shadow or blur effects to text",
				"spec": "http://www.w3.org/TR/css-text-decor-3/#text-shadow-property",
				"status": "cr",
				"links": [
					{
						"url": "http://hacks.mozilla.org/2009/06/text-shadow/",
						"title": "Mozilla hacks article"
					},
					{
						"url": "https://testdrive-archive.azurewebsites.net/Graphics/hands-on-css3/hands-on_text-shadow.htm",
						"title": "Live editor"
					},
					{
						"url": "http://www.css3files.com/shadow/#textshadow",
						"title": "Information page"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/text-shadow",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y #1",
						"11": "y #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y #1",
						"13": "y #1",
						"14": "y #1",
						"15": "y #1"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "a #2",
						"3.2": "a #2",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "a"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y #1",
						"11": "y #1"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Opera Mini ignores the blur-radius set, so no blur effect is visible. Text-shadow behavior can be somewhat emulated in older IE versions using the non-standard \"dropshadow\" or \"glow\" filters.",
				"notes_by_num": {
					"1": "IE 10+ supports a fourth length value for the shadow's \"spread\". This is not (yet) part of the specification.",
					"2": "Partial support in Safari 3.* refers to not supporting multiple shadows."
				},
				"usage_perc_y": 93.17,
				"usage_perc_a": 4.18,
				"ucprefix": false,
				"parent": "",
				"keywords": "text shadow",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-boxshadow": {
				"title": "CSS3 Box-shadow",
				"description": "Method of displaying an inner or outer shadow effect to elements",
				"spec": "http://www.w3.org/TR/css3-background/#box-shadow",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/En/CSS/-moz-box-shadow",
						"title": "MDN article"
					},
					{
						"url": "http://westciv.com/tools/boxshadows/index.html",
						"title": "Live editor"
					},
					{
						"url": "http://tests.themasta.com/blogstuff/boxshadowdemo.html",
						"title": "Demo of various effects"
					},
					{
						"url": "http://www.css3files.com/shadow/",
						"title": "Information page"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/box-shadow",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y x",
						"3.6": "y x"
					},
					"chrome": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a x #1",
						"5": "y x",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "a x #1",
						"3.2": "a x #1",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "a x #1",
						"4.0-4.1": "y x",
						"4.2-4.3": "y x",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a x #1",
						"4": "y",
						"53": "y",
						"2.1": "a x #1",
						"2.2": "a x #1",
						"2.3": "a x #1",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y x",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Can be partially emulated in older IE versions using the non-standard \"shadow\" filter.",
				"notes_by_num": {
					"1": "Partial support in Safari, iOS Safari and Android Browser refers to missing \"inset\", blur radius value, and multiple shadow support."
				},
				"usage_perc_y": 93.47,
				"usage_perc_a": 0.03,
				"ucprefix": false,
				"parent": "",
				"keywords": "box-shadows,boxshadows,box shadow,shaow",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css3-colors": {
				"title": "CSS3 Colors",
				"description": "Method of describing colors using Hue, Saturation and Lightness (hsl()) rather than just RGB, as well as allowing alpha-transparency with rgba() and hsla().",
				"spec": "http://www.w3.org/TR/css3-color/",
				"status": "rec",
				"links": [
					{
						"url": "https://dev.opera.com/articles/view/color-in-opera-10-hsl-rgb-and-alpha-transparency/",
						"title": "Dev.Opera article"
					},
					{
						"url": "http://www.css3files.com/color/",
						"title": "Information page"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/color#RGBA_Notation",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "a",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "a",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 97.66,
				"usage_perc_a": 0.02,
				"ucprefix": false,
				"parent": "",
				"keywords": "rgb,hsl,rgba,hsla",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css3-boxsizing": {
				"title": "CSS3 Box-sizing",
				"description": "Method of specifying whether or not an element's borders and padding should be included in size units",
				"spec": "http://www.w3.org/TR/css3-ui/#box-sizing",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/En/CSS/Box-sizing",
						"title": "MDN article"
					},
					{
						"url": "http://www.456bereastreet.com/archive/201104/controlling_width_with_css3_box-sizing/",
						"title": "Blog post"
					},
					{
						"url": "https://github.com/Schepp/box-sizing-polyfill",
						"title": "Polyfill for IE"
					},
					{
						"url": "http://css-tricks.com/box-sizing/",
						"title": "CSS Tricks"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/box-sizing",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "p"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y x",
						"3": "y x",
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y x",
						"3.6": "y x"
					},
					"chrome": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y x",
						"5": "y x",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y x",
						"3.2": "y x",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y x",
						"4.0-4.1": "y x",
						"4.2-4.3": "y x",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y x",
						"4": "y",
						"53": "y",
						"2.1": "y x",
						"2.2": "y x",
						"2.3": "y x",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y x",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Firefox currently also supports the `padding-box` in addition to `content-box` and `border-box`, though this value has been removed from the specification.",
				"notes_by_num": {},
				"usage_perc_y": 98.07,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "border-box,content-box",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-mediaqueries": {
				"title": "CSS3 Media Queries",
				"description": "Method of applying styles based on media information. Includes things like page and device dimensions",
				"spec": "http://www.w3.org/TR/css3-mediaqueries/",
				"status": "rec",
				"links": [
					{
						"url": "http://ie.microsoft.com/testdrive/HTML5/85CSS3_MediaQueries/",
						"title": "IE demo page with information"
					},
					{
						"url": "http://webdesignerwall.com/tutorials/responsive-design-with-css3-media-queries",
						"title": "Media Queries tutorial"
					},
					{
						"url": "https://github.com/scottjehl/Respond",
						"title": "Polyfill for IE"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/atrules/@media",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "y #1",
						"10": "y #1",
						"11": "y #1",
						"5.5": "p"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y #1",
						"5": "y #1",
						"6": "y #1",
						"7": "y #1",
						"8": "y #1",
						"9": "y #1",
						"10": "y #1",
						"11": "y #1",
						"12": "y #1",
						"13": "y #1",
						"14": "y #1",
						"15": "y #1",
						"16": "y #1",
						"17": "y #1",
						"18": "y #1",
						"19": "y #1",
						"20": "y #1",
						"21": "y #1",
						"22": "y #1",
						"23": "y #1",
						"24": "y #1",
						"25": "y #1",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y #1",
						"5": "y #1",
						"6": "y #1",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "a #1 #2",
						"3.2": "a #1 #2",
						"5.1": "y #1",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y #1",
						"4.0-4.1": "y #1",
						"4.2-4.3": "y #1",
						"5.0-5.1": "y #1",
						"6.0-6.1": "y #1",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y #1",
						"4": "y #1",
						"53": "y",
						"2.1": "y #1",
						"2.2": "y #1",
						"2.3": "y #1",
						"4.1": "y #1",
						"4.2-4.3": "y #1",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y #1",
						"11": "y #1"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Does not support nested media queries",
					"2": "Partial support refers to only acknowledging different media rules on page reload"
				},
				"usage_perc_y": 97.62,
				"usage_perc_a": 0.01,
				"ucprefix": false,
				"parent": "",
				"keywords": "@media",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"multicolumn": {
				"title": "CSS3 Multiple column layout",
				"description": "Method of flowing information in multiple columns",
				"spec": "http://www.w3.org/TR/css3-multicol/",
				"status": "cr",
				"links": [
					{
						"url": "https://dev.opera.com/articles/view/css3-multi-column-layout/",
						"title": "Dev.Opera article"
					},
					{
						"url": "http://webdesign.tutsplus.com/tutorials/htmlcss-tutorials/an-introduction-to-the-css3-multiple-column-layout-module/",
						"title": "Introduction page"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/column-width",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://github.com/hamsterbacke23/multicolumn-polyfill",
						"title": "Polyfill"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "a x",
						"3": "a x",
						"4": "a x",
						"5": "a x",
						"6": "a x",
						"7": "a x",
						"8": "a x",
						"9": "a x",
						"10": "a x",
						"11": "a x",
						"12": "a x",
						"13": "a x",
						"14": "a x",
						"15": "a x",
						"16": "a x",
						"17": "a x",
						"18": "a x",
						"19": "a x",
						"20": "a x",
						"21": "a x",
						"22": "a x",
						"23": "a x",
						"24": "a x",
						"25": "a x",
						"26": "a x",
						"27": "a x",
						"28": "a x",
						"29": "a x",
						"30": "a x",
						"31": "a x",
						"32": "a x",
						"33": "a x",
						"34": "a x",
						"35": "a x",
						"36": "a x",
						"37": "a x",
						"38": "a x",
						"39": "a x",
						"40": "a x",
						"41": "a x",
						"42": "a x",
						"43": "a x",
						"44": "a x",
						"45": "a x",
						"46": "a x",
						"47": "a x",
						"48": "a x",
						"49": "a x",
						"50": "a x",
						"51": "a x",
						"52": "a",
						"53": "a",
						"3.5": "a x",
						"3.6": "a x"
					},
					"chrome": {
						"4": "a x",
						"5": "a x",
						"6": "a x",
						"7": "a x",
						"8": "a x",
						"9": "a x",
						"10": "a x",
						"11": "a x",
						"12": "a x",
						"13": "a x",
						"14": "a x",
						"15": "a x",
						"16": "a x",
						"17": "a x",
						"18": "a x",
						"19": "a x",
						"20": "a x",
						"21": "a x",
						"22": "a x",
						"23": "a x",
						"24": "a x",
						"25": "a x",
						"26": "a x",
						"27": "a x",
						"28": "a x",
						"29": "a x",
						"30": "a x",
						"31": "a x",
						"32": "a x",
						"33": "a x",
						"34": "a x",
						"35": "a x",
						"36": "a x",
						"37": "a x",
						"38": "a x",
						"39": "a x",
						"40": "a x",
						"41": "a x",
						"42": "a x",
						"43": "a x",
						"44": "a x",
						"45": "a x",
						"46": "a x",
						"47": "a x",
						"48": "a x",
						"49": "a x",
						"50": "a",
						"51": "a",
						"52": "a",
						"53": "a",
						"54": "a",
						"55": "a",
						"56": "a",
						"57": "a",
						"58": "a"
					},
					"safari": {
						"4": "a x",
						"5": "a x",
						"6": "a x",
						"7": "a x",
						"8": "a x",
						"9": "a",
						"10": "a",
						"3.1": "a x",
						"3.2": "a x",
						"5.1": "a x",
						"6.1": "a x",
						"7.1": "a x",
						"9.1": "a",
						"TP": "a"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y",
						"15": "a x",
						"16": "a x",
						"17": "a x",
						"18": "a x",
						"19": "a x",
						"20": "a x",
						"21": "a x",
						"22": "a x",
						"23": "a x",
						"24": "a x",
						"25": "a x",
						"26": "a x",
						"27": "a x",
						"28": "a x",
						"29": "a x",
						"30": "a x",
						"31": "a x",
						"32": "a x",
						"33": "a x",
						"34": "a x",
						"35": "a x",
						"36": "a x",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "a x",
						"3.2": "a x",
						"4.0-4.1": "a x",
						"4.2-4.3": "a x",
						"5.0-5.1": "a x",
						"6.0-6.1": "a x",
						"7.0-7.1": "a x",
						"8.1-8.4": "a x",
						"9.0-9.2": "a",
						"9.3": "a",
						"10-10.1": "a"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "a x",
						"4": "a x",
						"53": "a x",
						"2.1": "a x",
						"2.2": "a x",
						"2.3": "a x",
						"4.1": "a x",
						"4.2-4.3": "a x",
						"4.4": "a x",
						"4.4.3-4.4.4": "a x"
					},
					"bb": {
						"7": "a x",
						"10": "a x"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "y",
						"37": "a x",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "a"
					},
					"and_ff": {
						"50": "a x"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "a x"
					},
					"samsung": {
						"4": "a x"
					}
				},
				"notes": "Partial support refers to not supporting the `break-before`, `break-after`, `break-inside` properties. WebKit- and Blink-based browsers do have equivalent support for the non-standard `-webkit-column-break-*` properties to accomplish the same result (but only the `auto` and `always` values). Firefox does not support `break-*`.",
				"notes_by_num": {},
				"usage_perc_y": 10.31,
				"usage_perc_a": 87.06,
				"ucprefix": false,
				"parent": "",
				"keywords": "column-count,column-width,column-gap,column-rule,column-span,column-fill",
				"ie_id": "multicolumnfullsupport",
				"chrome_id": "6526151266664448,5630943616303104",
				"firefox_id": "",
				"webkit_id": ""
			},
			"border-radius": {
				"title": "CSS3 Border-radius (rounded corners)",
				"description": "Method of making the border corners round. Covers support for the shorthand `border-radius` as well as the long-hand properties (e.g. `border-top-left-radius`)",
				"spec": "http://www.w3.org/TR/css3-background/#the-border-radius",
				"status": "cr",
				"links": [
					{
						"url": "http://border-radius.com",
						"title": "Border-radius CSS Generator"
					},
					{
						"url": "http://muddledramblings.com/table-of-css3-border-radius-compliance",
						"title": "Detailed compliance table"
					},
					{
						"url": "http://www.css3files.com/border/#borderradius",
						"title": "Information page"
					},
					{
						"url": "http://css3pie.com/",
						"title": "Polyfill which includes border-radius"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/border-radius",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "a x #2",
						"3": "y x #2",
						"4": "y #2",
						"5": "y #2",
						"6": "y #2",
						"7": "y #2",
						"8": "y #2",
						"9": "y #2",
						"10": "y #2",
						"11": "y #2",
						"12": "y #2",
						"13": "y #2",
						"14": "y #2",
						"15": "y #2",
						"16": "y #2",
						"17": "y #2",
						"18": "y #2",
						"19": "y #2",
						"20": "y #2",
						"21": "y #2",
						"22": "y #2",
						"23": "y #2",
						"24": "y #2",
						"25": "y #2",
						"26": "y #2",
						"27": "y #2",
						"28": "y #2",
						"29": "y #2",
						"30": "y #2",
						"31": "y #2",
						"32": "y #2",
						"33": "y #2",
						"34": "y #2",
						"35": "y #2",
						"36": "y #2",
						"37": "y #2",
						"38": "y #2",
						"39": "y #2",
						"40": "y #2",
						"41": "y #2",
						"42": "y #2",
						"43": "y #2",
						"44": "y #2",
						"45": "y #2",
						"46": "y #2",
						"47": "y #2",
						"48": "y #2",
						"49": "y #2",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y x #2",
						"3.6": "y x #2"
					},
					"chrome": {
						"4": "y x",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y x",
						"5": "y",
						"6": "y #1",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y x",
						"3.2": "y x",
						"5.1": "y #1",
						"6.1": "y #1",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y x",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y x",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Safari 6.1 and earlier did not apply `border-radius` correctly to image borders: http://stackoverflow.com/q/17202128",
					"2": "Dotted and dashed rounded border corners are rendered as solid in Firefox. [see bug](https://bugzilla.mozilla.org/show_bug.cgi?id=382721)"
				},
				"usage_perc_y": 93.53,
				"usage_perc_a": 0.01,
				"ucprefix": false,
				"parent": "",
				"keywords": "roundedcorners, border radius,-moz-border-radius",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"transforms2d": {
				"title": "CSS3 2D Transforms",
				"description": "Method of transforming an element including rotating, scaling, etc. Includes support for `transform` as well as `transform-origin` properties.",
				"spec": "http://www.w3.org/TR/css3-2d-transforms/",
				"status": "wd",
				"links": [
					{
						"url": "http://www.westciv.com/tools/transforms/",
						"title": "Live editor"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/transform",
						"title": "MDN article"
					},
					{
						"url": "http://www.webresourcesdepot.com/cross-browser-css-transforms-csssandpaper/",
						"title": "Workaround script for IE"
					},
					{
						"url": "http://www.css3files.com/transform/",
						"title": "Information page"
					},
					{
						"url": "http://www.useragentman.com/IETransformsTranslator/",
						"title": "Converter for IE"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/css.js#css-transform",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/transforms/transform",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "y x",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y x",
						"3.6": "y x"
					},
					"chrome": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y",
						"10": "y",
						"3.1": "y x",
						"3.2": "y x",
						"5.1": "y x",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y x",
						"12": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "y x",
						"10.6": "y x",
						"11.1": "y x",
						"11.5": "y x",
						"11.6": "y x",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "y x",
						"4.0-4.1": "y x",
						"4.2-4.3": "y x",
						"5.0-5.1": "y x",
						"6.0-6.1": "y x",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y x",
						"4": "y x",
						"53": "y",
						"2.1": "y x",
						"2.2": "y x",
						"2.3": "y x",
						"4.1": "y x",
						"4.2-4.3": "y x",
						"4.4": "y x",
						"4.4.3-4.4.4": "y x"
					},
					"bb": {
						"7": "y x",
						"10": "y x"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "The scale transform can be emulated in IE < 9 using Microsoft's \"zoom\" extension, others are (not easily) possible using the MS Matrix filter",
				"notes_by_num": {},
				"usage_perc_y": 93.5,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "transformation,translate,translatex,translatey,translatez,transform3d,rotation,rotate,scale,css-transforms,transform-origin,transform:rotate,transform:scale",
				"ie_id": "transforms",
				"chrome_id": "6437640580628480",
				"firefox_id": "",
				"webkit_id": ""
			},
			"use-strict": {
				"title": "ECMAScript 5 Strict Mode",
				"description": "Method of placing code in a \"strict\" operating context.",
				"spec": "http://www.ecma-international.org/ecma-262/5.1/#sec-14.1",
				"status": "other",
				"links": [
					{
						"url": "http://ejohn.org/blog/ecmascript-5-strict-mode-json-and-more/",
						"title": "Information page"
					},
					{
						"url": "http://javascriptweblog.wordpress.com/2011/05/03/javascript-strict-mode/",
						"title": "Article with test suite"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "a #1",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a #1",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "y",
						"37": "y",
						"11.1": "n",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in older Safari refers to strict mode still accepting a lot of JS that should be considered invalid."
				},
				"usage_perc_y": 92.92,
				"usage_perc_a": 0.11,
				"ucprefix": false,
				"parent": "es5",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"devicepixelratio": {
				"title": "Window.devicePixelRatio",
				"description": "Read-only property that returns the ratio of the (vertical) size of one physical pixel on the current display device to the size of one CSS pixel.",
				"spec": "http://dev.w3.org/csswg/cssom-view/#dom-window-devicepixelratio",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Window/devicePixelRatio",
						"title": "MDN"
					}
				],
				"categories": [
					"CSS",
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "y",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "As the page is zoomed in the number of device pixels that one CSS pixel covers increases, and therefore the value of devicePixelRatio will also increase.",
				"notes_by_num": {},
				"usage_perc_y": 96.78,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "device,pixel,ratio,size",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"transforms3d": {
				"title": "CSS3 3D Transforms",
				"description": "Method of transforming an element in the third dimension using the `transform` property. Includes support for the `perspective` property to set the perspective in z-space and the `backface-visibility` property to toggle display of the reverse side of a 3D-transformed element.",
				"spec": "http://www.w3.org/TR/css3-3d-transforms/",
				"status": "wd",
				"links": [
					{
						"url": "http://css3.bradshawenterprises.com/flip/",
						"title": "Multi-browser demo"
					},
					{
						"url": "http://hacks.mozilla.org/2011/10/css-3d-transformations-in-firefox-nightly/",
						"title": "Mozilla hacks article"
					},
					{
						"url": "http://thewebrocks.com/demos/3D-css-tester/",
						"title": "3D CSS Tester"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/css.js#css-transform",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/transforms/transform",
						"title": "WebPlatform Docs"
					},
					{
						"url": "http://desandro.github.io/3dtransforms/",
						"title": "Intro to CSS 3D transforms"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a #1",
						"11": "a #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y #2",
						"10": "y #2",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y x",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y #2",
						"TP": "y #2"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "y x",
						"4.0-4.1": "y x",
						"4.2-4.3": "y x",
						"5.0-5.1": "y x",
						"6.0-6.1": "y x",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y x",
						"4": "y x",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y x",
						"4.2-4.3": "y x",
						"4.4": "y x",
						"4.4.3-4.4.4": "y x"
					},
					"bb": {
						"7": "y x",
						"10": "y x"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a #1",
						"11": "a #1"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in IE refers to not supporting [the transform-style: preserve-3d property](http://msdn.microsoft.com/en-us/library/ie/hh673529%28v=vs.85%29.aspx#the_ms_transform_style_property). This prevents nesting 3D transformed elements.",
					"2": "Safari 9 is reported to still require a prefix for the related `backface-visibility` property."
				},
				"usage_perc_y": 88.33,
				"usage_perc_a": 4.49,
				"ucprefix": false,
				"parent": "",
				"keywords": "css 3d,3dtransforms,translate3d,backface visibility,perspective,transform-origin,transform-style",
				"ie_id": "transforms,csstransformspreserve3d",
				"chrome_id": "6437640580628480",
				"firefox_id": "",
				"webkit_id": ""
			},
			"sharedworkers": {
				"title": "Shared Web Workers",
				"description": "Method of allowing multiple scripts to communicate with a single web worker.",
				"spec": "https://html.spec.whatwg.org/multipage/workers.html#shared-workers-introduction",
				"status": "ls",
				"links": [
					{
						"url": "http://www.sitepoint.com/javascript-shared-web-workers-html5/",
						"title": "Sitepoint article"
					},
					{
						"url": "http://greenido.wordpress.com/2011/11/03/web-workers-part-3-out-of-3-shared-wrokers/",
						"title": "Blog post"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "u",
						"11": "y",
						"12": "y",
						"37": "n",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 48.3,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "webworkers",
				"keywords": "shared worker",
				"ie_id": "sharedwebworkers",
				"chrome_id": "",
				"firefox_id": "shared-worker",
				"webkit_id": "feature-shared-web-workers"
			},
			"css-hyphens": {
				"title": "CSS Hyphenation",
				"description": "Method of controlling when words at the end of lines should be hyphenated using the \"hyphens\" property.",
				"spec": "http://www.w3.org/TR/css3-text/#hyphenation",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/CSS/hyphens",
						"title": "MDN article"
					},
					{
						"url": "http://blog.fontdeck.com/post/9037028497/hyphens",
						"title": "Blog post"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/hyphens",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://crbug.com/605840",
						"title": "Chrome bug for implementing hyphenation"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y x",
						"11": "y x",
						"5.5": "n"
					},
					"edge": {
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "a #1",
						"56": "a #1",
						"57": "a #1",
						"58": "a #1"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y x",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y x",
						"TP": "y x"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "a #1",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "y x",
						"5.0-5.1": "y x",
						"6.0-6.1": "y x",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "a #1"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "a x"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "Chrome < 55 and Android 4.0 Browser support \"-webkit-hyphens: none\", but not the \"auto\" property. It is [advisable to set the @lang attribute](http://blog.adrianroselli.com/2015/01/on-use-of-lang-attribute.html) on the HTML element to enable hyphenation support and improve accessibility.",
				"notes_by_num": {
					"1": "Only supports the \"auto\" value [on Mac for now](https://crrev.com/ed7e106e0e48b3afb160a5bdbb37649e307d2b05)."
				},
				"usage_perc_y": 23.84,
				"usage_perc_a": 33.04,
				"ucprefix": false,
				"parent": "",
				"keywords": "hyphen,shy",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-transitions": {
				"title": "CSS3 Transitions",
				"description": "Simple method of animating certain properties of an element, with ability to define property, duration, delay and timing function. ",
				"spec": "http://www.w3.org/TR/css3-transitions/",
				"status": "wd",
				"links": [
					{
						"url": "http://www.webdesignerdepot.com/2010/01/css-transitions-101/",
						"title": "Article on usage"
					},
					{
						"url": "http://www.css3files.com/transition/",
						"title": "Information page"
					},
					{
						"url": "http://www.the-art-of-web.com/css/timing-function/",
						"title": "Examples on timing functions"
					},
					{
						"url": "http://www.opera.com/docs/specs/presto2.12/css/transitions/",
						"title": "Animation of property types support in Opera"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/transition",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y x",
						"3.2": "y x",
						"5.1": "y x",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y x",
						"12": "y x",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "y x",
						"10.6": "y x",
						"11.1": "y x",
						"11.5": "y x",
						"11.6": "y x",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y x",
						"4.0-4.1": "y x",
						"4.2-4.3": "y x",
						"5.0-5.1": "y x",
						"6.0-6.1": "y x",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y x",
						"4": "y x",
						"53": "y",
						"2.1": "y x",
						"2.2": "y x",
						"2.3": "y x",
						"4.1": "y x",
						"4.2-4.3": "y x",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y x",
						"10": "y"
					},
					"op_mob": {
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"37": "y",
						"11.1": "y x",
						"11.5": "y x",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Support listed is for `transition` properties as well as the `transitionend` event. The prefixed name in WebKit browsers is `webkitTransitionEnd`",
				"notes_by_num": {},
				"usage_perc_y": 93.17,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "css transition,transitionend,transition-property,transition-duration,transition-timing-function,transition-delay",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"font-feature": {
				"title": "CSS font-feature-settings",
				"description": "Method of applying advanced typographic and language-specific font features to supported OpenType fonts.",
				"spec": "http://w3.org/TR/css3-fonts/#font-rend-props",
				"status": "cr",
				"links": [
					{
						"url": "http://ie.microsoft.com/testdrive/Graphics/opentype/",
						"title": "Demo pages (IE/Firefox only)"
					},
					{
						"url": "http://hacks.mozilla.org/2010/11/firefox-4-font-feature-support/",
						"title": "Mozilla hacks article"
					},
					{
						"url": "http://html5accessibility.com/",
						"title": "Detailed tables on accessability support"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/font-feature-settings",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/font-feature-settings",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://www.microsoft.com/typography/otspec/featuretags.htm",
						"title": "OpenType layout feature tag registry"
					},
					{
						"url": "http://help.typekit.com/customer/portal/articles/1789736-syntax-for-opentype-features-in-css#salt",
						"title": "Syntax for OpenType features in CSS (Adobe Typekit Help)"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a x #1",
						"5": "a x #1",
						"6": "a x #1",
						"7": "a x #1",
						"8": "a x #1",
						"9": "a x #1",
						"10": "a x #1",
						"11": "a x #1",
						"12": "a x #1",
						"13": "a x #1",
						"14": "a x #1",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "a x #2",
						"17": "a x #2",
						"18": "a x #2",
						"19": "a x #2",
						"20": "a x #2",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "a",
						"4.0-4.1": "a",
						"4.2-4.3": "a",
						"5.0-5.1": "a",
						"6.0-6.1": "a",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y x",
						"4.4.3-4.4.4": "y x"
					},
					"bb": {
						"7": "n",
						"10": "y x"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "y x"
					}
				},
				"notes": "Whenever possible, font-variant shorthand property or an associated longhand property, font-variant-ligatures, font-variant-caps, font-variant-east-asian, font-variant-alternates, font-variant-numeric or font-variant-position should be used. This property is a low-level feature designed to handle special cases where no other way to enable or access an OpenType font feature exists. In particular, this CSS property shouldn't be used to enable small caps.",
				"notes_by_num": {
					"1": "From Gecko 2.0 (Firefox 4.0) to Gecko 14.0 (Firefox 14.0) included, Gecko supported an older syntax, slightly different from the modern one: http://hacks.mozilla.org/2010/11/firefox-4-font-feature-support/",
					"2": "Partial support in older Chrome versions refers to lacking support in Mac OS X."
				},
				"usage_perc_y": 90.2,
				"usage_perc_a": 0.29,
				"ucprefix": false,
				"parent": "",
				"keywords": "font-feature,font-feature-settings,kern,kerning,font-variant-alternates,ligatures,font-variant-ligatures",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-animation": {
				"title": "CSS Animation",
				"description": "Complex method of animating certain properties of an element",
				"spec": "http://www.w3.org/TR/css3-animations/",
				"status": "wd",
				"links": [
					{
						"url": "http://robertnyman.com/2010/05/06/css3-animations/",
						"title": "Blog post on usage"
					},
					{
						"url": "http://www.css3files.com/animation/",
						"title": "Information page"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/animations",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y x",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "y x",
						"4.0-4.1": "y x",
						"4.2-4.3": "y x",
						"5.0-5.1": "y x",
						"6.0-6.1": "y x",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a x #1",
						"4": "y x",
						"53": "y",
						"2.1": "a x #1",
						"2.2": "a x #1",
						"2.3": "a x #1",
						"4.1": "y x",
						"4.2-4.3": "y x",
						"4.4": "y x",
						"4.4.3-4.4.4": "y x"
					},
					"bb": {
						"7": "y x",
						"10": "y x"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in Android browser refers to buggy behavior in different scenarios."
				},
				"usage_perc_y": 93.09,
				"usage_perc_a": 0.01,
				"ucprefix": false,
				"parent": "",
				"keywords": "animations,css-animations,animation-name,animation-duration,animation-delay,animation-timing-function,@keyframes,animationstart,animationend,animationiteration,css3 animation",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-gradients": {
				"title": "CSS Gradients",
				"description": "Method of defining a linear or radial color gradient as a CSS image.",
				"spec": "http://www.w3.org/TR/css3-images/",
				"status": "cr",
				"links": [
					{
						"url": "http://www.colorzilla.com/gradient-editor/",
						"title": "Cross-browser editor"
					},
					{
						"url": "http://www.css3files.com/gradient/",
						"title": "Information page"
					},
					{
						"url": "http://css3pie.com/",
						"title": "Tool to emulate support in IE"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/functions/linear-gradient",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "y x"
					},
					"chrome": {
						"4": "a x",
						"5": "a x",
						"6": "a x",
						"7": "a x",
						"8": "a x",
						"9": "a x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a x",
						"5": "a x",
						"6": "y x",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y x",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y x",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "a x #1",
						"11.5": "a x #1",
						"11.6": "y x",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "a x",
						"4.0-4.1": "a x",
						"4.2-4.3": "a x",
						"5.0-5.1": "y x",
						"6.0-6.1": "y x",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a x",
						"4": "y x",
						"53": "y",
						"2.1": "a x",
						"2.2": "a x",
						"2.3": "a x",
						"4.1": "y x",
						"4.2-4.3": "y x",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a x",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "y x",
						"37": "y",
						"11.1": "a x #1",
						"11.5": "a x #1",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Syntax used by browsers with prefixed support may be incompatible with that for proper support.\r\n\r\nSupport can be somewhat emulated in older IE versions using the non-standard \"gradient\" filter. \r\n\r\nFirefox 10+, Opera 11.6+, Chrome 26+ and IE10+ also support the new \"to (side)\" syntax.",
				"notes_by_num": {
					"1": "Partial support in Opera 11.10 and 11.50 also refers to only having support for linear gradients."
				},
				"usage_perc_y": 93.01,
				"usage_perc_a": 0.16,
				"ucprefix": false,
				"parent": "",
				"keywords": "linear,linear-gradient,gradiant",
				"ie_id": "gradients",
				"chrome_id": "5785905063264256",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-canvas": {
				"title": "CSS Canvas Drawings",
				"description": "Method of using HTML5 Canvas as a background image. Not currently part of any specification.",
				"spec": "http://webkit.org/blog/176/css-canvas-drawing/",
				"status": "unoff",
				"links": [
					{
						"url": "http://webkit.org/blog/176/css-canvas-drawing/",
						"title": "Webkit blog post"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "u",
						"52": "u",
						"53": "u",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y x",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y x",
						"TP": "y x"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "y x",
						"4.0-4.1": "y x",
						"4.2-4.3": "y x",
						"5.0-5.1": "y x",
						"6.0-6.1": "y x",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y x",
						"4": "y x",
						"53": "n",
						"2.1": "y x",
						"2.2": "y x",
						"2.3": "y x",
						"4.1": "y x",
						"4.2-4.3": "y x",
						"4.4": "y x",
						"4.4.3-4.4.4": "y x"
					},
					"bb": {
						"7": "y x",
						"10": "y x"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "y x"
					}
				},
				"notes": "A similar effect can be achieved in Firefox 4+ using the -moz-element() background property",
				"notes_by_num": {},
				"usage_perc_y": 28.59,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-reflections": {
				"title": "CSS Reflections",
				"description": "Method of displaying a reflection of an element",
				"spec": "http://webkit.org/blog/182/css-reflections/",
				"status": "unoff",
				"links": [
					{
						"url": "http://webkit.org/blog/182/css-reflections/",
						"title": "Webkit blog post"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/7930470-support-css-reflections",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y x",
						"49": "y x",
						"50": "y x",
						"51": "y x",
						"52": "y x",
						"53": "y x",
						"54": "y x",
						"55": "y x",
						"56": "y x",
						"57": "y x",
						"58": "y x"
					},
					"safari": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y x",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y x",
						"TP": "y x"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "y x",
						"4.0-4.1": "y x",
						"4.2-4.3": "y x",
						"5.0-5.1": "y x",
						"6.0-6.1": "y x",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y x",
						"4": "y x",
						"53": "y x",
						"2.1": "y x",
						"2.2": "y x",
						"2.3": "y x",
						"4.1": "y x",
						"4.2-4.3": "y x",
						"4.4": "y x",
						"4.4.3-4.4.4": "y x"
					},
					"bb": {
						"7": "y x",
						"10": "y x"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y x",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y x"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y x"
					}
				},
				"notes": "Similar effect can be achieved in Firefox 4+ using the -moz-element() background property",
				"notes_by_num": {},
				"usage_perc_y": 71.22,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "box-reflect",
				"ie_id": "",
				"chrome_id": "5627300510957568",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-masks": {
				"title": "CSS Masks",
				"description": "Method of displaying part of an element, using a selected image as a mask",
				"spec": "http://www.w3.org/TR/css-masking-1/",
				"status": "cr",
				"links": [
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/mask",
						"title": "WebPlatform Docs"
					},
					{
						"url": "http://www.html5rocks.com/en/tutorials/masking/adobe/",
						"title": "HTML5 Rocks article"
					},
					{
						"url": "http://thenittygritty.co/css-masking",
						"title": "Detailed blog post"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1224422",
						"title": "Firefox implementation bug"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a #2",
						"5": "a #2",
						"6": "a #2",
						"7": "a #2",
						"8": "a #2",
						"9": "a #2",
						"10": "a #2",
						"11": "a #2",
						"12": "a #2",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2",
						"16": "a #2",
						"17": "a #2",
						"18": "a #2",
						"19": "a #2",
						"20": "a #2",
						"21": "a #2",
						"22": "a #2",
						"23": "a #2",
						"24": "a #2",
						"25": "a #2",
						"26": "a #2",
						"27": "a #2",
						"28": "a #2",
						"29": "a #2",
						"30": "a #2",
						"31": "a #2",
						"32": "a #2",
						"33": "a #2",
						"34": "a #2",
						"35": "a #2",
						"36": "a #2",
						"37": "a #2",
						"38": "a #2",
						"39": "a #2",
						"40": "a #2",
						"41": "a #2",
						"42": "a #2",
						"43": "a #2",
						"44": "a #2",
						"45": "a #2",
						"46": "a #2",
						"47": "a #2",
						"48": "a #2",
						"49": "a #2",
						"50": "a #2",
						"51": "a #2",
						"52": "a #2",
						"53": "a #2",
						"3.5": "a #2",
						"3.6": "a #2"
					},
					"chrome": {
						"4": "a x #1",
						"5": "a x #1",
						"6": "a x #1",
						"7": "a x #1",
						"8": "a x #1",
						"9": "a x #1",
						"10": "a x #1",
						"11": "a x #1",
						"12": "a x #1",
						"13": "a x #1",
						"14": "a x #1",
						"15": "a x #1",
						"16": "a x #1",
						"17": "a x #1",
						"18": "a x #1",
						"19": "a x #1",
						"20": "a x #1",
						"21": "a x #1",
						"22": "a x #1",
						"23": "a x #1",
						"24": "a x #1",
						"25": "a x #1",
						"26": "a x #1",
						"27": "a x #1",
						"28": "a x #1",
						"29": "a x #1",
						"30": "a x #1",
						"31": "a x #1",
						"32": "a x #1",
						"33": "a x #1",
						"34": "a x #1",
						"35": "a x #1",
						"36": "a x #1",
						"37": "a x #1",
						"38": "a x #1",
						"39": "a x #1",
						"40": "a x #1",
						"41": "a x #1",
						"42": "a x #1",
						"43": "a x #1",
						"44": "a x #1",
						"45": "a x #1",
						"46": "a x #1",
						"47": "a x #1",
						"48": "a x #1",
						"49": "a x #1",
						"50": "a x #1",
						"51": "a x #1",
						"52": "a x #1",
						"53": "a x #1",
						"54": "a x #1",
						"55": "a x #1",
						"56": "a x #1",
						"57": "a x #1",
						"58": "a x #1"
					},
					"safari": {
						"4": "a x #1",
						"5": "a x #1",
						"6": "a x #1",
						"7": "a x #1",
						"8": "a x #1",
						"9": "a x #1",
						"10": "a x #1",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a x #1",
						"6.1": "a x #1",
						"7.1": "a x #1",
						"9.1": "a x #1",
						"TP": "a x #1"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "a x #1",
						"16": "a x #1",
						"17": "a x #1",
						"18": "a x #1",
						"19": "a x #1",
						"20": "a x #1",
						"21": "a x #1",
						"22": "a x #1",
						"23": "a x #1",
						"24": "a x #1",
						"25": "a x #1",
						"26": "a x #1",
						"27": "a x #1",
						"28": "a x #1",
						"29": "a x #1",
						"30": "a x #1",
						"31": "a x #1",
						"32": "a x #1",
						"33": "a x #1",
						"34": "a x #1",
						"35": "a x #1",
						"36": "a x #1",
						"37": "a x #1",
						"38": "a x #1",
						"39": "a x #1",
						"40": "a x #1",
						"41": "a x #1",
						"42": "a x #1",
						"43": "a x #1",
						"44": "a x #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "a x #1",
						"3.2": "a x #1",
						"4.0-4.1": "a x #1",
						"4.2-4.3": "a x #1",
						"5.0-5.1": "a x #1",
						"6.0-6.1": "a x #1",
						"7.0-7.1": "a x #1",
						"8.1-8.4": "a x #1",
						"9.0-9.2": "a x #1",
						"9.3": "a x #1",
						"10-10.1": "a x #1"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a x #1",
						"4": "a x #1",
						"53": "a x #1",
						"2.1": "a x #1",
						"2.2": "a x #1",
						"2.3": "a x #1",
						"4.1": "a x #1",
						"4.2-4.3": "a x #1",
						"4.4": "a x #1",
						"4.4.3-4.4.4": "a x #1"
					},
					"bb": {
						"7": "a x #1",
						"10": "a x #1"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a x #1",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "a x #1"
					},
					"and_ff": {
						"50": "a #2"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "a x #1"
					},
					"samsung": {
						"4": "a x #1"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in WebKit/Blink browsers refers to supporting the mask-image and mask-box-image properties, but lacking support for other parts of the spec.",
					"2": "Partial support in Firefox refers to only support for inline SVG mask elements i.e. mask: url(#foo)."
				},
				"usage_perc_y": 0,
				"usage_perc_a": 87,
				"ucprefix": false,
				"parent": "",
				"keywords": "clip,clip-path,clip-rule,mask,mask-border,mask-clip,mask-image,mask-mode,mask-type",
				"ie_id": "masks",
				"chrome_id": "5381559662149632",
				"firefox_id": "",
				"webkit_id": ""
			},
			"console-basic": {
				"title": "Basic console logging functions",
				"description": "Method of outputting data to the browser's console, intended for development purposes.",
				"spec": "https://console.spec.whatwg.org/",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Console",
						"title": "MDN article"
					},
					{
						"url": "https://developer.chrome.com/devtools/docs/console-api",
						"title": "Chrome console reference"
					},
					{
						"url": "https://developer.apple.com/library/mac/documentation/AppleApplications/Conceptual/Safari_Developer_Guide/Console/Console.html",
						"title": "Safari console reference"
					},
					{
						"url": "https://msdn.microsoft.com/en-us/library/hh772169",
						"title": "Edge/Internet Explorer console reference"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "a #1",
						"9": "a #1",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y #3",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y #3",
						"7.0-7.1": "y #3",
						"8.1-8.4": "y #3",
						"9.0-9.2": "y #3",
						"9.3": "y #3",
						"10-10.1": "y #3"
					},
					"op_mini": {
						"all": "y #6"
					},
					"android": {
						"3": "y #4",
						"4": "y #4",
						"53": "y #4",
						"2.1": "y #4",
						"2.2": "y #4",
						"2.3": "y #4",
						"4.1": "y #4",
						"4.2-4.3": "y #4",
						"4.4": "y #4",
						"4.4.3-4.4.4": "y #4"
					},
					"bb": {
						"7": "n #2",
						"10": "n #2"
					},
					"op_mob": {
						"10": "n",
						"11": "n #2",
						"12": "n #2",
						"37": "n #2",
						"11.1": "n #2",
						"11.5": "n #2",
						"12.1": "n #2"
					},
					"and_chr": {
						"55": "y #4"
					},
					"and_ff": {
						"50": "y #5"
					},
					"ie_mob": {
						"10": "n #2",
						"11": "n #2"
					},
					"and_uc": {
						"11": "n #2"
					},
					"samsung": {
						"4": "y #4"
					}
				},
				"notes": "The basic functions that this information refers to include `console.log`, `console.info`, `console.warn`, `console.error`.",
				"notes_by_num": {
					"1": "Only supports console functions when developer tools are open, otherwise the `console` object is undefined and any calls will throw errors.",
					"2": "Allows `console` functions to be used without throwing errors, but does not appear to output the data anywhere.",
					"3": "Log output on iOS 6+ Safari can only be seen by connecting to a Mac and using the [Safari debugger](https://developer.apple.com/safari/tools/).",
					"4": "Log output on older Android browsers can be retrieved via Android's `logcat` command or using Chrome Developer Tools in Android 4.4+/Chrome for Android [see details](http://developer.android.com/guide/webapps/debugging.html)",
					"5": "Log output on Firefox for Android can be [accessed using WebIDE](https://developer.mozilla.org/en-US/docs/Tools/Remote_Debugging/Debugging_Firefox_for_Android_with_WebIDE)",
					"6": "See [this article](https://dev.opera.com/articles/opera-mini-and-javascript/) for details on how to see console logging in Opera Mini"
				},
				"usage_perc_y": 87.5,
				"usage_perc_a": 0.66,
				"ucprefix": false,
				"parent": "",
				"keywords": "console.log,console.info,console.warn,console.error,window.console",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"svg": {
				"title": "SVG (basic support)",
				"description": "Method of displaying basic Vector Graphics features using the embed or object elements. Refers to the SVG 1.1 spec.",
				"spec": "http://www.w3.org/TR/SVG/",
				"status": "rec",
				"links": [
					{
						"url": "http://en.wikipedia.org/wiki/Scalable_Vector_Graphics",
						"title": "Wikipedia"
					},
					{
						"url": "http://www.alistapart.com/articles/using-svg-for-flexible-scalable-and-fun-backgrounds-part-i",
						"title": "A List Apart article"
					},
					{
						"url": "http://svg-wow.org/",
						"title": "SVG showcase site"
					},
					{
						"url": "http://code.google.com/p/svgweb/",
						"title": "SVG Web: Flash-based polyfill"
					},
					{
						"url": "https://github.com/SVG-Edit/svgedit",
						"title": "Web-based SVG editor"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/graphics.js#svg",
						"title": "has.js test"
					}
				],
				"categories": [
					"SVG"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "y #2",
						"10": "y #2",
						"11": "y #2",
						"5.5": "n"
					},
					"edge": {
						"12": "y #2",
						"13": "y #2",
						"14": "y #2",
						"15": "y #2"
					},
					"firefox": {
						"2": "a",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "a",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "a #1",
						"4": "a #1",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "a #1",
						"4.2-4.3": "a #1",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y #2",
						"11": "y #2"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in Android 3 & 4 refers to not supporting masking.",
					"2": "IE9-11 desktop & mobile don't properly scale SVG files.  [Adding height, width, viewBox, and CSS rules](http://codepen.io/tomByrer/pen/qEBbzw?editors=110) seem to be the best workaround."
				},
				"usage_perc_y": 96.94,
				"usage_perc_a": 0.74,
				"ucprefix": false,
				"parent": "",
				"keywords": "rect,circle,ellipse,line,polyline,polygon,defs,symbol,use,tspan,tref,textpath,stroke-dasharray,stroke-dashoffset",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"svg-css": {
				"title": "SVG in CSS backgrounds",
				"description": "Method of using SVG images as CSS backgrounds",
				"spec": "http://www.w3.org/TR/css3-background/#background-image",
				"status": "cr",
				"links": [
					{
						"url": "http://www.sitepoint.com/a-farewell-to-css3-gradients/",
						"title": "Tutorial for advanced effects"
					}
				],
				"categories": [
					"CSS3",
					"SVG"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a #2",
						"5": "a #2",
						"6": "a #2",
						"7": "a #2",
						"8": "a #2",
						"9": "a #2",
						"10": "a #2",
						"11": "a #2",
						"12": "a #2",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2",
						"16": "a #2",
						"17": "a #2",
						"18": "a #2",
						"19": "a #2",
						"20": "a #2",
						"21": "a #2",
						"22": "a #2",
						"23": "a #2",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "a",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a #1",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "a #1",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "a #1",
						"4.0-4.1": "a #1",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "a #2"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "a #2",
						"11": "a #2",
						"12": "a #2",
						"37": "y",
						"11.1": "a #2",
						"11.5": "a #2",
						"12.1": "a #2"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in iOS Safari and older Safari versions refers to failing to support tiling or the background-position property.",
					"2": "Partial support in older Firefox and Opera Mini/Mobile refers to SVG images being blurry when scaled."
				},
				"usage_perc_y": 93.22,
				"usage_perc_a": 4.35,
				"ucprefix": false,
				"parent": "",
				"keywords": "svg-in-css,svgincss,css-svg",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"svg-smil": {
				"title": "SVG SMIL animation",
				"description": "Method of using animation elements to animate SVG images",
				"spec": "http://www.w3.org/TR/SVG/animate.html",
				"status": "rec",
				"links": [
					{
						"url": "http://svg-wow.org/blog/category/animation/",
						"title": "Examples on SVG WOW"
					},
					{
						"url": "https://developer.mozilla.org/en/SVG/SVG_animation_with_SMIL",
						"title": "MDN article"
					},
					{
						"url": "http://leunen.me/fakesmile/",
						"title": "JS library to support SMIL in SVG"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/graphics.js#svg-smil",
						"title": "has.js test"
					},
					{
						"url": "https://github.com/madsgraphics/SVGEventListener",
						"title": "Polyfill for SMIL animate events on SVG"
					}
				],
				"categories": [
					"SVG"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "p",
						"5.5": "n"
					},
					"edge": {
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p"
					},
					"firefox": {
						"2": "p",
						"3": "p",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "p",
						"3.6": "p"
					},
					"chrome": {
						"4": "a",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y #2",
						"46": "y #2",
						"47": "y #2",
						"48": "y #2",
						"49": "y #2",
						"50": "y #2",
						"51": "y #2",
						"52": "y #2",
						"53": "y #2",
						"54": "y #2",
						"55": "y #2",
						"56": "y #2",
						"57": "y #2",
						"58": "y #2"
					},
					"safari": {
						"4": "a #1",
						"5": "a #1",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "p",
						"3.2": "p",
						"5.1": "a #1",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y #2",
						"33": "y #2",
						"34": "y #2",
						"35": "y #2",
						"36": "y #2",
						"37": "y #2",
						"38": "y #2",
						"39": "y #2",
						"40": "y #2",
						"41": "y #2",
						"42": "y #2",
						"43": "y #2",
						"44": "y #2",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "a #1",
						"4.0-4.1": "a #1",
						"4.2-4.3": "a #1",
						"5.0-5.1": "a #1",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "p",
						"11": "p"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in older Safari versions refers to not working in HTML files or CSS background images.",
					"2": "As of Chrome 45 & Opera 32 SMIL is deprecated and usage will result in a warning in the console. Support is expected to be dropped in some future version."
				},
				"usage_perc_y": 87.05,
				"usage_perc_a": 0.13,
				"ucprefix": false,
				"parent": "",
				"keywords": "svg animation",
				"ie_id": "svgsmilanimation",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"svg-fonts": {
				"title": "SVG fonts",
				"description": "Method of using fonts defined as SVG shapes. Removed from [SVG 2.0](http://www.w3.org/TR/SVG2/changes.html#fonts) and considered as a deprecated feature with support being removed from browsers.",
				"spec": "http://www.w3.org/TR/SVG/fonts.html",
				"status": "unoff",
				"links": [
					{
						"url": "http://jeremie.patonnier.net/post/2011/02/07/Why-are-SVG-Fonts-so-different",
						"title": "Blog post"
					},
					{
						"url": "http://opentype.info/blog/2010/04/13/the-ipad-and-svg-fonts-in-mobile-safari/",
						"title": "Blog post on usage for iPad"
					}
				],
				"categories": [
					"SVG"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "n #1",
						"39": "n #1",
						"40": "n #1",
						"41": "n #1",
						"42": "n #1",
						"43": "n #1",
						"44": "n #1",
						"45": "n #1",
						"46": "n #1",
						"47": "n #1",
						"48": "n #1",
						"49": "n #1",
						"50": "n #1",
						"51": "n #1",
						"52": "n #1",
						"53": "n #1",
						"54": "n #1",
						"55": "n #1",
						"56": "n #1",
						"57": "n #1",
						"58": "n #1"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "n #1",
						"26": "n #1",
						"27": "n #1",
						"28": "n #1",
						"29": "n #1",
						"30": "n #1",
						"31": "n #1",
						"32": "n #1",
						"33": "n #1",
						"34": "n #1",
						"35": "n #1",
						"36": "n #1",
						"37": "n #1",
						"38": "n #1",
						"39": "n #1",
						"40": "n #1",
						"41": "n #1",
						"42": "n #1",
						"43": "n #1",
						"44": "n #1",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n #2"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "n #1"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Chrome 38 and newer support SVG fonts only on Windows Vista and XP.",
					"2": "Supported in Opera Mini in SVG images only, not in HTML."
				},
				"usage_perc_y": 27.96,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "fontface",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "5930075908210688",
				"firefox_id": "",
				"webkit_id": ""
			},
			"svg-filters": {
				"title": "SVG filters",
				"description": "Method of using photoshop-like effects on SVG objects including blurring and color manipulation.",
				"spec": "http://www.w3.org/TR/SVG/filters.html",
				"status": "rec",
				"links": [
					{
						"url": "http://electricbeach.org/?p=950",
						"title": "Experiments with filter effects"
					},
					{
						"url": "http://svg-wow.org/blog/category/filters/",
						"title": "SVG filter demos"
					},
					{
						"url": "http://docs.webplatform.org/wiki/svg/elements/filter",
						"title": "WebPlatform Docs"
					},
					{
						"url": "http://jorgeatgu.github.io/svg-filters/",
						"title": "SVG Filter effects"
					}
				],
				"categories": [
					"SVG"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "n",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 96.46,
				"usage_perc_a": 0.02,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"svg-html": {
				"title": "SVG effects for HTML",
				"description": "Method of using SVG transforms, filters, etc on HTML elements using either CSS or the foreignObject element",
				"spec": "http://www.w3.org/TR/SVG11/extend.html#ForeignObjectElement",
				"status": "rec",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/SVG/Tutorial/Other_content_in_SVG",
						"title": "MDN Tutorial"
					},
					{
						"url": "https://developer.mozilla.org/En/Applying_SVG_effects_to_HTML_content",
						"title": "MDN Reference page"
					},
					{
						"url": "http://www.w3.org/TR/filter-effects/",
						"title": "Filter Effects draft"
					}
				],
				"categories": [
					"SVG"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a #1 #2",
						"10": "a #1 #2",
						"11": "a #1 #2",
						"5.5": "n"
					},
					"edge": {
						"12": "a #2",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2"
					},
					"firefox": {
						"2": "n",
						"3": "a",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"45": "a",
						"46": "a",
						"47": "a",
						"48": "a",
						"49": "a",
						"50": "a",
						"51": "a",
						"52": "a",
						"53": "a",
						"54": "a",
						"55": "a",
						"56": "a",
						"57": "a",
						"58": "a"
					},
					"safari": {
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a",
						"6.1": "a",
						"7.1": "a",
						"9.1": "a",
						"TP": "a"
					},
					"opera": {
						"9": "a",
						"11": "a",
						"12": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"9.5-9.6": "a",
						"10.0-10.1": "a",
						"10.5": "a",
						"10.6": "a",
						"11.1": "a",
						"11.5": "a",
						"11.6": "a",
						"12.1": "a"
					},
					"ios_saf": {
						"8": "a",
						"3.2": "a",
						"4.0-4.1": "a",
						"4.2-4.3": "a",
						"5.0-5.1": "a",
						"6.0-6.1": "a",
						"7.0-7.1": "a",
						"8.1-8.4": "a",
						"9.0-9.2": "a",
						"9.3": "a",
						"10-10.1": "a"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "a",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "a",
						"4.4.3-4.4.4": "a"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "a",
						"11": "a",
						"12": "a",
						"37": "a",
						"11.1": "a",
						"11.5": "a",
						"12.1": "a"
					},
					"and_chr": {
						"55": "a"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "a"
					}
				},
				"notes": "Partial support refers to lack of filter support or buggy result from effects. A [CSS Filter Effects](http://www.w3.org/TR/filter-effects/) specification is in the works that would replace this method.",
				"notes_by_num": {
					"1": "IE11 and below do not support `<foreignObject>`.",
					"2": "IE and Edge do not support applying SVG filter effects to HTML elements using CSS. [Bug Report](https://developer.microsoft.com/en-us/microsoft-edge/platform/issues/6618695/)"
				},
				"usage_perc_y": 6.91,
				"usage_perc_a": 76.44,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"svg-html5": {
				"title": "Inline SVG in HTML5",
				"description": "Method of using SVG tags directly in HTML documents. Requires HTML5 parser.",
				"spec": "https://html.spec.whatwg.org/multipage/embedded-content.html#svg-0",
				"status": "ls",
				"links": [
					{
						"url": "http://hacks.mozilla.org/2010/05/firefox-4-the-html5-parser-inline-svg-speed-and-more/",
						"title": "Mozilla Hacks blog post"
					},
					{
						"url": "http://samples.msdn.microsoft.com/ietestcenter/html5/svghtml_harness.htm?url=SVG_HTML_Elements_001",
						"title": "Test suite"
					}
				],
				"categories": [
					"HTML5",
					"SVG"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "y #1",
						"10": "y #1",
						"11": "y #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y #1",
						"13": "y #1",
						"14": "y #1",
						"15": "y #1"
					},
					"firefox": {
						"2": "p",
						"3": "p",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "p",
						"3.6": "p"
					},
					"chrome": {
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "p",
						"5": "p",
						"6": "y #1",
						"7": "y #1",
						"8": "y #1",
						"9": "y",
						"10": "y",
						"3.1": "p",
						"3.2": "p",
						"5.1": "y #1",
						"6.1": "y #1",
						"7.1": "y #1",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "p",
						"11": "n",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "p",
						"10.0-10.1": "p",
						"10.5": "p",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y #1",
						"3.2": "p",
						"4.0-4.1": "p",
						"4.2-4.3": "p",
						"5.0-5.1": "y #1",
						"6.0-6.1": "y #1",
						"7.0-7.1": "y #1",
						"8.1-8.4": "y #1",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y #1",
						"4": "y #1",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y #1",
						"4.2-4.3": "y #1",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y #1",
						"10": "y"
					},
					"op_mob": {
						"10": "p",
						"11": "p",
						"12": "y",
						"37": "y",
						"11.1": "p",
						"11.5": "p",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y #1",
						"11": "y #1"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Does not support CSS transforms on SVG elements (transform attribute can be used instead)"
				},
				"usage_perc_y": 97.43,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"canvas": {
				"title": "Canvas (basic support)",
				"description": "Method of generating fast, dynamic graphics using JavaScript.",
				"spec": "https://html.spec.whatwg.org/multipage/scripting.html#the-canvas-element",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/Canvas_tutorial",
						"title": "Tutorial by Mozilla"
					},
					{
						"url": "http://glimr.rubyforge.org/cake/canvas.html",
						"title": "Animation kit"
					},
					{
						"url": "http://diveintohtml5.info/canvas.html",
						"title": "Another tutorial"
					},
					{
						"url": "http://explorercanvas.googlecode.com/",
						"title": "Implementation for Internet Explorer"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/graphics.js#canvas",
						"title": "has.js test"
					}
				],
				"categories": [
					"Canvas",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "a #1",
						"3": "a #1",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a #1",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "a #1",
						"3.2": "a #1",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "a #2"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "a #1",
						"2.2": "a #1",
						"2.3": "a #1",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "For screen readers, IE, Chrome & Firefox support the [accessible canvas element sub-DOM](http://www.paciellogroup.com/blog/2012/06/html5-canvas-accessibility-in-firefox-13/).\r\nFirefox & Chrome also support the drawfocus ring.",
				"notes_by_num": {
					"1": "Does not support `toDataURL()`",
					"2": "Opera Mini supports the canvas element, but is unable to play animations or run other more complex applications."
				},
				"usage_perc_y": 93.49,
				"usage_perc_a": 4.2,
				"ucprefix": false,
				"parent": "",
				"keywords": "toDataURL()",
				"ie_id": "canvas",
				"chrome_id": "5100084685438976",
				"firefox_id": "",
				"webkit_id": ""
			},
			"canvas-text": {
				"title": "Text API for Canvas",
				"description": "Method of displaying text on Canvas elements",
				"spec": "https://html.spec.whatwg.org/multipage/scripting.html#drawing-text-to-the-bitmap",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/Drawing_text_using_a_canvas#Additional_examples",
						"title": "Examples by Mozilla"
					},
					{
						"url": "http://code.google.com/p/canvas-text/",
						"title": "Support library"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/graphics.js#canvas-text",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/apis/canvas/CanvasRenderingContext2D/fillText",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"Canvas",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "p",
						"3": "p",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "p",
						"3.2": "p",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "p",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "p",
						"10.0-10.1": "p",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "p",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 93.49,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "canvas",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"namevalue-storage": {
				"title": "Web Storage - name/value pairs",
				"description": "Method of storing data locally like cookies, but for larger amounts of data (sessionStorage and localStorage, used to fall under HTML5).",
				"spec": "https://html.spec.whatwg.org/multipage/webstorage.html#storage",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Web_Storage_API",
						"title": "MDN article"
					},
					{
						"url": "http://code.google.com/p/sessionstorage/",
						"title": "Support library"
					},
					{
						"url": "http://html5demos.com/storage",
						"title": "Simple demo"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/features.js#native-localstorage;native-sessionstorage",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/apis/web-storage/Storage/localStorage",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "a",
						"3": "a",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 93.88,
				"usage_perc_a": 0.05,
				"ucprefix": false,
				"parent": "",
				"keywords": "webstorage,local storage",
				"ie_id": "webstorage",
				"chrome_id": "5345825534246912",
				"firefox_id": "",
				"webkit_id": ""
			},
			"sql-storage": {
				"title": "Web SQL Database",
				"description": "Method of storing data client-side, allows Sqlite database queries for access and manipulation",
				"spec": "http://www.w3.org/TR/webdatabase/",
				"status": "unoff",
				"links": [
					{
						"url": "http://html5doctor.com/introducing-web-sql-databases/",
						"title": "HTML5 Doctor article"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/features.js#native-sql-db",
						"title": "has.js test"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "The Web SQL Database specification is no longer being maintained and support may be dropped in future versions.",
				"notes_by_num": {},
				"usage_perc_y": 80.31,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "db-storage,websql",
				"ie_id": "websqldatabase",
				"chrome_id": "6330987952734208",
				"firefox_id": "",
				"webkit_id": ""
			},
			"indexeddb": {
				"title": "IndexedDB",
				"description": "Method of storing data client-side, allows indexed database queries.",
				"spec": "http://www.w3.org/TR/IndexedDB/",
				"status": "rec",
				"links": [
					{
						"url": "http://hacks.mozilla.org/2010/06/comparing-indexeddb-and-webdatabase/",
						"title": "Mozilla Hacks article"
					},
					{
						"url": "https://github.com/axemclion/IndexedDBShim",
						"title": "Polyfill for browsers supporting WebSQL"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/features.js#native-indexeddb",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/apis/indexedDB",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a #1",
						"11": "a #1",
						"5.5": "n"
					},
					"edge": {
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a x",
						"5": "a x",
						"6": "a x",
						"7": "a x",
						"8": "a x",
						"9": "a x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "n",
						"11": "a x",
						"12": "a x",
						"13": "a x",
						"14": "a x",
						"15": "a x",
						"16": "a x",
						"17": "a x",
						"18": "a x",
						"19": "a x",
						"20": "a x",
						"21": "a x",
						"22": "a x",
						"23": "y x",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "a #2",
						"9": "a #2",
						"10": "y",
						"3.1": "p",
						"3.2": "p",
						"5.1": "p",
						"6.1": "p",
						"7.1": "a #2",
						"9.1": "a #2",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "p",
						"12": "p",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "p",
						"10.6": "p",
						"11.1": "p",
						"11.5": "p",
						"11.6": "p",
						"12.1": "p"
					},
					"ios_saf": {
						"8": "a #2",
						"3.2": "p",
						"4.0-4.1": "p",
						"4.2-4.3": "p",
						"5.0-5.1": "p",
						"6.0-6.1": "p",
						"7.0-7.1": "p",
						"8.1-8.4": "a #2",
						"9.0-9.2": "a #2",
						"9.3": "a #2",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "p",
						"4": "p",
						"53": "y",
						"2.1": "p",
						"2.2": "p",
						"2.3": "p",
						"4.1": "p",
						"4.2-4.3": "p",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "p",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "p",
						"12": "p",
						"37": "y",
						"11.1": "p",
						"11.5": "p",
						"12.1": "p"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a #1",
						"11": "a #1"
					},
					"and_uc": {
						"11": "p"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in IE 10 & 11 refers to a number of subfeatures [not being supported](http://codepen.io/cemerick/pen/Itymi).",
					"2": "Partial support in Safari & iOS 8 & 9 refers to [seriously buggy behavior](http://www.raymondcamden.com/2014/09/25/IndexedDB-on-iOS-8-Broken-Bad/) as well as complete lack of support in WebViews."
				},
				"usage_perc_y": 73.9,
				"usage_perc_a": 8.95,
				"ucprefix": false,
				"parent": "",
				"keywords": "indexdb",
				"ie_id": "indexeddb",
				"chrome_id": "6507459568992256",
				"firefox_id": "indexeddb",
				"webkit_id": "specification-indexed-database"
			},
			"online-status": {
				"title": "Online/offline status",
				"description": "Events to indicate when the user's connected (`online` and `offline` events) and the `navigator.onLine` property to see current status.",
				"spec": "https://html.spec.whatwg.org/multipage/browsers.html#browser-state",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/NavigatorOnLine.onLine#Specification",
						"title": "MDN article"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "a #2",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a #3",
						"5": "a #3",
						"6": "a #3",
						"7": "a #3",
						"8": "a #3",
						"9": "a #3",
						"10": "a #3",
						"11": "a #3",
						"12": "a #3",
						"13": "a #3",
						"14": "a #3",
						"15": "a #3",
						"16": "a #3",
						"17": "a #3",
						"18": "a #3",
						"19": "a #3",
						"20": "a #3",
						"21": "a #3",
						"22": "a #3",
						"23": "a #3",
						"24": "a #3",
						"25": "a #3",
						"26": "a #3",
						"27": "a #3",
						"28": "a #3",
						"29": "a #3",
						"30": "a #3",
						"31": "a #3",
						"32": "a #3",
						"33": "a #3",
						"34": "a #3",
						"35": "a #3",
						"36": "a #3",
						"37": "a #3",
						"38": "a #3",
						"39": "a #3",
						"40": "a #3",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "a"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a #1",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "a #1"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "\"online\" does not always mean connection to the internet, it can also just mean connection to some network.\r\n\r\nEarly versions of Chrome and Safari always reported \"true\" for `navigator.onLine`",
				"notes_by_num": {
					"0": "Safari 7.0 supports only the event listener on `window`, and not on `document.body`",
					"1": "Seems to support `navigator.onLine` but not `online`/`offline` events.",
					"2": "IE8 only supports the `online`/`offline` events on `document.body`, rather than `window`.",
					"3": "Desktop Firefox responds to the status of its \"Work Offline\" mode. If not in that mode, `navigator.onLine` is always `true`, regardless of the actual network connectivity status. [See bug](https://bugzilla.mozilla.org/show_bug.cgi?id=654579) for details."
				},
				"usage_perc_y": 83.65,
				"usage_perc_a": 10.05,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"eventsource": {
				"title": "Server-sent events",
				"description": "Method of continuously sending data from a server to the browser, rather than repeatedly requesting it (EventSource interface, used to fall under HTML5)",
				"spec": "https://html.spec.whatwg.org/multipage/comms.html#server-sent-events",
				"status": "ls",
				"links": [
					{
						"url": "http://www.html5rocks.com/tutorials/eventsource/basics/",
						"title": "HTML5 Rocks tutorial"
					},
					{
						"url": "http://samshull.blogspot.com/2010/10/ajax-push-in-ios-safari-and-chrome-with.html",
						"title": "Blog post with demo"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/features.js#native-eventsource",
						"title": "has.js test"
					},
					{
						"url": "https://github.com/Yaffle/EventSource",
						"title": "Polyfill"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "a",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "a",
						"10.0-10.1": "a",
						"10.5": "a",
						"10.6": "a",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "a",
						"11": "a",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 86.38,
				"usage_perc_a": 0.04,
				"ucprefix": false,
				"parent": "",
				"keywords": "serversent,s-sent-events",
				"ie_id": "serversenteventseventsource",
				"chrome_id": "5311740673785856",
				"firefox_id": "",
				"webkit_id": ""
			},
			"x-doc-messaging": {
				"title": "Cross-document messaging",
				"description": "Method of sending information from a page on one domain to a page on a different one (using postMessage)",
				"spec": "https://html.spec.whatwg.org/multipage/comms.html#crossDocumentMessages",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/DOM/window.postMessage",
						"title": "MDN article"
					},
					{
						"url": "http://html5demos.com/postmessage2",
						"title": "Simple demo"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/features.js#native-crosswindowmessaging",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/apis/web-messaging/MessagePort/postMessage",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "a #1",
						"9": "a #1",
						"10": "a #2",
						"11": "a #2",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a",
						"11": "a"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to only working in frames/iframes (not other tabs/windows). Also, objects cannot be sent using postMessage.",
					"2": "Partial support refers to [limitations in certain conditions](http://stackoverflow.com/questions/16226924/is-cross-origin-postmessage-broken-in-ie10)."
				},
				"usage_perc_y": 92.9,
				"usage_perc_a": 5.15,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "postmessage",
				"chrome_id": "4786174115708928",
				"firefox_id": "",
				"webkit_id": ""
			},
			"sni": {
				"title": "Server Name Indication",
				"description": "An extension to the TLS computer networking protocol by which a client indicates which hostname it is attempting to connect to at the start of the handshaking process.",
				"spec": "https://tools.ietf.org/html/rfc6066",
				"status": "other",
				"links": [
					{
						"url": "http://en.wikipedia.org/wiki/Server_Name_Indication",
						"title": "Wikipedia"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "a #1",
						"8": "a #1",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Only supported on Windows Vista or above (not Windows XP)"
				},
				"usage_perc_y": 97.62,
				"usage_perc_a": 0.42,
				"ucprefix": false,
				"parent": "",
				"keywords": "sni",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"datauri": {
				"title": "Data URIs",
				"description": "Method of embedding images and other files in webpages as a string of text, generally using base64 encoding.",
				"spec": "https://tools.ietf.org/html/rfc2397",
				"status": "other",
				"links": [
					{
						"url": "http://css-tricks.com/data-uris/",
						"title": "Information page"
					},
					{
						"url": "http://en.wikipedia.org/wiki/data_URI_scheme",
						"title": "Wikipedia"
					},
					{
						"url": "http://www.websiteoptimization.com/speed/tweak/inline-images/",
						"title": "Data URL converter"
					},
					{
						"url": "http://klevjers.com/papers/phishing.pdf",
						"title": "Information on security issues"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "a #1",
						"9": "a #2",
						"10": "a #2",
						"11": "a #2",
						"5.5": "n"
					},
					"edge": {
						"12": "a #2",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a #2",
						"11": "a #2"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Support is limited to images and linked resources like CSS files, not HTML or JS files. Max URI length is 32KB.",
					"2": "Support is limited to images and linked resources like CSS or JS, not HTML files. Maximum size limit is 4GB."
				},
				"usage_perc_y": 91.41,
				"usage_perc_a": 6.67,
				"ucprefix": false,
				"parent": "",
				"keywords": "data url,datauris,data uri,dataurl,dataurls,base64",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"wav": {
				"title": "Wav audio format",
				"description": "Waveform Audio File Format, aka WAV or WAVE, a typically uncompressed audio format. ",
				"spec": "http://www-mmsp.ece.mcgill.ca/documents/AudioFormats/WAVE/WAVE.html",
				"status": "other",
				"links": [
					{
						"url": "https://en.wikipedia.org/wiki/WAV",
						"title": "Wikipedia article"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "u",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Support refers to use using the `audio` element, not other conditions.",
				"notes_by_num": {},
				"usage_perc_y": 88.71,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "audio",
				"keywords": "",
				"ie_id": "wavaudiosupport",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"mathml": {
				"title": "MathML",
				"description": "Special tags that allow mathematical formulas and notations to be written on web pages.",
				"spec": "http://www.w3.org/TR/MathML/",
				"status": "rec",
				"links": [
					{
						"url": "http://en.wikipedia.org/wiki/MathML",
						"title": "Wikipedia"
					},
					{
						"url": "http://www.mozilla.org/projects/mathml/demo/",
						"title": "MathML demos"
					},
					{
						"url": "http://www.mathjax.org",
						"title": "Cross-browser support script"
					},
					{
						"url": "https://developer.mozilla.org/en/MathML/Element",
						"title": "MDN element reference"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Mozilla/MathML_Project/MathML_Torture_Test",
						"title": "MathML torture test"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "y #1",
						"3": "y #1",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y #1",
						"3.6": "y #1"
					},
					"chrome": {
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "p",
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "p",
						"21": "p",
						"22": "p",
						"23": "p",
						"24": "y",
						"25": "p",
						"26": "p",
						"27": "p",
						"28": "p",
						"29": "p",
						"30": "p",
						"31": "p",
						"32": "p",
						"33": "p",
						"34": "p",
						"35": "p",
						"36": "p",
						"37": "p",
						"38": "p",
						"39": "p",
						"40": "p",
						"41": "p",
						"42": "p",
						"43": "p",
						"44": "p",
						"45": "p",
						"46": "p",
						"47": "p",
						"48": "p",
						"49": "p",
						"50": "p",
						"51": "p",
						"52": "p",
						"53": "p",
						"54": "p",
						"55": "p",
						"56": "p",
						"57": "p",
						"58": "p"
					},
					"safari": {
						"4": "a #2",
						"5": "a #2",
						"6": "a #2",
						"7": "a #2",
						"8": "a #2",
						"9": "a #2",
						"10": "y",
						"3.1": "a #2",
						"3.2": "a #2",
						"5.1": "a #2",
						"6.1": "a #2",
						"7.1": "a #2",
						"9.1": "a #2",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "a",
						"12": "a",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "p",
						"21": "p",
						"22": "p",
						"23": "p",
						"24": "p",
						"25": "p",
						"26": "p",
						"27": "p",
						"28": "p",
						"29": "p",
						"30": "p",
						"31": "p",
						"32": "p",
						"33": "p",
						"34": "p",
						"35": "p",
						"36": "p",
						"37": "p",
						"38": "p",
						"39": "p",
						"40": "p",
						"41": "p",
						"42": "p",
						"43": "p",
						"44": "p",
						"9.5-9.6": "a",
						"10.0-10.1": "a",
						"10.5": "a",
						"10.6": "a",
						"11.1": "a",
						"11.5": "a",
						"11.6": "a",
						"12.1": "a"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "p",
						"4.0-4.1": "p",
						"4.2-4.3": "p",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "p"
					},
					"android": {
						"3": "p",
						"4": "p",
						"53": "p",
						"2.1": "p",
						"2.2": "p",
						"2.3": "p",
						"4.1": "p",
						"4.2-4.3": "p",
						"4.4": "p",
						"4.4.3-4.4.4": "p"
					},
					"bb": {
						"7": "p",
						"10": "y"
					},
					"op_mob": {
						"10": "p",
						"11": "p",
						"12": "p",
						"37": "p",
						"11.1": "p",
						"11.5": "p",
						"12.1": "p"
					},
					"and_chr": {
						"55": "p"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "a"
					},
					"samsung": {
						"4": "p"
					}
				},
				"notes": "Opera's support is limited to a CSS profile of MathML. Support was added in Chrome 24, but removed afterwards due to instability.",
				"notes_by_num": {
					"1": "Before version 4, Firefox only supports the XHTML notation",
					"2": "Before version 10, Safari had issues rendering significant portions of the MathML torture test"
				},
				"usage_perc_y": 17.48,
				"usage_perc_a": 10.19,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "mathml",
				"chrome_id": "5240822173794304",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-featurequeries": {
				"title": "CSS Feature Queries",
				"description": "CSS Feature Queries allow authors to condition rules based on whether particular property declarations are supported in CSS using the @supports at rule.",
				"spec": "http://www.w3.org/TR/css3-conditional/#at-supports",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/@supports",
						"title": "MDN Article"
					},
					{
						"url": "http://mcc.id.au/blog/2012/08/supports",
						"title": "@supports in Firefox"
					},
					{
						"url": "http://dabblet.com/gist/3895764",
						"title": "Test case"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/atrules/@supports",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "See also the [CSS.supports() DOM API](#feat=css-supports-api)",
				"notes_by_num": {},
				"usage_perc_y": 81.76,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "supports,conditional",
				"ie_id": "conditionalrules",
				"chrome_id": "4993981813358592",
				"firefox_id": "",
				"webkit_id": ""
			},
			"xhtml": {
				"title": "XHTML served as application/xhtml+xml",
				"description": "A strict form of HTML, and allows embedding of other XML languages",
				"spec": "https://html.spec.whatwg.org/multipage/xhtml.html#parsing-xhtml-documents",
				"status": "ls",
				"links": [
					{
						"url": "http://en.wikipedia.org/wiki/XHTML",
						"title": "Wikipedia"
					},
					{
						"url": "http://www.xmlplease.com/xhtml/xhtml5polyglot/",
						"title": "Information on XHTML5"
					},
					{
						"url": "http://docs.webplatform.org/wiki/concepts/internet_and_web/the_web_standards_model#What_is_XHTML.3F",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "The XHTML syntax is very close to HTML, and thus is almost always ([incorrectly](https://developer.mozilla.org/en-US/docs/XHTML#MIME_type_versus_DOCTYPE)) served as text/html on the web.",
				"notes_by_num": {},
				"usage_perc_y": 97.69,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "xhtml+xml",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"xhtmlsmil": {
				"title": "XHTML+SMIL animation",
				"description": "Method of using SMIL animation in web pages",
				"spec": "http://www.w3.org/TR/XHTMLplusSMIL/",
				"status": "unoff",
				"links": [
					{
						"url": "http://en.wikipedia.org/wiki/XHTML%2BSMIL",
						"title": "Wikipedia"
					},
					{
						"url": "http://leunen.me/fakesmile/",
						"title": "JS library to support XHTML+SMIL"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "p",
						"3": "p",
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "p",
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "p",
						"21": "p",
						"22": "p",
						"23": "p",
						"24": "p",
						"25": "p",
						"26": "p",
						"27": "p",
						"28": "p",
						"29": "p",
						"30": "p",
						"31": "p",
						"32": "p",
						"33": "p",
						"34": "p",
						"35": "p",
						"36": "p",
						"37": "p",
						"38": "p",
						"39": "p",
						"40": "p",
						"41": "p",
						"42": "p",
						"43": "p",
						"44": "p",
						"45": "p",
						"46": "p",
						"47": "p",
						"48": "p",
						"49": "p",
						"50": "p",
						"51": "p",
						"52": "p",
						"53": "p",
						"3.5": "p",
						"3.6": "p"
					},
					"chrome": {
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "p",
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "p",
						"21": "p",
						"22": "p",
						"23": "p",
						"24": "p",
						"25": "p",
						"26": "p",
						"27": "p",
						"28": "p",
						"29": "p",
						"30": "p",
						"31": "p",
						"32": "p",
						"33": "p",
						"34": "p",
						"35": "p",
						"36": "p",
						"37": "p",
						"38": "p",
						"39": "p",
						"40": "p",
						"41": "p",
						"42": "p",
						"43": "p",
						"44": "p",
						"45": "p",
						"46": "p",
						"47": "p",
						"48": "p",
						"49": "p",
						"50": "p",
						"51": "p",
						"52": "p",
						"53": "p",
						"54": "p",
						"55": "p",
						"56": "p",
						"57": "p",
						"58": "p"
					},
					"safari": {
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"3.1": "p",
						"3.2": "p",
						"5.1": "p",
						"6.1": "p",
						"7.1": "p",
						"9.1": "p",
						"TP": "p"
					},
					"opera": {
						"9": "p",
						"11": "p",
						"12": "p",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "p",
						"21": "p",
						"22": "p",
						"23": "p",
						"24": "p",
						"25": "p",
						"26": "p",
						"27": "p",
						"28": "p",
						"29": "p",
						"30": "p",
						"31": "p",
						"32": "p",
						"33": "p",
						"34": "p",
						"35": "p",
						"36": "p",
						"37": "p",
						"38": "p",
						"39": "p",
						"40": "p",
						"41": "p",
						"42": "p",
						"43": "p",
						"44": "p",
						"9.5-9.6": "p",
						"10.0-10.1": "p",
						"10.5": "p",
						"10.6": "p",
						"11.1": "p",
						"11.5": "p",
						"11.6": "p",
						"12.1": "p"
					},
					"ios_saf": {
						"8": "p",
						"3.2": "p",
						"4.0-4.1": "p",
						"4.2-4.3": "p",
						"5.0-5.1": "p",
						"6.0-6.1": "p",
						"7.0-7.1": "p",
						"8.1-8.4": "p",
						"9.0-9.2": "p",
						"9.3": "p",
						"10-10.1": "p"
					},
					"op_mini": {
						"all": "p"
					},
					"android": {
						"3": "p",
						"4": "p",
						"53": "p",
						"2.1": "p",
						"2.2": "p",
						"2.3": "p",
						"4.1": "p",
						"4.2-4.3": "p",
						"4.4": "p",
						"4.4.3-4.4.4": "p"
					},
					"bb": {
						"7": "p",
						"10": "p"
					},
					"op_mob": {
						"10": "p",
						"11": "p",
						"12": "p",
						"37": "p",
						"11.1": "p",
						"11.5": "p",
						"12.1": "p"
					},
					"and_chr": {
						"55": "p"
					},
					"and_ff": {
						"50": "p"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "p"
					},
					"samsung": {
						"4": "p"
					}
				},
				"notes": "Internet Explorer supports the W3C proposal HTML+TIME, which is largely the same as XHTML+SMIL",
				"notes_by_num": {},
				"usage_perc_y": 0,
				"usage_perc_a": 0.44,
				"ucprefix": false,
				"parent": "xhtml",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"wai-aria": {
				"title": "WAI-ARIA Accessibility features",
				"description": "Method of providing ways for people with disabilities to use dynamic web content and web applications.",
				"spec": "http://www.w3.org/TR/wai-aria/",
				"status": "rec",
				"links": [
					{
						"url": "http://www.w3.org/WAI/intro/aria",
						"title": "Information page"
					},
					{
						"url": "http://www.paciellogroup.com/blog/2011/10/browser-assistive-technology-tests-redux/",
						"title": "Links to various test results"
					},
					{
						"url": "http://en.wikipedia.org/wiki/WAI-ARIA",
						"title": "Wikipedia"
					},
					{
						"url": "http://www.alistapart.com/articles/the-accessibility-of-wai-aria/",
						"title": "ALA Article"
					},
					{
						"url": "http://zufelt.ca/blog/are-you-confused-html5-and-wai-aria-yet",
						"title": "HTML5/WAI-ARIA information"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"5.5": "n"
					},
					"edge": {
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a"
					},
					"firefox": {
						"2": "a",
						"3": "a",
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"45": "a",
						"46": "a",
						"47": "a",
						"48": "a",
						"49": "a",
						"50": "a",
						"51": "a",
						"52": "a",
						"53": "a",
						"3.5": "a",
						"3.6": "a"
					},
					"chrome": {
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"45": "a",
						"46": "a",
						"47": "a",
						"48": "a",
						"49": "a",
						"50": "a",
						"51": "a",
						"52": "a",
						"53": "a",
						"54": "a",
						"55": "a",
						"56": "a",
						"57": "a",
						"58": "a"
					},
					"safari": {
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a",
						"6.1": "a",
						"7.1": "a",
						"9.1": "a",
						"TP": "a"
					},
					"opera": {
						"9": "n",
						"11": "a",
						"12": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"9.5-9.6": "a",
						"10.0-10.1": "a",
						"10.5": "a",
						"10.6": "a",
						"11.1": "a",
						"11.5": "a",
						"11.6": "a",
						"12.1": "a"
					},
					"ios_saf": {
						"8": "a",
						"3.2": "a",
						"4.0-4.1": "a",
						"4.2-4.3": "a",
						"5.0-5.1": "a",
						"6.0-6.1": "a",
						"7.0-7.1": "a",
						"8.1-8.4": "a",
						"9.0-9.2": "a",
						"9.3": "a",
						"10-10.1": "a"
					},
					"op_mini": {
						"all": "a"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "a",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "a",
						"4.4.3-4.4.4": "a"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "a",
						"11": "a",
						"12": "a",
						"37": "a",
						"11.1": "a",
						"11.5": "a",
						"12.1": "a"
					},
					"and_chr": {
						"55": "a"
					},
					"and_ff": {
						"50": "a"
					},
					"ie_mob": {
						"10": "a",
						"11": "a"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "a"
					}
				},
				"notes": "Support for ARIA is rather complex and currently is not fully supported in any browser. For detailed information on partial support see the [ARIA 1.0 Implementation Report](http://www.w3.org/WAI/ARIA/1.0/CR/implementation-report)\r\n",
				"notes_by_num": {},
				"usage_perc_y": 0,
				"usage_perc_a": 88.41,
				"ucprefix": false,
				"parent": "",
				"keywords": "wai,aria",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"geolocation": {
				"title": "Geolocation",
				"description": "Method of informing a website of the user's geographical location",
				"spec": "http://www.w3.org/TR/geolocation-API/",
				"status": "rec",
				"links": [
					{
						"url": "http://html5demos.com/geo",
						"title": "Simple demo"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/features.js#native-geolocation",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/apis/geolocation",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "p",
						"3": "p",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "a",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y #1",
						"51": "y #1",
						"52": "y #1",
						"53": "y #1",
						"54": "y #1",
						"55": "y #1",
						"56": "y #1",
						"57": "y #1",
						"58": "y #1"
					},
					"safari": {
						"4": "p",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y #1",
						"3.1": "p",
						"3.2": "p",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "n",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y #1",
						"40": "y #1",
						"41": "y #1",
						"42": "y #1",
						"43": "y #1",
						"44": "y #1",
						"9.5-9.6": "n",
						"10.0-10.1": "p",
						"10.5": "p",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y #1"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y #1",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "p",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y #1"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Only works on secure (https) servers"
				},
				"usage_perc_y": 93.45,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "geolocation",
				"chrome_id": "6348855016685568",
				"firefox_id": "",
				"webkit_id": ""
			},
			"flexbox": {
				"title": "Flexible Box Layout Module",
				"description": "Method of positioning elements in horizontal or vertical stacks. Support includes the support for the all properties prefixed with `flex` as well as `display: flex`, `display: inline-flex`, `align-content`, `align-items`, `align-self`, `justify-content` and `order`.",
				"spec": "http://www.w3.org/TR/css3-flexbox/",
				"status": "cr",
				"links": [
					{
						"url": "http://bennettfeely.com/flexplorer/",
						"title": "Flexbox CSS generator"
					},
					{
						"url": "http://www.adobe.com/devnet/html5/articles/working-with-flexbox-the-new-spec.html",
						"title": "Article on using the latest spec"
					},
					{
						"url": "https://dev.opera.com/articles/view/advanced-cross-browser-flexbox/",
						"title": "Tutorial on cross-browser support"
					},
					{
						"url": "http://philipwalton.github.io/solved-by-flexbox/",
						"title": "Examples on how to solve common layout problems with flexbox"
					},
					{
						"url": "http://css-tricks.com/snippets/css/a-guide-to-flexbox/",
						"title": "A Complete Guide to Flexbox"
					},
					{
						"url": "http://the-echoplex.net/flexyboxes/",
						"title": "Flexbox playground and code generator"
					},
					{
						"url": "https://github.com/philipwalton/flexbugs",
						"title": "Flexbugs: Repo for flexbox bugs"
					},
					{
						"url": "https://github.com/10up/flexibility/",
						"title": "10up Open Sources IE 8 and 9 Support for Flexbox"
					},
					{
						"url": "https://github.com/vadimyer/ecligrid",
						"title": "Ecligrid - Mobile first flexbox grid system"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a x #2 #4",
						"11": "a #4",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "a x #1",
						"3": "a x #1",
						"4": "a x #1",
						"5": "a x #1",
						"6": "a x #1",
						"7": "a x #1",
						"8": "a x #1",
						"9": "a x #1",
						"10": "a x #1",
						"11": "a x #1",
						"12": "a x #1",
						"13": "a x #1",
						"14": "a x #1",
						"15": "a x #1",
						"16": "a x #1",
						"17": "a x #1",
						"18": "a x #1",
						"19": "a x #1",
						"20": "a x #1",
						"21": "a x #1",
						"22": "a #3",
						"23": "a #3",
						"24": "a #3",
						"25": "a #3",
						"26": "a #3",
						"27": "a #3",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a x #1",
						"3.6": "a x #1"
					},
					"chrome": {
						"4": "a x #1",
						"5": "a x #1",
						"6": "a x #1",
						"7": "a x #1",
						"8": "a x #1",
						"9": "a x #1",
						"10": "a x #1",
						"11": "a x #1",
						"12": "a x #1",
						"13": "a x #1",
						"14": "a x #1",
						"15": "a x #1",
						"16": "a x #1",
						"17": "a x #1",
						"18": "a x #1",
						"19": "a x #1",
						"20": "a x #1",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a x #1",
						"5": "a x #1",
						"6": "a x #1",
						"7": "y x",
						"8": "y x",
						"9": "y",
						"10": "y",
						"3.1": "a x #1",
						"3.2": "a x #1",
						"5.1": "a x #1",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x",
						"16": "y x",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "a x #1",
						"4.0-4.1": "a x #1",
						"4.2-4.3": "a x #1",
						"5.0-5.1": "a x #1",
						"6.0-6.1": "a x #1",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "a x #1",
						"4": "a x #1",
						"53": "y",
						"2.1": "a x #1",
						"2.2": "a x #1",
						"2.3": "a x #1",
						"4.1": "a x #1",
						"4.2-4.3": "a x #1",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a x #1",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a x #2",
						"11": "y"
					},
					"and_uc": {
						"11": "a x #1"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Most partial support refers to supporting an [older version](http://www.w3.org/TR/2009/WD-css3-flexbox-20090723/) of the specification or an [older syntax](http://www.w3.org/TR/2012/WD-css3-flexbox-20120322/).",
				"notes_by_num": {
					"1": "Only supports the [old flexbox](http://www.w3.org/TR/2009/WD-css3-flexbox-20090723) specification and does not support wrapping.",
					"2": "Only supports the [2012 syntax](http://www.w3.org/TR/2012/WD-css3-flexbox-20120322/)",
					"3": "Does not support flex-wrap or flex-flow properties",
					"4": "Partial support is due to large amount of bugs present (see known issues)"
				},
				"usage_perc_y": 82.98,
				"usage_perc_a": 14.34,
				"ucprefix": false,
				"parent": "",
				"keywords": "flex-box,flex-direction,flex-wrap,flex-flow,flex-grow,flex-basis,display:flex,flex box",
				"ie_id": "flexbox",
				"chrome_id": "4837301406400512",
				"firefox_id": "",
				"webkit_id": ""
			},
			"webgl": {
				"title": "WebGL - 3D Canvas graphics",
				"description": "Method of generating dynamic 3D graphics using JavaScript, accelerated through hardware",
				"spec": "https://www.khronos.org/registry/webgl/specs/1.0/",
				"status": "other",
				"links": [
					{
						"url": "http://khronos.org/webgl/wiki/Getting_a_WebGL_Implementation",
						"title": "Instructions on enabling WebGL"
					},
					{
						"url": "http://www.khronos.org/webgl/wiki/Tutorial",
						"title": "Tutorial"
					},
					{
						"url": "http://hacks.mozilla.org/2009/12/webgl-draft-released-today/",
						"title": "Firefox blog post"
					},
					{
						"url": "http://webkit.org/blog/603/webgl-now-available-in-webkit-nightlies/",
						"title": "Webkit blog post"
					},
					{
						"url": "https://github.com/iewebgl/iewebgl",
						"title": "Polyfill for IE"
					}
				],
				"categories": [
					"Canvas"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "y #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y #1",
						"13": "y #1",
						"14": "y #1",
						"15": "y #1"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"45": "a",
						"46": "a",
						"47": "a",
						"48": "a",
						"49": "a",
						"50": "a",
						"51": "a",
						"52": "a",
						"53": "a",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "y #1",
						"19": "y #1",
						"20": "y #1",
						"21": "y #1",
						"22": "y #1",
						"23": "y #1",
						"24": "y #1",
						"25": "y #1",
						"26": "y #1",
						"27": "y #1",
						"28": "y #1",
						"29": "y #1",
						"30": "y #1",
						"31": "y #1",
						"32": "y #1",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "a #1",
						"7": "a #1",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a #1",
						"6.1": "a #1",
						"7.1": "a #1",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "a #1"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "a",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "a",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "a"
					},
					"and_chr": {
						"55": "a"
					},
					"and_ff": {
						"50": "a"
					},
					"ie_mob": {
						"10": "p",
						"11": "y #1"
					},
					"and_uc": {
						"11": "y #1"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Support listed as \"partial\" refers to the fact that not all users with these browsers have WebGL access. This is due to the additional requirement for users to have [up to date video drivers](http://www.khronos.org/webgl/wiki/BlacklistsAndWhitelists). This problem was [solved in Chrome on Windows](http://blog.chromium.org/2012/02/gpu-accelerating-2d-canvas-and-enabling.html) as of version 18.\r\n\r\nNote that WebGL is part of the [Khronos Group](http://www.khronos.org/webgl/), not the W3C.",
				"notes_by_num": {
					"1": "WebGL context is accessed from \"experimental-webgl\" rather than \"webgl\""
				},
				"usage_perc_y": 57.61,
				"usage_perc_a": 32.01,
				"ucprefix": false,
				"parent": "canvas",
				"keywords": "web gl",
				"ie_id": "webglcanvas3d,webglinstancingextension",
				"chrome_id": "6049512976023552",
				"firefox_id": "webgl-1",
				"webkit_id": "specification-webgl-1"
			},
			"fileapi": {
				"title": "File API",
				"description": "Method of manipulating file objects in web applications client-side, as well as programmatically selecting them and accessing their data.",
				"spec": "http://www.w3.org/TR/FileAPI/",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/Using_files_from_web_applications",
						"title": "MDN article"
					},
					{
						"url": "http://docs.webplatform.org/wiki/apis/file",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://github.com/moxiecode/moxie",
						"title": "Polyfill"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a #2",
						"11": "a #2",
						"5.5": "n"
					},
					"edge": {
						"12": "a #2",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a #2",
						"5": "a #2",
						"6": "a #2",
						"7": "a #2",
						"8": "a #2",
						"9": "a #2",
						"10": "a #2",
						"11": "a #2",
						"12": "a #2",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2",
						"16": "a #2",
						"17": "a #2",
						"18": "a #2",
						"19": "a #2",
						"20": "a #2",
						"21": "a #2",
						"22": "a #2",
						"23": "a #2",
						"24": "a #2",
						"25": "a #2",
						"26": "a #2",
						"27": "a #2",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "a #2"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "a #1 #2",
						"7": "a #1 #2",
						"8": "a #1 #2",
						"9": "a #1 #2",
						"10": "a #1 #2",
						"11": "a #1 #2",
						"12": "a #1 #2",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2",
						"16": "a #2",
						"17": "a #2",
						"18": "a #2",
						"19": "a #2",
						"20": "a #2",
						"21": "a #2",
						"22": "a #2",
						"23": "a #2",
						"24": "a #2",
						"25": "a #2",
						"26": "a #2",
						"27": "a #2",
						"28": "a #2",
						"29": "a #2",
						"30": "a #2",
						"31": "a #2",
						"32": "a #2",
						"33": "a #2",
						"34": "a #2",
						"35": "a #2",
						"36": "a #2",
						"37": "a #2",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "a #2",
						"7": "a #2",
						"8": "a #2",
						"9": "a #2",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a #1 #2",
						"6.1": "a #2",
						"7.1": "a #2",
						"9.1": "a #2",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "a #2",
						"15": "a #2",
						"16": "a #2",
						"17": "a #2",
						"18": "a #2",
						"19": "a #2",
						"20": "a #2",
						"21": "a #2",
						"22": "a #2",
						"23": "a #2",
						"24": "a #2",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "a #2",
						"11.5": "a #2",
						"11.6": "a #2",
						"12.1": "a #2"
					},
					"ios_saf": {
						"8": "a #2",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "a #2",
						"7.0-7.1": "a #2",
						"8.1-8.4": "a #2",
						"9.0-9.2": "a #2",
						"9.3": "a #2",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a #1 #2",
						"4": "a #1 #2",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "a #1 #2",
						"4.2-4.3": "a #1 #2",
						"4.4": "a #2",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a #1 #2",
						"10": "a #2"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "a #2",
						"37": "y",
						"11.1": "a #2",
						"11.5": "a #2",
						"12.1": "a #2"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "a #2"
					},
					"and_uc": {
						"11": "a #2"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Does not have `FileReader` support. ",
					"2": "Does not support the `File` constructor"
				},
				"usage_perc_y": 72.01,
				"usage_perc_a": 21,
				"ucprefix": false,
				"parent": "",
				"keywords": "FileReader",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"shadowdom": {
				"title": "Shadow DOM v0",
				"description": "Method of establishing and maintaining functional boundaries between DOM trees and how these trees interact with each other within a document, thus enabling better functional encapsulation within the DOM.",
				"spec": "http://www.w3.org/TR/shadow-dom/",
				"status": "wd",
				"links": [
					{
						"url": "http://html5-demos.appspot.com/static/shadowdom-visualizer/index.html",
						"title": "Shadow DOM Visualizer"
					},
					{
						"url": "http://www.html5rocks.com/tutorials/webcomponents/shadowdom/",
						"title": "HTML5Rocks - Shadow DOM 101 article"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=148695",
						"title": "Safari implementation bug"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1205323",
						"title": "Firefox implementation bug"
					},
					{
						"url": "https://developers.google.com/web/fundamentals/getting-started/primers/shadowdom",
						"title": "Google Developers - Shadow DOM v1: self-contained web components"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n d #1",
						"30": "n d #1",
						"31": "n d #1",
						"32": "n d #1",
						"33": "n d #1",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "n d #1",
						"38": "n d #1",
						"39": "n d #1",
						"40": "n d #1",
						"41": "n d #1",
						"42": "n d #1",
						"43": "n d #1",
						"44": "n d #1",
						"45": "n d #1",
						"46": "n d #1",
						"47": "n d #1",
						"48": "n d #1",
						"49": "n d #1",
						"50": "n d #1",
						"51": "n d #1",
						"52": "n d #1",
						"53": "n d #1",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y x",
						"4.4.3-4.4.4": "y x"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y x"
					}
				},
				"notes": "Supported in current WebKit nightly, so may appear in an upcoming Safari version.",
				"notes_by_num": {
					"1": "Supported in Firefox behind the `dom.webcomponents.enabled` flag."
				},
				"usage_perc_y": 59.86,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "web components",
				"ie_id": "shadowdom",
				"chrome_id": "4507242028072960",
				"firefox_id": "shadow-dom",
				"webkit_id": "feature-shadow-dom"
			},
			"websockets": {
				"title": "Web Sockets",
				"description": "Bidirectional communication technology for web apps",
				"spec": "https://html.spec.whatwg.org/multipage/comms.html#network",
				"status": "ls",
				"links": [
					{
						"url": "http://websocket.org/aboutwebsocket.html",
						"title": "WebSockets information"
					},
					{
						"url": "http://updates.html5rocks.com/2011/08/What-s-different-in-the-new-WebSocket-protocol",
						"title": "Details on newer protocol"
					},
					{
						"url": "http://en.wikipedia.org/wiki/WebSocket",
						"title": "Wikipedia"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/features.js#native-websockets",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/apis/websocket",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a #1",
						"5": "a #1",
						"6": "a x #2",
						"7": "a x #2",
						"8": "a x #2",
						"9": "a x #2",
						"10": "a x #2",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #2",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "a #1",
						"6": "a #2",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a #1",
						"6.1": "a #2",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "a #1",
						"12": "a #1",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "a #1",
						"11.5": "a #1",
						"11.6": "a #1",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "a #1",
						"5.0-5.1": "a #1",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y #1",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "a #1",
						"12": "a #1",
						"37": "y",
						"11.1": "a #1",
						"11.5": "a #1",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Reported to be supported in some Android 4.x browsers, including Sony Xperia S, Sony TX and HTC.",
				"notes_by_num": {
					"1": "Partial support in older browsers refers to the websockets implementation using an older version of the protocol and/or the implementation being disabled by default (due to security issues with the older protocol).",
					"2": "Partial support in older browsers refers to lacking support for binary data."
				},
				"usage_perc_y": 92.02,
				"usage_perc_a": 0.38,
				"ucprefix": true,
				"parent": "",
				"keywords": "",
				"ie_id": "websocket",
				"chrome_id": "6555138000945152",
				"firefox_id": "websocket",
				"webkit_id": ""
			},
			"hidden": {
				"title": "hidden attribute",
				"description": "The `hidden` attribute may be applied to any element, and effectively hides elements similar to `display: none` in CSS.",
				"spec": "https://html.spec.whatwg.org/multipage/interaction.html#the-hidden-attribute",
				"status": "ls",
				"links": [
					{
						"url": "http://davidwalsh.name/html5-hidden",
						"title": "Article on hidden attribute"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "n",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "The hidden state can be easily overridden with a CSS `display` property set to anything other than `none`.",
				"notes_by_num": {},
				"usage_perc_y": 96.77,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"script-async": {
				"title": "async attribute for external scripts",
				"description": "The boolean async attribute on script elements allows the external JavaScript file to run when it's available, without delaying page load first.",
				"spec": "https://html.spec.whatwg.org/multipage/scripting.html#attr-script-async",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/HTML/Element/script#Attributes",
						"title": "MDN article"
					},
					{
						"url": "http://ie.microsoft.com/testdrive/Performance/AsyncScripts/Default.html",
						"title": "Demo"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/script.js#script-async",
						"title": "has.js test"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "y"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "a #1",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Using script.async = false; to maintain execution order for dynamically-added scripts isn't supported in Safari 5.0"
				},
				"usage_perc_y": 92.9,
				"usage_perc_a": 0.04,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"mediasource": {
				"title": "Media Source Extensions",
				"description": "API allowing media data to be accessed from HTML `video` and `audio` elements.",
				"spec": "http://www.w3.org/TR/media-source/",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/MediaSource#Browser_compatibility",
						"title": "MDN article"
					},
					{
						"url": "https://msdn.microsoft.com/en-us/library/dn594470%28v=vs.85%29.aspx",
						"title": "MSDN article"
					},
					{
						"url": "http://html5-demos.appspot.com/static/media-source.html",
						"title": "MediaSource demo"
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "a #2",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n d #1",
						"26": "n d #1",
						"27": "n d #1",
						"28": "n d #1",
						"29": "n d #1",
						"30": "n d #1",
						"31": "n d #1",
						"32": "n d #1",
						"33": "n d #1",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "n d #1",
						"38": "n d #1",
						"39": "n d #1",
						"40": "n d #1",
						"41": "n d #1",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n d",
						"18": "n d",
						"19": "n d",
						"20": "n d",
						"21": "n d",
						"22": "n d",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Requires the `media.mediasource.enabled` flag to be enabled, support is limited to a whitelist including the YouTube, Netflix, and Dailymotion websites",
					"2": "Partial support in IE11 refers to only working in Windows 8+"
				},
				"usage_perc_y": 67.79,
				"usage_perc_a": 3.69,
				"ucprefix": false,
				"parent": "",
				"keywords": "sourcebuffer,endofstream,mse",
				"ie_id": "mediasourceextensions",
				"chrome_id": "4563797888991232",
				"firefox_id": "mse",
				"webkit_id": ""
			},
			"cors": {
				"title": "Cross-Origin Resource Sharing",
				"description": "Method of performing XMLHttpRequests across domains",
				"spec": "https://fetch.spec.whatwg.org/#http-cors-protocol",
				"status": "ls",
				"links": [
					{
						"url": "http://hacks.mozilla.org/2009/07/cross-site-xmlhttprequest-with-cors/",
						"title": "Mozilla Hacks blog post"
					},
					{
						"url": "http://msdn.microsoft.com/en-us/library/cc288060(VS.85).aspx",
						"title": "Alternative implementation by IE8"
					},
					{
						"url": "https://dev.opera.com/articles/view/dom-access-control-using-cross-origin-resource-sharing/",
						"title": "DOM access using CORS"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/features.js#native-cors-xhr",
						"title": "has.js test"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "a #2",
						"9": "a #2",
						"10": "a #1",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a #1 #3",
						"5": "a #1 #3",
						"6": "y #3",
						"7": "y #3",
						"8": "y #3",
						"9": "y #3",
						"10": "y #3",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a #1 #3",
						"6.1": "y #3",
						"7.1": "y #3",
						"9.1": "y #3",
						"TP": "y #3"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y #3",
						"3.2": "a #1 #3",
						"4.0-4.1": "a #1 #3",
						"4.2-4.3": "a #1 #3",
						"5.0-5.1": "a #1 #3",
						"6.0-6.1": "y #3",
						"7.0-7.1": "y #3",
						"8.1-8.4": "y #3",
						"9.0-9.2": "y #3",
						"9.3": "y #3",
						"10-10.1": "y #3"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a #1",
						"4": "a #1",
						"53": "y",
						"2.1": "a #1",
						"2.2": "a #1",
						"2.3": "a #1",
						"4.1": "a #1",
						"4.2-4.3": "a #1",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a #1",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "y",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a #1",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Does not support CORS for images in `<canvas>`",
					"2": "Supported somewhat in IE8 and IE9 using the XDomainRequest object (but has [limitations](http://blogs.msdn.com/b/ieinternals/archive/2010/05/13/xdomainrequest-restrictions-limitations-and-workarounds.aspx))",
					"3": "Does not support CORS for `<video>` in `<canvas>`: https://bugs.webkit.org/show_bug.cgi?id=135379"
				},
				"usage_perc_y": 91.82,
				"usage_perc_a": 2,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-backdrop-filter": {
				"title": "CSS Backdrop Filter",
				"description": "Method of applying filter effects (like blur, grayscale or hue) to content/elements below the target element.",
				"spec": "http://dev.w3.org/fxtf/filters-2/#BackdropFilterProperty",
				"status": "unoff",
				"links": [
					{
						"url": "http://product.voxmedia.com/til/2015/2/17/8053347/css-ios-transparency-with-webkit-backdrop-filter",
						"title": "Blog post"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/backdrop-filter",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/9160189-backdrop-filters",
						"title": "Edge feature request"
					}
				],
				"categories": [
					"CSS",
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n d #1",
						"48": "n d #1",
						"49": "n d #1",
						"50": "n d #1",
						"51": "n d #1",
						"52": "n d #1",
						"53": "n d #1",
						"54": "n d #1",
						"55": "n d #1",
						"56": "n d #1",
						"57": "n d #1",
						"58": "n d #1"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y x",
						"10": "y x",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y x",
						"TP": "y x"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "n d #1",
						"38": "n d #1",
						"39": "n d #1",
						"40": "n d #1",
						"41": "n d #1",
						"42": "n d #1",
						"43": "n d #1",
						"44": "n d #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n d #1",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n d #1"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Can be enabled via the \"Experimental Web Platform Features\" flag"
				},
				"usage_perc_y": 10.77,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "blue,hue-rotate,invert,saturate,filter",
				"ie_id": "backdropfilter",
				"chrome_id": "5679432723333120",
				"firefox_id": "",
				"webkit_id": "feature-filter-effects-backdrop-filter-propery"
			},
			"calc": {
				"title": "calc() as CSS unit value",
				"description": "Method of allowing calculated values for length units, i.e. `width: calc(100% - 3em)`",
				"spec": "http://www.w3.org/TR/css3-values/#calc",
				"status": "cr",
				"links": [
					{
						"url": "http://hacks.mozilla.org/2010/06/css3-calc/",
						"title": "Mozilla Hacks article"
					},
					{
						"url": "https://developer.mozilla.org/en/docs/Web/CSS/calc",
						"title": "MDN article"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/functions/calc",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a #2",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y x",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "y x",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "a #1",
						"4.4.3-4.4.4": "a #1"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Support can be somewhat emulated in older versions of IE using the non-standard `expression()` syntax.\r\n\r\nDue to the way browsers handle [sub-pixel rounding](http://ejohn.org/blog/sub-pixel-problems-in-css/) differently, layouts using `calc()` expressions may have unexpected results.",
				"notes_by_num": {
					"1": "Partial support in Android Browser 4.4 refers to the browser lacking the ability to multiply and divide values.",
					"2": "Partial support in IE9 refers to the browser crashing when used as a `background-position` value."
				},
				"usage_perc_y": 80.99,
				"usage_perc_a": 2.33,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "csscalc",
				"chrome_id": "5765241438732288",
				"firefox_id": "",
				"webkit_id": ""
			},
			"dom-range": {
				"title": "Document Object Model Range",
				"description": "A contiguous range of content in a Document, DocumentFragment or Attr",
				"spec": "https://dom.spec.whatwg.org/#ranges",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Range",
						"title": "MDN"
					},
					{
						"url": "http://www.quirksmode.org/dom/range_intro.html",
						"title": "QuirksMode"
					},
					{
						"url": "https://github.com/timdown/rangy",
						"title": "\"Rangy\" Range library with old IE support"
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "See [MDN](https://developer.mozilla.org/en-US/docs/Web/API/Range) for feature support details",
				"notes_by_num": {},
				"usage_perc_y": 97.69,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "DOM,range,selection",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"ruby": {
				"title": "Ruby annotation",
				"description": "Method of adding pronunciation or other annotations using ruby elements (primarily used in East Asian typography).",
				"spec": "https://html.spec.whatwg.org/multipage/semantics.html#the-ruby-element",
				"status": "ls",
				"links": [
					{
						"url": "http://html5doctor.com/ruby-rt-rp-element/",
						"title": "HTML5 Doctor article"
					},
					{
						"url": "http://docs.webplatform.org/wiki/html/elements/ruby",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://addons.mozilla.org/firefox/addon/1935/",
						"title": "Add-on \"XHTML Ruby Support\" for Firefox"
					},
					{
						"url": "https://addons.mozilla.org/firefox/addon/6812/",
						"title": "Addon \"HTML Ruby\" for Firefox support"
					},
					{
						"url": "http://www.w3.org/TR/css-ruby-1/",
						"title": "CSS specification"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"5.5": "a"
					},
					"edge": {
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a"
					},
					"firefox": {
						"2": "p",
						"3": "p",
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "p",
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "p",
						"21": "p",
						"22": "p",
						"23": "p",
						"24": "p",
						"25": "p",
						"26": "p",
						"27": "p",
						"28": "p",
						"29": "p",
						"30": "p",
						"31": "p",
						"32": "p",
						"33": "p",
						"34": "p",
						"35": "p",
						"36": "p",
						"37": "p",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "p",
						"3.6": "p"
					},
					"chrome": {
						"4": "p",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"45": "a",
						"46": "a",
						"47": "a",
						"48": "a",
						"49": "a",
						"50": "a",
						"51": "a",
						"52": "a",
						"53": "a",
						"54": "a",
						"55": "a",
						"56": "a",
						"57": "a",
						"58": "a"
					},
					"safari": {
						"4": "p",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"3.1": "p",
						"3.2": "p",
						"5.1": "a",
						"6.1": "a",
						"7.1": "a",
						"9.1": "a",
						"TP": "a"
					},
					"opera": {
						"9": "p",
						"11": "p",
						"12": "p",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"9.5-9.6": "p",
						"10.0-10.1": "p",
						"10.5": "p",
						"10.6": "p",
						"11.1": "p",
						"11.5": "p",
						"11.6": "p",
						"12.1": "p"
					},
					"ios_saf": {
						"8": "a",
						"3.2": "p",
						"4.0-4.1": "p",
						"4.2-4.3": "p",
						"5.0-5.1": "a",
						"6.0-6.1": "a",
						"7.0-7.1": "a",
						"8.1-8.4": "a",
						"9.0-9.2": "a",
						"9.3": "a",
						"10-10.1": "a"
					},
					"op_mini": {
						"all": "p"
					},
					"android": {
						"3": "a",
						"4": "a",
						"53": "a",
						"2.1": "p",
						"2.2": "p",
						"2.3": "p",
						"4.1": "a",
						"4.2-4.3": "a",
						"4.4": "a",
						"4.4.3-4.4.4": "a"
					},
					"bb": {
						"7": "p",
						"10": "a"
					},
					"op_mob": {
						"10": "p",
						"11": "p",
						"12": "p",
						"37": "a",
						"11.1": "p",
						"11.5": "p",
						"12.1": "p"
					},
					"and_chr": {
						"55": "a"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a",
						"11": "a"
					},
					"and_uc": {
						"11": "a"
					},
					"samsung": {
						"4": "a"
					}
				},
				"notes": "Browsers without native support can still simulate support using CSS. Partial support refers to only supporting basic ruby, may still be missing writing-mode, Complex ruby and CSS3 Ruby.",
				"notes_by_num": {
					"1": "IE9+ supports [properties](https://msdn.microsoft.com/en-us/library/hh772055%28v=vs.85%29.aspx) of an older version of the CSS Ruby specification."
				},
				"usage_perc_y": 6.4,
				"usage_perc_a": 86.72,
				"ucprefix": false,
				"parent": "",
				"keywords": "ruby-base,ruby-text,ruby-position,ruby-merge,ruby-align",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-opacity": {
				"title": "CSS3 Opacity",
				"description": "Method of setting the transparency level of an element",
				"spec": "http://www.w3.org/TR/css3-color/",
				"status": "rec",
				"links": [
					{
						"url": "http://www.css3files.com/color/#opacity",
						"title": "Information page"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/opacity",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "a"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Transparency for elements in IE8 and older can be achieved using the proprietary \"filter\" property and does not work well with PNG images using alpha transparency.",
				"notes_by_num": {},
				"usage_perc_y": 97.69,
				"usage_perc_a": 0.44,
				"ucprefix": false,
				"parent": "",
				"keywords": "transparent,transparency,alpha",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"form-validation": {
				"title": "Form validation",
				"description": "Method of setting required fields and field types without requiring JavaScript. This includes preventing forms from being submitted when appropriate, the `checkValidity()` method as well as support for the `:invalid`, `:valid`, and `:required` CSS pseudo-classes.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#client-side-form-validation",
				"status": "ls",
				"links": [
					{
						"url": "http://docs.webplatform.org/wiki/html/attributes/required",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://webkit.org/blog/7099/html-interactive-form-validation/",
						"title": "WebKit Blog: HTML Interactive Form Validation"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a #1",
						"6.1": "a #1",
						"7.1": "a #1",
						"9.1": "a #1",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "a #1",
						"3.2": "n",
						"4.0-4.1": "a #1",
						"4.2-4.3": "a #1",
						"5.0-5.1": "a #1",
						"6.0-6.1": "a #1",
						"7.0-7.1": "a #1",
						"8.1-8.4": "a #1",
						"9.0-9.2": "a #1",
						"9.3": "a #1",
						"10-10.1": "a #1"
					},
					"op_mini": {
						"all": "a #3"
					},
					"android": {
						"3": "n",
						"4": "a #1",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "a #1",
						"4.2-4.3": "a #1",
						"4.4": "a #1",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a #1",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a #2",
						"11": "a #2"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to lack of notice when form with required fields is attempted to be submitted. See [WebKit bug](https://bugs.webkit.org/show_bug.cgi?id=28649).",
					"2": "Partial support in IE10 mobile refers to lack of warning when blocking submission.",
					"3": "Partial support in Opera Mini refers to only supporting the CSS pseudo classes."
				},
				"usage_perc_y": 79.05,
				"usage_perc_a": 18.19,
				"ucprefix": false,
				"parent": "forms",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "6091813840486400",
				"firefox_id": "",
				"webkit_id": "feature-html-interactive-form-validation"
			},
			"history": {
				"title": "Session history management",
				"description": "Method of manipulating the user's browser's session history in JavaScript using `history.pushState`, `history.replaceState` and the `popstate` event.",
				"spec": "https://html.spec.whatwg.org/multipage/browsers.html#dom-history-pushstate",
				"status": "ls",
				"links": [
					{
						"url": "http://www.adequatelygood.com/2010/7/Saner-HTML5-History-Management",
						"title": "Introduction to history management"
					},
					{
						"url": "https://developer.mozilla.org/en/DOM/Manipulating_the_browser_history",
						"title": "MDN article"
					},
					{
						"url": "http://html5demos.com/history",
						"title": "Demo page"
					},
					{
						"url": "https://github.com/browserstate/history.js",
						"title": "History.js polyfill"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/features.js#native-history-state",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/dom/History",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "a",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "a",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "y",
						"2.3": "y",
						"4.1": "n",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "a"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Older iOS versions and Android 4.0.4 claim support, but implementation is too buggy to be useful.",
				"notes_by_num": {},
				"usage_perc_y": 83.91,
				"usage_perc_a": 8.98,
				"ucprefix": false,
				"parent": "",
				"keywords": "onpushstate,onreplacestate",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"json": {
				"title": "JSON parsing",
				"description": "Method of converting JavaScript objects to JSON strings and JSON back to objects using JSON.stringify() and JSON.parse()",
				"spec": "http://www.ecma-international.org/ecma-262/5.1/#sec-15.12",
				"status": "other",
				"links": [
					{
						"url": "https://developer.mozilla.org/En/Using_native_JSON",
						"title": "MDN article"
					},
					{
						"url": "http://www.json.org/js.html",
						"title": "JSON in JS (includes script w/support)"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/json.js#json",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/apis/json",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "y #1",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Requires document to be in IE8+ [standards mode](http://msdn.microsoft.com/en-us/library/cc288325%28VS.85%29.aspx) to work in IE8."
				},
				"usage_perc_y": 98,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "es5",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"classlist": {
				"title": "classList (DOMTokenList)",
				"description": "Method of easily manipulating classes on elements, using the DOMTokenList object.",
				"spec": "https://dom.spec.whatwg.org/#dom-element-classlist",
				"status": "ls",
				"links": [
					{
						"url": "http://hacks.mozilla.org/2010/01/classlist-in-firefox-3-6/",
						"title": "Mozilla Hacks article"
					},
					{
						"url": "https://github.com/eligrey/classList.js",
						"title": "Polyfill script"
					},
					{
						"url": "http://docs.webplatform.org/wiki/dom/Element/classList",
						"title": "WebPlatform Docs"
					},
					{
						"url": "http://www.sitepoint.com/exploring-classlist-api/",
						"title": "SitePoint article"
					},
					{
						"url": "http://aurelio.audero.it/demo/classlist-api-demo.html",
						"title": "Demo using classList"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Element.classList",
						"title": "MDN article"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "a #1 #2 #3",
						"11": "a #1 #2 #3",
						"5.5": "p"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "p",
						"3": "p",
						"4": "a #2 #3",
						"5": "a #2 #3",
						"6": "a #2 #3",
						"7": "a #2 #3",
						"8": "a #2 #3",
						"9": "a #2 #3",
						"10": "a #2 #3",
						"11": "a #2 #3",
						"12": "a #2 #3",
						"13": "a #2 #3",
						"14": "a #2 #3",
						"15": "a #2 #3",
						"16": "a #2 #3",
						"17": "a #2 #3",
						"18": "a #2 #3",
						"19": "a #2 #3",
						"20": "a #2 #3",
						"21": "a #2 #3",
						"22": "a #2 #3",
						"23": "a #2 #3",
						"24": "a #3",
						"25": "a #3",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "p",
						"3.6": "a #2 #3"
					},
					"chrome": {
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "a #1 #2 #3",
						"9": "a #1 #2 #3",
						"10": "a #1 #2 #3",
						"11": "a #1 #2 #3",
						"12": "a #1 #2 #3",
						"13": "a #1 #2 #3",
						"14": "a #1 #2 #3",
						"15": "a #1 #2 #3",
						"16": "a #1 #2 #3",
						"17": "a #1 #2 #3",
						"18": "a #1 #2 #3",
						"19": "a #1 #2 #3",
						"20": "a #1 #2 #3",
						"21": "a #1 #2 #3",
						"22": "a #1 #2 #3",
						"23": "a #2 #3",
						"24": "a #3",
						"25": "a #3",
						"26": "a #3",
						"27": "a #3",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "p",
						"5": "p",
						"6": "a #1 #2 #3",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "p",
						"3.2": "p",
						"5.1": "a #1 #2 #3",
						"6.1": "a #1 #2 #3",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "p",
						"11": "p",
						"12": "a #1 #2 #3",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "p",
						"10.0-10.1": "p",
						"10.5": "p",
						"10.6": "p",
						"11.1": "p",
						"11.5": "a #1 #2 #3",
						"11.6": "a #1 #2 #3",
						"12.1": "a #1 #2 #3"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "p",
						"4.0-4.1": "p",
						"4.2-4.3": "p",
						"5.0-5.1": "a #1 #2 #3",
						"6.0-6.1": "a #1 #2 #3",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "p"
					},
					"android": {
						"3": "a #1 #2 #3",
						"4": "a #1 #2 #3",
						"53": "y",
						"2.1": "p",
						"2.2": "p",
						"2.3": "p",
						"4.1": "a #1 #2 #3",
						"4.2-4.3": "a #1 #2 #3",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a #1 #2 #3",
						"10": "y"
					},
					"op_mob": {
						"10": "p",
						"11": "p",
						"12": "a #1 #2 #3",
						"37": "y",
						"11.1": "a #1 #2 #3",
						"11.5": "a #1 #2 #3",
						"12.1": "a #1 #2 #3"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a #1 #2 #3",
						"11": "a #1 #2 #3"
					},
					"and_uc": {
						"11": "a #1 #2 #3"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Does not have support for `classList` on SVG or MathML elements.",
					"2": "Does not support the second parameter for the `toggle` method",
					"3": "Does not support multiple parameters for the `add()` & `remove()` methods"
				},
				"usage_perc_y": 78.08,
				"usage_perc_a": 15,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"text-overflow": {
				"title": "CSS3 Text-overflow",
				"description": "Append ellipsis when text overflows its containing element",
				"spec": "http://www.w3.org/TR/css3-ui/#text-overflow",
				"status": "cr",
				"links": [
					{
						"url": "https://github.com/rmorse/AutoEllipsis",
						"title": "jQuery polyfill for Firefox"
					},
					{
						"url": "https://developer.mozilla.org/En/CSS/Text-overflow",
						"title": "MDN article"
					},
					{
						"url": "http://www.css3files.com/text/",
						"title": "Information page"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/css.js#css-text-overflow",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/text-overflow",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "p",
						"3": "p",
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "p",
						"3.6": "p"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y x",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y x",
						"10.0-10.1": "y x",
						"10.5": "y x",
						"10.6": "y x",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"37": "y",
						"11.1": "y x",
						"11.5": "y x",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 97.99,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "textoverflow,ellipsis",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"webm": {
				"title": "WebM video format",
				"description": "Multimedia format designed to provide a royalty-free, high-quality open video compression format for use with HTML5 video. WebM supports the video codec VP8 and VP9.",
				"spec": "http://www.webmproject.org/",
				"status": "other",
				"links": [
					{
						"url": "https://tools.google.com/dlpage/webmmf",
						"title": "Codec for IE9 support"
					},
					{
						"url": "http://www.broken-links.com/2010/09/01/playing-webm-in-safari-with-plugins/",
						"title": "Info on supporting WebM in Safari"
					},
					{
						"url": "http://webmproject.org",
						"title": "Official website"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/video.js#video-webm",
						"title": "has.js test"
					},
					{
						"url": "http://perian.org/",
						"title": "Perian :Mac OSX Webm Codec install"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "p",
						"10": "p",
						"11": "p",
						"5.5": "n"
					},
					"edge": {
						"12": "p",
						"13": "p",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"3.1": "n",
						"3.2": "p",
						"5.1": "p",
						"6.1": "p",
						"7.1": "p",
						"9.1": "p",
						"TP": "p"
					},
					"opera": {
						"9": "n",
						"11": "a",
						"12": "a",
						"15": "a",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "a",
						"11.1": "a",
						"11.5": "a",
						"11.6": "a",
						"12.1": "a"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a",
						"4": "a",
						"53": "a",
						"2.1": "n",
						"2.2": "n",
						"2.3": "a",
						"4.1": "a",
						"4.2-4.3": "a",
						"4.4": "a",
						"4.4.3-4.4.4": "a"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "p",
						"11": "p"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "a"
					}
				},
				"notes": "Will work in IE9+ and Safari/MacOSX provided the user has the WebM codecs installed. Partial support indicates that at least one codec is supported but not all.",
				"notes_by_num": {},
				"usage_perc_y": 69.54,
				"usage_perc_a": 7.18,
				"ucprefix": false,
				"parent": "video",
				"keywords": "matroska",
				"ie_id": "webmcontainer,vp9videoplayback",
				"chrome_id": "6362186595172352",
				"firefox_id": "",
				"webkit_id": ""
			},
			"mpeg4": {
				"title": "MPEG-4/H.264 video format",
				"description": "Commonly used video compression format.",
				"spec": "http://ip.hhi.de/imagecom_G1/assets/pdfs/csvt_overview_0305.pdf",
				"status": "other",
				"links": [
					{
						"url": "http://en.wikipedia.org/wiki/H.264/MPEG-4_AVC",
						"title": "Wikipedia article"
					},
					{
						"url": "http://www.interoperabilitybridges.com/html5-extension-for-wmp-plugin",
						"title": "Firefox extension allowing support in Win7"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a",
						"4": "a",
						"53": "y",
						"2.1": "a",
						"2.2": "a",
						"2.3": "a #1",
						"4.1": "a",
						"4.2-4.3": "a",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "a #2"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "a"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Firefox supports H.264 on Windows 7 and later since version 21. Firefox supports H.264 on Linux since version 26 if the appropriate gstreamer plug-ins are installed.\r\n\r\nPartial support for older Firefox versions refers to the lack of support in OS X & some non-Android Linux platforms.",
				"notes_by_num": {
					"1": "The Android 2.3 browser requires [specific handling](http://www.broken-links.com/2010/07/08/making-html5-video-work-on-android-phones/) to play videos.",
					"2": "Partial supports refers to the lack of hardware acceleration."
				},
				"usage_perc_y": 83.16,
				"usage_perc_a": 9.86,
				"ucprefix": false,
				"parent": "video",
				"keywords": "avc,mp4,mpv,mov,aac,h264",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"ogv": {
				"title": "Ogg/Theora video format",
				"description": "Free lossy video compression format.",
				"spec": "http://theora.org/doc/",
				"status": "other",
				"links": [
					{
						"url": "http://en.wikipedia.org/wiki/Theora",
						"title": "Wikipedia article"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "p",
						"10": "p",
						"11": "p",
						"5.5": "n"
					},
					"edge": {
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "p",
						"11": "p"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 45.06,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "video",
				"keywords": "xiph",
				"ie_id": "theoravideocodec,oggcontainer",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"wordwrap": {
				"title": "CSS3 Overflow-wrap",
				"description": "Allows lines to be broken within words if an otherwise unbreakable string is too long to fit. Currently mostly supported using the `word-wrap` property.",
				"spec": "http://www.w3.org/TR/css3-text/#overflow-wrap",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/En/CSS/Word-wrap",
						"title": "MDN article"
					},
					{
						"url": "http://www.css3files.com/text/#wordwrap",
						"title": "Information page"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/word-wrap",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=955857",
						"title": "Bug on Firefox support"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6524680-update-word-wrap-to-overflow-wrap",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"5.5": "a"
					},
					"edge": {
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"45": "a",
						"46": "a",
						"47": "a",
						"48": "a",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a",
						"3.6": "a"
					},
					"chrome": {
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "a",
						"3.2": "a",
						"5.1": "a",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "a",
						"12": "a",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "a",
						"10.6": "a",
						"11.1": "a",
						"11.5": "a",
						"11.6": "a",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "a",
						"4.0-4.1": "a",
						"4.2-4.3": "a",
						"5.0-5.1": "a",
						"6.0-6.1": "a",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "a"
					},
					"android": {
						"3": "a",
						"4": "a",
						"53": "y",
						"2.1": "a",
						"2.2": "a",
						"2.3": "a",
						"4.1": "a",
						"4.2-4.3": "a",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a",
						"10": "y"
					},
					"op_mob": {
						"10": "a",
						"11": "a",
						"12": "a",
						"37": "y",
						"11.1": "a",
						"11.5": "a",
						"12.1": "a"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a",
						"11": "a"
					},
					"and_uc": {
						"11": "a"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Partial support refers to requiring the legacy name \"word-wrap\" (rather than \"overflow-wrap\") to work.",
				"notes_by_num": {},
				"usage_perc_y": 75.27,
				"usage_perc_a": 22.79,
				"ucprefix": false,
				"parent": "",
				"keywords": "wordwrap,word-wrap",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"pointerlock": {
				"title": "PointerLock API",
				"description": "API that provides access to raw mouse movement data. This is done by ignoring boundaries resulting from screen edges where the cursor can't go beyond, providing proper control for first person or real time strategy games. ",
				"spec": "https://dvcs.w3.org/hg/pointerlock/raw-file/default/index.html",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Pointer_Lock_API",
						"title": "MDN article"
					},
					{
						"url": "http://mdn.github.io/pointer-lock-demo",
						"title": "Simple demo"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n d",
						"17": "n d",
						"18": "n d",
						"19": "n d",
						"20": "n d",
						"21": "n d",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 37.12,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "mouselock,pointer lock,mouse lock,requestPointerLock,pointerLockElement,exitPointerLock,movementX,movementY",
				"ie_id": "pointerlockmouselock",
				"chrome_id": "6753200417800192",
				"firefox_id": "pointerlock",
				"webkit_id": ""
			},
			"object-fit": {
				"title": "CSS3 object-fit/object-position",
				"description": "Method of specifying how an object (image or video) should fit inside its box. object-fit options include \"contain\" (fit according to aspect ratio), \"fill\" (stretches object to fill) and \"cover\" (overflows box but maintains ratio), where object-position allows the object to be repositioned like background-image does.",
				"spec": "http://www.w3.org/TR/css3-images/",
				"status": "cr",
				"links": [
					{
						"url": "https://dev.opera.com/articles/view/css3-object-fit-object-position/",
						"title": "Dev.Opera article"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/object-fit",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://github.com/bfred-it/object-fit-images/",
						"title": "object-fit-images Polyfill for IE & Edge"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "a #1",
						"9": "a #1",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "a #1",
						"9.1": "a #1",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y x",
						"12": "y x",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "y x",
						"11.1": "y x",
						"11.5": "y x",
						"11.6": "y x",
						"12.1": "y x"
					},
					"ios_saf": {
						"8": "a #1",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "a #1",
						"9.0-9.2": "a #1",
						"9.3": "a #1",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y x"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "y x",
						"12": "y x",
						"37": "y",
						"11.1": "y x",
						"11.5": "y x",
						"12.1": "y x"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in Safari refers to support for `object-fit` but not `object-position`."
				},
				"usage_perc_y": 76.52,
				"usage_perc_a": 2.72,
				"ucprefix": false,
				"parent": "",
				"keywords": "objectfit,objectposition",
				"ie_id": "objectfitandobjectposition",
				"chrome_id": "5302669702856704",
				"firefox_id": "",
				"webkit_id": ""
			},
			"xhr2": {
				"title": "XMLHttpRequest advanced features",
				"description": "Adds more functionality to XHR (aka AJAX) requests like file uploads, transfer progress information and the ability to send form data. Previously known as [XMLHttpRequest Level 2](http://www.w3.org/TR/2012/WD-XMLHttpRequest-20120117/), these features now appear simply in the XMLHttpRequest spec.",
				"spec": "https://xhr.spec.whatwg.org/",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/XMLHttpRequest/FormData",
						"title": "MDN article on FormData"
					},
					{
						"url": "https://github.com/3nr1c/jUri.js",
						"title": "Polyfill for FormData object"
					},
					{
						"url": "http://docs.webplatform.org/wiki/apis/xhr/XMLHttpRequest",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a #1",
						"11": "a #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a #1 #2 #3",
						"5": "a #1 #2 #3",
						"6": "a #1 #2",
						"7": "a #1 #2",
						"8": "a #1 #2",
						"9": "a #1 #2",
						"10": "a #2",
						"11": "a #2",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a #1 #2 #3",
						"3.6": "a #1 #2 #3"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "a #1 #2",
						"8": "a #1 #2",
						"9": "a #1 #2",
						"10": "a #1 #2",
						"11": "a #1 #2",
						"12": "a #1 #2",
						"13": "a #1 #2",
						"14": "a #1 #2",
						"15": "a #1 #2",
						"16": "a #1 #2",
						"17": "a #1 #2",
						"18": "a #1 #2",
						"19": "a #1 #2",
						"20": "a #1 #2",
						"21": "a #1 #2",
						"22": "a #1 #2",
						"23": "a #1 #2",
						"24": "a #1 #2",
						"25": "a #1 #2",
						"26": "a #1 #2",
						"27": "a #1 #2",
						"28": "a #1 #2",
						"29": "a #1",
						"30": "a #1",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "a #1 #2",
						"6": "a #1 #2",
						"7": "a #1",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a #1 #2",
						"6.1": "a #1",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "a #1 #2",
						"6.0-6.1": "a #1 #2",
						"7.0-7.1": "a #1",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a #1 #2 #3",
						"4": "a #1 #2 #3",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "a #1 #2 #3",
						"4.2-4.3": "a #1 #2 #3",
						"4.4": "a #1 #2",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a #1 #2",
						"10": "a #1"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "y",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a #1",
						"11": "a #1"
					},
					"and_uc": {
						"11": "a #1 #2"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to not supporting `json` as `responseType`",
					"2": "Partial support refers to not supporting `.timeout` and `.ontimeout`",
					"3": "Partial support refers to not supporting `blob` as `responseType`"
				},
				"usage_perc_y": 76.92,
				"usage_perc_a": 16.2,
				"ucprefix": false,
				"parent": "",
				"keywords": "formdata",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"minmaxwh": {
				"title": "CSS min/max-width/height",
				"description": "Method of setting a minimum or maximum width or height to an element. ",
				"spec": "http://www.w3.org/TR/CSS21/visudet.html#min-max-widths",
				"status": "rec",
				"links": [
					{
						"url": "http://code.google.com/p/ie7-js/",
						"title": "JS library with support"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/min-width",
						"title": "WebPlatform Docs"
					},
					{
						"url": "http://www.impressivewebs.com/min-max-width-height-css/",
						"title": "CSS Basics post"
					}
				],
				"categories": [
					"CSS2"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "y #1",
						"8": "y #2",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "p"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "IE7 does not support `inherit` as a value on any of these properties.",
					"2": "IE8 has some bugs with `max-width`/`height` combined with `overflow: auto`/`scroll`."
				},
				"usage_perc_y": 98.1,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "min-width,min-height,max-width,max-height",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"details": {
				"title": "Details & Summary elements",
				"description": "The <details> element generates a simple no-JavaScript widget to show/hide element contents, optionally by clicking on its child <summary> element.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#the-details-element",
				"status": "ls",
				"links": [
					{
						"url": "https://mathiasbynens.be/notes/html5-details-jquery",
						"title": "jQuery fallback script"
					},
					{
						"url": "https://gist.github.com/370590",
						"title": "Fallback script"
					},
					{
						"url": "http://html5doctor.com/summary-figcaption-element/",
						"title": "HTML5 Doctor article"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/features.js#native-details",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/html/elements/details",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=591737",
						"title": "Bug on Firefox support"
					},
					{
						"url": "https://github.com/javan/details-element-polyfill",
						"title": "Details Element Polyfill"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "p",
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "p",
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "p",
						"21": "p",
						"22": "p",
						"23": "p",
						"24": "p",
						"25": "p",
						"26": "p",
						"27": "p",
						"28": "p",
						"29": "p",
						"30": "p",
						"31": "p",
						"32": "p",
						"33": "p",
						"34": "p",
						"35": "p",
						"36": "p",
						"37": "p",
						"38": "p",
						"39": "p",
						"40": "p",
						"41": "p",
						"42": "p",
						"43": "p",
						"44": "p",
						"45": "p",
						"46": "p",
						"47": "n d #1",
						"48": "n d #1",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "p",
						"3.6": "p"
					},
					"chrome": {
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "p",
						"12": "y #2 #3",
						"13": "y #2 #3",
						"14": "y #2 #3",
						"15": "y #2 #3",
						"16": "y #2 #3",
						"17": "y #2 #3",
						"18": "y #2 #3",
						"19": "y #2",
						"20": "y #2",
						"21": "y #2",
						"22": "y #2",
						"23": "y #2",
						"24": "y #2",
						"25": "y #2",
						"26": "y #2",
						"27": "y #2",
						"28": "y #2",
						"29": "y #2",
						"30": "y #2",
						"31": "y #2",
						"32": "y #2",
						"33": "y #2",
						"34": "y #2",
						"35": "y #2",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "p",
						"5": "p",
						"6": "y #2",
						"7": "y #2",
						"8": "y #2",
						"9": "y #2",
						"10": "y #2",
						"3.1": "p",
						"3.2": "p",
						"5.1": "p",
						"6.1": "y #2",
						"7.1": "y #2",
						"9.1": "y #2",
						"TP": "y"
					},
					"opera": {
						"9": "p",
						"11": "p",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "p",
						"10.0-10.1": "p",
						"10.5": "p",
						"10.6": "p",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "p",
						"4.0-4.1": "p",
						"4.2-4.3": "p",
						"5.0-5.1": "p",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "p"
					},
					"android": {
						"3": "p",
						"4": "y",
						"53": "y",
						"2.1": "p",
						"2.2": "p",
						"2.3": "p",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "p",
						"10": "y"
					},
					"op_mob": {
						"10": "p",
						"11": "p",
						"12": "p",
						"37": "y",
						"11.1": "p",
						"11.5": "p",
						"12.1": "p"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y #2 #3"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Enabled in Firefox through the `dom.details_element.enabled` flag",
					"2": "'toggle' event is not supported",
					"3": "<summary> is not keyboard accessible"
				},
				"usage_perc_y": 84.87,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "detailssummary",
				"chrome_id": "5348024557502464",
				"firefox_id": "",
				"webkit_id": ""
			},
			"text-stroke": {
				"title": "CSS text-stroke and text-fill",
				"description": "Method of declaring the outline (stroke) width and color for text.",
				"spec": "https://compat.spec.whatwg.org/#text-fill-and-stroking",
				"status": "unoff",
				"links": [
					{
						"url": "https://css-tricks.com/adding-stroke-to-web-text/",
						"title": "Information & workarounds"
					},
					{
						"url": "http://www.westciv.com/tools/textStroke/",
						"title": "Live editor"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/-webkit-text-stroke",
						"title": "Mozilla Developer Network article"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "y x #1"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n d #1 #2",
						"49": "y x #1",
						"50": "y x #1",
						"51": "y x #1",
						"52": "y x #1",
						"53": "y x #1",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y x",
						"49": "y x",
						"50": "y x",
						"51": "y x",
						"52": "y x",
						"53": "y x",
						"54": "y x",
						"55": "y x",
						"56": "y x",
						"57": "y x",
						"58": "y x"
					},
					"safari": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"3.1": "y x",
						"3.2": "y x",
						"5.1": "y x",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y x",
						"TP": "y x"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "a x",
						"4.0-4.1": "y x",
						"4.2-4.3": "y x",
						"5.0-5.1": "y x",
						"6.0-6.1": "y x",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "y x",
						"53": "y x",
						"2.1": "y x",
						"2.2": "y x",
						"2.3": "y x",
						"4.1": "y x",
						"4.2-4.3": "y x",
						"4.4": "y x",
						"4.4.3-4.4.4": "y x"
					},
					"bb": {
						"7": "y x",
						"10": "y x"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y x",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y x"
					},
					"and_ff": {
						"50": "y x #1"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y x"
					}
				},
				"notes": "Does not yet appear in any W3C specification. Was briefly included in a spec as the \"text-outline\" property, but this was removed.",
				"notes_by_num": {
					"1": "Firefox & Edge specifically support the `-webkit-text-stroke` property without having support with their own prefix.",
					"2": "Requires the `layout.css.prefixes.webkit` flag to be enabled."
				},
				"usage_perc_y": 76.27,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "textstroke,stroke-color,stroke-width,text-fill-color,text-outline",
				"ie_id": "webkittextstroke",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"chacha20-poly1305": {
				"title": "ChaCha20-Poly1305 cipher suites for TLS",
				"description": "A set of cipher suites used in Transport Layer Security (TLS) protocol, using ChaCha20 for symmetric encryption and Poly1305 for authentication.",
				"spec": "https://tools.ietf.org/html/rfc7905",
				"status": "other",
				"links": [
					{
						"url": "https://security.googleblog.com/2014/04/speeding-up-and-strengthening-https.html",
						"title": "Chrome article"
					},
					{
						"url": "https://www.ssllabs.com/ssltest/viewMyClient.html",
						"title": "SSL/TLS Capabilities of Your Browser by Qualys SSL Labs"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/12300414-support-chacha20-poly1305-cipher-suites-in-edge-sc",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "y #1",
						"34": "y #1",
						"35": "y #1",
						"36": "y #1",
						"37": "y #1",
						"38": "y #1",
						"39": "y #1",
						"40": "y #1",
						"41": "y #1",
						"42": "y #1",
						"43": "y #1",
						"44": "y #1",
						"45": "y #1",
						"46": "y #1",
						"47": "y #1",
						"48": "y #1",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "u"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Old versions of Chrome use non-standard code points for ChaCha20-Poly1305 cipher suites."
				},
				"usage_perc_y": 61.84,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "chacha20,poly1305,tls,cipher",
				"ie_id": "",
				"chrome_id": "5355238106071040",
				"firefox_id": "",
				"webkit_id": ""
			},
			"inline-block": {
				"title": "CSS inline-block",
				"description": "Method of displaying an element as a block while flowing it with text. ",
				"spec": "http://www.w3.org/TR/CSS21/visuren.html#fixed-positioning",
				"status": "rec",
				"links": [
					{
						"url": "http://robertnyman.com/2010/02/24/css-display-inline-block-why-it-rocks-and-why-it-sucks/",
						"title": "Blog post w/info"
					},
					{
						"url": "http://blog.mozilla.com/webdev/2009/02/20/cross-browser-inline-block/",
						"title": "Info on cross browser support"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/display",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS2"
				],
				"stats": {
					"ie": {
						"6": "a #1",
						"7": "a #1",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "a"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "a x",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Only supported in IE6 and IE7 on elements with a display of \"inline\" by default. [Alternative properties](http://blog.mozilla.com/webdev/2009/02/20/cross-browser-inline-block/) are available to provide complete cross-browser support."
				},
				"usage_perc_y": 98.07,
				"usage_perc_a": 0.07,
				"ucprefix": false,
				"parent": "",
				"keywords": "inlineblock,display:inline-block",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"notifications": {
				"title": "Web Notifications",
				"description": "Method of alerting the user outside of a web page by displaying notifications (that do not require interaction by the user).",
				"spec": "https://notifications.spec.whatwg.org/",
				"status": "ls",
				"links": [
					{
						"url": "http://www.html5rocks.com/tutorials/notifications/quick/",
						"title": "HTML5 Rocks tutorial"
					},
					{
						"url": "http://www.chromium.org/developers/design-documents/desktop-notifications/api-specification",
						"title": "Chromium API"
					},
					{
						"url": "https://addons.mozilla.org/en-us/firefox/addon/221523/",
						"title": "Add-on"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/notification",
						"title": "MDN Notifications"
					},
					{
						"url": "http://www.sitepoint.com/introduction-web-notifications-api/",
						"title": "SitePoint article"
					},
					{
						"url": "http://aurelio.audero.it/demo/web-notifications-api-demo.html",
						"title": "Demo"
					},
					{
						"url": "http://ukot.github.io/ie_web_notifications/",
						"title": "Plug-in for support in IE"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "a x",
						"6": "a x",
						"7": "a x",
						"8": "a x",
						"9": "a x",
						"10": "a x",
						"11": "a x",
						"12": "a x",
						"13": "a x",
						"14": "a x",
						"15": "a x",
						"16": "a x",
						"17": "a x",
						"18": "a x",
						"19": "a x",
						"20": "a x",
						"21": "a x",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "a x",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "a x",
						"4.4.3-4.4.4": "a x"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a x",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "a x"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Can be enabled in `about:flags`"
				},
				"usage_perc_y": 39.01,
				"usage_perc_a": 5.91,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "webnotifications",
				"chrome_id": "5064350557536256",
				"firefox_id": "",
				"webkit_id": ""
			},
			"stream": {
				"title": "getUserMedia/Stream API",
				"description": "Method of accessing external device data (such as a webcam video stream). Formerly this was envisioned as the <device> element.",
				"spec": "http://www.w3.org/TR/mediacapture-streams/",
				"status": "wd",
				"links": [
					{
						"url": "https://dev.opera.com/blog/webcam-orientation-preview/",
						"title": "Technology preview from Opera"
					},
					{
						"url": "http://docs.webplatform.org/wiki/dom/Navigator/getUserMedia",
						"title": "WebPlatform Docs"
					},
					{
						"url": "http://blogs.windows.com/msedgedev/2015/05/13/announcing-media-capture-functionality-in-microsoft-edge/",
						"title": "Media Capture functionality in Microsoft Edge"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y x",
						"49": "y x",
						"50": "y x",
						"51": "y x",
						"52": "y x",
						"53": "y x",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "a x #1",
						"22": "a x #1",
						"23": "a x #1",
						"24": "a x #1",
						"25": "a x #1",
						"26": "a x #1",
						"27": "a x #1",
						"28": "a x #1",
						"29": "a x #1",
						"30": "a x #1",
						"31": "a x #1",
						"32": "a x #1",
						"33": "a x #1",
						"34": "a x #1",
						"35": "a x #1",
						"36": "a x #1",
						"37": "a x #1",
						"38": "a x #1",
						"39": "a x #1",
						"40": "a x #1",
						"41": "a x #1",
						"42": "a x #1",
						"43": "a x #1",
						"44": "a x #1",
						"45": "a x #1",
						"46": "a x #1",
						"47": "a x #1",
						"48": "a x #1",
						"49": "a x #1",
						"50": "a x #1",
						"51": "a x #1",
						"52": "a x #1",
						"53": "a x #1",
						"54": "a x #1",
						"55": "a x #1",
						"56": "a x #1",
						"57": "a x #1",
						"58": "a x #1"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "a x #1",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "a x #1",
						"19": "a x #1",
						"20": "a x #1",
						"21": "a x #1",
						"22": "a x #1",
						"23": "a x #1",
						"24": "a x #1",
						"25": "a x #1",
						"26": "a x #1",
						"27": "a x #1",
						"28": "a x #1",
						"29": "a x #1",
						"30": "a x #1",
						"31": "a x #1",
						"32": "a x #1",
						"33": "a x #1",
						"34": "a x #1",
						"35": "a x #1",
						"36": "a x #1",
						"37": "a x #1",
						"38": "a x #1",
						"39": "a x #1",
						"40": "a x #1",
						"41": "a x #1",
						"42": "a x #1",
						"43": "a x #1",
						"44": "a x #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "a x #1"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "a x #1",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "a x #1"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "a x #1",
						"37": "a x #1",
						"11.1": "n",
						"11.5": "n",
						"12.1": "a x #1"
					},
					"and_chr": {
						"55": "a x #1"
					},
					"and_ff": {
						"50": "y x"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "a x #1"
					},
					"samsung": {
						"4": "u"
					}
				},
				"notes": "As of Chrome 47, the getUserMedia API cannot be called from insecure origins.",
				"notes_by_num": {
					"1": "Blink-based (and some other) browsers support an older version of the spec that does not use `srcObject`. [See Chromium issue 387740](https://code.google.com/p/chromium/issues/detail?id=387740)."
				},
				"usage_perc_y": 8.25,
				"usage_perc_a": 62.26,
				"ucprefix": false,
				"parent": "",
				"keywords": "camera,device,getUserMedia,media stream,mediastream,Media Capture API",
				"ie_id": "mediacaptureandstreams",
				"chrome_id": "6067380039974912,6605041225957376",
				"firefox_id": "",
				"webkit_id": ""
			},
			"svg-img": {
				"title": "SVG in HTML img element",
				"description": "Method of displaying SVG images in HTML using <img>.",
				"spec": "https://html.spec.whatwg.org/multipage/embedded-content.html",
				"status": "ls",
				"links": [
					{
						"url": "http://blog.dholbert.org/2010/10/svg-as-image.html",
						"title": "Blog post with examples"
					},
					{
						"url": "http://www.codedread.com/blog/",
						"title": "Blog with SVGs an images"
					}
				],
				"categories": [
					"SVG"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "a",
						"5.1": "a #1",
						"6.1": "a #1",
						"7.1": "a #1",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "a #1",
						"3.2": "a #1",
						"4.0-4.1": "a #1",
						"4.2-4.3": "a #1",
						"5.0-5.1": "a #1",
						"6.0-6.1": "a #1",
						"7.0-7.1": "a #1",
						"8.1-8.4": "a #1",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "a #1",
						"4": "a #1",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "a #1",
						"4.2-4.3": "a #1",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to not supporting embedded images (data URIs) inside the SVG."
				},
				"usage_perc_y": 95.72,
				"usage_perc_a": 1.86,
				"ucprefix": false,
				"parent": "",
				"keywords": "svg-as-img,svg-in-img",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"datalist": {
				"title": "Datalist element",
				"description": "Method of setting a list of options for a user to select in a text field, while leaving the ability to enter a custom value.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#the-datalist-element",
				"status": "ls",
				"links": [
					{
						"url": "http://hacks.mozilla.org/2010/11/firefox-4-html5-forms/",
						"title": "Mozilla Hacks article"
					},
					{
						"url": "http://afarkas.github.com/webshim/demos/",
						"title": "HTML5 Library including datalist support"
					},
					{
						"url": "https://developer.mozilla.org/en/HTML/Element/datalist",
						"title": "MDN reference"
					},
					{
						"url": "http://docs.webplatform.org/wiki/html/elements/datalist",
						"title": "WebPlatform Docs"
					},
					{
						"url": "http://demo.agektmr.com/datalist/",
						"title": "Eiji Kitamura's options demos & tests"
					},
					{
						"url": "http://github.com/thgreasi/datalist-polyfill",
						"title": "Minimal Datalist polyfill w/tutorial"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "a #2",
						"11": "a #2",
						"5.5": "n"
					},
					"edge": {
						"12": "a #2",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2"
					},
					"firefox": {
						"2": "p",
						"3": "p",
						"4": "a #3",
						"5": "a #3",
						"6": "a #3",
						"7": "a #3",
						"8": "a #3",
						"9": "a #3",
						"10": "a #3",
						"11": "a #3",
						"12": "a #3",
						"13": "a #3",
						"14": "a #3",
						"15": "a #3",
						"16": "a #3",
						"17": "a #3",
						"18": "a #3",
						"19": "a #3",
						"20": "a #3",
						"21": "a #3",
						"22": "a #3",
						"23": "a #3",
						"24": "a #3",
						"25": "a #3",
						"26": "a #3",
						"27": "a #3",
						"28": "a #3",
						"29": "a #3",
						"30": "a #3",
						"31": "a #3",
						"32": "a #3",
						"33": "a #3",
						"34": "a #3",
						"35": "a #3",
						"36": "a #3",
						"37": "a #3",
						"38": "a #3",
						"39": "a #3",
						"40": "a #3",
						"41": "a #3",
						"42": "a #3",
						"43": "a #3",
						"44": "a #3",
						"45": "a #3",
						"46": "a #3",
						"47": "a #3",
						"48": "a #3",
						"49": "a #3",
						"50": "a #3",
						"51": "a #3",
						"52": "a #3",
						"53": "a #3",
						"3.5": "p",
						"3.6": "p"
					},
					"chrome": {
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "p",
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"45": "a #1",
						"46": "a #1",
						"47": "a #1",
						"48": "a #1",
						"49": "a #1",
						"50": "a #1",
						"51": "a #1",
						"52": "a #1",
						"53": "a #1",
						"54": "a #1",
						"55": "a #1",
						"56": "a #1",
						"57": "a #1",
						"58": "a #1"
					},
					"safari": {
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"3.1": "p",
						"3.2": "p",
						"5.1": "p",
						"6.1": "p",
						"7.1": "p",
						"9.1": "p",
						"TP": "p"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "p",
						"3.2": "p",
						"4.0-4.1": "p",
						"4.2-4.3": "p",
						"5.0-5.1": "p",
						"6.0-6.1": "p",
						"7.0-7.1": "p",
						"8.1-8.4": "p",
						"9.0-9.2": "p",
						"9.3": "p",
						"10-10.1": "p"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "p",
						"4": "p",
						"53": "y",
						"2.1": "p",
						"2.2": "p",
						"2.3": "p",
						"4.1": "p",
						"4.2-4.3": "p",
						"4.4": "p",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "p",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "p",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "a #3"
					},
					"ie_mob": {
						"10": "p",
						"11": "p"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "While most commonly used on text fields, datalists can also be used on other input types. IE11 supports the element on `range` fields. Chrome and Opera also support datalists to suggest given values on `range`, `color` and date/time fields. ",
				"notes_by_num": {
					"1": "Partial support refers to [a bug](https://code.google.com/p/chromium/issues/detail?id=375637) where long lists of items are unscrollable resulting in unselectable options.",
					"2": "Partial support in IE refers to [significantly buggy behavior](http://playground.onereason.eu/2013/04/ie10s-lousy-support-for-datalists/) (IE11+ does send the input and change events upon selection). ",
					"3": "Partial support refers to no support for datalists on non-text fields (e.g. number, [range](https://bugzilla.mozilla.org/show_bug.cgi?id=841942), [color](https://bugzilla.mozilla.org/show_bug.cgi?id=960984))."
				},
				"usage_perc_y": 37.39,
				"usage_perc_a": 41.27,
				"ucprefix": false,
				"parent": "forms",
				"keywords": "list attribute",
				"ie_id": "datalistelement",
				"chrome_id": "6090950820495360",
				"firefox_id": "",
				"webkit_id": ""
			},
			"dataset": {
				"title": "dataset & data-* attributes",
				"description": "Method of applying and accessing custom data to elements.",
				"spec": "https://html.spec.whatwg.org/multipage/dom.html#embedding-custom-non-visible-data-with-the-data-*-attributes",
				"status": "ls",
				"links": [
					{
						"url": "http://html5doctor.com/html5-custom-data-attributes/",
						"title": "HTML5 Doctor article"
					},
					{
						"url": "http://html5demos.com/dataset",
						"title": "Demo using dataset"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/dom.js#dom-dataset",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/html/attributes/data-*",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement.dataset",
						"title": "MDN Reference - dataset"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/Guide/HTML/Using_data_attributes",
						"title": "MDN Guide - Using data-* attributes"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/15885483-support-dataset-and-data-attributes-on-svg-element",
						"title": "MS Edge UserVoice #15885483: Support dataset and data attributes on SVG elements"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "y",
						"5.5": "a"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "a",
						"3": "a",
						"4": "a",
						"5": "a",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y #1",
						"52": "y #1",
						"53": "y #1",
						"3.5": "a",
						"3.6": "a"
					},
					"chrome": {
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "y #1",
						"8": "y #1",
						"9": "y #1",
						"10": "y #1",
						"11": "y #1",
						"12": "y #1",
						"13": "y #1",
						"14": "y #1",
						"15": "y #1",
						"16": "y #1",
						"17": "y #1",
						"18": "y #1",
						"19": "y #1",
						"20": "y #1",
						"21": "y #1",
						"22": "y #1",
						"23": "y #1",
						"24": "y #1",
						"25": "y #1",
						"26": "y #1",
						"27": "y #1",
						"28": "y #1",
						"29": "y #1",
						"30": "y #1",
						"31": "y #1",
						"32": "y #1",
						"33": "y #1",
						"34": "y #1",
						"35": "y #1",
						"36": "y #1",
						"37": "y #1",
						"38": "y #1",
						"39": "y #1",
						"40": "y #1",
						"41": "y #1",
						"42": "y #1",
						"43": "y #1",
						"44": "y #1",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y #1",
						"56": "y #1",
						"57": "y #1",
						"58": "y #1"
					},
					"safari": {
						"4": "a",
						"5": "a",
						"6": "y #1",
						"7": "y #1",
						"8": "y #1",
						"9": "y #1",
						"10": "y #1",
						"3.1": "a",
						"3.2": "a",
						"5.1": "y #1",
						"6.1": "y #1",
						"7.1": "y #1",
						"9.1": "y #1",
						"TP": "y #1"
					},
					"opera": {
						"9": "a",
						"11": "a",
						"12": "y",
						"15": "y #1",
						"16": "y #1",
						"17": "y #1",
						"18": "y #1",
						"19": "y #1",
						"20": "y #1",
						"21": "y #1",
						"22": "y #1",
						"23": "y #1",
						"24": "y #1",
						"25": "y #1",
						"26": "y #1",
						"27": "y #1",
						"28": "y #1",
						"29": "y #1",
						"30": "y #1",
						"31": "y #1",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y #1",
						"43": "y #1",
						"44": "y #1",
						"9.5-9.6": "a",
						"10.0-10.1": "a",
						"10.5": "a",
						"10.6": "a",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y #1",
						"3.2": "a",
						"4.0-4.1": "a",
						"4.2-4.3": "a",
						"5.0-5.1": "y #1",
						"6.0-6.1": "y #1",
						"7.0-7.1": "y #1",
						"8.1-8.4": "y #1",
						"9.0-9.2": "y #1",
						"9.3": "y #1",
						"10-10.1": "y #1"
					},
					"op_mini": {
						"all": "a"
					},
					"android": {
						"3": "y #1",
						"4": "y #1",
						"53": "y #1",
						"2.1": "a",
						"2.2": "a",
						"2.3": "a",
						"4.1": "y #1",
						"4.2-4.3": "y #1",
						"4.4": "y #1",
						"4.4.3-4.4.4": "y #1"
					},
					"bb": {
						"7": "y #1",
						"10": "y #1"
					},
					"op_mob": {
						"10": "a",
						"11": "a",
						"12": "y",
						"37": "y #1",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y #1"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a",
						"11": "y"
					},
					"and_uc": {
						"11": "y #1"
					},
					"samsung": {
						"4": "y #1"
					}
				},
				"notes": "Partial support refers to being able to use `data-*` attributes and access them using `getAttribute`. \r\n\r\n\"Supported\" refers to accessing the values using the `dataset` property. Current spec only refers to support on HTML elements, only some browsers also have support for SVG/MathML elements.",
				"notes_by_num": {
					"1": "While the HTML spec doesn't require it, these browsers also support `dataset` and `data-*` attributes on SVG elements, in compliance with [current plans for SVG2](http://www.w3.org/2015/01/15-svg-minutes.html#item03)"
				},
				"usage_perc_y": 92.69,
				"usage_perc_a": 5.44,
				"ucprefix": false,
				"parent": "",
				"keywords": "DOMStringMap",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-grid": {
				"title": "CSS Grid Layout",
				"description": "Method of using a grid concept to lay out content, providing a mechanism for authors to divide available space for lay out into columns and rows using a set of predictable sizing behaviors",
				"spec": "http://www.w3.org/TR/css3-grid-layout/",
				"status": "cr",
				"links": [
					{
						"url": "http://blogs.msdn.com/b/ie/archive/2011/04/14/ie10-platform-preview-and-css-features-for-adaptive-layouts.aspx",
						"title": "IE Blog post"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=60731",
						"title": "Webkit (Chrome, Safari, etc.) feature request"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=616605",
						"title": "Mozilla (Firefox) feature request"
					},
					{
						"url": "https://github.com/codler/Grid-Layout-Polyfill",
						"title": "Polyfill based on old spec"
					},
					{
						"url": "https://github.com/FremyCompany/css-grid-polyfill/",
						"title": "Polyfill based on new spec"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "p",
						"10": "a x #2",
						"11": "a x #2",
						"5.5": "n"
					},
					"edge": {
						"12": "a x #2",
						"13": "a x #2",
						"14": "a x #2",
						"15": "a x #2"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "p",
						"20": "p",
						"21": "p",
						"22": "p",
						"23": "p",
						"24": "p",
						"25": "p",
						"26": "p",
						"27": "p",
						"28": "p",
						"29": "p",
						"30": "p",
						"31": "p",
						"32": "p",
						"33": "p",
						"34": "p",
						"35": "p",
						"36": "p",
						"37": "p",
						"38": "p",
						"39": "p",
						"40": "p d #3",
						"41": "p d #3",
						"42": "p d #3",
						"43": "p d #3",
						"44": "p d #3",
						"45": "p d #3",
						"46": "p d #3",
						"47": "p d #3",
						"48": "p d #3",
						"49": "p d #3",
						"50": "p d #3",
						"51": "p d #3",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "p",
						"26": "p",
						"27": "p",
						"28": "p",
						"29": "p d #1",
						"30": "p d #1",
						"31": "p d #1",
						"32": "p d #1",
						"33": "p d #1",
						"34": "p d #1",
						"35": "p d #1",
						"36": "p d #1",
						"37": "p d #1",
						"38": "p d #1",
						"39": "p d #1",
						"40": "p d #1",
						"41": "p d #1",
						"42": "p d #1",
						"43": "p d #1",
						"44": "p d #1",
						"45": "p d #1",
						"46": "p d #1",
						"47": "p d #1",
						"48": "p d #1",
						"49": "p d #1",
						"50": "p d #1",
						"51": "p d #1",
						"52": "p d #1",
						"53": "p d #1",
						"54": "p d #1",
						"55": "p d #1",
						"56": "p d #1",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "p",
						"7.1": "p",
						"9.1": "p",
						"TP": "n d #4"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "p d #1",
						"29": "p d #1",
						"30": "p d #1",
						"31": "p d #1",
						"32": "p d #1",
						"33": "p d #1",
						"34": "p d #1",
						"35": "p d #1",
						"36": "p d #1",
						"37": "p d #1",
						"38": "p d #1",
						"39": "p d #1",
						"40": "p d #1",
						"41": "p d #1",
						"42": "p d #1",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "p",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "p",
						"7.0-7.1": "p",
						"8.1-8.4": "p",
						"9.0-9.2": "p",
						"9.3": "p",
						"10-10.1": "p"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "p",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "p",
						"4.4": "p",
						"4.4.3-4.4.4": "p"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "p",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "p"
					},
					"and_ff": {
						"50": "p"
					},
					"ie_mob": {
						"10": "a x #2",
						"11": "a x #2"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "p"
					}
				},
				"notes": "Supported in WebKit Nightly with `-webkit-` prefix.",
				"notes_by_num": {
					"1": "Enabled in Chrome through the \"experimental Web Platform features\" flag in chrome://flags",
					"2": "Partial support in IE refers to supporting an [older version](http://www.w3.org/TR/2011/WD-css3-grid-layout-20110407/) of the specification.",
					"3": "Enabled in Firefox through the `layout.css.grid.enabled ` flag",
					"4": "Can be enabled via the \"Experimental Features\" developer menu"
				},
				"usage_perc_y": 0,
				"usage_perc_a": 6,
				"ucprefix": false,
				"parent": "",
				"keywords": "grids,grid-row,grid-column,display:grid",
				"ie_id": "grid",
				"chrome_id": "4589636412243968",
				"firefox_id": "grid-layout",
				"webkit_id": "specification-css-grid-layout-level-1"
			},
			"menu": {
				"title": "Toolbar/context menu",
				"description": "Method of defining a toolbar menu, a context menu or a list of (interactive) options using the <menu> element.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#the-menu-element",
				"status": "ls",
				"links": [
					{
						"url": "https://bug617528.bugzilla.mozilla.org/attachment.cgi?id=554309",
						"title": "Demo"
					},
					{
						"url": "https://github.com/swisnl/jQuery-contextMenu",
						"title": "jQuery polyfill"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/events.js#event-contextmenu",
						"title": "has.js test"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=746087",
						"title": "Bug on Firefox support"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6508881-html5-menu-tag-contextmenu-attribute",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"45": "a #1",
						"46": "a #1",
						"47": "a #1",
						"48": "a #1",
						"49": "a #1",
						"50": "a #1",
						"51": "a #1",
						"52": "a #1",
						"53": "a #1",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n d #3",
						"42": "n d #3",
						"43": "n d #3",
						"44": "n d #3",
						"45": "n d #3",
						"46": "n d #3",
						"47": "n d #3",
						"48": "n d #2",
						"49": "n d #2",
						"50": "n d #2",
						"51": "n d #2",
						"52": "n d #5",
						"53": "n d #5",
						"54": "n d #5",
						"55": "n d #5",
						"56": "n d #5",
						"57": "n d #5",
						"58": "n d #5"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n d #2",
						"36": "n d #2",
						"37": "n d #2",
						"38": "n d #2",
						"39": "n d #5",
						"40": "n d #5",
						"41": "n d #5",
						"42": "n d #5",
						"43": "n d #5",
						"44": "n d #5",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "a #1 #4"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in Firefox refers to being limited to context menus, not toolbar menus.",
					"2": "Context menus supported in Chromium under the \"Experimental Web Platform features\" flag",
					"3": "Context menus with a non-compliant syntax (`type=popup`) supported in Chromium under the \"Experimental Web Platform features\" flag",
					"4": "Nested menus are not supported",
					"5": "Context menus supported in Chromium with the \"enable-blink-features=ContextMenu\" command line flag"
				},
				"usage_perc_y": 0,
				"usage_perc_a": 6.82,
				"ucprefix": false,
				"parent": "",
				"keywords": "contextmenu,menuitem,command",
				"ie_id": "menuelement",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-zoom": {
				"title": "CSS zoom",
				"description": "Non-standard method of scaling content.",
				"spec": "https://msdn.microsoft.com/en-us/library/ms531189(v=vs.85).aspx",
				"status": "unoff",
				"links": [
					{
						"url": "https://css-tricks.com/almanac/properties/z/zoom/",
						"title": "CSS Tricks"
					},
					{
						"url": "https://docs.webplatform.org/wiki/css/properties/zoom",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://msdn.microsoft.com/en-us/library/ms531189(v=vs.85).aspx",
						"title": "MSDN Library"
					},
					{
						"url": "https://developer.apple.com/library/safari/documentation/AppleApplications/Reference/SafariCSSRef/Articles/StandardCSSProperties.html#//apple_ref/doc/uid/TP30001266-SW1",
						"title": "Safari Developer Library"
					},
					{
						"url": "http://www.satzansatz.de/cssd/onhavinglayout.html",
						"title": "Article explaining usage of zoom as the hack for fixing rendering bugs in IE6 and IE7."
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/zoom",
						"title": "Mozilla Developer Network"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "y",
						"7": "y",
						"8": "y #1",
						"9": "y #1",
						"10": "y #1",
						"11": "y #1",
						"5.5": "y"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "y #1",
						"11": "y #1"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Originally implemented only in Internet Explorer. Although several other browsers support the property, using `transform: scale()` is the recommended solution to scale content.",
				"notes_by_num": {
					"1": "The `-ms-zoom` property is an extension to CSS, and can be used as a synonym for `zoom` in IE8 Standards mode."
				},
				"usage_perc_y": 86.81,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "-ms-zoom,transform,-moz-transform,-ms-transform,-webkit-transform,-o-transform,scale,css-transforms",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"rem": {
				"title": "rem (root em) units",
				"description": "Type of unit similar to `em`, but relative only to the root element, not any parent element. Thus compounding does not occur as it does with `em` units.",
				"spec": "http://www.w3.org/TR/css3-values/#font-relative-lengths",
				"status": "cr",
				"links": [
					{
						"url": "http://snook.ca/archives/html_and_css/font-size-with-rem",
						"title": "Article on usage"
					},
					{
						"url": "https://github.com/chuckcarpenter/REM-unit-polyfill",
						"title": "REM Polyfill"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a #1",
						"10": "a #1",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "a #2",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "y",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "IE 9 & IE 10 do not support `rem` units when used in the `font` shorthand property (the entire declaration is ignored) or when used on pseudo elements.",
					"2": "iOS Safari 5.0-5.1 support `rem` but not in combination with media queries."
				},
				"usage_perc_y": 97.01,
				"usage_perc_a": 0.52,
				"ucprefix": false,
				"parent": "",
				"keywords": "rems",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"ttf": {
				"title": "TTF/OTF - TrueType and OpenType font support",
				"description": "Support for the TrueType (.ttf) and OpenType (.otf) outline font formats in @font-face. ",
				"spec": "http://developer.apple.com/fonts/TTRefMan/index.html",
				"status": "other",
				"links": [
					{
						"url": "http://stackoverflow.com/questions/17694143/what-is-the-status-of-ttf-support-in-internet-explorer",
						"title": "What is the status of TTF support in Internet Explorer?"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a #1",
						"11": "a #1"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in IE9+ refers to the fonts only working [when set to be \"installable\"](http://blogs.msdn.com/b/ie/archive/2010/07/15/the-css-corner-better-web-typography-for-better-design.aspx). Support for this is tracked [here](https://status.modern.ie/crossdomainfontloading)."
				},
				"usage_perc_y": 88.75,
				"usage_perc_a": 4.76,
				"ucprefix": false,
				"parent": "fontface",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"touch": {
				"title": "Touch events",
				"description": "Method of registering when, where and how the interface is touched, for devices with a touch screen. These DOM events are similar to mousedown, mousemove, etc.",
				"spec": "http://www.w3.org/TR/touch-events/",
				"status": "rec",
				"links": [
					{
						"url": "http://www.quirksmode.org/mobile/tableTouch.html",
						"title": "Detailed support tables"
					},
					{
						"url": "http://www.quirksmode.org/m/tests/drag2.html",
						"title": "Multi-touch demo"
					},
					{
						"url": "http://schepers.cc/getintouch",
						"title": "Information on the spec development"
					},
					{
						"url": "http://msdn.microsoft.com/en-us/library/ie/hh673557(v=vs.85).aspx",
						"title": "Internet Explorer's gesture and touch implementation."
					},
					{
						"url": "http://github.com/CamHenlin/TouchPolyfill",
						"title": "Touch polyfill for supporting touch events on Internet Explorer"
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "p",
						"11": "p",
						"5.5": "n"
					},
					"edge": {
						"12": "n d #3",
						"13": "n d #3",
						"14": "n d #3",
						"15": "n d #3"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "n d #1",
						"26": "n d #1",
						"27": "n d #1",
						"28": "n d #1",
						"29": "n d #1",
						"30": "n d #1",
						"31": "n d #1",
						"32": "n d #1",
						"33": "n d #1",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "n d #1",
						"38": "n d #1",
						"39": "n d #1",
						"40": "n d #1",
						"41": "n d #1",
						"42": "n d #1",
						"43": "n d #1",
						"44": "n d #1",
						"45": "n d #1",
						"46": "n d #1",
						"47": "n d #1",
						"48": "n d #1",
						"49": "n d #1",
						"50": "n d #1",
						"51": "n d #1",
						"52": "n d #1",
						"53": "n d #1",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "p",
						"11": "a #2"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Internet Explorer implements Pointer Events specification which supports more input devices than Touch Events one.\r\n\r\nThere is a library on GitHub that is working toward bringing W3C touch events to IE 10 and 11: https://github.com/CamHenlin/TouchPolyfill \r\n\r\nRemoved support in Firefox refers to desktop Firefox only.",
				"notes_by_num": {
					"1": "Can be enabled in Firefox using the dom.w3c_touch_events.enabled flag (disabled by default for site compatibility reasons)",
					"2": "Supported on IE11 Mobile for phones with \"[Windows Phone 8.1 Update](http://blogs.msdn.com/b/ie/archive/2014/07/31/the-mobile-web-should-just-work-for-everyone.aspx)\"",
					"3": "Can be enabled in Edge using the \"Enable touch events\" flag under `about:flags`"
				},
				"usage_perc_y": 77.7,
				"usage_perc_a": 0.57,
				"ucprefix": false,
				"parent": "",
				"keywords": "touchstart,touchend,touchmove,touchenter,touchleave,touchcancel",
				"ie_id": "touchevents",
				"chrome_id": "6156165603917824",
				"firefox_id": "",
				"webkit_id": ""
			},
			"matchesselector": {
				"title": "matches() DOM method",
				"description": "Method of testing whether or not a DOM element matches a given selector. Formerly known (and largely supported with prefix) as matchesSelector.",
				"spec": "https://dom.spec.whatwg.org/#dom-element-matches",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/docs/Web/API/Element/matches",
						"title": "MDN article"
					},
					{
						"url": "http://docs.webplatform.org/wiki/dom/HTMLElement/matches",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6524858-unprefix-and-update-msmatchesselector-to-matches",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a x",
						"10": "a x",
						"11": "a x",
						"5.5": "n"
					},
					"edge": {
						"12": "a x",
						"13": "a x",
						"14": "a x",
						"15": "a x"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a x",
						"5": "a x",
						"6": "a x",
						"7": "a x",
						"8": "a x",
						"9": "a x",
						"10": "a x",
						"11": "a x",
						"12": "a x",
						"13": "a x",
						"14": "a x",
						"15": "a x",
						"16": "a x",
						"17": "a x",
						"18": "a x",
						"19": "a x",
						"20": "a x",
						"21": "a x",
						"22": "a x",
						"23": "a x",
						"24": "a x",
						"25": "a x",
						"26": "a x",
						"27": "a x",
						"28": "a x",
						"29": "a x",
						"30": "a x",
						"31": "a x",
						"32": "a x",
						"33": "a x",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "a x"
					},
					"chrome": {
						"4": "a x",
						"5": "a x",
						"6": "a x",
						"7": "a x",
						"8": "a x",
						"9": "a x",
						"10": "a x",
						"11": "a x",
						"12": "a x",
						"13": "a x",
						"14": "a x",
						"15": "a x",
						"16": "a x",
						"17": "a x",
						"18": "a x",
						"19": "a x",
						"20": "a x",
						"21": "a x",
						"22": "a x",
						"23": "a x",
						"24": "a x",
						"25": "a x",
						"26": "a x",
						"27": "a x",
						"28": "a x",
						"29": "a x",
						"30": "a x",
						"31": "a x",
						"32": "a x",
						"33": "a x",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "a x",
						"6": "a x",
						"7": "a x",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a x",
						"6.1": "a x",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "a x",
						"15": "a x",
						"16": "a x",
						"17": "a x",
						"18": "a x",
						"19": "a x",
						"20": "a x",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "a x",
						"11.6": "a x",
						"12.1": "a x"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "a x",
						"4.2-4.3": "a x",
						"5.0-5.1": "a x",
						"6.0-6.1": "a x",
						"7.0-7.1": "a x",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a x",
						"4": "a x",
						"53": "y",
						"2.1": "n",
						"2.2": "a x",
						"2.3": "a x",
						"4.1": "a x",
						"4.2-4.3": "a x",
						"4.4": "a x",
						"4.4.3-4.4.4": "a x"
					},
					"bb": {
						"7": "a x",
						"10": "a x"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "a x",
						"37": "y",
						"11.1": "a x",
						"11.5": "a x",
						"12.1": "a x"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a x",
						"11": "a x"
					},
					"and_uc": {
						"11": "a x"
					},
					"samsung": {
						"4": "a x"
					}
				},
				"notes": "Partial support refers to supporting the older specification's \"matchesSelector\" name rather than just \"matches\".",
				"notes_by_num": {},
				"usage_perc_y": 70.52,
				"usage_perc_a": 22.91,
				"ucprefix": false,
				"parent": "",
				"keywords": " matchesSelector",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"pointer-events": {
				"title": "CSS pointer-events (for HTML)",
				"description": "This CSS property, when set to \"none\" allows elements to not receive hover/click events, instead the event will occur on anything behind it. ",
				"spec": "http://wiki.csswg.org/spec/css4-ui#pointer-events",
				"status": "unoff",
				"links": [
					{
						"url": "http://robertnyman.com/2010/03/22/css-pointer-events-to-allow-clicks-on-underlying-elements/",
						"title": "Article & tutorial"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/css.js#css-pointerevents",
						"title": "has.js test"
					},
					{
						"url": "https://github.com/kmewhort/pointer_events_polyfill",
						"title": "Polyfill"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Already part of the SVG specification, and all SVG-supporting browsers appear to support the property on SVG elements.",
				"notes_by_num": {},
				"usage_perc_y": 92.64,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "pointerevents,pointer-events:none",
				"ie_id": "csspointerevents",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"blobbuilder": {
				"title": "Blob constructing",
				"description": "Construct Blobs (binary large objects) either using the BlobBuilder API (deprecated) or the Blob constructor.",
				"spec": "http://www.w3.org/TR/FileAPI/#constructorBlob",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/DOM/BlobBuilder",
						"title": "MDN article on BlobBuilder"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/DOM/Blob",
						"title": "MDN article on Blobs"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "a x",
						"7": "a x",
						"8": "a x",
						"9": "a x",
						"10": "a x",
						"11": "a x",
						"12": "a x",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "a x",
						"9": "a x",
						"10": "a x",
						"11": "a x",
						"12": "a x",
						"13": "a x",
						"14": "a x",
						"15": "a x",
						"16": "a x",
						"17": "a x",
						"18": "a x",
						"19": "a x",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a x",
						"4": "a x",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "a x",
						"4.2-4.3": "a x",
						"4.4": "a x",
						"4.4.3-4.4.4": "a x"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "a x"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Partial support refers to only supporting the now deprecated BlobBuilder to create blobs.",
				"notes_by_num": {},
				"usage_perc_y": 81.03,
				"usage_perc_a": 11.84,
				"ucprefix": true,
				"parent": "fileapi",
				"keywords": "",
				"ie_id": "blob",
				"chrome_id": "5328783104016384",
				"firefox_id": "",
				"webkit_id": ""
			},
			"filereader": {
				"title": "FileReader API",
				"description": "Method of reading the contents of a File or Blob object into memory",
				"spec": "http://www.w3.org/TR/FileAPI/#dfn-filereader",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/DOM/FileReader",
						"title": "FileReader API"
					},
					{
						"url": "http://docs.webplatform.org/wiki/apis/file/FileReader",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a #1",
						"11": "a #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "y"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Does not support `readAsBinaryString`"
				},
				"usage_perc_y": 89.03,
				"usage_perc_a": 3.94,
				"ucprefix": false,
				"parent": "fileapi",
				"keywords": "",
				"ie_id": "filereader",
				"chrome_id": "5171003185430528",
				"firefox_id": "",
				"webkit_id": ""
			},
			"filesystem": {
				"title": "Filesystem & FileWriter API",
				"description": "Method of reading and writing files to a sandboxed file system.",
				"spec": "http://www.w3.org/TR/file-system-api/",
				"status": "unoff",
				"links": [
					{
						"url": "http://www.html5rocks.com/en/tutorials/file/filesystem/",
						"title": "HTML5 Rocks tutorial"
					},
					{
						"url": "http://docs.webplatform.org/wiki/apis/filesystem",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=997471",
						"title": "Firefox tracking bug"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "a x",
						"9": "a x",
						"10": "a x",
						"11": "a x",
						"12": "a x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y x",
						"49": "y x",
						"50": "y x",
						"51": "y x",
						"52": "y x",
						"53": "y x",
						"54": "y x",
						"55": "y x",
						"56": "y x",
						"57": "y x",
						"58": "y x"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "y x"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y x",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y x"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "The File API: Directories and System specification is no longer being maintained and support may be dropped in future versions.",
				"notes_by_num": {},
				"usage_perc_y": 53.33,
				"usage_perc_a": 0.05,
				"ucprefix": false,
				"parent": "",
				"keywords": "filewriter,requestFileSystem",
				"ie_id": "filewriter",
				"chrome_id": "5452478162141184",
				"firefox_id": "",
				"webkit_id": ""
			},
			"bloburls": {
				"title": "Blob URLs",
				"description": "Method of creating URL handles to the specified File or Blob object.",
				"spec": "http://www.w3.org/TR/FileAPI/#url",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/DOM/window.URL.createObjectURL",
						"title": "MDN article"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y x",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "y x",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "y x",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y x",
						"4.2-4.3": "y x",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 92.64,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "fileapi",
				"keywords": "createobjecturl,revokeobjecturl",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"rellist": {
				"title": "relList (DOMTokenList)",
				"description": "Method of easily manipulating rel attribute values on elements, using the DOMTokenList object (similar to classList).",
				"spec": "https://html.spec.whatwg.org/multipage/semantics.html#dom-a-rellist",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/DOM/DOMTokenList",
						"title": "MDN - DOMTokenList"
					},
					{
						"url": "https://github.com/jwilsson/domtokenlist",
						"title": "domtokenlist polyfill"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "a #1",
						"51": "a #1",
						"52": "a #1",
						"53": "a #1",
						"54": "a #1",
						"55": "a #1",
						"56": "a #1",
						"57": "a #1",
						"58": "a #1"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "a #1",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Chrome and Chromium based browsers support relList on link elements, but not anchor elements"
				},
				"usage_perc_y": 17.34,
				"usage_perc_a": 25.42,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"typedarrays": {
				"title": "Typed Arrays",
				"description": "JavaScript typed arrays provide a mechanism for accessing raw binary data much more efficiently. Includes: `Int8Array`, `Uint8Array`, `Uint8ClampedArray`, `Int16Array`, `Uint16Array`, `Int32Array`, `Uint32Array`, `Float32Array` & `Float64Array`\r\n",
				"spec": "http://www.ecma-international.org/ecma-262/6.0/#sec-typedarray-objects",
				"status": "other",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/javascript_typed_arrays",
						"title": "MDN article"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a #1",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a #2",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "a #2",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "y",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a #1",
						"11": "a #1"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Includes support for ArrayBuffer objects.",
				"notes_by_num": {
					"1": "IE10 (and IE 10&11 mobile) does not support `Uint8ClampedArray`"
				},
				"usage_perc_y": 92.12,
				"usage_perc_a": 0.87,
				"ucprefix": false,
				"parent": "",
				"keywords": "ES6,JavaScript,dataview,arraybuffer",
				"ie_id": "typedarrayses6",
				"chrome_id": "5135818813341696",
				"firefox_id": "",
				"webkit_id": ""
			},
			"deviceorientation": {
				"title": "DeviceOrientation & DeviceMotion events",
				"description": "API for detecting orientation and motion events from the device running the browser.",
				"spec": "http://www.w3.org/TR/orientation-event/",
				"status": "wd",
				"links": [
					{
						"url": "http://www.html5rocks.com/en/tutorials/device/orientation/",
						"title": "HTML5 Rocks tutorial"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/features.js#native-orientation",
						"title": "has.js test"
					},
					{
						"url": "http://html5labs.interoperabilitybridges.com/prototypes/device-orientation-events/device-orientation-events/info",
						"title": "DeviceOrientation implementation prototype for IE10"
					},
					{
						"url": "http://aurelio.audero.it/demo/device-orientation-api-demo.html",
						"title": "Demo"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "a #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "p",
						"5": "p",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"45": "a",
						"46": "a",
						"47": "a",
						"48": "a",
						"49": "a",
						"50": "a",
						"51": "a",
						"52": "a",
						"53": "a",
						"3.5": "n",
						"3.6": "p"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"45": "a",
						"46": "a",
						"47": "a",
						"48": "a",
						"49": "a",
						"50": "a",
						"51": "a",
						"52": "a",
						"53": "a",
						"54": "a",
						"55": "a",
						"56": "a",
						"57": "a",
						"58": "a"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "a",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "a",
						"5.0-5.1": "a",
						"6.0-6.1": "a",
						"7.0-7.1": "a",
						"8.1-8.4": "a",
						"9.0-9.2": "a",
						"9.3": "a",
						"10-10.1": "a"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a",
						"4": "a",
						"53": "a",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "a",
						"4.2-4.3": "a",
						"4.4": "a",
						"4.4.3-4.4.4": "a"
					},
					"bb": {
						"7": "n",
						"10": "a"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "y",
						"37": "a",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "a"
					},
					"and_ff": {
						"50": "a"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "a"
					},
					"samsung": {
						"4": "a"
					}
				},
				"notes": "Partial support refers to the lack of compassneedscalibration event. Partial support also refers to the lack of devicemotion event support for Chrome 30- and Opera. Opera Mobile 14 lost the ondevicemotion event support. Firefox 3.6, 4 and 5 support the non-standard [MozOrientation](https://developer.mozilla.org/en/DOM/MozOrientation) event.",
				"notes_by_num": {
					"1": "`compassneedscalibration` supported in IE11 only for compatible devices with Windows 8.1+."
				},
				"usage_perc_y": 1.97,
				"usage_perc_a": 88.18,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "deviceorientation,devicemotion",
				"chrome_id": "5874690627207168,5556931766779904",
				"firefox_id": "device-orientation",
				"webkit_id": ""
			},
			"script-defer": {
				"title": "defer attribute for external scripts",
				"description": "The boolean defer attribute on script elements allows the external JavaScript file to run when the DOM is loaded, without delaying page load first.",
				"spec": "https://html.spec.whatwg.org/multipage/scripting.html#attr-script-defer",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/HTML/Element/script#Attributes",
						"title": "MDN article"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/script.js#script-defer",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/html/attributes/defer",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "y",
						"11": "y",
						"5.5": "a #1"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y #2",
						"5": "y #2",
						"6": "y #2",
						"7": "y #2",
						"8": "y #2",
						"9": "y #2",
						"10": "y #2",
						"11": "y #2",
						"12": "y #2",
						"13": "y #2",
						"14": "y #2",
						"15": "y #2",
						"16": "y #2",
						"17": "y #2",
						"18": "y #2",
						"19": "y #2",
						"20": "y #2",
						"21": "y #2",
						"22": "y #2",
						"23": "y #2",
						"24": "y #2",
						"25": "y #2",
						"26": "y #2",
						"27": "y #2",
						"28": "y #2",
						"29": "y #2",
						"30": "y #2",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y #2",
						"3.6": "y #2"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in older IE refers to a buggy implementation (see issue).",
					"2": "Deferred scripts may run after DOMContentLoaded - https://bugzilla.mozilla.org/show_bug.cgi?id=688580"
				},
				"usage_perc_y": 92.96,
				"usage_perc_a": 0.72,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"nav-timing": {
				"title": "Navigation Timing API",
				"description": "API for accessing timing information related to navigation and elements.",
				"spec": "http://www.w3.org/TR/navigation-timing/",
				"status": "rec",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/API/navigationTiming",
						"title": "MDN article"
					},
					{
						"url": "http://www.html5rocks.com/en/tutorials/webperformance/basics/",
						"title": "HTML5 Rocks tutorial"
					},
					{
						"url": "http://docs.webplatform.org/wiki/apis/navigation_timing",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Removed in iOS 8.1 due to poor performance.",
				"notes_by_num": {},
				"usage_perc_y": 92.42,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "performance,performance.timing",
				"ie_id": "navigationtimingapi",
				"chrome_id": "5584144679567360",
				"firefox_id": "",
				"webkit_id": ""
			},
			"audio-api": {
				"title": "Web Audio API",
				"description": "High-level JavaScript API for processing and synthesizing audio",
				"spec": "http://www.w3.org/TR/webaudio/",
				"status": "wd",
				"links": [
					{
						"url": "https://github.com/corbanbrook/audionode.js",
						"title": "Polyfill to support Web Audio API in Firefox"
					},
					{
						"url": "http://docs.webplatform.org/wiki/apis/webaudio",
						"title": "WebPlatform Docs"
					},
					{
						"url": "http://www.doboism.com/projects/webaudio-compatibility/",
						"title": "Additional browser compatibility tests for specific features"
					},
					{
						"url": "https://github.com/g200kg/WAAPISim",
						"title": "Polyfill to enable Web Audio API through Firefox Audio Data api or flash"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y x",
						"TP": "y x"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "y x",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Not all browsers with support for the Audio API also support media streams (e.g. microphone input). See the [getUserMedia/Streams API](/#feat=stream) data for support for that feature.\r\n\r\nFirefox versions < 25 support an alternative, deprecated audio API.\r\n\r\nChrome support [went through some changes](http://updates.html5rocks.com/2014/07/Web-Audio-Changes-in-m36) as of version 36.",
				"notes_by_num": {},
				"usage_perc_y": 76.37,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "web-audio,webaudio,AudioContext,AudioBuffer,AudioNode",
				"ie_id": "webaudioapi",
				"chrome_id": "6261718720184320",
				"firefox_id": "webaudio",
				"webkit_id": ""
			},
			"css-regions": {
				"title": "CSS Regions",
				"description": "Method of flowing content into multiple elements.",
				"spec": "http://www.w3.org/TR/css3-regions/",
				"status": "wd",
				"links": [
					{
						"url": "http://html.adobe.com/webstandards/cssregions/",
						"title": "Adobe demos and samples"
					},
					{
						"url": "http://msdn.microsoft.com/en-us/ie/hh272902#_CSSConnected",
						"title": "IE10 developer guide info"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/atrules/@region",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=674802",
						"title": "Firefox feature request bug"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a x #1",
						"11": "a x #1",
						"5.5": "n"
					},
					"edge": {
						"12": "a x #1",
						"13": "a x #1",
						"14": "a x #1",
						"15": "a x #1"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "a x",
						"16": "a x",
						"17": "a x",
						"18": "a x",
						"19": "n d",
						"20": "n d",
						"21": "n d",
						"22": "n d",
						"23": "n d",
						"24": "n d",
						"25": "n d",
						"26": "n d",
						"27": "n d",
						"28": "n d",
						"29": "n d",
						"30": "n d",
						"31": "n d",
						"32": "n d",
						"33": "n d",
						"34": "n d",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y x",
						"TP": "y x"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "a x #1",
						"11": "a x #1"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Support is limited to using an iframe as a content source with the `-ms-flow-into: flow_name;` and `-ms-flow-from: flow_name;` syntax."
				},
				"usage_perc_y": 20.32,
				"usage_perc_a": 6.04,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "regions",
				"chrome_id": "5655612935372800",
				"firefox_id": "",
				"webkit_id": ""
			},
			"spellcheck-attribute": {
				"title": "Spellcheck attribute",
				"description": "Attribute for `input`/`textarea` fields to enable/disable the browser's spellchecker.",
				"spec": "https://html.spec.whatwg.org/multipage/interaction.html#spelling-and-grammar-checking",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/HTML/Controlling_spell_checking_in_HTML_formsControlling_spell_checking_in_HTML_forms",
						"title": "MDN article"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "a",
						"3.2": "a",
						"4.0-4.1": "a",
						"4.2-4.3": "a",
						"5.0-5.1": "a",
						"6.0-6.1": "a",
						"7.0-7.1": "a",
						"8.1-8.4": "a",
						"9.0-9.2": "a",
						"9.3": "a",
						"10-10.1": "a"
					},
					"op_mini": {
						"all": "a"
					},
					"android": {
						"3": "a",
						"4": "a",
						"53": "a",
						"2.1": "a",
						"2.2": "a",
						"2.3": "a",
						"4.1": "a",
						"4.2-4.3": "a",
						"4.4": "a",
						"4.4.3-4.4.4": "a"
					},
					"bb": {
						"7": "a",
						"10": "y"
					},
					"op_mob": {
						"10": "a",
						"11": "a",
						"12": "a",
						"37": "a",
						"11.1": "a",
						"11.5": "a",
						"12.1": "a"
					},
					"and_chr": {
						"55": "a"
					},
					"and_ff": {
						"50": "a"
					},
					"ie_mob": {
						"10": "a",
						"11": "a"
					},
					"and_uc": {
						"11": "a"
					},
					"samsung": {
						"4": "a"
					}
				},
				"notes": "The partial support in mobile browsers results from their OS generally having built-in spell checking instead of using the wavy underline to indicate misspelled words. `spellcheck=\"false\"` does not seem to have any effect in these browsers.\r\n\r\nBrowsers have different behavior in how they deal with spellchecking in combination with the the `lang` attribute. Generally spelling is based on the browser's language, not the language of the document.",
				"notes_by_num": {},
				"usage_perc_y": 43.96,
				"usage_perc_a": 53.35,
				"ucprefix": false,
				"parent": "",
				"keywords": "spelling",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"fullscreen": {
				"title": "Full Screen API",
				"description": "API for allowing content (like a video or canvas element) to take up the entire screen.",
				"spec": "https://fullscreen.spec.whatwg.org/",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/DOM/Using_full-screen_mode",
						"title": "MDN article"
					},
					{
						"url": "http://jlongster.com/2011/11/21/canvas.html",
						"title": "Blog post"
					},
					{
						"url": "http://hacks.mozilla.org/2012/01/using-the-fullscreen-api-in-web-browsers/",
						"title": "Mozilla hacks article"
					},
					{
						"url": "http://docs.webplatform.org/wiki/dom/Element/requestFullscreen",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "a x #3",
						"5.5": "n"
					},
					"edge": {
						"12": "a #3",
						"13": "a #3",
						"14": "a #3",
						"15": "a #3"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a x #1 #3",
						"11": "a x #1 #3",
						"12": "a x #1 #3",
						"13": "a x #1 #3",
						"14": "a x #1 #3",
						"15": "a x #1 #3",
						"16": "a x #1 #3",
						"17": "a x #1 #3",
						"18": "a x #1 #3",
						"19": "a x #1 #3",
						"20": "a x #1 #3",
						"21": "a x #1 #3",
						"22": "a x #1 #3",
						"23": "a x #1 #3",
						"24": "a x #1 #3",
						"25": "a x #1 #3",
						"26": "a x #1 #3",
						"27": "a x #1 #3",
						"28": "a x #1 #3",
						"29": "a x #1 #3",
						"30": "a x #1 #3",
						"31": "a x #1 #3",
						"32": "a x #1 #3",
						"33": "a x #1 #3",
						"34": "a x #1 #3",
						"35": "a x #1 #3",
						"36": "a x #1 #3",
						"37": "a x #1 #3",
						"38": "a x #1 #3",
						"39": "a x #1 #3",
						"40": "a x #1 #3",
						"41": "a x #1 #3",
						"42": "a x #1 #3",
						"43": "a x #1 #3",
						"44": "a x #1 #3",
						"45": "a x #1 #3",
						"46": "a x #1 #3",
						"47": "a x #1 #3 #4",
						"48": "a x #1 #3 #4",
						"49": "a x #1 #3 #4",
						"50": "a x #1 #3 #4",
						"51": "a x #1 #3 #4",
						"52": "a x #1 #3 #4",
						"53": "a x #1 #3 #4",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "a x #1 #3",
						"16": "a x #1 #3",
						"17": "a x #1 #3",
						"18": "a x #1 #3",
						"19": "a x #1 #3",
						"20": "a x #2 #3",
						"21": "a x #2 #3",
						"22": "a x #2 #3",
						"23": "a x #2 #3",
						"24": "a x #2 #3",
						"25": "a x #2 #3",
						"26": "a x #2 #3",
						"27": "a x #2 #3",
						"28": "a x #2 #3",
						"29": "a x #2 #3",
						"30": "a x #2 #3",
						"31": "a x #2 #3",
						"32": "a x #2 #3",
						"33": "a x #2 #3",
						"34": "a x #2 #3",
						"35": "a x #2 #3",
						"36": "a x #2 #3",
						"37": "a x #2 #3",
						"38": "a x #2 #3",
						"39": "a x #2 #3",
						"40": "a x #2 #3",
						"41": "a x #2 #3",
						"42": "a x #2 #3",
						"43": "a x #2 #3",
						"44": "a x #2 #3",
						"45": "a x #2 #3",
						"46": "a x #2 #3",
						"47": "a x #2 #3",
						"48": "a x #2 #3",
						"49": "a x #2 #3",
						"50": "a x #2 #3",
						"51": "a x #2 #3",
						"52": "a x #2 #3",
						"53": "a x #2 #3",
						"54": "a x #2 #3",
						"55": "a x #2 #3",
						"56": "a x #2 #3",
						"57": "a x #2 #3",
						"58": "a x #2 #3"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "a x #2 #3",
						"7": "a x #2 #3",
						"8": "a x #2 #3",
						"9": "a x #2 #3",
						"10": "a x #2 #3",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a x #1 #3",
						"6.1": "a x #2 #3",
						"7.1": "a x #2 #3",
						"9.1": "a x #2 #3",
						"TP": "a x #2 #3"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "a x #2 #3",
						"16": "a x #2 #3",
						"17": "a x #2 #3",
						"18": "a x #2 #3",
						"19": "a x #2 #3",
						"20": "a x #2 #3",
						"21": "a x #2 #3",
						"22": "a x #2 #3",
						"23": "a x #2 #3",
						"24": "a x #2 #3",
						"25": "a x #2 #3",
						"26": "a x #2 #3",
						"27": "a x #2 #3",
						"28": "a x #2 #3",
						"29": "a x #2 #3",
						"30": "a x #2 #3",
						"31": "a x #2 #3",
						"32": "a x #2 #3",
						"33": "a x #2 #3",
						"34": "a x #2 #3",
						"35": "a x #2 #3",
						"36": "a x #2 #3",
						"37": "a x #2 #3",
						"38": "a x #2 #3",
						"39": "a x #2 #3",
						"40": "a x #2 #3",
						"41": "a x #2 #3",
						"42": "a x #2 #3",
						"43": "a x #2 #3",
						"44": "a x #2 #3",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "a x #2"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a x #2 #3",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "a x #2 #3"
					},
					"and_ff": {
						"50": "a x #1 #3 #4"
					},
					"ie_mob": {
						"10": "n",
						"11": "a x #3"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "a x #2 #3"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to supporting an earlier draft of the spec.",
					"2": "Partial support refers to not supporting `::backdrop`, and supporting the old `:full-screen` syntax rather than the standard `:fullscreen`.",
					"3": "Partial support refers to not returning a Promise, as specified in the latest version of the spec.",
					"4": "Unprefixed support is available behind the `full-screen-api.unprefix.enabled` flag"
				},
				"usage_perc_y": 0.13,
				"usage_perc_a": 71.46,
				"ucprefix": false,
				"parent": "",
				"keywords": "full-screen",
				"ie_id": "fullscreenapi",
				"chrome_id": "5259513871466496",
				"firefox_id": "fullscreen",
				"webkit_id": ""
			},
			"css-exclusions": {
				"title": "CSS Exclusions Level 1",
				"description": "Exclusions defines how inline content flows around elements. It extends the content wrapping ability of floats to any block-level element.",
				"spec": "http://www.w3.org/TR/css3-exclusions/",
				"status": "wd",
				"links": [
					{
						"url": "https://msdn.microsoft.com/en-us/library/ie/hh673558(v=vs.85).aspx",
						"title": "CSS Exclusions"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=674804",
						"title": "Firefox tracking bug"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=57311",
						"title": "WebKit tracking bug"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y x",
						"11": "y x",
						"5.5": "n"
					},
					"edge": {
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "y x",
						"11": "y x"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 6,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "floats,exclusions,wrap-flow,wrap-through",
				"ie_id": "exclusions",
				"chrome_id": "6296903092273152",
				"firefox_id": "",
				"webkit_id": ""
			},
			"requestanimationframe": {
				"title": "requestAnimationFrame",
				"description": "API allowing a more efficient way of running script-based animation, compared to traditional methods using timeouts. Also covers support for `cancelAnimationFrame`",
				"spec": "https://html.spec.whatwg.org/multipage/webappapis.html#animation-frames",
				"status": "ls",
				"links": [
					{
						"url": "http://paulirish.com/2011/requestanimationframe-for-smart-animating/",
						"title": "Blog post"
					},
					{
						"url": "http://hacks.mozilla.org/2011/08/animating-with-javascript-from-setinterval-to-requestanimationframe/",
						"title": "Mozilla Hacks article"
					},
					{
						"url": "http://docs.webplatform.org/wiki/dom/Window/requestAnimationFrame",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a x #1",
						"5": "a x #1",
						"6": "a x #1",
						"7": "a x #1",
						"8": "a x #1",
						"9": "a x #1",
						"10": "a x #1",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a x #1 #2",
						"11": "a x #1 #2",
						"12": "a x #1 #2",
						"13": "a x #1 #2",
						"14": "a x #1 #2",
						"15": "a x #1 #2",
						"16": "a x #1 #2",
						"17": "a x #1 #2",
						"18": "a x #1",
						"19": "a x #1",
						"20": "a x #1",
						"21": "a x #1",
						"22": "y x",
						"23": "y x",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y x",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "y x",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to lacking `cancelAnimationFrame` support.",
					"2": "Supports `webkitCancelRequestAnimationFrame` rather than `webkitCancelAnimationFrame."
				},
				"usage_perc_y": 91.81,
				"usage_perc_a": 0.19,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "requestanimationframe",
				"chrome_id": "5233400470306816",
				"firefox_id": "",
				"webkit_id": ""
			},
			"input-range": {
				"title": "Range input type",
				"description": "Form field type that allows the user to select a value using a slider widget.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#range-state-(type=range)",
				"status": "ls",
				"links": [
					{
						"url": "https://github.com/fryn/html5slider",
						"title": "Polyfill for Firefox"
					},
					{
						"url": "https://github.com/freqdec/fd-slider",
						"title": "Cross-browser polyfill"
					},
					{
						"url": "http://tutorialzine.com/2011/12/what-you-need-to-know-html5-range-input/",
						"title": "Tutorial"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/form.js#input-type-range",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/html/elements/input/type/range",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://github.com/andreruffert/rangeslider.js",
						"title": "rangeslider.js polyfill"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a",
						"4": "a",
						"53": "y",
						"2.1": "a",
						"2.2": "a",
						"2.3": "a",
						"4.1": "a",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Currently all Android browsers with partial support hide the slider input field by default. However, the element [can be styled](http://tiffanybbrown.com/2012/02/07/input-typerange-and-androids-stock-browser/) to be made visible and usable.",
				"notes_by_num": {},
				"usage_perc_y": 92.78,
				"usage_perc_a": 0.23,
				"ucprefix": false,
				"parent": "forms",
				"keywords": "input type=\"range\"",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"matchmedia": {
				"title": "matchMedia",
				"description": "API for finding out whether or not a media query applies to the document.",
				"spec": "http://www.w3.org/TR/cssom-view/#dom-window-matchmedia",
				"status": "wd",
				"links": [
					{
						"url": "https://github.com/paulirish/matchMedia.js/",
						"title": "matchMedia.js polyfill"
					},
					{
						"url": "https://developer.mozilla.org/en/DOM/window.matchMedia",
						"title": "MDN article"
					},
					{
						"url": "https://developer.mozilla.org/en/CSS/Using_media_queries_from_code",
						"title": "MDN tutorial"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/media_queries/apis/matchMedia",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 92.93,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "mediaquerylist",
				"ie_id": "matchmedia",
				"chrome_id": "4677872220372992",
				"firefox_id": "",
				"webkit_id": ""
			},
			"input-datetime": {
				"title": "Date and time input types",
				"description": "Form field widget to easily allow users to enter a date, time or both, generally by using a calendar/time input widget.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#date-state-(type=date)",
				"status": "ls",
				"links": [
					{
						"url": "http://net.tutsplus.com/tutorials/javascript-ajax/quick-tip-cross-browser-datepickers-within-minutes/",
						"title": "Datepicker tutorial w/polyfill"
					},
					{
						"url": "https://github.com/zoltan-dulac/html5Forms.js",
						"title": "Polyfill for HTML5 forms"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/form.js#input-type-datetime-local",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/html/elements/input/type/date",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=888320",
						"title": "Bug on Firefox support"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "a #1",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "a #2",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "a #2",
						"6.0-6.1": "a #2",
						"7.0-7.1": "a #2",
						"8.1-8.4": "a #2",
						"9.0-9.2": "a #2",
						"9.3": "a #2",
						"10-10.1": "a #2"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n #3",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n #3",
						"4.2-4.3": "n #3",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Older versions of Safari provide date-formatted text fields, but no real calendar widget.\r\n\r\nChrome, Opera, and Microsoft Edge also support the `datetime-local` type for both date and time.\r\n\r\nThere used to also be a `datetime` type, but it was [dropped from the HTML spec](https://github.com/whatwg/html/issues/336) since only Presto ever fully supported it.",
				"notes_by_num": {
					"1": "Partial support in Microsoft Edge refers to supporting `date`, `week`, and `month` input types, and not `time` and `datetime-local`.",
					"2": "Partial support in iOS Safari refers to not supporting `min`, `max` or `step` attributes",
					"3": "Some modified versions of the Android 4.x browser do have support for date/time fields."
				},
				"usage_perc_y": 69.31,
				"usage_perc_a": 9.28,
				"ucprefix": false,
				"parent": "forms",
				"keywords": "datepicker,timepicker,input type=\"date\",input type=\"time\",input date,datetime-local",
				"ie_id": "daterelatedinputtypes,timerelatedinputtypes",
				"chrome_id": "6640933999214592",
				"firefox_id": "",
				"webkit_id": ""
			},
			"document-execcommand": {
				"title": "Document.execCommand()",
				"description": "Allows running commands to manipulate the contents of an editable region in a document switched to designMode",
				"spec": "https://dvcs.w3.org/hg/editing/raw-file/tip/editing.html#execcommand()",
				"status": "unoff",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Document/execCommand",
						"title": "MDN"
					},
					{
						"url": "http://codepen.io/netsi1964/pen/QbLLGW",
						"title": "execCommand and queryCommandSupported demo"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "y"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "u",
						"5": "u",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "u",
						"5.1": "u",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "u",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "u",
						"5.0-5.1": "u",
						"6.0-6.1": "u",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "To determine what commands are supported, see `Document.queryCommandSupported()`",
				"notes_by_num": {},
				"usage_perc_y": 84.63,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "document,text,editor,commands,designMode",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"input-color": {
				"title": "Color input type",
				"description": "Form field allowing the user to select a color.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#color-state-(type=color)",
				"status": "ls",
				"links": [
					{
						"url": "http://www.html5tutorial.info/html5-color.php",
						"title": "Tutorial"
					},
					{
						"url": "https://github.com/jonstipe/color-polyfill",
						"title": "Polyfill"
					},
					{
						"url": "http://docs.webplatform.org/wiki/html/elements/input/type/color",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6514216--input-type-color",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "n",
						"16": "n",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "a"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 68.04,
				"usage_perc_a": 8.86,
				"ucprefix": false,
				"parent": "forms",
				"keywords": "colour,input type=\"color\"",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"input-number": {
				"title": "Number input type",
				"description": "Form field type for numbers.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#number-state-(type=number)",
				"status": "ls",
				"links": [
					{
						"url": "http://www.html5tutorial.info/html5-number.php",
						"title": "Tutorial"
					},
					{
						"url": "https://github.com/jonstipe/number-polyfill",
						"title": "Polyfill"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/form.js#input-type-number",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/html/elements/input/type/number",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://www.slightfuture.com/webdev/html5-input-number-localization",
						"title": "Poor browser support for localized decimal marks, commas"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y #1",
						"11": "y #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y #1",
						"13": "y #1",
						"14": "y #4",
						"15": "y #4"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "y #3",
						"30": "y #3",
						"31": "y #3",
						"32": "y #3",
						"33": "y #3",
						"34": "y #3",
						"35": "y #3",
						"36": "y #3",
						"37": "y #3",
						"38": "y #3",
						"39": "y #3",
						"40": "y #3",
						"41": "y #3",
						"42": "y #3",
						"43": "y #3",
						"44": "y #3",
						"45": "y #3",
						"46": "y #3",
						"47": "y #3",
						"48": "y #3",
						"49": "y #3",
						"50": "y #3",
						"51": "y #3",
						"52": "y #3",
						"53": "y #3",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "a #1 #2",
						"3.2": "a #1 #2",
						"4.0-4.1": "a #1 #2",
						"4.2-4.3": "a #1 #2",
						"5.0-5.1": "a #1 #2",
						"6.0-6.1": "a #1 #2",
						"7.0-7.1": "a #1 #2",
						"8.1-8.4": "a #1 #2",
						"9.0-9.2": "a #1 #2",
						"9.3": "a #1 #2",
						"10-10.1": "a #1 #2"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "a #1 #2",
						"53": "a #1 #2",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "a #1 #2",
						"4.2-4.3": "a #1 #2",
						"4.4": "a #1 #2",
						"4.4.3-4.4.4": "a #1 #2"
					},
					"bb": {
						"7": "n",
						"10": "a #1 #2"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "a #1 #2",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "a #1 #2"
					},
					"and_ff": {
						"50": "y #1 #3"
					},
					"ie_mob": {
						"10": "a #1 #2",
						"11": "a #1 #2"
					},
					"and_uc": {
						"11": "a #1 #2"
					},
					"samsung": {
						"4": "a #1 #2"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "UI widget does not include increment/decrement buttons.",
					"2": "UI widget does not take the \"step\", \"min\" or \"max\" attributes into account.",
					"3": "Firefox doesn't support [autocomplete content via datalist](http://codepen.io/graste/pen/bNoVKW) elements.",
					"4": "Does not include increment/decrement buttons, but does supports increment/decrement via arrow up & down keys."
				},
				"usage_perc_y": 43.71,
				"usage_perc_a": 49.12,
				"ucprefix": false,
				"parent": "forms",
				"keywords": "spinner,input type=\"number\"",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"getboundingclientrect": {
				"title": "Element.getBoundingClientRect()",
				"description": "Method to get the size and position of an element's bounding box, relative to the viewport.",
				"spec": "http://www.w3.org/TR/cssom-view/#dom-element-getboundingclientrect",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Element/getBoundingClientRect",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://msdn.microsoft.com/en-us/library/ms536433(VS.85).aspx",
						"title": "Microsoft Developer Network"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "a #1 #3",
						"7": "a #1 #3",
						"8": "a #1 #3",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "a #1 #3"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "a #1 #4",
						"4": "a #2",
						"5": "a #2",
						"6": "a #2",
						"7": "a #2",
						"8": "a #2",
						"9": "a #2",
						"10": "a #2",
						"11": "a #2",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a #2 #4",
						"3.6": "a #2 #3 #4"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "u",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "u",
						"10.0-10.1": "a #1",
						"10.5": "a #1",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "a #1",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "The returned object lacks `width` and `height` properties.",
					"2": "Returns incorrect values for elements which have had CSS `transform`s applied to them.",
					"3": "The returned object cannot have new properties added to it; it's not extensible.",
					"4": "Existing properties of the returned object are immutable."
				},
				"usage_perc_y": 97.47,
				"usage_perc_a": 0.63,
				"ucprefix": false,
				"parent": "",
				"keywords": "getBoundingClientRect,bounding,client,rect,DOMRect,box,cssom",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"iframe-sandbox": {
				"title": "sandbox attribute for iframes",
				"description": "Method of running external site pages with reduced privileges (e.g. no JavaScript) in iframes.",
				"spec": "https://html.spec.whatwg.org/multipage/embedded-content.html#attr-iframe-sandbox",
				"status": "ls",
				"links": [
					{
						"url": "http://blog.chromium.org/2010/05/security-in-depth-html5s-sandbox.html",
						"title": "Chromium blog article"
					},
					{
						"url": "http://msdn.microsoft.com/en-us/hh563496",
						"title": "MSDN article"
					},
					{
						"url": "http://docs.webplatform.org/wiki/html/attributes/sandbox",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 92.68,
				"usage_perc_a": 0.14,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "iframesandboxattribute",
				"chrome_id": "5715536319086592",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-counters": {
				"title": "CSS Counters",
				"description": "Method of controlling number values in generated content, using the `counter-reset` and `counter-increment` properties.",
				"spec": "http://www.w3.org/TR/CSS21/generate.html#counters",
				"status": "rec",
				"links": [
					{
						"url": "http://onwebdev.blogspot.com/2012/02/css-counters-tutorial.html",
						"title": "Tutorial and information"
					},
					{
						"url": "https://developer.mozilla.org/en/CSS_Counters",
						"title": "MDN article"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/counter-reset",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS2"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 98.08,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-resize": {
				"title": "CSS resize property",
				"description": "Method of allowing an element to be resized by the user, with options to limit to a given direction. ",
				"spec": "http://www.w3.org/TR/css3-ui/#resize",
				"status": "cr",
				"links": [
					{
						"url": "http://css-tricks.com/almanac/properties/r/resize/",
						"title": "CSS Tricks info"
					},
					{
						"url": "http://davidwalsh.name/textarea-resize",
						"title": "On textarea resizing"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6513977-css-resize-property",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y x",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "a #1"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Presto-based Opera 12.10+ currently only supports the resize property for textarea elements."
				},
				"usage_perc_y": 62.62,
				"usage_perc_a": 0.13,
				"ucprefix": false,
				"parent": "",
				"keywords": "horizontal,vertical",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"input-placeholder": {
				"title": "input placeholder attribute",
				"description": "Method of setting placeholder text for text-like input fields, to suggest the expected inserted information.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#attr-input-placeholder",
				"status": "ls",
				"links": [
					{
						"url": "http://www.zachleat.com/web/placeholder/",
						"title": "Article on usage"
					},
					{
						"url": "https://github.com/mathiasbynens/jquery-placeholder",
						"title": "Polyfill"
					},
					{
						"url": "https://raw.github.com/phiggins42/has.js/master/detect/form.js#input-attr-placeholder",
						"title": "has.js test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/html/attributes/placeholder",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://code.google.com/p/android/issues/detail?id=24626",
						"title": "Issue 24626: Placeholder text for an input type="
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a #1",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "a #1",
						"3.2": "a #1",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "a #1",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "a #1",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "a",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "a",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to lacking placeholder support on textarea elements."
				},
				"usage_perc_y": 92.89,
				"usage_perc_a": 0.27,
				"ucprefix": false,
				"parent": "forms",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"spdy": {
				"title": "SPDY protocol",
				"description": "Networking protocol for low-latency transport of content over the web. Superseded by HTTP version 2.",
				"spec": "http://http2.github.io/http2-spec/index.html",
				"status": "unoff",
				"links": [
					{
						"url": "http://en.wikipedia.org/wiki/HTTP/2",
						"title": "Wikipedia"
					},
					{
						"url": "http://dev.chromium.org/spdy/spdy-whitepaper",
						"title": "SPDY whitepaper"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "n",
						"41": "n",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "See also support for [HTTP2](http://caniuse.com/#feat=http2), successor of SPDY.\r\n\r\nChrome will be removing support in 2016 (in favor of HTTP2), other browsers likely to follow.",
				"notes_by_num": {},
				"usage_perc_y": 32.67,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "http2",
				"chrome_id": "5152586365665280",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-repeating-gradients": {
				"title": "CSS Repeating Gradients",
				"description": "Method of defining a repeating linear or radial color gradient as a CSS image.",
				"spec": "http://www.w3.org/TR/css3-images/#repeating-gradients",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/CSS/repeating-linear-gradient",
						"title": "MDN article"
					},
					{
						"url": "http://www.css3files.com/gradient/#repeatinglineargradient",
						"title": "Information page"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/repeating-linear-gradient",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "y x"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y x",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y x",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y x",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "a x",
						"11.5": "a x",
						"11.6": "y x",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y x",
						"6.0-6.1": "y x",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "y x",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y x",
						"4.2-4.3": "y x",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "y x",
						"37": "y",
						"11.1": "a x",
						"11.5": "a x",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Firefox 10+, Chrome 26+ and Opera 11.6+ also support the new \"to (side)\" syntax.",
				"notes_by_num": {},
				"usage_perc_y": 93.01,
				"usage_perc_a": 0.01,
				"ucprefix": false,
				"parent": "css-gradients",
				"keywords": "repeating-linear-gradient,repeating-radial-gradient",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-filters": {
				"title": "CSS Filter Effects",
				"description": "Method of applying filter effects (like blur, grayscale, brightness, contrast and hue) to elements, previously only possible by using SVG.",
				"spec": "http://www.w3.org/TR/filter-effects-1/",
				"status": "wd",
				"links": [
					{
						"url": "http://html5-demos.appspot.com/static/css/filters/index.html",
						"title": "Demo file for WebKit browsers"
					},
					{
						"url": "http://www.html5rocks.com/en/tutorials/filters/understanding-css/",
						"title": "HTML5Rocks article"
					},
					{
						"url": "http://dl.dropbox.com/u/3260327/angular/CSS3ImageManipulation.html",
						"title": "Filter editor"
					},
					{
						"url": "http://bennettfeely.com/filters/",
						"title": "Filter Playground"
					}
				],
				"categories": [
					"CSS",
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n d #2 #4",
						"13": "a #4",
						"14": "a #4",
						"15": "a #4"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a #3",
						"5": "a #3",
						"6": "a #3",
						"7": "a #3",
						"8": "a #3",
						"9": "a #3",
						"10": "a #3",
						"11": "a #3",
						"12": "a #3",
						"13": "a #3",
						"14": "a #3",
						"15": "a #3",
						"16": "a #3",
						"17": "a #3",
						"18": "a #3",
						"19": "a #3",
						"20": "a #3",
						"21": "a #3",
						"22": "a #3",
						"23": "a #3",
						"24": "a #3",
						"25": "a #3",
						"26": "a #3",
						"27": "a #3",
						"28": "a #3",
						"29": "a #3",
						"30": "a #3",
						"31": "a #3",
						"32": "a #3",
						"33": "a #3",
						"34": "a d #1",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "a #3"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y x",
						"49": "y x",
						"50": "y x",
						"51": "y x",
						"52": "y x",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "y x",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y x",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y x",
						"4.4.3-4.4.4": "y x"
					},
					"bb": {
						"7": "n",
						"10": "y x"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y x",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "y x"
					}
				},
				"notes": "Note that this property is significantly different from and incompatible with Microsoft's [older \"filter\" property](http://msdn.microsoft.com/en-us/library/ie/ms530752%28v=vs.85%29.aspx).",
				"notes_by_num": {
					"1": "Supported in Firefox under the `layout.css.filters.enabled` flag.",
					"2": "Supported in MS Edge under the \"Enable CSS filter property\" flag.",
					"3": "Partial support in Firefox before version 34 [only implemented the url() function of the filter property](https://developer.mozilla.org/en-US/docs/Web/CSS/filter#Browser_compatibility)",
					"4": "Partial support refers to supporting filter functions, but not the `url` function."
				},
				"usage_perc_y": 85.54,
				"usage_perc_a": 1.88,
				"ucprefix": false,
				"parent": "",
				"keywords": "sepia,hue-rotate,invert,saturate,filter:blur",
				"ie_id": "filters",
				"chrome_id": "5822463824887808",
				"firefox_id": "",
				"webkit_id": ""
			},
			"getcomputedstyle": {
				"title": "getComputedStyle",
				"description": "API to get the current computed CSS styles applied to an element. This may be the current value applied by an animation or as set by a stylesheet.",
				"spec": "http://www.w3.org/TR/cssom/#dom-window-getcomputedstyle",
				"status": "rec",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/DOM/window.getComputedStyle",
						"title": "MDN article"
					},
					{
						"url": "http://ie.microsoft.com/testdrive/HTML5/getComputedStyle/",
						"title": "Demo"
					},
					{
						"url": "http://snipplr.com/view/13523/",
						"title": "Polyfill for IE"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/cssom/methods/getComputedStyle",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3",
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "a #1",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a #1",
						"3.6": "a #1"
					},
					"chrome": {
						"4": "a #2",
						"5": "a #2",
						"6": "a #2",
						"7": "a #2",
						"8": "a #2",
						"9": "a #2",
						"10": "a #2",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a #2",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "a #2",
						"3.2": "a #2",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "a #2",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "a #2",
						"10.0-10.1": "a #2",
						"10.5": "a #2",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "a #2",
						"4.0-4.1": "a #2",
						"4.2-4.3": "a #2",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "a #2"
					},
					"android": {
						"3": "a #2",
						"4": "y",
						"53": "y",
						"2.1": "a #2",
						"2.2": "a #2",
						"2.3": "a #2",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a #2",
						"10": "y"
					},
					"op_mob": {
						"10": "a #2",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to requiring the second parameter to be included.",
					"2": "Partial support refers to not supporting getComputedStyle on pseudo-elements."
				},
				"usage_perc_y": 93.31,
				"usage_perc_a": 4.36,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"mp3": {
				"title": "MP3 audio format",
				"description": "Popular lossy audio compression format",
				"spec": "http://mpgedit.org/mpgedit/mpeg_format/MP3Format.html",
				"status": "other",
				"links": [
					{
						"url": "https://en.wikipedia.org/wiki/MP3",
						"title": "Wikipedia"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a #1",
						"3.6": "a #1"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Support refers to use using the `audio` element, not other conditions.",
				"notes_by_num": {
					"1": "Partial support in older Firefox refers to being limited to certain operating systems."
				},
				"usage_perc_y": 93.05,
				"usage_perc_a": 0.23,
				"ucprefix": false,
				"parent": "audio",
				"keywords": "mpeg",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"word-break": {
				"title": "CSS3 word-break",
				"description": "Property to prevent or allow words to be broken over multiple lines between letters.",
				"spec": "http://www.w3.org/TR/css3-text/#word-break",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en/CSS/word-break",
						"title": "MDN article"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/word-break",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "y"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "y",
						"10": "y",
						"3.1": "a",
						"3.2": "a",
						"5.1": "a",
						"6.1": "a",
						"7.1": "a",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "a",
						"3.2": "a",
						"4.0-4.1": "a",
						"4.2-4.3": "a",
						"5.0-5.1": "a",
						"6.0-6.1": "a",
						"7.0-7.1": "a",
						"8.1-8.4": "a",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a",
						"4": "a",
						"53": "y",
						"2.1": "a",
						"2.2": "a",
						"2.3": "a",
						"4.1": "a",
						"4.2-4.3": "a",
						"4.4": "a",
						"4.4.3-4.4.4": "a"
					},
					"bb": {
						"7": "a",
						"10": "a"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "a"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Partial support refers to supporting the `break-all` value, but not the `keep-all` value.\r\n\r\nChrome, Safari and other WebKit/Blink browsers also support the unofficial `break-word` value which is treated like `word-wrap: break-word`.",
				"notes_by_num": {},
				"usage_perc_y": 79.43,
				"usage_perc_a": 14.15,
				"ucprefix": false,
				"parent": "",
				"keywords": "break-all,keep-all",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"viewport-units": {
				"title": "Viewport units: vw, vh, vmin, vmax",
				"description": "Length units representing 1% of the viewport size for viewport width (vw), height (vh), the smaller of the two (vmin), or the larger of the two (vmax).",
				"spec": "http://www.w3.org/TR/css3-values/#viewport-relative-lengths",
				"status": "cr",
				"links": [
					{
						"url": "http://css-tricks.com/viewport-sized-typography/",
						"title": "Blog post"
					},
					{
						"url": "https://github.com/saabi/vminpoly",
						"title": "Polyfill"
					},
					{
						"url": "https://github.com/rodneyrehm/viewport-units-buggyfill",
						"title": "Buggyfill - Polyfill that fixes buggy support"
					},
					{
						"url": "http://blog.rodneyrehm.de/archives/34-iOS7-Mobile-Safari-And-Viewport-Units.html",
						"title": "Back-Forward issue blog post"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6514497-vmax-unit",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a #1",
						"10": "a #2",
						"11": "a #2",
						"5.5": "n"
					},
					"edge": {
						"12": "a #2",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "a #2",
						"21": "a #2",
						"22": "a #2",
						"23": "a #2",
						"24": "a #2",
						"25": "a #2",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "a #2",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "a #2 #3",
						"7.0-7.1": "a #3",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a #2",
						"11": "a #2"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in IE9 refers to supporting \"vm\" instead of \"vmin\".",
					"2": "Partial support refers to not supporting the \"vmax\" unit. ",
					"3": "Partial support in iOS7 is due to buggy behavior of the \"vh\" unit (see workarounds: [1](https://gist.github.com/pburtchaell/e702f441ba9b3f76f587), [2](https://gist.github.com/BenMorel/e9e34c08360ebbbd0634))."
				},
				"usage_perc_y": 76.55,
				"usage_perc_a": 6.62,
				"ucprefix": false,
				"parent": "",
				"keywords": "vm,viewport-percentage",
				"ie_id": "cssvmaxunit",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"contentsecuritypolicy": {
				"title": "Content Security Policy 1.0",
				"description": "Mitigate cross-site scripting attacks by whitelisting allowed sources of script, style, and other resources.",
				"spec": "http://www.w3.org/TR/2012/CR-CSP-20121115/",
				"status": "cr",
				"links": [
					{
						"url": "http://html5rocks.com/en/tutorials/security/content-security-policy/",
						"title": "HTML5Rocks article"
					},
					{
						"url": "http://content-security-policy.com/",
						"title": "CSP Examples & Quick Reference"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a #1",
						"11": "a #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y #1",
						"5": "y #1",
						"6": "y #1",
						"7": "y #1",
						"8": "y #1",
						"9": "y #1",
						"10": "y #1",
						"11": "y #1",
						"12": "y #1",
						"13": "y #1",
						"14": "y #1",
						"15": "y #1",
						"16": "y #1",
						"17": "y #1",
						"18": "y #1",
						"19": "y #1",
						"20": "y #1",
						"21": "y #1",
						"22": "y #1",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "y #2",
						"15": "y #2",
						"16": "y #2",
						"17": "y #2",
						"18": "y #2",
						"19": "y #2",
						"20": "y #2",
						"21": "y #2",
						"22": "y #2",
						"23": "y #2",
						"24": "y #2",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y #2",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a #2",
						"6.1": "y #2",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "a #2",
						"6.0-6.1": "y #2",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y #2"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a #1",
						"11": "a #1"
					},
					"and_uc": {
						"11": "y #2"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "The standard HTTP header is `Content-Security-Policy` which is used unless otherwise noted.",
				"notes_by_num": {
					"1": "Supported through the `X-Content-Security-Policy` header",
					"2": "Supported through the `X-Webkit-CSP` header"
				},
				"usage_perc_y": 87.47,
				"usage_perc_a": 4.56,
				"ucprefix": false,
				"parent": "",
				"keywords": "csp,security,header",
				"ie_id": "contentsecuritypolicy",
				"chrome_id": "5205088045891584",
				"firefox_id": "",
				"webkit_id": ""
			},
			"pagevisibility": {
				"title": "Page Visibility",
				"description": "JavaScript API for determining whether a document is visible on the display",
				"spec": "http://www.w3.org/TR/page-visibility/",
				"status": "rec",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/DOM/Using_the_Page_Visibility_API",
						"title": "MDN article"
					},
					{
						"url": "https://docs.webplatform.org/wiki/dom/Document/visibilityState",
						"title": "WebPlatform Docs"
					},
					{
						"url": "http://www.sitepoint.com/introduction-to-page-visibility-api/",
						"title": "SitePoint article"
					},
					{
						"url": "http://aurelio.audero.it/demo/page-visibility-api-demo.html",
						"title": "Demo"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y x",
						"4.4.3-4.4.4": "y x"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "y x"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 92.03,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "visibilitystate,visibilitychange",
				"ie_id": "pagevisibilityapi",
				"chrome_id": "5689697795833856",
				"firefox_id": "page-visibility",
				"webkit_id": ""
			},
			"stricttransportsecurity": {
				"title": "Strict Transport Security",
				"description": "Declare that a website is only accessible over a secure connection (HTTPS).",
				"spec": "https://tools.ietf.org/html/rfc6797",
				"status": "other",
				"links": [
					{
						"url": "http://dev.chromium.org/sts",
						"title": "Chromium article"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Security/HTTP_Strict_Transport_Security",
						"title": "MDN article"
					},
					{
						"url": "https://www.owasp.org/index.php/HTTP_Strict_Transport_Security",
						"title": "OWASP article"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "The HTTP header is 'Strict-Transport-Security'.",
				"notes_by_num": {
					"1": "IE 11 added support [in an update](http://blogs.windows.com/msedgedev/2015/06/09/http-strict-transport-security-comes-to-internet-explorer-11-on-windows-8-1-and-windows-7/) on June 9, 2015"
				},
				"usage_perc_y": 82.53,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "sts,hsts,security,header",
				"ie_id": "httpstricttransportsecurityhsts",
				"chrome_id": "4941480133132288",
				"firefox_id": "",
				"webkit_id": ""
			},
			"style-scoped": {
				"title": "Scoped CSS",
				"description": "Allows CSS rules to be scoped to part of the document, based on the position of the style element. The attribute has been [removed from the current specification](https://github.com/whatwg/html/issues/552).",
				"spec": "https://www.w3.org/TR/html51/document-metadata.html#element-attrdef-style-scoped",
				"status": "unoff",
				"links": [
					{
						"url": "https://github.com/PM5544/scoped-polyfill",
						"title": "Polyfill"
					},
					{
						"url": "http://html5doctor.com/the-scoped-attribute/",
						"title": "HTML5 Doctor article"
					},
					{
						"url": "http://updates.html5rocks.com/2012/03/A-New-Experimental-Feature-style-scoped",
						"title": "HTML5Rocks article"
					}
				],
				"categories": [
					"CSS",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n d #1",
						"21": "n d #1",
						"22": "n d #1",
						"23": "n d #1",
						"24": "n d #1",
						"25": "n d #1",
						"26": "n d #1",
						"27": "n d #1",
						"28": "n d #1",
						"29": "n d #1",
						"30": "n d #1",
						"31": "n d #1",
						"32": "n d #1",
						"33": "n d #1",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Enabled in Chrome through the \"experimental Web Platform features\" flag in chrome://flags"
				},
				"usage_perc_y": 15.57,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "scope",
				"ie_id": "scopedstyles",
				"chrome_id": "5374137958662144",
				"firefox_id": "",
				"webkit_id": ""
			},
			"svg-fragment": {
				"title": "SVG fragment identifiers",
				"description": "Method of displaying only a part of an SVG image by defining a view ID or view box dimensions as the file's fragment identifier.",
				"spec": "http://www.w3.org/TR/SVG/linking.html#SVGFragmentIdentifiers",
				"status": "rec",
				"links": [
					{
						"url": "http://www.broken-links.com/2012/08/14/better-svg-sprites-with-fragment-identifiers/",
						"title": "Blog post"
					}
				],
				"categories": [
					"SVG"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"45": "a #1",
						"46": "a #1",
						"47": "a #1",
						"48": "a #1",
						"49": "a #1",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "a #1",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "a #1",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "u",
						"11": "a",
						"12": "a",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "u",
						"10.0-10.1": "a",
						"10.5": "a",
						"10.6": "a",
						"11.1": "a",
						"11.5": "a",
						"11.6": "a",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "a #1",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "a #1",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "a #1"
					},
					"op_mob": {
						"10": "a",
						"11": "a",
						"12": "a",
						"37": "y",
						"11.1": "a",
						"11.5": "a",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "a #1"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to support inside `<img>` but not as CSS `background-image`"
				},
				"usage_perc_y": 67.03,
				"usage_perc_a": 6.89,
				"ucprefix": false,
				"parent": "",
				"keywords": "fragments,sprite,svg,use",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"outline": {
				"title": "CSS outline",
				"description": "The CSS outline property is a shorthand property for setting one or more of the individual outline properties outline-style, outline-width and outline-color in a single rule. In most cases the use of this shortcut is preferable and more convenient.",
				"spec": "http://www.w3.org/TR/CSS2/ui.html#propdef-outline",
				"status": "rec",
				"links": [
					{
						"url": "http://dev.w3.org/csswg/css3-ui/#outline",
						"title": "CSS Basic User Interface Module Level 3"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/CSS/outline",
						"title": "Mozilla Developer Network: outline"
					}
				],
				"categories": [
					"CSS2"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y #1",
						"10": "y #1",
						"11": "y #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y #1",
						"13": "y #1",
						"14": "y #1",
						"15": "y #1"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y #1"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y #1",
						"11": "y #1"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Also supports the value of `invert` for `outline-color`. (support of this value is optional for browsers)"
				},
				"usage_perc_y": 93.96,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "-moz-outline,outline-width,outline-style,outline-color",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"download": {
				"title": "Download attribute",
				"description": "When used on an anchor, this attribute signifies that the browser should download the resource the anchor points to rather than navigate to it.",
				"spec": "https://html.spec.whatwg.org/multipage/semantics.html#downloading-resources",
				"status": "ls",
				"links": [
					{
						"url": "http://updates.html5rocks.com/2011/08/Downloading-resources-in-HTML5-a-download",
						"title": "HTML5Rocks post"
					},
					{
						"url": "http://html5-demos.appspot.com/static/a.download.html",
						"title": "Demo: creating a text file and downloading it."
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=102914",
						"title": "WebKit feature request bug"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 66.94,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "download,a.download,a[download],download attribute",
				"ie_id": "adownloadattribute",
				"chrome_id": "6473924464345088",
				"firefox_id": "",
				"webkit_id": "feature-download-attribute"
			},
			"pointer": {
				"title": "Pointer events",
				"description": "This specification integrates various inputs from mice, touchscreens, and pens, making separate implementations no longer necessary and authoring for cross-device pointers easier. Not to be mistaken with the unrelated \"pointer-events\" CSS property.",
				"spec": "http://www.w3.org/TR/pointerevents/",
				"status": "rec",
				"links": [
					{
						"url": "http://blogs.msdn.com/b/ie/archive/2011/09/20/touch-input-for-ie10-and-metro-style-apps.aspx",
						"title": "Implementation of Pointer Events in IE10"
					},
					{
						"url": "http://blogs.msdn.com/b/eternalcoding/archive/2013/01/16/hand-js-a-polyfill-for-supporting-pointer-events-on-every-browser.aspx",
						"title": "Hand.js, the polyfill for browsers only supporting Touch Events"
					},
					{
						"url": "http://blogs.msdn.com/b/davrous/archive/2013/02/20/handling-touch-in-your-html5-apps-thanks-to-the-pointer-events-of-ie10-and-windows-8.aspx",
						"title": "Article & tutorial"
					},
					{
						"url": "http://deeptissuejs.com",
						"title": "Abstraction library for pointer events"
					},
					{
						"url": "https://github.com/jquery/PEP",
						"title": "PEP: Pointer Events Polyfill"
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a x #1",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "p",
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "p",
						"21": "p",
						"22": "p",
						"23": "p",
						"24": "p",
						"25": "p",
						"26": "p",
						"27": "p",
						"28": "p",
						"29": "p",
						"30": "p",
						"31": "p",
						"32": "p",
						"33": "p",
						"34": "p",
						"35": "p",
						"36": "p",
						"37": "p",
						"38": "p",
						"39": "p",
						"40": "p",
						"41": "p d #2",
						"42": "p d #2",
						"43": "p d #2",
						"44": "p d #2",
						"45": "p d #2",
						"46": "p d #2",
						"47": "p d #2",
						"48": "p d #2",
						"49": "p d #2",
						"50": "p d #2",
						"51": "p d #2",
						"52": "p d #2",
						"53": "p d #2",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "p",
						"23": "p",
						"24": "p",
						"25": "p",
						"26": "p",
						"27": "p",
						"28": "p",
						"29": "p",
						"30": "p",
						"31": "p",
						"32": "p",
						"33": "p",
						"34": "p",
						"35": "p",
						"36": "p",
						"37": "p",
						"38": "p",
						"39": "p",
						"40": "p",
						"41": "p",
						"42": "p",
						"43": "p",
						"44": "p",
						"45": "p",
						"46": "p",
						"47": "p",
						"48": "p",
						"49": "p",
						"50": "p",
						"51": "p",
						"52": "p d #3",
						"53": "p d #3",
						"54": "p d #3",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "p",
						"7.1": "p",
						"9.1": "p",
						"TP": "p"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "p",
						"21": "p",
						"22": "p",
						"23": "p",
						"24": "p",
						"25": "p",
						"26": "p",
						"27": "p",
						"28": "p",
						"29": "p",
						"30": "p",
						"31": "p",
						"32": "p",
						"33": "p",
						"34": "p",
						"35": "p",
						"36": "p",
						"37": "p",
						"38": "p",
						"39": "p d #3",
						"40": "p d #3",
						"41": "p d #3",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "p",
						"3.2": "p",
						"4.0-4.1": "p",
						"4.2-4.3": "p",
						"5.0-5.1": "p",
						"6.0-6.1": "p",
						"7.0-7.1": "p",
						"8.1-8.4": "p",
						"9.0-9.2": "p",
						"9.3": "p",
						"10-10.1": "p"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "p",
						"4": "p",
						"53": "p",
						"2.1": "p",
						"2.2": "p",
						"2.3": "p",
						"4.1": "p",
						"4.2-4.3": "p",
						"4.4": "p",
						"4.4.3-4.4.4": "p"
					},
					"bb": {
						"7": "p",
						"10": "p"
					},
					"op_mob": {
						"10": "n",
						"11": "p",
						"12": "p",
						"37": "p",
						"11.1": "p",
						"11.5": "p",
						"12.1": "p"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "p d #2"
					},
					"ie_mob": {
						"10": "a x",
						"11": "y"
					},
					"and_uc": {
						"11": "p"
					},
					"samsung": {
						"4": "p"
					}
				},
				"notes": "Firefox, starting with version 28, provides the 'dom.w3c_pointer_events.enabled' flag to support this specification.",
				"notes_by_num": {
					"1": "Partial support in IE10 refers the lack of pointerenter and pointerleave events.",
					"2": "Firefox support is disabled by default and [only supports mouse input](https://hacks.mozilla.org/2015/08/pointer-events-now-in-firefox-nightly/). On Windows only, touch can be enabled with the `layers.async-pan-zoom.enabled` and `dom.w3c_touch_events.enabled` flags",
					"3": "Can be enabled with the `#enable-pointer-events` flag."
				},
				"usage_perc_y": 29.83,
				"usage_perc_a": 0.35,
				"ucprefix": false,
				"parent": "",
				"keywords": "pointerdown,pointermove,pointerup,pointercancel,pointerover,pointerout,pointerenter,pointerleave",
				"ie_id": "pointerevents",
				"chrome_id": "4504699138998272",
				"firefox_id": "pointer-events",
				"webkit_id": ""
			},
			"user-select-none": {
				"title": "CSS user-select: none",
				"description": "Method of preventing text/element selection using CSS. ",
				"spec": "https://drafts.csswg.org/css-ui-4/#valdef-user-select-none",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/CSS/user-select",
						"title": "MDN article"
					},
					{
						"url": "http://css-tricks.com/almanac/properties/u/user-select/",
						"title": "CSS Tricks article"
					},
					{
						"url": "http://msdn.microsoft.com/en-us/library/ie/hh781492(v=vs.85).aspx",
						"title": "MSDN Documentation"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y x",
						"11": "y x",
						"5.5": "n"
					},
					"edge": {
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x"
					},
					"firefox": {
						"2": "y x",
						"3": "y x",
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y x",
						"49": "y x",
						"50": "y x",
						"51": "y x",
						"52": "y x",
						"53": "y x",
						"3.5": "y x",
						"3.6": "y x"
					},
					"chrome": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y x",
						"49": "y x",
						"50": "y x",
						"51": "y x",
						"52": "y x",
						"53": "y x",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"3.1": "y x",
						"3.2": "y x",
						"5.1": "y x",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y x",
						"TP": "y x"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "y x",
						"4.0-4.1": "y x",
						"4.2-4.3": "y x",
						"5.0-5.1": "y x",
						"6.0-6.1": "y x",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y x",
						"4": "y x",
						"53": "y x",
						"2.1": "y x",
						"2.2": "y x",
						"2.3": "y x",
						"4.1": "y x",
						"4.2-4.3": "y x",
						"4.4": "y x",
						"4.4.3-4.4.4": "y x"
					},
					"bb": {
						"7": "y x",
						"10": "y x"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y x",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y x"
					},
					"ie_mob": {
						"10": "y x",
						"11": "y x"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "y x"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 93.06,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"input-file-accept": {
				"title": "accept attribute for file input",
				"description": "Allows a filter to be defined for what type of files a user may pick with from an `<input type=\"file\">` dialog",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#attr-input-accept",
				"status": "ls",
				"links": [
					{
						"url": "http://www.wufoo.com/html5/attributes/07-accept.html",
						"title": "Demo & information"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/13661175-full-spec-support-for-accept-in-input-type-file",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "u",
						"22": "u",
						"23": "u",
						"24": "u",
						"25": "u",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "a #1",
						"7.1": "a #1",
						"9.1": "a #1",
						"TP": "a #1"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n #3",
						"4.0-4.1": "n #3",
						"4.2-4.3": "n #3",
						"5.0-5.1": "n #3",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a #2",
						"4": "a #2",
						"53": "n #3",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "a #2",
						"4.2-4.3": "a #2",
						"4.4": "n #3",
						"4.4.3-4.4.4": "n #3"
					},
					"bb": {
						"7": "a #2",
						"10": "a #1"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a #2",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "a #2"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n #3",
						"11": "a #4"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "a #2"
					}
				},
				"notes": "Not supported means any file can be picked as if the `accept` attribute was not set, unless otherwise noted.\r\n\r\nOn Windows, files that do not apply are hidden. On OSX they are grayed out and disabled.",
				"notes_by_num": {
					"1": "Supports the type format (e.g. `image/*`) but not the extension format (e.g. `.png`)",
					"2": "Offers appropriate file locations/input based on format type, but does not prevent other files from being selected.",
					"3": "Does not allow any files to be picked at all",
					"4": "Supports the type format but does not allow any file to be picked when using the extension format"
				},
				"usage_perc_y": 39.16,
				"usage_perc_a": 31.71,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"webp": {
				"title": "WebP image format",
				"description": "Image format that supports lossy and lossless compression, as well as animation and alpha transparency.",
				"spec": "https://developers.google.com/speed/webp/",
				"status": "unoff",
				"links": [
					{
						"url": "https://developers.google.com/speed/webp/",
						"title": "Official website"
					},
					{
						"url": "http://antimatter15.github.io/weppy/demo.html",
						"title": "Polyfill for browsers with WebM support"
					},
					{
						"url": "http://libwebpjs.appspot.com/",
						"title": "Decoder in JS"
					},
					{
						"url": "http://webpjs.appspot.com/",
						"title": "Polyfill for browsers with or without WebM support (i.e. IE6-IE9, Safari/iOS version 6.1 and below; Firefox versions 24 and bel"
					},
					{
						"url": "https://developers.google.com/speed/webp/faq#which_web_browsers_natively_support_webp",
						"title": "Official website FAQ - Which web browsers natively support WebP?"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "p",
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "p",
						"21": "p",
						"22": "p",
						"23": "p",
						"24": "p",
						"25": "p",
						"26": "p",
						"27": "p",
						"28": "p",
						"29": "p",
						"30": "p",
						"31": "p",
						"32": "p",
						"33": "p",
						"34": "p",
						"35": "p",
						"36": "p",
						"37": "p",
						"38": "p",
						"39": "p",
						"40": "p",
						"41": "p",
						"42": "p",
						"43": "p",
						"44": "p",
						"45": "p",
						"46": "p",
						"47": "p",
						"48": "p",
						"49": "p",
						"50": "p",
						"51": "p",
						"52": "p",
						"53": "p",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "p",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "p",
						"11.1": "a #1",
						"11.5": "a #1",
						"11.6": "a #1",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "n",
						"4": "a #1",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "a #1",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "a #1",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "p"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Both [Safari](https://www.cnet.com/news/apple-ios-macos-tests-googles-webp-graphics-to-speed-up-web/) & [Firefox](https://bugzilla.mozilla.org/show_bug.cgi?id=1294490) are experimenting with supporting WebP images.\r\n\r\nAnimated WebP images are supported in Chrome 32+ and Opera 19+.",
				"notes_by_num": {
					"1": "Partial support in older Chrome, Opera and Android refers to browsers not supporting lossless and alpha versions of WebP."
				},
				"usage_perc_y": 72.28,
				"usage_perc_a": 0.43,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "webpimageformat",
				"chrome_id": "6471725441089536,4785074604081152",
				"firefox_id": "",
				"webkit_id": ""
			},
			"input-autocomplete-onoff": {
				"title": "autocomplete attribute: on & off values",
				"description": "The `autocomplete` attribute for `input` elements indicates to the browser whether a value should or should not be autofilled when appropriate.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#autofill",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input#attr-autocomplete",
						"title": "MDN article"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "a #1",
						"5.5": "y"
					},
					"edge": {
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "a #3",
						"31": "a #3",
						"32": "a #3",
						"33": "a #3",
						"34": "a #3",
						"35": "a #3",
						"36": "a #3",
						"37": "a #3",
						"38": "a #3",
						"39": "a #3",
						"40": "a #3",
						"41": "a #3",
						"42": "a #3",
						"43": "a #3",
						"44": "a #3",
						"45": "a #3",
						"46": "a #3",
						"47": "a #3",
						"48": "a #3",
						"49": "a #3",
						"50": "a #3",
						"51": "a #3",
						"52": "a #3",
						"53": "a #3",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #2",
						"42": "a #2",
						"43": "a #2",
						"44": "a #2",
						"45": "a #2",
						"46": "a #2",
						"47": "a #2",
						"48": "a #2",
						"49": "a #2",
						"50": "a #2",
						"51": "a #2",
						"52": "a #2",
						"53": "a #2",
						"54": "a #2",
						"55": "a #2",
						"56": "a #2",
						"57": "a #2",
						"58": "a #2"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "a #5",
						"8": "a #5",
						"9": "a #5",
						"10": "a #5",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "a #5",
						"9.1": "a #5",
						"TP": "a #5"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y #4",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y #4",
						"6.0-6.1": "y #4",
						"7.0-7.1": "y #4",
						"8.1-8.4": "y #4",
						"9.0-9.2": "y #4",
						"9.3": "y #4",
						"10-10.1": "y #4"
					},
					"op_mini": {
						"all": "y #4"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a #5",
						"11": "a #5"
					},
					"and_uc": {
						"11": "y #4"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "This support information does not include support for other `autocomplete` values.\r\n\r\nAs described in detail below, many modern browsers ignore the `off` value on certain fields in certain cases intentionally in order to give the user more control over autofilling fields. One example is the use of password managers.",
				"notes_by_num": {
					"1": "Partial support refers to ignoring the `off` value for password fields. [see related blog post](http://blogs.msdn.com/b/ieinternals/archive/2009/09/10/troubleshooting-stored-login-problems-in-ie.aspx)",
					"2": "Partial support in Chrome refers to the browser intentionally ignoring `autocomplete=\"off\"` when the user uses the browser's autofill functionality. [see bug](https://code.google.com/p/chromium/issues/detail?id=468153#c29)",
					"3": "Partial support in Firefox refers to ignoring `autocomplete=\"off\"` for login forms. [see bug](https://bugzilla.mozilla.org/show_bug.cgi?id=956906)",
					"4": "Browser does not display previously submitted values as options with `on` value.",
					"5": "Safari ignores the `off` value for [username, email and password fields](http://stackoverflow.com/questions/22661977/disabling-safari-autofill-on-usernames-and-passwords)"
				},
				"usage_perc_y": 55.44,
				"usage_perc_a": 42.53,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"intrinsic-width": {
				"title": "Intrinsic & Extrinsic Sizing",
				"description": "Allows for the heights and widths to be specified in intrinsic values using the `fill`, `max-content`, `min-content`, and `fit-content` properties.",
				"spec": "http://www.w3.org/TR/css3-sizing/",
				"status": "wd",
				"links": [
					{
						"url": "http://demosthenes.info/blog/662/Design-From-the-Inside-Out-With-CSS-MinContent",
						"title": "Min-Content tutorial"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "a x #1 #2 #3",
						"4": "a x #1 #2 #3",
						"5": "a x #1 #2 #3",
						"6": "a x #1 #2 #3",
						"7": "a x #1 #2 #3",
						"8": "a x #1 #2 #3",
						"9": "a x #1 #2 #3",
						"10": "a x #1 #2 #3",
						"11": "a x #1 #2 #3",
						"12": "a x #1 #2 #3",
						"13": "a x #1 #2 #3",
						"14": "a x #1 #2 #3",
						"15": "a x #1 #2 #3",
						"16": "a x #1 #2 #3",
						"17": "a x #1 #2 #3",
						"18": "a x #1 #2 #3",
						"19": "a x #1 #2 #3",
						"20": "a x #1 #2 #3",
						"21": "a x #1 #2 #3",
						"22": "a x #1 #2 #3",
						"23": "a x #1 #2 #3",
						"24": "a x #1 #2 #3",
						"25": "a x #1 #2 #3",
						"26": "a x #1 #2 #3",
						"27": "a x #1 #2 #3",
						"28": "a x #1 #2 #3",
						"29": "a x #1 #2 #3",
						"30": "a x #1 #2 #3",
						"31": "a x #1 #2 #3",
						"32": "a x #1 #2 #3",
						"33": "a x #1 #2 #3",
						"34": "a x #1 #2 #3",
						"35": "a x #1 #2 #3",
						"36": "a x #1 #2 #3",
						"37": "a x #1 #2 #3",
						"38": "a x #1 #2 #3",
						"39": "a x #1 #2 #3",
						"40": "a x #1 #2 #3",
						"41": "a x #1 #2 #3",
						"42": "a x #1 #2 #3",
						"43": "a x #1 #2 #3",
						"44": "a x #1 #2 #3",
						"45": "a x #1 #2 #3",
						"46": "a x #1 #2 #3",
						"47": "a x #1 #2 #3",
						"48": "a x #1 #2 #3",
						"49": "a x #1 #2 #3",
						"50": "a x #1 #2 #3",
						"51": "a x #1 #2 #3",
						"52": "a x #1 #2 #3",
						"53": "a x #1 #2 #3",
						"3.5": "a x #1 #2 #3",
						"3.6": "a x #1 #2 #3"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "y x #3",
						"23": "y x #3",
						"24": "y x #3",
						"25": "y x #3",
						"26": "y x #3",
						"27": "y x #3",
						"28": "y x #3",
						"29": "y x #3",
						"30": "y x #3",
						"31": "y x #3",
						"32": "y x #3",
						"33": "y x #3",
						"34": "y x #3",
						"35": "y x #3",
						"36": "y x #3",
						"37": "y x #3",
						"38": "y x #3",
						"39": "y x #3",
						"40": "y x #3",
						"41": "y x #3",
						"42": "y x #3",
						"43": "y x #3",
						"44": "y x #3",
						"45": "y x #3",
						"46": "y #3 #4",
						"47": "y #3 #4",
						"48": "y #3 #4",
						"49": "y #3 #4",
						"50": "y #3 #4",
						"51": "y #3 #4",
						"52": "y #3 #4",
						"53": "y #3 #4",
						"54": "y #3 #4",
						"55": "y #3 #4",
						"56": "y #3 #4",
						"57": "y #3 #4",
						"58": "y #3 #4"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "a x #1 #3",
						"8": "a x #1 #3",
						"9": "a x #3",
						"10": "a x #3",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "a x #1 #3",
						"7.1": "a x #1 #3",
						"9.1": "a x #3",
						"TP": "a x #3"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x #3",
						"16": "y x #3",
						"17": "y x #3",
						"18": "y x #3",
						"19": "y x #3",
						"20": "y x #3",
						"21": "y x #3",
						"22": "y x #3",
						"23": "y x #3",
						"24": "y x #3",
						"25": "y x #3",
						"26": "y x #3",
						"27": "y x #3",
						"28": "y x #3",
						"29": "y x #3",
						"30": "y x #3",
						"31": "y x #3",
						"32": "y x #3",
						"33": "y #3 #4",
						"34": "y #3",
						"35": "y #3 #4",
						"36": "y #3 #4",
						"37": "y #3 #4",
						"38": "y #3 #4",
						"39": "y #3 #4",
						"40": "y #3 #4",
						"41": "y #3 #4",
						"42": "y #3 #4",
						"43": "y #3 #4",
						"44": "y #3 #4",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "a x #1 #3",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "a x #1 #3",
						"8.1-8.4": "a x #1 #3",
						"9.0-9.2": "a x #3",
						"9.3": "a x #3",
						"10-10.1": "a x #3"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y #3 #4",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y x #3",
						"4.4.3-4.4.4": "y x #3"
					},
					"bb": {
						"7": "n",
						"10": "y x #3"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y #3 #4",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y #3 #4"
					},
					"and_ff": {
						"50": "a x #1 #2 #3"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y x #3"
					}
				},
				"notes": "Prefixes are on the values, not the property names (e.g. -webkit-min-content)\r\n\r\nOlder webkit browsers also support the unofficial `intrinsic` value which acts the same as `max-content`.",
				"notes_by_num": {
					"1": "Does not support for height/min-height/max-height property, only width. [see test case](http://codepen.io/shshaw/pen/Kiwaz) [Firefox bug](https://bugzilla.mozilla.org/show_bug.cgi?id=567039)",
					"2": "Firefox currently supports the \"-moz-available\" property rather than \"-moz-fill\".",
					"3": "Does not support for \"flex-basis\" property. [see specs](http://www.w3.org/TR/2015/WD-css-flexbox-1-20150514/#flex-basis-property).\r\n[Blink bug](https://codereview.chromium.org/1304853002/),[Firefox bug](https://bugzilla.mozilla.org/show_bug.cgi?id=1055887)",
					"4": "This does not yet unprefix fill-available (aka fill)[See bug](https://chromium.googlesource.com/chromium/blink.git/+/bf119cdfece210e69c9a99af06f1b9981e2a1bc2), because the [CSSWG](https://lists.w3.org/Archives/Public/www-style/2015Aug/0127.html) is not ready for that yet."
				},
				"usage_perc_y": 58.69,
				"usage_perc_a": 18.4,
				"ucprefix": false,
				"parent": "",
				"keywords": "fill,fill-available,max-content,min-content,fit-content,contain-floats,intrinsic,extrinsic,sizing",
				"ie_id": "cssintrinsicsizing",
				"chrome_id": "5901353784180736",
				"firefox_id": "",
				"webkit_id": ""
			},
			"cryptography": {
				"title": "Web Cryptography",
				"description": "JavaScript API for performing basic cryptographic operations in web applications",
				"spec": "http://www.w3.org/TR/WebCryptoAPI/",
				"status": "cr",
				"links": [
					{
						"url": "http://www.slideshare.net/Channy/the-history-and-status-of-web-crypto-api",
						"title": "The History and Status of Web Crypto API"
					},
					{
						"url": "http://research.microsoft.com/en-us/projects/msrjscrypto/",
						"title": "Microsoft Research JavaScript Cryptography Library"
					},
					{
						"url": "http://bitwiseshiftleft.github.io/sjcl/",
						"title": "Cross-browser cryptography library"
					},
					{
						"url": "https://docs.google.com/spreadsheet/ccc?key=0AiAcidBZRLxndE9LWEs2R1oxZ0xidUVoU3FQbFFobkE#gid=1",
						"title": "Support for recommended algorithms in Firefox"
					},
					{
						"url": "https://github.com/Netflix/NfWebCrypto",
						"title": "Polyfill by Netflix with partial support"
					},
					{
						"url": "https://github.com/GlobalSign/PKI.js",
						"title": "PKI.js - another crypto library for Public Key Infrastructure applications"
					},
					{
						"url": "https://diafygi.github.io/webcrypto-examples/",
						"title": "Test suite for various algorithms/methods"
					},
					{
						"url": "https://github.com/vibornoff/webcrypto-shim",
						"title": "Web Cryptography API shim for IE11 and Safari - set of bugfixes and workarounds of prefixed api implementations"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "a x #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "p",
						"3": "p",
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "p",
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "p",
						"21": "p",
						"22": "p",
						"23": "p",
						"24": "p",
						"25": "p",
						"26": "p",
						"27": "p",
						"28": "p",
						"29": "p",
						"30": "p",
						"31": "p",
						"32": "n d #2",
						"33": "n d #2",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "p",
						"3.6": "p"
					},
					"chrome": {
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "p",
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "p",
						"21": "p",
						"22": "p",
						"23": "p",
						"24": "p",
						"25": "p",
						"26": "p",
						"27": "p",
						"28": "p",
						"29": "p",
						"30": "p",
						"31": "p",
						"32": "p",
						"33": "p",
						"34": "p",
						"35": "p",
						"36": "p",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "y x #3",
						"9": "y x #3",
						"10": "y x #3",
						"3.1": "p",
						"3.2": "p",
						"5.1": "p",
						"6.1": "p",
						"7.1": "y x #3",
						"9.1": "y x #3",
						"TP": "y x #3"
					},
					"opera": {
						"9": "p",
						"11": "p",
						"12": "p",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "p",
						"21": "p",
						"22": "p",
						"23": "p",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "p",
						"10.0-10.1": "p",
						"10.5": "p",
						"10.6": "p",
						"11.1": "p",
						"11.5": "p",
						"11.6": "p",
						"12.1": "p"
					},
					"ios_saf": {
						"8": "y x #3",
						"3.2": "p",
						"4.0-4.1": "p",
						"4.2-4.3": "p",
						"5.0-5.1": "p",
						"6.0-6.1": "p",
						"7.0-7.1": "p",
						"8.1-8.4": "y x #3",
						"9.0-9.2": "y x #3",
						"9.3": "y x #3",
						"10-10.1": "y x #3"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "p",
						"4": "p",
						"53": "y",
						"2.1": "p",
						"2.2": "p",
						"2.3": "p",
						"4.1": "p",
						"4.2-4.3": "p",
						"4.4": "p",
						"4.4.3-4.4.4": "p"
					},
					"bb": {
						"7": "p",
						"10": "p"
					},
					"op_mob": {
						"10": "p",
						"11": "p",
						"12": "p",
						"37": "y",
						"11.1": "p",
						"11.5": "p",
						"12.1": "p"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "p"
					},
					"ie_mob": {
						"10": "p",
						"11": "a x #1"
					},
					"and_uc": {
						"11": "p"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Many browsers support the `[crypto.getRandomValues()](#feat=getrandomvalues)` method, but not actual cryptography functionality under `crypto.subtle`. \r\n\r\nFirefox also has support for [unofficial features](https://developer.mozilla.org/en-US/docs/JavaScript_crypto). \r\n\r\nIn Chrome the API is only usable over secure connections. ([corresponding bug](https://code.google.com/p/chromium/issues/detail?id=373032))",
				"notes_by_num": {
					"1": "Support in IE11 is based an older version of the specification.",
					"2": "Supported in Firefox behind the `dom.webcrypto.enabled` flag.",
					"3": "Supported in Safari using the `crypto.webkitSubtle` prefix."
				},
				"usage_perc_y": 75.24,
				"usage_perc_a": 4.14,
				"ucprefix": false,
				"parent": "",
				"keywords": "subtle,subtlecrypto",
				"ie_id": "webcryptoapi",
				"chrome_id": "5030265697075200",
				"firefox_id": "",
				"webkit_id": "specification-webcrypto"
			},
			"template": {
				"title": "HTML templates",
				"description": "Method of declaring a portion of reusable markup that is parsed but not rendered until cloned.",
				"spec": "https://html.spec.whatwg.org/multipage/scripting.html#the-template-element",
				"status": "ls",
				"links": [
					{
						"url": "http://www.html5rocks.com/en/tutorials/webcomponents/template/",
						"title": "HTML5Rocks - HTML's New template Tag"
					},
					{
						"url": "http://polymer-project.org",
						"title": "Polymer project (polyfill & web components framework)"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 77.9,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "web components, template",
				"ie_id": "templateelement",
				"chrome_id": "5207287069147136",
				"firefox_id": "html-templates",
				"webkit_id": "feature-template-element"
			},
			"opus": {
				"title": "Opus",
				"description": "Royalty-free open audio codec by IETF, which incorporated SILK from Skype and CELT from Xiph.org, to serve higher sound quality and lower latency at the same bitrate.",
				"spec": "https://tools.ietf.org/html/rfc6716",
				"status": "other",
				"links": [
					{
						"url": "https://hacks.mozilla.org/2012/07/firefox-beta-15-supports-the-new-opus-audio-format/",
						"title": "Introduction of Opus by Mozilla"
					},
					{
						"url": "http://www.ietf.org/mail-archive/web/rtcweb/current/msg04953.html",
						"title": "Google's statement about the use of VP8 and Opus codec for WebRTC standard"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6513488-ogg-vorbis-and-opus-audio-formats-support-firefox",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "Support refers to use using the `audio` element, not other conditions.\r\n\r\nFor Opera the Linux version may be able to play it when the GStreamer module is up to date and the served mime-type is 'audio/ogg'.",
				"notes_by_num": {},
				"usage_perc_y": 36.57,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "audio",
				"keywords": "",
				"ie_id": "opusaudioplayback",
				"chrome_id": "4891189287321600",
				"firefox_id": "",
				"webkit_id": ""
			},
			"jpegxr": {
				"title": "JPEG XR image format",
				"description": "The latest JPEG image format of Joint Photographic Experts Group which boasts better compression and supports lossless compression, alpha channel, and 48-bit deep color over normal jpg format.",
				"spec": "http://www.itu.int/rec/T-REC-T.832",
				"status": "other",
				"links": [
					{
						"url": "http://msdn.microsoft.com/en-us/library/windows/desktop/hh707223(v=vs.85).aspx",
						"title": "Microsoft JPEG XR Codec Overview"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=500500",
						"title": "Firefox support bug"
					},
					{
						"url": "https://code.google.com/p/chromium/issues/detail?id=56908",
						"title": "Chrome support bug (marked as WONTFIX)"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 6.27,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"channel-messaging": {
				"title": "Channel messaging",
				"description": "Method for having two-way communication between browsing contexts (using MessageChannel)",
				"spec": "https://html.spec.whatwg.org/multipage/comms.html#channel-messaging",
				"status": "ls",
				"links": [
					{
						"url": "https://dev.opera.com/articles/view/window-postmessage-messagechannel/#channel",
						"title": "An Introduction to HTML5 web messaging"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n d #1",
						"27": "n d #1",
						"28": "n d #1",
						"29": "n d #1",
						"30": "n d #1",
						"31": "n d #1",
						"32": "n d #1",
						"33": "n d #1",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "n d #1",
						"38": "n d #1",
						"39": "n d #1",
						"40": "n d #1",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "u",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Supported in Firefox behind the `dom.messageChannel.enabled` flag. Reported to not work in web workers before version 41."
				},
				"usage_perc_y": 91.8,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "x-doc-messaging",
				"keywords": "",
				"ie_id": "messagechannels",
				"chrome_id": "6710044586409984",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css3-tabsize": {
				"title": "CSS3 tab-size",
				"description": "Method of customizing the width of the tab character. Only effective using 'white-space: pre' or 'white-space: pre-wrap'.",
				"spec": "http://www.w3.org/TR/css3-text/#tab-size",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/tab-size",
						"title": "MDN article"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6524689-tab-size-property",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a x #1",
						"5": "a x #1",
						"6": "a x #1",
						"7": "a x #1",
						"8": "a x #1",
						"9": "a x #1",
						"10": "a x #1",
						"11": "a x #1",
						"12": "a x #1",
						"13": "a x #1",
						"14": "a x #1",
						"15": "a x #1",
						"16": "a x #1",
						"17": "a x #1",
						"18": "a x #1",
						"19": "a x #1",
						"20": "a x #1",
						"21": "a x #1",
						"22": "a x #1",
						"23": "a x #1",
						"24": "a x #1",
						"25": "a x #1",
						"26": "a x #1",
						"27": "a x #1",
						"28": "a x #1",
						"29": "a x #1",
						"30": "a x #1",
						"31": "a x #1",
						"32": "a x #1",
						"33": "a x #1",
						"34": "a x #1",
						"35": "a x #1",
						"36": "a x #1",
						"37": "a x #1",
						"38": "a x #1",
						"39": "a x #1",
						"40": "a x #1",
						"41": "a x #1",
						"42": "a x #1",
						"43": "a x #1",
						"44": "a x #1",
						"45": "a x #1",
						"46": "a x #1",
						"47": "a x #1",
						"48": "a x #1",
						"49": "a x #1",
						"50": "a x #1",
						"51": "a x #1",
						"52": "a x #1",
						"53": "a x #1",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "a #1",
						"7.1": "a #1",
						"9.1": "a #1",
						"TP": "a #1"
					},
					"opera": {
						"9": "n",
						"11": "a x #1",
						"12": "a x #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "a x #1",
						"11.1": "a x #1",
						"11.5": "a x #1",
						"11.6": "a x #1",
						"12.1": "a x #1"
					},
					"ios_saf": {
						"8": "a #1",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "a #1",
						"8.1-8.4": "a #1",
						"9.0-9.2": "a #1",
						"9.3": "a #1",
						"10-10.1": "a #1"
					},
					"op_mini": {
						"all": "a x #1"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "a #1",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "a #1",
						"4.4.3-4.4.4": "a #1"
					},
					"bb": {
						"7": "a #1",
						"10": "a #1"
					},
					"op_mob": {
						"10": "n",
						"11": "a x #1",
						"12": "a x #1",
						"37": "y",
						"11.1": "a x #1",
						"11.5": "a x #1",
						"12.1": "a x #1"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "a x #1"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial refers to supporting `<integer>` but not `<length>` values."
				},
				"usage_perc_y": 55.82,
				"usage_perc_a": 25.58,
				"ucprefix": false,
				"parent": "",
				"keywords": "tab-size,tab-width",
				"ie_id": "csstabsizeproperty",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"mutationobserver": {
				"title": "Mutation Observer",
				"description": "Method for observing and reacting to changes to the DOM. Replaces MutationEvents, which is deprecated.",
				"spec": "https://dom.spec.whatwg.org/#mutation-observers",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/MutationObserver",
						"title": "MutationObserver from MDN"
					},
					{
						"url": "https://github.com/webcomponents/webcomponentsjs",
						"title": "Polyfill"
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "p",
						"10": "p",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y x",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "y x",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "p",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "p",
						"4.2-4.3": "p",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "p",
						"11": "y"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "When the content of a node with a single CharacterData child node is changed by innerHTML attribute and the node have a single different one as a result, WebKit browsers consider it as a characterData mutation of the child CharacterData node, while other browsers think it as a childList mutation of the parent node.",
				"notes_by_num": {},
				"usage_perc_y": 91.49,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "MutationObserver",
				"ie_id": "mutationobservers",
				"chrome_id": "5021194726146048",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-selection": {
				"title": "::selection CSS pseudo-element",
				"description": "The ::selection CSS pseudo-element applies rules to the portion of a document that has been highlighted (e.g., selected with the mouse or another pointing device) by the user.",
				"spec": "http://www.w3.org/TR/css-pseudo-4/#selectordef-selection",
				"status": "wd",
				"links": [
					{
						"url": "http://quirksmode.org/css/selectors/selection.html",
						"title": "::selection test"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/selectors/pseudo-elements/::selection",
						"title": "WebPlatform Docs"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y x",
						"3": "y x",
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y x",
						"49": "y x",
						"50": "y x",
						"51": "y x",
						"52": "y x",
						"53": "y x",
						"3.5": "y x",
						"3.6": "y x"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "u",
						"11": "u",
						"12": "y",
						"37": "y",
						"11.1": "u",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y x"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 74.69,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "::selection,selection",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-placeholder": {
				"title": "::placeholder CSS pseudo-element",
				"description": "The ::placeholder pseudo-element represents placeholder text in an input field: text that represents the input and provides a hint to the user on how to fill out the form. For example, a date-input field might have the placeholder text `YYYY/MM/DD` to clarify that numeric dates are to be entered in year-month-day order.",
				"spec": "http://dev.w3.org/csswg/css-pseudo-4/#placeholder-pseudo",
				"status": "wd",
				"links": [
					{
						"url": "http://msdn.microsoft.com/en-us/library/ie/hh772745(v=vs.85).aspx",
						"title": "MSDN article"
					},
					{
						"url": "http://css-tricks.com/snippets/css/style-placeholder-text/",
						"title": "CSS-Tricks article with all prefixes"
					},
					{
						"url": "http://wiki.csswg.org/ideas/placeholder-styling",
						"title": "CSSWG discussion"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/::-moz-placeholder",
						"title": "MDN article"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1069012",
						"title": "Mozilla Bug 1069012 - unprefix :placeholder-shown pseudo-class and ::placeholder pseudo-element"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a x",
						"11": "a x",
						"5.5": "n"
					},
					"edge": {
						"12": "a x",
						"13": "a x",
						"14": "a x",
						"15": "a x"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a x #1",
						"5": "a x #1",
						"6": "a x #1",
						"7": "a x #1",
						"8": "a x #1",
						"9": "a x #1",
						"10": "a x #1",
						"11": "a x #1",
						"12": "a x #1",
						"13": "a x #1",
						"14": "a x #1",
						"15": "a x #1",
						"16": "a x #1",
						"17": "a x #1",
						"18": "a x #1",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y x",
						"49": "y x",
						"50": "y x",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "a x",
						"5": "a x",
						"6": "a x",
						"7": "a x",
						"8": "a x",
						"9": "a x",
						"10": "a x",
						"11": "a x",
						"12": "a x",
						"13": "a x",
						"14": "a x",
						"15": "a x",
						"16": "a x",
						"17": "a x",
						"18": "a x",
						"19": "a x",
						"20": "a x",
						"21": "a x",
						"22": "a x",
						"23": "a x",
						"24": "a x",
						"25": "a x",
						"26": "a x",
						"27": "a x",
						"28": "a x",
						"29": "a x",
						"30": "a x",
						"31": "a x",
						"32": "a x",
						"33": "a x",
						"34": "a x",
						"35": "a x",
						"36": "a x",
						"37": "a x",
						"38": "a x",
						"39": "a x",
						"40": "a x",
						"41": "a x",
						"42": "a x",
						"43": "a x",
						"44": "a x",
						"45": "a x",
						"46": "a x",
						"47": "a x",
						"48": "a x",
						"49": "a x",
						"50": "a x",
						"51": "a x",
						"52": "a x",
						"53": "a x",
						"54": "a x",
						"55": "a x",
						"56": "a x",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "a x",
						"6": "a x",
						"7": "a x",
						"8": "a x",
						"9": "a x",
						"10": "a x",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a x",
						"6.1": "a x",
						"7.1": "a x",
						"9.1": "a x",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "a x",
						"16": "a x",
						"17": "a x",
						"18": "a x",
						"19": "a x",
						"20": "a x",
						"21": "a x",
						"22": "a x",
						"23": "a x",
						"24": "a x",
						"25": "a x",
						"26": "a x",
						"27": "a x",
						"28": "a x",
						"29": "a x",
						"30": "a x",
						"31": "a x",
						"32": "a x",
						"33": "a x",
						"34": "a x",
						"35": "a x",
						"36": "a x",
						"37": "a x",
						"38": "a x",
						"39": "a x",
						"40": "a x",
						"41": "a x",
						"42": "a x",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "a x",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "a x",
						"5.0-5.1": "a x",
						"6.0-6.1": "a x",
						"7.0-7.1": "a x",
						"8.1-8.4": "a x",
						"9.0-9.2": "a x",
						"9.3": "a x",
						"10-10.1": "a x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a x",
						"4": "a x",
						"53": "a x",
						"2.1": "a x",
						"2.2": "a x",
						"2.3": "a x",
						"4.1": "a x",
						"4.2-4.3": "a x",
						"4.4": "a x",
						"4.4.3-4.4.4": "a x"
					},
					"bb": {
						"7": "a x",
						"10": "a x"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a x",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "a x"
					},
					"and_ff": {
						"50": "y x"
					},
					"ie_mob": {
						"10": "a x",
						"11": "a x"
					},
					"and_uc": {
						"11": "a x"
					},
					"samsung": {
						"4": "a x"
					}
				},
				"notes": "Partial support refers to using alternate names:\r\n`::-webkit-input-placeholder` for Chrome/Safari/Opera ([Chrome issue #623345](https://bugs.chromium.org/p/chromium/issues/detail?id=623345))\r\n`:-ms-input-placeholder` for IE. \r\n`::-ms-input-placeholder` for Edge (also supports webkit prefix)",
				"notes_by_num": {
					"1": "Firefox 18 and below supported the `:-moz-placeholder` pseudo-class rather than the `::-moz-placeholder` pseudo-element."
				},
				"usage_perc_y": 6.72,
				"usage_perc_a": 86.21,
				"ucprefix": false,
				"parent": "",
				"keywords": "::placeholder,placeholder",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-deviceadaptation": {
				"title": "CSS Device Adaptation",
				"description": "A standard way to override the size of viewport in web page using the `@viewport` rule, standardizing and replacing Apple's own popular `<meta>` viewport implementation.",
				"spec": "http://www.w3.org/TR/css-device-adapt/",
				"status": "wd",
				"links": [
					{
						"url": "https://dev.opera.com/articles/view/an-introduction-to-meta-viewport-and-viewport/",
						"title": "Introduction to meta viewport and @viewport in Opera Mobile"
					},
					{
						"url": "http://msdn.microsoft.com/en-us/library/ie/hh708740(v=vs.85).aspx",
						"title": "Device adaptation in Internet Explorer 10"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6777420-unprefix-and-support-all-viewport-properties",
						"title": "Microsoft Edge feature request on UserVoice"
					},
					{
						"url": "https://code.google.com/p/chromium/issues/detail?id=155477",
						"title": "Chrome tracking bug"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=95959",
						"title": "WebKit tracking bug"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=747754",
						"title": "Mozilla tracking bug"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a x #1",
						"11": "a x #1",
						"5.5": "n"
					},
					"edge": {
						"12": "a x #1",
						"13": "a x #1",
						"14": "a x #1",
						"15": "a x #1"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n d",
						"30": "n d",
						"31": "n d",
						"32": "n d",
						"33": "n d",
						"34": "n d",
						"35": "n d",
						"36": "n d",
						"37": "n d",
						"38": "n d",
						"39": "n d",
						"40": "n d",
						"41": "n d",
						"42": "n d",
						"43": "n d",
						"44": "n d",
						"45": "n d",
						"46": "n d",
						"47": "n d",
						"48": "n d",
						"49": "n d",
						"50": "n d",
						"51": "n d",
						"52": "n d",
						"53": "n d",
						"54": "n d",
						"55": "n d",
						"56": "n d",
						"57": "n d",
						"58": "n d"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n d",
						"41": "n d",
						"42": "n d",
						"43": "n d",
						"44": "n d",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "a x #2"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "a x #2",
						"12": "a x #2",
						"37": "n",
						"11.1": "a x #2",
						"11.5": "a x #2",
						"12.1": "a x #2"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "a x #1",
						"11": "a x #1"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "IE only supports the 'width' and 'height' properties.",
					"2": "Opera Mobile and Opera Mini only support the 'orientation' property."
				},
				"usage_perc_y": 0,
				"usage_perc_a": 10.13,
				"ucprefix": false,
				"parent": "",
				"keywords": "viewport",
				"ie_id": "",
				"chrome_id": "4737164243894272",
				"firefox_id": "",
				"webkit_id": ""
			},
			"text-emphasis": {
				"title": "text-emphasis styling",
				"description": "Method of using small symbols next to each glyph to emphasize a run of text, commonly used in East Asian languages. The `text-emphasis` shorthand, and its `text-emphasis-style` and `text-emphasis-color` longhands, can be used to apply marks to the text. The `text-emphasis-position` property, which inherits separately, allows setting the emphasis marks' position with respect to the text.",
				"spec": "https://drafts.csswg.org/css-text-decor-3/#text-emphasis-property",
				"status": "cr",
				"links": [
					{
						"url": "https://github.com/zmmbreeze/jquery.emphasis/",
						"title": "A javascript fallback for CSS3 emphasis mark."
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6514536-text-decoration-styling",
						"title": "Microsoft Edge feature request on UserVoice"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/text-emphasis",
						"title": "Mozilla Developer Network"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n d #2",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "a x #1",
						"26": "a x #1",
						"27": "a x #1",
						"28": "a x #1",
						"29": "a x #1",
						"30": "a x #1",
						"31": "a x #1",
						"32": "a x #1",
						"33": "a x #1",
						"34": "a x #1",
						"35": "a x #1",
						"36": "a x #1",
						"37": "a x #1",
						"38": "a x #1",
						"39": "a x #1",
						"40": "a x #1",
						"41": "a x #1",
						"42": "a x #1",
						"43": "a x #1",
						"44": "a x #1",
						"45": "a x #1",
						"46": "a x #1",
						"47": "a x #1",
						"48": "a x #1",
						"49": "a x #1",
						"50": "a x #1",
						"51": "a x #1",
						"52": "a x #1",
						"53": "a x #1",
						"54": "a x #1",
						"55": "a x #1",
						"56": "a x #1",
						"57": "a x #1",
						"58": "a x #1"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "a x #1",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "a x #1",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "a x #1",
						"16": "a x #1",
						"17": "a x #1",
						"18": "a x #1",
						"19": "a x #1",
						"20": "a x #1",
						"21": "a x #1",
						"22": "a x #1",
						"23": "a x #1",
						"24": "a x #1",
						"25": "a x #1",
						"26": "a x #1",
						"27": "a x #1",
						"28": "a x #1",
						"29": "a x #1",
						"30": "a x #1",
						"31": "a x #1",
						"32": "a x #1",
						"33": "a x #1",
						"34": "a x #1",
						"35": "a x #1",
						"36": "a x #1",
						"37": "a x #1",
						"38": "a x #1",
						"39": "a x #1",
						"40": "a x #1",
						"41": "a x #1",
						"42": "a x #1",
						"43": "a x #1",
						"44": "a x #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "a x #1",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "a x #1",
						"4.4.3-4.4.4": "a x #1"
					},
					"bb": {
						"7": "n",
						"10": "a x #1"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a x #1",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "a x #1"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "a x #1"
					},
					"samsung": {
						"4": "a x #1"
					}
				},
				"notes": "Some old WebKit browsers (like Chrome 24) support `-webkit-text-emphasis`, but does not support CJK languages and is therefore considered unsupported.",
				"notes_by_num": {
					"1": "Partial support refers to incorrect support for `-webkit-text-emphasis-position`. These browsers support `over` and `under` as values, but not the added `left` and `right` values required by the spec.",
					"2": "Can be enabled in Firefox using the `layout.css.text-emphasis.enabled` flag"
				},
				"usage_perc_y": 17.14,
				"usage_perc_a": 67.54,
				"ucprefix": false,
				"parent": "",
				"keywords": "text-emphasis,text-emphasis-position,text-emphasis-style,text-emphasis-color",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"midi": {
				"title": "Web MIDI API",
				"description": "The Web MIDI API specification defines a means for web developers to enumerate, manipulate and access MIDI devices",
				"spec": "http://webaudio.github.io/web-midi-api/",
				"status": "wd",
				"links": [
					{
						"url": "https://github.com/cwilso/WebMIDIAPIShim",
						"title": "Polyfill"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=836897",
						"title": "Firefox bug"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 55.75,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "webmidiapi",
				"chrome_id": "4923613069180928",
				"firefox_id": "",
				"webkit_id": ""
			},
			"canvas-blending": {
				"title": "Canvas blend modes",
				"description": "Method of defining the effect resulting from overlaying two layers on a Canvas element.",
				"spec": "http://www.w3.org/TR/compositing-1/#blending",
				"status": "cr",
				"links": [
					{
						"url": "http://blogs.adobe.com/webplatform/2013/01/28/blending-features-in-canvas/",
						"title": "Blog post"
					}
				],
				"categories": [
					"Canvas"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 78.12,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "canvas",
				"keywords": "",
				"ie_id": "compositingandblendingincanvas2d",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"clipboard": {
				"title": "Clipboard API",
				"description": "API to provide copy, cut and paste events as well as provide access to the OS clipboard.",
				"spec": "http://www.w3.org/TR/clipboard-apis/",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/ClipboardEvent",
						"title": "MDN page on ClipboardEvent"
					},
					{
						"url": "https://www.lucidchart.com/techblog/2014/12/02/definitive-guide-copying-pasting-javascript/",
						"title": "Guide on cross-platform clipboard access"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "a #1 #2 #5",
						"7": "a #1 #2 #5",
						"8": "a #1 #2 #5",
						"9": "a #1 #2 #5",
						"10": "a #1 #2 #5",
						"11": "a #1 #2 #5",
						"5.5": "a #1 #2 #5"
					},
					"edge": {
						"12": "a #1 #2 #5",
						"13": "a #1 #2 #5",
						"14": "a #1 #2 #5",
						"15": "a #1 #2 #5"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "a #2 #3",
						"23": "a #2 #3",
						"24": "a #2 #3",
						"25": "a #2 #3",
						"26": "a #2 #3",
						"27": "a #2 #3",
						"28": "a #2 #3",
						"29": "a #2 #3",
						"30": "a #2 #3",
						"31": "a #2 #3",
						"32": "a #2 #3",
						"33": "a #2 #3",
						"34": "a #2 #3",
						"35": "a #2 #3",
						"36": "a #2 #3",
						"37": "a #2 #3",
						"38": "a #2 #3",
						"39": "a #2 #3",
						"40": "a #2 #3",
						"41": "a #6",
						"42": "a #6",
						"43": "a #6",
						"44": "a #6",
						"45": "a #6",
						"46": "a #6",
						"47": "a #6",
						"48": "a #6",
						"49": "a #6",
						"50": "a #6",
						"51": "a #6",
						"52": "a #6",
						"53": "a #6",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "a #3 #5",
						"14": "a #3 #5",
						"15": "a #3 #5",
						"16": "a #3 #5",
						"17": "a #3 #5",
						"18": "a #3 #5",
						"19": "a #3 #5",
						"20": "a #3 #5",
						"21": "a #3 #5",
						"22": "a #3 #5",
						"23": "a #3 #5",
						"24": "a #3 #5",
						"25": "a #3 #5",
						"26": "a #3 #5",
						"27": "a #3 #5",
						"28": "a #3 #5",
						"29": "a #3 #5",
						"30": "a #3 #5",
						"31": "a #3 #5",
						"32": "a #3 #5",
						"33": "a #3 #5",
						"34": "a #3 #5",
						"35": "a #3 #5",
						"36": "a #3 #5",
						"37": "a #3 #5",
						"38": "a #3 #5",
						"39": "a #3 #5",
						"40": "a #3 #5",
						"41": "a #3 #5",
						"42": "a #3 #5",
						"43": "a #5 #7",
						"44": "a #5 #7",
						"45": "a #5 #7",
						"46": "a #5 #7",
						"47": "a #5 #7",
						"48": "a #5 #7",
						"49": "a #5 #7",
						"50": "a #5 #7",
						"51": "a #5 #7",
						"52": "a #5 #7",
						"53": "a #5 #7",
						"54": "a #5 #7",
						"55": "a #5 #7",
						"56": "a #5 #7",
						"57": "a #5 #7",
						"58": "a #5 #7"
					},
					"safari": {
						"4": "a #2 #3 #5",
						"5": "a #2 #3 #5",
						"6": "a #2 #3 #5",
						"7": "a #2 #3 #5",
						"8": "a #2 #3 #5",
						"9": "a #2 #3 #5",
						"10": "a #2 #5",
						"3.1": "u",
						"3.2": "u",
						"5.1": "a #2 #3 #5",
						"6.1": "a #2 #3 #5",
						"7.1": "a #2 #3 #5",
						"9.1": "a #2 #3 #5",
						"TP": "a #2 #5"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "u",
						"15": "a #3 #5",
						"16": "a #3 #5",
						"17": "a #3 #5",
						"18": "a #3 #5",
						"19": "a #3 #5",
						"20": "a #3 #5",
						"21": "a #3 #5",
						"22": "a #3 #5",
						"23": "a #3 #5",
						"24": "a #3 #5",
						"25": "a #3 #5",
						"26": "a #3 #5",
						"27": "a #3 #5",
						"28": "a #3 #5",
						"29": "a #3 #5",
						"30": "a #5 #7",
						"31": "a #5 #7",
						"32": "a #5 #7",
						"33": "a #5 #7",
						"34": "a #5 #7",
						"35": "a #5 #7",
						"36": "a #5 #7",
						"37": "a #5 #7",
						"38": "a #5 #7",
						"39": "a #5 #7",
						"40": "a #5 #7",
						"41": "a #5 #7",
						"42": "a #5 #7",
						"43": "a #5 #7",
						"44": "a #5 #7",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "a #3"
					},
					"ios_saf": {
						"8": "a #2 #3 #5",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "a #2 #3 #5",
						"6.0-6.1": "a #2 #3 #5",
						"7.0-7.1": "a #2 #3 #5",
						"8.1-8.4": "a #2 #3 #5",
						"9.0-9.2": "a #2 #3 #5",
						"9.3": "a #2 #3 #5",
						"10-10.1": "a #2 #3 #5"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "a #2 #5",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "a #2 #5",
						"4.4.3-4.4.4": "a #2 #5"
					},
					"bb": {
						"7": "n",
						"10": "a #2 #5"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a #4 #5",
						"11.1": "n",
						"11.5": "n",
						"12.1": "u"
					},
					"and_chr": {
						"55": "a #5"
					},
					"and_ff": {
						"50": "a #4"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "a #2 #5"
					}
				},
				"notes": "Internet Explorer will display a security prompt for access to the OS clipboard.\r\n\r\nChrome 42+, Opera 29+ and Firefox 41+ support clipboard reading/writing only when part of a user action (click, keydown, etc).\r\n\r\nFirefox 40- users [can enable support](https://developer.mozilla.org/en-US/docs/Midas/Security_preferences) with a security preference setting.",
				"notes_by_num": {
					"1": "Only supports `Text` and `URL` data types and uses [a non-standard method](http://msdn.microsoft.com/en-us/library/ie/ms535220%28v=vs.85%29.aspx) of interacting with the clipboard.",
					"2": "Only fires `copy` event on a valid selection and only `cut` and `paste` in focused editable fields.",
					"3": "Only supports OS clipboard reading/writing via shortcut keys, not through `document.execCommand()`.",
					"4": "Only supports `paste` event (on focused editable field).",
					"5": "Does not support the `ClipboardEvent` constructor",
					"6": "Supports `cut` & `copy` events without a focused editable field, but not `paste` (presumably for security reasons)",
					"7": "Supports `cut` & `copy` events without a focused editable field, but does not fire `paste` with `document.execCommand('paste')`  "
				},
				"usage_perc_y": 0,
				"usage_perc_a": 83.35,
				"ucprefix": false,
				"parent": "",
				"keywords": "cut,copy,paste,clipboarddata,clipboardevent",
				"ie_id": "clipboardapi",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"rtcpeerconnection": {
				"title": "WebRTC Peer-to-peer connections",
				"description": "Method of allowing two users to communicate directly, browser to browser using the RTCPeerConnection API.",
				"spec": "https://w3c.github.io/webrtc-pc/",
				"status": "wd",
				"links": [
					{
						"url": "http://www.webrtc.org/",
						"title": "WebRTC Project site"
					},
					{
						"url": "https://temasys.atlassian.net/wiki/display/TWPP/WebRTC+Plugins",
						"title": "Plug-in for support in IE & Safari"
					},
					{
						"url": "http://www.html5labs.com/prototypes/object-rtc/object-rtc/info",
						"title": "Prototype implementation for ORTC"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n d #2"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y x",
						"49": "y x",
						"50": "y x",
						"51": "y x",
						"52": "y x",
						"53": "y x",
						"54": "y x",
						"55": "y x",
						"56": "y x",
						"57": "y x",
						"58": "y x"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y x",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n #1"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y x",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y x"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y x"
					}
				},
				"notes": "Microsoft is working on a compatible implementation known as [ObjectRTC](http://blogs.msdn.com/b/ie/archive/2014/10/27/bringing-interoperable-real-time-communications-to-the-web.aspx)",
				"notes_by_num": {
					"1": "BlackBerry 10 recognizes RTCPeerConnection but real support is unconfirmed.",
					"2": "Can be enabled via the \"Enable WebRTC 1.0\" flag"
				},
				"usage_perc_y": 63.24,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "webrtcwebrtcv10api",
				"chrome_id": "6612462929444864",
				"firefox_id": "webrtc",
				"webkit_id": "specification-webrtc"
			},
			"css3-cursors": {
				"title": "CSS3 Cursors (original values)",
				"description": "CSS3 cursor values added in the 2004 spec, including none, context-menu, cell, vertical-text, alias, copy, no-drop, not-allowed, nesw-resize, nwse-resize, col-resize, row-resize and all-scroll. ",
				"spec": "http://www.w3.org/TR/css3-ui/#cursor",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/cursor",
						"title": "MDN Documentation"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "a #1"
					},
					"edge": {
						"12": "a #2",
						"13": "a #2",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "a",
						"3": "a",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a",
						"3.6": "a"
					},
					"chrome": {
						"4": "a",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "a",
						"3.2": "a",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "a #2",
						"11": "a #2",
						"12": "a #2",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "a #2",
						"10.0-10.1": "a #2",
						"10.5": "a #2",
						"10.6": "a #2",
						"11.1": "a #2",
						"11.5": "a #2",
						"11.6": "a #2",
						"12.1": "a #2"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "u"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to no support for the alias, cell, copy, ew-resize, ns-resize, nesw-resize, nwse-resize or context-menu cursors.",
					"2": "Partial support refers to not supporting 'none'."
				},
				"usage_perc_y": 43.7,
				"usage_perc_a": 1.09,
				"ucprefix": false,
				"parent": "",
				"keywords": "cursors, pointers",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css3-cursors-newer": {
				"title": "CSS3 Cursors: zoom-in & zoom-out",
				"description": "Support for `zoom-in`, `zoom-out` values for the CSS3 `cursor` property.",
				"spec": "http://www.w3.org/TR/css3-ui/#cursor",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/cursor",
						"title": "MDN Documentation"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y x",
						"3": "y x",
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y x",
						"3.6": "y x"
					},
					"chrome": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y",
						"10": "y",
						"3.1": "y x",
						"3.2": "y x",
						"5.1": "y x",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "y x",
						"10": "y x"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 40.12,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "cursors, pointers",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"webvtt": {
				"title": "WebVTT - Web Video Text Tracks",
				"description": "Format for marking up text captions for multimedia resources.",
				"spec": "https://w3c.github.io/webvtt/",
				"status": "wd",
				"links": [
					{
						"url": "http://www.html5rocks.com/en/tutorials/track/basics/",
						"title": "Getting Started With the Track Element"
					},
					{
						"url": "https://dev.opera.com/articles/view/an-introduction-to-webvtt-and-track/",
						"title": "An Introduction to WebVTT and track"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n d",
						"25": "n d",
						"26": "n d",
						"27": "n d",
						"28": "n d",
						"29": "n d",
						"30": "n d",
						"31": "y #1",
						"32": "y #1",
						"33": "y #1",
						"34": "y #1",
						"35": "y #1",
						"36": "y #1",
						"37": "y #1",
						"38": "y #1",
						"39": "y #1",
						"40": "y #1",
						"41": "y #1",
						"42": "y #1",
						"43": "y #1",
						"44": "y #1",
						"45": "y #1",
						"46": "y #1",
						"47": "y #1",
						"48": "y #1",
						"49": "y #1",
						"50": "y #1",
						"51": "y #1",
						"52": "y #1",
						"53": "y #1",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "WebVTT must be used with the <track> element.",
				"notes_by_num": {
					"1": "Firefox currently lacks support for the `::cue` pseudo-element. [See bug #865395.](https://bugzilla.mozilla.org/show_bug.cgi?id=865395)"
				},
				"usage_perc_y": 82.67,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "video",
				"keywords": "captions,track,vtt,subtitles",
				"ie_id": "",
				"chrome_id": "6719115557339136",
				"firefox_id": "",
				"webkit_id": ""
			},
			"promises": {
				"title": "Promises",
				"description": "A promise represents the eventual result of an asynchronous operation.",
				"spec": "http://www.ecma-international.org/ecma-262/6.0/#sec-promise-objects",
				"status": "other",
				"links": [
					{
						"url": "http://promises-aplus.github.io/promises-spec/",
						"title": "Promises/A+ spec"
					},
					{
						"url": "http://www.chromestatus.com/features/5681726336532480",
						"title": "Chromium dashboard - ES6 Promises"
					},
					{
						"url": "http://www.html5rocks.com/en/tutorials/es6/promises/",
						"title": "JavaScript Promises: There and back again - HTML5 Rocks"
					},
					{
						"url": "https://github.com/jakearchibald/ES6-Promises",
						"title": "A polyfill for ES6-style Promises"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "p",
						"5.5": "p"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "p",
						"3": "p",
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "p",
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "p",
						"21": "p",
						"22": "p",
						"23": "p",
						"24": "p",
						"25": "p",
						"26": "p",
						"27": "a",
						"28": "a",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "p",
						"3.6": "p"
					},
					"chrome": {
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "p",
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "p",
						"21": "p",
						"22": "p",
						"23": "p",
						"24": "p",
						"25": "p",
						"26": "p",
						"27": "p",
						"28": "p",
						"29": "p",
						"30": "p",
						"31": "p",
						"32": "a",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "p",
						"3.2": "p",
						"5.1": "p",
						"6.1": "p",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "p",
						"11": "p",
						"12": "p",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "a",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "p",
						"10.0-10.1": "p",
						"10.5": "p",
						"10.6": "p",
						"11.1": "p",
						"11.5": "p",
						"11.6": "p",
						"12.1": "p"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "p",
						"4.0-4.1": "p",
						"4.2-4.3": "p",
						"5.0-5.1": "p",
						"6.0-6.1": "p",
						"7.0-7.1": "p",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "p"
					},
					"android": {
						"3": "p",
						"4": "p",
						"53": "y",
						"2.1": "p",
						"2.2": "p",
						"2.3": "p",
						"4.1": "p",
						"4.2-4.3": "p",
						"4.4": "p",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "p",
						"10": "p"
					},
					"op_mob": {
						"10": "p",
						"11": "p",
						"12": "p",
						"37": "y",
						"11.1": "p",
						"11.5": "p",
						"12.1": "p"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "p",
						"11": "p"
					},
					"and_uc": {
						"11": "p"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 76.45,
				"usage_perc_a": 0.05,
				"ucprefix": false,
				"parent": "",
				"keywords": "futures",
				"ie_id": "",
				"chrome_id": "5681726336532480",
				"firefox_id": "promise",
				"webkit_id": "feature-promise-objects"
			},
			"css-sticky": {
				"title": "CSS position:sticky",
				"description": "Keeps elements positioned as \"fixed\" or \"relative\" depending on how it appears in the viewport. As a result the element is \"stuck\" when necessary while scrolling.",
				"spec": "https://drafts.csswg.org/css-position/#sticky-pos",
				"status": "unoff",
				"links": [
					{
						"url": "http://updates.html5rocks.com/2012/08/Stick-your-landings-position-sticky-lands-in-WebKit",
						"title": "HTML5Rocks"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/position",
						"title": "MDN article"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/position",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://github.com/filamentgroup/fixed-sticky",
						"title": "Polyfill"
					},
					{
						"url": "https://github.com/wilddeer/stickyfill",
						"title": "Another polyfill"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n d #1",
						"27": "n d #1",
						"28": "n d #1",
						"29": "n d #1",
						"30": "n d #1",
						"31": "n d #1",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n d #2",
						"24": "n d #2",
						"25": "n d #2",
						"26": "n d #2",
						"27": "n d #2",
						"28": "n d #2",
						"29": "n d #2",
						"30": "n d #2",
						"31": "n d #2",
						"32": "n d #2",
						"33": "n d #2",
						"34": "n d #2",
						"35": "n d #2",
						"36": "n d #2",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n d #2",
						"53": "n d #2",
						"54": "n d #2",
						"55": "n d #2",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y x",
						"TP": "y x"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n d #2",
						"40": "n d #2",
						"41": "n d #2",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "y x",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Can be enabled in Firefox by setting the about:config preference layout.css.sticky.enabled to true",
					"2": "Enabled through the \"experimental Web Platform features\" flag"
				},
				"usage_perc_y": 18.05,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "positionsticky",
				"chrome_id": "6190250464378880",
				"firefox_id": "",
				"webkit_id": "feature-position:-sticky"
			},
			"dialog": {
				"title": "Dialog element",
				"description": "Method of easily creating custom dialog boxes to display to the user with modal or non-modal options. Also includes a `::backdrop` pseudo-element for behind the element.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#the-dialog-element",
				"status": "ls",
				"links": [
					{
						"url": "https://github.com/GoogleChrome/dialog-polyfill",
						"title": "Polyfill"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n d #1",
						"33": "n d #1",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n d #2",
						"20": "n d #2",
						"21": "n d #2",
						"22": "n d #2",
						"23": "n d #2",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Enabled through the \"Experimental Web Platform features\" flag in `chrome://flags`",
					"2": "Enabled through the \"Experimental Web Platform features\" flag in `opera://flags`"
				},
				"usage_perc_y": 56.1,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "HTMLDialogElement,showModal,backdrop",
				"ie_id": "dialogelementformodals",
				"chrome_id": "5770237022568448",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-variables": {
				"title": "CSS Variables (Custom Properties)",
				"description": "Permits the declaration and usage of cascading variables in stylesheets.",
				"spec": "https://drafts.csswg.org/css-variables/",
				"status": "cr",
				"links": [
					{
						"url": "https://hacks.mozilla.org/2013/12/css-variables-in-firefox-nightly/",
						"title": "Mozilla hacks article (older syntax)"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/Using_CSS_variables",
						"title": "MDN article"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "a"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n d #1",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n d #1",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Enabled through the \"Experimental Web Platform features\" flag in `chrome://flags`"
				},
				"usage_perc_y": 68.34,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "css variables,custom properties",
				"ie_id": "csscustompropertiesakacssvariables",
				"chrome_id": "6401356696911872",
				"firefox_id": "css-variables",
				"webkit_id": "specification-css-variables"
			},
			"vibration": {
				"title": "Vibration API",
				"description": "Method to access the vibration mechanism of the hosting device.",
				"spec": "http://www.w3.org/TR/vibration/",
				"status": "rec",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/Guide/API/Vibration",
						"title": "MDN article"
					},
					{
						"url": "http://davidwalsh.name/vibration-api",
						"title": "Vibration API sample code & demo"
					},
					{
						"url": "http://code.tutsplus.com/tutorials/html5-vibration-api--mobile-22585",
						"title": "Tuts+ article"
					},
					{
						"url": "http://aurelio.audero.it/demo/vibration-api-demo.html",
						"title": "Demo"
					},
					{
						"url": "http://www.illyism.com/journal/vibration-api",
						"title": "Article and Usage Examples"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 74.15,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "vibration,mobile,device",
				"ie_id": "vibrationapi",
				"chrome_id": "5698768766763008",
				"firefox_id": "vibration",
				"webkit_id": ""
			},
			"css-backgroundblendmode": {
				"title": "CSS background-blend-mode",
				"description": "Allows blending between CSS background images, gradients, and colors.",
				"spec": "http://www.w3.org/TR/compositing-1/#propdef-background-blend-mode",
				"status": "cr",
				"links": [
					{
						"url": "http://codepen.io/bennettfeely/pen/rxoAc",
						"title": "codepen example"
					},
					{
						"url": "https://medium.com/web-design-technique/6b51bf53743a",
						"title": "Blog post"
					},
					{
						"url": "http://bennettfeely.com/gradients",
						"title": "Demo"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "a #2",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "a #1",
						"9.1": "a #1",
						"TP": "a #1"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "a #2",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "a #1",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "a #1",
						"9.0-9.2": "a #1",
						"9.3": "a #1",
						"10-10.1": "a #1"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a #2",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial in Safari refers to not supporting the `hue`, `saturation`, `color`, and `luminosity` blend modes.",
					"2": "Chrome 46 has some [serious bugs](https://code.google.com/p/chromium/issues/detail?id=543583) with multiply, difference, and exclusion blend modes"
				},
				"usage_perc_y": 62.36,
				"usage_perc_a": 11.56,
				"ucprefix": false,
				"parent": "",
				"keywords": "css blend modes,css blending modes,blending,multiply,screen,background",
				"ie_id": "",
				"chrome_id": "5768037999312896",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-mixblendmode": {
				"title": "Blending of HTML/SVG elements",
				"description": "Allows blending between arbitrary SVG and HTML elements",
				"spec": "http://www.w3.org/TR/compositing-1/#mix-blend-mode",
				"status": "cr",
				"links": [
					{
						"url": "http://codepen.io/bennettfeely/pen/csjzd",
						"title": "codepen example"
					},
					{
						"url": "http://css-tricks.com/basics-css-blend-modes/",
						"title": "Blog post"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n d #1",
						"30": "n d #1",
						"31": "n d #1",
						"32": "n d #1",
						"33": "n d #1",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "n d #1",
						"38": "n d #1",
						"39": "n d #1",
						"40": "n d #1",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "a #2",
						"9": "a #2",
						"10": "a #2",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "a #2",
						"9.1": "a #2",
						"TP": "a #2"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "a #2",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "a #2",
						"9.0-9.2": "a #2",
						"9.3": "a #2",
						"10-10.1": "a #2"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Enabled in Chrome through the \"experimental Web Platform features\" flag in chrome://flags",
					"2": "Partial in Safari refers to not supporting the `hue`, `saturation`, `color`, and `luminosity` blend modes."
				},
				"usage_perc_y": 59.02,
				"usage_perc_a": 11.17,
				"ucprefix": false,
				"parent": "",
				"keywords": "mix-blend-mode,css blend modes,css blending modes",
				"ie_id": "mixblendmode",
				"chrome_id": "6362616360337408",
				"firefox_id": "",
				"webkit_id": ""
			},
			"speech-recognition": {
				"title": "Speech Recognition API",
				"description": "Method to provide speech input in a web browser.",
				"spec": "https://dvcs.w3.org/hg/speech-api/raw-file/tip/speechapi.html#speechreco-section",
				"status": "unoff",
				"links": [
					{
						"url": "http://updates.html5rocks.com/2013/01/Voice-Driven-Web-Apps-Introduction-to-the-Web-Speech-API",
						"title": "HTML5Rocks article"
					},
					{
						"url": "http://www.sitepoint.com/introducing-web-speech-api/",
						"title": "SitePoint article"
					},
					{
						"url": "http://aurelio.audero.it/demo/web-speech-api-demo.html",
						"title": "Demo"
					},
					{
						"url": "http://zenorocha.github.io/voice-elements/#recognition-element",
						"title": "Advanced demo and resource"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n d #2",
						"23": "n d #2",
						"24": "n d #2",
						"25": "n d #2",
						"26": "n d #2",
						"27": "n d #2",
						"28": "n d #2",
						"29": "n d #2",
						"30": "n d #2",
						"31": "n d #2",
						"32": "n d #2",
						"33": "n d #2",
						"34": "n d #2",
						"35": "n d #2",
						"36": "n d #2",
						"37": "n d #2",
						"38": "n d #2",
						"39": "n d #2",
						"40": "n d #2",
						"41": "n d #2",
						"42": "n d #2",
						"43": "n d #2",
						"44": "n d #2",
						"45": "n d #2",
						"46": "n d #2",
						"47": "n d #2",
						"48": "n d #2",
						"49": "n d #2",
						"50": "n d #2",
						"51": "n d #2",
						"52": "n d #2",
						"53": "n d #2",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "a x #1",
						"26": "a x #1",
						"27": "a x #1",
						"28": "a x #1",
						"29": "a x #1",
						"30": "a x #1",
						"31": "a x #1",
						"32": "a x #1",
						"33": "a x #1",
						"34": "a x #1",
						"35": "a x #1",
						"36": "a x #1",
						"37": "a x #1",
						"38": "a x #1",
						"39": "a x #1",
						"40": "a x #1",
						"41": "a x #1",
						"42": "a x #1",
						"43": "a x #1",
						"44": "a x #1",
						"45": "a x #1",
						"46": "a x #1",
						"47": "a x #1",
						"48": "a x #1",
						"49": "a x #1",
						"50": "a x #1",
						"51": "a x #1",
						"52": "a x #1",
						"53": "a x #1",
						"54": "a x #1",
						"55": "a x #1",
						"56": "a x #1",
						"57": "a x #1",
						"58": "a x #1"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "a x #1",
						"28": "a x #1",
						"29": "a x #1",
						"30": "a x #1",
						"31": "a x #1",
						"32": "a x #1",
						"33": "a x #1",
						"34": "a x #1",
						"35": "a x #1",
						"36": "a x #1",
						"37": "a x #1",
						"38": "a x #1",
						"39": "a x #1",
						"40": "a x #1",
						"41": "a x #1",
						"42": "a x #1",
						"43": "a x #1",
						"44": "a x #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "a x #1"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "a x #1"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to some attributes missing.",
					"2": "Firefox currently has a `media.webspeech.recognition.enable` flag in about:config for this, but actual support is waiting for permissions to be sorted out.",
					"3": "Reported to be in development for Samsung Internet for GearVR, due Q1/2017"
				},
				"usage_perc_y": 0,
				"usage_perc_a": 56.15,
				"ucprefix": false,
				"parent": "",
				"keywords": "#web-speech,speechrecognition,ASR",
				"ie_id": "webspeechapiinput",
				"chrome_id": "5908775487668224",
				"firefox_id": "",
				"webkit_id": ""
			},
			"high-resolution-time": {
				"title": "High Resolution Time API",
				"description": "Method to provide the current time in sub-millisecond resolution and such that it is not subject to system clock skew or adjustments. Called using `performance.now()`",
				"spec": "http://www.w3.org/TR/hr-time/",
				"status": "rec",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Performance.now()",
						"title": "MDN article"
					},
					{
						"url": "http://updates.html5rocks.com/2012/08/When-milliseconds-are-not-enough-performance-now",
						"title": "HTML5Rocks article"
					},
					{
						"url": "http://www.sitepoint.com/discovering-the-high-resolution-time-api/",
						"title": "SitePoint article"
					},
					{
						"url": "http://aurelio.audero.it/demo/high-resolution-time-api-demo.html",
						"title": "Demo"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 91.23,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "performance,now,testing",
				"ie_id": "highresolutiontime",
				"chrome_id": "5349124069130240",
				"firefox_id": "",
				"webkit_id": ""
			},
			"battery-status": {
				"title": "Battery Status API",
				"description": "Method to provide information about the battery status of the hosting device.",
				"spec": "http://www.w3.org/TR/battery-status/",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/WebAPI/Battery_Status",
						"title": "MDN Docs"
					},
					{
						"url": "http://www.smartjava.org/examples/webapi-battery/",
						"title": "Simple demo"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a x #1",
						"11": "a x #1",
						"12": "a x #1",
						"13": "a x #1",
						"14": "a x #1",
						"15": "a x #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n d",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "a #1"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to support for the older specification's `navigator.battery` rather than `navigator.getBattery()` to access the `BatteryManager`."
				},
				"usage_perc_y": 62.23,
				"usage_perc_a": 9.49,
				"ucprefix": false,
				"parent": "",
				"keywords": "navigator.battery,navigator.getbattery,batterymanager",
				"ie_id": "batterystatusapi",
				"chrome_id": "4537134732017664",
				"firefox_id": "",
				"webkit_id": ""
			},
			"serviceworkers": {
				"title": "Service Workers",
				"description": "Method that enables applications to take advantage of persistent background processing, including hooks to enable bootstrapping of web applications while offline.",
				"spec": "https://slightlyoff.github.io/ServiceWorker/spec/service_worker/",
				"status": "wd",
				"links": [
					{
						"url": "http://www.html5rocks.com/en/tutorials/service-worker/introduction/",
						"title": "HTML5Rocks article (introduction)"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/ServiceWorker_API",
						"title": "MDN article"
					},
					{
						"url": "https://jakearchibald.github.io/isserviceworkerready/resources.html",
						"title": "List of various resources"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n d #2"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n d #1",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "n d #1",
						"38": "n d #1",
						"39": "n d #1",
						"40": "n d #1",
						"41": "n d #1",
						"42": "n d #1",
						"43": "n d #1",
						"44": "a",
						"45": "a",
						"46": "a",
						"47": "a",
						"48": "a",
						"49": "a",
						"50": "a",
						"51": "a",
						"52": "a",
						"53": "a",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"45": "a",
						"46": "a",
						"47": "a",
						"48": "a",
						"49": "a",
						"50": "a",
						"51": "a",
						"52": "a",
						"53": "a",
						"54": "a",
						"55": "a",
						"56": "a",
						"57": "a",
						"58": "a"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "a",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "a"
					},
					"and_ff": {
						"50": "a"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "a"
					}
				},
				"notes": "Details on partial support can be found on [is ServiceWorker Ready?](https://jakearchibald.github.io/isserviceworkerready/)",
				"notes_by_num": {
					"1": "Partial support can be enabled in Firefox with the `dom.serviceWorkers.enabled` flag.",
					"2": "Available behind the \"Enable service workers\" flag"
				},
				"usage_perc_y": 0,
				"usage_perc_a": 61.99,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "serviceworker",
				"chrome_id": "6561526227927040",
				"firefox_id": "service-worker",
				"webkit_id": "specification-service-workers"
			},
			"text-decoration": {
				"title": "text-decoration styling",
				"description": "Method of defining the type, style and color of lines in the text-decoration property. These can be defined as shorthand (e.g. `text-decoration: line-through dashed blue`) or as single properties (e.g. `text-decoration-color: blue`)",
				"spec": "http://www.w3.org/TR/css-text-decor-3/#line-decoration",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/text-decoration-style",
						"title": "MDN Documentation for text-decoration-style"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/text-decoration-color",
						"title": "MDN Documentation for text-decoration-color"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/text-decoration-line",
						"title": "MDN Documentation for text-decoration-line"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6514536-text-decoration-styling",
						"title": "Microsoft Edge feature request on UserVoice"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/text-decoration-skip",
						"title": "MDN Documentation for text-decoration-skip"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n x d #1",
						"27": "n x d #1",
						"28": "n x d #1",
						"29": "n x d #1",
						"30": "n x d #1",
						"31": "n x d #1",
						"32": "n x d #1",
						"33": "n x d #1",
						"34": "n x d #1",
						"35": "n x d #1",
						"36": "n x d #1",
						"37": "n x d #1",
						"38": "n x d #1",
						"39": "n x d #1",
						"40": "n x d #1",
						"41": "n x d #1",
						"42": "n x d #1",
						"43": "n x d #1",
						"44": "n x d #1",
						"45": "n x d #1",
						"46": "n x d #1",
						"47": "n x d #1",
						"48": "n x d #1",
						"49": "n x d #1",
						"50": "n x d #1",
						"51": "n x d #1",
						"52": "n x d #1",
						"53": "n x d #1",
						"54": "n x d #1",
						"55": "n x d #1",
						"56": "n x d #1",
						"57": "n x d #1",
						"58": "n x d #1"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "a x #2 #3",
						"9": "a x #2 #3",
						"10": "a x #2 #3",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "a x #2",
						"9.1": "a x #2 #3",
						"TP": "a x #2 #3"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n x d #1",
						"36": "n x d #1",
						"37": "n x d #1",
						"38": "n x d #1",
						"39": "n x d #1",
						"40": "n x d #1",
						"41": "n x d #1",
						"42": "n x d #1",
						"43": "n x d #1",
						"44": "n x d #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "a x #2",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "a x #2",
						"9.0-9.2": "a x #2",
						"9.3": "a x #2",
						"10-10.1": "a x #2"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n x d #1"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "All browsers support the CSS2 version of `text-decoration`, which matches only the `text-decoration-line` values (`underline`, etc.)",
				"notes_by_num": {
					"1": "Enabled in Chrome through the \"experimental Web Platform features\" flag in chrome://flags",
					"2": "Partial support in Safari refers to not supporting the text-decoration-style property.",
					"3": "Safari 8+ supports `-webkit-text-decoration-skip` with values `none` and `skip` (other values behave like `none` or `skip`)"
				},
				"usage_perc_y": 6.84,
				"usage_perc_a": 11.17,
				"ucprefix": false,
				"parent": "",
				"keywords": "text-decoration-line,text-decoration-style,text-decoration-color,text-decoration-skip",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"iframe-srcdoc": {
				"title": "srcdoc attribute for iframes",
				"description": "Override the content specified in the `src` attribute (if present) with HTML content within the attribute.",
				"spec": "https://html.spec.whatwg.org/multipage/embedded-content.html#attr-iframe-srcdoc",
				"status": "ls",
				"links": [
					{
						"url": "https://docs.webplatform.org/wiki/html/elements/iframe",
						"title": "WebPlatform Docs"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/HTML/Element/iframe",
						"title": "MDN Docs"
					},
					{
						"url": "https://github.com/jugglinmike/srcdoc-polyfill",
						"title": "Srcdoc Polyfill"
					},
					{
						"url": "https://bocoup.com/weblog/third-party-javascript-development-future/",
						"title": "Article"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "p",
						"5.5": "n"
					},
					"edge": {
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p"
					},
					"firefox": {
						"2": "n",
						"3": "p",
						"4": "p",
						"5": "p",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"11": "p",
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "p",
						"21": "p",
						"22": "p",
						"23": "p",
						"24": "p",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "p",
						"3.6": "p"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "p",
						"15": "p",
						"16": "p",
						"17": "p",
						"18": "p",
						"19": "p",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "p",
						"5": "p",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "p",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "p",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "p",
						"11.5": "p",
						"11.6": "p",
						"12.1": "p"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "p",
						"4.2-4.3": "p",
						"5.0-5.1": "p",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "p",
						"4": "p",
						"53": "y",
						"2.1": "p",
						"2.2": "p",
						"2.3": "p",
						"4.1": "p",
						"4.2-4.3": "p",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "p",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "p",
						"37": "y",
						"11.1": "p",
						"11.5": "p",
						"12.1": "p"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "p",
						"11": "p"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 85.68,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "iframesrcdocattribute",
				"chrome_id": "5222955109842944",
				"firefox_id": "",
				"webkit_id": ""
			},
			"speech-synthesis": {
				"title": "Speech Synthesis API",
				"description": "A web API for controlling a text-to-speech output.",
				"spec": "https://dvcs.w3.org/hg/speech-api/raw-file/tip/speechapi.html#tts-section",
				"status": "unoff",
				"links": [
					{
						"url": "http://updates.html5rocks.com/2014/01/Web-apps-that-talk---Introduction-to-the-Speech-Synthesis-API",
						"title": "HTML5Rocks article"
					},
					{
						"url": "http://www.sitepoint.com/talking-web-pages-and-the-speech-synthesis-api/",
						"title": "SitePoint article"
					},
					{
						"url": "http://aurelio.audero.it/demo/speech-synthesis-api-demo.html",
						"title": "Demo"
					},
					{
						"url": "http://zenorocha.github.io/voice-elements/",
						"title": "Advanced demo and resource"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n d #1",
						"32": "n d #1",
						"33": "n d #1",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "n d #1",
						"38": "n d #1",
						"39": "n d #1",
						"40": "n d #1",
						"41": "n d #1",
						"42": "n d #1",
						"43": "n d #1",
						"44": "n d #1",
						"45": "n d #1",
						"46": "n d #1",
						"47": "n d #1",
						"48": "n d #1",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "Samsung Internet for GearVR: In Development, release based on Chromium m53 due Q1/2017",
				"notes_by_num": {
					"1": "Can be enabled in Firefox using the `media.webspeech.synth.enabled` about:config flag."
				},
				"usage_perc_y": 70.18,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "web-speech",
				"keywords": "speech,synthesis,speechSynthesis,TTS,SpeechSynthesisUtterance,",
				"ie_id": "webspeechapisynthesis",
				"chrome_id": "4782875580825600",
				"firefox_id": "webspeech-synthesis",
				"webkit_id": ""
			},
			"user-timing": {
				"title": "User Timing API",
				"description": "Method to help web developers measure the performance of their applications by giving them access to high precision timestamps.",
				"spec": "http://www.w3.org/TR/user-timing/",
				"status": "rec",
				"links": [
					{
						"url": "http://www.sitepoint.com/discovering-user-timing-api/",
						"title": "SitePoint article"
					},
					{
						"url": "http://www.html5rocks.com/en/tutorials/webperformance/usertiming/",
						"title": "HTML5Rocks article"
					},
					{
						"url": "https://gist.github.com/pmeenan/5902672",
						"title": "Polyfill"
					},
					{
						"url": "http://aurelio.audero.it/demo/user-timing-api-demo.html",
						"title": "Demo"
					},
					{
						"url": "https://github.com/nicjansma/usertiming.js",
						"title": "UserTiming.js polyfill"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 71,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "performance,testing,mark,measure",
				"ie_id": "usertimingapi",
				"chrome_id": "5066549580791808",
				"firefox_id": "",
				"webkit_id": "specification-user-timing"
			},
			"srcset": {
				"title": "Srcset attribute",
				"description": "Allows authors to define various image resources and \"hints\" that assist a user agent to determine the most appropriate image source to display (e.g. high-resolution displays, small monitors, etc).",
				"spec": "https://html.spec.whatwg.org/multipage/embedded-content.html#attr-img-srcset",
				"status": "ls",
				"links": [
					{
						"url": "https://www.webkit.org/blog/2910/improved-support-for-high-resolution-displays-with-the-srcset-image-attribute/",
						"title": "Improved support for high-resolution displays with the srcset image attribute"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "a #2",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n d #1",
						"33": "n d #1",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "n d #1",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "a #2",
						"35": "a #2",
						"36": "a #2",
						"37": "a #2",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "a #2",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "a #2",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "a #2",
						"22": "a #2",
						"23": "a #2",
						"24": "a #2",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "a #2",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "a #2",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Can be enabled in Firefox by setting the about:config preference dom.image.srcset.enabled to true",
					"2": "Supports the subset of the syntax for resolution switching (using the `x` descriptor), but not the full syntax that can be used with `sizes` (using the `w` descriptor)."
				},
				"usage_perc_y": 83.55,
				"usage_perc_a": 0.63,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "imgsrcset",
				"chrome_id": "4644337115725824",
				"firefox_id": "",
				"webkit_id": "feature-srcset-w-descriptor-and-related-sizes-attribute,feature-srcset-x-descriptor"
			},
			"ambient-light": {
				"title": "Ambient Light API",
				"description": "Defines events that provide information about the ambient light level, as measured by a device's light sensor.",
				"spec": "http://www.w3.org/TR/ambient-light/",
				"status": "cr",
				"links": [
					{
						"url": "http://aurelio.audero.it/demo/ambient-light-api-demo.html",
						"title": "Demo"
					},
					{
						"url": "http://modernweb.com/2014/05/27/introduction-to-the-ambient-light-api/",
						"title": "Article"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"45": "a #1",
						"46": "a #1",
						"47": "a #1",
						"48": "a #1",
						"49": "a #1",
						"50": "a #1",
						"51": "a #1",
						"52": "a #1",
						"53": "a #1",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in desktop Firefox refers to support being limited to Mac OS X. [Support for Windows 7 is in progress](https://bugzilla.mozilla.org/show_bug.cgi?id=754199)"
				},
				"usage_perc_y": 1.27,
				"usage_perc_a": 6.64,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "ambientlightevents",
				"chrome_id": "5298357018820608",
				"firefox_id": "",
				"webkit_id": ""
			},
			"will-change": {
				"title": "CSS will-change property",
				"description": "Method of optimizing animations by informing the browser which elements will change and what properties will change.",
				"spec": "http://dev.w3.org/csswg/css-will-change/",
				"status": "wd",
				"links": [
					{
						"url": "https://dev.opera.com/articles/css-will-change-property/",
						"title": "Detailed article"
					},
					{
						"url": "http://aerotwist.com/blog/bye-bye-layer-hacks/",
						"title": "Blog post"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/will-change",
						"title": "will-change on MDN"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n d #1",
						"30": "n d #1",
						"31": "n d #1",
						"32": "n d #1",
						"33": "n d #1",
						"34": "n d #1",
						"35": "n d #1",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Supported in Firefox behind the `layout.css.will-change.enabled` flag"
				},
				"usage_perc_y": 73,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "scroll-position",
				"ie_id": "csswillchange",
				"chrome_id": "5954199330226176",
				"firefox_id": "",
				"webkit_id": "specification-css-will-change"
			},
			"css-shapes": {
				"title": "CSS Shapes Level 1",
				"description": "Allows geometric shapes to be set in CSS to define an area for text to flow around.",
				"spec": "http://www.w3.org/TR/css-shapes/",
				"status": "cr",
				"links": [
					{
						"url": "http://html.adobe.com/webplatform/layout/shapes/",
						"title": "Adobe demos and samples"
					},
					{
						"url": "http://html.adobe.com/webplatform/layout/shapes/browser-support/",
						"title": "CSS shapes support test by Adobe"
					},
					{
						"url": "http://alistapart.com/article/css-shapes-101",
						"title": "A List Apart article"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1040714",
						"title": "Firefox tracking bug"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "y x",
						"9.1": "y x",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "y x",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Enabled in Chrome through the \"experimental Web Platform features\" flag in chrome://flags"
				},
				"usage_perc_y": 67.27,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "circle,ellipse,polygon,inset,shape-outside,shape-inside",
				"ie_id": "shapes",
				"chrome_id": "5163890719588352",
				"firefox_id": "css-shapes",
				"webkit_id": "feature-css-shapes-level-1"
			},
			"domcontentloaded": {
				"title": "DOMContentLoaded",
				"description": "JavaScript event that fires when the DOM is loaded, but before all page assets are loaded (CSS, images, etc.).",
				"spec": "https://html.spec.whatwg.org/multipage/syntax.html#stop-parsing",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/Reference/Events/DOMContentLoaded",
						"title": "MDN: DOMContentLoaded"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 97.69,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "dom,domready,onload,contentloaded,document",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"proximity": {
				"title": "Proximity API",
				"description": "Defines events that provide information about the distance between a device and an object, as measured by a proximity sensor.",
				"spec": "http://www.w3.org/TR/proximity/",
				"status": "cr",
				"links": [
					{
						"url": "http://aurelio.audero.it/demo/proximity-api-demo.html",
						"title": "Demo"
					},
					{
						"url": "http://www.sitepoint.com/introducing-proximity-api/",
						"title": "SitePoint article"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 6.76,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"kerning-pairs-ligatures": {
				"title": "Improved kerning pairs & ligatures",
				"description": "Currently non-standard method of improving kerning pairs & ligatures using `text-rendering: optimizeLegibility`.",
				"spec": "http://www.w3.org/TR/SVG11/painting.html#TextRenderingProperty",
				"status": "unoff",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/text-rendering",
						"title": "MDN article"
					},
					{
						"url": "http://css-tricks.com/almanac/properties/t/text-rendering/",
						"title": "CSS Tricks article"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a #1",
						"4": "a #1",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "a #1",
						"4.2-4.3": "a #1",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in Android browser versions is due to a serious bug where `text-rendering: optimizeLegibility` causes custom web fonts to not render."
				},
				"usage_perc_y": 86.23,
				"usage_perc_a": 0.72,
				"ucprefix": false,
				"parent": "",
				"keywords": "optimizeLegibility,optimizeSpeed,geometricPrecision",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"iframe-seamless": {
				"title": "seamless attribute for iframes",
				"description": "The seamless attribute makes an iframe's contents actually part of a page, and adopts the styles from its hosting page. The attribute has been [removed from the current specification](https://github.com/whatwg/html/issues/331). ",
				"spec": "https://www.w3.org/TR/html51/semantics.html#attr-iframe-seamless",
				"status": "unoff",
				"links": [
					{
						"url": "https://github.com/ornj/seamless-polyfill",
						"title": "Experimental polyfill"
					},
					{
						"url": "http://labs.ft.com/2013/01/seamless-iframes-not-quite-seamless/",
						"title": "Article"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=631218",
						"title": "Bug on Firefox support"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "u",
						"52": "u",
						"53": "u",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n d",
						"21": "n d",
						"22": "n d",
						"23": "n d",
						"24": "n d",
						"25": "n d",
						"26": "n d",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n #1",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n #1",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n #1",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "Chrome 20-26 had partial support behind a flag, though this was [later removed](http://crbug.com/229421).",
				"notes_by_num": {
					"1": "Hides the border of seamless iframes and recognizes the 'seamless' DOM property, but does not provide actual support."
				},
				"usage_perc_y": 8.86,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "iframeseamlessattribute",
				"chrome_id": "6630329993396224",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-image-orientation": {
				"title": "CSS3 image-orientation",
				"description": "CSS property used generally to fix the intended orientation of an image. This can be done using 90 degree increments or based on the image's EXIF data using the \"from-image\" value.",
				"spec": "http://www.w3.org/TR/css3-images/#image-orientation",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/image-orientation",
						"title": "MDN article"
					},
					{
						"url": "http://sethfowler.org/blog/2013/09/13/new-in-firefox-26-css-image-orientation/",
						"title": "Blog post"
					},
					{
						"url": "http://jsbin.com/EXUTolo/4",
						"title": "Demo (Chinese)"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "a #1",
						"3.2": "a #1",
						"4.0-4.1": "a #1",
						"4.2-4.3": "a #1",
						"5.0-5.1": "a #1",
						"6.0-6.1": "a #1",
						"7.0-7.1": "a #1",
						"8.1-8.4": "a #1",
						"9.0-9.2": "a #1",
						"9.3": "a #1",
						"10-10.1": "a #1"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "Opening the image in a new tab in Chrome results in the image shown in the orientation according to the EXIF data.",
				"notes_by_num": {
					"1": "Partial support in iOS refers to the browser using EXIF data by default, though it does not actually support the property."
				},
				"usage_perc_y": 6.62,
				"usage_perc_a": 9.23,
				"ucprefix": false,
				"parent": "",
				"keywords": "image-orientation,from-image,flip",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"picture": {
				"title": "Picture element",
				"description": "A responsive images method to control which image resource a user agent presents to a user, based on resolution, media query and/or support for a particular image format",
				"spec": "https://html.spec.whatwg.org/multipage/embedded-content.html#the-picture-element",
				"status": "ls",
				"links": [
					{
						"url": "http://responsiveimages.org/demos/",
						"title": "Demo"
					},
					{
						"url": "http://code.tutsplus.com/tutorials/better-responsive-images-with-the-picture-element--net-36583",
						"title": "Tutorial"
					},
					{
						"url": "http://usecases.responsiveimages.org/",
						"title": "Read about the use cases"
					},
					{
						"url": "http://responsiveimages.org/",
						"title": "General information about Responsive Images"
					},
					{
						"url": "https://dev.opera.com/articles/responsive-images/",
						"title": "Blog post on usage"
					},
					{
						"url": "http://www.html5rocks.com/tutorials/responsive/picture-element/",
						"title": "HTML5 Rocks tutorial"
					},
					{
						"url": "https://github.com/scottjehl/picturefill",
						"title": "Picturefill - polyfill for picture, srcset, sizes, and more"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n d #3",
						"35": "n d #3",
						"36": "n d #3",
						"37": "n d #3",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n d #1",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n d #2",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Enabled in Chrome through the \"experimental Web Platform features\" flag in chrome://flags",
					"2": "Enabled in Opera through the \"experimental Web Platform features\" flag in opera://flags",
					"3": "Enabled in Firefox by setting the about:config preference dom.image.picture.enable to true"
				},
				"usage_perc_y": 74.33,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "<picture>",
				"ie_id": "pictureelement",
				"chrome_id": "5910974510923776",
				"firefox_id": "",
				"webkit_id": "feature-picture-element"
			},
			"woff2": {
				"title": "WOFF 2.0 - Web Open Font Format",
				"description": "TrueType/OpenType font that provides better compression than WOFF 1.0.",
				"spec": "http://www.w3.org/TR/WOFF2/",
				"status": "cr",
				"links": [
					{
						"url": "https://gist.github.com/sergejmueller/cf6b4f2133bcb3e2f64a",
						"title": "Basics about WOFF 2.0"
					},
					{
						"url": "http://everythingfonts.com/ttf-to-woff2",
						"title": "WOFF 2.0 converter"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a #1",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "a #1"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Supported only on Safari for Mac OS Sierra, not El Capitan & older."
				},
				"usage_perc_y": 70.88,
				"usage_perc_a": 1.26,
				"ucprefix": false,
				"parent": "fontface",
				"keywords": "woff, fontface, webfonts",
				"ie_id": "wofffileformat20",
				"chrome_id": "6718644721549312",
				"firefox_id": "",
				"webkit_id": "specification-woff-file-format-2.0"
			},
			"text-size-adjust": {
				"title": "CSS text-size-adjust",
				"description": "On mobile devices, the text-size-adjust CSS property allows Web authors to control if and how the text-inflating algorithm is applied to the textual content of the element it is applied to.",
				"spec": "http://dev.w3.org/csswg/css-size-adjust/",
				"status": "unoff",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/text-size-adjust",
						"title": "MDN Docs"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1226116",
						"title": "Mozilla Bug #1226116: Unprefix -moz-text-size-adjust"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n #2",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n #2",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y x",
						"6.0-6.1": "y x",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y x"
					},
					"ie_mob": {
						"10": "y x #1",
						"11": "y x #1"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "If the viewport size is set using a `<meta>` element, the `-ms-text-size-adjust` property is ignored. See [MSDN](https://msdn.microsoft.com/en-us/library/ie/dn793579%28v=vs.85%29.aspx)",
					"2": "Old versions of WebKit-based desktop browsers (Chrome<27, Safari<6) [suffer from a bug](https://bugs.webkit.org/show_bug.cgi?id=56543) where if `-webkit-text-size-adjust` is explicitly set to `none`, instead of ignoring the property, the browsers will prevent the user from zooming in or out on the webpage."
				},
				"usage_perc_y": 65.4,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "5730156303876096",
				"firefox_id": "",
				"webkit_id": ""
			},
			"web-animation": {
				"title": "Web Animations API",
				"description": "Lets you create animations that are run in the browser and as well as inspect and manipulate animations created through declarative means like CSS.",
				"spec": "http://w3c.github.io/web-animations/",
				"status": "wd",
				"links": [
					{
						"url": "http://updates.html5rocks.com/2014/05/Web-Animations---element-animate-is-now-in-Chrome-36",
						"title": "HTML5 Rocks"
					},
					{
						"url": "http://updates.html5rocks.com/2013/12/New-Web-Animations-engine-in-Blink-drives-CSS-Animations-Transitions",
						"title": "HTML5 Rocks"
					},
					{
						"url": "https://birtles.github.io/areweanimatedyet/",
						"title": "Current Firefox status"
					},
					{
						"url": "https://github.com/web-animations/web-animations-js",
						"title": "Polyfill"
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "a d #3",
						"34": "a d #3",
						"35": "a d #3",
						"36": "a d #3",
						"37": "a d #3",
						"38": "a d #3",
						"39": "a d #3",
						"40": "a d #3",
						"41": "a d #3",
						"42": "a d #3",
						"43": "a d #3",
						"44": "a d #3",
						"45": "a d #3",
						"46": "a d #3",
						"47": "a #3",
						"48": "a #3",
						"49": "a #3",
						"50": "a #3",
						"51": "a #3",
						"52": "a #3",
						"53": "a #3",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #2",
						"40": "a #2",
						"41": "a #2",
						"42": "a #2",
						"43": "a #2",
						"44": "a #2",
						"45": "a #2",
						"46": "a #2",
						"47": "a #2",
						"48": "a #2",
						"49": "a #2",
						"50": "a #2",
						"51": "a #2",
						"52": "a #2",
						"53": "a #2",
						"54": "a #2",
						"55": "a #2",
						"56": "a #2",
						"57": "a #2",
						"58": "a #2"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #2",
						"27": "a #2",
						"28": "a #2",
						"29": "a #2",
						"30": "a #2",
						"31": "a #2",
						"32": "a #2",
						"33": "a #2",
						"34": "a #2",
						"35": "a #2",
						"36": "a #2",
						"37": "a #2",
						"38": "a #2",
						"39": "a #2",
						"40": "a #2",
						"41": "a #2",
						"42": "a #2",
						"43": "a #2",
						"44": "a #2",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "a #2",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a #2",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "a #2"
					},
					"and_ff": {
						"50": "a #3"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "a #2"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to basic support of `element.animate()`",
					"2": "Partial support refers to basic support of `element.animate()` and [playback control of AnimationPlayer](https://www.chromestatus.com/features/5633748733263872)",
					"3": "Partial support in Firefox is detailed in [Are we animated yet?](https://birtles.github.io/areweanimatedyet/)"
				},
				"usage_perc_y": 0,
				"usage_perc_a": 62.65,
				"ucprefix": false,
				"parent": "",
				"keywords": "animate,play,pause,reverse,finish,currentTime,startTime,playbackRate,playState",
				"ie_id": "webanimationsjavascriptapi",
				"chrome_id": "4854343836631040,5633748733263872",
				"firefox_id": "",
				"webkit_id": "specification-web-animations"
			},
			"resource-timing": {
				"title": "Resource Timing",
				"description": "Method to help web developers to collect complete timing information related to resources on a document.",
				"spec": "http://www.w3.org/TR/resource-timing/",
				"status": "cr",
				"links": [
					{
						"url": "http://aurelio.audero.it/demo/resource-timing-api-demo.html",
						"title": "Demo"
					},
					{
						"url": "http://googledevelopers.blogspot.com/2013/12/measuring-network-performance-with.html",
						"title": "Blog post"
					},
					{
						"url": "http://www.sitepoint.com/introduction-resource-timing-api/",
						"title": "SitePoint article"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n d #1",
						"32": "n d #1",
						"33": "n d #1",
						"34": "n d #1",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Can be enabled in Firefox using the dom.enable_resource_timing flag"
				},
				"usage_perc_y": 71.08,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "performance,testing,resource",
				"ie_id": "resourcetimingapi",
				"chrome_id": "5796350423728128",
				"firefox_id": "",
				"webkit_id": "specification-resource-timing"
			},
			"custom-elements": {
				"title": "Custom Elements v0",
				"description": "Method of defining new HTML tags.",
				"spec": "http://www.w3.org/TR/custom-elements/",
				"status": "wd",
				"links": [
					{
						"url": "http://w3c.github.io/webcomponents/spec/custom/",
						"title": "W3C Editor's Draft spec (closer to current implementations)"
					},
					{
						"url": "http://www.polymer-project.org/platform/custom-elements.html",
						"title": "Polymer project (polyfill & web components framework)"
					},
					{
						"url": "http://www.html5rocks.com/tutorials/webcomponents/customelements/",
						"title": "HTML5Rocks - Custom Elements: defining new elements in HTML"
					},
					{
						"url": "https://code.google.com/p/chromium/issues/detail?id=234509",
						"title": "Chromium tracking bug: Implement Custom Elements"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=889230",
						"title": "Firefox tracking bug: Implement Custom Elements (from Web Components)"
					},
					{
						"url": "http://status.modern.ie/customelements",
						"title": "IE Web Platform Status and Roadmap: Custom Elements"
					},
					{
						"url": "https://github.com/WebReflection/document-register-element",
						"title": "document.registerElement polyfill in 3KB minified & gzipped"
					},
					{
						"url": "https://developers.google.com/web/fundamentals/primers/customelements/",
						"title": "Google Developers - Custom elements v1: reusable web components"
					},
					{
						"url": "https://github.com/webcomponents/webcomponentsjs/tree/v1/src/CustomElements/v1",
						"title": "customElements.define polyfill (supersedes document.registerElement)"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "p",
						"11": "p",
						"5.5": "n"
					},
					"edge": {
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n d #1",
						"24": "n d #1",
						"25": "n d #1",
						"26": "n d #1",
						"27": "n d #1",
						"28": "n d #1",
						"29": "n d #1",
						"30": "p d #1",
						"31": "p d #1",
						"32": "p d #1",
						"33": "p d #1",
						"34": "p d #1",
						"35": "p d #1",
						"36": "p d #1",
						"37": "p d #1",
						"38": "p d #1",
						"39": "p d #1",
						"40": "p d #1",
						"41": "p d #1",
						"42": "p d #1",
						"43": "p d #1",
						"44": "p d #1",
						"45": "p d #1",
						"46": "p d #1",
						"47": "p d #1",
						"48": "p d #1",
						"49": "p d #1",
						"50": "p d #1",
						"51": "p d #1",
						"52": "p d #1",
						"53": "p d #1",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n d",
						"28": "n d",
						"29": "n d",
						"30": "n d",
						"31": "n d",
						"32": "n d",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "p",
						"7.1": "p",
						"9.1": "p",
						"TP": "p"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n d",
						"16": "n d",
						"17": "n d",
						"18": "n d",
						"19": "n d",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "p",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "p",
						"8.1-8.4": "p",
						"9.0-9.2": "p",
						"9.3": "p",
						"10-10.1": "p"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "p d #1"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Enabled through the \"dom.webcomponents.enabled\" preference in about:config"
				},
				"usage_perc_y": 57.17,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "web components,registerElement",
				"ie_id": "customelements",
				"chrome_id": "4642138092470272",
				"firefox_id": "custom-elements",
				"webkit_id": "feature-custom-elements"
			},
			"imports": {
				"title": "HTML Imports",
				"description": "Method of including and reusing HTML documents in other HTML documents.",
				"spec": "http://www.w3.org/TR/html-imports/",
				"status": "wd",
				"links": [
					{
						"url": "http://www.polymer-project.org/platform/html-imports.html",
						"title": "Polymer project (polyfill & web components framework)"
					},
					{
						"url": "http://www.html5rocks.com/tutorials/webcomponents/imports/",
						"title": "HTML5Rocks - HTML Imports: #include for the web"
					},
					{
						"url": "https://code.google.com/p/chromium/issues/detail?id=240592",
						"title": "Chromium tracking bug: Implement HTML Imports"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=877072",
						"title": "Firefox tracking bug: Implement HTML Imports"
					},
					{
						"url": "http://status.modern.ie/htmlimports",
						"title": "IE Web Platform Status and Roadmap: HTML Imports"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "p",
						"11": "p",
						"5.5": "n"
					},
					"edge": {
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "p",
						"31": "p",
						"32": "p d #1",
						"33": "p d #1",
						"34": "p d #1",
						"35": "p d #1",
						"36": "p d #1",
						"37": "p d #1",
						"38": "p d #1",
						"39": "p d #1",
						"40": "p d #1",
						"41": "p d #1",
						"42": "p d #1",
						"43": "p d #1",
						"44": "p d #1",
						"45": "p d #1",
						"46": "p d #1",
						"47": "p d #1",
						"48": "p d #1",
						"49": "p d #1",
						"50": "p d #1",
						"51": "p d #1",
						"52": "p d #1",
						"53": "p d #1",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n d #2",
						"31": "n d #2",
						"32": "n d #2",
						"33": "n d #2",
						"34": "n d #2",
						"35": "p d #3",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "p",
						"7": "p",
						"8": "p",
						"9": "p",
						"10": "p",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "p",
						"7.1": "p",
						"9.1": "p",
						"TP": "p"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n d #4",
						"18": "n d #4",
						"19": "n d #4",
						"20": "n d #4",
						"21": "n d #4",
						"22": "p d #5",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "p",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "p",
						"8.1-8.4": "p",
						"9.0-9.2": "p",
						"9.3": "p",
						"10-10.1": "p"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "p"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Firefox [has no plans to support HTML imports](https://hacks.mozilla.org/2014/12/mozilla-and-web-components/) though for now it can be enabled through the \"dom.webcomponents.enabled\" preference in about:config",
					"2": "Enabled through the \"Enable HTML Imports\" flag in chrome://flags",
					"3": "Enabled through the \"Experimental Web Platform features\" flag in chrome://flags",
					"4": "Enabled through the \"Enable HTML Imports\" flag in opera://flags",
					"5": "Enabled through the \"Experimental Web Platform features\" flag in opera://flags"
				},
				"usage_perc_y": 56.14,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "web components",
				"ie_id": "htmlimports",
				"chrome_id": "5144752345317376",
				"firefox_id": "html-imports",
				"webkit_id": "feature-html-imports"
			},
			"input-file-multiple": {
				"title": "Multiple file selection",
				"description": "Allows users to select multiple files in the file picker.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#attr-input-multiple",
				"status": "ls",
				"links": [
					{
						"url": "https://code.google.com/p/chromium/issues/detail?id=348912",
						"title": "Chrome bug (for Android)"
					},
					{
						"url": "http://www.raymondcamden.com/2012/2/28/Working-with-HTML5s-multiple-file-upload-support",
						"title": "Article"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "y"
					},
					"chrome": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n #1"
					},
					"android": {
						"3": "n #1",
						"4": "n #1",
						"53": "n #1",
						"2.1": "n #1",
						"2.2": "n #1",
						"2.3": "n #1",
						"4.1": "n #1",
						"4.2-4.3": "n #1",
						"4.4": "n #1",
						"4.4.3-4.4.4": "n #1"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n #1",
						"11": "n #1",
						"12": "n #1",
						"37": "n #1",
						"11.1": "n #1",
						"11.5": "n #1",
						"12.1": "n #1"
					},
					"and_chr": {
						"55": "a #1"
					},
					"and_ff": {
						"50": "n #1"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n #1"
					},
					"samsung": {
						"4": "n #1"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Not supported on Android 4.x and below, presumably an OS limitation. Only seems to work in Android 5.x for the Chrome browser."
				},
				"usage_perc_y": 53.19,
				"usage_perc_a": 24.01,
				"ucprefix": false,
				"parent": "forms",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"atob-btoa": {
				"title": "Base64 encoding and decoding",
				"description": "Utility functions for of encoding and decoding strings to and from base 64: window.atob() and window.btoa().",
				"spec": "https://html.spec.whatwg.org/multipage/webappapis.html#atob",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Window.btoa",
						"title": "MDN article on btoa()"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Window.atob",
						"title": "MDN article on atob()"
					},
					{
						"url": "https://github.com/davidchambers/Base64.js",
						"title": "Polyfill"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "u",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "u",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 97.38,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "atob,btoa",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-appearance": {
				"title": "CSS Appearance",
				"description": "The `appearance` property defines how elements (particularly form controls) appear by default. By setting the value to `none` the default appearance can be entirely redefined using other CSS properties.",
				"spec": "https://drafts.csswg.org/css-ui-4/#appearance-switching",
				"status": "wd",
				"links": [
					{
						"url": "http://css-tricks.com/almanac/properties/a/appearance/",
						"title": "CSS Tricks article"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "a #1 #2",
						"13": "a #1 #2",
						"14": "a #1 #2",
						"15": "a #1 #2"
					},
					"firefox": {
						"2": "a x #1 #3",
						"3": "a x #1 #3",
						"4": "a x #1 #3",
						"5": "a x #1 #3",
						"6": "a x #1 #3",
						"7": "a x #1 #3",
						"8": "a x #1 #3",
						"9": "a x #1 #3",
						"10": "a x #1 #3",
						"11": "a x #1 #3",
						"12": "a x #1 #3",
						"13": "a x #1 #3",
						"14": "a x #1 #3",
						"15": "a x #1 #3",
						"16": "a x #1 #3",
						"17": "a x #1 #3",
						"18": "a x #1 #3",
						"19": "a x #1 #3",
						"20": "a x #1 #3",
						"21": "a x #1 #3",
						"22": "a x #1 #3",
						"23": "a x #1 #3",
						"24": "a x #1 #3",
						"25": "a x #1 #3",
						"26": "a x #1 #3",
						"27": "a x #1 #3",
						"28": "a x #1 #3",
						"29": "a x #1 #3",
						"30": "a x #1 #3",
						"31": "a x #1 #3",
						"32": "a x #1 #3",
						"33": "a x #1 #3",
						"34": "a x #1 #3",
						"35": "a x #1",
						"36": "a x #1",
						"37": "a x #1",
						"38": "a x #1",
						"39": "a x #1",
						"40": "a x #1",
						"41": "a x #1",
						"42": "a x #1",
						"43": "a x #1",
						"44": "a x #1",
						"45": "a x #1",
						"46": "a x #1",
						"47": "a x #1",
						"48": "a x #1",
						"49": "a x #1",
						"50": "a x #1",
						"51": "a x #1",
						"52": "a x #1",
						"53": "a x #1",
						"3.5": "a x #1 #3",
						"3.6": "a x #1 #3"
					},
					"chrome": {
						"4": "a x #1",
						"5": "a x #1",
						"6": "a x #1",
						"7": "a x #1",
						"8": "a x #1",
						"9": "a x #1",
						"10": "a x #1",
						"11": "a x #1",
						"12": "a x #1",
						"13": "a x #1",
						"14": "a x #1",
						"15": "a x #1",
						"16": "a x #1",
						"17": "a x #1",
						"18": "a x #1",
						"19": "a x #1",
						"20": "a x #1",
						"21": "a x #1",
						"22": "a x #1",
						"23": "a x #1",
						"24": "a x #1",
						"25": "a x #1",
						"26": "a x #1",
						"27": "a x #1",
						"28": "a x #1",
						"29": "a x #1",
						"30": "a x #1",
						"31": "a x #1",
						"32": "a x #1",
						"33": "a x #1",
						"34": "a x #1",
						"35": "a x #1",
						"36": "a x #1",
						"37": "a x #1",
						"38": "a x #1",
						"39": "a x #1",
						"40": "a x #1",
						"41": "a x #1",
						"42": "a x #1",
						"43": "a x #1",
						"44": "a x #1",
						"45": "a x #1",
						"46": "a x #1",
						"47": "a x #1",
						"48": "a x #1",
						"49": "a x #1",
						"50": "a x #1",
						"51": "a x #1",
						"52": "a x #1",
						"53": "a x #1",
						"54": "a x #1",
						"55": "a x #1",
						"56": "a x #1",
						"57": "a x #1",
						"58": "a x #1"
					},
					"safari": {
						"4": "a x #1",
						"5": "a x #1",
						"6": "a x #1",
						"7": "a x #1",
						"8": "a x #1",
						"9": "a x #1",
						"10": "a x #1",
						"3.1": "a x #1",
						"3.2": "a x #1",
						"5.1": "a x #1",
						"6.1": "a x #1",
						"7.1": "a x #1",
						"9.1": "a x #1",
						"TP": "a x #1"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "a x #1",
						"16": "a x #1",
						"17": "a x #1",
						"18": "a x #1",
						"19": "a x #1",
						"20": "a x #1",
						"21": "a x #1",
						"22": "a x #1",
						"23": "a x #1",
						"24": "a x #1",
						"25": "a x #1",
						"26": "a x #1",
						"27": "a x #1",
						"28": "a x #1",
						"29": "a x #1",
						"30": "a x #1",
						"31": "a x #1",
						"32": "a x #1",
						"33": "a x #1",
						"34": "a x #1",
						"35": "a x #1",
						"36": "a x #1",
						"37": "a x #1",
						"38": "a x #1",
						"39": "a x #1",
						"40": "a x #1",
						"41": "a x #1",
						"42": "a x #1",
						"43": "a x #1",
						"44": "a x #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "a x #1",
						"3.2": "a x #1",
						"4.0-4.1": "a x #1",
						"4.2-4.3": "a x #1",
						"5.0-5.1": "a x #1",
						"6.0-6.1": "a x #1",
						"7.0-7.1": "a x #1",
						"8.1-8.4": "a x #1",
						"9.0-9.2": "a x #1",
						"9.3": "a x #1",
						"10-10.1": "a x #1"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a x #1",
						"4": "a x #1",
						"53": "a x #1",
						"2.1": "a x #1",
						"2.2": "a x #1",
						"2.3": "a x #1",
						"4.1": "a x #1",
						"4.2-4.3": "a x #1",
						"4.4": "a x #1",
						"4.4.3-4.4.4": "a x #1"
					},
					"bb": {
						"7": "a x #1",
						"10": "a x #1"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a x #1",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "a x #1"
					},
					"and_ff": {
						"50": "a x #1"
					},
					"ie_mob": {
						"10": "n",
						"11": "a #1 #2"
					},
					"and_uc": {
						"11": "a x #1"
					},
					"samsung": {
						"4": "a x #1"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "The appearance property is supported with the `none` value, but not `auto`. Webkit, Blink, and Gecko browsers also support additional vendor specific values.",
					"2": "Microsoft Edge and IE Mobile support this property with the `-webkit-` prefix, rather than `-ms-` for interop reasons.",
					"3": "-moz-appearance:none doesn't remove the dropdown arrow in select tag"
				},
				"usage_perc_y": 0,
				"usage_perc_a": 89.02,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"objectrtc": {
				"title": "Object RTC (ORTC) API for WebRTC",
				"description": "Enables mobile endpoints to talk to servers and web browsers with Real-Time Communications (RTC) capabilities via native and simple JavaScript APIs",
				"spec": "https://www.w3.org/community/ortc/",
				"status": "other",
				"links": [
					{
						"url": "http://blogs.msdn.com/b/ie/archive/2014/10/27/bringing-interoperable-real-time-communications-to-the-web.aspx",
						"title": "Bringing Interoperable Real-Time Communications to the Web"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n #1"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "ORTC is often dubbed WebRTC 1.1. It is possible to make ORTC communicate with WebRTC 1.0 endpoints. See [WebRTC 1.0](http://caniuse.com/#feat=rtcpeerconnection) for support details for that API.",
				"notes_by_num": {},
				"usage_perc_y": 1.46,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "RTC,WebRTC,ORTC,ObjectRTC,RTCIceTransport,RTCIceGatherer,RTCRtpSender,RTCRtpReceiver,Real Time,video,webcam",
				"ie_id": "webrtcobjectrtcapi",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-background-offsets": {
				"title": "CSS background-position edge offsets",
				"description": "Allows CSS background images to be positioned relative to the specified edge using the 3 to 4 value syntax. For example: `background-position: right 5px bottom 5px;` for positioning 5px from the bottom-right corner.",
				"spec": "http://www.w3.org/TR/css3-background/#background-position",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/background-position",
						"title": "MDN article on background-position"
					},
					{
						"url": "http://briantree.se/quick-tip-06-use-four-value-syntax-properly-position-background-images/",
						"title": "Basic information"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 87.38,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "4 value syntax",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-supports-api": {
				"title": "CSS.supports() API",
				"description": "The CSS.supports() static methods returns a Boolean value indicating if the browser supports a given CSS feature, or not.",
				"spec": "http://dev.w3.org/csswg/css-conditional/#the-css-interface",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/CSS.supports",
						"title": "MDN Docs"
					},
					{
						"url": "http://jsbin.com/rimevilotari/1/edit",
						"title": "Demo (Chinese)"
					},
					{
						"url": "https://dev.opera.com/articles/native-css-feature-detection/",
						"title": "Native CSS Feature Detection via the @supports Rule"
					},
					{
						"url": "http://davidwalsh.name/css-supports",
						"title": "CSS @supports"
					},
					{
						"url": "http://blog.csdn.net/hfahe/article/details/8619480",
						"title": "Article (Chinese)"
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n d",
						"21": "n d",
						"22": "n d",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "a #1"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "a #1"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "a #1"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "See also [@supports in CSS](#feat=css-featurequeries)",
				"notes_by_num": {
					"1": "Partial support in Presto-based Opera browsers refers to using an older API (`window.supportsCSS`)"
				},
				"usage_perc_y": 77.5,
				"usage_perc_a": 4.26,
				"ucprefix": false,
				"parent": "",
				"keywords": "conditional",
				"ie_id": "conditionalrules",
				"chrome_id": "4993981813358592",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-touch-action": {
				"title": "CSS touch-action property",
				"description": "touch-action is a CSS property that controls filtering of gesture events, providing developers with a declarative mechanism to selectively disable touch scrolling (in one or both axes), pinch-zooming or double-tap-zooming.",
				"spec": "http://www.w3.org/TR/pointerevents/#the-touch-action-css-property",
				"status": "rec",
				"links": [
					{
						"url": "http://msdn.microsoft.com/en-us/library/windows/apps/hh767313.aspx",
						"title": "MSDN Docs"
					},
					{
						"url": "http://updates.html5rocks.com/2013/12/300ms-tap-delay-gone-away",
						"title": "300ms tap delay, gone away"
					},
					{
						"url": "http://blogs.telerik.com/appbuilder/posts/13-11-21/what-exactly-is.....-the-300ms-click-delay",
						"title": "What Exactly Is..... The 300ms Click Delay"
					},
					{
						"url": "http://thx.github.io/mobile/300ms-click-delay/",
						"title": "What Exactly Is..... The 300ms Click Delay (Chinese)"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/touch-action",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=149854",
						"title": "WebKit bug 149854: Implement touch-action: manipulation; for iOS"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=133112",
						"title": "WebKit bug 133112: touch-action CSS property support"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y x #2",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n d #1",
						"30": "n d #1",
						"31": "n d #1",
						"32": "n d #1",
						"33": "n d #1",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "n d #1",
						"38": "n d #1",
						"39": "n d #1",
						"40": "n d #1",
						"41": "n d #1",
						"42": "n d #1",
						"43": "n d #1",
						"44": "n d #1",
						"45": "n d #1",
						"46": "n d #1",
						"47": "n d #1",
						"48": "n d #1",
						"49": "n d #1",
						"50": "n d #1",
						"51": "n d #1",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a #3",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "a #3",
						"TP": "a #3"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "a #3",
						"10-10.1": "a #3"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n d #1"
					},
					"ie_mob": {
						"10": "y x #2",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Supported in Firefox behind the `layout.css.touch_action.enabled` flag, Firefox for Windows 8 Touch ('Metro') enabled by default.",
					"2": "IE10+ has already supported these property which are not in standard at present such as `pinch-zoom`, `double-tap-zoom`, `cross-slide-x`, `cross-slide-y`.",
					"3": "Safari only supports `auto` and `manipulation`."
				},
				"usage_perc_y": 62.14,
				"usage_perc_a": 10.42,
				"ucprefix": false,
				"parent": "",
				"keywords": "touch action",
				"ie_id": "csstouchaction",
				"chrome_id": "5912074022551552",
				"firefox_id": "",
				"webkit_id": ""
			},
			"autofocus": {
				"title": "Autofocus attribute",
				"description": "Allows a form field to be immediately focused on page load.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#autofocusing-a-form-control:-the-autofocus-attribute",
				"status": "ls",
				"links": [
					{
						"url": "http://davidwalsh.name/autofocus",
						"title": "Article on autofocus"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "While not supported in iOS Safari, it does work in iOS WebViews.",
				"notes_by_num": {},
				"usage_perc_y": 75.06,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-clip-path": {
				"title": "CSS clip-path property",
				"description": "Method of defining the visible region of an element using SVG or a shape definition.",
				"spec": "http://www.w3.org/TR/css-masking-1/#the-clip-path",
				"status": "cr",
				"links": [
					{
						"url": "http://css-tricks.com/almanac/properties/c/clip/",
						"title": "CSS Tricks article"
					},
					{
						"url": "http://codepen.io/dubrod/details/myNNyW/",
						"title": "Codepen Example Clipping an Image with a Polygon"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"45": "a #1",
						"46": "a #1",
						"47": "a #1 #3",
						"48": "a #1 #3",
						"49": "a #1 #3",
						"50": "a #1 #3",
						"51": "a #1 #3",
						"52": "a #1 #3",
						"53": "a #1 #3",
						"3.5": "a #1",
						"3.6": "a #1"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "a x #2",
						"25": "a x #2",
						"26": "a x #2",
						"27": "a x #2",
						"28": "a x #2",
						"29": "a x #2",
						"30": "a x #2",
						"31": "a x #2",
						"32": "a x #2",
						"33": "a x #2",
						"34": "a x #2",
						"35": "a x #2",
						"36": "a x #2",
						"37": "a x #2",
						"38": "a x #2",
						"39": "a x #2",
						"40": "a x #2",
						"41": "a x #2",
						"42": "a x #2",
						"43": "a x #2",
						"44": "a x #2",
						"45": "a x #2",
						"46": "a x #2",
						"47": "a x #2",
						"48": "a x #2",
						"49": "a x #2",
						"50": "a x #2",
						"51": "a x #2",
						"52": "a x #2",
						"53": "a x #2",
						"54": "a x #2",
						"55": "a #2",
						"56": "a #2",
						"57": "a #2",
						"58": "a #2"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "a x #2",
						"8": "a x #2",
						"9": "a x #2",
						"10": "a x #2",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "a x #2",
						"9.1": "a x #2",
						"TP": "a x #2"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "a x #2",
						"16": "a x #2",
						"17": "a x #2",
						"18": "a x #2",
						"19": "a x #2",
						"20": "a x #2",
						"21": "a x #2",
						"22": "a x #2",
						"23": "a x #2",
						"24": "a x #2",
						"25": "a x #2",
						"26": "a x #2",
						"27": "a x #2",
						"28": "a x #2",
						"29": "a x #2",
						"30": "a x #2",
						"31": "a x #2",
						"32": "a x #2",
						"33": "a x #2",
						"34": "a x #2",
						"35": "a x #2",
						"36": "a x #2",
						"37": "a x #2",
						"38": "a x #2",
						"39": "a x #2",
						"40": "a x #2",
						"41": "a x #2",
						"42": "a #2",
						"43": "a #2",
						"44": "a #2",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "a x #2",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "a x #2",
						"8.1-8.4": "a x #2",
						"9.0-9.2": "a x #2",
						"9.3": "a x #2",
						"10-10.1": "a x #2"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "a x #2",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "a x #2",
						"4.4.3-4.4.4": "a x #2"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a x #2",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "a #2"
					},
					"and_ff": {
						"50": "a #1 #3"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "a x #2"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to only supporting the `url()` syntax.",
					"2": "Partial support refers to supporting shapes and the `url(#foo)` syntax for inline SVG, but not shapes in external SVGs.",
					"3": "Supports shapes behind the `layout.css.clip-path-shapes.enabled` flag"
				},
				"usage_perc_y": 0,
				"usage_perc_a": 76.95,
				"ucprefix": false,
				"parent": "css-masks",
				"keywords": "clippath",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"getrandomvalues": {
				"title": "crypto.getRandomValues()",
				"description": "Method of generating cryptographically random values.",
				"spec": "http://www.w3.org/TR/WebCryptoAPI/#RandomSource-method-getRandomValues",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/window.crypto.getRandomValues",
						"title": "MDN article"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y x",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "y x"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 82.63,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"screen-orientation": {
				"title": "Screen Orientation",
				"description": "Provides the ability to read the screen orientation state, to be informed when this state changes, and to be able to lock the screen orientation to a specific state.",
				"spec": "http://www.w3.org/TR/screen-orientation/",
				"status": "wd",
				"links": [
					{
						"url": "http://aurelio.audero.it/demo/screen-orientation-api-demo.html",
						"title": "Demo"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Screen.orientation",
						"title": "MDN article"
					},
					{
						"url": "http://www.sitepoint.com/introducing-screen-orientation-api/",
						"title": "SitePoint article"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "a x",
						"5.5": "n"
					},
					"edge": {
						"12": "a x",
						"13": "a x",
						"14": "a x",
						"15": "a x"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "a x",
						"19": "a x",
						"20": "a x",
						"21": "a x",
						"22": "a x",
						"23": "a x",
						"24": "a x",
						"25": "a x",
						"26": "a x",
						"27": "a x",
						"28": "a x",
						"29": "a x",
						"30": "a x",
						"31": "a x",
						"32": "a x",
						"33": "a x",
						"34": "a x",
						"35": "a x",
						"36": "a x",
						"37": "a x",
						"38": "a x",
						"39": "a x",
						"40": "a x",
						"41": "a x",
						"42": "a x",
						"43": "a x",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "a x"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "u"
					}
				},
				"notes": "Partial support refers to an [older version](http://www.w3.org/TR/2014/WD-screen-orientation-20140220/) of the draft specification, and the spec has undergone significant changes since, for example renaming the `screen.lockOrientation` method to `screen.orientation.lock`.",
				"notes_by_num": {},
				"usage_perc_y": 67.58,
				"usage_perc_a": 6.35,
				"ucprefix": false,
				"parent": "",
				"keywords": "lockorientation,unlockorientation",
				"ie_id": "screenorientationapi",
				"chrome_id": "6191285283061760",
				"firefox_id": "screen-orientation",
				"webkit_id": ""
			},
			"font-loading": {
				"title": "CSS Font Loading",
				"description": "This CSS module defines a scripting interface to font faces in CSS, allowing font faces to be easily created and loaded from script. It also provides methods to track the loading status of an individual font, or of all the fonts on an entire page.",
				"spec": "http://dev.w3.org/csswg/css-font-loading/",
				"status": "cr",
				"links": [
					{
						"url": "https://www.igvita.com/2014/01/31/optimizing-web-font-rendering-performance/#font-load-events",
						"title": "Optimizing with font load events"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6509785-css-font-loading",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"CSS3",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n d #1",
						"36": "n d #1",
						"37": "n d #1",
						"38": "n d #1",
						"39": "n d #1",
						"40": "n d #1",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Can be enabled in Firefox using the `layout.css.font-loading-api.enabled` flag. Enabled by default in Firefox 41. See [this bug](https://bugzilla.mozilla.org/show_bug.cgi?id=1149381)"
				},
				"usage_perc_y": 70.89,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "fontface,fontfaceset,fontfacesource",
				"ie_id": "",
				"chrome_id": "6244676289953792",
				"firefox_id": "",
				"webkit_id": ""
			},
			"font-unicode-range": {
				"title": "Font unicode-range subsetting",
				"description": "This @font-face descriptor defines the set of Unicode codepoints that may be supported by the font face for which it is declared. The descriptor value is a comma-delimited list of Unicode range (<urange>) values. The union of these ranges defines the set of codepoints that serves as a hint for user agents when deciding whether or not to download a font resource for a given text run.",
				"spec": "http://dev.w3.org/csswg/css-fonts/#descdef-unicode-range",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/unicode-range",
						"title": "MDN: unicode-range"
					},
					{
						"url": "https://developer.apple.com/library/safari/documentation/AppleApplications/Reference/SafariCSSRef/Articles/StandardCSSProperties.html#//apple_ref/css/property/unicode-range",
						"title": "Safari CSS Reference: unicode-range"
					},
					{
						"url": "http://docs.webplatform.org/wiki/css/properties/unicode-range",
						"title": "Web Platform Docs: unicode-range"
					},
					{
						"url": "http://jsbin.com/jeqoguzeye/1/edit?html,output",
						"title": "Demo"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6510254-unicode-range",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a",
						"10": "a",
						"11": "a",
						"5.5": "n"
					},
					"edge": {
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n d #1",
						"37": "n d #1",
						"38": "n d #1",
						"39": "n d #1",
						"40": "n d #1",
						"41": "n d #1",
						"42": "n d #1",
						"43": "n d #1",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "y",
						"3.1": "a",
						"3.2": "a",
						"5.1": "a",
						"6.1": "a",
						"7.1": "a",
						"9.1": "a",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "a",
						"3.2": "a",
						"4.0-4.1": "a",
						"4.2-4.3": "a",
						"5.0-5.1": "a",
						"6.0-6.1": "a",
						"7.0-7.1": "a",
						"8.1-8.4": "a",
						"9.0-9.2": "a",
						"9.3": "a",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a",
						"4": "a",
						"53": "y",
						"2.1": "a",
						"2.2": "a",
						"2.3": "a",
						"4.1": "a",
						"4.2-4.3": "a",
						"4.4": "a",
						"4.4.3-4.4.4": "a"
					},
					"bb": {
						"7": "n",
						"10": "a"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a",
						"11": "a"
					},
					"and_uc": {
						"11": "a"
					},
					"samsung": {
						"4": "a"
					}
				},
				"notes": "Partial support indicates that unnecessary code-ranges are downloaded by the browser - see [browser test matrix](https://docs.google.com/a/chromium.org/spreadsheets/d/18h-1gaosu4-KYxH8JUNL6ZDuOsOKmWfauoai3CS3hPY/edit?pli=1#gid=0).",
				"notes_by_num": {
					"1": "Can be enabled in Firefox using the `layout.css.unicode-range.enabled` flag"
				},
				"usage_perc_y": 66.94,
				"usage_perc_a": 25.41,
				"ucprefix": false,
				"parent": "",
				"keywords": "font face,unicode,unicode-range",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"gamepad": {
				"title": "Gamepad API",
				"description": "API to support input from USB gamepad controllers through JavaScript.",
				"spec": "http://www.w3.org/TR/gamepad/",
				"status": "wd",
				"links": [
					{
						"url": "http://luser.github.io/gamepadtest/",
						"title": "Controller demo"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Gamepad_API",
						"title": "MDN article"
					},
					{
						"url": "http://www.html5rocks.com/en/tutorials/doodles/gamepad/",
						"title": "HTML5Rocks article"
					},
					{
						"url": "http://gamedevelopment.tutsplus.com/tutorials/using-the-html5-gamepad-api-to-add-controller-support-to-browser-games--cms-21345",
						"title": "Detailed tutorial"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Can be enabled via the \"Experimental Features\" developer menu"
				},
				"usage_perc_y": 64.37,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "gamepadapi",
				"chrome_id": "5118776383111168",
				"firefox_id": "gamepad",
				"webkit_id": ""
			},
			"css-font-stretch": {
				"title": "CSS font-stretch",
				"description": "If a font has multiple types of variations based on the width of characters, the `font-stretch` property allows the appropriate one to be selected. The property in itself does not cause the browser to stretch to a font.",
				"spec": "http://www.w3.org/TR/css-fonts-3/#font-stretch-prop",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/font-stretch",
						"title": "MDN article"
					},
					{
						"url": "http://css-tricks.com/almanac/properties/f/font-stretch/",
						"title": "CSS Tricks article"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 64.58,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "font stretch",
				"ie_id": "cssfontstretch",
				"chrome_id": "4598830058176512",
				"firefox_id": "",
				"webkit_id": ""
			},
			"font-size-adjust": {
				"title": "CSS font-size-adjust",
				"description": "Method of adjusting the font size in a matter that relates to the height of lowercase vs. uppercase letters. This makes it easier to set the size of fallback fonts.",
				"spec": "http://www.w3.org/TR/css-fonts-3/#font-size-adjust-prop",
				"status": "cr",
				"links": [
					{
						"url": "http://webdesignernotebook.com/css/the-little-known-font-size-adjust-css3-property/",
						"title": "Article on font-size-adjust"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/font-size-adjust",
						"title": "MDN article on font-size-adjust"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6514821-font-size-adjust-other-font-properties",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n d #1",
						"44": "n d #1",
						"45": "n d #1",
						"46": "n d #1",
						"47": "n d #1",
						"48": "n d #1",
						"49": "n d #1",
						"50": "n d #1",
						"51": "n d #1",
						"52": "n d #1",
						"53": "n d #1",
						"54": "n d #1",
						"55": "n d #1",
						"56": "n d #1",
						"57": "n d #1",
						"58": "n d #1"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n d #1",
						"31": "n d #1",
						"32": "n d #1",
						"33": "n d #1",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "n d #1",
						"38": "n d #1",
						"39": "n d #1",
						"40": "n d #1",
						"41": "n d #1",
						"42": "n d #1",
						"43": "n d #1",
						"44": "n d #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n #2"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Enabled through the \"experimental Web Platform features\" flag in chrome://flags",
					"2": "Does not appear to work on Firefox mobile, despite recognition of the property."
				},
				"usage_perc_y": 6.91,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "5720910061371392",
				"firefox_id": "",
				"webkit_id": ""
			},
			"link-icon-png": {
				"title": "PNG favicons",
				"description": "Icon used by browsers to identify a webpage or site. While all browsers support the `.ico` format, the PNG format can be preferable.",
				"spec": "https://html.spec.whatwg.org/multipage/semantics.html#rel-icon",
				"status": "ls",
				"links": [
					{
						"url": "http://css-tricks.com/favicon-quiz/",
						"title": "Detailed info on favicons for various uses"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y #1",
						"5": "y #1",
						"6": "y #1",
						"7": "y #1",
						"8": "y #1",
						"9": "y #1",
						"10": "y #1",
						"11": "y #1",
						"12": "y #1",
						"13": "y #1",
						"14": "y #1",
						"15": "y #1",
						"16": "y #1",
						"17": "y #1",
						"18": "y #1",
						"19": "y #1",
						"20": "y #1",
						"21": "y #1",
						"22": "y #1",
						"23": "y #1",
						"24": "y #1",
						"25": "y #1",
						"26": "y #1",
						"27": "y #1",
						"28": "y #1",
						"29": "y #1",
						"30": "y #1",
						"31": "y #1",
						"32": "y #1",
						"33": "y #1",
						"34": "y #1",
						"35": "y #1",
						"36": "y #1",
						"37": "y #1",
						"38": "y #1",
						"39": "y #1",
						"40": "y #1",
						"41": "y #1",
						"42": "y #1",
						"43": "y #1",
						"44": "y #1",
						"45": "y #1",
						"46": "y #1",
						"47": "y #1",
						"48": "y #1",
						"49": "y #1",
						"50": "y #1",
						"51": "y #1",
						"52": "y #1",
						"53": "y #1",
						"54": "y #1",
						"55": "y #1",
						"56": "y #1",
						"57": "y #1",
						"58": "y #1"
					},
					"safari": {
						"4": "y #2",
						"5": "y #2",
						"6": "y #2",
						"7": "y #2",
						"8": "y #2",
						"9": "y #2",
						"10": "y #2",
						"3.1": "y #2",
						"3.2": "y #2",
						"5.1": "y #2",
						"6.1": "y #2",
						"7.1": "y #2",
						"9.1": "y #2",
						"TP": "y #2"
					},
					"opera": {
						"9": "y #3",
						"11": "y #3",
						"12": "y #3",
						"15": "y #1",
						"16": "y #1",
						"17": "y #1",
						"18": "y #1",
						"19": "y #1",
						"20": "y #1",
						"21": "y #1",
						"22": "y #1",
						"23": "y #1",
						"24": "y #1",
						"25": "y #1",
						"26": "y #1",
						"27": "y #1",
						"28": "y #1",
						"29": "y #1",
						"30": "y #1",
						"31": "y #1",
						"32": "y #1",
						"33": "y #1",
						"34": "y #1",
						"35": "y #1",
						"36": "y #1",
						"37": "y #1",
						"38": "y #1",
						"39": "y #1",
						"40": "y #1",
						"41": "y #1",
						"42": "y #1",
						"43": "y #1",
						"44": "y #1",
						"9.5-9.6": "y #3",
						"10.0-10.1": "y #3",
						"10.5": "y #3",
						"10.6": "y #3",
						"11.1": "y #3",
						"11.5": "y #3",
						"11.6": "y #3",
						"12.1": "y #3"
					},
					"ios_saf": {
						"8": "n #4",
						"3.2": "n #4",
						"4.0-4.1": "n #4",
						"4.2-4.3": "n #4",
						"5.0-5.1": "n #4",
						"6.0-6.1": "n #4",
						"7.0-7.1": "n #4",
						"8.1-8.4": "n #4",
						"9.0-9.2": "n #4",
						"9.3": "n #4",
						"10-10.1": "n #4"
					},
					"op_mini": {
						"all": "n #4"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y #3",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y #3",
						"4.4.3-4.4.4": "y #3"
					},
					"bb": {
						"7": "y",
						"10": "n #4"
					},
					"op_mob": {
						"10": "n #4",
						"11": "n #4",
						"12": "n #4",
						"37": "n #4",
						"11.1": "n #4",
						"11.5": "n #4",
						"12.1": "n #4"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n #4",
						"11": "n #4"
					},
					"and_uc": {
						"11": "y #2"
					},
					"samsung": {
						"4": "y #3"
					}
				},
				"notes": "Win8/IE10+ and iOS Safari support other types of icons for webpages too, using alternate tags.\r\n\r\nSee also [SVG favicons](#feat=link-icon-svg).",
				"notes_by_num": {
					"1": "If both ICO and PNG are available, will use ICO over PNG if ICO has better matching sizes set.",
					"2": "If both ICO and PNG are available, will ALWAYS use ICO file, regardless of sizes set.",
					"3": "If multiple formats are available, will use the last one loaded, regardless of sizes (effectively picks at random).",
					"4": "Does not use favicons at all (but may have alternative for bookmarks, etc.)."
				},
				"usage_perc_y": 82.96,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"link-icon-svg": {
				"title": "SVG favicons",
				"description": "Icon used by browsers to identify a webpage or site. While all browsers support the `.ico` format, the SVG format can be preferable to more easily support higher resolutions or larger icons.",
				"spec": "https://html.spec.whatwg.org/multipage/semantics.html#rel-icon",
				"status": "ls",
				"links": [
					{
						"url": "http://crbug.com/294179",
						"title": "Chrome bug"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6509196-svg-favicons",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"HTML5",
					"SVG"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a #2",
						"5": "a #2",
						"6": "a #2",
						"7": "a #2",
						"8": "a #2",
						"9": "a #2",
						"10": "a #2",
						"11": "a #2",
						"12": "a #2",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2",
						"16": "a #2",
						"17": "a #2",
						"18": "a #2",
						"19": "a #2",
						"20": "a #2",
						"21": "a #2",
						"22": "a #2",
						"23": "a #2",
						"24": "a #2",
						"25": "a #2",
						"26": "a #2",
						"27": "a #2",
						"28": "a #2",
						"29": "a #2",
						"30": "a #2",
						"31": "a #2",
						"32": "a #2",
						"33": "a #2",
						"34": "a #2",
						"35": "a #2",
						"36": "a #2",
						"37": "a #2",
						"38": "a #2",
						"39": "a #2",
						"40": "a #2",
						"41": "y #4",
						"42": "y #4",
						"43": "y #4",
						"44": "y #4",
						"45": "y #4",
						"46": "y #4",
						"47": "y #4",
						"48": "y #4",
						"49": "y #4",
						"50": "y #4",
						"51": "y #4",
						"52": "y #4",
						"53": "y #4",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "u",
						"57": "u",
						"58": "u"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a #3",
						"10": "a #3",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "a #3",
						"TP": "a #3"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n #1",
						"3.2": "n #1",
						"4.0-4.1": "n #1",
						"4.2-4.3": "n #1",
						"5.0-5.1": "n #1",
						"6.0-6.1": "n #1",
						"7.0-7.1": "n #1",
						"8.1-8.4": "n #1",
						"9.0-9.2": "a #3",
						"9.3": "a #3",
						"10-10.1": "a #3"
					},
					"op_mini": {
						"all": "n #1"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n #1"
					},
					"op_mob": {
						"10": "n #1",
						"11": "n #1",
						"12": "n #1",
						"37": "n #1",
						"11.1": "n #1",
						"11.5": "n #1",
						"12.1": "n #1"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n #1",
						"11": "n #1"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "See also [PNG favicons](#feat=link-icon-png).",
				"notes_by_num": {
					"1": "Does not use favicons at all",
					"2": "Partial support in Firefox before version 41 refers to only loading the SVG favicon the first time, but not [on subsequent loads](https://bugzilla.mozilla.org/show_bug.cgi?id=366324#c14).",
					"3": "Safari 9 has support for \"[pinned tab](https://developer.apple.com/library/prerelease/content/releasenotes/General/WhatsNewInSafari/Articles/Safari_9_0.html#//apple_ref/doc/uid/TP40014305-CH9-SW20)\" SVG icons, but this requires an unofficial `rel=\"mask-icon\"` to be set and only works for all-black icons on Pinned Tabs.",
					"4": "Firefox [requires](https://bugzilla.mozilla.org/show_bug.cgi?id=366324#c50) the served mime-type to be 'image/svg+xml'."
				},
				"usage_perc_y": 6.21,
				"usage_perc_a": 11.38,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-media-resolution": {
				"title": "Media Queries: resolution feature",
				"description": "Allows a media query to be set based on the device pixels used per CSS unit. While the standard uses `min`/`max-resolution` for this, some browsers support the older non-standard `device-pixel-ratio` media query.",
				"spec": "http://www.w3.org/TR/css3-mediaqueries/#resolution",
				"status": "rec",
				"links": [
					{
						"url": "http://www.w3.org/blog/CSS/2012/06/14/unprefix-webkit-device-pixel-ratio/",
						"title": "How to unprefix -webkit-device-pixel-ratio"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=78087",
						"title": "WebKit Bug 78087: Implement the 'resolution' media query"
					},
					{
						"url": "https://compat.spec.whatwg.org/#css-media-queries-webkit-device-pixel-ratio",
						"title": "WHATWG Compatibility Standard: -webkit-device-pixel-ratio"
					}
				],
				"categories": [
					"CSS",
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "a #2",
						"5": "a #2",
						"6": "a #2",
						"7": "a #2",
						"8": "a #2",
						"9": "a #2",
						"10": "a #2",
						"11": "a #2",
						"12": "a #2",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a #2",
						"3.6": "a #2"
					},
					"chrome": {
						"4": "a x #3",
						"5": "a x #3",
						"6": "a x #3",
						"7": "a x #3",
						"8": "a x #3",
						"9": "a x #3",
						"10": "a x #3",
						"11": "a x #3",
						"12": "a x #3",
						"13": "a x #3",
						"14": "a x #3",
						"15": "a x #3",
						"16": "a x #3",
						"17": "a x #3",
						"18": "a x #3",
						"19": "a x #3",
						"20": "a x #3",
						"21": "a x #3",
						"22": "a x #3",
						"23": "a x #3",
						"24": "a x #3",
						"25": "a x #3",
						"26": "a x #3",
						"27": "a x #3",
						"28": "a x #3",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a x #3",
						"5": "a x #3",
						"6": "a x #3",
						"7": "a x #3",
						"8": "a x #3",
						"9": "a x #3",
						"10": "a x #3",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a x #3",
						"6.1": "a x #3",
						"7.1": "a x #3",
						"9.1": "a x #3",
						"TP": "a x #3"
					},
					"opera": {
						"9": "n",
						"11": "a x #3",
						"12": "a x #3",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "a x #3",
						"10.0-10.1": "a x #3",
						"10.5": "a x #3",
						"10.6": "a x #3",
						"11.1": "a x #3",
						"11.5": "a x #3",
						"11.6": "a x #3",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "a x #3",
						"3.2": "u",
						"4.0-4.1": "a x #3",
						"4.2-4.3": "a x #3",
						"5.0-5.1": "a x #3",
						"6.0-6.1": "a x #3",
						"7.0-7.1": "a x #3",
						"8.1-8.4": "a x #3",
						"9.0-9.2": "a x #3",
						"9.3": "a x #3",
						"10-10.1": "a x #3"
					},
					"op_mini": {
						"all": "a #1"
					},
					"android": {
						"3": "a x #3",
						"4": "a x #3",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "a x #3",
						"4.1": "a x #3",
						"4.2-4.3": "a x #3",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a x #3",
						"10": "a x #3"
					},
					"op_mob": {
						"10": "a x #3",
						"11": "a x #3",
						"12": "a x #3",
						"37": "y",
						"11.1": "a x #3",
						"11.5": "a x #3",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a #1",
						"11": "a #1"
					},
					"and_uc": {
						"11": "a x #3"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Supports the `dpi` unit, but does not support `dppx` or `dpcm` units.",
					"2": "Firefox before 16 supports only `dpi` unit, but you can set `2dppx` per `min--moz-device-pixel-ratio: 2`",
					"3": "Supports the non-standard `min`/`max-device-pixel-ratio`"
				},
				"usage_perc_y": 66.93,
				"usage_perc_a": 30.69,
				"ucprefix": false,
				"parent": "css-mediaqueries",
				"keywords": "@media,device-pixel-ratio,resolution,dppx,dpcm,dpi",
				"ie_id": "mediaqueriesresolutionfeature,dppxunitfortheresolutionmediaquery",
				"chrome_id": "5944509615570944",
				"firefox_id": "",
				"webkit_id": ""
			},
			"xml-serializer": {
				"title": "DOM Parsing and Serialization",
				"description": "Various DOM parsing and serializing functions, specifically `DOMParser`, `XMLSerializer`, `innerHTML`, `outerHTML` and `insertAdjacentHTML`.",
				"spec": "http://www.w3.org/TR/DOM-Parsing/",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/XMLSerializer",
						"title": "MDN - XMLSerializer"
					},
					{
						"url": "http://ejohn.org/blog/dom-insertadjacenthtml/",
						"title": "Comparing Document Position by John Resig"
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "a #2",
						"7": "a #2",
						"8": "a #2",
						"9": "a #1",
						"10": "y",
						"11": "y",
						"5.5": "a #2"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "a #2",
						"3": "a #2",
						"4": "a #2",
						"5": "a #2",
						"6": "a #2",
						"7": "a #2",
						"8": "a #3",
						"9": "a #3",
						"10": "a #3",
						"11": "a #1",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a #2",
						"3.6": "a #2"
					},
					"chrome": {
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "a #1",
						"3.2": "a #1",
						"5.1": "a #1",
						"6.1": "a #1",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "a #1",
						"12": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "u",
						"10.0-10.1": "a #1",
						"10.5": "a #1",
						"10.6": "a #1",
						"11.1": "a #1",
						"11.5": "a #1",
						"11.6": "a #1",
						"12.1": "a #1"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "a #1",
						"4.0-4.1": "a #1",
						"4.2-4.3": "a #1",
						"5.0-5.1": "a #1",
						"6.0-6.1": "a #1",
						"7.0-7.1": "a #1",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "a #1"
					},
					"android": {
						"3": "a #1",
						"4": "a #1",
						"53": "y",
						"2.1": "a #1",
						"2.2": "a #1",
						"2.3": "a #1",
						"4.1": "a #1",
						"4.2-4.3": "a #1",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a #1",
						"10": "a #1"
					},
					"op_mob": {
						"10": "u",
						"11": "a #1",
						"12": "a #1",
						"37": "y",
						"11.1": "a #1",
						"11.5": "a #1",
						"12.1": "a #1"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "a #1"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to lacking support for `parseFromString` on the DOMParser.",
					"2": "Partial support refers to supporting only `innerHTML`.",
					"3": "Partial support refers to supporting only `innerHTML` and `insertAdjacentHTML`."
				},
				"usage_perc_y": 82.45,
				"usage_perc_a": 15.67,
				"ucprefix": false,
				"parent": "",
				"keywords": "parseFromString",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-image-set": {
				"title": "CSS image-set",
				"description": "Method of letting the browser pick the most appropriate CSS background image from a given set, primarily for high PPI screens.",
				"spec": "http://dev.w3.org/csswg/css-images-3/#image-set-notation",
				"status": "unoff",
				"links": [
					{
						"url": "http://cloudfour.com/examples/image-set/",
						"title": "Demo"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6606738-image-set",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y x",
						"49": "y x",
						"50": "y x",
						"51": "y x",
						"52": "y x",
						"53": "y x",
						"54": "y x",
						"55": "y x",
						"56": "y x",
						"57": "y x",
						"58": "y x"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y x",
						"TP": "y x"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "y x",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y x",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y x",
						"4.4.3-4.4.4": "y x"
					},
					"bb": {
						"7": "n",
						"10": "y x"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y x",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y x"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "y x"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 79.03,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "cssimageset",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-boxdecorationbreak": {
				"title": "CSS box-decoration-break",
				"description": "Controls whether the box's margins, borders, padding, and other decorations wrap the broken edges of the box fragments (when the box is split by a break (page/column/region/line).",
				"spec": "http://www.w3.org/TR/css3-break/#break-decoration",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/box-decoration-break",
						"title": "MDN article"
					},
					{
						"url": "http://jsbin.com/xojoro/edit?css,output",
						"title": "Demo of effect on box border"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6514472-box-decoration-break",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "a x #1",
						"23": "a x #1",
						"24": "a x #1",
						"25": "a x #1",
						"26": "a x #1",
						"27": "a x #1",
						"28": "a x #1",
						"29": "a x #1",
						"30": "a x #1",
						"31": "a x #1",
						"32": "a x #1",
						"33": "a x #1",
						"34": "a x #1",
						"35": "a x #1",
						"36": "a x #1",
						"37": "a x #1",
						"38": "a x #1",
						"39": "a x #1",
						"40": "a x #1",
						"41": "a x #1",
						"42": "a x #1",
						"43": "a x #1",
						"44": "a x #1",
						"45": "a x #1",
						"46": "a x #1",
						"47": "a x #1",
						"48": "a x #1",
						"49": "a x #1",
						"50": "a x #1",
						"51": "a x #1",
						"52": "a x #1",
						"53": "a x #1",
						"54": "a x #1",
						"55": "a x #1",
						"56": "a x #1",
						"57": "a x #1",
						"58": "a x #1"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "a x #1",
						"8": "a x #1",
						"9": "a x #1",
						"10": "a x #1",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "a x #1",
						"7.1": "a x #1",
						"9.1": "a x #1",
						"TP": "a x #1"
					},
					"opera": {
						"9": "n",
						"11": "y #1",
						"12": "y #1",
						"15": "a x #1",
						"16": "a x #1",
						"17": "a x #1",
						"18": "a x #1",
						"19": "a x #1",
						"20": "a x #1",
						"21": "a x #1",
						"22": "a x #1",
						"23": "a x #1",
						"24": "a x #1",
						"25": "a x #1",
						"26": "a x #1",
						"27": "a x #1",
						"28": "a x #1",
						"29": "a x #1",
						"30": "a x #1",
						"31": "a x #1",
						"32": "a x #1",
						"33": "a x #1",
						"34": "a x #1",
						"35": "a x #1",
						"36": "a x #1",
						"37": "a x #1",
						"38": "a x #1",
						"39": "a x #1",
						"40": "a x #1",
						"41": "a x #1",
						"42": "a x #1",
						"43": "a x #1",
						"44": "a x #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "y #1",
						"11.5": "y #1",
						"11.6": "y #1",
						"12.1": "y #1"
					},
					"ios_saf": {
						"8": "a x #1",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "a x #1",
						"8.1-8.4": "a x #1",
						"9.0-9.2": "a x #1",
						"9.3": "a x #1",
						"10-10.1": "a x #1"
					},
					"op_mini": {
						"all": "a #1"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "a x #1",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "a x #1",
						"4.4.3-4.4.4": "a x #1"
					},
					"bb": {
						"7": "n",
						"10": "a x #1"
					},
					"op_mob": {
						"10": "n",
						"11": "y #1",
						"12": "y #1",
						"37": "a x #1",
						"11.1": "y #1",
						"11.5": "y #1",
						"12.1": "y #1"
					},
					"and_chr": {
						"55": "a x #1"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "a x #1"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to working for inline elements but not across column or page breaks."
				},
				"usage_perc_y": 6.73,
				"usage_perc_a": 74.26,
				"ucprefix": false,
				"parent": "",
				"keywords": "box-decoration,box decoration,break",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"object-observe": {
				"title": "Object.observe data binding",
				"description": "Method for data binding, a now-withdrawn ECMAScript 7 proposal",
				"spec": "http://wiki.ecmascript.org/doku.php?id=harmony:observe",
				"status": "unoff",
				"links": [
					{
						"url": "http://www.html5rocks.com/en/tutorials/es7/observe/",
						"title": "Data-binding Revolutions with Object.observe()"
					},
					{
						"url": "https://github.com/MaxArt2501/object-observe",
						"title": "Polyfill"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=800355",
						"title": "Firefox tracking bug"
					},
					{
						"url": "https://esdiscuss.org/topic/an-update-on-object-observe",
						"title": "An update on Object.observe"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Support in Blink-based browsers is expected to be removed in future versions.",
				"notes_by_num": {},
				"usage_perc_y": 6.41,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "objectobserve",
				"chrome_id": "6147094632988672",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-at-counter-style": {
				"title": "CSS Counter Styles",
				"description": "The @counter-style CSS at-rule allows custom counter styles to be defined. A @counter-style rule defines how to convert a counter value into a string representation.",
				"spec": "http://dev.w3.org/csswg/css-counter-styles/",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/@counter-style",
						"title": "MDN article"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"45": "a #1",
						"46": "a #1",
						"47": "a #1",
						"48": "a #1",
						"49": "a #1",
						"50": "a #1",
						"51": "a #1",
						"52": "a #1",
						"53": "a #1",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "a #1"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support in Firefox refers to lacking support for [image symbols](https://bugzilla.mozilla.org/show_bug.cgi?id=1024179)"
				},
				"usage_perc_y": 0,
				"usage_perc_a": 6.52,
				"ucprefix": false,
				"parent": "",
				"keywords": "css @counter-style, list-style",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-page-break": {
				"title": "CSS page-break properties",
				"description": "Properties to control the way elements are broken across (printed) pages.",
				"spec": "http://www.w3.org/TR/CSS2/page.html#page-breaks",
				"status": "rec",
				"links": [
					{
						"url": "https://css-tricks.com/almanac/properties/p/page-break/",
						"title": "CSS Tricks article"
					},
					{
						"url": "http://dev.w3.org/csswg/css-break-3/#break-between",
						"title": "Latest fragmentation specification (includes column & region breaks)"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "a #1 #2 #3",
						"7": "a #1 #2 #3",
						"8": "a #1 #2 #3",
						"9": "a #1 #2 #3",
						"10": "a #1 #2",
						"11": "a #1 #2",
						"5.5": "a #1 #2 #3"
					},
					"edge": {
						"12": "a #1 #2",
						"13": "a #1 #2",
						"14": "a #1 #2",
						"15": "a #1 #2"
					},
					"firefox": {
						"2": "a #1 #2 #3",
						"3": "a #1 #2 #3",
						"4": "a #1 #2 #3",
						"5": "a #1 #2 #3",
						"6": "a #1 #2 #3",
						"7": "a #1 #2 #3",
						"8": "a #1 #2 #3",
						"9": "a #1 #2 #3",
						"10": "a #1 #2 #3",
						"11": "a #1 #2 #3",
						"12": "a #1 #2 #3",
						"13": "a #1 #2 #3",
						"14": "a #1 #2 #3",
						"15": "a #1 #2 #3",
						"16": "a #1 #2 #3",
						"17": "a #1 #2 #3",
						"18": "a #1 #2 #3",
						"19": "a #1 #2 #3",
						"20": "a #1 #2 #3",
						"21": "a #1 #2 #3",
						"22": "a #1 #2 #3",
						"23": "a #1 #2 #3",
						"24": "a #1 #2 #3",
						"25": "a #1 #2 #3",
						"26": "a #1 #2 #3",
						"27": "a #1 #2 #3",
						"28": "a #1 #2 #3",
						"29": "a #1 #2 #3",
						"30": "a #1 #2 #3",
						"31": "a #1 #2 #3",
						"32": "a #1 #2 #3",
						"33": "a #1 #2 #3",
						"34": "a #1 #2 #3",
						"35": "a #1 #2 #3",
						"36": "a #1 #2 #3",
						"37": "a #1 #2 #3",
						"38": "a #1 #2 #3",
						"39": "a #1 #2 #3",
						"40": "a #1 #2 #3",
						"41": "a #1 #2 #3",
						"42": "a #1 #2 #3",
						"43": "a #1 #2 #3",
						"44": "a #1 #2 #3",
						"45": "a #1 #2 #3",
						"46": "a #1 #2 #3",
						"47": "a #1 #2 #3",
						"48": "a #1 #2 #3",
						"49": "a #1 #2 #3",
						"50": "a #1 #2 #3",
						"51": "a #1 #2 #3",
						"52": "a #1 #2 #3",
						"53": "a #1 #2 #3",
						"3.5": "a #1 #2 #3",
						"3.6": "a #1 #2 #3"
					},
					"chrome": {
						"4": "a #1 #2 #3",
						"5": "a #1 #2 #3",
						"6": "a #1 #2 #3",
						"7": "a #1 #2 #3",
						"8": "a #1 #2 #3",
						"9": "a #1 #2 #3",
						"10": "a #1 #2 #3",
						"11": "a #1 #2 #3",
						"12": "a #1 #2 #3",
						"13": "a #1 #2 #3",
						"14": "a #1 #2 #3",
						"15": "a #1 #2 #3",
						"16": "a #1 #2 #3",
						"17": "a #1 #2 #3",
						"18": "a #1 #2 #3",
						"19": "a #1 #2 #3",
						"20": "a #1 #2 #3",
						"21": "a #1 #2 #3",
						"22": "a #1 #2 #3",
						"23": "a #1 #2 #3",
						"24": "a #1 #2 #3",
						"25": "a #1 #2 #3",
						"26": "a #1 #2 #3",
						"27": "a #1 #2 #3",
						"28": "a #1 #2 #3",
						"29": "a #1 #2 #3",
						"30": "a #1 #2 #3",
						"31": "a #1 #2 #3",
						"32": "a #1 #2 #3",
						"33": "a #1 #2 #3",
						"34": "a #1 #2 #3",
						"35": "a #1 #2 #3",
						"36": "a #1 #2 #3",
						"37": "a #1 #2 #3",
						"38": "a #1 #2 #3",
						"39": "a #1 #2 #3",
						"40": "a #1 #2 #3",
						"41": "a #1 #2 #3",
						"42": "a #1 #2 #3",
						"43": "a #1 #2 #3",
						"44": "a #1 #2 #3",
						"45": "a #1 #2 #3",
						"46": "a #1 #2 #3",
						"47": "a #1 #2 #3",
						"48": "a #1 #2 #3",
						"49": "a #1 #2 #3",
						"50": "a #1 #2 #3",
						"51": "a #1 #2 #3",
						"52": "a #1 #2 #3",
						"53": "a #1 #2 #3",
						"54": "a #1 #2 #3",
						"55": "a #1 #2 #3",
						"56": "a #1 #2 #3",
						"57": "a #1 #2 #3",
						"58": "a #1 #2 #3"
					},
					"safari": {
						"4": "a #1 #2 #3",
						"5": "a #1 #2 #3",
						"6": "a #1 #2 #3",
						"7": "a #1 #2 #3",
						"8": "a #1 #2 #3",
						"9": "a #1 #2 #3",
						"10": "a #2 #3",
						"3.1": "a #1 #2 #3",
						"3.2": "a #1 #2 #3",
						"5.1": "a #1 #2 #3",
						"6.1": "a #1 #2 #3",
						"7.1": "a #1 #2 #3",
						"9.1": "a #1 #2 #3",
						"TP": "a #1 #2 #3"
					},
					"opera": {
						"9": "u",
						"11": "y #1",
						"12": "y #1",
						"15": "a #1 #2 #3",
						"16": "a #1 #2 #3",
						"17": "a #1 #2 #3",
						"18": "a #1 #2 #3",
						"19": "a #1 #2 #3",
						"20": "a #1 #2 #3",
						"21": "a #1 #2 #3",
						"22": "a #1 #2 #3",
						"23": "a #1 #2 #3",
						"24": "a #1 #2 #3",
						"25": "a #1 #2 #3",
						"26": "a #1 #2 #3",
						"27": "a #1 #2 #3",
						"28": "a #1 #2 #3",
						"29": "a #1 #2 #3",
						"30": "a #1 #2 #3",
						"31": "a #1 #2 #3",
						"32": "a #1 #2 #3",
						"33": "a #1 #2 #3",
						"34": "a #1 #2 #3",
						"35": "a #1 #2 #3",
						"36": "a #1 #2 #3",
						"37": "a #1 #2 #3",
						"38": "a #1 #2 #3",
						"39": "a #1 #2 #3",
						"40": "a #1 #2 #3",
						"41": "a #1 #2 #3",
						"42": "a #1 #2 #3",
						"43": "a #1 #2 #3",
						"44": "a #1 #2 #3",
						"9.5-9.6": "u",
						"10.0-10.1": "y #1",
						"10.5": "y #1",
						"10.6": "y #1",
						"11.1": "y #1",
						"11.5": "y #1",
						"11.6": "y #1",
						"12.1": "y #1"
					},
					"ios_saf": {
						"8": "a #1 #2 #3",
						"3.2": "a #1 #2 #3",
						"4.0-4.1": "a #1 #2 #3",
						"4.2-4.3": "a #1 #2 #3",
						"5.0-5.1": "a #1 #2 #3",
						"6.0-6.1": "a #1 #2 #3",
						"7.0-7.1": "a #1 #2 #3",
						"8.1-8.4": "a #1 #2 #3",
						"9.0-9.2": "a #1 #2 #3",
						"9.3": "a #1 #2 #3",
						"10-10.1": "a #1 #2 #3"
					},
					"op_mini": {
						"all": "y #1"
					},
					"android": {
						"3": "a #1 #2 #3",
						"4": "a #1 #2 #3",
						"53": "a #1 #2 #3",
						"2.1": "a #1 #2 #3",
						"2.2": "a #1 #2 #3",
						"2.3": "a #1 #2 #3",
						"4.1": "a #1 #2 #3",
						"4.2-4.3": "a #1 #2 #3",
						"4.4": "a #1 #2 #3",
						"4.4.3-4.4.4": "a #1 #2 #3"
					},
					"bb": {
						"7": "a #1 #2 #3",
						"10": "a #1 #2 #3"
					},
					"op_mob": {
						"10": "y #1",
						"11": "y #1",
						"12": "y #1",
						"37": "a #1 #2 #3",
						"11.1": "y #1",
						"11.5": "y #1",
						"12.1": "y #1"
					},
					"and_chr": {
						"55": "a #1 #2 #3"
					},
					"and_ff": {
						"50": "a #1 #2 #3"
					},
					"ie_mob": {
						"10": "a #1 #2",
						"11": "a #1 #2"
					},
					"and_uc": {
						"11": "a #1 #2 #3"
					},
					"samsung": {
						"4": "a #1 #2 #3"
					}
				},
				"notes": "Not all mobile browsers offer print support; support listed for these is based on browser engine capability.",
				"notes_by_num": {
					"1": "Supports the `page-break-*` alias from the CSS 2.1 specification, but not the `break-*` properties from the latest spec.",
					"2": "Does not support `avoid` for `page-break-before` & `page-break-after` (only `page-break-inside`).",
					"3": "Treats the `left` and `right` values like `always`."
				},
				"usage_perc_y": 4.34,
				"usage_perc_a": 93.78,
				"ucprefix": false,
				"parent": "",
				"keywords": "page-break-before,page-break-after,page-break-inside,always,avoid",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-placeholder-shown": {
				"title": ":placeholder-shown CSS pseudo-class",
				"description": "Input elements can sometimes show placeholder text as a hint to the user on what to type in. See, for example, the placeholder attribute in HTML5. The :placeholder-shown pseudo-class matches an input element that is showing such placeholder text.",
				"spec": "http://www.w3.org/TR/selectors4/#placeholder",
				"status": "wd",
				"links": [
					{
						"url": "http://trac.webkit.org/changeset/172826",
						"title": "WebKit commit"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1069015",
						"title": "Firefox bug"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/12435951--placeholder-shown-css-pseudo-class",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "For support of styling the actual placeholder text itself, see [CSS ::placeholder](http://caniuse.com/#feat=css-placeholder)",
				"notes_by_num": {},
				"usage_perc_y": 62.14,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": ":placeholder-shown,placeholder-shown,placeholder",
				"ie_id": "",
				"chrome_id": "6404760559157248",
				"firefox_id": "",
				"webkit_id": "feature-css-selector-:placeholder-shown"
			},
			"broadcastchannel": {
				"title": "BroadcastChannel",
				"description": "BroadcastChannel allows scripts from the same origin but other browsing contexts (windows, workers) to send each other messages.",
				"spec": "https://html.spec.whatwg.org/multipage/comms.html#broadcasting-to-other-browsing-contexts",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/BroadcastChannel",
						"title": "MDN article"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 53.57,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "broadcast,channel,messaging",
				"ie_id": "",
				"chrome_id": "4585496197988352",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-crisp-edges": {
				"title": "Crisp edges/pixelated images",
				"description": "Scales images with an algorithm that preserves edges and contrast, without smoothing colors or introducing blur. This is intended for images such as pixel art. Official values that accomplish this for the `image-rendering` property are `crisp-edges` and `pixelated`.",
				"spec": "http://dev.w3.org/csswg/css-images-3/#valdef-image-rendering-crisp-edges",
				"status": "unoff",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/image-rendering",
						"title": "MDN article"
					},
					{
						"url": "http://updates.html5rocks.com/2015/01/pixelated",
						"title": "HTML5Rocks article"
					}
				],
				"categories": [
					"CSS",
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "a x #2 #5",
						"8": "a x #2 #5",
						"9": "a x #2 #5",
						"10": "a x #2 #5",
						"11": "a x #2 #5",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y x #3",
						"5": "y x #3",
						"6": "y x #3",
						"7": "y x #3",
						"8": "y x #3",
						"9": "y x #3",
						"10": "y x #3",
						"11": "y x #3",
						"12": "y x #3",
						"13": "y x #3",
						"14": "y x #3",
						"15": "y x #3",
						"16": "y x #3",
						"17": "y x #3",
						"18": "y x #3",
						"19": "y x #3",
						"20": "y x #3",
						"21": "y x #3",
						"22": "y x #3",
						"23": "y x #3",
						"24": "y x #3",
						"25": "y x #3",
						"26": "y x #3",
						"27": "y x #3",
						"28": "y x #3",
						"29": "y x #3",
						"30": "y x #3",
						"31": "y x #3",
						"32": "y x #3",
						"33": "y x #3",
						"34": "y x #3",
						"35": "y x #3",
						"36": "y x #3",
						"37": "y x #3",
						"38": "y x #3",
						"39": "y x #3",
						"40": "y x #3",
						"41": "y x #3",
						"42": "y x #3",
						"43": "y x #3",
						"44": "y x #3",
						"45": "y x #3",
						"46": "y x #3",
						"47": "y x #3",
						"48": "y x #3",
						"49": "y x #3",
						"50": "y x #3",
						"51": "y x #3",
						"52": "y x #3",
						"53": "y x #3",
						"3.5": "n",
						"3.6": "y x #3"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "y #4",
						"42": "y #4",
						"43": "y #4",
						"44": "y #4",
						"45": "y #4",
						"46": "y #4",
						"47": "y #4",
						"48": "y #4",
						"49": "y #4",
						"50": "y #4",
						"51": "y #4",
						"52": "y #4",
						"53": "y #4",
						"54": "y #4",
						"55": "y #4",
						"56": "y #4",
						"57": "y #4",
						"58": "y #4"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "a x #1",
						"7": "a x #3 #6",
						"8": "a x #3 #6",
						"9": "a x #3 #6",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "a x #3 #6",
						"7.1": "a x #3 #6",
						"9.1": "a x #3 #6",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y x #3",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "y #4",
						"29": "y #4",
						"30": "y #4",
						"31": "y #4",
						"32": "y #4",
						"33": "y #4",
						"34": "y #4",
						"35": "y #4",
						"36": "y #4",
						"37": "y #4",
						"38": "y #4",
						"39": "y #4",
						"40": "y #4",
						"41": "y #4",
						"42": "y #4",
						"43": "y #4",
						"44": "y #4",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "y x #3",
						"12.1": "y x #3"
					},
					"ios_saf": {
						"8": "a x #3 #6",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "a x #1 #6",
						"6.0-6.1": "a x #1 #6",
						"7.0-7.1": "a x #3 #6",
						"8.1-8.4": "a x #3 #6",
						"9.0-9.2": "a x #3 #6",
						"9.3": "a x #3 #6",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y #4",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "a x #1 #6"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "y x #3",
						"37": "y #4",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y x #3"
					},
					"and_chr": {
						"55": "y #4"
					},
					"and_ff": {
						"50": "y x #3"
					},
					"ie_mob": {
						"10": "a x #2 #5",
						"11": "a x #2 #5"
					},
					"and_uc": {
						"11": "a x #1 #6"
					},
					"samsung": {
						"4": "y #4"
					}
				},
				"notes": "Note that prefixes apply to the value (e.g. `-moz-crisp-edges`), not the `image-rendering` property.",
				"notes_by_num": {
					"1": "Supported using the non-standard value `-webkit-optimize-contrast`",
					"2": "Internet Explorer accomplishes support using the non-standard declaration `-ms-interpolation-mode: nearest-neighbor`",
					"3": "Supports the `crisp-edges` value, but not `pixelated`.",
					"4": "Supports the `pixelated` value, but not `crisp-edges`.",
					"5": "Only works on `<img>`, not CSS backgrounds or `<canvas>`.",
					"6": "Only works on `<img>` and CSS backgrounds, _not_ `<canvas>`. "
				},
				"usage_perc_y": 71.42,
				"usage_perc_a": 17.05,
				"ucprefix": false,
				"parent": "",
				"keywords": "image-rendering,crisp-edges",
				"ie_id": "",
				"chrome_id": "5118058116939776",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-text-align-last": {
				"title": "CSS3 text-align-last",
				"description": "CSS property to describe how the last line of a block or a line right before a forced line break when `text-align` is `justify`.",
				"spec": "http://www.w3.org/TR/css3-text/#text-align-last-property",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/text-align-last",
						"title": "MDN text-align-last"
					},
					{
						"url": "http://blogs.adobe.com/webplatform/2014/02/25/improving-your-sites-visual-details-css3-text-align-last/",
						"title": "Adobe Web Platform Article"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"5.5": "a #1"
					},
					"edge": {
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y x",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n d #2",
						"36": "n d #2",
						"37": "n d #2",
						"38": "n d #2",
						"39": "n d #2",
						"40": "n d #2",
						"41": "n d #2",
						"42": "n d #2",
						"43": "n d #2",
						"44": "n d #2",
						"45": "n d #2",
						"46": "n d #2",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n d #3",
						"23": "n d #3",
						"24": "n d #3",
						"25": "n d #3",
						"26": "n d #3",
						"27": "n d #3",
						"28": "n d #3",
						"29": "n d #3",
						"30": "n d #3",
						"31": "n d #3",
						"32": "n d #3",
						"33": "n d #3",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a #1",
						"11": "a #1"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "In Internet Explorer, the start and end values are not supported.",
					"2": "Enabled through the \"Enable Experimental Web Platform Features\" flag in chrome://flags",
					"3": "Enabled through the \"Enable Experimental Web Platform Features\" flag in opera://flags"
				},
				"usage_perc_y": 58.1,
				"usage_perc_a": 6.72,
				"ucprefix": false,
				"parent": "",
				"keywords": "text align last",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-logical-props": {
				"title": "CSS Logical Properties",
				"description": "Use start/end properties that depend on LTR or RTL writing direction instead of left/right",
				"spec": "http://dev.w3.org/csswg/css-logical-props/",
				"status": "unoff",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/-moz-margin-start",
						"title": "MDN -moz-margin-start"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/-moz-padding-start",
						"title": "MDN -moz-padding-start"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/7438435-css-logical-properties",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"CSS",
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "a x #1",
						"4": "a x #1",
						"5": "a x #1",
						"6": "a x #1",
						"7": "a x #1",
						"8": "a x #1",
						"9": "a x #1",
						"10": "a x #1",
						"11": "a x #1",
						"12": "a x #1",
						"13": "a x #1",
						"14": "a x #1",
						"15": "a x #1",
						"16": "a x #1",
						"17": "a x #1",
						"18": "a x #1",
						"19": "a x #1",
						"20": "a x #1",
						"21": "a x #1",
						"22": "a x #1",
						"23": "a x #1",
						"24": "a x #1",
						"25": "a x #1",
						"26": "a x #1",
						"27": "a x #1",
						"28": "a x #1",
						"29": "a x #1",
						"30": "a x #1",
						"31": "a x #1",
						"32": "a x #1",
						"33": "a x #1",
						"34": "a x #1",
						"35": "a x #1",
						"36": "a x #1",
						"37": "a x #1",
						"38": "a x #1",
						"39": "a x #1",
						"40": "a x #1",
						"41": "a x #1",
						"42": "a x #1",
						"43": "a x #1",
						"44": "a x #1",
						"45": "a x #1",
						"46": "a x #1",
						"47": "a x #1",
						"48": "a x #1",
						"49": "a x #1",
						"50": "a x #1",
						"51": "a x #1",
						"52": "a x #1",
						"53": "a x #1",
						"3.5": "a x #1",
						"3.6": "a x #1"
					},
					"chrome": {
						"4": "a x #2",
						"5": "a x #2",
						"6": "a x #2",
						"7": "a x #2",
						"8": "a x #2",
						"9": "a x #2",
						"10": "a x #2",
						"11": "a x #2",
						"12": "a x #2",
						"13": "a x #2",
						"14": "a x #2",
						"15": "a x #2",
						"16": "a x #2",
						"17": "a x #2",
						"18": "a x #2",
						"19": "a x #2",
						"20": "a x #2",
						"21": "a x #2",
						"22": "a x #2",
						"23": "a x #2",
						"24": "a x #2",
						"25": "a x #2",
						"26": "a x #2",
						"27": "a x #2",
						"28": "a x #2",
						"29": "a x #2",
						"30": "a x #2",
						"31": "a x #2",
						"32": "a x #2",
						"33": "a x #2",
						"34": "a x #2",
						"35": "a x #2",
						"36": "a x #2",
						"37": "a x #2",
						"38": "a x #2",
						"39": "a x #2",
						"40": "a x #2",
						"41": "a x #2",
						"42": "a x #2",
						"43": "a x #2",
						"44": "a x #2",
						"45": "a x #2",
						"46": "a x #2",
						"47": "a x #2",
						"48": "a x #2",
						"49": "a x #2",
						"50": "a x #2",
						"51": "a x #2",
						"52": "a x #2",
						"53": "a x #2",
						"54": "a x #2",
						"55": "a x #2",
						"56": "a x #2",
						"57": "a x #2",
						"58": "a x #2"
					},
					"safari": {
						"4": "a x #2",
						"5": "a x #2",
						"6": "a x #2",
						"7": "a x #2",
						"8": "a x #2",
						"9": "a x #2",
						"10": "a x #2",
						"3.1": "a x #2",
						"3.2": "a x #2",
						"5.1": "a x #2",
						"6.1": "a x #2",
						"7.1": "a x #2",
						"9.1": "a x #2",
						"TP": "a x #2"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "a x #2",
						"16": "a x #2",
						"17": "a x #2",
						"18": "a x #2",
						"19": "a x #2",
						"20": "a x #2",
						"21": "a x #2",
						"22": "a x #2",
						"23": "a x #2",
						"24": "a x #2",
						"25": "a x #2",
						"26": "a x #2",
						"27": "a x #2",
						"28": "a x #2",
						"29": "a x #2",
						"30": "a x #2",
						"31": "a x #2",
						"32": "a x #2",
						"33": "a x #2",
						"34": "a x #2",
						"35": "a x #2",
						"36": "a x #2",
						"37": "a x #2",
						"38": "a x #2",
						"39": "a x #2",
						"40": "a x #2",
						"41": "a x #2",
						"42": "a x #2",
						"43": "a x #2",
						"44": "a x #2",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "a x #2",
						"3.2": "a x #2",
						"4.0-4.1": "a x #2",
						"4.2-4.3": "a x #2",
						"5.0-5.1": "a x #2",
						"6.0-6.1": "a x #2",
						"7.0-7.1": "a x #2",
						"8.1-8.4": "a x #2",
						"9.0-9.2": "a x #2",
						"9.3": "a x #2",
						"10-10.1": "a x #2"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a x #2",
						"4": "a x #2",
						"53": "a x #2",
						"2.1": "a x #2",
						"2.2": "a x #2",
						"2.3": "a x #2",
						"4.1": "a x #2",
						"4.2-4.3": "a x #2",
						"4.4": "a x #2",
						"4.4.3-4.4.4": "a x #2"
					},
					"bb": {
						"7": "a x #2",
						"10": "a x #2"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a x #2",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "a x #2"
					},
					"and_ff": {
						"50": "a x #1"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "a x #2"
					},
					"samsung": {
						"4": "a x #2"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Only supports the *-start, and *-end values for `margin`, `border` and `padding`, not the inline/block type values as defined in the spec.",
					"2": "Like #1 but also supports `*-before` and `*-end` for `*-block-start` and `*-block-end` properties as well as `start` and `end` values for `text-align`"
				},
				"usage_perc_y": 0,
				"usage_perc_a": 87.04,
				"ucprefix": false,
				"parent": "",
				"keywords": "margin-start,margin-end,padding-start,padding-end,border-start,border-end,inline-start,inline-end,block-start,block-end",
				"ie_id": "csslogicalpropertieslevel1",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"fetch": {
				"title": "Fetch",
				"description": "A modern replacement for XMLHttpRequest.",
				"spec": "https://fetch.spec.whatwg.org/",
				"status": "ls",
				"links": [
					{
						"url": "https://github.com/github/fetch",
						"title": "Polyfill"
					},
					{
						"url": "http://addyosmani.com/demos/fetch-api/",
						"title": "Demo"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n d #1 #4",
						"35": "n d #1 #4",
						"36": "n d #1 #4",
						"37": "n d #1 #4",
						"38": "n d #1 #4",
						"39": "y #4",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "a #2",
						"41": "a #2 #3",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "a #2",
						"28": "a #2 #3",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support can be enabled in Firefox with the `dom.fetch.enabled` flag.",
					"2": "Only available in Chrome and Opera within ServiceWorkers.",
					"3": "Available in Chrome and Opera within Window and Workers by enabling the \"Experimental Web Platform Features\" flag in `chrome://flags`",
					"4": "Firefox <40 is not completely conforming to the specs and does not respect the <base> tag for relative URIs in fetch requests. https://bugzilla.mozilla.org/show_bug.cgi?id=1161625",
					"5": "Appears to exist in Safari Technology Preview but does not work in current build. Should work in [next preview build](https://twitter.com/xeenon/status/715379838081576960)",
					"6": "Can be enabled in `about:flags`"
				},
				"usage_perc_y": 63.37,
				"usage_perc_a": 0.13,
				"ucprefix": false,
				"parent": "",
				"keywords": "fetch,service,workers,xhr,xmlhttprequest",
				"ie_id": "fetchapi",
				"chrome_id": "6730533392351232",
				"firefox_id": "fetch",
				"webkit_id": "specification-fetch-api"
			},
			"referrer-policy": {
				"title": "Referrer Policy",
				"description": "Allow control of HTTP referrers via the referrer meta tag.",
				"spec": "http://w3c.github.io/webappsec/specs/referrer-policy/",
				"status": "wd",
				"links": [
					{
						"url": "https://blog.mozilla.org/security/2015/01/21/meta-referrer/",
						"title": "Mozilla security article"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "a #1",
						"9.1": "a #1",
						"TP": "a #1"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "a #1",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "a #1",
						"9.0-9.2": "a #1",
						"9.3": "a #1",
						"10-10.1": "a #1"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Supports an [older draft](https://wiki.whatwg.org/wiki/Meta_referrer) of the specification with `never`, `always`, `origin` & `default` values.\r\n"
				},
				"usage_perc_y": 59.71,
				"usage_perc_a": 12.69,
				"ucprefix": false,
				"parent": "",
				"keywords": "meta,referrer,referer",
				"ie_id": "metareferrer",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"background-attachment": {
				"title": "CSS background-attachment",
				"description": "Method of defining how a background image is attached to a scrollable element. Values include `scroll` (default), `fixed` and `local`.",
				"spec": "http://www.w3.org/TR/css3-background/#the-background-attachment",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/background-attachment",
						"title": "MDN article"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "a #1"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "a #1",
						"3": "a #1",
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a #1",
						"3.6": "a #1"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a #1",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "a #1",
						"3.2": "a #1",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "a #1",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "a #1",
						"10.0-10.1": "a #1",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "a #2 #3",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "a #2 #3",
						"6.0-6.1": "a #2 #3",
						"7.0-7.1": "a #2 #3",
						"8.1-8.4": "a #2 #3",
						"9.0-9.2": "a #2 #3",
						"9.3": "a #2 #3",
						"10-10.1": "a #2 #3"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "a #1",
						"4.2-4.3": "a #1",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "a #2",
						"10": "a #2"
					},
					"op_mob": {
						"10": "a #1",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "a #4"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "a #1"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "Most mobile devices have a delay in updating the background position after scrolling a page with `fixed` backgrounds.",
				"notes_by_num": {
					"1": "Partial support refers to supporting `fixed` but not `local`",
					"2": "Partial support refers to supporting `local` but not `fixed`",
					"3": "Only supports `local` when `-webkit-overflow-scrolling: touch` is _not_ used",
					"4": "Does not support `fixed`, and due [to a bug](https://crbug.com/627037) only supports `local` if a `border-radius` is set on the element."
				},
				"usage_perc_y": 44.87,
				"usage_perc_a": 43.64,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"currentcolor": {
				"title": "CSS currentColor value",
				"description": "A CSS value that will apply the existing `color` value to other properties like `background-color`, etc. ",
				"spec": "http://www.w3.org/TR/css3-color/#currentcolor",
				"status": "rec",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/color_value#currentColor_keyword",
						"title": "MDN article"
					},
					{
						"url": "http://css-tricks.com/currentcolor/",
						"title": "CSS Tricks article"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 97.67,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"input-pattern": {
				"title": "Pattern attribute for input fields",
				"description": "Allows validation of an input field based on a given regular expression pattern.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#the-pattern-attribute",
				"status": "ls",
				"links": [
					{
						"url": "http://html5pattern.com",
						"title": "Site with common sample patterns"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "u",
						"6": "a #1 #2",
						"7": "a #1 #2",
						"8": "a #1 #2",
						"9": "a #1 #2",
						"10": "a #1 #2",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a #1 #2",
						"6.1": "a #1 #2",
						"7.1": "a #1 #2",
						"9.1": "a #1 #2",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "a #1 #2",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "a #1 #2",
						"6.0-6.1": "a #1 #2",
						"7.0-7.1": "a #1 #2",
						"8.1-8.4": "a #1 #2",
						"9.0-9.2": "a #1 #2",
						"9.3": "a #1 #2",
						"10-10.1": "a #1 #2"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "a #1",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a #1",
						"11": "a #1"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to not displaying a message for invalid patterns",
					"2": "Safari browsers support the `pattern` attribute but will still allow forms to be submitted if the pattern is incorrect. See the [form validation data](http://caniuse.com/#feat=form-validation) for details."
				},
				"usage_perc_y": 78.75,
				"usage_perc_a": 12.38,
				"ucprefix": false,
				"parent": "form-validation",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"registerprotocolhandler": {
				"title": "Custom protocol handling",
				"description": "Method of allowing a webpage to handle a given protocol using `navigator.registerProtocolHandler`. This allows certain URLs to be opened by a given web application, for example `mailto:` addresses can be opened by a webmail client.",
				"spec": "https://html.spec.whatwg.org/multipage/webappapis.html#custom-handlers",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Navigator/registerProtocolHandler",
						"title": "MDN article"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "y #1",
						"14": "y #1",
						"15": "y #1",
						"16": "y #1",
						"17": "y #1",
						"18": "y #1",
						"19": "y #1",
						"20": "y #1",
						"21": "y #1",
						"22": "y #1",
						"23": "y #1",
						"24": "y #1",
						"25": "y #1",
						"26": "y #1",
						"27": "y #1",
						"28": "y #1",
						"29": "y #1",
						"30": "y #1",
						"31": "y #1",
						"32": "y #1",
						"33": "y #1",
						"34": "y #1",
						"35": "y #1",
						"36": "y #1",
						"37": "y #1",
						"38": "y #1",
						"39": "y #1",
						"40": "y #1",
						"41": "y #1",
						"42": "y #1",
						"43": "y #1",
						"44": "y #1",
						"45": "y #1",
						"46": "y #1",
						"47": "y #1",
						"48": "y #1",
						"49": "y #1",
						"50": "y #1",
						"51": "y #1",
						"52": "y #1",
						"53": "y #1",
						"54": "y #1",
						"55": "y #1",
						"56": "y #1",
						"57": "y #1",
						"58": "y #1"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y #1",
						"15": "y #1",
						"16": "y #1",
						"17": "y #1",
						"18": "y #1",
						"19": "y #1",
						"20": "y #1",
						"21": "y #1",
						"22": "y #1",
						"23": "y #1",
						"24": "y #1",
						"25": "y #1",
						"26": "y #1",
						"27": "y #1",
						"28": "y #1",
						"29": "y #1",
						"30": "y #1",
						"31": "y #1",
						"32": "y #1",
						"33": "y #1",
						"34": "y #1",
						"35": "y #1",
						"36": "y #1",
						"37": "y #1",
						"38": "y #1",
						"39": "y #1",
						"40": "y #1",
						"41": "y #1",
						"42": "y #1",
						"43": "y #1",
						"44": "y #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "y #1",
						"12.1": "y #1"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "y #1"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Supports protocols `mailto`, `mms`, `nntp`, `rtsp`, and `webcal` but requires custom protocols to start with `web+`"
				},
				"usage_perc_y": 36.09,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-snappoints": {
				"title": "CSS Scroll snap points",
				"description": "CSS technique that allows customizable scrolling experiences like pagination of carousels by setting defined snap points.",
				"spec": "http://www.w3.org/TR/css-snappoints-1/",
				"status": "wd",
				"links": [
					{
						"url": "http://generatedcontent.org/post/66817675443/setting-native-like-scrolling-offsets-in-css-with",
						"title": "Blog post"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_Scroll_Snap_Points",
						"title": "MDN Documentation for CSS Scroll snap points"
					},
					{
						"url": "https://github.com/ckrack/scrollsnap-polyfill",
						"title": "Polyfill"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a x #1",
						"11": "a x #2",
						"5.5": "n"
					},
					"edge": {
						"12": "a x #2",
						"13": "a x #2",
						"14": "a x #2",
						"15": "a x #2"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a x #4",
						"10": "a x #4",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "a x #4",
						"TP": "a x #4"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "Works in the iOS WKWebView, but not UIWebView.",
				"notes_by_num": {
					"1": "Partial support in IE10 refers to support limited to touch screens.",
					"2": "Partial support in IE11 [documented here](https://dl.dropboxusercontent.com/u/444684/openwebref/CSS/scroll-snap-points/support.html)",
					"3": "Can be enabled in Firefox using the `layout.css.scroll-snap.enabled` flag in `about:config`",
					"4": "Partial support in Safari refers to not supporting the `none` keyword in `scroll-snap-points-x`, `scroll-snap-points-y` and `scroll-snap-coordinate`, and length keywords (`top`, `right`, etc.) in `scroll-snap-destination` and `scroll-snap-coordinate`."
				},
				"usage_perc_y": 15.03,
				"usage_perc_a": 7.48,
				"ucprefix": false,
				"parent": "",
				"keywords": "scroll-snap-points-x,scroll-snap-points-y,scroll-snap-type,scroll-snap-destination,scroll-snap-coordinate",
				"ie_id": "cssscrollsnappoints",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": "specification-css-scroll-snap-points-module-level-1"
			},
			"input-minlength": {
				"title": "Minimum length attribute for input fields",
				"description": "Declares a lower bound on the number of characters a user can input.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#the-maxlength-and-minlength-attributes",
				"status": "ls",
				"links": [
					{
						"url": "http://www.w3.org/TR/html5/forms.html#setting-minimum-input-length-requirements:-the-minlength-attribute",
						"title": "W3C usage example"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6565212-minlength-attribute",
						"title": "Microsoft Edge feature request on UserVoice"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=932755",
						"title": "Firefox tracking bug"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=149832",
						"title": "WebKit feature request bug"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "The [`pattern` attribute](http://caniuse.com/#feat=input-pattern) can be used [as an alternative](http://stackoverflow.com/a/10294291) solution for browsers without support.",
				"notes_by_num": {},
				"usage_perc_y": 52.62,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "form-validation",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "6023370181181440",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-media-interaction": {
				"title": "Media Queries: interaction media features",
				"description": "Allows a media query to be set based on the presence and accuracy of the user's pointing device, and whether they have the ability to hover over elements on the page. This includes the `pointer`, `any-pointer`, `hover`, and `any-hover` media features.",
				"spec": "http://www.w3.org/TR/mediaqueries-4/#mf-interaction",
				"status": "wd",
				"links": [
					{
						"url": "http://jordanm.co.uk/2013/11/11/potential-use-cases-for-script-hover-and-pointer.html",
						"title": "Potential use cases for script, hover and pointer CSS Level 4 Media Features"
					},
					{
						"url": "https://dev.opera.com/articles/media-features/",
						"title": "Interaction Media Features and their potential (for incorrect assumptions)"
					},
					{
						"url": "https://github.com/twbs/mq4-hover-shim",
						"title": "Polyfill for the `hover` media feature"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 64.8,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "css-mediaqueries",
				"keywords": "@media,interaction,hover,any-hover,css pointer,any-pointer,pointer:coarse,pointer:fine",
				"ie_id": "mediaquerieslevel4pointerandhover",
				"chrome_id": "6460705494532096",
				"firefox_id": "",
				"webkit_id": ""
			},
			"ime": {
				"title": "Input Method Editor API",
				"description": "Provides scripted access to the Input Method Editor (IME). An IME is often used to input characters from East Asian languages by typing roman characters and selecting from the resulting suggestions.",
				"spec": "http://www.w3.org/TR/ime-api/",
				"status": "wd",
				"links": [
					{
						"url": "http://blogs.msdn.com/b/ie/archive/2014/03/31/building-better-input-experience-for-east-asian-users-with-the-ime-api-in-ie11.aspx",
						"title": "Building Better Input Experience for East Asian Users with the IME API in IE11"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y x #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y x #1",
						"13": "y x #1",
						"14": "y x #1",
						"15": "y x #1"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "y x #1"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Prefixed implementation uses `msGetInputContext()` method from an earlier version of the spec to get the `InputMethodContext`, rather than the `inputMethodContext` attribute. Also includes support for `getCompositionAlternatives()` from the latest Editor'"
				},
				"usage_perc_y": 5.66,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "ime,cjk,input,internationalization,inputMethodContext,candidatewindow,composition",
				"ie_id": "imeapi",
				"chrome_id": "6366722080636928",
				"firefox_id": "",
				"webkit_id": ""
			},
			"font-smooth": {
				"title": "CSS font-smooth",
				"description": "Controls the application of anti-aliasing when fonts are rendered.",
				"spec": "http://www.w3.org/TR/WD-font/#font-smooth",
				"status": "unoff",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/font-smooth",
						"title": "MDN article"
					},
					{
						"url": "http://www.w3.org/TR/WD-font/#font-smooth",
						"title": "Old version of W3C recommendation containing font-smooth"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "a x #2 #3",
						"26": "a x #2 #3",
						"27": "a x #2 #3",
						"28": "a x #2 #3",
						"29": "a x #2 #3",
						"30": "a x #2 #3",
						"31": "a x #2 #3",
						"32": "a x #2 #3",
						"33": "a x #2 #3",
						"34": "a x #2 #3",
						"35": "a x #2 #3",
						"36": "a x #2 #3",
						"37": "a x #2 #3",
						"38": "a x #2 #3",
						"39": "a x #2 #3",
						"40": "a x #2 #3",
						"41": "a x #2 #3",
						"42": "a x #2 #3",
						"43": "a x #2 #3",
						"44": "a x #2 #3",
						"45": "a x #2 #3",
						"46": "a x #2 #3",
						"47": "a x #2 #3",
						"48": "a x #2 #3",
						"49": "a x #2 #3",
						"50": "a x #2 #3",
						"51": "a x #2 #3",
						"52": "a x #2 #3",
						"53": "a x #2 #3",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "a x #1 #3",
						"6": "a x #1 #3",
						"7": "a x #1 #3",
						"8": "a x #1 #3",
						"9": "a x #1 #3",
						"10": "a x #1 #3",
						"11": "a x #1 #3",
						"12": "a x #1 #3",
						"13": "a x #1 #3",
						"14": "a x #1 #3",
						"15": "a x #1 #3",
						"16": "a x #1 #3",
						"17": "a x #1 #3",
						"18": "a x #1 #3",
						"19": "a x #1 #3",
						"20": "a x #1 #3",
						"21": "a x #1 #3",
						"22": "a x #1 #3",
						"23": "a x #1 #3",
						"24": "a x #1 #3",
						"25": "a x #1 #3",
						"26": "a x #1 #3",
						"27": "a x #1 #3",
						"28": "a x #1 #3",
						"29": "a x #1 #3",
						"30": "a x #1 #3",
						"31": "a x #1 #3",
						"32": "a x #1 #3",
						"33": "a x #1 #3",
						"34": "a x #1 #3",
						"35": "a x #1 #3",
						"36": "a x #1 #3",
						"37": "a x #1 #3",
						"38": "a x #1 #3",
						"39": "a x #1 #3",
						"40": "a x #1 #3",
						"41": "a x #1 #3",
						"42": "a x #1 #3",
						"43": "a x #1 #3",
						"44": "a x #1 #3",
						"45": "a x #1 #3",
						"46": "a x #1 #3",
						"47": "a x #1 #3",
						"48": "a x #1 #3",
						"49": "a x #1 #3",
						"50": "a x #1 #3",
						"51": "a x #1 #3",
						"52": "a x #1 #3",
						"53": "a x #1 #3",
						"54": "a x #1 #3",
						"55": "a x #1 #3",
						"56": "a x #1 #3",
						"57": "a x #1 #3",
						"58": "a x #1 #3"
					},
					"safari": {
						"4": "a x #1 #3",
						"5": "a x #1 #3",
						"6": "a x #1 #3",
						"7": "a x #1 #3",
						"8": "a x #1 #3",
						"9": "a x #1 #3",
						"10": "a x #1 #3",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a x #1 #3",
						"6.1": "a x #1 #3",
						"7.1": "a x #1 #3",
						"9.1": "a x #1 #3",
						"TP": "a x #1 #3"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "a x #1 #3",
						"16": "a x #1 #3",
						"17": "a x #1 #3",
						"18": "a x #1 #3",
						"19": "a x #1 #3",
						"20": "a x #1 #3",
						"21": "a x #1 #3",
						"22": "a x #1 #3",
						"23": "a x #1 #3",
						"24": "a x #1 #3",
						"25": "a x #1 #3",
						"26": "a x #1 #3",
						"27": "a x #1 #3",
						"28": "a x #1 #3",
						"29": "a x #1 #3",
						"30": "a x #1 #3",
						"31": "a x #1 #3",
						"32": "a x #1 #3",
						"33": "a x #1 #3",
						"34": "a x #1 #3",
						"35": "a x #1 #3",
						"36": "a x #1 #3",
						"37": "a x #1 #3",
						"38": "a x #1 #3",
						"39": "a x #1 #3",
						"40": "a x #1 #3",
						"41": "a x #1 #3",
						"42": "a x #1 #3",
						"43": "a x #1 #3",
						"44": "a x #1 #3",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "Though present in early (2002) drafts of CSS3 Fonts, `font-smooth` has been removed from this specification and is currently not on the standard track.",
				"notes_by_num": {
					"1": "Webkit implements something similar with a different name `-webkit-font-smoothing` and different values: `none`, `antialiased` and `subpixel-antialiased`.",
					"2": "Firefox implements something similar with a different name `-moz-osx-font-smoothing` and different values: `auto`, `inherit`, `unset`, `grayscale`.",
					"3": "Works only on Mac OS X platform."
				},
				"usage_perc_y": 0,
				"usage_perc_a": 38.05,
				"ucprefix": false,
				"parent": "",
				"keywords": "font smooth,font smoothing,-webkit-font-smoothing,-moz-osx-font-smoothing",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"audiotracks": {
				"title": "Audio Tracks",
				"description": "Method of specifying and selecting between multiple audio tracks. Useful for providing audio descriptions, director's commentary, additional languages, alternative takes, etc.",
				"spec": "https://html.spec.whatwg.org/multipage/embedded-content.html#audiotracklist-and-videotracklist-objects",
				"status": "ls",
				"links": [
					{
						"url": "https://msdn.microsoft.com/en-US/library/hh772483%28v=vs.85%29.aspx",
						"title": "MSDN article"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n d #1",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "n d #1",
						"38": "n d #1",
						"39": "n d #1",
						"40": "n d #1",
						"41": "n d #1",
						"42": "n d #1",
						"43": "n d #1",
						"44": "n d #1",
						"45": "n d #1",
						"46": "n d #1",
						"47": "n d #1",
						"48": "n d #1",
						"49": "n d #1",
						"50": "n d #1",
						"51": "n d #1",
						"52": "n d #1",
						"53": "n d #1",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Supported in Firefox by enabling \"media.track.enabled\" in about:config"
				},
				"usage_perc_y": 17.46,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "AudioTrack,AudioTrackList,media,multiple,selection",
				"ie_id": "audiotracks",
				"chrome_id": "5748496434987008",
				"firefox_id": "",
				"webkit_id": ""
			},
			"videotracks": {
				"title": "Video Tracks",
				"description": "Method of specifying and selecting between multiple video tracks. Useful for providing sign language tracks, burnt-in captions or subtitles, alternative camera angles, etc.",
				"spec": "https://html.spec.whatwg.org/multipage/embedded-content.html#audiotracklist-and-videotracklist-objects",
				"status": "ls",
				"links": [
					{
						"url": "https://msdn.microsoft.com/en-US/library/dn806262%28v=vs.85%29.aspx",
						"title": "MSDN article"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 12.97,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "VideoTrack,VideoTrackList,media,multiple,selection",
				"ie_id": "videotracks",
				"chrome_id": "5748496434987008",
				"firefox_id": "",
				"webkit_id": ""
			},
			"contentsecuritypolicy2": {
				"title": "Content Security Policy Level 2",
				"description": "Mitigate cross-site scripting attacks by whitelisting allowed sources of script, style, and other resources. CSP 2 adds hash-source, nonce-source, and five new directives",
				"spec": "http://www.w3.org/TR/CSP/",
				"status": "cr",
				"links": [
					{
						"url": "http://html5rocks.com/en/tutorials/security/content-security-policy/",
						"title": "HTML5Rocks article"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #2",
						"36": "a #3",
						"37": "a #3",
						"38": "a #3",
						"39": "a #3",
						"40": "a #3",
						"41": "a #3",
						"42": "a #3",
						"43": "a #3",
						"44": "a #3",
						"45": "a #7",
						"46": "a #7",
						"47": "a #7",
						"48": "a #7",
						"49": "a #7",
						"50": "a #7",
						"51": "a #7",
						"52": "a #7",
						"53": "a #7",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "a #4",
						"37": "a #4",
						"38": "a #4",
						"39": "a #5",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "a #4",
						"24": "a #4",
						"25": "a #4",
						"26": "a #5",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "a #6"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Firefox 31-34 is missing the plugin-types, child-src, frame-ancestors, base-uri, and form-action directives.",
					"2": "Firefox 35 is missing the plugin-types, child-src, frame-ancestors, and form-action directives.",
					"3": "Firefox 36-44 is missing the plugin-types and child-src directives.",
					"4": "Chrome 36-38 & Opera 23-25 are missing the plugin-types, child-src, frame-ancestors, base-uri, and form-action directives.",
					"5": "Chrome 39 and Opera 26 are missing the plugin-types, child-src, base-uri, and form-action directives.",
					"6": "Firefox 38 on Android is missing the child-src directive.",
					"7": "Firefox 45+ is missing the plugin-types directive."
				},
				"usage_perc_y": 65.75,
				"usage_perc_a": 6.75,
				"ucprefix": false,
				"parent": "",
				"keywords": "csp,header,nonce,hash",
				"ie_id": "contentsecuritypolicylevel2",
				"chrome_id": "4957003285790720",
				"firefox_id": "",
				"webkit_id": ""
			},
			"permissions-api": {
				"title": "Permissions API",
				"description": "High-level JavaScript API for checking and requesting permissions",
				"spec": "https://w3c.github.io/permissions/",
				"status": "unoff",
				"links": [
					{
						"url": "http://updates.html5rocks.com/2015/04/permissions-api-for-the-web",
						"title": "Permission API samples and examples"
					},
					{
						"url": "https://github.com/jimmywarting/browser-su",
						"title": "Extended \"polyfill\" version of permission API"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 61.25,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "web-permissions,navigator.permissions",
				"ie_id": "",
				"chrome_id": "6376494003650560",
				"firefox_id": "permissions",
				"webkit_id": ""
			},
			"http2": {
				"title": "HTTP/2 protocol",
				"description": "Networking protocol for low-latency transport of content over the web. Originally started out from the SPDY protocol, now standardized as HTTP version 2.",
				"spec": "http://http2.github.io/http2-spec/index.html",
				"status": "other",
				"links": [
					{
						"url": "http://en.wikipedia.org/wiki/HTTP/2",
						"title": "Wikipedia"
					},
					{
						"url": "https://http2.akamai.com/demo",
						"title": "Browser support test"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "a #1 #2",
						"5.5": "n"
					},
					"edge": {
						"12": "y #2",
						"13": "y #2",
						"14": "y #2",
						"15": "y #2"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "y #2",
						"37": "y #2",
						"38": "y #2",
						"39": "y #2",
						"40": "y #2",
						"41": "y #2",
						"42": "y #2",
						"43": "y #2",
						"44": "y #2",
						"45": "y #2",
						"46": "y #2",
						"47": "y #2",
						"48": "y #2",
						"49": "y #2",
						"50": "y #2",
						"51": "y #2",
						"52": "y #2",
						"53": "y #2",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "y #2",
						"42": "y #2",
						"43": "y #2",
						"44": "y #2",
						"45": "y #2",
						"46": "y #2",
						"47": "y #2",
						"48": "y #2",
						"49": "y #2",
						"50": "y #2",
						"51": "y #2 #4",
						"52": "y #2 #4",
						"53": "y #2 #4",
						"54": "y #2 #4",
						"55": "y #2 #4",
						"56": "y #2 #4",
						"57": "y #2 #4",
						"58": "y #2 #4"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a #2 #3",
						"10": "a #2 #3",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "a #2 #3",
						"TP": "a #2 #3"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "y #2",
						"29": "y #2",
						"30": "y #2",
						"31": "y #2",
						"32": "y #2",
						"33": "y #2",
						"34": "y #2",
						"35": "y #2",
						"36": "y #2",
						"37": "y #2",
						"38": "y #2 #4",
						"39": "y #2 #4",
						"40": "y #2 #4",
						"41": "y #2 #4",
						"42": "y #2 #4",
						"43": "y #2 #4",
						"44": "y #2 #4",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "y #2",
						"9.3": "y #2",
						"10-10.1": "y #2"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y #2",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y #2",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y #2 #4"
					},
					"and_ff": {
						"50": "y #2"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y #2"
					}
				},
				"notes": "See also support for [the SPDY protocol](http://caniuse.com/#feat=spdy), precursor of HTTP2.",
				"notes_by_num": {
					"1": "Partial support in IE11 refers to being limited to Windows 10.",
					"2": "Only supports HTTP2 over TLS (https)",
					"3": "Partial support in Safari refers to being limited to OSX 10.11+",
					"4": "Only supports HTTP2 if servers support protocol negotiation via ALPN"
				},
				"usage_perc_y": 72.62,
				"usage_perc_a": 5.71,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "http2",
				"chrome_id": "5152586365665280",
				"firefox_id": "http2",
				"webkit_id": ""
			},
			"font-kerning": {
				"title": "CSS3 font-kerning",
				"description": "Controls the usage of the kerning information (spacing between letters) stored in the font. Note that this only affects OpenType fonts with kerning information, it has no effect on other fonts.",
				"spec": "http://www.w3.org/TR/css3-fonts/#font-kerning-prop",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/font-kerning",
						"title": "MDN article"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n d #1",
						"25": "n d #1",
						"26": "n d #1",
						"27": "n d #1",
						"28": "n d #1",
						"29": "n d #1",
						"30": "n d #1",
						"31": "n d #1",
						"32": "n d #1",
						"33": "n d #1",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "y x",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "y x",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y x",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y x"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Browsers with support for [font feature settings](http://caniuse.com/#feat=font-feature) can also set kerning value.",
				"notes_by_num": {
					"1": "Disabled by default, can be enabled using preference layout.css.font-features.enabled - defaulting to true on Nightly and Aurora only."
				},
				"usage_perc_y": 85.08,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"jpeg2000": {
				"title": "JPEG 2000 image format",
				"description": "JPEG 2000 (JP2) was created by the Joint Photographic Experts Group committee in 2000 with the intention of superseding their original discrete cosine transform-based JPEG standard (created in 1992) with a newly designed, wavelet-based method. It offers some advantages in image fidelity over standard JPEG.",
				"spec": "http://www.itu.int/rec/T-REC-T.800-200208-I",
				"status": "other",
				"links": [
					{
						"url": "https://en.wikipedia.org/wiki/JPEG_2000",
						"title": "Wikipedia article"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "y #1",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y #1",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Not supported by Safari for Windows"
				},
				"usage_perc_y": 11.58,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "jp2,jpeg2000,jpeg 2000",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"upgradeinsecurerequests": {
				"title": "Upgrade Insecure Requests",
				"description": "Declare that browsers should transparently upgrade HTTP resources on a website to HTTPS.",
				"spec": "http://www.w3.org/TR/upgrade-insecure-requests/",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/Security/CSP/CSP_policy_directives#upgrade-insecure-requests",
						"title": "MDN article"
					},
					{
						"url": "https://googlechrome.github.io/samples/csp-upgrade-insecure-requests/index.html",
						"title": "Demo Website"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=143653",
						"title": "WebKit feature request bug"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "The HTTP header is `Content-Security-Policy: upgrade-insecure-requests`. Alternatively, the HTML tag is `<meta http-equiv=\"Content-Security-Policy\" content=\"upgrade-insecure-requests\">`.",
				"notes_by_num": {},
				"usage_perc_y": 61.96,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "security,header,uir,upgrade-insecure-requests",
				"ie_id": "upgradeinsecureresourcerequests",
				"chrome_id": "6534575509471232",
				"firefox_id": "",
				"webkit_id": ""
			},
			"publickeypinning": {
				"title": "Public Key Pinning",
				"description": "Declare that a website's HTTPS certificate should only be treated as valid if the public key is contained in a specified list to prevent MITM attacks that use valid CA-issued certificates.",
				"spec": "https://tools.ietf.org/html/rfc7469",
				"status": "other",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/Security/Public_Key_Pinning",
						"title": "MDN article"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "u",
						"21": "u",
						"22": "u",
						"23": "a",
						"24": "u",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "The HTTP header syntax is 'Public-Key-Pins: pin-sha256=\"base64==\"; max-age=expireTime [; includeSubdomains][; report-uri=\"reportURI\"]'.",
				"notes_by_num": {},
				"usage_perc_y": 62.23,
				"usage_perc_a": 0.01,
				"ucprefix": false,
				"parent": "",
				"keywords": "pkp,hpkp,security,header",
				"ie_id": "publickeypinningextensionforhttp",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"input-email-tel-url": {
				"title": "Email, telephone & URL input types",
				"description": "Text input fields intended for email addresses, telephone numbers or URLs. Particularly useful in combination with [form validation](http://caniuse.com/#feat=form-validation)",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#telephone-state-(type=tel)",
				"status": "ls",
				"links": [
					{
						"url": "http://www.htmlgoodies.com/html5/tutorials/whats-new-in-html5-forms-email-url-and-telephone-input-types.html#fbid=c9PEy7_9RZb",
						"title": "Article on usage"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "a #1",
						"2.2": "a #1",
						"2.3": "a #1",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a #1",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Browsers without support for these types will fall back to using the \"text\" type.",
				"notes_by_num": {
					"1": "Does not provide an email-specific keyboard for email addresses"
				},
				"usage_perc_y": 93.1,
				"usage_perc_a": 0.06,
				"ucprefix": false,
				"parent": "forms",
				"keywords": "input[type=email],input[type=tel],input[type=url]",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"fieldset-disabled": {
				"title": "disabled attribute of the fieldset element",
				"description": "Allows disabling all of the form control descendants of a fieldset via a `disabled` attribute on the fieldset element itself.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#attr-fieldset-disabled",
				"status": "ls",
				"links": [
					{
						"url": "http://output.jsbin.com/bibiqi/1/edit",
						"title": "JS Bin Testcase/Demo"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "a #1 #2",
						"7": "a #1 #2",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1 #2",
						"11": "a #1 #2",
						"5.5": "u"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "u",
						"17": "u",
						"18": "u",
						"19": "u",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "u",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "a #1 #2"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "a #2"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Text inputs that are descendants of a disabled fieldset appear disabled but the user can still interact with them. [See IE bug #962368.](https://connect.microsoft.com/IE/feedbackdetail/view/962368/can-still-edit-input-type-text-within-fieldset-disabled)",
					"2": "File inputs that are descendants of a disabled fieldset appear disabled but the user can still interact with them. [See IE bug #817488.](https://connect.microsoft.com/IE/feedbackdetail/view/817488)"
				},
				"usage_perc_y": 87.73,
				"usage_perc_a": 9.22,
				"ucprefix": false,
				"parent": "",
				"keywords": "HTMLFieldSetElement,fieldset,disabled",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"font-variant-alternates": {
				"title": "CSS font-variant-alternates",
				"description": "Controls the usage of alternate glyphs associated to alternative names defined in @font-feature-values for certain types of OpenType fonts.",
				"spec": "http://www.w3.org/TR/css-fonts-3/#propdef-font-variant-alternates",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/font-variant-alternates",
						"title": "Mozilla Developer Network"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n #1",
						"11": "n #1",
						"5.5": "n"
					},
					"edge": {
						"12": "n #1",
						"13": "n #1",
						"14": "n #1",
						"15": "n #1"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n #1",
						"5": "n #1",
						"6": "n #1",
						"7": "n #1",
						"8": "n #1",
						"9": "n #1",
						"10": "n #1",
						"11": "n #1",
						"12": "n #1",
						"13": "n #1",
						"14": "n #1",
						"15": "n #1",
						"16": "n #1",
						"17": "n #1",
						"18": "n #1",
						"19": "n #1",
						"20": "n #1",
						"21": "n #1",
						"22": "n #1",
						"23": "n #1",
						"24": "n d #2",
						"25": "n d #2",
						"26": "n d #2",
						"27": "n d #2",
						"28": "n d #2",
						"29": "n d #2",
						"30": "n d #2",
						"31": "n d #2",
						"32": "n d #2",
						"33": "n d #2",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n #1",
						"17": "n #1",
						"18": "n #1",
						"19": "n #1",
						"20": "n #1",
						"21": "n #1",
						"22": "n #1",
						"23": "n #1",
						"24": "n #1",
						"25": "n #1",
						"26": "n #1",
						"27": "n #1",
						"28": "n #1",
						"29": "n #1",
						"30": "n #1",
						"31": "n #1",
						"32": "n #1",
						"33": "n #1",
						"34": "n #1",
						"35": "n #1",
						"36": "n #1",
						"37": "n #1",
						"38": "n #1",
						"39": "n #1",
						"40": "n #1",
						"41": "n #1",
						"42": "n #1",
						"43": "n #1",
						"44": "n #1",
						"45": "n #1",
						"46": "n #1",
						"47": "n #1",
						"48": "n #1",
						"49": "n #1",
						"50": "n #1",
						"51": "n #1",
						"52": "n #1",
						"53": "n #1",
						"54": "n #1",
						"55": "n #1",
						"56": "n #1",
						"57": "n #1",
						"58": "n #1"
					},
					"safari": {
						"4": "n #1",
						"5": "n #1",
						"6": "n #1",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n #1",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n #1",
						"16": "n #1",
						"17": "n #1",
						"18": "n #1",
						"19": "n #1",
						"20": "n #1",
						"21": "n #1",
						"22": "n #1",
						"23": "n #1",
						"24": "n #1",
						"25": "n #1",
						"26": "n #1",
						"27": "n #1",
						"28": "n #1",
						"29": "n #1",
						"30": "n #1",
						"31": "n #1",
						"32": "n #1",
						"33": "n #1",
						"34": "n #1",
						"35": "n #1",
						"36": "n #1",
						"37": "n #1",
						"38": "n #1",
						"39": "n #1",
						"40": "n #1",
						"41": "n #1",
						"42": "n #1",
						"43": "n #1",
						"44": "n #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n #1",
						"4.2-4.3": "n #1",
						"5.0-5.1": "n #1",
						"6.0-6.1": "n #1",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n #1",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n #1",
						"4.4.3-4.4.4": "n #1"
					},
					"bb": {
						"7": "n",
						"10": "n #1"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n #1",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n #1"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n #1"
					},
					"samsung": {
						"4": "n #1"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Low-level syntax available in [font-feature-settings](http://caniuse.com/#feat=font-feature) property equivalent to OpenType features: salt, ss01 through ss20, cv01 through cv99, swsh, cswh, ornm, nalt",
					"2": "Experimental support available by enabling the layout.css.font-features.enabled flag"
				},
				"usage_perc_y": 16.92,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "font-feature,font-feature-settings,font-variant",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"form-attribute": {
				"title": "Form attribute",
				"description": "Attribute for associating input and submit buttons with a form.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#attr-fae-form",
				"status": "ls",
				"links": [
					{
						"url": "http://www.w3.org/TR/html5/forms.html#attr-fae-form",
						"title": "Input attribute specification"
					},
					{
						"url": "http://www.impressivewebs.com/html5-form-attribute/",
						"title": "Article on usage"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/7327649-add-support-for-the-form-attribute",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "u",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 91.2,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "forms",
				"keywords": "form,attribute",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"es5": {
				"title": "ECMAScript 5",
				"description": "Full support for the ECMAScript 5 specification. Features include `Function.prototype.bind`, Array methods like `indexOf`, `forEach`, `map` & `filter`, Object methods like `defineProperty`, `create` & `keys`, the `trim` method on Strings and many more.",
				"spec": "http://www.ecma-international.org/ecma-262/5.1/",
				"status": "other",
				"links": [
					{
						"url": "http://kangax.github.io/compat-table/es5/",
						"title": "Detailed compatibility tables & tests"
					},
					{
						"url": "http://ejohn.org/blog/ecmascript-5-objects-and-properties/",
						"title": "Overview of objects & properties"
					},
					{
						"url": "https://github.com/es-shims/es5-shim",
						"title": "ES5 polyfill"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n #4",
						"9": "a #2",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "a",
						"3": "a",
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a",
						"3.6": "a"
					},
					"chrome": {
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a",
						"5": "a",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "a",
						"3.2": "a",
						"5.1": "a",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "a",
						"11": "a",
						"12": "a",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "a",
						"10.0-10.1": "a",
						"10.5": "a",
						"10.6": "a",
						"11.1": "a",
						"11.5": "a",
						"11.6": "a",
						"12.1": "a #1"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "a",
						"4.0-4.1": "a",
						"4.2-4.3": "a",
						"5.0-5.1": "a",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "a #1"
					},
					"android": {
						"3": "a",
						"4": "a #1 #2 #3",
						"53": "y",
						"2.1": "a",
						"2.2": "a",
						"2.3": "a",
						"4.1": "a #1",
						"4.2-4.3": "a #1",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a",
						"10": "y"
					},
					"op_mob": {
						"10": "a",
						"11": "a",
						"12": "a",
						"37": "y",
						"11.1": "a",
						"11.5": "a",
						"12.1": "a #1"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "As the specification includes many JavaScript features, un-numbered partial support varies widely and is shown in detail on the [ECMAScript 5 compatibilty tables](http://kangax.github.io/compat-table/es5/) by Kangax.",
				"notes_by_num": {
					"1": "Does not support `parseInt()` ignoring leading zeros. ",
					"2": "Does not support Strict mode",
					"3": "Does not support zero-width chars in identifiers & Immutable `undefined`",
					"4": "IE8 has virtually no ES5 support, but does support `Object.defineProperty`, `Object.getOwnPropertyDescriptor`, JSON parsing & Property access on strings"
				},
				"usage_perc_y": 91.68,
				"usage_perc_a": 6.01,
				"ucprefix": false,
				"parent": "",
				"keywords": "es5,function.bind,array.foreach,array.indexof,array.map,date.now,defineproperties,getprototypeof,keys,seal,freeze,preventextensions,issealed,isfrozen,isextensible,getownpropertydescriptorgetownpropertynames,toisostringc,isarray,lastindexof,every,some,reduce,reduceright,getter,setter",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"page-transition-events": {
				"title": "PageTransitionEvent",
				"description": "Fired at the Window when the page's entry in the session history stops being the current entry. Includes the `pageshow` and `pagehide` events.",
				"spec": "https://html.spec.whatwg.org/multipage/indices.html#event-pageshow",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/Events/pageshow",
						"title": "pageshow - Event reference | MDN"
					},
					{
						"url": "http://www.w3schools.com/tags/ev_onpageshow.asp",
						"title": "HTML onpageshow Event Attribute"
					}
				],
				"categories": [
					"HTML5",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 92.69,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "history,page,transition,hide,show,bfcache,event,persisted",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"ogg-vorbis": {
				"title": "Ogg Vorbis audio format",
				"description": "Vorbis is a free and open source audio format, most commonly used with the Ogg container.",
				"spec": "http://www.xiph.org/vorbis/doc/Vorbis_I_spec.html",
				"status": "other",
				"links": [
					{
						"url": "https://en.wikipedia.org/wiki/Vorbis",
						"title": "Wikipedia article"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Support refers to use using the `audio` element, not other conditions.",
				"notes_by_num": {},
				"usage_perc_y": 75.56,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "audio",
				"keywords": ".ogg,.oga,application/ogg,audio/ogg",
				"ie_id": "vorbisaudiocodec,oggcontainer",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"meter": {
				"title": "meter element",
				"description": "Method of indicating the current level of a gauge.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#the-meter-element",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/HTML/Element/meter",
						"title": "Mozilla Developer Network article"
					},
					{
						"url": "http://html5doctor.com/measure-up-with-the-meter-tag/",
						"title": "HTML5 Doctor on meter element"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6803893-meter",
						"title": "Microsoft Edge feature request on UserVoice"
					},
					{
						"url": "https://dev.opera.com/articles/new-form-features-in-html5/#newoutput",
						"title": "Dev.Opera article"
					},
					{
						"url": "http://peter.sh/examples/?/html/meter-progress.html",
						"title": "Examples of progress and meter elements"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 78.39,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "forms",
				"keywords": "<meter>",
				"ie_id": "meterelement",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"progress": {
				"title": "progress element",
				"description": "Method of indicating a progress state.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#the-progress-element",
				"status": "ls",
				"links": [
					{
						"url": "http://css-tricks.com/html5-progress-element/",
						"title": "CSS-Tricks article"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/HTML/Element/progress",
						"title": "Mozilla Developer Network article"
					},
					{
						"url": "https://dev.opera.com/articles/new-form-features-in-html5/#newoutput",
						"title": "Dev.Opera article"
					},
					{
						"url": "http://peter.sh/examples/?/html/meter-progress.html",
						"title": "Examples of progress and meter elements"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "a #1",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "a #1",
						"8.1-8.4": "a #1",
						"9.0-9.2": "a #1",
						"9.3": "a #1",
						"10-10.1": "a #1"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "iOS Safari does not support \"indeterminate\" <progress> elements."
				},
				"usage_perc_y": 83.03,
				"usage_perc_a": 9.23,
				"ucprefix": false,
				"parent": "forms",
				"keywords": "#progressmeter,<progress>",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-filter-function": {
				"title": "CSS filter() function",
				"description": "This function filters a CSS input image with a set of filter functions (like blur, grayscale or hue)",
				"spec": "http://www.w3.org/TR/filter-effects/#FilterCSSImageValue",
				"status": "wd",
				"links": [
					{
						"url": "http://iamvdo.me/en/blog/advanced-css-filters#filter",
						"title": "Blog post"
					}
				],
				"categories": [
					"CSS",
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y x",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 10.77,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "filter, function",
				"ie_id": "cssfilterimagefunction",
				"chrome_id": "5425136400334848",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-element-function": {
				"title": "CSS element() function",
				"description": "This function renders a live image generated from an arbitrary HTML element",
				"spec": "http://www.w3.org/TR/css4-images/#element-notation",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/element",
						"title": "MDN page"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "a x #1",
						"3": "a x #1",
						"4": "y x",
						"5": "y x",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y x",
						"49": "y x",
						"50": "y x",
						"51": "y x",
						"52": "y x",
						"53": "y x",
						"3.5": "a x #1",
						"3.6": "a x #1"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "y x"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "In Firefox < 4, usage limited to the background and background-image CSS properties"
				},
				"usage_perc_y": 6.86,
				"usage_perc_a": 0.1,
				"ucprefix": false,
				"parent": "",
				"keywords": "element, function",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"u2f": {
				"title": "FIDO U2F API",
				"description": "Javascript API to interact with Universal Second Factor (U2F) devices. This allows users to log into sites more securely using two-factor authentication with a USB dongle. ",
				"spec": "https://fidoalliance.org/specs/fido-u2f-v1.0-nfc-bt-amendment-20150514/fido-u2f-javascript-api.html",
				"status": "other",
				"links": [
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1065729",
						"title": "Mozilla bug"
					},
					{
						"url": "http://googleonlinesecurity.blogspot.com/2014/10/strengthening-2-step-verification-with.html",
						"title": "Google Security article"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n #1",
						"39": "n #1",
						"40": "n #1",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Requires the \"FIDO U2F (Universal 2nd Factor)\" Chrome extension"
				},
				"usage_perc_y": 27.55,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "fido,u2f",
				"ie_id": "fidou2f",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"aac": {
				"title": "AAC audio file format",
				"description": "Advanced Audio Coding format, designed to be the successor format to MP3, with generally better sound quality.",
				"spec": "http://www.digitalpreservation.gov/formats/fdd/fdd000114.shtml",
				"status": "other",
				"links": [
					{
						"url": "https://en.wikipedia.org/wiki/Advanced_Audio_Coding",
						"title": "Wikipedia article"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"45": "a #1",
						"46": "a #1",
						"47": "a #1",
						"48": "a #1",
						"49": "a #1",
						"50": "a #1",
						"51": "a #1",
						"52": "a #1",
						"53": "a #1",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "u",
						"11": "u",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "a #1"
					},
					"ie_mob": {
						"10": "y",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Support refers to using the `audio` element, not other conditions.",
				"notes_by_num": {
					"1": "Partial support in Firefox refers to only supporting AAC in an MP4 container and only when the operating system already has the codecs installed."
				},
				"usage_perc_y": 85.78,
				"usage_perc_a": 6.68,
				"ucprefix": false,
				"parent": "audio",
				"keywords": "audio/aac",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"link-rel-prefetch": {
				"title": "Resource Hints: prefetch",
				"description": "Informs the browsers that a given resource should be prefetched so it can be loaded more quickly. This is indicated using `<link rel=\"prefetch\" href=\"(url)\">`",
				"spec": "http://www.w3.org/TR/resource-hints/#dfn-prefetch",
				"status": "wd",
				"links": [
					{
						"url": "https://en.wikipedia.org/wiki/Link_prefetching",
						"title": "Wikipedia article"
					},
					{
						"url": "https://medium.com/@luisvieira_gmr/html5-prefetch-1e54f6dda15d",
						"title": "Article on prefetch and other hints"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 71.5,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"ol-reversed": {
				"title": "Reversed attribute of ordered lists",
				"description": "This attribute makes an ordered list number its items in descending order (large to small), instead of ascending order (small to large; the default). The order that the list items are displayed in is not affected.",
				"spec": "https://html.spec.whatwg.org/multipage/semantics.html#attr-ol-reversed",
				"status": "ls",
				"links": [
					{
						"url": "http://html5doctor.com/ol-element-attributes/",
						"title": "HTML5 Doctor article on <ol> element attributes (including reversed)"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6514423-ol-reversed-attribute",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "u",
						"17": "u",
						"18": "u",
						"19": "u",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "u",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "u",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 90.01,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "reversed,list,ol,attribute",
				"ie_id": "olreversedattribute",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-first-letter": {
				"title": "::first-letter CSS pseudo-element selector",
				"description": "CSS pseudo-element that allows styling only the first \"letter\" of text within an element. Useful for implementing initial caps or drop caps styling.",
				"spec": "http://www.w3.org/TR/css3-selectors/#first-letter",
				"status": "rec",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/::first-letter",
						"title": "Mozilla Developer Network"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "a #3 #4",
						"7": "a #3 #4",
						"8": "a #3",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "u"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "a #2",
						"3": "a #1",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "a #1",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a #1",
						"5": "u",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "a #1",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "a #2",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "u",
						"10.0-10.1": "a #2",
						"10.5": "a #2",
						"10.6": "a #2",
						"11.1": "a #2",
						"11.5": "a #2",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "a #1",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "a #2",
						"11": "a #2",
						"12": "y",
						"37": "y",
						"11.1": "a #2",
						"11.5": "a #2",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "The spec says that both letters of digraphs which are always capitalized together (such as \"IJ\" in Dutch) should be matched by ::first-letter, but no browser has ever implemented this.",
				"notes_by_num": {
					"1": "Excludes punctuation immediately after the first letter from the match. (The spec says it should be included in the match.)",
					"2": "Acts like the first character is always a letter even when it's not. For example, given \"!,X;\", \"!,\" is matched instead of the entire string.",
					"3": "Only recognizes the deprecated :first-letter pseudo-class, not the ::first-letter pseudo-element.",
					"4": "Only matches the very first character. The spec says that surrounding punctuation should also match."
				},
				"usage_perc_y": 97.47,
				"usage_perc_a": 0.57,
				"ucprefix": false,
				"parent": "",
				"keywords": "first,letter,pseudo,element,class,selector",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"wbr-element": {
				"title": "wbr (word break opportunity) element",
				"description": "Represents an extra place where a line of text may optionally be broken.",
				"spec": "https://html.spec.whatwg.org/multipage/semantics.html#the-wbr-element",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/HTML/Element/wbr",
						"title": "Mozilla Developer Network"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "y",
						"7": "y",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "y"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 92.97,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "wbr,element,word,break,opportunity",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"const": {
				"title": "const",
				"description": "Declares a constant with block level scope",
				"spec": "http://www.ecma-international.org/ecma-262/6.0/#sec-let-and-const-declarations",
				"status": "other",
				"links": [
					{
						"url": "http://generatedcontent.org/post/54444832868/variables-and-constants-in-es6",
						"title": "Variables and Constants in ES6"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Statements/const",
						"title": "Const (MDN)"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "a #1",
						"3": "a #1",
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2",
						"16": "a #2",
						"17": "a #2",
						"18": "a #2",
						"19": "a #2",
						"20": "a #2",
						"21": "a #2",
						"22": "a #2",
						"23": "a #2",
						"24": "a #2",
						"25": "a #2",
						"26": "a #2",
						"27": "a #2",
						"28": "a #2",
						"29": "a #2",
						"30": "a #2",
						"31": "a #2",
						"32": "a #2",
						"33": "a #2",
						"34": "a #2",
						"35": "a #2",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a #1",
						"3.6": "a #1"
					},
					"chrome": {
						"4": "a #2",
						"5": "a #2",
						"6": "a #2",
						"7": "a #2",
						"8": "a #2",
						"9": "a #2",
						"10": "a #2",
						"11": "a #2",
						"12": "a #2",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2",
						"16": "a #2",
						"17": "a #2",
						"18": "a #2",
						"19": "a #2",
						"20": "a #2",
						"21": "a #2 #3",
						"22": "a #2 #3",
						"23": "a #2 #3",
						"24": "a #2 #3",
						"25": "a #2 #3",
						"26": "a #2 #3",
						"27": "a #2 #3",
						"28": "a #2 #3",
						"29": "a #2 #3",
						"30": "a #2 #3",
						"31": "a #2 #3",
						"32": "a #2 #3",
						"33": "a #2 #3",
						"34": "a #2 #3",
						"35": "a #2 #3",
						"36": "a #2 #3",
						"37": "a #2 #3",
						"38": "a #2 #3",
						"39": "a #2 #3",
						"40": "a #2 #3",
						"41": "a #4",
						"42": "a #4",
						"43": "a #4",
						"44": "a #4",
						"45": "a #4",
						"46": "a #4",
						"47": "a #4",
						"48": "a #4",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a #2",
						"5": "a #2",
						"6": "a #2 #3",
						"7": "a #2 #3",
						"8": "a #2 #3",
						"9": "a #2 #3",
						"10": "y",
						"3.1": "a #2",
						"3.2": "a #2",
						"5.1": "a #2 #3",
						"6.1": "a #2 #3",
						"7.1": "a #2 #3",
						"9.1": "a #2 #3",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "a #1",
						"12": "a #1 #3",
						"15": "a #2 #3",
						"16": "a #2 #3",
						"17": "a #2 #3",
						"18": "a #2 #3",
						"19": "a #2 #3",
						"20": "a #2 #3",
						"21": "a #2 #3",
						"22": "a #2 #3",
						"23": "a #2 #3",
						"24": "a #2 #3",
						"25": "a #2 #3",
						"26": "a #2 #3",
						"27": "a #2 #3",
						"28": "a #4",
						"29": "a #4",
						"30": "a #4",
						"31": "a #4",
						"32": "a #4",
						"33": "a #4",
						"34": "a #4",
						"35": "a #4",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "a #1",
						"10.5": "a #1",
						"10.6": "a #1",
						"11.1": "a #1",
						"11.5": "a #1",
						"11.6": "a #1 #3",
						"12.1": "a #1 #3"
					},
					"ios_saf": {
						"8": "a #2 #3",
						"3.2": "a #2",
						"4.0-4.1": "a #2",
						"4.2-4.3": "a #2",
						"5.0-5.1": "a #2 #3",
						"6.0-6.1": "a #2 #3",
						"7.0-7.1": "a #2 #3",
						"8.1-8.4": "a #2 #3",
						"9.0-9.2": "a #2 #3",
						"9.3": "a #2 #3",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "a #1 #3"
					},
					"android": {
						"3": "a #2 #3",
						"4": "a #2 #3",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "a #2",
						"4.1": "a #2 #3",
						"4.2-4.3": "a #2 #3",
						"4.4": "a #2 #3",
						"4.4.3-4.4.4": "a #2 #3"
					},
					"bb": {
						"7": "a #2 #3",
						"10": "a #2 #3"
					},
					"op_mob": {
						"10": "a #1",
						"11": "a #1",
						"12": "a #1 #3",
						"37": "y",
						"11.1": "a #1",
						"11.5": "a #1",
						"12.1": "a #1 #3"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "a #2 #3"
					},
					"samsung": {
						"4": "a #4"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "const is recognized, but treated like var (no block scope, can be overwritten)",
					"2": "const does not have block scope",
					"3": "Only recognized when NOT in strict mode",
					"4": "Supported correctly in strict mode, otherwise supported without block scope"
				},
				"usage_perc_y": 71.93,
				"usage_perc_a": 25.12,
				"ucprefix": false,
				"parent": "",
				"keywords": "ES6,constant,block,scope",
				"ie_id": "",
				"chrome_id": "4645595339816960",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-all": {
				"title": "CSS all property",
				"description": "A shorthand property for resetting all CSS properties except for `direction` and `unicode-bidi`.",
				"spec": "http://www.w3.org/TR/css-cascade-3/#all-shorthand",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/all",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "http://mcc.id.au/blog/2013/10/all-unset",
						"title": "Resetting styles using `all: unset`"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=116966",
						"title": "WebKit bug 116966: [css3-cascade] Add support for `all` shorthand property"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6511510-all-initial",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 74.02,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "CSS,all,property,shorthand,reset",
				"ie_id": "cssallshorthand",
				"chrome_id": "6178222542684160",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-initial-value": {
				"title": "CSS initial value",
				"description": "A CSS value that will apply a property's initial value as defined in the CSS specification that defines the property",
				"spec": "http://www.w3.org/TR/css-values/#common-keywords",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/initial",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://css-tricks.com/getting-acquainted-with-initial/",
						"title": "CSS Tricks article"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 88.33,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "CSS,initial,value",
				"ie_id": "cssinitialvalue",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-letter-spacing": {
				"title": "letter-spacing CSS property",
				"description": "Controls spacing between characters of text (i.e. \"tracking\" in typographical terms). Not to be confused with kerning.",
				"spec": "http://www.w3.org/TR/CSS2/text.html#propdef-letter-spacing",
				"status": "rec",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/letter-spacing",
						"title": "Mozilla Developer Network"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "u"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "a #1",
						"5.1": "a #1",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "a #1",
						"12": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "u",
						"10.0-10.1": "a #1",
						"10.5": "a #1",
						"10.6": "a #1",
						"11.1": "a #1",
						"11.5": "a #1",
						"11.6": "a #1",
						"12.1": "a #1"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a #1",
						"4": "a #1",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "a #1",
						"4.1": "a #1",
						"4.2-4.3": "a #1",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a #1",
						"10": "a #1"
					},
					"op_mob": {
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"37": "y",
						"11.1": "a #1",
						"11.5": "a #1",
						"12.1": "a #1"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Truncates or rounds fractional portions of values"
				},
				"usage_perc_y": 92.04,
				"usage_perc_a": 1.95,
				"ucprefix": false,
				"parent": "",
				"keywords": "CSS,letter,spacing,tracking",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-unset-value": {
				"title": "CSS unset value",
				"description": "A CSS value that's the same as \"inherit\" if a property is inherited or \"initial\" if a property is not inherited.",
				"spec": "http://www.w3.org/TR/css-cascade-3/#inherit-initial",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/unset",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "http://mcc.id.au/blog/2013/10/all-unset",
						"title": "Resetting styles using `all: unset`"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=148614",
						"title": "WebKit bug 148614: Add support for the `unset` CSS property value"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 74.08,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "CSS,unset,value",
				"ie_id": "cssunsetvalue",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"insertadjacenthtml": {
				"title": "Element.insertAdjacentHTML()",
				"description": "Inserts a string of HTML into a specified position in the DOM relative to the given element.",
				"spec": "http://www.w3.org/TR/DOM-Parsing/#widl-Element-insertAdjacentHTML-void-DOMString-position-DOMString-text",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Element/insertAdjacentHTML",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://gist.github.com/eligrey/1276030",
						"title": "Polyfill"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "y",
						"11": "y",
						"5.5": "u"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "u",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Throws an \"Invalid target element for this operation.\" error [when called on a table, tbody, thead, or tr element.](http://ejohn.org/blog/dom-insertadjacenthtml/)"
				},
				"usage_perc_y": 97.25,
				"usage_perc_a": 0.71,
				"ucprefix": false,
				"parent": "",
				"keywords": "element,insert,adjacent,HTML",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"let": {
				"title": "let",
				"description": "Declares a variable with block level scope",
				"spec": "http://www.ecma-international.org/ecma-262/6.0/#sec-let-and-const-declarations",
				"status": "other",
				"links": [
					{
						"url": "http://generatedcontent.org/post/54444832868/variables-and-constants-in-es6",
						"title": "Variables and Constants in ES6"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Statements/let",
						"title": "Let (MDN)"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n d #1",
						"3": "n d #1",
						"4": "n d #1",
						"5": "n d #1",
						"6": "n d #1",
						"7": "n d #1",
						"8": "n d #1",
						"9": "n d #1",
						"10": "n d #1",
						"11": "n d #1",
						"12": "n d #1",
						"13": "n d #1",
						"14": "n d #1",
						"15": "n d #1",
						"16": "n d #1",
						"17": "n d #1",
						"18": "n d #1",
						"19": "n d #1",
						"20": "n d #1",
						"21": "n d #1",
						"22": "n d #1",
						"23": "n d #1",
						"24": "n d #1",
						"25": "n d #1",
						"26": "n d #1",
						"27": "n d #1",
						"28": "n d #1",
						"29": "n d #1",
						"30": "n d #1",
						"31": "n d #1",
						"32": "n d #1",
						"33": "n d #1",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "n d #1",
						"38": "n d #1",
						"39": "n d #1",
						"40": "n d #1",
						"41": "n d #1",
						"42": "n d #1",
						"43": "n d #1",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n d #1",
						"3.6": "n d #1"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n d #2",
						"20": "n d #2",
						"21": "n d #2",
						"22": "n d #2",
						"23": "n d #2",
						"24": "n d #2",
						"25": "n d #2",
						"26": "n d #2",
						"27": "n d #2",
						"28": "n d #2",
						"29": "n d #2",
						"30": "n d #2",
						"31": "n d #2",
						"32": "n d #2",
						"33": "n d #2",
						"34": "n d #2",
						"35": "n d #2",
						"36": "n d #2",
						"37": "n d #2",
						"38": "n d #2",
						"39": "n d #2",
						"40": "n d #2",
						"41": "a #3",
						"42": "a #3",
						"43": "a #3",
						"44": "a #3",
						"45": "a #3",
						"46": "a #3",
						"47": "a #3",
						"48": "a #3",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n d #2",
						"16": "n d #2",
						"17": "n d #2",
						"18": "n d #2",
						"19": "n d #2",
						"20": "n d #2",
						"21": "n d #2",
						"22": "n d #2",
						"23": "n d #2",
						"24": "n d #2",
						"25": "n d #2",
						"26": "n d #2",
						"27": "n d #2",
						"28": "a #3",
						"29": "a #3",
						"30": "a #3",
						"31": "a #3",
						"32": "a #3",
						"33": "a #3",
						"34": "a #3",
						"35": "a #3",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "a #3"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Supports a non-standard version that can only be used in script elements with a type attribute of `application/javascript;version=1.7`. As other browsers do not support these types of `script` tags this makes support useless for cross-browser support.",
					"2": "Requires the ‘Experimental Javascript features’ flag to be enabled",
					"3": "Only supported in strict mode"
				},
				"usage_perc_y": 71.52,
				"usage_perc_a": 4.53,
				"ucprefix": false,
				"parent": "",
				"keywords": "ES6,variable,block,scope",
				"ie_id": "",
				"chrome_id": "4645595339816960",
				"firefox_id": "",
				"webkit_id": ""
			},
			"arrow-functions": {
				"title": "Arrow functions",
				"description": "Function shorthand using `=>` syntax and lexical `this` binding.",
				"spec": "http://www.ecma-international.org/ecma-262/6.0/#sec-arrow-function-definitions",
				"status": "other",
				"links": [
					{
						"url": "https://github.com/lukehoban/es6features#arrows",
						"title": "ECMAScript 6 features: Arrows"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Functions/Arrow_functions",
						"title": "Arrow Functions (MDN)"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 68.66,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "ES6,JavaScript,fat,arrow,function,lexical,this",
				"ie_id": "arrowfunctiones6",
				"chrome_id": "5047308127305728",
				"firefox_id": "",
				"webkit_id": "feature-arrow-functions"
			},
			"asmjs": {
				"title": "asm.js",
				"description": "an extraordinarily optimizable, low-level subset of JavaScript, indended to be a compile target from languages like C++.",
				"spec": "http://asmjs.org/spec/latest/",
				"status": "other",
				"links": [
					{
						"url": "http://asmjs.org/",
						"title": "Homepage"
					},
					{
						"url": "https://github.com/dherman/asm.js/",
						"title": "Source for spec and tools"
					},
					{
						"url": "http://blogs.windows.com/msedgedev/2015/05/07/bringing-asm-js-to-chakra-microsoft-edge/",
						"title": "Bringing Asm.js to Chakra and Microsoft Edge"
					},
					{
						"url": "https://dev.modern.ie/platform/changelog/10532-pc/",
						"title": "Microsoft Edge support announcement"
					}
				],
				"categories": [
					"JS API",
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n d #2",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"45": "a #1",
						"46": "a #1",
						"47": "a #1",
						"48": "a #1",
						"49": "a #1",
						"50": "a #1",
						"51": "a #1",
						"52": "a #1",
						"53": "a #1",
						"54": "a #1",
						"55": "a #1",
						"56": "a #1",
						"57": "a #1",
						"58": "a #1"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "a #1",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a #1",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "a #1"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Chrome does not support Ahead-Of-Time compilation but performance doubled in Chrome 28: https://en.wikipedia.org/wiki/Asm.js#Implementations",
					"2": "Supported in MS Edge under the \"Enable experimental Javascript features\" flag."
				},
				"usage_perc_y": 8.14,
				"usage_perc_a": 53.1,
				"ucprefix": false,
				"parent": "",
				"keywords": "asm,asm.js,asmjs,WebAssembly",
				"ie_id": "asmjs",
				"chrome_id": "",
				"firefox_id": "asmjs",
				"webkit_id": "feature-asm.js"
			},
			"lazyload": {
				"title": "Resource Hints: Lazyload",
				"description": "Gives a hint to the browser to lower the loading priority of a resource.",
				"spec": "https://dvcs.w3.org/hg/webperf/raw-file/tip/specs/ResourcePriorities/Overview.html",
				"status": "unoff",
				"links": [
					{
						"url": "https://msdn.microsoft.com/en-us/library/dn369270(v=vs.85).aspx",
						"title": "lazyload attribute | lazyload property"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 5.66,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"link-rel-dns-prefetch": {
				"title": "Resource Hints: dns-prefetch",
				"description": "Gives a hint to the browser to perform a DNS lookup in the background to improve performance. This is indicated using `<link rel=\"dns-prefetch\" href=\"http://example-domain.com/\">`",
				"spec": "http://www.w3.org/TR/resource-hints/#dns-prefetch",
				"status": "wd",
				"links": [
					{
						"url": "https://msdn.microsoft.com/en-us/library/dn265039(v=vs.85).aspx",
						"title": "Prerender and prefetch support"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/HTTP/Controlling_DNS_prefetching",
						"title": "Controlling DNS prefetching"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a #1",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "u",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "u",
						"6.0-6.1": "u",
						"7.0-7.1": "u",
						"8.1-8.4": "u",
						"9.0-9.2": "u",
						"9.3": "u",
						"10-10.1": "u"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "u",
						"4": "u",
						"53": "u",
						"2.1": "u",
						"2.2": "u",
						"2.3": "u",
						"4.1": "u",
						"4.2-4.3": "u",
						"4.4": "u",
						"4.4.3-4.4.4": "u"
					},
					"bb": {
						"7": "u",
						"10": "u"
					},
					"op_mob": {
						"10": "u",
						"11": "u",
						"12": "u",
						"37": "u",
						"11.1": "u",
						"11.5": "u",
						"12.1": "u"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "u"
					},
					"samsung": {
						"4": "u"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "IE9 [supported `dns-prefetch` as `prefetch`](http://blogs.msdn.com/b/ieinternals/archive/2012/03/01/ie10-beta-consumer-preview-minor-changes-changelist.aspx) as the former wasn’t defined yet."
				},
				"usage_perc_y": 68.26,
				"usage_perc_a": 0.27,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"link-rel-prerender": {
				"title": "Resource Hints: prerender",
				"description": "Gives a hint to the browser to render the specified page in the background, speeding up page load if the user navigates to it. This is indicated using `<link rel=\"prerender\" href=\"(url)\">`",
				"spec": "http://www.w3.org/TR/resource-hints/#prerender",
				"status": "wd",
				"links": [
					{
						"url": "https://msdn.microsoft.com/en-us/library/dn265039(v=vs.85).aspx",
						"title": "Prerender and prefetch support"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 62.06,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"rest-parameters": {
				"title": "Rest parameters",
				"description": "Allows representation of an indefinite number of arguments as an array.",
				"spec": "http://www.ecma-international.org/ecma-262/6.0/#sec-function-definitions",
				"status": "other",
				"links": [
					{
						"url": "https://hacks.mozilla.org/2015/05/es6-in-depth-rest-parameters-and-defaults/",
						"title": "Rest parameters and defaults"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n d #1",
						"45": "n d #1",
						"46": "n d #1",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n d #1",
						"32": "n d #1",
						"33": "n d #1",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Requires the \"Experimental Javascript features\" flag to be enabled"
				},
				"usage_perc_y": 68.04,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "ES6,JavaScript",
				"ie_id": "restparameterses6",
				"chrome_id": "5937087912083456",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-cross-fade": {
				"title": "CSS Cross-Fade Function",
				"description": "Image function to create a \"crossfade\" between images. This allows one image to transition (fade) into another based on a percentage value.",
				"spec": "https://drafts.csswg.org/css-images-3/#cross-fade-function",
				"status": "unoff",
				"links": [
					{
						"url": "http://peter.sh/files/examples/cross-fading.html",
						"title": "Simple demo"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y x",
						"49": "y x",
						"50": "y x",
						"51": "y x",
						"52": "y x",
						"53": "y x",
						"54": "y x",
						"55": "y x",
						"56": "y x",
						"57": "y x",
						"58": "y x"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y x",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y x",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y x",
						"6.0-6.1": "y x",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y x",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y x",
						"4.4.3-4.4.4": "y x"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y x",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y x"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y x"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 70.28,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "css,image,crossfade",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-writing-mode": {
				"title": "CSS writing-mode property",
				"description": "Property to define whether lines of text are laid out horizontally or vertically and the direction in which blocks progress.",
				"spec": "https://drafts.csswg.org/css-writing-modes-3/#block-flow",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/writing-mode",
						"title": "MDN article"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"5.5": "a #1"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n d #2",
						"37": "n d #2",
						"38": "n d #2",
						"39": "n d #2",
						"40": "n d #2",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "u",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"11": "y x",
						"12": "y x",
						"13": "y x",
						"14": "y x",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y x",
						"49": "y x",
						"50": "y x",
						"51": "y x",
						"52": "y x",
						"53": "y x",
						"54": "y x",
						"55": "y x",
						"56": "y x",
						"57": "y x",
						"58": "y x"
					},
					"safari": {
						"4": "n",
						"5": "u",
						"6": "y x",
						"7": "y x",
						"8": "y x",
						"9": "y x",
						"10": "y x",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y x",
						"6.1": "y x",
						"7.1": "y x",
						"9.1": "y x",
						"TP": "y x"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x",
						"16": "y x",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "y x",
						"6.0-6.1": "y x",
						"7.0-7.1": "y x",
						"8.1-8.4": "y x",
						"9.0-9.2": "y x",
						"9.3": "y x",
						"10-10.1": "y x"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y x",
						"4": "y x",
						"53": "y x",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y x",
						"4.2-4.3": "y x",
						"4.4": "y x",
						"4.4.3-4.4.4": "y x"
					},
					"bb": {
						"7": "y x",
						"10": "y x"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y x",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y x"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a x",
						"11": "a x"
					},
					"and_uc": {
						"11": "y x"
					},
					"samsung": {
						"4": "y x"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Internet Explorer supports different values from an [earlier version of the spec](http://www.w3.org/TR/2003/CR-css3-text-20030514/#Progression), which originated from SVG.",
					"2": "Supported in Firefox under the `layout.css.vertical-text.enabled` flag"
				},
				"usage_perc_y": 87.77,
				"usage_perc_a": 5.2,
				"ucprefix": false,
				"parent": "",
				"keywords": "css,writing,direction,i18n,vertical,ltr,rtl",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"customevent": {
				"title": "CustomEvent",
				"description": "A DOM event interface that can carry custom application-defined data.",
				"spec": "https://dom.spec.whatwg.org/#interface-customevent",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/CustomEvent",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://github.com/krambuhl/custom-event-polyfill",
						"title": "Polyfill based on the MDN snippet"
					},
					{
						"url": "https://github.com/jonathantneal/EventListener",
						"title": "EventListener polyfill which includes a CustomEvent polyfill"
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "a #1 #2",
						"10": "a #1 #2",
						"11": "a #1 #2",
						"12": "a #1 #2",
						"13": "u",
						"14": "u",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "u",
						"6": "u",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a #1 #2",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "a #1",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "a #1",
						"11.5": "a #1",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "n",
						"4.2-4.3": "u",
						"5.0-5.1": "a #1 #2",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "a #1 #2",
						"4": "a #1 #2",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "a #1 #2",
						"4.2-4.3": "a #1 #2",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a #1 #2",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "a #1",
						"12": "y",
						"37": "y",
						"11.1": "a #1",
						"11.5": "a #1",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "a #1",
						"11": "a #1"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Not supported in some versions of Android's old WebKit-based WebView.",
				"notes_by_num": {
					"1": "While a `window.CustomEvent` object exists, it cannot be called as a constructor. Instead of `new CustomEvent(...)`, you must use `e = document.createEvent('CustomEvent')` and then `e.initCustomEvent(...)`",
					"2": "There is no `window.CustomEvent` object, but `document.createEvent('CustomEvent')` still works."
				},
				"usage_perc_y": 91.68,
				"usage_perc_a": 5.74,
				"ucprefix": false,
				"parent": "",
				"keywords": "custom events,custom,event",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"textcontent": {
				"title": "Node.textContent",
				"description": "DOM Node property representing the text content of a node and its descendants",
				"spec": "https://dom.spec.whatwg.org/#dom-node-textcontent",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Node/textContent",
						"title": "Mozilla Developer Network"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "`Node.textContent` is somewhat similar to, but has important differences from, [`Node.innerText`](http://caniuse.com/#feat=innertext).",
				"notes_by_num": {},
				"usage_perc_y": 97.68,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"addeventlistener": {
				"title": "EventTarget.addEventListener()",
				"description": "The modern standard API for adding DOM event handlers. Introduced in the DOM Level 2 Events spec. Also implies support for the [capture phase](https://dom.spec.whatwg.org/#dom-event-capturing_phase) of DOM event dispatch, as well as the `stopPropagation()` and `preventDefault()` event methods.",
				"spec": "https://dom.spec.whatwg.org/#dom-eventtarget-addeventlistener",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/EventTarget/addEventListener",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://github.com/Financial-Times/polyfill-service/blob/master/polyfills/Event/polyfill-ie8.js",
						"title": "Financial Times IE8 polyfill"
					},
					{
						"url": "https://github.com/WebReflection/ie8",
						"title": "WebReflection ie8 polyfill"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n #1",
						"7": "n #1",
						"8": "n #1",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n #1"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y #2",
						"3": "y #2",
						"4": "y #2",
						"5": "y #2",
						"6": "y #2",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y #2",
						"3.6": "y #2"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "IE<=8 instead only supports the [proprietary `.attachEvent()` method](https://msdn.microsoft.com/en-us/library/ms536343%28VS.85%29.aspx). It also does not support the [capture phase](http://www.w3.org/TR/DOM-Level-3-Events/#event-flow) of DOM event dispatch; it only supports event bubbling.",
					"2": "The `useCapture` parameter is non-optional and must be provided. Future versions made it optional, with a default value of `false`."
				},
				"usage_perc_y": 97.69,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "event,target,add,remove,listener,capture,capturing,phase",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"dispatchevent": {
				"title": "EventTarget.dispatchEvent",
				"description": "Method to programmatically trigger a DOM event.",
				"spec": "https://dom.spec.whatwg.org/#dom-eventtarget-dispatchevent",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/EventTarget/dispatchEvent",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://github.com/Financial-Times/polyfill-service/blob/master/polyfills/Event/polyfill-ie8.js",
						"title": "Financial Times IE8 polyfill"
					},
					{
						"url": "https://github.com/WebReflection/ie8",
						"title": "WebReflection ie8 polyfill"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n #1",
						"7": "n #1",
						"8": "n #1",
						"9": "y #1",
						"10": "y #1",
						"11": "y",
						"5.5": "u"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y #1",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Supports Microsoft's proprietary [`EventTarget.fireEvent() method`](https://developer.mozilla.org/en-US/docs/Web/API/EventTarget/fireEvent)."
				},
				"usage_perc_y": 97.68,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "dispatch,event,target,fire,trigger,dom",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"documenthead": {
				"title": "document.head",
				"description": "Convenience property for accessing the `<head>` element",
				"spec": "https://html.spec.whatwg.org/multipage/#dom-document-head",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Document/head",
						"title": "Mozilla Developer Network"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "u",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 97.48,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "document,head",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"innertext": {
				"title": "Node.innerText",
				"description": "A property representing the text within a DOM element and its descendants. As a getter, it approximates the text the user would get if they highlighted the contents of the element with the cursor and then copied to the clipboard.",
				"spec": "https://html.spec.whatwg.org/multipage/dom.html#the-innertext-idl-attribute",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Node/innerText",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://github.com/whatwg/compat/issues/5",
						"title": "WHATWG Compatibility Standard issue #5: spec innerText"
					},
					{
						"url": "https://github.com/timdown/rangy",
						"title": "Rangy, a JS range and selection library which contains an innerText implementation"
					},
					{
						"url": "http://discourse.wicg.io/t/standardizing-innertext/799",
						"title": "Standardizing innerText – Web Incubator Community Group (WICG) discussion"
					},
					{
						"url": "https://msdn.microsoft.com/library/ms533899(v=vs.85).aspx",
						"title": "MSDN documentation"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "u"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "This test only checks that the property exists and works correctly in a very simple case.\r\n[This blog post by kangax](http://perfectionkills.com/the-poor-misunderstood-innerText/) explains the history of this property, gives much more detailed cross-browser compatibility information, and gives a detailed strawman specification for the property.\r\n`Node.innerText` is similar to, but has some important differences from, the standard [`Node.textContent`](http://caniuse.com/#feat=textcontent) property.",
				"notes_by_num": {},
				"usage_perc_y": 97.11,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "inner,text,content",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"client-hints-dpr-width-viewport": {
				"title": "Client Hints: DPR, Width, Viewport-Width",
				"description": "DPR, Width, and Viewport-Width hints enable proactive content negotiation between client and server, enabling automated delivery of optimized assets - e.g. auto-negotiating image DPR resolution.",
				"spec": "https://tools.ietf.org/html/draft-grigorik-http-client-hints",
				"status": "other",
				"links": [
					{
						"url": "https://developers.google.com/web/updates/2015/09/automating-resource-selection-with-client-hints",
						"title": "Automating resource selection with Client Hints"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=935216",
						"title": "Mozilla Bug 935216 - Implement Client-Hints HTTP header"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=145380",
						"title": "WebKit Bug 145380 - Add Content-DPR header support"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6261321-http-client-hints",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 51.7,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "client hints, client-hints, dpr, viewport, content-dpr",
				"ie_id": "httpclienthints",
				"chrome_id": "5504430086553600",
				"firefox_id": "",
				"webkit_id": ""
			},
			"link-rel-preconnect": {
				"title": "Resource Hints: preconnect",
				"description": "Gives a hint to the browser to begin the connection handshake (DNS, TCP, TLS) in the background to improve performance. This is indicated using `<link rel=\"preconnect\" href=\"https://example-domain.com/\">`",
				"spec": "http://www.w3.org/TR/resource-hints/#preconnect",
				"status": "wd",
				"links": [
					{
						"url": "https://www.igvita.com/2015/08/17/eliminating-roundtrips-with-preconnect/",
						"title": "Eliminating Roundtrips with Preconnect"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "y #1",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "u"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "u"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Firefox 39 did not support 'crossorigin' attribute and preconnects were not processed by the preload parser. Both of these features were enabled in Firefox 41."
				},
				"usage_perc_y": 57.99,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "preconnect, resource hints",
				"ie_id": "preconnectresourcehints",
				"chrome_id": "5560623895150592",
				"firefox_id": "",
				"webkit_id": ""
			},
			"netinfo": {
				"title": "Network Information API",
				"description": "The Network Information API enables web applications to access information about the network connection in use by the device.",
				"spec": "http://w3c.github.io/netinfo/",
				"status": "unoff",
				"links": [
					{
						"url": "https://www.igvita.com/2014/12/15/capability-reporting-with-service-worker/",
						"title": "(NetInfo) Capability reporting with ServiceWorker"
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a #1",
						"4": "a #1",
						"53": "y",
						"2.1": "n",
						"2.2": "a #1",
						"2.3": "a #1",
						"4.1": "a #1",
						"4.2-4.3": "a #1",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "a #1"
					}
				},
				"notes": "In Chrome the API is enabled on Android only, support for other platforms [is coming](https://docs.google.com/a/chromium.org/document/d/1LTk9uVMGi4kurzcF5ellsAJReTF31fFJMHrQwSVtBjc/) . Support is also available on [Firefox OS](https://bugzilla.mozilla.org/show_bug.cgi?id=960426).",
				"notes_by_num": {
					"1": "Supports only the `navigator.connection.type` value which doesn't match the latest spec. [see details](http://davidbcalhoun.com/2010/using-navigator-connection-android/)"
				},
				"usage_perc_y": 24.35,
				"usage_perc_a": 4.11,
				"ucprefix": false,
				"parent": "",
				"keywords": "performance,network,network information,netinfo",
				"ie_id": "",
				"chrome_id": "6338383617982464",
				"firefox_id": "",
				"webkit_id": ""
			},
			"setimmediate": {
				"title": "Efficient Script Yielding: setImmediate()",
				"description": "Yields control flow without the minimum delays enforced by setTimeout",
				"spec": "http://w3c.github.io/setImmediate/",
				"status": "unoff",
				"links": [
					{
						"url": "http://www.nczonline.net/blog/2013/07/09/the-case-for-setimmediate/",
						"title": "The case for setImmediate()"
					},
					{
						"url": "http://www.nczonline.net/blog/2011/09/19/script-yielding-with-setimmediate/",
						"title": "Script yielding with setImmediate"
					},
					{
						"url": "https://github.com/YuzuJS/setImmediate",
						"title": "setImmediate polyfill"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=686201",
						"title": "Firefox tracking bug"
					},
					{
						"url": "https://code.google.com/p/chromium/issues/detail?id=146172",
						"title": "Chrome bug closed as WONTFIX"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 6,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "setImmediate,clearImmediate,setTimeout,performance",
				"ie_id": "efficientscriptyieldingsetimmediate",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"es6-number": {
				"title": "ES6 Number",
				"description": "Extensions to the `Number` built-in object in ES6, including constant properties `EPSILON`, `MIN_SAFE_INTEGER`, and `MAX_SAFE_INTEGER`, and methods ` isFinite`, `isInteger`, `isSafeInteger`, and `isNaN`.",
				"spec": "http://www.ecma-international.org/ecma-262/6.0/#sec-number-objects",
				"status": "other",
				"links": [
					{
						"url": "http://www.2ality.com/2015/04/numbers-math-es6.html",
						"title": "New number and Math features in ES6"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #2",
						"26": "a #2",
						"27": "a #2",
						"28": "a #2",
						"29": "a #2",
						"30": "a #2",
						"31": "a #3",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "a #4",
						"20": "a #4",
						"21": "a #4",
						"22": "a #4",
						"23": "a #4",
						"24": "a #4",
						"25": "a #4",
						"26": "a #4",
						"27": "a #4",
						"28": "a #4",
						"29": "a #4",
						"30": "a #4",
						"31": "a #4",
						"32": "a #4",
						"33": "a #4",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "a #4",
						"16": "a #4",
						"17": "a #4",
						"18": "a #4",
						"19": "a #4",
						"20": "a #4",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "a #4",
						"4.2-4.3": "a #4",
						"4.4": "a #4",
						"4.4.3-4.4.4": "a #4"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "a #4"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial refers to only supporting the `isFinite`, `isInteger`, and `isNaN` methods.",
					"2": "Partial refers to supporting the same as #1 and the addition of the `EPSILON` property.",
					"3": "Partial refers to supporting all new features except the `isSafeInteger` method.",
					"4": "Partial refers to only supporting the `isFinite` and `isNaN` methods."
				},
				"usage_perc_y": 75.04,
				"usage_perc_a": 12.25,
				"ucprefix": false,
				"parent": "",
				"keywords": "ES6,JavaScript,number,built-in,EPSILON,MIN_SAFE_INTEGER,MAX_SAFE_INTEGER,isFinite,isInteger,isSafeInteger,isNaN",
				"ie_id": "numberbuiltinses6",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"maxlength": {
				"title": "maxlength attribute for input and textarea elements",
				"description": "Declares an upper bound on the number of characters the user can input. Normally the UI ignores attempts by the user to type in additional characters beyond this limit.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#attr-input-maxlength",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input#attr-maxlength",
						"title": "Mozilla Developer Network"
					}
				],
				"categories": [
					"DOM",
					"HTML5",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "a #1 #2 #3",
						"7": "a #1 #2 #3",
						"8": "a #1 #2 #3",
						"9": "a #1 #2 #3",
						"10": "y",
						"11": "y",
						"5.5": "u"
					},
					"edge": {
						"12": "y #4",
						"13": "y #4",
						"14": "y #4",
						"15": "y #4"
					},
					"firefox": {
						"2": "a #1 #2 #3",
						"3": "a #1 #2 #3",
						"4": "y #4",
						"5": "y #4",
						"6": "y #4",
						"7": "y #4",
						"8": "y #4",
						"9": "y #4",
						"10": "y #4",
						"11": "y #4",
						"12": "y #4",
						"13": "y #4",
						"14": "y #4",
						"15": "y #4",
						"16": "y #4",
						"17": "y #4",
						"18": "y #4",
						"19": "y #4",
						"20": "y #4",
						"21": "y #4",
						"22": "y #4",
						"23": "y #4",
						"24": "y #4",
						"25": "y #4",
						"26": "y #4",
						"27": "y #4",
						"28": "y #4",
						"29": "y #4",
						"30": "y #4",
						"31": "y #4",
						"32": "y #4",
						"33": "y #4",
						"34": "y #4",
						"35": "y #4",
						"36": "y #4",
						"37": "y #4",
						"38": "y #4",
						"39": "y #4",
						"40": "y #4",
						"41": "y #4",
						"42": "y #4",
						"43": "y #4",
						"44": "y #4",
						"45": "y #4",
						"46": "y #4",
						"47": "y #4",
						"48": "y #4",
						"49": "y #4",
						"50": "y #4",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a #1 #2 #3",
						"3.6": "a #1 #2 #3"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a #1 #2 #3",
						"5": "u",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "a #1 #2 #3",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "a #1",
						"12": "a #1",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "a #1",
						"10.0-10.1": "a #1",
						"10.5": "a #1",
						"10.6": "a #1",
						"11.1": "a #1",
						"11.5": "a #1",
						"11.6": "a #1",
						"12.1": "a #1"
					},
					"ios_saf": {
						"8": "a #5",
						"3.2": "u",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "a #5",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "a #1"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"37": "a #6",
						"11.1": "a #1",
						"11.5": "a #1",
						"12.1": "a #1"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y #4"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "a #6"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "`<textarea>`'s' UI does not prevent the user from typing additional characters beyond the `maxlength` limit.",
					"2": "Does not support the `HTMLTextAreaElement.maxLength` DOM property.",
					"3": "Does not support [`ValidityState.tooLong`](https://developer.mozilla.org/en-US/docs/Web/API/ValidityState/tooLong). In some cases, this is because `.validity` is not supported in the first place.",
					"4": "Does not support `ValidityState.tooLong` correctly in the (unlikely) case of the value being initially set too long, then changed by the user to a still incorrect state. See [Firefox bug](https://bugzilla.mozilla.org/show_bug.cgi?id=1203844) and [MS Edge bug](https://developer.microsoft.com/en-us/microsoft-edge/platform/issues/4678527/).",
					"5": "`<input>`'s UI does not prevent the user from typing additional characters beyond the `maxlength` limit between two existing characters of the string.",
					"6": "Allows text beyond maxlength to be entered at first, but removes all characters past the maxlength when focus is lost."
				},
				"usage_perc_y": 83.46,
				"usage_perc_a": 14.62,
				"ucprefix": false,
				"parent": "form-validation",
				"keywords": "maximum,length,input,textarea,too,long,validity,state",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"proxy": {
				"title": "Proxy object",
				"description": "The Proxy object allows custom behaviour to be defined for fundamental operations. Useful for logging, profiling, object virtualisation, etc.",
				"spec": "http://www.ecma-international.org/ecma-262/6.0/#sec-proxy-object-internal-methods-and-internal-slots",
				"status": "other",
				"links": [
					{
						"url": "https://github.com/lukehoban/es6features#proxies",
						"title": "ECMAScript 6 Proxies"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Proxy",
						"title": "MDN Proxy"
					},
					{
						"url": "http://www.nczonline.net/blog/2011/09/15/experimenting-with-ecmascript-6-proxies/",
						"title": "Experimenting with ECMAScript 6 proxies"
					},
					{
						"url": "http://www.2ality.com/2014/12/es6-proxies.html",
						"title": "Meta programming with ECMAScript 6 proxies"
					},
					{
						"url": "https://github.com/tvcutsem/harmony-reflect",
						"title": "Polyfill for Proxies"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n d",
						"20": "n d",
						"21": "n d",
						"22": "n d",
						"23": "n d",
						"24": "n d",
						"25": "n d",
						"26": "n d",
						"27": "n d",
						"28": "n d",
						"29": "n d",
						"30": "n d",
						"31": "n d",
						"32": "n d",
						"33": "n d",
						"34": "n d",
						"35": "n d",
						"36": "n d",
						"37": "n d",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n d",
						"16": "n d",
						"17": "n d",
						"18": "n d",
						"19": "n d",
						"20": "n d",
						"21": "n d",
						"22": "n d",
						"23": "n d",
						"24": "n d",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 68.07,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "proxies,es6,es2015,traps,meta,virtual,logging,host",
				"ie_id": "proxieses6",
				"chrome_id": "4811188005240832",
				"firefox_id": "",
				"webkit_id": "feature-proxy-objects"
			},
			"keyboardevent-which": {
				"title": "KeyboardEvent.which",
				"description": "A legacy `KeyboardEvent` property that is equivalent to either `KeyboardEvent.keyCode` or `KeyboardEvent.charCode` depending on whether the key is alphanumeric.",
				"spec": "https://w3c.github.io/uievents/#widl-KeyboardEvent-which",
				"status": "unoff",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/KeyboardEvent/which",
						"title": "Mozilla Developer Network"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "u",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "u",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "a #1",
						"4.4.3-4.4.4": "a #1"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "a #1",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "a #1"
					},
					"and_ff": {
						"50": "a #1"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "This property is legacy and deprecated, but its replacement(s) are not yet widely supported.",
				"notes_by_num": {
					"1": "`event.which` number for keys does not always match expected value (difference may be dependent on hardware vs. on-screen keyboard?). "
				},
				"usage_perc_y": 63.69,
				"usage_perc_a": 26.42,
				"ucprefix": false,
				"parent": "",
				"keywords": "keyboard,event,which",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"keyboardevent-charcode": {
				"title": "KeyboardEvent.charCode",
				"description": "A legacy `KeyboardEvent` property that gives the Unicode codepoint number of a character key pressed during a `keypress` event.",
				"spec": "https://w3c.github.io/uievents/#widl-KeyboardEvent-charCode",
				"status": "unoff",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/KeyboardEvent/charCode",
						"title": "Mozilla Developer Network"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "u",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "u",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "u",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "u",
						"37": "n #1",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n #1"
					},
					"ie_mob": {
						"10": "n #1",
						"11": "n #1"
					},
					"and_uc": {
						"11": "n #1"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "This property is legacy and deprecated, but its replacement(s) are not yet widely supported.",
				"notes_by_num": {
					"1": "Does not appear to support the `keypress` event at all"
				},
				"usage_perc_y": 83.7,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "keyboard,event,key,char,character,code,charCode",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"keyboardevent-code": {
				"title": "KeyboardEvent.code",
				"description": "A `KeyboardEvent` property representing the physical key that was pressed, ignoring the keyboard layout and ignoring whether any modifier keys were active.",
				"spec": "http://www.w3.org/TR/uievents/#widl-KeyboardEvent-code",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/KeyboardEvent/code",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://code.google.com/p/chromium/issues/detail?id=227231",
						"title": "Chrome tracking bug"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=149584",
						"title": "WebKit feature request bug"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n d #1",
						"43": "n d #1",
						"44": "n d #1",
						"45": "n d #1",
						"46": "n d #1",
						"47": "n d #1",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n d #1",
						"30": "n d #1",
						"31": "n d #1",
						"32": "n d #1",
						"33": "n d #1",
						"34": "n d #1",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n d #1",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n d #1"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Enabled in Chrome & Opera through the \"experimental Web Platform features\" flag"
				},
				"usage_perc_y": 33.58,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "keyboard,event,code",
				"ie_id": "uieventskeyboardqueryapis",
				"chrome_id": "5228092293382144",
				"firefox_id": "",
				"webkit_id": ""
			},
			"keyboardevent-location": {
				"title": "KeyboardEvent.location",
				"description": "A `KeyboardEvent` property that indicates the location of the key on the input device. Useful when there are more than one physical key for the same logical key (e.g. left or right \"Control\" key; main or numpad \"1\" key).",
				"spec": "http://www.w3.org/TR/uievents/#widl-KeyboardEvent-location",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/KeyboardEvent/location",
						"title": "Mozilla Developer Network"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "a #1",
						"5": "a #1",
						"6": "u",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "u",
						"5.1": "a #1",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "u",
						"15": "a #1",
						"16": "a #1",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "a #1",
						"6.0-6.1": "a #1",
						"7.0-7.1": "a #1",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a #1",
						"4": "a #1",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "a #1",
						"4.1": "a #1",
						"4.2-4.3": "a #1",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a #1",
						"10": "a #1"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "u",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "a #1"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Only supports `KeyboardEvent.keyLocation` from an older draft of the DOM Level 3 Events spec instead."
				},
				"usage_perc_y": 82.91,
				"usage_perc_a": 10.34,
				"ucprefix": false,
				"parent": "",
				"keywords": "keyboard,event,key,location,keyLocation,numpad",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"keyboardevent-getmodifierstate": {
				"title": "KeyboardEvent.getModifierState()",
				"description": "`KeyboardEvent` method that returns the state (whether the key is pressed/locked or not) of the given modifier key.",
				"spec": "http://www.w3.org/TR/uievents/#widl-KeyboardEvent-getModifierState",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/KeyboardEvent/getModifierState",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=40999",
						"title": "WebKit feature request bug"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "u",
						"15": "n",
						"16": "n",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "u",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 71.67,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "keyboard,event,get,modifier,state",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"keyboardevent-key": {
				"title": "KeyboardEvent.key",
				"description": "A `KeyboardEvent` property whose value is a string identifying the key that was pressed. Covers character keys, non-character keys (e.g. arrow keys), and dead keys.",
				"spec": "http://www.w3.org/TR/uievents/#widl-KeyboardEvent-key",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/KeyboardEvent/key",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://code.google.com/p/chromium/issues/detail?id=227231",
						"title": "Chrome tracking bug"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=69029",
						"title": "WebKit feature request bug"
					},
					{
						"url": "http://www.w3.org/TR/DOM-Level-3-Events-key/",
						"title": "Spec listing all key string values"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "u",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "u",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to these versions of Firefox returning `\"MozPrintableKey\"` for all character keys."
				},
				"usage_perc_y": 62.18,
				"usage_perc_a": 0.08,
				"ucprefix": false,
				"parent": "",
				"keywords": "keyboard,event,key",
				"ie_id": "",
				"chrome_id": "4748790720364544",
				"firefox_id": "",
				"webkit_id": ""
			},
			"brotli": {
				"title": "Brotli Accept-Encoding/Content-Encoding",
				"description": "More effective lossless compression algorithm than gzip and deflate.",
				"spec": "https://tools.ietf.org/html/rfc7932",
				"status": "other",
				"links": [
					{
						"url": "http://google-opensource.blogspot.com/2015/09/introducing-brotli-new-compression.html",
						"title": "Introducing Brotli"
					},
					{
						"url": "https://groups.google.com/a/chromium.org/forum/m/#!msg/blink-dev/JufzX024oy0/WEOGbN43AwAJ",
						"title": "Blink's intent to ship"
					},
					{
						"url": "https://github.com/google/brotli",
						"title": "Official code repository"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n d #1",
						"50": "y #2",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n d #1",
						"37": "n d #1",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y #2",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Supported in Chrome and Opera behind the 'Brotli Content-Encoding' flag",
					"2": "Enabled since 27 May 2016"
				},
				"usage_perc_y": 55.44,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "http,compression,accept,content,encoding",
				"ie_id": "brotlicompresseddataformat",
				"chrome_id": "5420797577396224",
				"firefox_id": "",
				"webkit_id": ""
			},
			"element-closest": {
				"title": "Element.closest()",
				"description": "DOM method that returns the current element if it matches the given selector, or else the closest ancestor element that matches the given selector, or else null.",
				"spec": "https://dom.spec.whatwg.org/#dom-element-closest",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Element/closest",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://github.com/jonathantneal/closest",
						"title": "Polyfill"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/10119510-element-closest",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 69.77,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "element,closest,dom",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": "feature-element.closest()"
			},
			"input-event": {
				"title": "input event",
				"description": "The `input` event is fired when the user changes the value of an `<input>` element, `<select>` element, or `<textarea>` element. By contrast, the \"change\" event usually only fires after the form control has lost focus.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#event-input-input",
				"status": "ls",
				"links": [
					{
						"url": "https://html.spec.whatwg.org/multipage/forms.html#send-select-update-notifications",
						"title": "Specification for `<select>` elements firing the `input` event"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/Events/input",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/10182111--input-type-checkbox-type-radio-should-fire-in",
						"title": "Microsoft Edge feature request on UserVoice"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a #1 #3 #5",
						"10": "y #3 #5",
						"11": "y #3 #5",
						"5.5": "n"
					},
					"edge": {
						"12": "y #3 #5",
						"13": "y #3 #5",
						"14": "y #3 #5",
						"15": "y #3 #5"
					},
					"firefox": {
						"2": "u",
						"3": "a #2 #3 #4",
						"4": "y #3 #4",
						"5": "y #3 #4",
						"6": "y #3 #4",
						"7": "y #3 #4",
						"8": "y #3 #4",
						"9": "y #3 #4",
						"10": "y #3 #4",
						"11": "y #3 #4",
						"12": "y #3 #4",
						"13": "y #3 #4",
						"14": "y #3 #4",
						"15": "y #3 #4",
						"16": "y #3 #4",
						"17": "y #3 #4",
						"18": "y #3 #4",
						"19": "y #3 #4",
						"20": "y #3 #4",
						"21": "y #3 #4",
						"22": "y #3 #4",
						"23": "y #3 #4",
						"24": "y #3 #4",
						"25": "y #3 #4",
						"26": "y #3 #4",
						"27": "y #3 #4",
						"28": "y #3 #4",
						"29": "y #3 #4",
						"30": "y #3 #4",
						"31": "y #3 #4",
						"32": "y #3 #4",
						"33": "y #3 #4",
						"34": "y #3 #4",
						"35": "y #3 #4",
						"36": "y #3 #4",
						"37": "y #3 #4",
						"38": "y #3 #4",
						"39": "y #3 #4",
						"40": "y #3 #4",
						"41": "y #3 #4",
						"42": "y #3 #4",
						"43": "y #3 #4",
						"44": "y #3 #4",
						"45": "y #3 #4",
						"46": "y #3 #4",
						"47": "y #3 #4",
						"48": "y #3 #4",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a #2 #3 #4",
						"3.6": "y #3 #4"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "y #3 #4",
						"16": "y #3 #4",
						"17": "y #3 #4",
						"18": "y #3 #4",
						"19": "y #3 #4",
						"20": "y #3 #4",
						"21": "y #3 #4",
						"22": "y #3 #4",
						"23": "y #3 #4",
						"24": "y #3 #4",
						"25": "y #3 #4",
						"26": "y #3 #4",
						"27": "y #3 #4",
						"28": "y #3 #4",
						"29": "y #3 #4",
						"30": "y #3 #4",
						"31": "y #3 #4",
						"32": "y #3 #4",
						"33": "y #3 #4",
						"34": "y #3 #4",
						"35": "y #4",
						"36": "y #4",
						"37": "y #4",
						"38": "y #4",
						"39": "y #4",
						"40": "y #4",
						"41": "y #4",
						"42": "y #4",
						"43": "y #4",
						"44": "y #4",
						"45": "y #4",
						"46": "y #4",
						"47": "y #4",
						"48": "y #4",
						"49": "y #4",
						"50": "y #4",
						"51": "y #4",
						"52": "y #4",
						"53": "y #4",
						"54": "y #4",
						"55": "y #4",
						"56": "y #4",
						"57": "y #4",
						"58": "y #4"
					},
					"safari": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "y #4",
						"8": "y #4",
						"9": "y #4",
						"10": "y #4",
						"3.1": "u",
						"3.2": "u",
						"5.1": "y #3 #4",
						"6.1": "y #4",
						"7.1": "y #4",
						"9.1": "y #4",
						"TP": "y #4"
					},
					"opera": {
						"9": "u",
						"11": "u",
						"12": "u",
						"15": "y #3 #4",
						"16": "y #3 #4",
						"17": "y #3 #4",
						"18": "y #3 #4",
						"19": "y #3 #4",
						"20": "y #3 #4",
						"21": "y #3 #4",
						"22": "y #4",
						"23": "y #4",
						"24": "y #4",
						"25": "y #4",
						"26": "y #4",
						"27": "y #4",
						"28": "y #4",
						"29": "y #4",
						"30": "y #4",
						"31": "y #4",
						"32": "y #4",
						"33": "y #4",
						"34": "y #4",
						"35": "y #4",
						"36": "y #4",
						"37": "y #4",
						"38": "y #4",
						"39": "y #4",
						"40": "y #4",
						"41": "y #4",
						"42": "y #4",
						"43": "y #4",
						"44": "y #4",
						"9.5-9.6": "u",
						"10.0-10.1": "u",
						"10.5": "u",
						"10.6": "u",
						"11.1": "u",
						"11.5": "u",
						"11.6": "a #2",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y #4",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "y #3 #4",
						"6.0-6.1": "y #3 #4",
						"7.0-7.1": "y #3 #4",
						"8.1-8.4": "y #4",
						"9.0-9.2": "y #4",
						"9.3": "y #4",
						"10-10.1": "y #4"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y #3 #4",
						"4": "y #3 #4",
						"53": "y #4",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y #3 #4",
						"4.1": "y #3 #4",
						"4.2-4.3": "y #3 #4",
						"4.4": "y #3 #4",
						"4.4.3-4.4.4": "y #4"
					},
					"bb": {
						"7": "y #3 #4",
						"10": "y #4"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y #4",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y #4"
					},
					"and_ff": {
						"50": "y #3 #4"
					},
					"ie_mob": {
						"10": "y #3 #5",
						"11": "y #3 #5"
					},
					"and_uc": {
						"11": "y #3 #4"
					},
					"samsung": {
						"4": "y #4"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Doesn't fire an `input` event when deleting text (via Backspace, Delete, Cut, etc.).",
					"2": "Doesn't fire an `input` event when drag-and-dropping text into an `<input>` or `<textarea>`.",
					"3": "`<select>` doesn't fire `input` events. See [MS Edge bug](https://connect.microsoft.com/IE/feedback/details/1816207) and [Firefox bug](https://bugzilla.mozilla.org/show_bug.cgi?id=1024350).",
					"4": "Doesn't fire an `input` event when (un)checking a checkbox or radio button, or when changing the selected file(s) of an `<input type=\"file\">`. See [Chrome bug](https://code.google.com/p/chromium/issues/detail?id=534245), [WebKit bug](https://bugs.webkit.org/show_bug.cgi?id=149398), and [Firefox bug](https://bugzilla.mozilla.org/show_bug.cgi?id=1206616).",
					"5": "Doesn't fire an `input` event when (un)checking a checkbox or radio button. See [MS Edge bug](https://connect.microsoft.com/IE/feedback/details/1883692)."
				},
				"usage_perc_y": 92.98,
				"usage_perc_a": 0.34,
				"ucprefix": false,
				"parent": "",
				"keywords": "input,event",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"input-search": {
				"title": "Search input type",
				"description": "Search field form input type. Intended to look like the underlying platform's native search field widget (if there is one). Other than its appearance, it's the same as an `<input type=\"text\">`.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#text-(type=text)-state-and-search-state-(type=search)",
				"status": "ls",
				"links": [
					{
						"url": "https://css-tricks.com/webkit-html5-search-inputs/",
						"title": "CSS-Tricks article"
					},
					{
						"url": "http://www.wufoo.com/html5/types/5-search.html",
						"title": "Wufoo's The Current State of HTML5 Forms: The search Type"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y #1",
						"11": "y #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y #1",
						"13": "y #1",
						"14": "y #1",
						"15": "y #1"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y #1",
						"5": "y #1",
						"6": "y #1",
						"7": "y #1",
						"8": "y #1",
						"9": "y #1",
						"10": "y #1",
						"11": "y #1",
						"12": "y #1",
						"13": "y #1",
						"14": "y #1",
						"15": "y #1",
						"16": "y #1",
						"17": "y #1",
						"18": "y #1",
						"19": "y #1",
						"20": "y #1",
						"21": "y #1",
						"22": "y #1",
						"23": "y #1",
						"24": "y #1",
						"25": "y #1",
						"26": "y #1",
						"27": "y #1",
						"28": "y #1",
						"29": "y #1",
						"30": "y #1",
						"31": "y #1",
						"32": "y #1",
						"33": "y #1",
						"34": "y #1",
						"35": "y #1",
						"36": "y #1",
						"37": "y #1",
						"38": "y #1",
						"39": "y #1",
						"40": "y #1",
						"41": "y #1",
						"42": "y #1",
						"43": "y #1",
						"44": "y #1",
						"45": "y #1",
						"46": "y #1",
						"47": "y #1",
						"48": "y #1",
						"49": "y #1",
						"50": "y #1",
						"51": "y #1",
						"52": "y #1",
						"53": "y #1",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "y #1",
						"16": "y #1",
						"17": "y #1",
						"18": "y #1",
						"19": "y #1",
						"20": "y #1",
						"21": "u",
						"22": "u",
						"23": "u",
						"24": "u",
						"25": "u",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "u",
						"5": "u",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "u",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "u",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "u",
						"11.5": "u",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y #1"
					},
					"android": {
						"3": "y #1",
						"4": "y #1",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y #1",
						"4.1": "y #1",
						"4.2-4.3": "y #1",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y #1"
					},
					"op_mob": {
						"10": "n",
						"11": "u",
						"12": "y",
						"37": "y #1",
						"11.1": "u",
						"11.5": "u",
						"12.1": "y #1"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y #1"
					},
					"ie_mob": {
						"10": "y #1",
						"11": "y #1"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Does not use a special search-specific UI for the field, just the same UI as a regular `<input type=\"text\">`."
				},
				"usage_perc_y": 96.98,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "forms",
				"keywords": "input,type,search",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-motion-paths": {
				"title": "CSS Motion Path",
				"description": "Allows elements to be animated along SVG paths or shapes",
				"spec": "https://drafts.fxtf.org/motion-1/",
				"status": "unoff",
				"links": [
					{
						"url": "http://codepen.io/danwilson/post/css-motion-paths",
						"title": "Blog post"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/motion-path",
						"title": "MDN article"
					},
					{
						"url": "https://googlechrome.github.io/samples/css-motion-path/index.html",
						"title": "Demo"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1186329",
						"title": "Firefox tracking bug"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n d #1",
						"44": "n d #1",
						"45": "n d #1",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n d #1",
						"31": "n d #1",
						"32": "n d #1",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Requires the \"Experimental Web Platform features\" flag to be enabled"
				},
				"usage_perc_y": 51.7,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "cssmotionpath",
				"chrome_id": "6190642178818048",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-scroll-behavior": {
				"title": "CSSOM Scroll-behavior",
				"description": "Method of specifying the scrolling behavior for a scrolling box, when scrolling happens due to navigation or CSSOM scrolling APIs.",
				"spec": "https://drafts.csswg.org/cssom-view/#propdef-scroll-behavior",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/scroll-behavior",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://code.google.com/p/chromium/issues/detail?id=243871",
						"title": "Chrome launch bug "
					},
					{
						"url": "https://blog.gospodarets.com/native_smooth_scrolling",
						"title": "Blog post with demo"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n d #1 #2",
						"42": "n d #1 #2",
						"43": "n d #1 #2",
						"44": "n d #1 #2",
						"45": "n d #1 #2",
						"46": "n d #1 #2",
						"47": "n d #1 #2",
						"48": "n d #1 #2",
						"49": "n d #1 #2",
						"50": "n d #1 #2",
						"51": "n d #1 #2",
						"52": "n d #1 #2",
						"53": "n d #1 #2",
						"54": "n d #1 #2",
						"55": "n d #1 #2",
						"56": "n d #1 #2",
						"57": "n d #1 #2",
						"58": "n d #1 #2"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n d #1 #2",
						"29": "n d #1 #2",
						"30": "n d #1 #2",
						"31": "n d #1 #2",
						"32": "n d #1 #2",
						"33": "n d #1 #2",
						"34": "n d #1 #2",
						"35": "n d #1 #2",
						"36": "n d #1 #2",
						"37": "n d #1 #2",
						"38": "n d #1 #2",
						"39": "n d #1 #2",
						"40": "n d #1 #2",
						"41": "n d #1 #2",
						"42": "n d #1 #2",
						"43": "n d #1 #2",
						"44": "n d #1 #2",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to support everything except of `Element.scrollIntoView()` and not together with pinch viewport.",
					"2": "Supported in Chrome and Opera behind the 'Smooth Scrolling' and/or 'Enable experimental web platform features' flag"
				},
				"usage_perc_y": 6.42,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "smooth,scroll,cssom,scroll-behavior",
				"ie_id": "cssomviewsmoothscrollapi",
				"chrome_id": "5812155903377408",
				"firefox_id": "",
				"webkit_id": ""
			},
			"subresource-integrity": {
				"title": "Subresource Integrity",
				"description": "Subresource Integrity enables browsers to verify that file is delivered without unexpected manipulation.",
				"spec": "http://www.w3.org/TR/SRI/",
				"status": "rec",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/Security/Subresource_Integrity",
						"title": "Subresource Integrity (MDN)"
					},
					{
						"url": "https://www.srihash.org/",
						"title": "SRI generation and browser support test"
					},
					{
						"url": "https://sritest.io",
						"title": "SRI hash webpage scanner"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=148363",
						"title": "WebKit feature request bug"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 58.18,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "SRI, security, hash",
				"ie_id": "subresourceintegrity",
				"chrome_id": "6183089948590080",
				"firefox_id": "subresource-integrity",
				"webkit_id": "feature-subresource-integrity"
			},
			"custom-elementsv1": {
				"title": "Custom Elements v1",
				"description": "Method of defining new HTML tags.",
				"spec": "https://html.spec.whatwg.org/multipage/scripting.html#custom-elements",
				"status": "ls",
				"links": [
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=889230",
						"title": "Firefox tracking bug: Implement Custom Elements (from Web Components)"
					},
					{
						"url": "http://status.modern.ie/customelements",
						"title": "IE Web Platform Status and Roadmap: Custom Elements"
					},
					{
						"url": "https://developers.google.com/web/fundamentals/primers/customelements/",
						"title": "Google Developers - Custom elements v1: reusable web components"
					},
					{
						"url": "https://github.com/webcomponents/webcomponentsjs/tree/v1/src/CustomElements/v1",
						"title": "customElements.define polyfill"
					},
					{
						"url": "https://webkit.org/blog/7027/introducing-custom-elements/",
						"title": "WebKit Blog: Introducing Custom Elements"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "p",
						"11": "p",
						"5.5": "n"
					},
					"edge": {
						"12": "p",
						"13": "p",
						"14": "p",
						"15": "p"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "p",
						"31": "p",
						"32": "p",
						"33": "p",
						"34": "p",
						"35": "p",
						"36": "p",
						"37": "p",
						"38": "p",
						"39": "p",
						"40": "p",
						"41": "p",
						"42": "p",
						"43": "p",
						"44": "p",
						"45": "p",
						"46": "p",
						"47": "p",
						"48": "p",
						"49": "p",
						"50": "p",
						"51": "p",
						"52": "p",
						"53": "p",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "p",
						"53": "p",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "p",
						"9": "p",
						"10": "p",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "p",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "p"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "Chrome 36+/Opera 20+ implemented a previous version of Custom Elements (v0) that used `.registerElement()`. Other browsers are implementing v1, `window.customElements.define()`.",
				"notes_by_num": {
					"1": "Can be enabled via the \"Experimental Features\" developer menu"
				},
				"usage_perc_y": 47.17,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "web components,custom elements",
				"ie_id": "customelements",
				"chrome_id": "4696261944934400",
				"firefox_id": "custom-elements",
				"webkit_id": "feature-custom-elements"
			},
			"css-in-out-of-range": {
				"title": ":in-range and :out-of-range CSS pseudo-classes",
				"description": "If a temporal or number `<input>` has `max` and/or `min` attributes, then `:in-range` matches when the value is within the specified range and `:out-of-range` matches when the value is outside the specified range. If there are no range constraints, then neither pseudo-class matches.",
				"spec": "http://www.w3.org/TR/selectors4/#range-pseudos",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/:out-of-range",
						"title": "MDN article"
					},
					{
						"url": "https://html.spec.whatwg.org/multipage/scripting.html#selector-in-range",
						"title": "WHATWG HTML specification for `:in-range` and `:out-of-range`"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "a #3",
						"30": "a #3",
						"31": "a #3",
						"32": "a #3",
						"33": "a #3",
						"34": "a #3",
						"35": "a #3",
						"36": "a #3",
						"37": "a #3",
						"38": "a #3",
						"39": "a #3",
						"40": "a #3",
						"41": "a #3",
						"42": "a #3",
						"43": "a #3",
						"44": "a #3",
						"45": "a #3",
						"46": "a #3",
						"47": "a #3",
						"48": "a #3",
						"49": "a #3",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "a #2 #3",
						"16": "a #2 #3",
						"17": "a #2 #3",
						"18": "a #2 #3",
						"19": "a #2 #3",
						"20": "a #2 #3",
						"21": "a #2 #3",
						"22": "a #2 #3",
						"23": "a #2 #3",
						"24": "a #2 #3",
						"25": "a #2 #3",
						"26": "a #2 #3",
						"27": "a #2 #3",
						"28": "a #2 #3",
						"29": "a #2 #3",
						"30": "a #2 #3",
						"31": "a #2 #3",
						"32": "a #2 #3",
						"33": "a #2 #3",
						"34": "a #2 #3",
						"35": "a #2 #3",
						"36": "a #2 #3",
						"37": "a #2 #3",
						"38": "a #2 #3",
						"39": "a #2 #3",
						"40": "a #2 #3",
						"41": "a #2 #3",
						"42": "a #2 #3",
						"43": "a #2 #3",
						"44": "a #2 #3",
						"45": "a #2 #3",
						"46": "a #2 #3",
						"47": "a #2 #3",
						"48": "a #2 #3",
						"49": "a #2 #3",
						"50": "a #2 #3",
						"51": "a #2 #3",
						"52": "a #2",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "u",
						"6": "a #2 #3",
						"7": "a #2 #3",
						"8": "a #2 #3",
						"9": "a #2 #3",
						"10": "a #2 #3",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a #2 #3",
						"6.1": "a #2 #3",
						"7.1": "a #2 #3",
						"9.1": "a #2 #3",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "a #2",
						"12": "a #2",
						"15": "a #2 #3",
						"16": "a #2 #3",
						"17": "a #2 #3",
						"18": "a #2 #3",
						"19": "a #2 #3",
						"20": "a #2 #3",
						"21": "a #2 #3",
						"22": "a #2 #3",
						"23": "a #2 #3",
						"24": "a #2 #3",
						"25": "a #2 #3",
						"26": "a #2 #3",
						"27": "a #2 #3",
						"28": "a #2 #3",
						"29": "a #2 #3",
						"30": "a #2 #3",
						"31": "a #2 #3",
						"32": "a #2 #3",
						"33": "a #2 #3",
						"34": "a #2 #3",
						"35": "a #2 #3",
						"36": "a #2 #3",
						"37": "a #2 #3",
						"38": "a #2 #3",
						"39": "a #2",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "u",
						"10.0-10.1": "a #2",
						"10.5": "a #2",
						"10.6": "a #2",
						"11.1": "a #2",
						"11.5": "a #2",
						"11.6": "a #2",
						"12.1": "a #2"
					},
					"ios_saf": {
						"8": "a #2 #3",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "a #2 #3",
						"6.0-6.1": "a #2 #3",
						"7.0-7.1": "a #2 #3",
						"8.1-8.4": "a #2 #3",
						"9.0-9.2": "a #2 #3",
						"9.3": "a #2 #3",
						"10-10.1": "a #2 #3"
					},
					"op_mini": {
						"all": "a #1"
					},
					"android": {
						"3": "n",
						"4": "a #2",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "a #2",
						"4.2-4.3": "a #2",
						"4.4": "a #2",
						"4.4.3-4.4.4": "a #2"
					},
					"bb": {
						"7": "n",
						"10": "a #2"
					},
					"op_mob": {
						"10": "a #2",
						"11": "a #2",
						"12": "a #2",
						"37": "a #2",
						"11.1": "a #2",
						"11.5": "a #2",
						"12.1": "a #2"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "a #2"
					},
					"samsung": {
						"4": "a #2"
					}
				},
				"notes": "Note that `<input type=\"range\">` can never match `:out-of-range` because the user cannot input such a value, and if the initial value is outside the range, the browser immediately clamps it to the minimum or maximum (as appropriate) bound of the range.",
				"notes_by_num": {
					"1": "Opera Mini correctly applies style on initial load, but does not correctly update when value is changed.",
					"2": "`:in-range` also incorrectly matches temporal and `number` inputs which don't have `min` or `max` attributes. See [Edge bug](https://developer.microsoft.com/en-us/microsoft-edge/platform/issues/7200501/), [Chrome bug](https://bugs.chromium.org/p/chromium/issues/detail?id=603268), [WebKit bug](https://bugs.webkit.org/show_bug.cgi?id=156558).",
					"3": "`:in-range` and `:out-of-range` incorrectly match inputs which are disabled or readonly. See [Edge bug](https://developer.microsoft.com/en-us/microsoft-edge/platform/issues/7190958/), [Mozilla bug](https://bugzilla.mozilla.org/show_bug.cgi?id=1264157), [WebKit bug](https://bugs.webkit.org/show_bug.cgi?id=156530), [Chrome bug](https://bugs.chromium.org/p/chromium/issues/detail?id=602568)."
				},
				"usage_perc_y": 50.09,
				"usage_perc_a": 42.18,
				"ucprefix": false,
				"parent": "",
				"keywords": "in,out,of,range,:in-range,:out-of-range",
				"ie_id": "cssrangepseudoclasses",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"push-api": {
				"title": "Push API",
				"description": "API to allow messages to be pushed from a server to a browser, even when the site isn't focused or even open in the browser.",
				"spec": "https://w3c.github.io/push-api/",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Push_API",
						"title": "MDN article"
					},
					{
						"url": "https://developers.google.com/web/updates/2015/03/push-notifications-on-the-open-web",
						"title": "Google Developers article"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "y #2",
						"45": "y #2",
						"46": "y #2",
						"47": "y #2",
						"48": "y #2",
						"49": "y #2",
						"50": "y #2",
						"51": "y #2",
						"52": "y #2",
						"53": "y #2",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "a #1 #2",
						"45": "a #1 #2",
						"46": "a #1 #2",
						"47": "a #1 #2",
						"48": "a #1 #2",
						"49": "a #1 #2",
						"50": "y #2",
						"51": "y #2",
						"52": "y #2",
						"53": "y #2",
						"54": "y #2",
						"55": "y #2",
						"56": "y #2",
						"57": "y #2",
						"58": "y #2"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "u",
						"38": "u",
						"39": "u",
						"40": "u",
						"41": "u",
						"42": "y #2",
						"43": "y #2",
						"44": "y #2",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to not supporting `PushEvent.data` and `PushMessageData`",
					"2": "Requires full browser to be running to receive messages"
				},
				"usage_perc_y": 58.6,
				"usage_perc_a": 2.31,
				"ucprefix": false,
				"parent": "",
				"keywords": "push notifications",
				"ie_id": "pushapi",
				"chrome_id": "5416033485586432",
				"firefox_id": "push",
				"webkit_id": ""
			},
			"background-position-x-y": {
				"title": "background-position-x & background-position-y",
				"description": "CSS longhand properties to define x or y positions separately.",
				"spec": "https://drafts.csswg.org/css-backgrounds-4/#background-position-longhands",
				"status": "unoff",
				"links": [
					{
						"url": "https://msdn.microsoft.com/en-us/library/ms530719%28v=vs.85%29.aspx",
						"title": "MSDN article"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=550426",
						"title": "Firefox implementation bug"
					},
					{
						"url": "http://snook.ca/archives/html_and_css/background-position-x-y",
						"title": "Blog post on background-position-x & y properties"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "y"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "A workaround for the lack of support in Firefox 31 - Firefox 48 is to use [CSS variables](https://developer.mozilla.org/en-US/docs/Web/CSS/Using_CSS_variables). See [this Stack Overflow answer](http://stackoverflow.com/a/29282573/94197) for an example.",
				"notes_by_num": {},
				"usage_perc_y": 91.85,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-revert-value": {
				"title": "CSS revert value",
				"description": "A CSS keyword value that resets a property's value to the default specified by the browser in its UA stylesheet, as if the webpage had not included any CSS. For example, `display:revert` on a `<div>` would result in `display:block`. This is in contrast to the `initial` value, which is simply defined on a per-property basis, and for `display` would be `inline`.",
				"spec": "https://www.w3.org/TR/css-cascade-4/#valdef-all-revert",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/revert",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1215878",
						"title": "Firefox feature request bug"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/10469316-the-css4-revert-value",
						"title": "Microsoft Edge feature request on UserVoice"
					},
					{
						"url": "https://code.google.com/p/chromium/issues/detail?id=579788",
						"title": "Chrome feature request issue"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 10.42,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "CSS,reset,value",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-widows-orphans": {
				"title": "CSS widows & orphans",
				"description": "CSS properties to control when lines break across pages or columns by defining the amount of lines that must be left before or after the break.",
				"spec": "https://drafts.csswg.org/css-break-3/#widows-orphans",
				"status": "rec",
				"links": [
					{
						"url": "http://thenewcode.com/946/CSS-last-line-Controlling-Widows-amp-Orphans",
						"title": "CSS last-line: Controlling Widows & Orphans"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=137367",
						"title": "Firefox support bug"
					},
					{
						"url": "http://tympanus.net/codrops/css_reference/orphans/",
						"title": "codrops article on orphans"
					},
					{
						"url": "http://tympanus.net/codrops/css_reference/widows/",
						"title": "codrops article on widows"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "y #1",
						"9": "y #1",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "u",
						"52": "u",
						"53": "u",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y #1",
						"11": "y #1",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y #1",
						"10.0-10.1": "y #1",
						"10.5": "y #1",
						"10.6": "y #1",
						"11.1": "y #1",
						"11.5": "y #1",
						"11.6": "y #1",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Some older WebKit-based browsers recognize the properties, but do not appear to have actual support",
				"notes_by_num": {
					"1": "Supports widows & orphans properties, but due to not supporting CSS multi-columns the support is only for page breaks (for print)"
				},
				"usage_perc_y": 81.03,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"web-bluetooth": {
				"title": "Web Bluetooth",
				"description": "Allows web sites to communicate over GATT with nearby user-selected Bluetooth devices in a secure and privacy-preserving way.",
				"spec": "http://webbluetoothcg.github.io/web-bluetooth/",
				"status": "unoff",
				"links": [
					{
						"url": "https://developers.google.com/web/updates/2015/07/interact-with-ble-devices-on-the-web",
						"title": "Intro"
					},
					{
						"url": "https://googlechrome.github.io/samples/web-bluetooth/",
						"title": "Samples"
					},
					{
						"url": "https://github.com/WebBluetoothCG/demos",
						"title": "Demos"
					},
					{
						"url": "https://github.com/WebBluetoothCG/web-bluetooth/blob/gh-pages/implementation-status.md",
						"title": "Implementation Status"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n d #1",
						"46": "n d #1",
						"47": "n d #1",
						"48": "n d #1",
						"49": "n d #1",
						"50": "n d #1",
						"51": "n d #1",
						"52": "n d #1",
						"53": "n d #1 #3",
						"54": "n d #1 #3",
						"55": "n d #1 #3",
						"56": "u",
						"57": "u",
						"58": "u"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n d #1 #2",
						"37": "n d #1 #2",
						"38": "n d #1 #2",
						"39": "n d #1 #2",
						"40": "n d #1 #3",
						"41": "n d #1 #3",
						"42": "n d #1 #3",
						"43": "u",
						"44": "u",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n d #1 #3"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Available by enabling the \"Web Bluetooth\" experimental flag in `about:flags`. Currently support [varies by OS](https://github.com/WebBluetoothCG/web-bluetooth/blob/gh-pages/implementation-status.md)",
					"2": "Only in Opera Mobile",
					"3": "Available in [Origin Trials](https://developers.google.com/web/updates/2015/07/interact-with-ble-devices-on-the-web#available-for-origin-trials) for Chrome OS, Android M, and Mac"
				},
				"usage_perc_y": 0,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "bluetooth,ble,iot,physicalweb,webbluetooth",
				"ie_id": "webbluetooth",
				"chrome_id": "5264933985976320",
				"firefox_id": "web-bluetooth",
				"webkit_id": ""
			},
			"scrollintoview": {
				"title": "scrollIntoView",
				"description": "The `Element.scrollIntoView()` method scrolls the current element into the visible area of the browser window. Parameters can be provided to set the position inside the visible area as well as whether scrolling should be instant or smooth.",
				"spec": "https://drafts.csswg.org/cssom-view/#dom-element-scrollintoview",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Element/scrollIntoView",
						"title": "MDN article"
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"5.5": "n"
					},
					"edge": {
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1"
					},
					"firefox": {
						"2": "a #1",
						"3": "a #1",
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "a #1",
						"3.6": "a #1"
					},
					"chrome": {
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"45": "a #1",
						"46": "a #1",
						"47": "a #1",
						"48": "a #1",
						"49": "a #1",
						"50": "a #1",
						"51": "a #1",
						"52": "a #1",
						"53": "a #1",
						"54": "a #1",
						"55": "a #1",
						"56": "a #1",
						"57": "a #1",
						"58": "a #1"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a #1",
						"6.1": "a #1",
						"7.1": "a #1",
						"9.1": "a #1",
						"TP": "a #1"
					},
					"opera": {
						"9": "n",
						"11": "u",
						"12": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "u",
						"11.5": "u",
						"11.6": "a #1",
						"12.1": "a #1"
					},
					"ios_saf": {
						"8": "a #1",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "a #1",
						"6.0-6.1": "a #1",
						"7.0-7.1": "a #1",
						"8.1-8.4": "a #1",
						"9.0-9.2": "a #1",
						"9.3": "a #1",
						"10-10.1": "a #1"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a #1",
						"4": "a #1",
						"53": "a #1",
						"2.1": "u",
						"2.2": "u",
						"2.3": "a #1",
						"4.1": "a #1",
						"4.2-4.3": "a #1",
						"4.4": "a #1",
						"4.4.3-4.4.4": "a #1"
					},
					"bb": {
						"7": "a #1",
						"10": "a #1"
					},
					"op_mob": {
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"37": "a #1",
						"11.1": "a #1",
						"11.5": "a #1",
						"12.1": "a #1"
					},
					"and_chr": {
						"55": "a #1"
					},
					"and_ff": {
						"50": "a #1"
					},
					"ie_mob": {
						"10": "a #1",
						"11": "a #1"
					},
					"and_uc": {
						"11": "a #1"
					},
					"samsung": {
						"4": "a #1"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Supports scrollIntoView with boolean parameter, but not `smooth` behavior option"
				},
				"usage_perc_y": 6.42,
				"usage_perc_a": 87.41,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-nth-child-of": {
				"title": "selector list argument of :nth-child and :nth-last-child CSS pseudo-classes",
				"description": "The newest versions of `:nth-child()` and `:nth-last-child()` accept an optional `of S` clause which filters the children to only those which match the selector list `S`. For example, `:nth-child(1 of .foo)` selects the first child among the children that have the `foo` class (ignoring any non-`foo` children which precede that child). Similar to `:nth-of-type`, but for arbitrary selectors instead of only type selectors.",
				"spec": "https://drafts.csswg.org/selectors/#the-nth-child-pseudo",
				"status": "unoff",
				"links": [
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=854148",
						"title": "Mozilla Bug 854148 - Support for :nth-child(An+B of sel), :nth-last-child(An+B of sel) pseudo-classes"
					},
					{
						"url": "https://bugs.chromium.org/p/chromium/issues/detail?id=304163",
						"title": "Chromium Issue 304163: Implement :nth-child(an+b of S) and :nth-last-child(an+b of S) pseudo-classes"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/15944476",
						"title": "MS Edge feature request on UserVoice"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 10.77,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "nth-child,nth-last-child,nth,child,an,b,of,s,sel,selector,list",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": "feature-css-selector-:nth-child(an+b-of-selector-list)-and-:nth-last-child(an+b-of-selector-list)"
			},
			"focusin-focusout-events": {
				"title": "focusin & focusout events",
				"description": "The `focusin` and `focusout` events fire just before the element gains or loses focus, and they bubble. By contrast, the `focus` and `blur` events fire after the focus has shifted, and don't bubble.",
				"spec": "https://www.w3.org/TR/DOM-Level-3-Events/#event-type-focusin",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/Events/focusin",
						"title": "focusin event at Mozilla Developer Network"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/Events/focusout",
						"title": "focusout event at Mozilla Developer Network"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=687787",
						"title": "Mozilla Bug 687787 - Add support for DOM3 focusin/focusout"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "u",
						"5": "u",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "u",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "u",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "u",
						"11.5": "u",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "u",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "u",
						"12": "y",
						"37": "y",
						"11.1": "u",
						"11.5": "u",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "In browsers that don't support these events, one alternative is to use a capture phase event listener for the `focus` and/or `blur` events.",
				"notes_by_num": {},
				"usage_perc_y": 86.82,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "focusin,focusout,focus,event",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-matches-pseudo": {
				"title": ":matches() CSS pseudo-class",
				"description": "The `:matches()` (formerly `:any()`) pseudo-class checks whether the element at its position in the outer selector matches any of the selectors in its selector list. It's useful syntactic sugar that allows you to avoid writing out all the combinations manually as separate selectors. The effect is similar to nesting in Sass and most other CSS preprocessors.",
				"spec": "https://www.w3.org/TR/selectors4/#matches",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/:any",
						"title": "Mozilla Developer Network article"
					},
					{
						"url": "https://webkit.org/blog/3615/css-selectors-inside-selectors-discover-matches-not-and-nth-child/",
						"title": "WebKit blog post about adding `:matches()` and other Selectors Level 4 features"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=906353",
						"title": "Mozilla Bug 906353 - Add support for css4 selector :matches(), the standard of :-moz-any()"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/9361350--matches",
						"title": "Microsoft Edge UserVoice feature request for :matches()"
					},
					{
						"url": "http://output.jsbin.com/lehina",
						"title": "JS Bin testcase"
					},
					{
						"url": "https://bugs.chromium.org/p/chromium/issues/detail?id=568705",
						"title": "Issue 568705: Chrome does not support :matches() selector"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "u",
						"3": "u",
						"4": "a x #3",
						"5": "a x #3",
						"6": "a x #3",
						"7": "a x #3",
						"8": "a x #3",
						"9": "a x #3",
						"10": "a x #3",
						"11": "a x #3",
						"12": "a x #3",
						"13": "a x #3",
						"14": "a x #3",
						"15": "a x #3",
						"16": "a x #3",
						"17": "a x #3",
						"18": "a x #3",
						"19": "a x #3",
						"20": "a x #3",
						"21": "a x #3",
						"22": "a x #3",
						"23": "a x #3",
						"24": "a x #3",
						"25": "a x #3",
						"26": "a x #3",
						"27": "a x #3",
						"28": "a x #3",
						"29": "a x #3",
						"30": "a x #3",
						"31": "a x #3",
						"32": "a x #3",
						"33": "a x #3",
						"34": "a x #3",
						"35": "a x #3",
						"36": "a x #3",
						"37": "a x #3",
						"38": "a x #3",
						"39": "a x #3",
						"40": "a x #3",
						"41": "a x #3",
						"42": "a x #3",
						"43": "a x #3",
						"44": "a x #3",
						"45": "a x #3",
						"46": "a x #3",
						"47": "a x #3",
						"48": "a x #3",
						"49": "a x #3",
						"50": "a x #3",
						"51": "a x #3",
						"52": "a x #3",
						"53": "a x #3",
						"3.5": "u",
						"3.6": "u"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "a x #1",
						"16": "a x #1",
						"17": "a x #1",
						"18": "a x #1",
						"19": "a x #1",
						"20": "a x #1",
						"21": "a x #1",
						"22": "a x #1",
						"23": "a x #1",
						"24": "a x #1",
						"25": "a x #1",
						"26": "a x #1",
						"27": "a x #1",
						"28": "a x #1",
						"29": "a x #1",
						"30": "a x #1",
						"31": "a x #1",
						"32": "a x #1",
						"33": "a x #1",
						"34": "a x #1",
						"35": "a x #1",
						"36": "a x #1",
						"37": "a x #1",
						"38": "a x #1",
						"39": "a x #1",
						"40": "a x #1",
						"41": "a x #1",
						"42": "a x #1",
						"43": "a x #1",
						"44": "a x #1",
						"45": "a x #1",
						"46": "a x #1",
						"47": "a x #1",
						"48": "a x #1",
						"49": "a x #1",
						"50": "a x #1",
						"51": "a x #1",
						"52": "a x #1",
						"53": "a x #1",
						"54": "a x #1",
						"55": "a x #1",
						"56": "a x #1",
						"57": "a x #1",
						"58": "a x #1"
					},
					"safari": {
						"4": "n",
						"5": "u",
						"6": "a x #1",
						"7": "a x #1",
						"8": "a x #1",
						"9": "y #2",
						"10": "y #2",
						"3.1": "n",
						"3.2": "n",
						"5.1": "a x #1",
						"6.1": "a x #1",
						"7.1": "a x #1",
						"9.1": "y #2",
						"TP": "y #2"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "a x #1",
						"16": "a x #1",
						"17": "a x #1",
						"18": "a x #1",
						"19": "a x #1",
						"20": "a x #1",
						"21": "a x #1",
						"22": "a x #1",
						"23": "a x #1",
						"24": "a x #1",
						"25": "a x #1",
						"26": "a x #1",
						"27": "a x #1",
						"28": "a x #1",
						"29": "a x #1",
						"30": "a x #1",
						"31": "a x #1",
						"32": "a x #1",
						"33": "a x #1",
						"34": "a x #1",
						"35": "a x #1",
						"36": "a x #1",
						"37": "a x #1",
						"38": "a x #1",
						"39": "a x #1",
						"40": "a x #1",
						"41": "a x #1",
						"42": "a x #1",
						"43": "a x #1",
						"44": "a x #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "a x #1",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "u",
						"6.0-6.1": "u",
						"7.0-7.1": "a x #1",
						"8.1-8.4": "a x #1",
						"9.0-9.2": "y #2",
						"9.3": "y #2",
						"10-10.1": "y #2"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "u",
						"4": "a x #1",
						"53": "a x #1",
						"2.1": "u",
						"2.2": "u",
						"2.3": "u",
						"4.1": "a x #1",
						"4.2-4.3": "a x #1",
						"4.4": "a x #1",
						"4.4.3-4.4.4": "a x #1"
					},
					"bb": {
						"7": "u",
						"10": "a x #1"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "a x #1",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "a x #1"
					},
					"and_ff": {
						"50": "a x #3"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "a x #1"
					},
					"samsung": {
						"4": "a x #1"
					}
				},
				"notes": "Most browsers support this spelled as a prefixed `:-vendor-any()` pseudo-class.",
				"notes_by_num": {
					"1": "Only supports the `:-webkit-any()` pseudo-class, which is deprecated due to handling specificity incorrectly.",
					"2": "Also supports the `:-webkit-any()` pseudo-class, which is deprecated due to handling specificity incorrectly.",
					"3": "Only supports the `:-moz-any()` pseudo-class."
				},
				"usage_perc_y": 10.77,
				"usage_perc_a": 75.97,
				"ucprefix": false,
				"parent": "",
				"keywords": ":matches,matches,:any,any",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": "feature-css-selector-:matches()"
			},
			"rel-noopener": {
				"title": "rel=noopener",
				"description": "Ensure new browsing contexts are opened without a useful `window.opener`",
				"spec": "https://html.spec.whatwg.org/multipage/semantics.html#link-type-noopener",
				"status": "ls",
				"links": [
					{
						"url": "https://mathiasbynens.github.io/rel-noopener/",
						"title": "Explainer"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1222516",
						"title": "Gecko/Firefox issue"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=155166",
						"title": "WebKit/Safari issue"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/12942405-implement-rel-noopener",
						"title": "Edge feature request"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 51.36,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "rel,relation,link,security",
				"ie_id": "",
				"chrome_id": "5651874132787200",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-text-justify": {
				"title": "CSS text-justify",
				"description": "CSS property to define how text should be justified when `text-align: justify` is set.",
				"spec": "https://drafts.csswg.org/css-text-3/#text-justify-property",
				"status": "wd",
				"links": [
					{
						"url": "https://crbug.com/248894",
						"title": "Chrome support bug"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=99945",
						"title": "WebKit support bug"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=276079",
						"title": "Firefox support bug"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "u",
						"7": "u",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"5.5": "u"
					},
					"edge": {
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "u",
						"52": "u",
						"53": "u",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n d #2",
						"44": "n d #2",
						"45": "n d #2",
						"46": "n d #2",
						"47": "n d #2",
						"48": "n d #2",
						"49": "n d #2",
						"50": "n d #2",
						"51": "n d #2",
						"52": "n d #2",
						"53": "n d #2",
						"54": "n d #2",
						"55": "n d #2",
						"56": "n d #2",
						"57": "n d #2",
						"58": "n d #2"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n d #2",
						"31": "n d #2",
						"32": "n d #2",
						"33": "n d #2",
						"34": "n d #2",
						"35": "n d #2",
						"36": "n d #2",
						"37": "n d #2",
						"38": "n d #2",
						"39": "n d #2",
						"40": "n d #2",
						"41": "n d #2",
						"42": "n d #2",
						"43": "n d #2",
						"44": "n d #2",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n d #2",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n d #2",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n d #2"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "a #1",
						"11": "a #1"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Supports `inter-word`, but not `inter-character` or  `none`. Also supports the following unofficial values: `distribute` , `distribute-all-lines`, `distribute-center-last`, `inter-cluster`, `inter-ideograph`, `newspaper`. See [MSDN](https://msdn.microsoft.com/en-us/library/ms531172%28v=vs.85%29.aspx) for details.",
					"2": "`inter-word` and `distribute` values supported behind the \"Experimental platform features\" flag but `distribute` support [is buggy](https://crbug.com/467406)"
				},
				"usage_perc_y": 0,
				"usage_perc_a": 6.67,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-scrollbar": {
				"title": "CSS scrollbar styling",
				"description": "Non-standard methods of styling scrollbars.",
				"spec": "https://webkit.org/blog/363/styling-scrollbars/",
				"status": "unoff",
				"links": [
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=77790",
						"title": "Firefox support bug"
					},
					{
						"url": "http://stackoverflow.com/questions/9251354/css-customized-scroll-bar-in-div/14150577#14150577",
						"title": "Stackoverflow article discussiong cross-browser support"
					},
					{
						"url": "http://codemug.com/html/custom-scrollbars-using-css/",
						"title": "Tutorial for IE & WebKit/Blink browsers"
					},
					{
						"url": "https://noraesae.github.io/perfect-scrollbar/",
						"title": "\"perfect-scrollbar\" - Minimal custom scrollbar plugin"
					},
					{
						"url": "http://manos.malihu.gr/jquery-custom-content-scroller/",
						"title": "jQuery custom content scroller"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"5.5": "a #1"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y x #2",
						"5": "y x #2",
						"6": "y x #2",
						"7": "y x #2",
						"8": "y x #2",
						"9": "y x #2",
						"10": "y x #2",
						"11": "y x #2",
						"12": "y x #2",
						"13": "y x #2",
						"14": "y x #2",
						"15": "y x #2",
						"16": "y x #2",
						"17": "y x #2",
						"18": "y x #2",
						"19": "y x #2",
						"20": "y x #2",
						"21": "y x #2",
						"22": "y x #2",
						"23": "y x #2",
						"24": "y x #2",
						"25": "y x #2",
						"26": "y x #2",
						"27": "y x #2",
						"28": "y x #2",
						"29": "y x #2",
						"30": "y x #2",
						"31": "y x #2",
						"32": "y x #2",
						"33": "y x #2",
						"34": "y x #2",
						"35": "y x #2",
						"36": "y x #2",
						"37": "y x #2",
						"38": "y x #2",
						"39": "y x #2",
						"40": "y x #2",
						"41": "y x #2",
						"42": "y x #2",
						"43": "y x #2",
						"44": "y x #2",
						"45": "y x #2",
						"46": "y x #2",
						"47": "y x #2",
						"48": "y x #2",
						"49": "y x #2",
						"50": "y x #2",
						"51": "y x #2",
						"52": "y x #2",
						"53": "y x #2",
						"54": "y x #2",
						"55": "y x #2",
						"56": "y x #2",
						"57": "y x #2",
						"58": "y x #2"
					},
					"safari": {
						"4": "u",
						"5": "u",
						"6": "y x #2",
						"7": "y x #2",
						"8": "y x #2",
						"9": "y x #2",
						"10": "y x #2",
						"3.1": "u",
						"3.2": "u",
						"5.1": "y x #2",
						"6.1": "y x #2",
						"7.1": "y x #2",
						"9.1": "y x #2",
						"TP": "y x #2"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y x #2",
						"16": "y x #2",
						"17": "y x #2",
						"18": "y x #2",
						"19": "y x #2",
						"20": "y x #2",
						"21": "y x #2",
						"22": "y x #2",
						"23": "y x #2",
						"24": "y x #2",
						"25": "y x #2",
						"26": "y x #2",
						"27": "y x #2",
						"28": "y x #2",
						"29": "y x #2",
						"30": "y x #2",
						"31": "y x #2",
						"32": "y x #2",
						"33": "y x #2",
						"34": "y x #2",
						"35": "y x #2",
						"36": "y x #2",
						"37": "y x #2",
						"38": "y x #2",
						"39": "y x #2",
						"40": "y x #2",
						"41": "y x #2",
						"42": "y x #2",
						"43": "y x #2",
						"44": "y x #2",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y x #2",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "u",
						"6.0-6.1": "u",
						"7.0-7.1": "y x #2",
						"8.1-8.4": "y x #2",
						"9.0-9.2": "y x #2",
						"9.3": "y x #2",
						"10-10.1": "y x #2"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y x #2",
						"4": "y x #2",
						"53": "y x #2",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y x #2",
						"4.1": "y x #2",
						"4.2-4.3": "y x #2",
						"4.4": "y x #2",
						"4.4.3-4.4.4": "y x #2"
					},
					"bb": {
						"7": "y x #2",
						"10": "y x #2"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y x #2",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y x #2"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y x #2"
					},
					"samsung": {
						"4": "y x #2"
					}
				},
				"notes": "Currently scrollbar styling doesn't appear to be on any standards track.",
				"notes_by_num": {
					"1": "Only supports styling [scrollbar colors](https://msdn.microsoft.com/en-us/library/ms531155%28v=vs.85%29.aspx), no other properties to define the scrollbar's appearance.",
					"2": "Supports scrollbar styling via CSS [pseudo-properties](https://webkit.org/blog/363/styling-scrollbars/)."
				},
				"usage_perc_y": 80.03,
				"usage_perc_a": 4.66,
				"ucprefix": false,
				"parent": "",
				"keywords": "scrollbar-button,scrollbar-track,scrollbar-thumb,scrollbar-base-color,scrollbar-face-color",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"link-rel-preload": {
				"title": "Resource Hints: preload",
				"description": "Using `<link rel=\"preload\">`, browsers can be informed to prefetch resources without having to execute them, allowing fine-grained control over when and how resources are loaded.",
				"spec": "https://w3c.github.io/preload/",
				"status": "wd",
				"links": [
					{
						"url": "https://www.smashingmagazine.com/2016/02/preload-what-is-it-good-for/",
						"title": "Preload: What Is It Good For?"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1222633",
						"title": "Firefox support bug"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 49.73,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "preload",
				"chrome_id": "5757468554559488",
				"firefox_id": "",
				"webkit_id": "feature-preload"
			},
			"css-case-insensitive": {
				"title": "Case-insensitive CSS attribute selectors",
				"description": "Including an `i` before the `]` in a CSS attribute selector causes the attribute value to be matched in an ASCII-case-insensitive manner. For example, `[b=\"xyz\" i]` would match both `<a b=\"xyz\">` and `<a b=\"XYZ\">`.",
				"spec": "https://drafts.csswg.org/selectors-4/#attribute-case",
				"status": "unoff",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/Attribute_selectors#case-insensitive",
						"title": "Mozilla Developer Network article"
					},
					{
						"url": "http://jsbin.com/zutuna/edit?html,css,output",
						"title": "JS Bin testcase"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 67.81,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "i,attribute,case,insensitive,sensitive,sensitivity,insensitivity",
				"ie_id": "",
				"chrome_id": "5610936115134464",
				"firefox_id": "",
				"webkit_id": "feature-case-insensitive-attribute-selectors"
			},
			"css-default-pseudo": {
				"title": ":default CSS pseudo-class",
				"description": "The `:default` pseudo-class matches checkboxes and radio buttons which are checked by default, `<option>`s with the `selected` attribute, and the default submit button (if any) of a form.",
				"spec": "https://drafts.csswg.org/selectors-4/#the-default-pseudo",
				"status": "unoff",
				"links": [
					{
						"url": "https://html.spec.whatwg.org/multipage/scripting.html#selector-default",
						"title": "HTML specification for `:default`"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/:default",
						"title": "Mozilla Developer Network article"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/13311459--default-pseudo-class-from-selectors-level-4",
						"title": "MS Edge feature request on UserVoice"
					},
					{
						"url": "http://jsbin.com/hiyada/edit?html,css,output",
						"title": "JS Bin testcase"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=156230",
						"title": "WebKit bug 156230 - `:default` CSS pseudo-class should match checkboxes+radios with a `checked` attribute"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "u",
						"3": "u",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "u",
						"3.6": "u"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"45": "a #1",
						"46": "a #1",
						"47": "a #1",
						"48": "a #1",
						"49": "a #1",
						"50": "a #1",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "u",
						"5": "u",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"3.1": "u",
						"3.2": "u",
						"5.1": "a #1",
						"6.1": "a #1",
						"7.1": "a #1",
						"9.1": "a #1",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "u",
						"12": "a #2",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "u",
						"10.0-10.1": "u",
						"10.5": "u",
						"10.6": "u",
						"11.1": "u",
						"11.5": "u",
						"11.6": "a #2",
						"12.1": "a #2"
					},
					"ios_saf": {
						"8": "a #1",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "u",
						"6.0-6.1": "u",
						"7.0-7.1": "a #1",
						"8.1-8.4": "a #1",
						"9.0-9.2": "a #1",
						"9.3": "a #1",
						"10-10.1": "a #1"
					},
					"op_mini": {
						"all": "a #2"
					},
					"android": {
						"3": "u",
						"4": "a #1",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "u",
						"4.1": "a #1",
						"4.2-4.3": "a #1",
						"4.4": "a #1",
						"4.4.3-4.4.4": "a #1"
					},
					"bb": {
						"7": "u",
						"10": "a #1"
					},
					"op_mob": {
						"10": "u",
						"11": "u",
						"12": "u",
						"37": "a #1",
						"11.1": "u",
						"11.5": "u",
						"12.1": "a #2"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "a #1"
					},
					"samsung": {
						"4": "a #1"
					}
				},
				"notes": "Whether `<option selected>` matches `:default` (per the spec) was not tested since `<select>`s and `<option>`s are generally not styleable, which makes it hard to formulate a test for this.",
				"notes_by_num": {
					"1": "Does not match `<input type=\"checkbox\" checked>` or `<input type=\"radio\" checked>`",
					"2": "Does not match the default submit button of a form"
				},
				"usage_perc_y": 56.04,
				"usage_perc_a": 35,
				"ucprefix": false,
				"parent": "",
				"keywords": ":default,default",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-optional-pseudo": {
				"title": ":optional CSS pseudo-class",
				"description": "The `:optional` pseudo-class matches form inputs (`<input>`, `<textarea>`, `<select>`) which are not `:required`.",
				"spec": "https://drafts.csswg.org/selectors-4/#optional-pseudo",
				"status": "unoff",
				"links": [
					{
						"url": "https://html.spec.whatwg.org/multipage/scripting.html#selector-optional",
						"title": "HTML specification for `:optional`"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/:optional",
						"title": "Mozilla Developer Network article"
					},
					{
						"url": "http://jsbin.com/fihudu/edit?html,css,output",
						"title": "JS Bin testcase"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "a #1",
						"12": "a #1",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "u",
						"10.0-10.1": "a #1",
						"10.5": "a #1",
						"10.6": "a #1",
						"11.1": "a #1",
						"11.5": "a #1",
						"11.6": "a #1",
						"12.1": "a #1"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "a #1"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"37": "y",
						"11.1": "a #1",
						"11.5": "a #1",
						"12.1": "a #1"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Does not match non-required `<select>`s"
				},
				"usage_perc_y": 92.85,
				"usage_perc_a": 4.34,
				"ucprefix": false,
				"parent": "form-validation",
				"keywords": ":optional,optional,:required,required",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-indeterminate-pseudo": {
				"title": ":indeterminate CSS pseudo-class",
				"description": "The `:indeterminate` pseudo-class matches indeterminate checkboxes, indeterminate `<progress>` bars, and radio buttons with no checked button in their radio button group.",
				"spec": "https://drafts.csswg.org/selectors-4/#indeterminate",
				"status": "unoff",
				"links": [
					{
						"url": "https://html.spec.whatwg.org/multipage/scripting.html#selector-indeterminate",
						"title": "HTML specification for `:indeterminate`"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/:indeterminate",
						"title": "Mozilla Developer Network article"
					},
					{
						"url": "https://developer.microsoft.com/en-us/microsoft-edge/platform/issues/7124038/",
						"title": "EdgeHTML issue 7124038 - `:indeterminate` pseudo-class doesn't match radio buttons"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=885359",
						"title": "Mozilla Bug 885359 - Radio groups without a selected radio button should have `:indeterminate` applying"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=156270",
						"title": "WebKit Bug 156270 - `:indeterminate` pseudo-class should match radios whose group has no checked radio"
					},
					{
						"url": "http://jsbin.com/zumoqu/edit?html,css,js,output",
						"title": "JS Bin testcase"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a #1 #2",
						"10": "a #1",
						"11": "a #1",
						"5.5": "n"
					},
					"edge": {
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1"
					},
					"firefox": {
						"2": "u",
						"3": "u",
						"4": "a #1 #2",
						"5": "a #1 #2",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"45": "a #1",
						"46": "a #1",
						"47": "a #1",
						"48": "a #1",
						"49": "a #1",
						"50": "a #1",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "u",
						"3.6": "u"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"3.1": "u",
						"3.2": "u",
						"5.1": "a #1 #2",
						"6.1": "a #1",
						"7.1": "a #1",
						"9.1": "a #1",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "u",
						"12": "a #3",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "u",
						"10.0-10.1": "u",
						"10.5": "u",
						"10.6": "u",
						"11.1": "u",
						"11.5": "u",
						"11.6": "a #3",
						"12.1": "a #3"
					},
					"ios_saf": {
						"8": "a #1",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "u",
						"6.0-6.1": "u",
						"7.0-7.1": "a #1",
						"8.1-8.4": "a #1",
						"9.0-9.2": "a #1",
						"9.3": "a #1",
						"10-10.1": "a #1"
					},
					"op_mini": {
						"all": "a #3"
					},
					"android": {
						"3": "u",
						"4": "a #1 #2",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "u",
						"4.1": "a #1 #2",
						"4.2-4.3": "a #1 #2",
						"4.4": "a #1",
						"4.4.3-4.4.4": "u"
					},
					"bb": {
						"7": "u",
						"10": "a #1"
					},
					"op_mob": {
						"10": "u",
						"11": "u",
						"12": "u",
						"37": "y",
						"11.1": "u",
						"11.5": "u",
						"12.1": "a #3"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "a #1"
					},
					"ie_mob": {
						"10": "a #1",
						"11": "a #1"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Doesn't match radio buttons whose radio button group lacks a checked radio button",
					"2": "Doesn't support the `<progress>` element",
					"3": "Doesn't match indeterminate `<progress>` bars"
				},
				"usage_perc_y": 64.93,
				"usage_perc_a": 31.48,
				"ucprefix": false,
				"parent": "",
				"keywords": ":indeterminate,indeterminate",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"webgl2": {
				"title": "WebGL 2.0",
				"description": "Next version of WebGL. Based on OpenGL ES 3.0.",
				"spec": "https://www.khronos.org/registry/webgl/specs/latest/2.0/",
				"status": "other",
				"links": [
					{
						"url": "https://blog.mozilla.org/futurereleases/2015/03/03/an-early-look-at-webgl-2/",
						"title": "Firefox blog post"
					},
					{
						"url": "https://www.khronos.org/webgl/wiki/Getting_a_WebGL_Implementation",
						"title": "Getting a WebGL Implementation"
					}
				],
				"categories": [
					"Canvas"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n d #1 #2",
						"26": "n d #1 #2",
						"27": "n d #1 #2",
						"28": "n d #1 #2",
						"29": "n d #1 #2",
						"30": "n d #1 #2",
						"31": "n d #1 #2",
						"32": "n d #1 #2",
						"33": "n d #1 #2",
						"34": "n d #1 #2",
						"35": "n d #1 #2",
						"36": "n d #1 #2",
						"37": "n d #1 #2",
						"38": "n d #1 #2",
						"39": "n d #1 #2",
						"40": "n d #1 #2",
						"41": "n d #1 #2",
						"42": "n d #1 #2",
						"43": "n d #1 #2",
						"44": "n d #1 #2",
						"45": "n d #2",
						"46": "n d #2",
						"47": "n d #2",
						"48": "n d #2",
						"49": "n d #2",
						"50": "n d #2",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n d #3",
						"44": "n d #3",
						"45": "n d #3",
						"46": "n d #3",
						"47": "n d #3",
						"48": "n d #3",
						"49": "n d #3",
						"50": "n d #3",
						"51": "n d #3",
						"52": "n d #3",
						"53": "n d #3",
						"54": "n d #3",
						"55": "n d #3",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n d #4"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Can be enabled in Firefox by setting the about:config preference webgl.enable-prototype-webgl2 to true",
					"2": "WebGL2 context is accessed from \"experimental-webgl2\" rather than \"webgl2\"",
					"3": "Can be enabled in Chrome by passing the \"--enable-unsafe-es3-apis\" flag when starting the browser through the command line",
					"4": "Can be enabled via the \"Experimental Features\" developer menu"
				},
				"usage_perc_y": 0.13,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "canvas",
				"keywords": "web gl",
				"ie_id": "webgl20",
				"chrome_id": "6694359164518400",
				"firefox_id": "webgl-2",
				"webkit_id": "specification-webgl-2"
			},
			"css-initial-letter": {
				"title": "CSS Initial Letter",
				"description": "Method of creating an enlarged cap, including a drop or raised cap, in a robust way.",
				"spec": "https://www.w3.org/TR/css-inline/#initial-letter-styling",
				"status": "wd",
				"links": [
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1223880",
						"title": "Firefox Implementation Ticket"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/initial-letter",
						"title": "MDN"
					},
					{
						"url": "https://webdesign.tutsplus.com/tutorials/better-css-drop-caps-with-initial-letter--cms-26350",
						"title": "Blog post on Envato Tuts+, \"Better CSS Drop Caps With initial-letter\""
					},
					{
						"url": "http://labs.jensimmons.com/#initialletter",
						"title": "Demos at Jen Simmons Labs"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a",
						"10": "a x #1",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "a x #1",
						"TP": "a x #1"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "a x #1",
						"9.3": "a x #1",
						"10-10.1": "a x #1"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "Firefox status: [in-development](https://bugzilla.mozilla.org/show_bug.cgi?id=1223880)",
				"notes_by_num": {
					"1": "Safari implementation is incomplete. Does not allow applying web fonts to the initial letter."
				},
				"usage_perc_y": 0,
				"usage_perc_a": 10.77,
				"ucprefix": false,
				"parent": "",
				"keywords": "initial-letter,initial letter,letter,drop cap,dropcap",
				"ie_id": "initialletter",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"document-currentscript": {
				"title": "document.currentScript",
				"description": "`document.currentScript` returns the `<script>` element whose script is currently being processed.",
				"spec": "https://html.spec.whatwg.org/multipage/dom.html#dom-document-currentscript",
				"status": "ls",
				"links": [
					{
						"url": "https://github.com/JamesMGreene/document.currentScript",
						"title": "Polyfill (IE 6-10 only)"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 78.06,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-descendant-gtgt": {
				"title": "Explicit descendant combinator >>",
				"description": "An explicit, non-whitespace spelling of the descendant combinator. `A >> B` is equivalent to `A B`.",
				"spec": "https://drafts.csswg.org/selectors-4/#descendant-combinators",
				"status": "unoff",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/Descendant_selectors",
						"title": "MDN article"
					},
					{
						"url": "http://jsbin.com/qipekof/edit?html,css,output",
						"title": "JS Bin testcase"
					},
					{
						"url": "https://bugs.chromium.org/p/chromium/issues/detail?id=446050",
						"title": "Chrome issue #446050: Implement Descendant Combinator \">>\""
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1266283",
						"title": "Mozilla bug #1266283 - Implement CSS4 descendant combinator `>>`"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "u",
						"57": "u",
						"58": "u"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 1.26,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"same-site-cookie-attribute": {
				"title": "'SameSite' cookie attribute",
				"description": "Same-site cookies (née \"First-Party-Only\" (née \"First-Party\")) allow servers to mitigate the risk of CSRF and information leakage attacks by asserting that a particular cookie should only be sent with requests initiated from the same registrable domain.",
				"spec": "https://tools.ietf.org/html/draft-west-first-party-cookies-06",
				"status": "other",
				"links": [
					{
						"url": "http://www.sjoerdlangkemper.nl/2016/04/14/preventing-csrf-with-samesite-cookie-attribute/",
						"title": "Preventing CSRF with the same-site cookie attribute"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=795346",
						"title": "Mozilla Bug #795346: Add SameSite support for cookies"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "This feature is backwards compatible. Browsers not supporting this feature will simply use the cookie as a regular cookie. There is no need to deliver different cookies to clients.",
				"notes_by_num": {},
				"usage_perc_y": 49.12,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "security,cookies,cookie,csrf",
				"ie_id": "",
				"chrome_id": "4672634709082112",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-has": {
				"title": ":has() CSS relational pseudo-class",
				"description": "Only select elements containing specified content. For example, `a:has(>img)` selects all `<a>` elements that contain an `<img>` child.",
				"spec": "https://drafts.csswg.org/selectors-4/#relational",
				"status": "unoff",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/:has",
						"title": ":has() on MDN"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=418039",
						"title": "Firefox support bug"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 0,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "children,parent,selector",
				"ie_id": "cssrelationalpseudoclasshas",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-not-sel-list": {
				"title": "selector list argument of :not()",
				"description": "Selectors Level 4 allows the `:not()` pseudo-class to accept a list of selectors, which the element must not match any of. Selectors Level 3 only allowed `:not()` to accept a single simple selector. Thus, `:not(a):not(.b):not([c])` can instead be written as `:not(a, .b, [c])`",
				"spec": "https://www.w3.org/TR/selectors4/#negation",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/:not",
						"title": "MDN article"
					},
					{
						"url": "https://bugs.chromium.org/p/chromium/issues/detail?id=580628",
						"title": "Chrome feature request issue"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=933562",
						"title": "Firefox feature request bug"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "u",
						"52": "u",
						"53": "u",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "u",
						"57": "u",
						"58": "u"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 10.77,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "negation,not,pseudo,selector,selectors,list,multiple,argument,level,4",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": "feature-css-selector-:not()-level-4"
			},
			"credential-management": {
				"title": "Credential Management API",
				"description": "API that provides a programmatic interface to the browser's credential manager. In short, an origin can request a user's credentials to sign them in, or can ask the browser to save credentials on the user's behalf. Both of these requests are user-mediated.",
				"spec": "https://www.w3.org/TR/credential-management-1/",
				"status": "wd",
				"links": [
					{
						"url": "https://developers.google.com/web/updates/2016/04/credential-management-api",
						"title": "Tutorial by Google"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Credential_Management_API",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://g.co/codelabs/cmapi",
						"title": "Codelab"
					},
					{
						"url": "https://credential-management-sample.appspot.com/",
						"title": "Live Demo"
					},
					{
						"url": "https://github.com/GoogleChrome/credential-management-sample",
						"title": "Sample Code"
					},
					{
						"url": "https://github.com/w3c/webappsec-credential-management",
						"title": "Spec discussion"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n d",
						"49": "n d",
						"50": "n d",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 48.65,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "credential,navigator.credentials",
				"ie_id": "",
				"chrome_id": "5026422640869376",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-dir-pseudo": {
				"title": ":dir() CSS pseudo-class",
				"description": "Matches elements based on their directionality. `:dir(ltr)` matches elements which are Left-to-Right. `:dir(rtl)` matches elements which are Right-to-Left.",
				"spec": "https://www.w3.org/TR/selectors4/#the-dir-pseudo",
				"status": "wd",
				"links": [
					{
						"url": "https://html.spec.whatwg.org/multipage/scripting.html#selector-ltr",
						"title": "HTML specification for `:dir()`"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/:dir",
						"title": "Mozilla Developer Network article"
					},
					{
						"url": "https://bugs.chromium.org/p/chromium/issues/detail?id=576815",
						"title": "Chrome issue #576815: CSS4 pseudo-class :dir()"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/12299532--dir",
						"title": "Microsoft Edge feature request on UserVoice"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=64861",
						"title": "WebKit bug #64861: Need support for :dir() pseudo-class"
					},
					{
						"url": "http://jsbin.com/celuye/edit?html,css,output",
						"title": "JS Bin testcase"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "y x",
						"18": "y x",
						"19": "y x",
						"20": "y x",
						"21": "y x",
						"22": "y x",
						"23": "y x",
						"24": "y x",
						"25": "y x",
						"26": "y x",
						"27": "y x",
						"28": "y x",
						"29": "y x",
						"30": "y x",
						"31": "y x",
						"32": "y x",
						"33": "y x",
						"34": "y x",
						"35": "y x",
						"36": "y x",
						"37": "y x",
						"38": "y x",
						"39": "y x",
						"40": "y x",
						"41": "y x",
						"42": "y x",
						"43": "y x",
						"44": "y x",
						"45": "y x",
						"46": "y x",
						"47": "y x",
						"48": "y x",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 6.74,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": ":dir,dir,direction,ltr,rtl,left,right",
				"ie_id": "",
				"chrome_id": "5751531651465216",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-focus-within": {
				"title": ":focus-within CSS pseudo-class",
				"description": "The `:focus-within` pseudo-class matches elements that either themselves match `:focus` or that have descendants which match `:focus`.",
				"spec": "https://drafts.csswg.org/selectors-4/#the-focus-within-pseudo",
				"status": "unoff",
				"links": [
					{
						"url": "https://www.sitepoint.com/future-generation-css-selectors-level-4/#generalized-input-focus-pseudo-class-focus-within",
						"title": "The Future Generation of CSS Selectors: Level 4: Generalized Input Focus Pseudo-class"
					},
					{
						"url": "http://allyjs.io/api/style/focus-within.html",
						"title": "ally.style.focusWithin Polyfill, part of ally.js"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/11725071-implement-focus-within-from-selectors-4",
						"title": "Microsoft Edge feature request on UserVoice"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=140144",
						"title": "WebKit bug #140144: Add support for CSS4 `:focus-within` pseudo"
					},
					{
						"url": "https://bugs.chromium.org/p/chromium/issues/detail?id=617371",
						"title": "Chromium issue #617371: Implement `:focus-within` pseudo-class from Selectors Level 4"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1176997",
						"title": "Mozilla bug #1176997: Add support for pseudo class `:focus-within`"
					},
					{
						"url": "http://jsbin.com/qevoqa/edit?html,css,output",
						"title": "JS Bin testcase"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/:focus-within",
						"title": "Mozilla Developer Network article"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 0,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "focus,within,focus-within,pseudo",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"dom-manip-convenience": {
				"title": "DOM manipulation convenience methods",
				"description": "jQuery-like methods on DOM nodes to insert nodes around or within a node, or to replace one node with another. These methods accept any number of DOM nodes or HTML strings as arguments. Includes: `ChildNode.before`, `ChildNode.after`, `ChildNode.replaceWith`, `ParentNode.prepend`, and `ParentNode.append`.",
				"spec": "https://dom.spec.whatwg.org/#interface-childnode",
				"status": "ls",
				"links": [
					{
						"url": "https://dom.spec.whatwg.org/#interface-childnode",
						"title": "WHATWG DOM Specification for ChildNode"
					},
					{
						"url": "https://dom.spec.whatwg.org/#interface-parentnode",
						"title": "WHATWG DOM Specification for ParentNode"
					},
					{
						"url": "http://jsbin.com/fiqacod/edit?html,js,output",
						"title": "JS Bin testcase"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/ParentNode",
						"title": "ParentNode article on Mozilla Developer Network"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/ChildNode",
						"title": "ChildNode article on Mozilla Developer Network"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/16036408",
						"title": "MS Edge feature request on UserVoice"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n d #1",
						"53": "n d #1",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n d #1",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Enabled through the \"Enable Experimental Web Platform Features\" flag in chrome://flags"
				},
				"usage_perc_y": 60.66,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "dom,manipulation,convenience,convenient,before,after,replaceWith,prepend,append",
				"ie_id": "",
				"chrome_id": "5723067795898368",
				"firefox_id": "",
				"webkit_id": ""
			},
			"requestidlecallback": {
				"title": "requestIdleCallback",
				"description": "API allowing the execution of JavaScript to be queued to run in idle browser time, either at the end of a frame or when the user is inactive. Also covers support for `cancelIdleCallback`. The API has similarities with `requestAnimationFrame`.",
				"spec": "https://w3c.github.io/requestidlecallback/",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Window/requestIdleCallback",
						"title": "MDN documentation"
					},
					{
						"url": "https://developers.google.com/web/updates/2015/08/using-requestidlecallback",
						"title": "Google Developers article"
					},
					{
						"url": "https://gist.github.com/paullewis/55efe5d6f05434a96c36",
						"title": "Shim"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 51.62,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "requestIdleCallback,request,idle",
				"ie_id": "requestidlecallback",
				"chrome_id": "5572795866021888",
				"firefox_id": "request-idle-callback",
				"webkit_id": ""
			},
			"scrollintoviewifneeded": {
				"title": "Element.scrollIntoViewIfNeeded()",
				"description": "If the element is fully within the visible area of the viewport, it does nothing. Otherwise, the element is scrolled into view. A proprietary variant of the standard `Element.scrollIntoView()` method.",
				"spec": "https://developer.mozilla.org/en-US/docs/Web/API/Element/scrollIntoViewIfNeeded",
				"status": "unoff",
				"links": [
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=403510",
						"title": "Mozilla Bug 403510 - Implement scrollIntoViewIfNeeded"
					},
					{
						"url": "https://www.w3.org/Bugs/Public/show_bug.cgi?id=17152",
						"title": "W3C CSSOM View bug #17152: Support centering an element when scrolling into view."
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "u",
						"5": "u",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "u",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 79.95,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "scrollIntoViewIfNeeded,scroll",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css3-attr": {
				"title": "CSS3 attr() function",
				"description": "CSS Values and Units Level 3 adds the ability to use `attr()` on any CSS property, not just `content`, and to use it for non-string values (e.g. numbers, colors).",
				"spec": "https://www.w3.org/TR/css-values/#attr-notation",
				"status": "cr",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/attr",
						"title": "Mozilla Developer Network article"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/7671960-css-attr-as-defined-in-css-values-level-3",
						"title": "Microsoft Edge feature request on UserVoice"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=435426",
						"title": "Mozilla Bug #435426: implement css3-values extensions to `attr()`"
					},
					{
						"url": "https://bugs.chromium.org/p/chromium/issues/detail?id=246571",
						"title": "Chromium issue #246571: Implement CSS3 attribute / attr references"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=26609",
						"title": "WebKit Bug #26609: Support CSS3 attr() function"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 0,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "attr,attribute,function",
				"ie_id": "csslevel3attrfunction",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"sdch": {
				"title": "SDCH Accept-Encoding/Content-Encoding",
				"description": "Shared Dictionary Compression over HTTP",
				"spec": "https://docs.google.com/viewer?a=v&pid=forums&srcid=MDIwOTgxNDMwMTgyMjkzMTI2ODcBMDQ2MzU5NDU2MDA0MTg5NDE1MTkBTDZmaENoSG9BZ0FKATAuMQEBdjI",
				"status": "other",
				"links": [
					{
						"url": "https://groups.google.com/forum/#!forum/sdch",
						"title": "SDCH Google Group"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=641069",
						"title": "Bugzilla Bug 641069 - Implement SDCH"
					},
					{
						"url": "https://en.wikipedia.org/wiki/SDCH",
						"title": "Wikipedia - SDCH"
					},
					{
						"url": "https://engineering.linkedin.com/shared-dictionary-compression-http-linkedin",
						"title": "Shared Dictionary Compression for HTTP at LinkedIn."
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 53.09,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "http,compression,accept,content,encoding,sdch",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-containment": {
				"title": "CSS Containment",
				"description": "The CSS `contain` property lets developers limit the scope of the browser's styles, layout and paint work for faster and more efficient rendering.",
				"spec": "https://drafts.csswg.org/css-containment/#style-containment",
				"status": "unoff",
				"links": [
					{
						"url": "https://developers.google.com/web/updates/2016/06/css-containment",
						"title": "Google Developers article"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1150081",
						"title": "Firefox bug"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "u",
						"52": "u",
						"53": "u",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n d #1",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n d #1",
						"39": "n d #1",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Enabled via the \"Experimental Web Platform features\" flag"
				},
				"usage_perc_y": 48.52,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "csscontainment",
				"chrome_id": "6522186978295808",
				"firefox_id": "",
				"webkit_id": ""
			},
			"tls1-2": {
				"title": "TLS 1.2",
				"description": "The latest version of the Transport Layer Security (TLS) protocol. Allows for data/message confidentiality, and message authentication codes for message integrity and as a by-product message authentication.",
				"spec": "https://tools.ietf.org/html/rfc5246",
				"status": "other",
				"links": [
					{
						"url": "https://en.wikipedia.org/wiki/Transport_Layer_Security#TLS_1.2",
						"title": "Wikipedia article on TLS"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n d",
						"9": "n d",
						"10": "n d",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n d",
						"25": "n d",
						"26": "n d",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n d",
						"12": "n d",
						"15": "n",
						"16": "n",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n d",
						"10.5": "n d",
						"10.6": "n d",
						"11.1": "n d",
						"11.5": "n d",
						"11.6": "n d",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n d",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 93.22,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "tls12",
				"chrome_id": "5197666342404096",
				"firefox_id": "",
				"webkit_id": ""
			},
			"tls1-1": {
				"title": "TLS 1.1",
				"description": "Version 1.1 of the Transport Layer Security (TLS) protocol.",
				"spec": "https://tools.ietf.org/html/rfc4346",
				"status": "other",
				"links": [
					{
						"url": "https://en.wikipedia.org/wiki/Transport_Layer_Security#TLS_1.1",
						"title": "Wikipedia article on TLS"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n d",
						"9": "n d",
						"10": "n d",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n d",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n d",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 93.46,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"input-inputmode": {
				"title": "inputmode attribute",
				"description": "The `inputmode` attribute specifies what kind of input mechanism would be most helpful for users entering content into the form control.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#input-modalities:-the-inputmode-attribute",
				"status": "ls",
				"links": [
					{
						"url": "http://www.wufoo.com/html5/attributes/23-inputmode.html",
						"title": "Demo on Wufoo (old)"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "n d #1",
						"22": "n d #1",
						"23": "n d #1",
						"24": "n d #1",
						"25": "n d #1",
						"26": "n d #1",
						"27": "n d #1",
						"28": "n d #1",
						"29": "n d #1",
						"30": "n d #1",
						"31": "n d #1",
						"32": "n d #1",
						"33": "n d #1",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "n d #1",
						"38": "n d #1",
						"39": "n d #1",
						"40": "n d #1",
						"41": "n d #1",
						"42": "n d #1",
						"43": "n d #1",
						"44": "n d #1",
						"45": "n d #1",
						"46": "n d #1",
						"47": "n d #1",
						"48": "n d #1",
						"49": "n d #1",
						"50": "n d #1",
						"51": "n d #1",
						"52": "n d #1",
						"53": "n d #1",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n d #1"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "Firefox OS is reported to have partial support for this property as `x-inputmode`.\r\n\r\nBlink-based browsers appear to recognize the `inputMode` property on `input` & `textarea` fields though it is unclear what effect it currently has as the feature is still in development.",
				"notes_by_num": {
					"1": "Support can be enabled via the `dom.forms.inputmode` flag"
				},
				"usage_perc_y": 0,
				"usage_perc_a": 0.03,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "inputmode",
				"chrome_id": "6225984592281600",
				"firefox_id": "",
				"webkit_id": ""
			},
			"ch-unit": {
				"title": "ch (character) unit",
				"description": "Unit representing the width of the character \"0\" in the current font, of particular use in combination with monospace fonts.",
				"spec": "https://www.w3.org/TR/css3-values/#ch",
				"status": "cr",
				"links": [
					{
						"url": "https://johndjameson.com/blog/making-sense-of-ch-units/",
						"title": "Blog post on using ch units"
					},
					{
						"url": "http://revoltpuppy.com/articles/89/using-ch-an-underappreciated-css-length",
						"title": "Various uses for the ch unit"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "IE supports the `ch` unit, but unlike other browsers its width is that specifically of the \"0\" glyph, not its surrounding space. As a result, 3ch for example is shorter than the width of the string \"000\" in IE."
				},
				"usage_perc_y": 78.99,
				"usage_perc_a": 4.21,
				"ucprefix": false,
				"parent": "",
				"keywords": "ch unit,character unit",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"img-naturalwidth-naturalheight": {
				"title": "naturalWidth & naturalHeight image properties",
				"description": "Properties defining the intrinsic width and height of the image, rather than the displayed width & height.",
				"spec": "https://html.spec.whatwg.org/multipage/embedded-content.html#dom-img-naturalwidth",
				"status": "ls",
				"links": [
					{
						"url": "http://www.jacklmoore.com/notes/naturalwidth-and-naturalheight-in-ie/",
						"title": "Blog post on support in IE"
					},
					{
						"url": "https://gist.github.com/jalbertbowden/5273983",
						"title": "gist on getting natural width & height in older IE"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 97.69,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"filereadersync": {
				"title": "FileReaderSync",
				"description": "Allows files to be read synchronously in Web Workers",
				"spec": "https://w3c.github.io/FileAPI/#FileReaderSync",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/FileReaderSync",
						"title": "MDN article"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "u",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "u",
						"10.6": "u",
						"11.1": "u",
						"11.5": "u",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "u",
						"12": "y",
						"37": "y",
						"11.1": "u",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 92.08,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "filereader",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"mediarecorder": {
				"title": "MediaRecorder API",
				"description": "The MediaRecorder API (MediaStream Recording) aims to provide a really simple mechanism by which developers can record media streams from the user's input devices and instantly use them in web apps, rather than having to perform manual encoding operations on raw PCM data, etc.",
				"spec": "https://w3c.github.io/mediacapture-record/MediaRecorder.html",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/MediaRecorder_API",
						"title": "MDN article"
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n d #1",
						"48": "n d #1",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n d #1",
						"35": "n d #1",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Can be enabled via the experimental Web Platform features flag. Does not support audio recording, only video."
				},
				"usage_perc_y": 57.61,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "stream",
				"keywords": "",
				"ie_id": "mediarecorder",
				"chrome_id": "5929649028726784",
				"firefox_id": "media-recorder",
				"webkit_id": ""
			},
			"readonly-attr": {
				"title": "readonly attribute of input and textarea elements",
				"description": "Makes the form control non-editable. Unlike the `disabled` attribute, `readonly` form controls are still included in form submissions and the user can still select (but not edit) their value text.",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#attr-input-readonly",
				"status": "ls",
				"links": [
					{
						"url": "https://html.spec.whatwg.org/multipage/forms.html#attr-textarea-readonly",
						"title": "WHATWG HTML specification for the readonly attribute of the `<textarea>` element"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/HTML/Element/Input#attr-readonly",
						"title": "Mozilla Developer Network article"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "u"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "u",
						"3": "u",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "u",
						"3.6": "u"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "u",
						"16": "u",
						"17": "u",
						"18": "u",
						"19": "u",
						"20": "u",
						"21": "u",
						"22": "u",
						"23": "u",
						"24": "u",
						"25": "u",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "u",
						"5": "u",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "u",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "a #1",
						"12": "a #1",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "u",
						"10.0-10.1": "a #1",
						"10.5": "a #1",
						"10.6": "a #1",
						"11.1": "a #1",
						"11.5": "a #1",
						"11.6": "a #1",
						"12.1": "a #1"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "u",
						"6.0-6.1": "u",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"37": "y",
						"11.1": "a #1",
						"11.5": "a #1",
						"12.1": "a #1"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y #2",
						"11": "y #2"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Readonly inputs of type `datetime-local`, `date`, `month`, and `week` can still be edited by pressing the Up or Down arrow keys on the keyboard while the input is focused.",
					"2": "Text cannot be selected directly, but is possible by first selecting any text around the field. "
				},
				"usage_perc_y": 97.45,
				"usage_perc_a": 0.22,
				"ucprefix": false,
				"parent": "",
				"keywords": "readonly,read,attribute,edit,editable",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"x-frame-options": {
				"title": "X-Frame-Options HTTP header",
				"description": "An HTTP header which indicates whether the browser should allow the webpage to be displayed in a frame within another webpage. Used as a defense against clickjacking attacks.",
				"spec": "https://tools.ietf.org/html/rfc7034",
				"status": "other",
				"links": [
					{
						"url": "http://erlend.oftedal.no/blog/tools/xframeoptions/",
						"title": "X-Frame-Options Compatibility Test"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/X-Frame-Options",
						"title": "Mozilla Developer Network article"
					},
					{
						"url": "https://www.owasp.org/index.php/Clickjacking_Defense_Cheat_Sheet",
						"title": "OWASP Clickjacking Defense Cheat Sheet"
					},
					{
						"url": "https://blogs.msdn.microsoft.com/ieinternals/2010/03/30/combating-clickjacking-with-x-frame-options/",
						"title": "Combating ClickJacking With X-Frame-Options - IEInternals"
					},
					{
						"url": "https://blogs.msdn.microsoft.com/ie/2009/01/27/ie8-security-part-vii-clickjacking-defenses/",
						"title": "IE8 Security Part VII: ClickJacking Defenses - IEBlog"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "u",
						"3": "u",
						"4": "a",
						"5": "a",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"11": "a",
						"12": "a",
						"13": "a",
						"14": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "u",
						"3.6": "u"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "u",
						"16": "u",
						"17": "u",
						"18": "u",
						"19": "u",
						"20": "u",
						"21": "u",
						"22": "u",
						"23": "u",
						"24": "u",
						"25": "u",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"45": "a",
						"46": "a",
						"47": "a",
						"48": "a",
						"49": "a",
						"50": "a",
						"51": "a",
						"52": "a",
						"53": "a",
						"54": "a",
						"55": "a",
						"56": "a",
						"57": "a",
						"58": "a"
					},
					"safari": {
						"4": "u",
						"5": "u",
						"6": "a",
						"7": "a",
						"8": "a",
						"9": "a",
						"10": "a",
						"3.1": "u",
						"3.2": "u",
						"5.1": "a",
						"6.1": "a",
						"7.1": "a",
						"9.1": "a",
						"TP": "a"
					},
					"opera": {
						"9": "u",
						"11": "u",
						"12": "a",
						"15": "a",
						"16": "a",
						"17": "a",
						"18": "a",
						"19": "a",
						"20": "a",
						"21": "a",
						"22": "a",
						"23": "a",
						"24": "a",
						"25": "a",
						"26": "a",
						"27": "a",
						"28": "a",
						"29": "a",
						"30": "a",
						"31": "a",
						"32": "a",
						"33": "a",
						"34": "a",
						"35": "a",
						"36": "a",
						"37": "a",
						"38": "a",
						"39": "a",
						"40": "a",
						"41": "a",
						"42": "a",
						"43": "a",
						"44": "a",
						"9.5-9.6": "u",
						"10.0-10.1": "u",
						"10.5": "u",
						"10.6": "u",
						"11.1": "u",
						"11.5": "u",
						"11.6": "a",
						"12.1": "a"
					},
					"ios_saf": {
						"8": "a",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "u",
						"5.0-5.1": "u",
						"6.0-6.1": "u",
						"7.0-7.1": "a",
						"8.1-8.4": "a",
						"9.0-9.2": "a",
						"9.3": "a",
						"10-10.1": "a"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "u",
						"4": "a",
						"53": "a",
						"2.1": "u",
						"2.2": "u",
						"2.3": "u",
						"4.1": "a",
						"4.2-4.3": "a",
						"4.4": "a",
						"4.4.3-4.4.4": "a"
					},
					"bb": {
						"7": "a",
						"10": "a"
					},
					"op_mob": {
						"10": "u",
						"11": "u",
						"12": "u",
						"37": "a",
						"11.1": "u",
						"11.5": "u",
						"12.1": "a"
					},
					"and_chr": {
						"55": "a"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "a"
					},
					"samsung": {
						"4": "a"
					}
				},
				"notes": "Partial support refers to not supporting the `ALLOW-FROM` option.\r\nThe `X-Frame-Options` header has been obsoleted by [the `frame-ancestors` directive](https://www.w3.org/TR/CSP2/#directive-frame-ancestors) from Content Security Policy Level 2.",
				"notes_by_num": {},
				"usage_perc_y": 13.4,
				"usage_perc_a": 80.06,
				"ucprefix": false,
				"parent": "",
				"keywords": "x-frame-options,frame,options,header,clickjacking",
				"ie_id": "",
				"chrome_id": "5760041927835648",
				"firefox_id": "",
				"webkit_id": ""
			},
			"indeterminate-checkbox": {
				"title": "indeterminate checkbox",
				"description": "Indeterminate checkboxes are displayed in a state which is distinct both from being checked or being unchecked. They are commonly used in hierarchical checkboxes to indicate that only some of the checkbox's descendants are checked.",
				"spec": "https://html.spec.whatwg.org/#dom-input-indeterminate",
				"status": "ls",
				"links": [
					{
						"url": "https://css-tricks.com/indeterminate-checkboxes/",
						"title": "CSS-Tricks article"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=160484",
						"title": "WebKit Bug 160484 - iOS doesn't support indeterminate checkboxes"
					}
				],
				"categories": [
					"DOM",
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "u"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "u",
						"3.6": "y"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Indeterminacy does not affect a checkbox's checkedness state. It merely affects how the checkbox is displayed.",
				"notes_by_num": {},
				"usage_perc_y": 74.55,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"tabindex-attr": {
				"title": "tabindex global attribute",
				"description": "Specifies the focusability of the element and in what order (if any) it should become focused (relative to other elements) when \"tabbing\" through the document.",
				"spec": "https://html.spec.whatwg.org/multipage/interaction.html#attr-tabindex",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/tabindex",
						"title": "Mozilla Developer Network article"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "u",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "u"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "u",
						"3": "u",
						"4": "y #1",
						"5": "y #1",
						"6": "y #1",
						"7": "y #1",
						"8": "y #1",
						"9": "y #1",
						"10": "y #1",
						"11": "y #1",
						"12": "y #1",
						"13": "y #1",
						"14": "y #1",
						"15": "y #1",
						"16": "y #1",
						"17": "y #1",
						"18": "y #1",
						"19": "y #1",
						"20": "y #1",
						"21": "y #1",
						"22": "y #1",
						"23": "y #1",
						"24": "y #1",
						"25": "y #1",
						"26": "y #1",
						"27": "y #1",
						"28": "y #1",
						"29": "y #1",
						"30": "y #1",
						"31": "y #1",
						"32": "y #1",
						"33": "y #1",
						"34": "y #1",
						"35": "y #1",
						"36": "y #1",
						"37": "y #1",
						"38": "y #1",
						"39": "y #1",
						"40": "y #1",
						"41": "y #1",
						"42": "y #1",
						"43": "y #1",
						"44": "y #1",
						"45": "y #1",
						"46": "y #1",
						"47": "y #1",
						"48": "y #1",
						"49": "y #1",
						"50": "y #1",
						"51": "y #1",
						"52": "y #1",
						"53": "y #1",
						"3.5": "u",
						"3.6": "u"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "u",
						"5": "u",
						"6": "y #2",
						"7": "y #2",
						"8": "y #2",
						"9": "y #2",
						"10": "y #2",
						"3.1": "u",
						"3.2": "u",
						"5.1": "y #2",
						"6.1": "y #2",
						"7.1": "y #2",
						"9.1": "y #2",
						"TP": "y #2"
					},
					"opera": {
						"9": "u",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y #2 #3",
						"3.2": "y #2 #3",
						"4.0-4.1": "y #2 #3",
						"4.2-4.3": "y #2 #3",
						"5.0-5.1": "y #2 #3",
						"6.0-6.1": "y #2 #3",
						"7.0-7.1": "y #2 #3",
						"8.1-8.4": "y #2 #3",
						"9.0-9.2": "y #2 #3",
						"9.3": "y #2 #3",
						"10-10.1": "y #2 #3"
					},
					"op_mini": {
						"all": "u"
					},
					"android": {
						"3": "u",
						"4": "u",
						"53": "u",
						"2.1": "u",
						"2.2": "u",
						"2.3": "u",
						"4.1": "u",
						"4.2-4.3": "u",
						"4.4": "u",
						"4.4.3-4.4.4": "u"
					},
					"bb": {
						"7": "u",
						"10": "u"
					},
					"op_mob": {
						"10": "u",
						"11": "u",
						"12": "u",
						"37": "u",
						"11.1": "u",
						"11.5": "u",
						"12.1": "u"
					},
					"and_chr": {
						"55": "u"
					},
					"and_ff": {
						"50": "u"
					},
					"ie_mob": {
						"10": "u",
						"11": "u"
					},
					"and_uc": {
						"11": "u"
					},
					"samsung": {
						"4": "u"
					}
				},
				"notes": "Mac OS X \"Full Keyboard Access\" refers to setting Keyboard→Shortcuts→Full Keyboard Access to \"All controls\" in the System Preferences.\r\n\r\n\"Unknown\" support for mobile browsers is due to lacking a method of tabbing through fields.",
				"notes_by_num": {
					"1": "On Mac OS X, unless Full Keyboard Access is enabled, `<a>` elements are not keyboard-focusable, even if they have `tabindex=\"0\"`.",
					"2": "`<a>` elements are never keyboard-focusable, even if they have `tabindex=\"0\"`. Unless Full Keyboard Access is enabled, then `<button>`s, radio buttons, and checkboxes are also not keyboard-focusable, even if they have `tabindex=\"0\"`.",
					"3": "Has \"previous\" and \"next\" virtual keyboard buttons that follow tabindex order."
				},
				"usage_perc_y": 53.72,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "tabindex,tab,tabIndex",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"textencoder": {
				"title": "TextEncoder & TextDecoder",
				"description": "`TextEncoder` encodes a JavaScript string into bytes using the UTF-8 encoding and returns the resulting `Uint8Array` of those bytes. `TextDecoder` does the reverse.",
				"spec": "https://encoding.spec.whatwg.org/#api",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/TextEncoder",
						"title": "Mozilla Developer Network article"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6558040-support-the-encoding-api",
						"title": "Microsoft Edge feature request on UserVoice"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=160653",
						"title": "WebKit Bug 160653 - Support TextEncoder & TextDecoder APIs"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "a #1",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Not available in Web Workers in Firefox 19."
				},
				"usage_perc_y": 62.77,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "encoding,text,encoder,decoding,decoder,utf,8",
				"ie_id": "encodingstandard",
				"chrome_id": "5714368087982080",
				"firefox_id": "",
				"webkit_id": ""
			},
			"element-from-point": {
				"title": "document.elementFromPoint()",
				"description": "Given coordinates for a point relative to the viewport, returns the element that a click event would be dispatched at if the user were to click the point (in other words, the element that hit-testing would find).",
				"spec": "https://www.w3.org/TR/cssom-view-1/#dom-document-elementfrompoint",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Document/elementFromPoint",
						"title": "Mozilla Developer Network article"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "u"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "u",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "u",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "u",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "u",
						"10.0-10.1": "u",
						"10.5": "u",
						"10.6": "u",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "u",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "u",
						"11": "u",
						"12": "y",
						"37": "y",
						"11.1": "u",
						"11.5": "u",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 97.97,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "document,elementFromPoint,element,from,point",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"insert-adjacent": {
				"title": "Element.insertAdjacentElement() & Element.insertAdjacentText()",
				"description": "Methods for inserting an element or text before or after a given element, or appending or prepending an element or text to a given element's list of children.",
				"spec": "https://dom.spec.whatwg.org/#dom-element-insertadjacentelement",
				"status": "ls",
				"links": [
					{
						"url": "https://dom.spec.whatwg.org/#dom-element-insertadjacenttext",
						"title": "WHATWG DOM Specification for Element.insertAdjacentText()"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Element/insertAdjacentElement",
						"title": "Mozilla Developer Network article on Element.insertAdjacentElement()"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Element/insertAdjacentText",
						"title": "Mozilla Developer Network article on Element.insertAdjacentText()"
					},
					{
						"url": "http://jsbin.com/yanadu/edit?html,js,output",
						"title": "JS Bin testcase"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "u"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 96.46,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "insertAdjacentElement,insertAdjacentText,insert,adjacent,element,text",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"once-event-listener": {
				"title": "\"once\" event listener option",
				"description": "Causes an event listener to be automatically removed after it gets invoked, so that it only gets invoked once. Similar to jQuery's `$.one()` feature.",
				"spec": "https://dom.spec.whatwg.org/#dom-addeventlisteneroptions-once",
				"status": "ls",
				"links": [
					{
						"url": "https://bugs.chromium.org/p/chromium/issues/detail?id=615384",
						"title": "Chromium Issue 615384: Support \"once\" event listener option"
					},
					{
						"url": "http://jsbin.com/zigiru/edit?html,js,output",
						"title": "JS Bin testcase"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 33.28,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "event,listener,options,once",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"passive-event-listener": {
				"title": "Passive event listeners",
				"description": "Event listeners created with the `passive: true` option cannot cancel (`preventDefault()`) the events they receive. Primarily intended to be used with touch events and `wheel` events. Since they cannot prevent scrolls, passive event listeners allow the browser to perform optimizations that result in smoother scrolling.",
				"spec": "https://dom.spec.whatwg.org/#dom-addeventlisteneroptions-passive",
				"status": "ls",
				"links": [
					{
						"url": "https://developers.google.com/web/updates/2016/06/passive-event-listeners?hl=en",
						"title": "Improving scroll performance with passive event listeners - Google Developers Updates"
					},
					{
						"url": "https://github.com/WICG/EventListenerOptions/blob/gh-pages/EventListenerOptions.polyfill.js",
						"title": "Polyfill from the WICG"
					},
					{
						"url": "https://github.com/WICG/EventListenerOptions",
						"title": "Original WICG EventListenerOptions repository"
					},
					{
						"url": "http://jsbin.com/jaqaku/edit?html,js,output",
						"title": "JS Bin testcase"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 63.08,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "passive,event,listener,options",
				"ie_id": "",
				"chrome_id": "5745543795965952",
				"firefox_id": "passive-event-listeners",
				"webkit_id": ""
			},
			"selection-api": {
				"title": "Selection API",
				"description": "API for accessing selected content of a document, including the `window.getSelection()` method, as well as the `selectstart` & `selectionchange` events on `document`.",
				"spec": "https://www.w3.org/TR/selection-api/",
				"status": "wd",
				"links": [
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1231923",
						"title": "Firefox support bug"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "a #2",
						"7": "a #2",
						"8": "a #2",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "u"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "a #1",
						"3": "a #1",
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1 #5",
						"44": "a #1 #5",
						"45": "a #1 #5",
						"46": "a #1 #5",
						"47": "a #1 #5",
						"48": "a #1 #5",
						"49": "a #1 #5",
						"50": "a #1 #5",
						"51": "a #1 #5",
						"52": "a #1 #5",
						"53": "a #1 #5",
						"3.5": "a #1",
						"3.6": "a #1"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "u",
						"5": "u",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "u",
						"3.2": "u",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "a #1",
						"11": "a #1",
						"12": "a #1",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "a #1",
						"10.0-10.1": "a #1",
						"10.5": "a #1",
						"10.6": "a #1",
						"11.1": "a #1",
						"11.5": "a #1",
						"11.6": "a #1",
						"12.1": "a #1"
					},
					"ios_saf": {
						"8": "a #3",
						"3.2": "a #1",
						"4.0-4.1": "a #1",
						"4.2-4.3": "u",
						"5.0-5.1": "a #3",
						"6.0-6.1": "a #3",
						"7.0-7.1": "a #3",
						"8.1-8.4": "a #3",
						"9.0-9.2": "a #3",
						"9.3": "a #3",
						"10-10.1": "a #3"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "u",
						"4": "u",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "u",
						"4.1": "u",
						"4.2-4.3": "y #4",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "u",
						"10": "y"
					},
					"op_mob": {
						"10": "u",
						"11": "u",
						"12": "u",
						"37": "y",
						"11.1": "u",
						"11.5": "u",
						"12.1": "a #1"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "a #1"
					},
					"ie_mob": {
						"10": "u",
						"11": "y"
					},
					"and_uc": {
						"11": "y #4"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "See also support for the related [DOM range](http://caniuse.com/#feat=dom-range) ",
				"notes_by_num": {
					"1": "Supports `window.getSelection()` but no selection events",
					"2": "Supports selection events, but not `window.getSelection()`",
					"3": "Does not support the `selectstart` event",
					"4": "`window.getSelection()` may fail on tapping buttons, as the selection is lost right before the listener code runs.",
					"5": "Selection events are supported behind the `dom.select_events.enabled` flag"
				},
				"usage_perc_y": 76.61,
				"usage_perc_a": 16.86,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"payment-request": {
				"title": "Payment Request API",
				"description": "Payment Request is a new API for the open web that makes checkout flows easier, faster and consistent on shopping sites.",
				"spec": "https://www.w3.org/TR/payment-request/",
				"status": "wd",
				"links": [
					{
						"url": "https://github.com/w3c/browser-payment-api/",
						"title": "Spec discussion"
					},
					{
						"url": "https://developers.google.com/web/updates/2016/07/payment-request",
						"title": "Bringing easy and fast checkout with Payment Request API"
					},
					{
						"url": "https://developers.google.com/web/fundamentals/primers/payment-request/",
						"title": "Payment Request API Integration Guide"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Credential_Management_API",
						"title": "Mozilla Developer Network"
					},
					{
						"url": "https://emerald-eon.appspot.com/",
						"title": "Demo"
					},
					{
						"url": "https://googlechrome.github.io/samples/paymentrequest/",
						"title": "Simpler Demos and Codes"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n d #2",
						"15": "a #3"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n d #1",
						"54": "n d #1",
						"55": "n d #1",
						"56": "n d #1",
						"57": "n d #1",
						"58": "n d #1"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n d #1",
						"41": "n d #1",
						"42": "n d #1",
						"43": "n d #1",
						"44": "n d #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "Apple provides an equivalent proprietary API called [Apple Pay JS](https://developer.apple.com/reference/applepayjs/)",
				"notes_by_num": {
					"1": "Can be enabled via the \"Experimental Web Platform features\" flag",
					"2": "Can be enabled via the \"Experimental Web Payments API\" flag",
					"3": "Preliminary implementation"
				},
				"usage_perc_y": 24.01,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "PaymentRequest,Web Payments",
				"ie_id": "webpaymentsapi",
				"chrome_id": "5639348045217792",
				"firefox_id": "",
				"webkit_id": ""
			},
			"shadowdomv1": {
				"title": "Shadow DOM v1",
				"description": "Method of establishing and maintaining functional boundaries between DOM trees and how these trees interact with each other within a document, thus enabling better functional encapsulation within the DOM & CSS.",
				"spec": "https://www.w3.org/TR/shadow-dom/",
				"status": "wd",
				"links": [
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=148695",
						"title": "Safari implementation bug"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=1205323",
						"title": "Firefox implementation bug"
					},
					{
						"url": "https://developers.google.com/web/fundamentals/primers/shadowdom/?hl=en",
						"title": "Google Developers - Shadow DOM v1: self-contained web components"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "a #1",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "a #1"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "a #1"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "Shadow DOM v0 was implemented in Chrome/Opera but other browser vendors are implementing v1.",
				"notes_by_num": {
					"1": "Certain CSS selectors do not work (`:host > .local-child`) and styling slotted content (`::slotted`) is buggy."
				},
				"usage_perc_y": 48.17,
				"usage_perc_a": 8.45,
				"ucprefix": false,
				"parent": "",
				"keywords": "web components,shadow dom",
				"ie_id": "shadowdom",
				"chrome_id": "4667415417847808",
				"firefox_id": "shadow-dom",
				"webkit_id": "feature-shadow-dom"
			},
			"urlsearchparams": {
				"title": "URLSearchParams",
				"description": "The URLSearchParams interface defines utility methods to work with the query string of a URL.",
				"spec": "https://url.spec.whatwg.org/#urlsearchparams",
				"status": "ls",
				"links": [
					{
						"url": "https://developers.google.com/web/updates/2016/01/urlsearchparams?hl=en",
						"title": "Easy URL manipulation with URLSearchParams"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/URLSearchParams",
						"title": "MDN reference"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to only supporting `entries()`, `keys()`, `values()`, and `for...of`."
				},
				"usage_perc_y": 57.41,
				"usage_perc_a": 0.55,
				"ucprefix": false,
				"parent": "",
				"keywords": "url,search,params",
				"ie_id": "",
				"chrome_id": "5632984866619392",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-font-rendering-controls": {
				"title": "CSS font-rendering controls",
				"description": "`@font-face` descriptor (currently defined as `font-display`) that allows control over how a downloadable font renders before it is fully loaded.",
				"spec": "https://tabatkins.github.io/specs/css-font-display/",
				"status": "unoff",
				"links": [
					{
						"url": "https://developers.google.com/web/updates/2016/02/font-display",
						"title": "Google Developers article"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display",
						"title": "MDN article"
					},
					{
						"url": "https://css-tricks.com/font-display-masses/",
						"title": "CSS tricks article"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n d #2",
						"47": "n d #2",
						"48": "n d #2",
						"49": "n d #2",
						"50": "n d #2",
						"51": "n d #2",
						"52": "n d #2",
						"53": "n d #2",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n d #1",
						"50": "n d #1",
						"51": "n d #1",
						"52": "n d #1",
						"53": "n d #1",
						"54": "n d #1",
						"55": "n d #1",
						"56": "n d #1",
						"57": "n d #1",
						"58": "n d #1"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n d #1",
						"37": "n d #1",
						"38": "n d #1",
						"39": "n d #1",
						"40": "n d #1",
						"41": "n d #1",
						"42": "n d #1",
						"43": "n d #1",
						"44": "n d #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n d #1",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n d #1"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Can be enabled via the \"Experimental Web Platform features\" flag",
					"2": "Can be enabled in Firefox through the `layout.css.font-display.enabled` flag at about:config"
				},
				"usage_perc_y": 0,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "4799947908055040",
				"firefox_id": "css-font-display",
				"webkit_id": ""
			},
			"wasm": {
				"title": "WebAssembly",
				"description": "WebAssembly or \"wasm\" is a new portable, size- and load-time-efficient format suitable for compilation to the web.",
				"spec": "https://github.com/WebAssembly/spec",
				"status": "other",
				"links": [
					{
						"url": "https://webassembly.github.io/",
						"title": "Official site"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n d #1",
						"48": "n d #1",
						"49": "n d #1",
						"50": "n d #1",
						"51": "n d #1",
						"52": "n d #1",
						"53": "n d #1",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n d #2",
						"52": "n d #2",
						"53": "n d #2",
						"54": "n d #2",
						"55": "n d #2",
						"56": "n d #2",
						"57": "n d #2",
						"58": "n d #2"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n d #2",
						"39": "n d #2",
						"40": "n d #2",
						"41": "n d #2",
						"42": "n d #2",
						"43": "n d #2",
						"44": "n d #2",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n d #2"
					},
					"and_ff": {
						"50": "n d #1"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Can be enabled via the `javascript.options.wasm` in `about:config`",
					"2": "Can be enabled via the `#enable-webassembly` flag"
				},
				"usage_perc_y": 0,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "web assembly",
				"ie_id": "webassemblymvp",
				"chrome_id": "5453022515691520",
				"firefox_id": "web-assembly",
				"webkit_id": "specification-webassembly"
			},
			"css-paged-media": {
				"title": "CSS Paged Media (@page)",
				"description": "CSS at-rule (`@page`) to define page-specific rules when printing web pages, such as margin per page and page dimensions.",
				"spec": "https://drafts.csswg.org/css-page-3/",
				"status": "wd",
				"links": [
					{
						"url": "http://www.htmluse.com/css-paged-media-page-rule/",
						"title": "CSS Paged media article"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/@page",
						"title": "MDN article"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=85062",
						"title": "WebKit support bug"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=286443",
						"title": "Firefox support bug"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/12839052-css-paged-media-module-level-3",
						"title": "Edge support request"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"5.5": "n"
					},
					"edge": {
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"45": "a #1",
						"46": "a #1",
						"47": "a #1",
						"48": "a #1",
						"49": "a #1",
						"50": "a #1",
						"51": "a #1",
						"52": "a #1",
						"53": "a #1",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "a #1",
						"11": "a #1",
						"12": "a #1",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "a #1",
						"10.0-10.1": "a #1",
						"10.5": "a #1",
						"10.6": "a #1",
						"11.1": "a #1",
						"11.5": "a #1",
						"11.6": "a #1",
						"12.1": "a #1"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "u"
					},
					"android": {
						"3": "u",
						"4": "u",
						"53": "u",
						"2.1": "u",
						"2.2": "u",
						"2.3": "u",
						"4.1": "u",
						"4.2-4.3": "u",
						"4.4": "u",
						"4.4.3-4.4.4": "u"
					},
					"bb": {
						"7": "u",
						"10": "u"
					},
					"op_mob": {
						"10": "u",
						"11": "u",
						"12": "u",
						"37": "n #2",
						"11.1": "u",
						"11.5": "u",
						"12.1": "u"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "a #1"
					},
					"ie_mob": {
						"10": "n #2",
						"11": "n #2"
					},
					"and_uc": {
						"11": "n #2"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "Currently no browsers appear to support the `marks` & `bleed` properties from the latest version of the specification.\r\n\r\n",
				"notes_by_num": {
					"1": "Does not support the `size` property",
					"2": "Does not appear to have a way to print web pages"
				},
				"usage_perc_y": 56.39,
				"usage_perc_a": 13.07,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"childnode-remove": {
				"title": "ChildNode.remove()",
				"description": "DOM node method to remove the node itself from the document.",
				"spec": "https://dom.spec.whatwg.org/#dom-childnode-remove",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/ChildNode/remove",
						"title": "Mozilla Developer Network"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "u",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "u",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 87.08,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "ChildNode,remove,delete,node,DOM",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"css-first-line": {
				"title": "CSS first-line pseudo-element",
				"description": "Allows styling specifically for the first line of text using the `::first-line` pseudo-element. Note that only a limited set of properties can be applied.",
				"spec": "https://drafts.csswg.org/selectors-3/#first-line",
				"status": "rec",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/::first-line",
						"title": "MDN article"
					},
					{
						"url": "https://css-tricks.com/almanac/selectors/f/first-line/",
						"title": "CSS tricks article"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "a #1"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "y",
						"3": "y",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "y",
						"3.6": "y"
					},
					"chrome": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "y",
						"3.2": "y",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "y",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "y",
						"10.0-10.1": "y",
						"10.5": "y",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "y",
						"2.2": "y",
						"2.3": "y",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "y",
						"10": "y"
					},
					"op_mob": {
						"10": "y",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "IE8 only supports the single-colon CSS 2.1 syntax (i.e. `:first-line`). It does not support the double-colon CSS3 syntax (i.e. `::first-line`)."
				},
				"usage_perc_y": 97.69,
				"usage_perc_a": 0.44,
				"ucprefix": false,
				"parent": "css-sel3",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"mutation-events": {
				"title": "Mutation events",
				"description": "Deprecated mechanism for listening to changes made to the DOM, replaced by Mutation Observers.",
				"spec": "https://www.w3.org/TR/DOM-Level-3-Events/#legacy-mutationevent-events",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/Guide/Events/Mutation_events",
						"title": "MDN article"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "a #2",
						"10": "a #2",
						"11": "a #2",
						"5.5": "n"
					},
					"edge": {
						"12": "a #2",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "a #2",
						"7": "a #2",
						"8": "a #2",
						"9": "a #2",
						"10": "a #2",
						"11": "a #2",
						"12": "a #2",
						"13": "a #2",
						"14": "a #2",
						"15": "a #2",
						"16": "a #2",
						"17": "a #2",
						"18": "a #2",
						"19": "a #2",
						"20": "a #2",
						"21": "a #2",
						"22": "a #2",
						"23": "a #2",
						"24": "a #2",
						"25": "a #2",
						"26": "a #2",
						"27": "a #2",
						"28": "a #2",
						"29": "a #2",
						"30": "a #2",
						"31": "a #2",
						"32": "a #2",
						"33": "a #2",
						"34": "a #2",
						"35": "a #2",
						"36": "a #2",
						"37": "a #2",
						"38": "a #2",
						"39": "a #2",
						"40": "a #2",
						"41": "a #2",
						"42": "a #2",
						"43": "a #2",
						"44": "a #2",
						"45": "a #2",
						"46": "a #2",
						"47": "a #2",
						"48": "a #2",
						"49": "a #2",
						"50": "a #2",
						"51": "a #2",
						"52": "a #2",
						"53": "a #2",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"45": "a #1",
						"46": "a #1",
						"47": "a #1",
						"48": "a #1",
						"49": "a #1",
						"50": "a #1",
						"51": "a #1",
						"52": "a #1",
						"53": "a #1",
						"54": "a #1",
						"55": "a #1",
						"56": "a #1",
						"57": "a #1",
						"58": "a #1"
					},
					"safari": {
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"3.1": "u",
						"3.2": "u",
						"5.1": "a #1",
						"6.1": "a #1",
						"7.1": "a #1",
						"9.1": "a #1",
						"TP": "a #1"
					},
					"opera": {
						"9": "n",
						"11": "u",
						"12": "y",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "u",
						"11.5": "u",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "a #1",
						"3.2": "u",
						"4.0-4.1": "u",
						"4.2-4.3": "a #1",
						"5.0-5.1": "a #1",
						"6.0-6.1": "a #1",
						"7.0-7.1": "a #1",
						"8.1-8.4": "a #1",
						"9.0-9.2": "a #1",
						"9.3": "a #1",
						"10-10.1": "a #1"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "a #1",
						"4": "a #1",
						"53": "a #1",
						"2.1": "u",
						"2.2": "u",
						"2.3": "a #1",
						"4.1": "a #1",
						"4.2-4.3": "a #1",
						"4.4": "a #1",
						"4.4.3-4.4.4": "a #1"
					},
					"bb": {
						"7": "a #1",
						"10": "a #1"
					},
					"op_mob": {
						"10": "n",
						"11": "u",
						"12": "y",
						"37": "a #1",
						"11.1": "u",
						"11.5": "u",
						"12.1": "y"
					},
					"and_chr": {
						"55": "a #1"
					},
					"and_ff": {
						"50": "a #2"
					},
					"ie_mob": {
						"10": "a #2",
						"11": "a #2"
					},
					"and_uc": {
						"11": "a #1"
					},
					"samsung": {
						"4": "a #1"
					}
				},
				"notes": "See also support for [Mutation Observer](http://caniuse.com/#feat=mutationobserver), which replaces mutation events and does not have the same performance drawbacks.",
				"notes_by_num": {
					"1": "Does not support `DOMAttrModified`",
					"2": "Does not support `DOMNodeInsertedIntoDocument` & `DOMNodeRemovedFromDocument`"
				},
				"usage_perc_y": 0.17,
				"usage_perc_a": 93.12,
				"ucprefix": false,
				"parent": "",
				"keywords": "DOMAttrModified,DOMCharacterDataModified,DOMNodeInserted,DOMNodeInsertedIntoDocument,DOMNodeRemoved,DOMNodeRemovedFromDocument,DOMSubtreeModified",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"web-app-manifest": {
				"title": "Web App Manifest",
				"description": "The web app manifest provides information about an application (such as name, author, icon, and description) in a JSON file, which browsers can use to give richer offline experiences.",
				"spec": "https://www.w3.org/TR/appmanifest/",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/Manifest",
						"title": "Mozilla Developer Network article"
					},
					{
						"url": "https://webmanife.st",
						"title": "Tool to generate a manifest from any given URL"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 56.01,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "manifest,pwa",
				"ie_id": "webapplicationmanifest",
				"chrome_id": "6488656873259008",
				"firefox_id": "app-manifest",
				"webkit_id": ""
			},
			"comparedocumentposition": {
				"title": "Node.compareDocumentPosition()",
				"description": "Compares the relative position of two nodes to each other in the DOM tree.",
				"spec": "https://dom.spec.whatwg.org/#dom-node-comparedocumentposition",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Node/compareDocumentPosition",
						"title": "Mozilla Developer Network article"
					}
				],
				"categories": [
					"DOM"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "u",
						"3": "u",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "u",
						"3.6": "u"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "y",
						"3.1": "u",
						"3.2": "u",
						"5.1": "a #2",
						"6.1": "a #1",
						"7.1": "a #1",
						"9.1": "a #1",
						"TP": "y"
					},
					"opera": {
						"9": "u",
						"11": "u",
						"12": "y",
						"15": "a #1",
						"16": "a #1",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "u",
						"10.0-10.1": "u",
						"10.5": "u",
						"10.6": "u",
						"11.1": "u",
						"11.5": "u",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "a #1",
						"3.2": "u",
						"4.0-4.1": "a #1",
						"4.2-4.3": "a #1",
						"5.0-5.1": "a #1",
						"6.0-6.1": "a #1",
						"7.0-7.1": "a #1",
						"8.1-8.4": "a #1",
						"9.0-9.2": "a #1",
						"9.3": "a #1",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "a #1",
						"4": "a #1",
						"53": "y",
						"2.1": "u",
						"2.2": "u",
						"2.3": "a #1",
						"4.1": "a #1",
						"4.2-4.3": "a #1",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "a #1",
						"10": "a #1"
					},
					"op_mob": {
						"10": "u",
						"11": "u",
						"12": "y",
						"37": "y",
						"11.1": "u",
						"11.5": "u",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "a #1"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "The spec requires that comparisons of nodes in different documents, and comparisons where at least one node is not in any document, must arbitrarily (but consistently) set either the `DOCUMENT_POSITION_PRECEDING` or `DOCUMENT_POSITION_FOLLOWING` bit in the result. These browser versions don't set either bit in some such cases.",
					"2": "Sets neither the `DOCUMENT_POSITION_DISCONNECTED` bit nor the `DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC` bit in some cases when comparing nodes in different documents or when comparing a node which is not in any document."
				},
				"usage_perc_y": 84.37,
				"usage_perc_a": 12.99,
				"ucprefix": false,
				"parent": "",
				"keywords": "Node,compareDocumentPosition,compare,document,position,preceding,following,disconnected,before,after,contains,contained,DOM",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"http-live-streaming": {
				"title": "HTTP Live Streaming (HLS)",
				"description": "HTTP-based media streaming communications protocol",
				"spec": "https://tools.ietf.org/html/draft-pantos-http-live-streaming-19",
				"status": "unoff",
				"links": [
					{
						"url": "https://en.wikipedia.org/wiki/HTTP_Live_Streaming",
						"title": "Wikipedia article"
					},
					{
						"url": "https://developer.apple.com/streaming/",
						"title": "Apple developer article"
					}
				],
				"categories": [
					"Other"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "y",
						"4.0-4.1": "y",
						"4.2-4.3": "y",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "y",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "HLS is being replaced by Dynamic Adaptive Streaming over HTTP (aka MPEG-DASH)",
				"notes_by_num": {},
				"usage_perc_y": 52.33,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "apple http live streaming,m3u8",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"es6-class": {
				"title": "ES6 classes",
				"description": "ES6 classes are syntactical sugar to provide a much simpler and clearer syntax to create objects and deal with inheritance.",
				"spec": "http://www.ecma-international.org/ecma-262/6.0/#sec-class-definitions",
				"status": "other",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Classes",
						"title": "MDN article on ES6 classes"
					},
					{
						"url": "https://www.sitepoint.com/object-oriented-javascript-deep-dive-es6-classes/",
						"title": "Sitepoint deep dive on ES6 classes"
					},
					{
						"url": "https://github.com/joshburgess/not-awesome-es6-classes",
						"title": "List of resources critical of ES6 classes"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"45": "a #1",
						"46": "a #1",
						"47": "a #1",
						"48": "a #1",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Requires strict mode. Non-strict mode support is behind the flag 'Enable Experimental JavaScript', disabled by default."
				},
				"usage_perc_y": 69.61,
				"usage_perc_a": 1.07,
				"ucprefix": false,
				"parent": "",
				"keywords": "ES6,JavaScript,class",
				"ie_id": "classeses6",
				"chrome_id": "4633745457938432",
				"firefox_id": "",
				"webkit_id": ""
			},
			"ping": {
				"title": "Ping attribute",
				"description": "When used on an anchor, this attribute signifies that the browser should a ping request the resource the attribute points to.",
				"spec": "https://html.spec.whatwg.org/multipage/semantics.html#ping",
				"status": "ls",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/HTML/Element/a#attr-ping",
						"title": "Ping attribute on Mozilla Developer Network"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-microsoft-edge-developer/suggestions/6996308-implement-hyperlink-auditing-aka-the-ping-attribu",
						"title": "UserVoice request for ping attribute"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n d #1",
						"4": "n d #1",
						"5": "n d #1",
						"6": "n d #1",
						"7": "n d #1",
						"8": "n d #1",
						"9": "n d #1",
						"10": "n d #1",
						"11": "n d #1",
						"12": "n d #1",
						"13": "n d #1",
						"14": "n d #1",
						"15": "n d #1",
						"16": "n d #1",
						"17": "n d #1",
						"18": "n d #1",
						"19": "n d #1",
						"20": "n d #1",
						"21": "n d #1",
						"22": "n d #1",
						"23": "n d #1",
						"24": "n d #1",
						"25": "n d #1",
						"26": "n d #1",
						"27": "n d #1",
						"28": "n d #1",
						"29": "n d #1",
						"30": "n d #1",
						"31": "n d #1",
						"32": "n d #1",
						"33": "n d #1",
						"34": "n d #1",
						"35": "n d #1",
						"36": "n d #1",
						"37": "n d #1",
						"38": "n d #1",
						"39": "n d #1",
						"40": "n d #1",
						"41": "n d #1",
						"42": "n d #1",
						"43": "n d #1",
						"44": "n d #1",
						"45": "n d #1",
						"46": "n d #1",
						"47": "n d #1",
						"48": "n d #1",
						"49": "n d #1",
						"50": "n d #1",
						"51": "n d #1",
						"52": "n d #1",
						"53": "n d #1",
						"3.5": "n d #1",
						"3.6": "n d #1"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n d #1"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "While still in the WHATWG specification, this feature was removed from the W3C HTML5 specification in 2010.",
				"notes_by_num": {
					"1": "Disabled by default for [privacy reasons](http://kb.mozillazine.org/Browser.send_pings). Can be enabled via the `browser.send_pings` flag."
				},
				"usage_perc_y": 70.23,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "ping,a.ping,a[ping],ping attribute",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"form-submit-attributes": {
				"title": "Attributes for form submission",
				"description": "Attributes for form submission that may be specified on submit buttons. The attributes are: `formaction`, `formenctype`, `formmethod`, `formnovalidate`, and `formtarget`",
				"spec": "https://html.spec.whatwg.org/multipage/forms.html#attributes-for-form-submission",
				"status": "ls",
				"links": [
					{
						"url": "http://html5doctor.com/html5-forms-introduction-and-new-attributes/#formaction",
						"title": "Article describing each attribute"
					}
				],
				"categories": [
					"HTML5"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "y",
						"11": "y",
						"5.5": "n"
					},
					"edge": {
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "y",
						"5": "y",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"11": "y",
						"12": "y",
						"13": "y",
						"14": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "u",
						"5": "u",
						"6": "u",
						"7": "u",
						"8": "u",
						"9": "u",
						"10": "u",
						"11": "u",
						"12": "u",
						"13": "u",
						"14": "u",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"45": "y",
						"46": "y",
						"47": "y",
						"48": "y",
						"49": "y",
						"50": "y",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "y",
						"7": "y",
						"8": "y",
						"9": "y",
						"10": "y",
						"3.1": "n",
						"3.2": "n",
						"5.1": "y",
						"6.1": "y",
						"7.1": "y",
						"9.1": "y",
						"TP": "y"
					},
					"opera": {
						"9": "n",
						"11": "y",
						"12": "y",
						"15": "y",
						"16": "y",
						"17": "y",
						"18": "y",
						"19": "y",
						"20": "y",
						"21": "y",
						"22": "y",
						"23": "y",
						"24": "y",
						"25": "y",
						"26": "y",
						"27": "y",
						"28": "y",
						"29": "y",
						"30": "y",
						"31": "y",
						"32": "y",
						"33": "y",
						"34": "y",
						"35": "y",
						"36": "y",
						"37": "y",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "u",
						"10.5": "u",
						"10.6": "y",
						"11.1": "y",
						"11.5": "y",
						"11.6": "y",
						"12.1": "y"
					},
					"ios_saf": {
						"8": "y",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "y",
						"6.0-6.1": "y",
						"7.0-7.1": "y",
						"8.1-8.4": "y",
						"9.0-9.2": "y",
						"9.3": "y",
						"10-10.1": "y"
					},
					"op_mini": {
						"all": "y"
					},
					"android": {
						"3": "u",
						"4": "y",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "y",
						"4.2-4.3": "y",
						"4.4": "y",
						"4.4.3-4.4.4": "y"
					},
					"bb": {
						"7": "n",
						"10": "y"
					},
					"op_mob": {
						"10": "u",
						"11": "y",
						"12": "y",
						"37": "y",
						"11.1": "y",
						"11.5": "y",
						"12.1": "y"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "y"
					},
					"ie_mob": {
						"10": "y",
						"11": "y"
					},
					"and_uc": {
						"11": "y"
					},
					"samsung": {
						"4": "y"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 97.07,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"async-functions": {
				"title": "Async functions",
				"description": "Async function make it possible treat functions returning Promise objects as if they were synchronous.",
				"spec": "https://tc39.github.io/ecmascript-asyncawait/",
				"status": "other",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Statements/async_function",
						"title": "Async Functions (MDN)"
					},
					{
						"url": "https://developers.google.com/web/fundamentals/getting-started/primers/async-functions",
						"title": "Async functions - making promises friendly"
					}
				],
				"categories": [
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n d #1",
						"15": "n d #1"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "y",
						"53": "y",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Since build 14342 - disabled by default; can be enabled through about:flags",
					"2": "Async functions are present in Firefox Nightly since 31th October 2016."
				},
				"usage_perc_y": 24.17,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "ES2017,JavaScript,function,async,await,promises,asynchronous",
				"ie_id": "asyncfunctions",
				"chrome_id": "5643236399906816",
				"firefox_id": "async-function",
				"webkit_id": ""
			},
			"css-text-indent": {
				"title": "CSS text-indent",
				"description": "The `text-indent` property applies indentation to lines of inline content in a block.",
				"spec": "https://drafts.csswg.org/css-text-3/#text-indent-property",
				"status": "wd",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/text-indent",
						"title": "MDN article"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=784648",
						"title": "Firefox support bug"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=112755",
						"title": "WebKit support bug"
					},
					{
						"url": "https://www.sitepoint.com/css-image-replacement-text-indent-negative-margins-and-more/",
						"title": "Article on using text-indent for image replacement"
					}
				],
				"categories": [
					"CSS"
				],
				"stats": {
					"ie": {
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"5.5": "a #1"
					},
					"edge": {
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1"
					},
					"firefox": {
						"2": "a #1",
						"3": "a #1",
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1",
						"39": "a #1",
						"40": "a #1",
						"41": "a #1",
						"42": "a #1",
						"43": "a #1",
						"44": "a #1",
						"45": "a #1",
						"46": "a #1",
						"47": "a #1",
						"48": "a #1",
						"49": "a #1",
						"50": "a #1",
						"51": "a #1",
						"52": "a #1",
						"53": "a #1",
						"3.5": "a #1",
						"3.6": "a #1"
					},
					"chrome": {
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"13": "a #1",
						"14": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1",
						"26": "a #1",
						"27": "a #1",
						"28": "a #1",
						"29": "a #1",
						"30": "a #1",
						"31": "a #1",
						"32": "a #1",
						"33": "a #1",
						"34": "a #1",
						"35": "a #1",
						"36": "a #1",
						"37": "a #1",
						"38": "a #1 #2",
						"39": "a #1 #2",
						"40": "a #1 #2",
						"41": "a #1 #2",
						"42": "a #1 #2",
						"43": "a #1 #2",
						"44": "a #1 #2",
						"45": "a #1 #2",
						"46": "a #1 #2",
						"47": "a #1 #2",
						"48": "a #1 #2",
						"49": "a #1 #2",
						"50": "a #1 #2",
						"51": "a #1 #2",
						"52": "a #1 #2",
						"53": "a #1 #2",
						"54": "a #1 #2",
						"55": "a #1 #2",
						"56": "a #1 #2",
						"57": "a #1 #2",
						"58": "a #1 #2"
					},
					"safari": {
						"4": "a #1",
						"5": "a #1",
						"6": "a #1",
						"7": "a #1",
						"8": "a #1",
						"9": "a #1",
						"10": "a #1",
						"3.1": "a #1",
						"3.2": "a #1",
						"5.1": "a #1",
						"6.1": "a #1",
						"7.1": "a #1",
						"9.1": "a #1",
						"TP": "a #1"
					},
					"opera": {
						"9": "a #1",
						"11": "a #1",
						"12": "a #1",
						"15": "a #1",
						"16": "a #1",
						"17": "a #1",
						"18": "a #1",
						"19": "a #1",
						"20": "a #1",
						"21": "a #1",
						"22": "a #1",
						"23": "a #1",
						"24": "a #1",
						"25": "a #1 #2",
						"26": "a #1 #2",
						"27": "a #1 #2",
						"28": "a #1 #2",
						"29": "a #1 #2",
						"30": "a #1 #2",
						"31": "a #1 #2",
						"32": "a #1 #2",
						"33": "a #1 #2",
						"34": "a #1 #2",
						"35": "a #1 #2",
						"36": "a #1 #2",
						"37": "a #1 #2",
						"38": "a #1 #2",
						"39": "a #1 #2",
						"40": "a #1 #2",
						"41": "a #1 #2",
						"42": "a #1 #2",
						"43": "a #1 #2",
						"44": "a #1 #2",
						"9.5-9.6": "a #1",
						"10.0-10.1": "a #1",
						"10.5": "a #1",
						"10.6": "a #1",
						"11.1": "a #1",
						"11.5": "a #1",
						"11.6": "a #1",
						"12.1": "a #1"
					},
					"ios_saf": {
						"8": "a #1",
						"3.2": "a #1",
						"4.0-4.1": "a #1",
						"4.2-4.3": "a #1",
						"5.0-5.1": "a #1",
						"6.0-6.1": "a #1",
						"7.0-7.1": "a #1",
						"8.1-8.4": "a #1",
						"9.0-9.2": "a #1",
						"9.3": "a #1",
						"10-10.1": "a #1"
					},
					"op_mini": {
						"all": "a #1"
					},
					"android": {
						"3": "a #1",
						"4": "a #1",
						"53": "a #1",
						"2.1": "a #1",
						"2.2": "a #1",
						"2.3": "a #1",
						"4.1": "a #1",
						"4.2-4.3": "a #1",
						"4.4": "a #1",
						"4.4.3-4.4.4": "a #1"
					},
					"bb": {
						"7": "a #1",
						"10": "a #1"
					},
					"op_mob": {
						"10": "a #1",
						"11": "a #1",
						"12": "a #1",
						"37": "a #1 #2",
						"11.1": "a #1",
						"11.5": "a #1",
						"12.1": "a #1"
					},
					"and_chr": {
						"55": "a #1 #2"
					},
					"and_ff": {
						"50": "a #1"
					},
					"ie_mob": {
						"10": "a #1",
						"11": "a #1"
					},
					"and_uc": {
						"11": "a #1"
					},
					"samsung": {
						"4": "a #1"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Partial support refers to supporting a `<length>` value, but not the `each-line` or `hanging` keywords.",
					"2": "Support for `each-line` & `hanging` is available behind the Experimental Web Platform features flag"
				},
				"usage_perc_y": 0,
				"usage_perc_a": 98.13,
				"ucprefix": false,
				"parent": "",
				"keywords": "each-line,hanging",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			},
			"intersectionobserver": {
				"title": "IntersectionObserver",
				"description": "API that can be used to understand the visibility and position of DOM elements relative to a containing element or to the top-level viewport. The position is delivered asynchronously and is useful for understanding the visibility of elements and implementing pre-loading and deferred loading of DOM content.",
				"spec": "https://wicg.github.io/IntersectionObserver/",
				"status": "unoff",
				"links": [
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/API/Intersection_Observer_API",
						"title": "MDN article"
					},
					{
						"url": "https://github.com/jeremenichelli/intersection-observer-polyfill",
						"title": "Polyfill"
					},
					{
						"url": "https://developers.google.com/web/updates/2016/04/intersectionobserver",
						"title": "Google Developers article"
					}
				],
				"categories": [
					"DOM",
					"JS API"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "a #2"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n d #1",
						"53": "n d #1",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "y",
						"52": "y",
						"53": "y",
						"54": "y",
						"55": "y",
						"56": "y",
						"57": "y",
						"58": "y"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "y",
						"39": "y",
						"40": "y",
						"41": "y",
						"42": "y",
						"43": "y",
						"44": "y",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "y",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "y",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "y"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {
					"1": "Enabled in Firefox by setting the `about:config` preference `dom.IntersectionObserver.enabled` to true",
					"2": "\"Preliminary\" support as feature is still in development"
				},
				"usage_perc_y": 49.48,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "intersectionobserver",
				"chrome_id": "5695342691483648",
				"firefox_id": "",
				"webkit_id": "specification-intersection-observer"
			},
			"css-marker-pseudo": {
				"title": "CSS ::marker pseudo-element",
				"description": "The `::marker` pseudo-element allows list item markers to be styled or have their content value customized.",
				"spec": "https://drafts.csswg.org/css-lists-3/#marker-pseudo-element",
				"status": "wd",
				"links": [
					{
						"url": "https://crbug.com/457718",
						"title": "Chrome support bug"
					},
					{
						"url": "https://bugzilla.mozilla.org/show_bug.cgi?id=205202",
						"title": "Firefox support bug"
					},
					{
						"url": "https://bugs.webkit.org/show_bug.cgi?id=141477",
						"title": "WebKit support bug"
					},
					{
						"url": "https://wpdev.uservoice.com/forums/257854-internet-explorer-platform/suggestions/7084750-css-3-marker-pseudo-element",
						"title": "Edge UserVoice request"
					},
					{
						"url": "https://developer.mozilla.org/en-US/docs/Web/CSS/::marker",
						"title": "MDN article"
					},
					{
						"url": "https://css-tricks.com/almanac/selectors/m/marker/",
						"title": "CSS-Tricks article"
					}
				],
				"categories": [
					"CSS3"
				],
				"stats": {
					"ie": {
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"5.5": "n"
					},
					"edge": {
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n"
					},
					"firefox": {
						"2": "n",
						"3": "n",
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"3.5": "n",
						"3.6": "n"
					},
					"chrome": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"11": "n",
						"12": "n",
						"13": "n",
						"14": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"45": "n",
						"46": "n",
						"47": "n",
						"48": "n",
						"49": "n",
						"50": "n",
						"51": "n",
						"52": "n",
						"53": "n",
						"54": "n",
						"55": "n",
						"56": "n",
						"57": "n",
						"58": "n"
					},
					"safari": {
						"4": "n",
						"5": "n",
						"6": "n",
						"7": "n",
						"8": "n",
						"9": "n",
						"10": "n",
						"3.1": "n",
						"3.2": "n",
						"5.1": "n",
						"6.1": "n",
						"7.1": "n",
						"9.1": "n",
						"TP": "n"
					},
					"opera": {
						"9": "n",
						"11": "n",
						"12": "n",
						"15": "n",
						"16": "n",
						"17": "n",
						"18": "n",
						"19": "n",
						"20": "n",
						"21": "n",
						"22": "n",
						"23": "n",
						"24": "n",
						"25": "n",
						"26": "n",
						"27": "n",
						"28": "n",
						"29": "n",
						"30": "n",
						"31": "n",
						"32": "n",
						"33": "n",
						"34": "n",
						"35": "n",
						"36": "n",
						"37": "n",
						"38": "n",
						"39": "n",
						"40": "n",
						"41": "n",
						"42": "n",
						"43": "n",
						"44": "n",
						"9.5-9.6": "n",
						"10.0-10.1": "n",
						"10.5": "n",
						"10.6": "n",
						"11.1": "n",
						"11.5": "n",
						"11.6": "n",
						"12.1": "n"
					},
					"ios_saf": {
						"8": "n",
						"3.2": "n",
						"4.0-4.1": "n",
						"4.2-4.3": "n",
						"5.0-5.1": "n",
						"6.0-6.1": "n",
						"7.0-7.1": "n",
						"8.1-8.4": "n",
						"9.0-9.2": "n",
						"9.3": "n",
						"10-10.1": "n"
					},
					"op_mini": {
						"all": "n"
					},
					"android": {
						"3": "n",
						"4": "n",
						"53": "n",
						"2.1": "n",
						"2.2": "n",
						"2.3": "n",
						"4.1": "n",
						"4.2-4.3": "n",
						"4.4": "n",
						"4.4.3-4.4.4": "n"
					},
					"bb": {
						"7": "n",
						"10": "n"
					},
					"op_mob": {
						"10": "n",
						"11": "n",
						"12": "n",
						"37": "n",
						"11.1": "n",
						"11.5": "n",
						"12.1": "n"
					},
					"and_chr": {
						"55": "n"
					},
					"and_ff": {
						"50": "n"
					},
					"ie_mob": {
						"10": "n",
						"11": "n"
					},
					"and_uc": {
						"11": "n"
					},
					"samsung": {
						"4": "n"
					}
				},
				"notes": "",
				"notes_by_num": {},
				"usage_perc_y": 0,
				"usage_perc_a": 0,
				"ucprefix": false,
				"parent": "",
				"keywords": "",
				"ie_id": "",
				"chrome_id": "",
				"firefox_id": "",
				"webkit_id": ""
			}
		}
	};

/***/ },
/* 443 */
/***/ function(module, exports) {

	module.exports = {
		"id": "AD",
		"name": "Andorra",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.01257,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.01257,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.069135,
				"38": 0.05028,
				"39": 0.01257,
				"40": null,
				"41": null,
				"42": null,
				"43": 0.094275,
				"44": 0.006285,
				"45": 0.131985,
				"46": 0.131985,
				"47": 0.26397,
				"48": 0.659925,
				"49": 6.303855,
				"50": 3.023085,
				"51": 0.02514,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.01257,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.144555,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.043995,
				"32": 0.01257,
				"33": null,
				"34": 0.01257,
				"35": 0.006285,
				"36": 0.03771,
				"37": 0.006285,
				"38": 0.018855,
				"39": 0.01257,
				"40": 0.05028,
				"41": 0.01257,
				"42": null,
				"43": 0.069135,
				"44": 0.01257,
				"45": null,
				"46": 0.05028,
				"47": 0.02514,
				"48": 0.01257,
				"49": 2.268885,
				"50": 0.1257,
				"51": 0.6285,
				"52": 0.08799,
				"53": 0.38967,
				"54": 27.283185,
				"55": 0.018855,
				"56": 0.018855,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.018855,
				"37": null,
				"38": 0.1257,
				"39": null,
				"40": null,
				"41": 0.13827,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.08799,
				"6": null,
				"7": 0.069135,
				"8": 0.66621,
				"9": 0.41481,
				"10": 7.975665,
				"3.1": null,
				"3.2": null,
				"5.1": 0.31425,
				"6.1": 0.094275,
				"7.1": null,
				"9.1": 2.520285
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.305416869728,
				"8.1-8.4": 0.394496790066,
				"9.0-9.2": 0.304002902739,
				"9.3": 1.99086552119,
				"10-10.1": 10.5835429163
			},
			"android": {
				"3": 0,
				"4": 0.0345874481719,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00399085940445,
				"4.1": 0.109748633622,
				"4.2-4.3": 0.313282463249,
				"4.4": 0.738308989823,
				"4.4.3-4.4.4": 0.564706605729
			},
			"op_mob": {
				"0": 0.00230576604339,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0000640490567609
			},
			"ie": {
				"6": null,
				"7": 0.01257,
				"8": 0.10056,
				"9": 0.157125,
				"10": 0.232545,
				"11": 3.87156,
				"5.5": null
			},
			"edge": {
				"12": 0.03771,
				"13": 0.509085,
				"14": 1.828935
			},
			"bb": {
				"7": 0.00743,
				"10": null
			},
			"ie_mob": {
				"10": 0.04707648,
				"11": 0.22040352
			},
			"and_ff": {
				"0": 0.026005
			},
			"samsung": {
				"0": 2.54106
			},
			"and_uc": {
				"0": 0.018575
			},
			"op_mini": {
				"0": 0.0310651848998
			},
			"and_chr": {
				"0": 19.48238
			}
		},
		"total": 99.05463
	};

/***/ },
/* 444 */
/***/ function(module, exports) {

	module.exports = {
		"id": "AE",
		"name": "United Arab Emirates",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.016564,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.004141,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.024846,
				"22": 0.008282,
				"23": 0.008282,
				"24": 0.008282,
				"25": 0.008282,
				"26": null,
				"27": 0.008282,
				"28": 0.008282,
				"29": 0.004141,
				"30": 0.004141,
				"31": 0.008282,
				"32": 0.008282,
				"33": 0.008282,
				"34": 0.004141,
				"35": 0.008282,
				"36": 0.008282,
				"37": 0.028987,
				"38": 0.045551,
				"39": 0.012423,
				"40": 0.012423,
				"41": 0.012423,
				"42": 0.012423,
				"43": 0.053833,
				"44": 0.037269,
				"45": 0.049692,
				"46": 0.049692,
				"47": 0.211191,
				"48": 0.149076,
				"49": 1.660541,
				"50": 1.03525,
				"51": 0.074538,
				"52": null,
				"53": null,
				"3.5": 0.004141,
				"3.6": 0.020705
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.008282,
				"11": 0.008282,
				"12": 0.008282,
				"13": null,
				"14": 0.008282,
				"15": null,
				"16": null,
				"17": 0.004141,
				"18": 0.016564,
				"19": 0.012423,
				"20": 0.008282,
				"21": 0.008282,
				"22": 0.033128,
				"23": 0.008282,
				"24": null,
				"25": 0.008282,
				"26": 0.020705,
				"27": 0.016564,
				"28": 0.012423,
				"29": 0.028987,
				"30": 0.024846,
				"31": 0.062115,
				"32": 0.020705,
				"33": 0.037269,
				"34": 0.049692,
				"35": 0.020705,
				"36": 0.024846,
				"37": 0.016564,
				"38": 0.04141,
				"39": 0.037269,
				"40": 0.020705,
				"41": 0.057974,
				"42": 0.033128,
				"43": 0.306434,
				"44": 0.103525,
				"45": 0.053833,
				"46": 0.037269,
				"47": 0.314716,
				"48": 0.045551,
				"49": 1.039391,
				"50": 0.095243,
				"51": 0.476215,
				"52": 0.219473,
				"53": 1.006263,
				"54": 23.367663,
				"55": 0.115948,
				"56": 0.128371,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.004141,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.004141,
				"27": null,
				"28": 0.037269,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.012423,
				"34": null,
				"35": null,
				"36": 0.016564,
				"37": 0.024846,
				"38": 0.045551,
				"39": 0.016564,
				"40": 0.016564,
				"41": 0.4141,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.020705
			},
			"safari": {
				"0": null,
				"4": 0.004141,
				"5": 0.012423,
				"6": 0.008282,
				"7": 0.033128,
				"8": 0.190486,
				"9": 0.190486,
				"10": 1.499042,
				"3.1": null,
				"3.2": null,
				"5.1": 0.045551,
				"6.1": 0.033128,
				"7.1": 0.016564,
				"9.1": 0.70397
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.228029240862,
				"8.1-8.4": 0.294537769447,
				"9.0-9.2": 0.226973549932,
				"9.3": 1.48641282932,
				"10-10.1": 7.90184661043
			},
			"android": {
				"3": 0,
				"4": 0.0416936901621,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00481081040332,
				"4.1": 0.132297286091,
				"4.2-4.3": 0.37764861666,
				"4.4": 0.889999924614,
				"4.4.3-4.4.4": 0.680729672069
			},
			"op_mob": {
				"0": 0.244897387249,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00680270520135
			},
			"ie": {
				"6": null,
				"7": 0.00418937616822,
				"8": 0.268120074766,
				"9": 0.33096071729,
				"10": 0.230415689252,
				"11": 2.75242014252,
				"5.5": null
			},
			"edge": {
				"12": 0.062115,
				"13": 0.252601,
				"14": 1.043532
			},
			"bb": {
				"7": 0.068855,
				"10": null
			},
			"ie_mob": {
				"10": 0.05569344,
				"11": 0.26074656
			},
			"and_ff": {
				"0": 0.0293
			},
			"samsung": {
				"0": 3.35778
			},
			"and_uc": {
				"0": 18.17186
			},
			"op_mini": {
				"0": 3.29945990755
			},
			"and_chr": {
				"0": 21.116146
			}
		},
		"total": 98.758492
	};

/***/ },
/* 445 */
/***/ function(module, exports) {

	module.exports = {
		"id": "AF",
		"name": "Afghanistan",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.01926,
				"4": 0.01605,
				"5": 0.00642,
				"6": 0.00321,
				"7": 0.00321,
				"8": 0.00642,
				"9": 0.01605,
				"10": 0.00963,
				"11": 0.01926,
				"12": 0.02247,
				"13": 0.00963,
				"14": 0.01605,
				"15": 0.01605,
				"16": 0.01284,
				"17": 0.01926,
				"18": 0.02247,
				"19": 0.00642,
				"20": 0.01605,
				"21": 0.03531,
				"22": 0.02247,
				"23": 0.00642,
				"24": 0.30495,
				"25": 0.02568,
				"26": 0.02889,
				"27": 0.02247,
				"28": 0.00642,
				"29": 0.12198,
				"30": 0.05136,
				"31": 0.03531,
				"32": 0.00963,
				"33": 0.05457,
				"34": 0.05457,
				"35": 0.03531,
				"36": 0.01926,
				"37": 0.04173,
				"38": 0.07704,
				"39": 0.07704,
				"40": 0.04815,
				"41": 0.10272,
				"42": 0.07704,
				"43": 0.34989,
				"44": 0.17013,
				"45": 0.07704,
				"46": 0.10914,
				"47": 0.64842,
				"48": 0.37878,
				"49": 2.568,
				"50": 1.4124,
				"51": 0.11556,
				"52": null,
				"53": null,
				"3.5": 0.00321,
				"3.6": 0.00642
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": 0.00321,
				"7": null,
				"8": 0.00963,
				"9": null,
				"10": 0.00963,
				"11": 0.02568,
				"12": 0.00642,
				"13": null,
				"14": 0.00321,
				"15": 0.00321,
				"16": 0.01926,
				"17": 0.01605,
				"18": 0.00642,
				"19": 0.01926,
				"20": 0.01605,
				"21": 0.00642,
				"22": 0.01926,
				"23": 0.02247,
				"24": 0.01284,
				"25": 0.01926,
				"26": 0.00963,
				"27": 0.01605,
				"28": 0.02568,
				"29": 0.02247,
				"30": 0.02889,
				"31": 0.03852,
				"32": 0.01284,
				"33": 0.05136,
				"34": 0.0321,
				"35": 0.00963,
				"36": 0.0321,
				"37": 0.05457,
				"38": 0.02568,
				"39": 0.04494,
				"40": 0.04173,
				"41": 0.00963,
				"42": 0.00642,
				"43": 0.29853,
				"44": 0.0321,
				"45": 0.42693,
				"46": 0.0963,
				"47": 0.17976,
				"48": 0.05136,
				"49": 0.34026,
				"50": 0.04815,
				"51": 0.40125,
				"52": 0.14124,
				"53": 0.50076,
				"54": 13.85757,
				"55": 0.07062,
				"56": 0.10272,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": 0.01926,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.00321,
				"21": null,
				"22": 0.01605,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.00642,
				"27": null,
				"28": 0.00642,
				"29": 0.00963,
				"30": null,
				"31": 0.00642,
				"32": null,
				"33": 0.00642,
				"34": 0.01605,
				"35": 0.01926,
				"36": 0.01605,
				"37": 0.01926,
				"38": 0.00642,
				"39": 0.01284,
				"40": 0.02889,
				"41": 0.54249,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.00642,
				"11.6": 0.00642,
				"12.1": 0.00642
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.00963,
				"6": null,
				"7": 0.00963,
				"8": 0.03852,
				"9": 0.04815,
				"10": 0.68694,
				"3.1": null,
				"3.2": null,
				"5.1": 0.00963,
				"6.1": 0.00642,
				"7.1": null,
				"9.1": 0.1284
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.136538181818,
				"8.1-8.4": 0.176361818182,
				"9.0-9.2": 0.135906060606,
				"9.3": 0.890026666667,
				"10-10.1": 4.73142727273
			},
			"android": {
				"3": 0,
				"4": 0.18459176781,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0212990501319,
				"4.1": 0.585723878628,
				"4.2-4.3": 1.67197543536,
				"4.4": 3.94032427441,
				"4.4.3-4.4.4": 3.01381559367
			},
			"op_mob": {
				"0": 0.445311799442,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0123697722067
			},
			"ie": {
				"6": 0.0387569420035,
				"7": 0.0290677065026,
				"8": 0.494151010545,
				"9": 0.274528339192,
				"10": 0.239001142355,
				"11": 2.5999448594,
				"5.5": null
			},
			"edge": {
				"12": 0.17655,
				"13": 0.14445,
				"14": 0.36594
			},
			"bb": {
				"7": 0.0084875,
				"10": null
			},
			"ie_mob": {
				"10": 0.04421648,
				"11": 0.20701352
			},
			"and_ff": {
				"0": 0.07469
			},
			"samsung": {
				"0": 4.86164
			},
			"and_uc": {
				"0": 7.08876
			},
			"op_mini": {
				"0": 5.99960842835
			},
			"and_chr": {
				"0": 33.5308
			}
		},
		"total": 98.3810775
	};

/***/ },
/* 446 */
/***/ function(module, exports) {

	module.exports = {
		"id": "AG",
		"name": "Antigua and Barbuda",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.009962,
				"4": 0.009962,
				"5": null,
				"6": 0.004981,
				"7": 0.004981,
				"8": null,
				"9": null,
				"10": 0.004981,
				"11": 0.009962,
				"12": null,
				"13": null,
				"14": 0.04981,
				"15": 0.004981,
				"16": 0.004981,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.891599,
				"22": 0.139468,
				"23": 0.144449,
				"24": 0.144449,
				"25": 0.179316,
				"26": 0.014943,
				"27": 0.094639,
				"28": 0.089658,
				"29": 0.104601,
				"30": null,
				"31": 0.164373,
				"32": null,
				"33": 0.044829,
				"34": 0.029886,
				"35": 0.004981,
				"36": 0.054791,
				"37": 0.841789,
				"38": 0.004981,
				"39": 0.014943,
				"40": 0.04981,
				"41": 0.368594,
				"42": 0.059772,
				"43": 0.034867,
				"44": 0.014943,
				"45": 0.029886,
				"46": 0.04981,
				"47": 0.169354,
				"48": 0.139468,
				"49": 2.09202,
				"50": 1.180497,
				"51": 0.019924,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.014943
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.019924,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.044829,
				"23": null,
				"24": 0.009962,
				"25": null,
				"26": null,
				"27": 0.318784,
				"28": 0.134487,
				"29": 0.14943,
				"30": 0.069734,
				"31": 0.124525,
				"32": 0.169354,
				"33": 0.104601,
				"34": 0.104601,
				"35": 0.19924,
				"36": 0.209202,
				"37": 0.443309,
				"38": 0.029886,
				"39": 0.019924,
				"40": 0.019924,
				"41": 1.583958,
				"42": 0.079696,
				"43": 0.353651,
				"44": 0.029886,
				"45": 0.079696,
				"46": 0.124525,
				"47": 0.044829,
				"48": 0.019924,
				"49": 0.871675,
				"50": 0.094639,
				"51": 0.318784,
				"52": 0.169354,
				"53": 0.722245,
				"54": 17.861866,
				"55": 0.144449,
				"56": 0.089658,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.009962,
				"12": 0.194259,
				"15": 0.004981,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.004981,
				"20": 0.004981,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.014943,
				"28": 1.459433,
				"29": 0.119544,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.024905,
				"34": 0.009962,
				"35": 0.009962,
				"36": 0.004981,
				"37": 0.254031,
				"38": 0.024905,
				"39": null,
				"40": null,
				"41": 0.328746,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.004981,
				"11.6": 0.094639,
				"12.1": 0.219164
			},
			"safari": {
				"0": null,
				"4": 0.004981,
				"5": 0.14943,
				"6": null,
				"7": 0.074715,
				"8": 0.074715,
				"9": 0.19924,
				"10": 1.683578,
				"3.1": null,
				"3.2": null,
				"5.1": 0.169354,
				"6.1": 0.039848,
				"7.1": null,
				"9.1": 0.527986
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.20647987254,
				"8.1-8.4": 0.266703168697,
				"9.0-9.2": 0.205523947204,
				"9.3": 1.34594287285,
				"10-10.1": 7.15510113871
			},
			"android": {
				"3": 0,
				"4": 0.111852,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.012906,
				"4.1": 0.354915,
				"4.2-4.3": 1.013121,
				"4.4": 2.38761,
				"4.4.3-4.4.4": 1.826199
			},
			"op_mob": {
				"0": 0.0882614966893,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00245170824137
			},
			"ie": {
				"6": null,
				"7": 0.0152507505721,
				"8": 0.406686681922,
				"9": 0.640531524027,
				"10": 0.472773267735,
				"11": 2.90780977574,
				"5.5": null
			},
			"edge": {
				"12": 0.164373,
				"13": 0.567834,
				"14": 1.658673
			},
			"bb": {
				"7": 0.4241055,
				"10": null
			},
			"ie_mob": {
				"10": 0.435488592,
				"11": 2.038878408
			},
			"and_ff": {
				"0": 0.40152
			},
			"samsung": {
				"0": 3.859611
			},
			"and_uc": {
				"0": 0.587223
			},
			"op_mini": {
				"0": 1.18913179507
			},
			"and_chr": {
				"0": 28.997064
			}
		},
		"total": 97.5099635
	};

/***/ },
/* 447 */
/***/ function(module, exports) {

	module.exports = {
		"id": "AI",
		"name": "Anguilla",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.043547,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": 0.006221,
				"40": 0.006221,
				"41": null,
				"42": 0.006221,
				"43": null,
				"44": 0.006221,
				"45": 0.012442,
				"46": null,
				"47": 0.360818,
				"48": 0.479017,
				"49": 2.451074,
				"50": 1.455714,
				"51": 0.018663,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.018663,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.012442,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.006221,
				"23": null,
				"24": null,
				"25": 0.006221,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.012442,
				"30": null,
				"31": null,
				"32": 0.018663,
				"33": 0.074652,
				"34": 0.012442,
				"35": null,
				"36": 0.031105,
				"37": 0.018663,
				"38": 0.690531,
				"39": 0.024884,
				"40": 0.012442,
				"41": 0.018663,
				"42": null,
				"43": 0.037326,
				"44": 0.012442,
				"45": null,
				"46": 0.024884,
				"47": 0.049768,
				"48": 0.012442,
				"49": 1.374841,
				"50": 0.049768,
				"51": 0.273724,
				"52": 0.055989,
				"53": 0.852277,
				"54": 34.532771,
				"55": 0.087094,
				"56": 0.074652,
				"57": 0.006221
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.031105,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.006221,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.049768,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.155525,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.006221
			},
			"safari": {
				"0": null,
				"4": 0.018663,
				"5": 0.012442,
				"6": null,
				"7": 0.018663,
				"8": 0.205293,
				"9": 0.161746,
				"10": 2.575494,
				"3.1": null,
				"3.2": null,
				"5.1": 0.143083,
				"6.1": 0.105757,
				"7.1": 0.06221,
				"9.1": 0.6221
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.262397893158,
				"8.1-8.4": 0.338930611996,
				"9.0-9.2": 0.261183088097,
				"9.3": 1.71044552577,
				"10-10.1": 9.09281588097
			},
			"android": {
				"3": 0,
				"4": 0.0500713938937,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0057774685262,
				"4.1": 0.15888038447,
				"4.2-4.3": 0.453531279306,
				"4.4": 1.06883167735,
				"4.4.3-4.4.4": 0.817511796457
			},
			"op_mob": {
				"0": 0.00860012459918,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000238892349977
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.143083,
				"9": 0.634542,
				"10": 0.304829,
				"11": 4.29249,
				"5.5": null
			},
			"edge": {
				"12": 0.111978,
				"13": 0.6221,
				"14": 4.628424
			},
			"bb": {
				"7": 0.090696,
				"10": null
			},
			"ie_mob": {
				"10": 0.027934368,
				"11": 0.130783632
			},
			"and_ff": {
				"0": 0.034011
			},
			"samsung": {
				"0": 4.693518
			},
			"and_uc": {
				"0": 0.374121
			},
			"op_mini": {
				"0": 0.115867983051
			},
			"and_chr": {
				"0": 20.660695
			}
		},
		"total": 98.516972
	};

/***/ },
/* 448 */
/***/ function(module, exports) {

	module.exports = {
		"id": "AL",
		"name": "Albania",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.0441,
				"4": 0.01323,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.01323,
				"11": 0.00882,
				"12": null,
				"13": null,
				"14": 0.01764,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.01323,
				"22": 0.00882,
				"23": null,
				"24": 0.02205,
				"25": null,
				"26": null,
				"27": 0.00441,
				"28": 0.00882,
				"29": 0.01323,
				"30": 0.01323,
				"31": 0.01764,
				"32": 0.01323,
				"33": 0.01764,
				"34": 0.00882,
				"35": 0.01323,
				"36": 0.07938,
				"37": 0.03087,
				"38": 0.04851,
				"39": 0.03087,
				"40": 0.03528,
				"41": 0.03528,
				"42": 0.02205,
				"43": 0.18081,
				"44": 0.06615,
				"45": 0.07938,
				"46": 0.11025,
				"47": 0.51156,
				"48": 0.21609,
				"49": 2.09475,
				"50": 1.15983,
				"51": 0.03969,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.01323
			},
			"chrome": {
				"4": null,
				"5": 0.00441,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.00882,
				"11": 0.02205,
				"12": 0.00882,
				"13": null,
				"14": 0.00441,
				"15": 0.00441,
				"16": 0.00441,
				"17": null,
				"18": 0.01764,
				"19": null,
				"20": null,
				"21": 0.00441,
				"22": 0.0441,
				"23": 0.00441,
				"24": null,
				"25": 0.00441,
				"26": 0.01323,
				"27": 0.07938,
				"28": 0.01323,
				"29": 0.03528,
				"30": 0.01764,
				"31": 0.01764,
				"32": 0.00882,
				"33": 0.03528,
				"34": 0.03528,
				"35": 0.02205,
				"36": 0.02646,
				"37": 0.02205,
				"38": 0.02646,
				"39": 0.13671,
				"40": 0.0441,
				"41": 0.05733,
				"42": 0.01764,
				"43": 0.18081,
				"44": 0.07497,
				"45": 0.03969,
				"46": 0.07497,
				"47": 0.11025,
				"48": 0.10584,
				"49": 4.29975,
				"50": 0.18522,
				"51": 0.98784,
				"52": 0.26019,
				"53": 0.5292,
				"54": 25.578,
				"55": 0.10584,
				"56": 0.07056,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.02205,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.05292,
				"37": 0.02646,
				"38": 0.15435,
				"39": 0.01764,
				"40": 0.02205,
				"41": 0.43218,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.01764
			},
			"safari": {
				"0": null,
				"4": 0.01323,
				"5": 0.00882,
				"6": null,
				"7": 0.00441,
				"8": 0.02205,
				"9": 0.03528,
				"10": 0.20727,
				"3.1": null,
				"3.2": null,
				"5.1": 0.02205,
				"6.1": 0.00882,
				"7.1": 0.00441,
				"9.1": 0.10143
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.320934927835,
				"8.1-8.4": 0.414540948454,
				"9.0-9.2": 0.319449117984,
				"9.3": 2.09202027033,
				"10-10.1": 11.1212867354
			},
			"android": {
				"3": 0,
				"4": 0.128873287599,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.014869994723,
				"4.1": 0.408924854881,
				"4.2-4.3": 1.16729458575,
				"4.4": 2.75094902375,
				"4.4.3-4.4.4": 2.1041042533
			},
			"op_mob": {
				"0": 0.112200913505,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00311669204181
			},
			"ie": {
				"6": 0.042369075,
				"7": 0.023538375,
				"8": 0.6214131,
				"9": 0.127107225,
				"10": 0.1129842,
				"11": 0.95095035,
				"5.5": null
			},
			"edge": {
				"12": 0.02205,
				"13": 0.10143,
				"14": 0.30429
			},
			"bb": {
				"7": 0.05591,
				"10": null
			},
			"ie_mob": {
				"10": 0.214515488,
				"11": 1.004322512
			},
			"and_ff": {
				"0": 0.022364
			},
			"samsung": {
				"0": 3.421692
			},
			"and_uc": {
				"0": 0.251595
			},
			"op_mini": {
				"0": 1.51166339445
			},
			"and_chr": {
				"0": 29.164057
			}
		},
		"total": 98.433237325
	};

/***/ },
/* 449 */
/***/ function(module, exports) {

	module.exports = {
		"id": "AM",
		"name": "Armenia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.024987,
				"3": 0.299844,
				"4": 0.058303,
				"5": 0.008329,
				"6": 0.049974,
				"7": null,
				"8": 0.024987,
				"9": 0.033316,
				"10": 0.041645,
				"11": 0.033316,
				"12": 0.024987,
				"13": 0.016658,
				"14": 0.074961,
				"15": 0.041645,
				"16": 0.066632,
				"17": 0.024987,
				"18": 0.008329,
				"19": 0.049974,
				"20": 0.041645,
				"21": 0.674649,
				"22": 0.116606,
				"23": 0.116606,
				"24": 0.124935,
				"25": 0.158251,
				"26": 0.041645,
				"27": 0.066632,
				"28": 0.091619,
				"29": 0.074961,
				"30": null,
				"31": 0.133264,
				"32": 0.066632,
				"33": 0.066632,
				"34": 0.024987,
				"35": 0.074961,
				"36": 0.08329,
				"37": 0.633004,
				"38": 0.066632,
				"39": 0.008329,
				"40": 0.033316,
				"41": 0.033316,
				"42": 0.033316,
				"43": 0.066632,
				"44": 0.024987,
				"45": 0.049974,
				"46": 0.041645,
				"47": 0.324831,
				"48": 0.091619,
				"49": 9.103597,
				"50": 3.090059,
				"51": 0.016658,
				"52": null,
				"53": null,
				"3.5": 0.433108,
				"3.6": 1.24935
			},
			"chrome": {
				"4": 0.099948,
				"5": 0.058303,
				"6": 0.116606,
				"7": 0.041645,
				"8": 0.041645,
				"9": 0.074961,
				"10": 0.058303,
				"11": 0.041645,
				"12": 0.124935,
				"13": 0.058303,
				"14": 0.099948,
				"15": 0.124935,
				"16": 0.108277,
				"17": 0.199896,
				"18": 0.174909,
				"19": 0.149922,
				"20": 0.08329,
				"21": 0.291515,
				"22": 0.149922,
				"23": 0.149922,
				"24": 0.191567,
				"25": 0.099948,
				"26": 0.183238,
				"27": 0.366476,
				"28": 0.16658,
				"29": 0.141593,
				"30": 0.074961,
				"31": 0.108277,
				"32": 0.116606,
				"33": 0.074961,
				"34": 0.108277,
				"35": 0.274857,
				"36": 0.158251,
				"37": 0.141593,
				"38": 0.074961,
				"39": 0.141593,
				"40": 0.241541,
				"41": 1.241021,
				"42": 0.16658,
				"43": 0.216554,
				"44": 0.033316,
				"45": 0.049974,
				"46": 0.041645,
				"47": 0.116606,
				"48": 0.091619,
				"49": 2.548674,
				"50": 0.149922,
				"51": 0.608017,
				"52": 0.41645,
				"53": 0.716294,
				"54": 36.930786,
				"55": 0.149922,
				"56": 0.24987,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.074961,
				"12": 0.633004,
				"15": 0.024987,
				"16": 0.016658,
				"17": 0.024987,
				"18": 0.024987,
				"19": 0.008329,
				"20": 0.074961,
				"21": 0.033316,
				"22": 0.008329,
				"23": 0.016658,
				"24": 0.049974,
				"25": 0.041645,
				"26": 0.041645,
				"27": 0.283186,
				"28": 1.099428,
				"29": 0.008329,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.091619,
				"37": 0.024987,
				"38": 0.066632,
				"39": 0.049974,
				"40": 0.058303,
				"41": 1.191047,
				"42": 0.008329,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0.049974,
				"10.5": 0.066632,
				"10.6": 0.233212,
				"11.1": 0.041645,
				"11.5": 0.108277,
				"11.6": 0.458095,
				"12.1": 1.449246
			},
			"safari": {
				"0": null,
				"4": 0.16658,
				"5": 0.391463,
				"6": 0.058303,
				"7": 0.091619,
				"8": 0.074961,
				"9": 0.041645,
				"10": 0.341489,
				"3.1": 0.058303,
				"3.2": 0.033316,
				"5.1": 0.316502,
				"6.1": 0.049974,
				"7.1": null,
				"9.1": 0.099948
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0886868603561,
				"8.1-8.4": 0.114553861293,
				"9.0-9.2": 0.0882762730397,
				"9.3": 0.578106941581,
				"10-10.1": 3.07324606373
			},
			"android": {
				"3": 0,
				"4": 0.0220946098756,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00254937806257,
				"4.1": 0.0701078967207,
				"4.2-4.3": 0.200126177912,
				"4.4": 0.471634941576,
				"4.4.3-4.4.4": 0.360736995854
			},
			"op_mob": {
				"0": 0.0401934985216,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00111648607005
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.635650036101,
				"9": 0.553923602888,
				"10": 0.535762173285,
				"11": 0.790022187726,
				"5.5": null
			},
			"edge": {
				"12": 0.024987,
				"13": 0.074961,
				"14": 0.291515
			},
			"bb": {
				"7": 0.152805,
				"10": null
			},
			"ie_mob": {
				"10": 0.17605808,
				"11": 0.82427192
			},
			"and_ff": {
				"0": 0.13861
			},
			"samsung": {
				"0": 0.67802
			},
			"and_uc": {
				"0": 0.22712
			},
			"op_mini": {
				"0": 0.541520015408
			},
			"and_chr": {
				"0": 8.694094
			}
		},
		"total": 94.320131
	};

/***/ },
/* 450 */
/***/ function(module, exports) {

	module.exports = {
		"id": "AN",
		"name": "Netherlands Antilles",
		"month": "2014-08",
		"access_date": "2014-09-01",
		"data": {
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.080201,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.051037,
				"22": 0.080201,
				"23": null,
				"24": 0.029164,
				"25": null,
				"26": 0.131238,
				"27": null,
				"28": 0.102074,
				"29": null,
				"30": null,
				"31": 0.51037,
				"32": 0.306222,
				"33": 2.223755,
				"34": 0.204148,
				"35": 1.407163,
				"36": 28.87236,
				"37": null,
				"38": 0.080201,
				"39": null,
				"40": null
			},
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.029164,
				"11": null,
				"12": 0.051037,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.029164,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.051037,
				"27": 0.029164,
				"28": null,
				"29": 0.029164,
				"30": 4.031923,
				"31": 10.827135,
				"32": 0.051037,
				"33": null,
				"34": null,
				"3.5": null,
				"3.6": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.051037,
				"22": null,
				"23": 0.051037,
				"24": 0.051037,
				"25": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.539534
			},
			"safari": {
				"4": 0,
				"5": 0.233312,
				"6": 0.102074,
				"7": 6.05153,
				"8": 0.029164,
				"3.1": null,
				"3.2": null,
				"5.1": 0.765555,
				"6.1": 0.561407
			},
			"android": {
				"3": 0,
				"4": 0.648893454545,
				"2.1": 0.00612163636364,
				"2.2": 0.0428514545455,
				"2.3": 0.832542545455,
				"4.1": 1.62223363636,
				"4.2-4.3": 1.69569327273,
				"4.4": 1.279422,
				"4.4.3": null
			},
			"op_mob": {
				"0": null,
				"10": 0,
				"11": 0,
				"12": 0.0000648307692308,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000356569230769
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 1.4582,
				"9": 2.47894,
				"10": 1.633184,
				"11": 9.471009,
				"5.5": null
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0.0939043474576,
				"6.0-6.1": 0.473354567797,
				"7.0-7.1": 8.93049508475
			},
			"bb": {
				"7": 0.40838175,
				"10": null
			},
			"and_ff": {
				"0": 0.051471
			},
			"ie_mob": {
				"10": 0.09419193
			},
			"op_mini": {
				"5.0-7.0": 0.0239596
			},
			"and_chr": {
				"0": 8.88552
			}
		},
		"total": 97.77343668
	};

/***/ },
/* 451 */
/***/ function(module, exports) {

	module.exports = {
		"id": "AO",
		"name": "Angola",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.028314,
				"4": 0.014157,
				"5": 0.023595,
				"6": 0.009438,
				"7": null,
				"8": 0.004719,
				"9": 0.009438,
				"10": 0.009438,
				"11": 0.028314,
				"12": 0.033033,
				"13": 0.018876,
				"14": 0.028314,
				"15": 0.023595,
				"16": 0.014157,
				"17": 0.014157,
				"18": 0.009438,
				"19": 0.018876,
				"20": 0.018876,
				"21": 0.089661,
				"22": 0.018876,
				"23": 0.066066,
				"24": 0.018876,
				"25": 0.028314,
				"26": 0.04719,
				"27": 0.014157,
				"28": 0.009438,
				"29": 0.014157,
				"30": 0.023595,
				"31": 0.037752,
				"32": 0.009438,
				"33": 0.018876,
				"34": 0.009438,
				"35": 0.023595,
				"36": 0.014157,
				"37": 0.113256,
				"38": 0.023595,
				"39": 0.018876,
				"40": 0.033033,
				"41": 0.028314,
				"42": 0.018876,
				"43": 0.174603,
				"44": 0.061347,
				"45": 0.099099,
				"46": 0.056628,
				"47": 0.339768,
				"48": 0.264264,
				"49": 2.982408,
				"50": 1.519518,
				"51": 0.023595,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.023595
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.070785,
				"12": 0.014157,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.037752,
				"19": 0.009438,
				"20": 0.004719,
				"21": 0.004719,
				"22": 0.023595,
				"23": 0.018876,
				"24": 0.014157,
				"25": 0.018876,
				"26": 0.037752,
				"27": 0.028314,
				"28": 0.018876,
				"29": 0.056628,
				"30": 0.014157,
				"31": 0.042471,
				"32": 0.051909,
				"33": 0.042471,
				"34": 0.018876,
				"35": 0.033033,
				"36": 0.320892,
				"37": 0.028314,
				"38": 0.018876,
				"39": 0.018876,
				"40": 0.04719,
				"41": 0.127413,
				"42": 0.042471,
				"43": 0.910767,
				"44": 0.042471,
				"45": 0.273702,
				"46": 0.033033,
				"47": 0.344487,
				"48": 0.028314,
				"49": 0.585156,
				"50": 0.151008,
				"51": 0.419991,
				"52": 0.264264,
				"53": 0.684255,
				"54": 21.405384,
				"55": 0.103818,
				"56": 0.080223,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.004719,
				"12": 0.033033,
				"15": 0.009438,
				"16": null,
				"17": null,
				"18": 0.004719,
				"19": null,
				"20": 0.004719,
				"21": 0.004719,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.113256,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.018876,
				"34": 0.018876,
				"35": 0.018876,
				"36": 0.023595,
				"37": 0.061347,
				"38": 0.023595,
				"39": 0.037752,
				"40": 0.075504,
				"41": 0.934362,
				"42": 0.004719,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.014157,
				"11.1": null,
				"11.5": null,
				"11.6": 0.033033,
				"12.1": 0.051909
			},
			"safari": {
				"0": null,
				"4": 0.009438,
				"5": 0.023595,
				"6": 0.014157,
				"7": 0.023595,
				"8": 0.240669,
				"9": 0.113256,
				"10": 1.495923,
				"3.1": null,
				"3.2": null,
				"5.1": 0.051909,
				"6.1": 0.028314,
				"7.1": 0.009438,
				"9.1": 0.453024
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0981167235239,
				"8.1-8.4": 0.126734101218,
				"9.0-9.2": 0.0976624794335,
				"9.3": 0.639575679267,
				"10-10.1": 3.40001701656
			},
			"android": {
				"3": 0,
				"4": 0.11551714738,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0133289016208,
				"4.1": 0.366544794572,
				"4.2-4.3": 1.04631877723,
				"4.4": 2.46584679985,
				"4.4.3-4.4.4": 1.88603957934
			},
			"op_mob": {
				"0": 1.55254934277,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0431263706326
			},
			"ie": {
				"6": 0.00957711714507,
				"7": 0.00957711714507,
				"8": 0.440547388673,
				"9": 0.335199100078,
				"10": 0.608146938712,
				"11": 4.76940433825,
				"5.5": null
			},
			"edge": {
				"12": 0.250107,
				"13": 0.415272,
				"14": 1.36851
			},
			"bb": {
				"7": 0.0712935,
				"10": null
			},
			"ie_mob": {
				"10": 0.105957984,
				"11": 0.496076016
			},
			"and_ff": {
				"0": 0.031686
			},
			"samsung": {
				"0": 3.22141
			},
			"and_uc": {
				"0": 1.172382
			},
			"op_mini": {
				"0": 20.9172272866
			},
			"and_chr": {
				"0": 14.844846
			}
		},
		"total": 97.8966815
	};

/***/ },
/* 452 */
/***/ function(module, exports) {

	module.exports = {
		"id": "AR",
		"name": "Argentina",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.005413,
				"3": 0.010826,
				"4": null,
				"5": null,
				"6": 0.005413,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.005413,
				"12": 0.027065,
				"13": null,
				"14": null,
				"15": 0.016239,
				"16": 0.005413,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.005413,
				"21": 0.005413,
				"22": null,
				"23": null,
				"24": 0.005413,
				"25": null,
				"26": 0.005413,
				"27": 0.010826,
				"28": null,
				"29": 0.021652,
				"30": 0.010826,
				"31": 0.016239,
				"32": 0.005413,
				"33": 0.010826,
				"34": 0.010826,
				"35": 0.010826,
				"36": 0.010826,
				"37": 0.021652,
				"38": 0.037891,
				"39": 0.021652,
				"40": 0.027065,
				"41": 0.021652,
				"42": 0.016239,
				"43": 0.092021,
				"44": 0.021652,
				"45": 0.10826,
				"46": 0.037891,
				"47": 0.21652,
				"48": 0.173216,
				"49": 2.852651,
				"50": 1.564357,
				"51": 0.016239,
				"52": null,
				"53": null,
				"3.5": 0.010826,
				"3.6": 0.016239
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.016239,
				"12": 0.005413,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.016239,
				"19": null,
				"20": null,
				"21": 0.005413,
				"22": 0.027065,
				"23": null,
				"24": null,
				"25": 0.005413,
				"26": 0.037891,
				"27": 0.027065,
				"28": null,
				"29": 0.005413,
				"30": 0.005413,
				"31": 0.032478,
				"32": 0.010826,
				"33": 0.010826,
				"34": 0.064956,
				"35": 0.05413,
				"36": 0.037891,
				"37": 0.037891,
				"38": 0.059543,
				"39": 0.05413,
				"40": 0.027065,
				"41": 0.037891,
				"42": 0.037891,
				"43": 0.124499,
				"44": 0.081195,
				"45": 0.059543,
				"46": 0.113673,
				"47": 0.113673,
				"48": 0.086608,
				"49": 4.254618,
				"50": 0.119086,
				"51": 0.438453,
				"52": 0.259824,
				"53": 0.692864,
				"54": 34.410441,
				"55": 0.119086,
				"56": 0.032478,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.005413,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.027065,
				"37": 0.027065,
				"38": 0.016239,
				"39": null,
				"40": 0.010826,
				"41": 0.32478,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.016239
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.010826,
				"6": null,
				"7": 0.005413,
				"8": 0.032478,
				"9": 0.037891,
				"10": 0.37891,
				"3.1": null,
				"3.2": null,
				"5.1": 0.016239,
				"6.1": 0.016239,
				"7.1": null,
				"9.1": 0.16239
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0550955876289,
				"8.1-8.4": 0.0711651340206,
				"9.0-9.2": 0.0548405154639,
				"9.3": 0.359141608247,
				"10-10.1": 1.90921515464
			},
			"android": {
				"3": 0,
				"4": 0.0543939012439,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00627621937429,
				"4.1": 0.172596032793,
				"4.2-4.3": 0.492683220882,
				"4.4": 1.16110058424,
				"4.4.3-4.4.4": 0.888085041462
			},
			"op_mob": {
				"0": 0.0986954759505,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00274154099863
			},
			"ie": {
				"6": 0.0435419340659,
				"7": 0.0489846758242,
				"8": 0.468075791209,
				"9": 0.261251604396,
				"10": 0.223152412088,
				"11": 1.92673058242,
				"5.5": null
			},
			"edge": {
				"12": 0.05413,
				"13": 0.129912,
				"14": 0.617082
			},
			"bb": {
				"7": 0.018348,
				"10": null
			},
			"ie_mob": {
				"10": 0.354409968,
				"11": 1.659283032
			},
			"and_ff": {
				"0": 0.013761
			},
			"samsung": {
				"0": 1.655907
			},
			"and_uc": {
				"0": 0.197241
			},
			"op_mini": {
				"0": 1.32970698305
			},
			"and_chr": {
				"0": 36.671058
			}
		},
		"total": 99.071459
	};

/***/ },
/* 453 */
/***/ function(module, exports) {

	module.exports = {
		"id": "AS",
		"name": "American Samoa",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.012806,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.012806,
				"11": null,
				"12": 0.121657,
				"13": null,
				"14": null,
				"15": 0.102448,
				"16": 0.006403,
				"17": 0.32015,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.006403,
				"23": null,
				"24": 0.025612,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.102448,
				"30": null,
				"31": 0.038418,
				"32": null,
				"33": 0.006403,
				"34": null,
				"35": null,
				"36": 0.025612,
				"37": 0.115254,
				"38": 0.012806,
				"39": null,
				"40": 0.038418,
				"41": null,
				"42": 0.006403,
				"43": 0.153672,
				"44": 6.665523,
				"45": 8.112601,
				"46": 0.070433,
				"47": 0.371374,
				"48": 0.781166,
				"49": 2.695663,
				"50": 0.877211,
				"51": 0.044821,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 5.769103
			},
			"chrome": {
				"4": null,
				"5": 0.012806,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.025612,
				"10": null,
				"11": 0.012806,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.012806,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": 0.06403,
				"24": null,
				"25": null,
				"26": 0.019209,
				"27": null,
				"28": 0.038418,
				"29": null,
				"30": null,
				"31": 0.025612,
				"32": null,
				"33": 0.044821,
				"34": null,
				"35": 0.012806,
				"36": 0.006403,
				"37": null,
				"38": 0.025612,
				"39": 0.025612,
				"40": 0.012806,
				"41": null,
				"42": 0.019209,
				"43": 0.102448,
				"44": 0.025612,
				"45": 0.025612,
				"46": 0.076836,
				"47": 0.358568,
				"48": 0.313747,
				"49": 1.812049,
				"50": 0.032015,
				"51": 0.313747,
				"52": 0.160075,
				"53": 4.552533,
				"54": 18.216535,
				"55": 0.288135,
				"56": 0.012806,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.006403,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.032015,
				"38": 0.012806,
				"39": null,
				"40": 0.051224,
				"41": 0.089642,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": 0.006403,
				"11.5": null,
				"11.6": 0.006403,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0.019209,
				"5": 0.153672,
				"6": 0.153672,
				"7": 3.00941,
				"8": 0.057627,
				"9": 0.134463,
				"10": 0.505837,
				"3.1": null,
				"3.2": null,
				"5.1": 0.268926,
				"6.1": 0.025612,
				"7.1": null,
				"9.1": 0.781166
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.115373690722,
				"8.1-8.4": 0.149024350515,
				"9.0-9.2": 0.114839553265,
				"9.3": 0.752065539519,
				"10-10.1": 3.99801886598
			},
			"android": {
				"3": 0,
				"4": 0.0752970192235,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00868811760271,
				"4.1": 0.238923234075,
				"4.2-4.3": 0.682017231813,
				"4.4": 1.6073017565,
				"4.4.3-4.4.4": 1.22936864078
			},
			"op_mob": {
				"0": 0.52836489235,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0146768025653
			},
			"ie": {
				"6": null,
				"7": 0.00645042962963,
				"8": 0.206413748148,
				"9": 0.129008592593,
				"10": 0.509583940741,
				"11": 1.76096728889,
				"5.5": null
			},
			"edge": {
				"12": 0.172881,
				"13": 0.922032,
				"14": 0.717136
			},
			"bb": {
				"7": 0.032373,
				"10": null
			},
			"ie_mob": {
				"10": 0.040516608,
				"11": 0.189691392
			},
			"and_ff": {
				"0": 0.03597
			},
			"samsung": {
				"0": 2.129424
			},
			"and_uc": {
				"0": 2.463945
			},
			"op_mini": {
				"0": 7.11856830508
			},
			"and_chr": {
				"0": 14.850615
			}
		},
		"total": 99.258926
	};

/***/ },
/* 454 */
/***/ function(module, exports) {

	module.exports = {
		"id": "AT",
		"name": "Austria",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.01257,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.01257,
				"11": 0.006285,
				"12": 0.03771,
				"13": null,
				"14": 0.006285,
				"15": null,
				"16": 0.018855,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.018855,
				"21": 0.01257,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.006285,
				"26": 0.006285,
				"27": null,
				"28": 0.01257,
				"29": 0.018855,
				"30": 0.018855,
				"31": 0.031425,
				"32": 0.018855,
				"33": 0.02514,
				"34": 0.02514,
				"35": 0.031425,
				"36": 0.03771,
				"37": 0.031425,
				"38": 0.17598,
				"39": 0.081705,
				"40": 0.05028,
				"41": 0.07542,
				"42": 0.11313,
				"43": 0.15084,
				"44": 0.094275,
				"45": 0.43995,
				"46": 0.08799,
				"47": 0.634785,
				"48": 0.571935,
				"49": 9.45264,
				"50": 5.17884,
				"51": 0.05028,
				"52": 0.006285,
				"53": null,
				"3.5": 0.006285,
				"3.6": 0.018855
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.018855,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.006285,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.056565,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.02514,
				"27": 0.01257,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.018855,
				"32": 0.006285,
				"33": 0.006285,
				"34": 0.03771,
				"35": 0.01257,
				"36": 0.01257,
				"37": 0.01257,
				"38": 0.03771,
				"39": 0.031425,
				"40": 0.018855,
				"41": 0.031425,
				"42": 0.01257,
				"43": 0.069135,
				"44": 0.05028,
				"45": 0.06285,
				"46": 0.05028,
				"47": 0.05028,
				"48": 0.08799,
				"49": 0.886185,
				"50": 0.08799,
				"51": 0.408525,
				"52": 0.20112,
				"53": 0.64107,
				"54": 20.2377,
				"55": 0.07542,
				"56": 0.043995,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.01257,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.031425,
				"37": 0.02514,
				"38": 0.031425,
				"39": 0.006285,
				"40": 0.043995,
				"41": 0.961605,
				"42": 0.006285,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.006285,
				"12.1": 0.11313
			},
			"safari": {
				"0": null,
				"4": 0.01257,
				"5": 0.05028,
				"6": 0.01257,
				"7": 0.056565,
				"8": 0.26397,
				"9": 0.35196,
				"10": 2.95395,
				"3.1": null,
				"3.2": null,
				"5.1": 0.207405,
				"6.1": 0.11313,
				"7.1": 0.018855,
				"9.1": 1.275855
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.251921814433,
				"8.1-8.4": 0.325399010309,
				"9.0-9.2": 0.250755509737,
				"9.3": 1.6421570126,
				"10-10.1": 8.72979065292
			},
			"android": {
				"3": 0,
				"4": 0.0321203588391,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00370619525066,
				"4.1": 0.101920369393,
				"4.2-4.3": 0.290936327177,
				"4.4": 0.685646121372,
				"4.4.3-4.4.4": 0.524426627968
			},
			"op_mob": {
				"0": 0.0417712259193,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00116031183109
			},
			"ie": {
				"6": 0.00629713320463,
				"7": 0.0251885328185,
				"8": 0.220399662162,
				"9": 0.289668127413,
				"10": 0.270776727799,
				"11": 8.9734148166,
				"5.5": null
			},
			"edge": {
				"12": 0.10056,
				"13": 0.52794,
				"14": 3.211635
			},
			"bb": {
				"7": 0.01858,
				"10": null
			},
			"ie_mob": {
				"10": 0.069325696,
				"11": 0.324570304
			},
			"and_ff": {
				"0": 0.059456
			},
			"samsung": {
				"0": 5.213548
			},
			"and_uc": {
				"0": 0.732052
			},
			"op_mini": {
				"0": 0.56277646225
			},
			"and_chr": {
				"0": 17.317519
			}
		},
		"total": 98.250884
	};

/***/ },
/* 455 */
/***/ function(module, exports) {

	module.exports = {
		"id": "AU",
		"name": "Australia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.00547,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.00547,
				"30": 0.00547,
				"31": 0.01094,
				"32": 0.00547,
				"33": 0.00547,
				"34": 0.01641,
				"35": 0.01094,
				"36": 0.01094,
				"37": 0.02188,
				"38": 0.08752,
				"39": 0.02188,
				"40": 0.02188,
				"41": 0.02188,
				"42": 0.02735,
				"43": 0.0547,
				"44": 0.02735,
				"45": 0.1641,
				"46": 0.0547,
				"47": 0.2188,
				"48": 0.25709,
				"49": 3.34217,
				"50": 1.82151,
				"51": 0.02735,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.01094
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.01094,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.01641,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.02735,
				"27": null,
				"28": null,
				"29": 0.00547,
				"30": 0.01094,
				"31": 0.02188,
				"32": 0.01094,
				"33": 0.02188,
				"34": 0.03829,
				"35": 0.02188,
				"36": 0.01641,
				"37": 0.02188,
				"38": 0.04923,
				"39": 0.0547,
				"40": 0.03282,
				"41": 0.0547,
				"42": 0.06017,
				"43": 0.09846,
				"44": 0.08205,
				"45": 0.24615,
				"46": 0.08752,
				"47": 0.12034,
				"48": 0.1094,
				"49": 1.15417,
				"50": 0.22427,
				"51": 0.41025,
				"52": 0.48683,
				"53": 1.44955,
				"54": 25.72541,
				"55": 0.08752,
				"56": 0.0547,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.01094,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.01094,
				"37": 0.01094,
				"38": 0.01094,
				"39": null,
				"40": null,
				"41": 0.15316,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.02188
			},
			"safari": {
				"0": null,
				"4": 0.00547,
				"5": 0.03829,
				"6": 0.01641,
				"7": 0.06017,
				"8": 0.35008,
				"9": 0.61264,
				"10": 2.93192,
				"3.1": null,
				"3.2": null,
				"5.1": 0.13128,
				"6.1": 0.09846,
				"7.1": 0.01641,
				"9.1": 1.59177
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.544822717901,
				"8.1-8.4": 0.703729343955,
				"9.0-9.2": 0.542300390503,
				"9.3": 3.55143697595,
				"10-10.1": 18.8796205717
			},
			"android": {
				"3": 0,
				"4": 0.0226414624953,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00261247644176,
				"4.1": 0.0718431021485,
				"4.2-4.3": 0.205079400678,
				"4.4": 0.483308141726,
				"4.4.3-4.4.4": 0.36966541651
			},
			"op_mob": {
				"0": 0.0809118027735,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00224755007704
			},
			"ie": {
				"6": 0.00556095011876,
				"7": 0.0111219002375,
				"8": 0.211316104513,
				"9": 0.255803705463,
				"10": 0.233559904988,
				"11": 6.30611743468,
				"5.5": null
			},
			"edge": {
				"12": 0.08752,
				"13": 0.44307,
				"14": 2.48338
			},
			"bb": {
				"7": 0.006795,
				"10": null
			},
			"ie_mob": {
				"10": 0.05740416,
				"11": 0.26875584
			},
			"and_ff": {
				"0": 0.04983
			},
			"samsung": {
				"0": 4.05435
			},
			"and_uc": {
				"0": 0.98754
			},
			"op_mini": {
				"0": 1.09011064715
			},
			"and_chr": {
				"0": 13.72297
			}
		},
		"total": 98.877315
	};

/***/ },
/* 456 */
/***/ function(module, exports) {

	module.exports = {
		"id": "AW",
		"name": "Aruba",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.00515,
				"32": null,
				"33": 0.0103,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.0103,
				"39": 0.0103,
				"40": 0.0206,
				"41": 0.07725,
				"42": 0.00515,
				"43": 0.01545,
				"44": 0.0103,
				"45": 0.02575,
				"46": 0.0103,
				"47": 0.1236,
				"48": 0.21115,
				"49": 2.66255,
				"50": 1.2463,
				"51": 0.0412,
				"52": 0.00515,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.0103,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.01545,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.05665,
				"23": null,
				"24": null,
				"25": 0.0206,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.0103,
				"32": 0.0103,
				"33": 0.0206,
				"34": 0.0412,
				"35": 0.01545,
				"36": 0.01545,
				"37": 0.0103,
				"38": 0.0103,
				"39": 0.02575,
				"40": 0.06695,
				"41": null,
				"42": 0.0309,
				"43": 0.02575,
				"44": 0.04635,
				"45": 0.103,
				"46": 0.01545,
				"47": 0.0721,
				"48": 0.05665,
				"49": 1.35445,
				"50": 0.07725,
				"51": 0.20085,
				"52": 0.1339,
				"53": 0.8446,
				"54": 23.7003,
				"55": 0.08755,
				"56": 0.05665,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.0206,
				"30": null,
				"31": 0.00515,
				"32": null,
				"33": 0.01545,
				"34": null,
				"35": 0.0103,
				"36": null,
				"37": 0.1133,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.16995,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.04635
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.00515,
				"6": 0.00515,
				"7": null,
				"8": 0.11845,
				"9": 0.1339,
				"10": 2.6883,
				"3.1": null,
				"3.2": null,
				"5.1": 0.05665,
				"6.1": 0.04635,
				"7.1": 0.0515,
				"9.1": 0.9167
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.378872727273,
				"8.1-8.4": 0.489377272727,
				"9.0-9.2": 0.377118686869,
				"9.3": 2.46968888889,
				"10-10.1": 13.1289924242
			},
			"android": {
				"3": 0,
				"4": 0.0585583113456,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00675672823219,
				"4.1": 0.185810026385,
				"4.2-4.3": 0.530403166227,
				"4.4": 1.24999472296,
				"4.4.3-4.4.4": 0.956077044855
			},
			"op_mob": {
				"0": 0.0157200349811,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000436667638363
			},
			"ie": {
				"6": null,
				"7": 0.0412477127968,
				"8": 0.371229415171,
				"9": 0.427945020266,
				"10": 1.2528992762,
				"11": 6.81102857556,
				"5.5": null
			},
			"edge": {
				"12": 0.11845,
				"13": 0.53045,
				"14": 3.30115
			},
			"bb": {
				"7": 0.080025,
				"10": null
			},
			"ie_mob": {
				"10": 0.0290224,
				"11": 0.1358776
			},
			"and_ff": {
				"0": 0.02425
			},
			"samsung": {
				"0": 10.34505
			},
			"and_uc": {
				"0": 0.1261
			},
			"op_mini": {
				"0": 0.211793297381
			},
			"and_chr": {
				"0": 19.2979
			}
		},
		"total": 98.981625
	};

/***/ },
/* 457 */
/***/ function(module, exports) {

	module.exports = {
		"id": "AX",
		"name": "Aland Islands",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": 0.032325,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.006465,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.006465,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.006465,
				"37": null,
				"38": 0.019395,
				"39": 0.01293,
				"40": null,
				"41": 0.01293,
				"42": 0.02586,
				"43": 0.355575,
				"44": 0.006465,
				"45": 0.187485,
				"46": 0.019395,
				"47": 0.071115,
				"48": 0.19395,
				"49": 6.070635,
				"50": 3.639795,
				"51": null,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.019395,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.01293,
				"35": 0.01293,
				"36": 0.032325,
				"37": null,
				"38": 0.01293,
				"39": 0.019395,
				"40": null,
				"41": null,
				"42": 0.02586,
				"43": null,
				"44": null,
				"45": null,
				"46": null,
				"47": null,
				"48": 0.006465,
				"49": 1.493415,
				"50": 0.02586,
				"51": 0.10344,
				"52": 0.09051,
				"53": 0.898635,
				"54": 31.69143,
				"55": 0.06465,
				"56": 0.19395,
				"57": 0.045255
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.006465,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.213345,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.03879
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.03879,
				"6": null,
				"7": 0.019395,
				"8": 0.096975,
				"9": 2.708835,
				"10": 2.05587,
				"3.1": null,
				"3.2": null,
				"5.1": 0.1293,
				"6.1": 0.032325,
				"7.1": null,
				"9.1": 2.34033
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.391568524836,
				"8.1-8.4": 0.505776011246,
				"9.0-9.2": 0.389755707591,
				"9.3": 2.55244668041,
				"10-10.1": 13.5689370759
			},
			"android": {
				"3": 0,
				"4": 0.00727313984169,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.000839208443272,
				"4.1": 0.02307823219,
				"4.2-4.3": 0.0658778627968,
				"4.4": 0.155253562005,
				"4.4.3-4.4.4": 0.118747994723
			},
			"op_mob": {
				"0": 0.0153539812602,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000426499479449
			},
			"ie": {
				"6": null,
				"7": 0.006465,
				"8": 0.1293,
				"9": 0.174555,
				"10": 0.174555,
				"11": 6.95634,
				"5.5": null
			},
			"edge": {
				"12": 0.032325,
				"13": 0.36204,
				"14": 3.057945
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0.138702432,
				"11": 0.649379568
			},
			"and_ff": {
				"0": 0.007068
			},
			"samsung": {
				"0": 4.120644
			},
			"and_uc": {
				"0": 0.014136
			},
			"op_mini": {
				"0": 0.20686151926
			},
			"and_chr": {
				"0": 12.384273
			}
		},
		"total": 99.306969
	};

/***/ },
/* 458 */
/***/ function(module, exports) {

	module.exports = {
		"id": "AZ",
		"name": "Azerbaijan",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.02368,
				"3": 0.089984,
				"4": 0.014208,
				"5": 0.009472,
				"6": 0.004736,
				"7": 0.018944,
				"8": 0.014208,
				"9": 0.009472,
				"10": 0.014208,
				"11": 0.009472,
				"12": 0.009472,
				"13": 0.014208,
				"14": 0.018944,
				"15": 0.009472,
				"16": 0.014208,
				"17": 0.004736,
				"18": null,
				"19": null,
				"20": 0.028416,
				"21": 0.033152,
				"22": 0.018944,
				"23": 0.009472,
				"24": 0.009472,
				"25": 0.014208,
				"26": 0.009472,
				"27": 0.004736,
				"28": 0.004736,
				"29": null,
				"30": null,
				"31": 0.009472,
				"32": 0.004736,
				"33": 0.009472,
				"34": 0.014208,
				"35": 0.009472,
				"36": 0.028416,
				"37": 0.02368,
				"38": 0.009472,
				"39": null,
				"40": 0.004736,
				"41": 0.004736,
				"42": 0.018944,
				"43": 0.042624,
				"44": 0.037888,
				"45": 0.037888,
				"46": 0.018944,
				"47": 0.208384,
				"48": 0.066304,
				"49": 0.724608,
				"50": 0.516224,
				"51": 0.02368,
				"52": 0.009472,
				"53": null,
				"3.5": 0.170496,
				"3.6": 0.454656
			},
			"chrome": {
				"4": 0.033152,
				"5": 0.04736,
				"6": 0.028416,
				"7": 0.018944,
				"8": 0.033152,
				"9": 0.02368,
				"10": 0.028416,
				"11": 0.042624,
				"12": 0.042624,
				"13": 0.018944,
				"14": 0.04736,
				"15": 0.033152,
				"16": 0.07104,
				"17": 0.052096,
				"18": 0.066304,
				"19": 0.042624,
				"20": 0.037888,
				"21": 0.099456,
				"22": 0.217856,
				"23": 0.066304,
				"24": 0.061568,
				"25": 0.052096,
				"26": 0.089984,
				"27": 0.066304,
				"28": 0.04736,
				"29": 0.02368,
				"30": 0.018944,
				"31": 0.033152,
				"32": 0.018944,
				"33": 0.02368,
				"34": 0.042624,
				"35": 0.042624,
				"36": 0.037888,
				"37": 0.04736,
				"38": 0.080512,
				"39": 0.04736,
				"40": 0.085248,
				"41": 0.175232,
				"42": 0.085248,
				"43": 0.151552,
				"44": 0.075776,
				"45": 0.07104,
				"46": 0.04736,
				"47": 0.07104,
				"48": 0.113664,
				"49": 2.159616,
				"50": 0.113664,
				"51": 0.487808,
				"52": 0.345728,
				"53": 0.620416,
				"54": 25.38496,
				"55": 0.09472,
				"56": 0.075776,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.014208,
				"12": 0.232064,
				"15": 0.028416,
				"16": 0.009472,
				"17": 0.018944,
				"18": 0.02368,
				"19": 0.02368,
				"20": 0.042624,
				"21": 0.018944,
				"22": 0.014208,
				"23": null,
				"24": 0.009472,
				"25": 0.018944,
				"26": 0.018944,
				"27": 0.108928,
				"28": 0.056832,
				"29": 0.018944,
				"30": 0.018944,
				"31": 0.014208,
				"32": 0.009472,
				"33": 0.014208,
				"34": 0.014208,
				"35": 0.02368,
				"36": 0.208384,
				"37": 0.085248,
				"38": 0.085248,
				"39": 0.056832,
				"40": 0.108928,
				"41": 2.926848,
				"42": 0.028416,
				"43": 0.009472,
				"9.5-9.6": null,
				"10.0-10.1": 0.014208,
				"10.5": 0.033152,
				"10.6": 0.056832,
				"11.1": 0.028416,
				"11.5": 0.042624,
				"11.6": 0.146816,
				"12.1": 0.767232
			},
			"safari": {
				"0": null,
				"4": 0.052096,
				"5": 0.085248,
				"6": 0.014208,
				"7": 0.014208,
				"8": 0.061568,
				"9": 0.033152,
				"10": 0.265216,
				"3.1": 0.02368,
				"3.2": null,
				"5.1": 0.07104,
				"6.1": 0.004736,
				"7.1": 0.009472,
				"9.1": 0.146816
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.166861518276,
				"8.1-8.4": 0.215529461106,
				"9.0-9.2": 0.166089011246,
				"9.3": 1.08768989691,
				"10-10.1": 5.78221511246
			},
			"android": {
				"3": 0,
				"4": 0.118675838673,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0136933660008,
				"4.1": 0.376567565021,
				"4.2-4.3": 1.07492923106,
				"4.4": 2.53327271014,
				"4.4.3-4.4.4": 1.93761128911
			},
			"op_mob": {
				"0": 0.484722916753,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0134645254654
			},
			"ie": {
				"6": null,
				"7": 0.00509247311828,
				"8": 0.310640860215,
				"9": 0.193513978495,
				"10": 0.254623655914,
				"11": 0.656929032258,
				"5.5": null
			},
			"edge": {
				"12": 0.02368,
				"13": 0.123136,
				"14": 0.16576
			},
			"bb": {
				"7": 0.07502625,
				"10": null
			},
			"ie_mob": {
				"10": 0.08617752,
				"11": 0.40346748
			},
			"and_ff": {
				"0": 0.015795
			},
			"samsung": {
				"0": 4.859595
			},
			"and_uc": {
				"0": 0.637065
			},
			"op_mini": {
				"0": 6.53058755778
			},
			"and_chr": {
				"0": 26.127529
			}
		},
		"total": 95.37792525
	};

/***/ },
/* 459 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BA",
		"name": "Bosnia and Herzegovina",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.02192,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.00548,
				"13": null,
				"14": 0.01096,
				"15": 0.0274,
				"16": 0.01096,
				"17": null,
				"18": 0.01096,
				"19": null,
				"20": 0.01096,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.00548,
				"31": 0.01644,
				"32": 0.01096,
				"33": 0.00548,
				"34": 0.01096,
				"35": 0.02192,
				"36": 0.01096,
				"37": 0.0274,
				"38": 0.03836,
				"39": 0.03288,
				"40": 0.0274,
				"41": 0.03836,
				"42": 0.0274,
				"43": 0.13152,
				"44": 0.03836,
				"45": 0.20824,
				"46": 0.06028,
				"47": 0.31784,
				"48": 0.17536,
				"49": 5.03064,
				"50": 3.11264,
				"51": 0.06576,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.01644
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.02192,
				"12": 0.00548,
				"13": null,
				"14": 0.00548,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.04384,
				"23": 0.00548,
				"24": null,
				"25": 0.01644,
				"26": 0.03836,
				"27": 0.00548,
				"28": null,
				"29": 0.01096,
				"30": 0.01644,
				"31": 0.0274,
				"32": 0.01096,
				"33": 0.02192,
				"34": 0.06028,
				"35": 0.01644,
				"36": 0.0274,
				"37": 0.01644,
				"38": 0.0548,
				"39": 0.03288,
				"40": 0.02192,
				"41": 0.01644,
				"42": 0.02192,
				"43": 0.09864,
				"44": 0.04932,
				"45": 0.03836,
				"46": 0.03836,
				"47": 0.12604,
				"48": 0.06028,
				"49": 4.20864,
				"50": 0.07124,
				"51": 0.33428,
				"52": 0.18084,
				"53": 0.52608,
				"54": 32.4964,
				"55": 0.14796,
				"56": 0.0548,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.01096,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.01096,
				"36": 0.14796,
				"37": 0.0548,
				"38": 0.03836,
				"39": 0.01096,
				"40": 0.02192,
				"41": 1.13984,
				"42": 0.00548,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.04932
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.00548,
				"6": null,
				"7": 0.00548,
				"8": 0.02192,
				"9": 0.03836,
				"10": 0.29044,
				"3.1": null,
				"3.2": null,
				"5.1": 0.01644,
				"6.1": 0.01096,
				"7.1": null,
				"9.1": 0.11508
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.10004153702,
				"8.1-8.4": 0.12922031865,
				"9.0-9.2": 0.0995783817557,
				"9.3": 0.652122611684,
				"10-10.1": 3.46671715089
			},
			"android": {
				"3": 0,
				"4": 0.10861629853,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0125326498304,
				"4.1": 0.344647870335,
				"4.2-4.3": 0.983813011685,
				"4.4": 2.31854021862,
				"4.4.3-4.4.4": 1.773369951
			},
			"op_mob": {
				"0": 0.0205729363262,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000571470453504
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.0992414634146,
				"9": 0.0606475609756,
				"10": 0.0882146341463,
				"11": 1.56029634146,
				"5.5": null
			},
			"edge": {
				"12": 0.03836,
				"13": 0.13152,
				"14": 0.55348
			},
			"bb": {
				"7": 0.00565,
				"10": null
			},
			"ie_mob": {
				"10": 0.17342336,
				"11": 0.81193664
			},
			"and_ff": {
				"0": 0.01808
			},
			"samsung": {
				"0": 1.7628
			},
			"and_uc": {
				"0": 0.04972
			},
			"op_mini": {
				"0": 0.27717559322
			},
			"and_chr": {
				"0": 32.856
			}
		},
		"total": 98.95125
	};

/***/ },
/* 460 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BB",
		"name": "Barbados",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.013224,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.006612,
				"10": null,
				"11": 0.026448,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.013224,
				"38": 0.019836,
				"39": 0.052896,
				"40": 0.039672,
				"41": 0.013224,
				"42": 0.019836,
				"43": 0.039672,
				"44": 0.013224,
				"45": 0.092568,
				"46": 0.046284,
				"47": 0.238032,
				"48": 0.1653,
				"49": 4.436652,
				"50": 2.572068,
				"51": 0.105792,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.013224
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.026448,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.23142,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.006612,
				"28": null,
				"29": 0.059508,
				"30": null,
				"31": 0.019836,
				"32": 0.006612,
				"33": null,
				"34": 0.026448,
				"35": 0.013224,
				"36": 0.013224,
				"37": 0.013224,
				"38": 0.085956,
				"39": 0.03306,
				"40": 0.013224,
				"41": 0.013224,
				"42": 0.026448,
				"43": 0.125628,
				"44": 0.046284,
				"45": 0.026448,
				"46": 0.026448,
				"47": 0.052896,
				"48": 0.019836,
				"49": 1.857972,
				"50": 0.105792,
				"51": 0.581856,
				"52": 0.257868,
				"53": 0.971964,
				"54": 33.906336,
				"55": 0.185136,
				"56": 0.092568,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.013224,
				"28": null,
				"29": 0.06612,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.013224,
				"34": null,
				"35": null,
				"36": 0.026448,
				"37": 0.251256,
				"38": 0.039672,
				"39": null,
				"40": null,
				"41": 0.376884,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.284316
			},
			"safari": {
				"0": null,
				"4": 0.039672,
				"5": 0.03306,
				"6": 0.013224,
				"7": 0.019836,
				"8": 0.125628,
				"9": 0.112404,
				"10": 1.78524,
				"3.1": null,
				"3.2": null,
				"5.1": 0.105792,
				"6.1": 0.019836,
				"7.1": 0.013224,
				"9.1": 0.700872
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.126922031865,
				"8.1-8.4": 0.163940957826,
				"9.0-9.2": 0.126334429866,
				"9.3": 0.82734361512,
				"10-10.1": 4.39820096532
			},
			"android": {
				"3": 0,
				"4": 0.0826483060686,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00953634300792,
				"4.1": 0.262249432718,
				"4.2-4.3": 0.748602926121,
				"4.4": 1.76422345646,
				"4.4.3-4.4.4": 1.34939253562
			},
			"op_mob": {
				"0": 0.0663357201516,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0018426588931
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.621657084599,
				"9": 0.293366264642,
				"10": 0.279396442516,
				"11": 5.24566820824,
				"5.5": null
			},
			"edge": {
				"12": 0.119016,
				"13": 0.575244,
				"14": 4.006872
			},
			"bb": {
				"7": 0.20067975,
				"10": null
			},
			"ie_mob": {
				"10": 0.109684608,
				"11": 0.513523392
			},
			"and_ff": {
				"0": 0.023709
			},
			"samsung": {
				"0": 4.4031
			},
			"and_uc": {
				"0": 0.314991
			},
			"op_mini": {
				"0": 0.893729620955
			},
			"and_chr": {
				"0": 18.949671
			}
		},
		"total": 97.29110175
	};

/***/ },
/* 461 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BD",
		"name": "Bangladesh",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.160162,
				"4": 0.013164,
				"5": 0.004388,
				"6": 0.004388,
				"7": 0.004388,
				"8": 0.006582,
				"9": 0.008776,
				"10": 0.01097,
				"11": 0.041686,
				"12": 0.026328,
				"13": 0.015358,
				"14": 0.02194,
				"15": 0.02194,
				"16": 0.013164,
				"17": 0.013164,
				"18": 0.015358,
				"19": 0.015358,
				"20": 0.017552,
				"21": 0.019746,
				"22": 0.013164,
				"23": 0.008776,
				"24": 0.013164,
				"25": 0.017552,
				"26": 0.008776,
				"27": 0.013164,
				"28": 0.01097,
				"29": 0.05485,
				"30": 0.035104,
				"31": 0.02194,
				"32": 0.02194,
				"33": 0.028522,
				"34": 0.024134,
				"35": 0.037298,
				"36": 0.04388,
				"37": 0.037298,
				"38": 0.063626,
				"39": 0.050462,
				"40": 0.07679,
				"41": 0.046074,
				"42": 0.046074,
				"43": 0.243534,
				"44": 0.421248,
				"45": 0.092148,
				"46": 0.111894,
				"47": 0.491456,
				"48": 0.234758,
				"49": 2.87414,
				"50": 2.174254,
				"51": 0.414666,
				"52": 0.004388,
				"53": 0.002194,
				"3.5": 0.013164,
				"3.6": 0.02194
			},
			"chrome": {
				"4": 0.004388,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.004388,
				"11": 0.01097,
				"12": 0.01097,
				"13": null,
				"14": 0.004388,
				"15": null,
				"16": 0.002194,
				"17": 0.004388,
				"18": 0.006582,
				"19": 0.006582,
				"20": 0.006582,
				"21": 0.01097,
				"22": 0.006582,
				"23": 0.006582,
				"24": 0.004388,
				"25": 0.01097,
				"26": 0.006582,
				"27": 0.01097,
				"28": 0.026328,
				"29": 0.017552,
				"30": 0.008776,
				"31": 0.08776,
				"32": 0.01097,
				"33": 0.039492,
				"34": 0.008776,
				"35": 0.006582,
				"36": 0.006582,
				"37": 0.01097,
				"38": 0.006582,
				"39": 0.04388,
				"40": 0.006582,
				"41": 0.017552,
				"42": 0.008776,
				"43": 0.201848,
				"44": 0.013164,
				"45": 0.017552,
				"46": 0.006582,
				"47": 0.035104,
				"48": 0.046074,
				"49": 0.335682,
				"50": 0.048268,
				"51": 0.265474,
				"52": 0.103118,
				"53": 0.162356,
				"54": 7.784312,
				"55": 0.092148,
				"56": 0.129446,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.002194,
				"12": 0.006582,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.002194,
				"20": null,
				"21": null,
				"22": 0.002194,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.015358,
				"29": 0.006582,
				"30": 0.008776,
				"31": null,
				"32": 0.002194,
				"33": 0.008776,
				"34": 0.01097,
				"35": 0.01097,
				"36": 0.019746,
				"37": 0.136028,
				"38": 0.028522,
				"39": 0.004388,
				"40": 0.013164,
				"41": 0.53753,
				"42": 0.004388,
				"43": null,
				"9.5-9.6": 0.004388,
				"10.0-10.1": 0.002194,
				"10.5": null,
				"10.6": 0.01097,
				"11.1": 0.004388,
				"11.5": 0.002194,
				"11.6": 0.008776,
				"12.1": 0.02194
			},
			"safari": {
				"0": null,
				"4": 0.006582,
				"5": 0.002194,
				"6": 0.006582,
				"7": 0.004388,
				"8": 0.008776,
				"9": 0.008776,
				"10": 0.050462,
				"3.1": null,
				"3.2": null,
				"5.1": 0.006582,
				"6.1": null,
				"7.1": null,
				"9.1": 0.024134
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0215963561387,
				"8.1-8.4": 0.0278952933458,
				"9.0-9.2": 0.0214963730084,
				"9.3": 0.140776247423,
				"10-10.1": 0.748373730084
			},
			"android": {
				"3": 0,
				"4": 0.0966967146626,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0111573132303,
				"4.1": 0.306826113833,
				"4.2-4.3": 0.875849088579,
				"4.4": 2.06410294761,
				"4.4.3-4.4.4": 1.57875982209
			},
			"op_mob": {
				"0": 2.03001380319,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0563892723108
			},
			"ie": {
				"6": 0.0124698046875,
				"7": 0.0024939609375,
				"8": 0.244408171875,
				"9": 0.034915453125,
				"10": 0.0598550625,
				"11": 0.276829664062,
				"5.5": null
			},
			"edge": {
				"12": 0.074596,
				"13": 0.048268,
				"14": 0.096536
			},
			"bb": {
				"7": 0.007806,
				"10": null
			},
			"ie_mob": {
				"10": 0.131890176,
				"11": 0.617485824
			},
			"and_ff": {
				"0": 0.03903
			},
			"samsung": {
				"0": 1.342632
			},
			"and_uc": {
				"0": 15.799344
			},
			"op_mini": {
				"0": 27.3500229245
			},
			"and_chr": {
				"0": 24.959688
			}
		},
		"total": 97.9466041172
	};

/***/ },
/* 462 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BE",
		"name": "Belgium",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.013394,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.006697,
				"21": 0.006697,
				"22": null,
				"23": 0.006697,
				"24": 0.006697,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.006697,
				"29": 0.006697,
				"30": 0.006697,
				"31": 0.020091,
				"32": 0.013394,
				"33": 0.013394,
				"34": 0.006697,
				"35": 0.020091,
				"36": 0.020091,
				"37": 0.026788,
				"38": 0.093758,
				"39": 0.033485,
				"40": 0.026788,
				"41": 0.026788,
				"42": 0.033485,
				"43": 0.073667,
				"44": 0.053576,
				"45": 0.314759,
				"46": 0.053576,
				"47": 0.26788,
				"48": 0.435305,
				"49": 5.585298,
				"50": 2.779255,
				"51": 0.020091,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.013394
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.013394,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.013394,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.006697,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.006697,
				"31": 0.020091,
				"32": 0.013394,
				"33": 0.013394,
				"34": 0.026788,
				"35": 0.026788,
				"36": 0.026788,
				"37": 0.040182,
				"38": 0.033485,
				"39": 0.093758,
				"40": 0.033485,
				"41": 0.046879,
				"42": 0.040182,
				"43": 0.073667,
				"44": 0.053576,
				"45": 0.046879,
				"46": 0.046879,
				"47": 0.053576,
				"48": 0.073667,
				"49": 1.580492,
				"50": 0.087061,
				"51": 0.274577,
				"52": 0.194213,
				"53": 0.783549,
				"54": 28.556008,
				"55": 0.080364,
				"56": 0.033485,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.013394,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.026788,
				"37": 0.006697,
				"38": 0.013394,
				"39": null,
				"40": 0.006697,
				"41": 0.40182,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.033485
			},
			"safari": {
				"0": null,
				"4": 0.020091,
				"5": 0.06697,
				"6": 0.013394,
				"7": 0.053576,
				"8": 0.287971,
				"9": 0.361638,
				"10": 3.522622,
				"3.1": null,
				"3.2": null,
				"5.1": 0.160728,
				"6.1": 0.13394,
				"7.1": 0.020091,
				"9.1": 1.446552
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.262481701968,
				"8.1-8.4": 0.339038865042,
				"9.0-9.2": 0.261266508903,
				"9.3": 1.71099183505,
				"10-10.1": 9.09572008903
			},
			"android": {
				"3": 0,
				"4": 0.0208463746702,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00240535092348,
				"4.1": 0.0661471503958,
				"4.2-4.3": 0.188820047493,
				"4.4": 0.444989920844,
				"4.4.3-4.4.4": 0.340357155673
			},
			"op_mob": {
				"0": 0.0129836661808,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000360657393912
			},
			"ie": {
				"6": null,
				"7": 0.0134094665127,
				"8": 0.248075130485,
				"9": 0.362055595843,
				"10": 0.268189330254,
				"11": 10.7208684769,
				"5.5": null
			},
			"edge": {
				"12": 0.087061,
				"13": 0.575942,
				"14": 4.346353
			},
			"bb": {
				"7": 0.013212,
				"10": null
			},
			"ie_mob": {
				"10": 0.12207888,
				"11": 0.57155112
			},
			"and_ff": {
				"0": 0.03303
			},
			"samsung": {
				"0": 4.445838
			},
			"and_uc": {
				"0": 0.069363
			},
			"op_mini": {
				"0": 0.174926676425
			},
			"and_chr": {
				"0": 14.917868
			}
		},
		"total": 98.691392
	};

/***/ },
/* 463 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BF",
		"name": "Burkina Faso",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.002354,
				"3": 0.277772,
				"4": 0.02354,
				"5": 0.016478,
				"6": 0.004708,
				"7": 0.004708,
				"8": 0.004708,
				"9": null,
				"10": 0.021186,
				"11": 0.032956,
				"12": 0.032956,
				"13": 0.040018,
				"14": 0.025894,
				"15": 0.032956,
				"16": 0.042372,
				"17": 0.02354,
				"18": 0.018832,
				"19": 0.014124,
				"20": 0.056496,
				"21": 0.018832,
				"22": 0.021186,
				"23": 0.01177,
				"24": 0.042372,
				"25": 0.014124,
				"26": 0.01177,
				"27": 0.014124,
				"28": 0.018832,
				"29": 0.018832,
				"30": 0.054142,
				"31": 0.02354,
				"32": 0.037664,
				"33": 0.056496,
				"34": 0.044726,
				"35": 0.063558,
				"36": 0.040018,
				"37": 0.030602,
				"38": 0.061204,
				"39": 0.075328,
				"40": 0.042372,
				"41": 0.05885,
				"42": 0.056496,
				"43": 0.437844,
				"44": 0.138886,
				"45": 0.110638,
				"46": 0.068266,
				"47": 1.01222,
				"48": 0.463738,
				"49": 3.95472,
				"50": 2.255132,
				"51": 0.07062,
				"52": 0.004708,
				"53": null,
				"3.5": 0.018832,
				"3.6": 0.028248
			},
			"chrome": {
				"4": 0.002354,
				"5": null,
				"6": 0.002354,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.002354,
				"11": 0.05885,
				"12": 0.007062,
				"13": 0.007062,
				"14": 0.002354,
				"15": 0.009416,
				"16": 0.009416,
				"17": 0.032956,
				"18": 0.009416,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": 0.004708,
				"25": 0.007062,
				"26": 0.004708,
				"27": 0.028248,
				"28": 0.021186,
				"29": 0.112992,
				"30": 0.021186,
				"31": 0.037664,
				"32": 0.016478,
				"33": 0.009416,
				"34": 0.007062,
				"35": 0.004708,
				"36": 0.007062,
				"37": 0.004708,
				"38": 0.007062,
				"39": 0.016478,
				"40": 0.004708,
				"41": 0.002354,
				"42": 0.01177,
				"43": 0.049434,
				"44": 0.01177,
				"45": 0.018832,
				"46": 0.007062,
				"47": 0.021186,
				"48": 0.009416,
				"49": 0.480216,
				"50": 0.040018,
				"51": 0.320144,
				"52": 0.12947,
				"53": 0.313082,
				"54": 6.937238,
				"55": 0.021186,
				"56": null,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": 0.002354,
				"16": null,
				"17": null,
				"18": 0.004708,
				"19": null,
				"20": 0.014124,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.014124,
				"30": 0.016478,
				"31": null,
				"32": null,
				"33": 0.004708,
				"34": 0.014124,
				"35": 0.014124,
				"36": 0.018832,
				"37": 0.032956,
				"38": 0.007062,
				"39": 0.018832,
				"40": 0.037664,
				"41": 0.614394,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.007062,
				"11.6": null,
				"12.1": 0.007062
			},
			"safari": {
				"0": null,
				"4": 0.016478,
				"5": 0.018832,
				"6": 0.028248,
				"7": 0.030602,
				"8": 0.016478,
				"9": 0.049434,
				"10": 0.124762,
				"3.1": null,
				"3.2": null,
				"5.1": 0.018832,
				"6.1": 0.004708,
				"7.1": 0.004708,
				"9.1": 0.343684
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0180556701031,
				"8.1-8.4": 0.0233219072165,
				"9.0-9.2": 0.0179720790378,
				"9.3": 0.117696219931,
				"10-10.1": 0.625679123711
			},
			"android": {
				"3": 0,
				"4": 0.11598038447,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0133823520543,
				"4.1": 0.368014681493,
				"4.2-4.3": 1.05051463626,
				"4.4": 2.47573513004,
				"4.4.3-4.4.4": 1.89360281568
			},
			"op_mob": {
				"0": 3.08001586807,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0855559963353
			},
			"ie": {
				"6": 0.0377158787879,
				"7": 0.00471448484848,
				"8": 0.245153212121,
				"9": 0.0447876060606,
				"10": 0.155578,
				"11": 1.22340881818,
				"5.5": null
			},
			"edge": {
				"12": 0.148302,
				"13": 0.12947,
				"14": 0.12947
			},
			"bb": {
				"7": 0.04778125,
				"10": null
			},
			"ie_mob": {
				"10": 0.09149536,
				"11": 0.42836464
			},
			"and_ff": {
				"0": 0.084095
			},
			"samsung": {
				"0": 1.246135
			},
			"and_uc": {
				"0": 7.958445
			},
			"op_mini": {
				"0": 41.4965181356
			},
			"and_chr": {
				"0": 14.9424
			}
		},
		"total": 98.67323125
	};

/***/ },
/* 464 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BG",
		"name": "Bulgaria",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.007006,
				"3": 0.021018,
				"4": 0.007006,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.007006,
				"10": 0.014012,
				"11": 0.021018,
				"12": 0.021018,
				"13": null,
				"14": 0.007006,
				"15": null,
				"16": 0.014012,
				"17": 0.014012,
				"18": 0.014012,
				"19": null,
				"20": 0.021018,
				"21": 0.014012,
				"22": 0.014012,
				"23": 0.014012,
				"24": 0.014012,
				"25": 0.007006,
				"26": 0.007006,
				"27": null,
				"28": 0.014012,
				"29": 0.007006,
				"30": 0.014012,
				"31": 0.03503,
				"32": 0.021018,
				"33": 0.028024,
				"34": 0.042036,
				"35": 0.028024,
				"36": 0.224192,
				"37": 0.03503,
				"38": 0.077066,
				"39": 0.056048,
				"40": 0.03503,
				"41": 0.063054,
				"42": 0.077066,
				"43": 0.231198,
				"44": 0.084072,
				"45": 0.21018,
				"46": 0.168144,
				"47": 0.658564,
				"48": 0.371318,
				"49": 8.659416,
				"50": 5.296536,
				"51": 0.049042,
				"52": 0.007006,
				"53": null,
				"3.5": 0.028024,
				"3.6": 0.077066
			},
			"chrome": {
				"4": 0.007006,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.028024,
				"12": 0.007006,
				"13": 0.007006,
				"14": null,
				"15": 0.007006,
				"16": 0.063054,
				"17": null,
				"18": 0.021018,
				"19": null,
				"20": null,
				"21": 0.014012,
				"22": 0.049042,
				"23": 0.014012,
				"24": 0.007006,
				"25": 0.021018,
				"26": 0.077066,
				"27": 0.014012,
				"28": null,
				"29": 0.007006,
				"30": 0.014012,
				"31": 0.021018,
				"32": 0.007006,
				"33": 0.014012,
				"34": 0.077066,
				"35": 0.056048,
				"36": 0.028024,
				"37": 0.021018,
				"38": 0.042036,
				"39": 0.098084,
				"40": 0.091078,
				"41": 0.03503,
				"42": 0.021018,
				"43": 0.147126,
				"44": 0.049042,
				"45": 0.03503,
				"46": 0.063054,
				"47": 0.084072,
				"48": 0.10509,
				"49": 4.02845,
				"50": 0.182156,
				"51": 0.80569,
				"52": 0.266228,
				"53": 0.707606,
				"54": 33.38359,
				"55": 0.091078,
				"56": 0.063054,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.028024,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.007006,
				"19": null,
				"20": 0.007006,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.014012,
				"28": 0.021018,
				"29": null,
				"30": 0.007006,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.007006,
				"36": 0.182156,
				"37": 0.03503,
				"38": 0.119102,
				"39": 0.014012,
				"40": 0.03503,
				"41": 1.415212,
				"42": 0.014012,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.014012,
				"11.6": 0.028024,
				"12.1": 0.24521
			},
			"safari": {
				"0": null,
				"4": 0.014012,
				"5": 0.021018,
				"6": null,
				"7": 0.007006,
				"8": 0.028024,
				"9": 0.03503,
				"10": 0.448384,
				"3.1": null,
				"3.2": null,
				"5.1": 0.028024,
				"6.1": 0.021018,
				"7.1": null,
				"9.1": 0.168144
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0744575370197,
				"8.1-8.4": 0.0961743186504,
				"9.0-9.2": 0.0741128262001,
				"9.3": 0.485352833906,
				"10-10.1": 2.58016048422
			},
			"android": {
				"3": 0,
				"4": 0.0491605608745,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00567237240859,
				"4.1": 0.155990241236,
				"4.2-4.3": 0.445281234075,
				"4.4": 1.04938889559,
				"4.4.3-4.4.4": 0.802640695816
			},
			"op_mob": {
				"0": 0.0253878392537,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000705217757048
			},
			"ie": {
				"6": 0.00704301981506,
				"7": 0.0140860396301,
				"8": 0.457796287979,
				"9": 0.345107970938,
				"10": 0.218333614267,
				"11": 4.28919906737,
				"5.5": null
			},
			"edge": {
				"12": 0.042036,
				"13": 0.189162,
				"14": 0.854732
			},
			"bb": {
				"7": 0.0074825,
				"10": null
			},
			"ie_mob": {
				"10": 0.12642432,
				"11": 0.59189568
			},
			"and_ff": {
				"0": 0.020951
			},
			"samsung": {
				"0": 2.107072
			},
			"and_uc": {
				"0": 0.155636
			},
			"op_mini": {
				"0": 0.342045942989
			},
			"and_chr": {
				"0": 21.531865
			}
		},
		"total": 97.8243195
	};

/***/ },
/* 465 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BH",
		"name": "Bahrain",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.007142,
				"4": null,
				"5": null,
				"6": 0.003571,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.003571,
				"11": 0.003571,
				"12": 0.003571,
				"13": null,
				"14": 0.028568,
				"15": 0.003571,
				"16": 0.003571,
				"17": null,
				"18": 0.003571,
				"19": null,
				"20": null,
				"21": 0.417807,
				"22": 0.067849,
				"23": 0.064278,
				"24": 0.064278,
				"25": 0.096417,
				"26": null,
				"27": 0.042852,
				"28": 0.042852,
				"29": 0.046423,
				"30": null,
				"31": 0.064278,
				"32": null,
				"33": 0.032139,
				"34": 0.010713,
				"35": 0.014284,
				"36": 0.028568,
				"37": 0.403523,
				"38": 0.014284,
				"39": 0.014284,
				"40": 0.014284,
				"41": 0.014284,
				"42": 0.010713,
				"43": 0.042852,
				"44": 0.024997,
				"45": 0.03571,
				"46": 0.024997,
				"47": 0.203547,
				"48": 0.17855,
				"49": 1.49982,
				"50": 0.882037,
				"51": 0.03571,
				"52": null,
				"53": null,
				"3.5": 0.003571,
				"3.6": 0.017855
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.014284,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": 0.007142,
				"18": 0.017855,
				"19": 0.003571,
				"20": 0.007142,
				"21": 0.007142,
				"22": 0.014284,
				"23": null,
				"24": 0.014284,
				"25": 0.003571,
				"26": 0.007142,
				"27": 0.157124,
				"28": 0.078562,
				"29": 0.074991,
				"30": 0.039281,
				"31": 0.078562,
				"32": 0.082133,
				"33": 0.064278,
				"34": 0.064278,
				"35": 0.082133,
				"36": 0.110701,
				"37": 0.067849,
				"38": 0.024997,
				"39": 0.10713,
				"40": 0.032139,
				"41": 0.724913,
				"42": 0.010713,
				"43": 0.146411,
				"44": 0.028568,
				"45": 0.021426,
				"46": 0.021426,
				"47": 0.039281,
				"48": 0.060707,
				"49": 0.89275,
				"50": 0.067849,
				"51": 0.317819,
				"52": 0.310677,
				"53": 0.467801,
				"54": 15.673119,
				"55": 0.074991,
				"56": 0.092846,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.092846,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.007142,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.664206,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.010713,
				"35": null,
				"36": 0.007142,
				"37": 0.010713,
				"38": 0.039281,
				"39": null,
				"40": 0.003571,
				"41": 0.167837,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.042852,
				"12.1": 0.099988
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.049994,
				"6": 0.014284,
				"7": 0.07142,
				"8": 0.17855,
				"9": 0.328532,
				"10": 1.274847,
				"3.1": null,
				"3.2": null,
				"5.1": 0.10713,
				"6.1": 0.057136,
				"7.1": 0.003571,
				"9.1": 0.599928
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.227178084349,
				"8.1-8.4": 0.29343835895,
				"9.0-9.2": 0.226126333958,
				"9.3": 1.48086454983,
				"10-10.1": 7.87235167291
			},
			"android": {
				"3": 0,
				"4": 0.0631316652846,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00728442291745,
				"4.1": 0.20032163023,
				"4.2-4.3": 0.57182719902,
				"4.4": 1.34761823973,
				"4.4.3-4.4.4": 1.03074584282
			},
			"op_mob": {
				"0": 0.22567067072,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00626862974222
			},
			"ie": {
				"6": null,
				"7": 0.0107286280088,
				"8": 0.45775479504,
				"9": 0.414840283005,
				"10": 0.300401584245,
				"11": 3.7192577097,
				"5.5": null
			},
			"edge": {
				"12": 0.074991,
				"13": 0.267825,
				"14": 0.867753
			},
			"bb": {
				"7": 0.1125075,
				"10": null
			},
			"ie_mob": {
				"10": 0.119939424,
				"11": 0.561534576
			},
			"and_ff": {
				"0": 0.090006
			},
			"samsung": {
				"0": 5.348928
			},
			"and_uc": {
				"0": 13.005867
			},
			"op_mini": {
				"0": 3.04042169954
			},
			"and_chr": {
				"0": 27.701752
			}
		},
		"total": 98.0653535
	};

/***/ },
/* 466 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BI",
		"name": "Burundi",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.003063,
				"3": 0.075554,
				"4": 0.003063,
				"5": 0.004084,
				"6": null,
				"7": 0.014294,
				"8": null,
				"9": 0.002042,
				"10": 0.021441,
				"11": 0.027567,
				"12": 0.018378,
				"13": 0.015315,
				"14": 0.013273,
				"15": 0.011231,
				"16": 0.018378,
				"17": 0.027567,
				"18": 0.002042,
				"19": 0.017357,
				"20": 0.015315,
				"21": 0.004084,
				"22": 0.002042,
				"23": 0.004084,
				"24": 0.019399,
				"25": 0.008168,
				"26": 0.006126,
				"27": 0.002042,
				"28": 0.006126,
				"29": 0.006126,
				"30": 0.161318,
				"31": 0.075554,
				"32": 0.01021,
				"33": 0.01021,
				"34": 0.003063,
				"35": 0.016336,
				"36": 0.029609,
				"37": 0.023483,
				"38": 0.018378,
				"39": 0.024504,
				"40": 0.005105,
				"41": 0.022462,
				"42": 0.006126,
				"43": 0.086785,
				"44": 0.070449,
				"45": 0.044924,
				"46": 0.032672,
				"47": 0.312426,
				"48": 0.076575,
				"49": 1.553962,
				"50": 0.865808,
				"51": 0.057176,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.059218
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.05105,
				"9": null,
				"10": 0.002042,
				"11": 0.006126,
				"12": null,
				"13": null,
				"14": null,
				"15": 0.002042,
				"16": 0.006126,
				"17": null,
				"18": 0.006126,
				"19": 0.002042,
				"20": 0.001021,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.005105,
				"27": 0.002042,
				"28": 0.003063,
				"29": null,
				"30": 0.004084,
				"31": 0.007147,
				"32": 0.002042,
				"33": null,
				"34": 0.004084,
				"35": 0.003063,
				"36": 0.003063,
				"37": 0.003063,
				"38": null,
				"39": null,
				"40": 0.001021,
				"41": null,
				"42": 0.017357,
				"43": 0.083722,
				"44": 0.002042,
				"45": 0.024504,
				"46": 0.003063,
				"47": 0.023483,
				"48": 0.016336,
				"49": 0.098016,
				"50": 0.009189,
				"51": 0.070449,
				"52": 0.026546,
				"53": 0.085764,
				"54": 3.364195,
				"55": 0.013273,
				"56": 0.02042,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.002042,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.005105,
				"19": null,
				"20": null,
				"21": 0.003063,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.021441,
				"30": 0.002042,
				"31": null,
				"32": null,
				"33": 0.006126,
				"34": 0.006126,
				"35": 0.014294,
				"36": 0.008168,
				"37": 0.117415,
				"38": 0.003063,
				"39": 0.001021,
				"40": 0.017357,
				"41": 0.191948,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.001021,
				"12.1": 0.003063
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.004084,
				"6": null,
				"7": 0.004084,
				"8": 0.006126,
				"9": 0.02042,
				"10": 0.062281,
				"3.1": null,
				"3.2": null,
				"5.1": 0.007147,
				"6.1": 0.004084,
				"7.1": 0.001021,
				"9.1": 0.035735
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0107041124649,
				"8.1-8.4": 0.0138261452671,
				"9.0-9.2": 0.0106545563886,
				"9.3": 0.0697749553265,
				"10-10.1": 0.370927230553
			},
			"android": {
				"3": 0,
				"4": 0.045406055032,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.005239160196,
				"4.1": 0.14407690539,
				"4.2-4.3": 0.411274075386,
				"4.4": 0.969244636261,
				"4.4.3-4.4.4": 0.741341167735
			},
			"op_mob": {
				"0": 5.31348899113,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.14759691642
			},
			"ie": {
				"6": null,
				"7": 0.00409305543237,
				"8": 0.148373259424,
				"9": 0.032744443459,
				"10": 0.065488886918,
				"11": 0.672284354767,
				"5.5": null
			},
			"edge": {
				"12": 0.029609,
				"13": 0.073512,
				"14": 0.056155
			},
			"bb": {
				"7": 0.01571325,
				"10": null
			},
			"ie_mob": {
				"10": 0.069533376,
				"11": 0.325542624
			},
			"and_ff": {
				"0": null
			},
			"samsung": {
				"0": 0.682404
			},
			"and_uc": {
				"0": 2.011296
			},
			"op_mini": {
				"0": 71.5877130924
			},
			"and_chr": {
				"0": 6.242498
			}
		},
		"total": 98.70601725
	};

/***/ },
/* 467 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BJ",
		"name": "Benin",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.0086,
				"3": 0.05375,
				"4": null,
				"5": null,
				"6": null,
				"7": 0.0043,
				"8": 0.0043,
				"9": 0.00645,
				"10": 0.0043,
				"11": 0.0172,
				"12": 0.01935,
				"13": 0.0043,
				"14": 0.0086,
				"15": 0.02365,
				"16": 0.02795,
				"17": 0.0043,
				"18": 0.00645,
				"19": 0.0043,
				"20": 0.0129,
				"21": 0.0086,
				"22": 0.0129,
				"23": 0.0258,
				"24": 0.01935,
				"25": 0.01935,
				"26": 0.01505,
				"27": 0.0129,
				"28": 0.0043,
				"29": 0.0559,
				"30": 0.02365,
				"31": 0.0215,
				"32": 0.0516,
				"33": 0.0215,
				"34": 0.01075,
				"35": 0.0215,
				"36": 0.0215,
				"37": 0.04085,
				"38": 0.03655,
				"39": 0.03655,
				"40": 0.0301,
				"41": 0.05805,
				"42": 0.0645,
				"43": 0.3827,
				"44": 0.086,
				"45": 0.06235,
				"46": 0.0559,
				"47": 0.48805,
				"48": 0.1806,
				"49": 2.46605,
				"50": 1.1309,
				"51": 0.08815,
				"52": 0.00645,
				"53": null,
				"3.5": 0.0043,
				"3.6": 0.0129
			},
			"chrome": {
				"4": 0.0043,
				"5": 0.0043,
				"6": null,
				"7": null,
				"8": 0.00215,
				"9": null,
				"10": 0.00645,
				"11": 0.0172,
				"12": 0.04515,
				"13": 0.01075,
				"14": 0.01935,
				"15": 0.01505,
				"16": 0.0215,
				"17": 0.01075,
				"18": 0.01505,
				"19": 0.0172,
				"20": null,
				"21": 0.00215,
				"22": 0.01505,
				"23": 0.0086,
				"24": 0.01075,
				"25": 0.01505,
				"26": 0.043,
				"27": 0.01505,
				"28": 0.0129,
				"29": 0.02365,
				"30": 0.01505,
				"31": 0.02795,
				"32": 0.0129,
				"33": 0.10965,
				"34": 0.00645,
				"35": 0.0043,
				"36": 0.0172,
				"37": 0.0086,
				"38": 0.0301,
				"39": 0.0172,
				"40": 0.04085,
				"41": 0.02365,
				"42": 0.0387,
				"43": 0.10965,
				"44": 0.04085,
				"45": 0.086,
				"46": 0.0817,
				"47": 0.1333,
				"48": 0.04945,
				"49": 0.71165,
				"50": 0.04945,
				"51": 0.26015,
				"52": 0.16985,
				"53": 0.37625,
				"54": 8.55485,
				"55": 0.02795,
				"56": 0.01505,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": 0.00215,
				"16": null,
				"17": null,
				"18": 0.0774,
				"19": 0.00215,
				"20": 0.01505,
				"21": 0.0043,
				"22": 0.00215,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.0086,
				"29": 0.01075,
				"30": 0.00645,
				"31": null,
				"32": 0.0043,
				"33": 0.0086,
				"34": 0.01935,
				"35": 0.0129,
				"36": 0.01505,
				"37": 0.21285,
				"38": 0.0086,
				"39": 0.01505,
				"40": 0.086,
				"41": 0.4515,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.0043,
				"11.6": 0.0043,
				"12.1": 0.05375
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": 0.0043,
				"8": 0.0946,
				"9": 0.0817,
				"10": 0.24725,
				"3.1": null,
				"3.2": null,
				"5.1": 0.00645,
				"6.1": null,
				"7.1": 0.00215,
				"9.1": 0.13975
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0201289597001,
				"8.1-8.4": 0.0259999062793,
				"9.0-9.2": 0.0200357700719,
				"9.3": 0.131210996564,
				"10-10.1": 0.697524367385
			},
			"android": {
				"3": 0,
				"4": 0.0697001884659,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00804232943837,
				"4.1": 0.221164059555,
				"4.2-4.3": 0.631322860912,
				"4.4": 1.4878309461,
				"4.4.3-4.4.4": 1.13798961553
			},
			"op_mob": {
				"0": 3.98113765044,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.110587156957
			},
			"ie": {
				"6": 0.00432382271468,
				"7": 0.00648573407202,
				"8": 0.198895844875,
				"9": 0.0259429362881,
				"10": 0.0540477839335,
				"11": 0.490753878116,
				"5.5": null
			},
			"edge": {
				"12": 0.04945,
				"13": 0.0731,
				"14": 0.0989
			},
			"bb": {
				"7": 0.0451375,
				"10": null
			},
			"ie_mob": {
				"10": 0.1547392,
				"11": 0.7244608
			},
			"and_ff": {
				"0": 0.0157
			},
			"samsung": {
				"0": 0.87135
			},
			"and_uc": {
				"0": 4.4431
			},
			"op_mini": {
				"0": 53.6371751926
			},
			"and_chr": {
				"0": 10.92525
			}
		},
		"total": 99.1051875
	};

/***/ },
/* 468 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BM",
		"name": "Bermuda",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": 0.022674,
				"7": 0.015116,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.007558,
				"17": 0.007558,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.015116,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.030232,
				"39": null,
				"40": 0.007558,
				"41": 0.045348,
				"42": 0.068022,
				"43": 0.03779,
				"44": null,
				"45": 0.045348,
				"46": 0.022674,
				"47": 0.07558,
				"48": 0.45348,
				"49": 2.917388,
				"50": 1.602296,
				"51": 0.022674,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.015116,
				"12": 0.022674,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.022674,
				"23": 0.007558,
				"24": null,
				"25": null,
				"26": 0.007558,
				"27": 0.022674,
				"28": 0.030232,
				"29": 0.015116,
				"30": null,
				"31": null,
				"32": 0.007558,
				"33": null,
				"34": 0.03779,
				"35": 0.015116,
				"36": 0.015116,
				"37": null,
				"38": 0.03779,
				"39": 0.120928,
				"40": null,
				"41": 0.022674,
				"42": 0.022674,
				"43": 0.03779,
				"44": 0.022674,
				"45": 0.022674,
				"46": 0.07558,
				"47": 0.045348,
				"48": 0.083138,
				"49": 1.866826,
				"50": 0.136044,
				"51": 0.249414,
				"52": 0.098254,
				"53": 0.891844,
				"54": 28.130876,
				"55": 0.068022,
				"56": 0.045348,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.045348,
				"38": null,
				"39": null,
				"40": 0.007558,
				"41": 0.07558,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0.030232,
				"5": 0.143602,
				"6": 0.098254,
				"7": 0.060464,
				"8": 0.272088,
				"9": 0.30232,
				"10": 3.506912,
				"3.1": null,
				"3.2": null,
				"5.1": 0.423248,
				"6.1": 0.219182,
				"7.1": 0.045348,
				"9.1": 1.692992
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.255793776945,
				"8.1-8.4": 0.33040029522,
				"9.0-9.2": 0.254609546496,
				"9.3": 1.66739647194,
				"10-10.1": 8.8639649094
			},
			"android": {
				"3": 0,
				"4": 0.0159453403694,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0018398469657,
				"4.1": 0.0505957915567,
				"4.2-4.3": 0.144427986807,
				"4.4": 0.340371688654,
				"4.4.3-4.4.4": 0.260338345646
			},
			"op_mob": {
				"0": 0.00724445691917,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000201234914421
			},
			"ie": {
				"6": null,
				"7": 0.015116,
				"8": 0.385458,
				"9": 1.496484,
				"10": 1.043004,
				"11": 21.69146,
				"5.5": null
			},
			"edge": {
				"12": 0.136044,
				"13": 0.619756,
				"14": 4.844678
			},
			"bb": {
				"7": 0.246743,
				"10": null
			},
			"ie_mob": {
				"10": 0.020638464,
				"11": 0.096625536
			},
			"and_ff": {
				"0": 0.007329
			},
			"samsung": {
				"0": 4.05538
			},
			"and_uc": {
				"0": 0.019544
			},
			"op_mini": {
				"0": 0.0976033081664
			},
			"and_chr": {
				"0": 7.19471
			}
		},
		"total": 98.680323
	};

/***/ },
/* 469 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BN",
		"name": "Brunei Darussalam",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.014605,
				"4": 0.005842,
				"5": 0.005842,
				"6": 0.002921,
				"7": null,
				"8": null,
				"9": 0.026289,
				"10": 0.020447,
				"11": 0.005842,
				"12": 0.005842,
				"13": 0.005842,
				"14": null,
				"15": null,
				"16": 0.011684,
				"17": 0.002921,
				"18": null,
				"19": 0.002921,
				"20": null,
				"21": 0.005842,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.005842,
				"26": null,
				"27": 0.014605,
				"28": 0.005842,
				"29": 0.020447,
				"30": 0.008763,
				"31": 0.017526,
				"32": 0.08763,
				"33": 0.011684,
				"34": 0.011684,
				"35": 0.011684,
				"36": 0.020447,
				"37": 0.014605,
				"38": 0.037973,
				"39": 0.026289,
				"40": 0.014605,
				"41": 0.017526,
				"42": 0.014605,
				"43": 0.073025,
				"44": 0.040894,
				"45": 0.046736,
				"46": 0.070104,
				"47": 0.257048,
				"48": 0.219075,
				"49": 2.240407,
				"50": 1.215136,
				"51": 0.14605,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.017526
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": 0.002921,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.020447,
				"12": null,
				"13": null,
				"14": 0.005842,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.005842,
				"19": null,
				"20": null,
				"21": 0.017526,
				"22": 0.005842,
				"23": 0.005842,
				"24": null,
				"25": null,
				"26": 0.008763,
				"27": 0.008763,
				"28": 0.005842,
				"29": 0.005842,
				"30": 0.002921,
				"31": 0.037973,
				"32": 0.005842,
				"33": 0.08763,
				"34": 0.002921,
				"35": 0.002921,
				"36": 0.023368,
				"37": 0.014605,
				"38": 0.011684,
				"39": 0.02921,
				"40": 0.014605,
				"41": 0.011684,
				"42": 0.005842,
				"43": 0.061341,
				"44": 0.023368,
				"45": 0.020447,
				"46": 0.070104,
				"47": 0.043815,
				"48": 0.02921,
				"49": 1.028192,
				"50": 0.040894,
				"51": 0.230759,
				"52": 0.148971,
				"53": 0.519938,
				"54": 15.89024,
				"55": 0.049657,
				"56": 0.075946,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.002921,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.005842,
				"36": 0.008763,
				"37": 0.096393,
				"38": null,
				"39": null,
				"40": 0.002921,
				"41": 0.227838,
				"42": null,
				"43": 0.002921,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.017526
			},
			"safari": {
				"0": null,
				"4": 0.008763,
				"5": 0.037973,
				"6": 0.011684,
				"7": 0.020447,
				"8": 0.131445,
				"9": 0.119761,
				"10": 0.93472,
				"3.1": null,
				"3.2": null,
				"5.1": 0.081788,
				"6.1": 0.046736,
				"7.1": 0.005842,
				"9.1": 0.423545
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.204129964386,
				"8.1-8.4": 0.263667870665,
				"9.0-9.2": 0.203184918255,
				"9.3": 1.33062495304,
				"10-10.1": 7.07367029366
			},
			"android": {
				"3": 0,
				"4": 0.103231191858,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0119112913683,
				"4.1": 0.327560512627,
				"4.2-4.3": 0.935036372409,
				"4.4": 2.20358890313,
				"4.4.3-4.4.4": 1.68544772861
			},
			"op_mob": {
				"0": 2.03622616516,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0565618379211
			},
			"ie": {
				"6": null,
				"7": 0.005842,
				"8": 0.11684,
				"9": 0.216154,
				"10": 0.075946,
				"11": 1.194689,
				"5.5": null
			},
			"edge": {
				"12": 0.020447,
				"13": 0.090551,
				"14": 0.411861
			},
			"bb": {
				"7": 0.00530925,
				"10": null
			},
			"ie_mob": {
				"10": 0.016196752,
				"11": 0.075830248
			},
			"and_ff": {
				"0": 0.035395
			},
			"samsung": {
				"0": 4.374822
			},
			"and_uc": {
				"0": 5.507462
			},
			"op_mini": {
				"0": 27.4337209969
			},
			"and_chr": {
				"0": 17.03168
			}
		},
		"total": 98.59757525
	};

/***/ },
/* 470 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BO",
		"name": "Bolivia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.038072,
				"4": 0.009518,
				"5": 0.009518,
				"6": 0.004759,
				"7": null,
				"8": 0.019036,
				"9": 0.004759,
				"10": 0.004759,
				"11": 0.004759,
				"12": 0.028554,
				"13": null,
				"14": 0.009518,
				"15": 0.009518,
				"16": 0.014277,
				"17": 0.033313,
				"18": 0.014277,
				"19": 0.009518,
				"20": 0.014277,
				"21": 0.019036,
				"22": 0.014277,
				"23": 0.009518,
				"24": 0.014277,
				"25": 0.023795,
				"26": 0.019036,
				"27": 0.014277,
				"28": 0.023795,
				"29": 0.028554,
				"30": 0.042831,
				"31": 0.033313,
				"32": 0.038072,
				"33": 0.052349,
				"34": 0.057108,
				"35": 0.076144,
				"36": 0.061867,
				"37": 0.109457,
				"38": 0.109457,
				"39": 0.09518,
				"40": 0.076144,
				"41": 0.061867,
				"42": 0.109457,
				"43": 0.433069,
				"44": 0.114216,
				"45": 0.199878,
				"46": 0.118975,
				"47": 0.732886,
				"48": 0.604393,
				"49": 4.116535,
				"50": 2.265284,
				"51": 0.04759,
				"52": 0.004759,
				"53": null,
				"3.5": 0.014277,
				"3.6": 0.033313
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.014277,
				"9": null,
				"10": null,
				"11": 0.052349,
				"12": null,
				"13": 0.009518,
				"14": 0.004759,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.042831,
				"19": null,
				"20": null,
				"21": 0.019036,
				"22": 0.028554,
				"23": 0.061867,
				"24": 0.009518,
				"25": 0.052349,
				"26": 0.033313,
				"27": 0.014277,
				"28": 0.014277,
				"29": 0.028554,
				"30": 0.014277,
				"31": 0.114216,
				"32": 0.014277,
				"33": 0.099939,
				"34": 0.028554,
				"35": 0.028554,
				"36": 0.023795,
				"37": 0.033313,
				"38": 0.118975,
				"39": 0.066626,
				"40": 0.066626,
				"41": 0.052349,
				"42": 0.033313,
				"43": 0.166565,
				"44": 0.118975,
				"45": 0.085662,
				"46": 0.085662,
				"47": 0.14277,
				"48": 0.157047,
				"49": 2.322392,
				"50": 0.185601,
				"51": 0.490177,
				"52": 0.442587,
				"53": 1.027944,
				"54": 24.60403,
				"55": 0.061867,
				"56": 0.023795,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.019036,
				"29": 0.009518,
				"30": null,
				"31": 0.009518,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.009518,
				"36": 0.033313,
				"37": 0.04759,
				"38": 0.028554,
				"39": 0.009518,
				"40": 0.014277,
				"41": 0.423551,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.014277
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.009518,
				"6": null,
				"7": 0.009518,
				"8": 0.157047,
				"9": 0.114216,
				"10": 0.566321,
				"3.1": null,
				"3.2": null,
				"5.1": 0.04759,
				"6.1": 0.004759,
				"7.1": null,
				"9.1": 0.290299
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0473900356139,
				"8.1-8.4": 0.0612121293346,
				"9.0-9.2": 0.0471706373008,
				"9.3": 0.308912824742,
				"10-10.1": 1.64219637301
			},
			"android": {
				"3": 0,
				"4": 0.126969299661,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.014650303807,
				"4.1": 0.402883354693,
				"4.2-4.3": 1.15004884885,
				"4.4": 2.7103062043,
				"4.4.3-4.4.4": 2.07301798869
			},
			"op_mob": {
				"0": 0.337940064132,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00938722400366
			},
			"ie": {
				"6": 0.00479737903226,
				"7": 0.00479737903226,
				"8": 0.335816532258,
				"9": 0.14871875,
				"10": 0.244666330645,
				"11": 1.04582862903,
				"5.5": null
			},
			"edge": {
				"12": 0.066626,
				"13": 0.118975,
				"14": 0.271263
			},
			"bb": {
				"7": 0.010482,
				"10": null
			},
			"ie_mob": {
				"10": 0.081172608,
				"11": 0.380035392
			},
			"and_ff": {
				"0": 0.036687
			},
			"samsung": {
				"0": 6.100524
			},
			"and_uc": {
				"0": 2.169774
			},
			"op_mini": {
				"0": 4.55300771186
			},
			"and_chr": {
				"0": 31.764408
			}
		},
		"total": 99.086388
	};

/***/ },
/* 471 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BR",
		"name": "Brazil",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.013586,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.013586,
				"21": 0.033965,
				"22": 0.006793,
				"23": 0.013586,
				"24": 0.013586,
				"25": 0.006793,
				"26": null,
				"27": null,
				"28": 0.006793,
				"29": 0.006793,
				"30": 0.013586,
				"31": 0.054344,
				"32": 0.006793,
				"33": 0.013586,
				"34": 0.006793,
				"35": 0.013586,
				"36": 0.013586,
				"37": 0.040758,
				"38": 0.074723,
				"39": 0.020379,
				"40": 0.020379,
				"41": 0.033965,
				"42": 0.020379,
				"43": 0.122274,
				"44": 0.033965,
				"45": 0.13586,
				"46": 0.088309,
				"47": 0.461924,
				"48": 0.230962,
				"49": 3.240261,
				"50": 2.003935,
				"51": 0.027172,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.013586
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.006793,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.027172,
				"23": null,
				"24": null,
				"25": 0.006793,
				"26": 0.013586,
				"27": 0.013586,
				"28": 0.006793,
				"29": 0.027172,
				"30": 0.006793,
				"31": 0.020379,
				"32": 0.033965,
				"33": 0.020379,
				"34": 0.027172,
				"35": 0.033965,
				"36": 0.244548,
				"37": 0.033965,
				"38": 0.027172,
				"39": 0.054344,
				"40": 0.033965,
				"41": 0.081516,
				"42": 0.033965,
				"43": 0.332857,
				"44": 0.06793,
				"45": 0.047551,
				"46": 0.095102,
				"47": 0.122274,
				"48": 0.108688,
				"49": 1.453702,
				"50": 0.20379,
				"51": 1.148017,
				"52": 0.421166,
				"53": 1.005364,
				"54": 47.333624,
				"55": 0.237755,
				"56": 0.122274,
				"57": 0.006793
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.006793,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.054344,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.013586,
				"37": 0.013586,
				"38": 0.108688,
				"39": 0.006793,
				"40": 0.013586,
				"41": 0.523061,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.013586
			},
			"safari": {
				"0": null,
				"4": 0.013586,
				"5": 0.013586,
				"6": null,
				"7": 0.013586,
				"8": 0.06793,
				"9": 0.06793,
				"10": 0.767609,
				"3.1": null,
				"3.2": null,
				"5.1": 0.020379,
				"6.1": 0.020379,
				"7.1": null,
				"9.1": 0.305685
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0647771921275,
				"8.1-8.4": 0.0836705398313,
				"9.0-9.2": 0.0644772977195,
				"9.3": 0.42225132646,
				"10-10.1": 2.24470964386
			},
			"android": {
				"3": 0,
				"4": 0.0414867093856,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00478692800603,
				"4.1": 0.131640520166,
				"4.2-4.3": 0.375773848473,
				"4.4": 0.885581681116,
				"4.4.3-4.4.4": 0.677350312853
			},
			"op_mob": {
				"0": 0.0552908008162,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00153585557823
			},
			"ie": {
				"6": 0.00717038888889,
				"7": null,
				"8": 0.301156333333,
				"9": 0.207941277778,
				"10": 0.150578166667,
				"11": 1.52729283333,
				"5.5": null
			},
			"edge": {
				"12": 0.054344,
				"13": 0.196997,
				"14": 0.760816
			},
			"bb": {
				"7": 0.0080175,
				"10": null
			},
			"ie_mob": {
				"10": 0.130948224,
				"11": 0.613075776
			},
			"and_ff": {
				"0": 0.019242
			},
			"samsung": {
				"0": 1.702917
			},
			"and_uc": {
				"0": 0.458601
			},
			"op_mini": {
				"0": 0.744923343606
			},
			"and_chr": {
				"0": 24.105793
			}
		},
		"total": 98.3553355
	};

/***/ },
/* 472 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BS",
		"name": "Bahamas",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": 0.005636,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.011272,
				"13": 0.011272,
				"14": null,
				"15": null,
				"16": 0.016908,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": 0.016908,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.011272,
				"32": 0.016908,
				"33": 0.033816,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.02818,
				"39": null,
				"40": null,
				"41": 0.005636,
				"42": 0.02818,
				"43": 0.061996,
				"44": 0.022544,
				"45": 0.078904,
				"46": 0.050724,
				"47": 0.315616,
				"48": 0.371976,
				"49": 2.36712,
				"50": 1.420272,
				"51": 0.022544,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.011272
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.011272,
				"12": 0.005636,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.05636,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.005636,
				"27": null,
				"28": null,
				"29": 0.005636,
				"30": 0.005636,
				"31": 0.011272,
				"32": 0.011272,
				"33": 0.02818,
				"34": 0.016908,
				"35": null,
				"36": 0.022544,
				"37": 0.016908,
				"38": 0.033816,
				"39": 0.033816,
				"40": 0.005636,
				"41": 0.005636,
				"42": 0.011272,
				"43": 0.107084,
				"44": 0.05636,
				"45": 0.02818,
				"46": 0.02818,
				"47": 0.039452,
				"48": 0.022544,
				"49": 1.656984,
				"50": 0.16908,
				"51": 0.811584,
				"52": 0.298708,
				"53": 1.330096,
				"54": 25.790336,
				"55": 0.095812,
				"56": 0.022544,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.02818,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.022544,
				"34": null,
				"35": null,
				"36": 0.005636,
				"37": 0.1409,
				"38": 0.107084,
				"39": null,
				"40": 0.011272,
				"41": 0.219804,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0.02818,
				"5": 0.05636,
				"6": 0.011272,
				"7": 0.033816,
				"8": 0.1409,
				"9": 0.180352,
				"10": 1.910604,
				"3.1": null,
				"3.2": null,
				"5.1": 0.219804,
				"6.1": 0.061996,
				"7.1": null,
				"9.1": 0.9863
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.223705102156,
				"8.1-8.4": 0.288952423618,
				"9.0-9.2": 0.222669430386,
				"9.3": 1.45822585109,
				"10-10.1": 7.75200319275
			},
			"android": {
				"3": 0,
				"4": 0.0638956713155,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00737257745948,
				"4.1": 0.202745880136,
				"4.2-4.3": 0.578747330569,
				"4.4": 1.36392683,
				"4.4.3-4.4.4": 1.04321971052
			},
			"op_mob": {
				"0": 0.0394248408779,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00109513446883
			},
			"ie": {
				"6": null,
				"7": 0.011272,
				"8": 0.287436,
				"9": 0.298708,
				"10": 0.371976,
				"11": 6.470128,
				"5.5": null
			},
			"edge": {
				"12": 0.219804,
				"13": 0.78904,
				"14": 3.781756
			},
			"bb": {
				"7": 0.055641,
				"10": null
			},
			"ie_mob": {
				"10": 0.110601216,
				"11": 0.517814784
			},
			"and_ff": {
				"0": 0.048004
			},
			"samsung": {
				"0": 8.103948
			},
			"and_uc": {
				"0": 0.231292
			},
			"op_mini": {
				"0": 0.531164024653
			},
			"and_chr": {
				"0": 23.786764
			}
		},
		"total": 98.679673
	};

/***/ },
/* 473 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BT",
		"name": "Bhutan",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.00268,
				"3": 0.04556,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.06164,
				"11": 0.00536,
				"12": 0.0402,
				"13": 0.00268,
				"14": 0.00804,
				"15": null,
				"16": 0.00804,
				"17": 0.00268,
				"18": 0.02948,
				"19": null,
				"20": null,
				"21": 0.00268,
				"22": 0.00804,
				"23": 0.00536,
				"24": 0.00268,
				"25": 0.00536,
				"26": 0.00536,
				"27": 0.00536,
				"28": null,
				"29": 0.01072,
				"30": 0.01072,
				"31": 0.01608,
				"32": 0.00536,
				"33": 0.00804,
				"34": null,
				"35": 0.0134,
				"36": 0.0268,
				"37": 0.02948,
				"38": 0.0134,
				"39": 0.0134,
				"40": 0.0268,
				"41": 0.00268,
				"42": 0.02412,
				"43": 0.09916,
				"44": 0.1072,
				"45": 0.02144,
				"46": 0.04288,
				"47": 0.268,
				"48": 0.22512,
				"49": 1.76344,
				"50": 1.27032,
				"51": 0.16348,
				"52": 0.02144,
				"53": null,
				"3.5": 0.00536,
				"3.6": 0.0134
			},
			"chrome": {
				"4": null,
				"5": 0.01876,
				"6": null,
				"7": 0.01072,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.0134,
				"12": 0.01608,
				"13": null,
				"14": 0.01876,
				"15": null,
				"16": 0.00804,
				"17": null,
				"18": 0.05092,
				"19": 0.00536,
				"20": 0.01072,
				"21": 0.0402,
				"22": 0.0134,
				"23": 0.02144,
				"24": 0.01608,
				"25": 0.02144,
				"26": 0.00268,
				"27": 0.02412,
				"28": 0.01072,
				"29": 0.02144,
				"30": 0.09648,
				"31": 0.05628,
				"32": 0.01072,
				"33": 0.09916,
				"34": 0.00268,
				"35": 0.04556,
				"36": 0.03216,
				"37": 0.00536,
				"38": 0.03484,
				"39": 0.0134,
				"40": 0.01876,
				"41": 0.0134,
				"42": 0.01072,
				"43": 0.14472,
				"44": 0.04288,
				"45": 0.02412,
				"46": 0.06432,
				"47": 0.12328,
				"48": 0.02412,
				"49": 0.70752,
				"50": 0.06432,
				"51": 0.29212,
				"52": 0.268,
				"53": 0.55744,
				"54": 14.48272,
				"55": 0.13132,
				"56": 0.36716,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.00268,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.0134,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.01072,
				"36": null,
				"37": 0.01072,
				"38": 0.00268,
				"39": 0.0134,
				"40": 0.00536,
				"41": 0.21172,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": 0.00536,
				"7": 0.02144,
				"8": 0.07772,
				"9": 0.09916,
				"10": 0.3082,
				"3.1": null,
				"3.2": null,
				"5.1": 0.01072,
				"6.1": 0.01072,
				"7.1": null,
				"9.1": 0.11256
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.101752802249,
				"8.1-8.4": 0.131430702905,
				"9.0-9.2": 0.101281724461,
				"9.3": 0.663277525773,
				"10-10.1": 3.52601724461
			},
			"android": {
				"3": 0,
				"4": 0.0622682849604,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00718480211082,
				"4.1": 0.197582058047,
				"4.2-4.3": 0.564006965699,
				"4.4": 1.3291883905,
				"4.4.3-4.4.4": 1.01664949868
			},
			"op_mob": {
				"0": 0.953074791155,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0264742997543
			},
			"ie": {
				"6": 0.00804,
				"7": 0.0134,
				"8": 0.11524,
				"9": 0.03216,
				"10": 0.03752,
				"11": 0.73164,
				"5.5": null
			},
			"edge": {
				"12": 0.0536,
				"13": 0.067,
				"14": 0.28676
			},
			"bb": {
				"7": 0.00183,
				"10": null
			},
			"ie_mob": {
				"10": 0.18809472,
				"11": 0.88062528
			},
			"and_ff": {
				"0": 0.02196
			},
			"samsung": {
				"0": 7.01988
			},
			"and_uc": {
				"0": 11.31672
			},
			"op_mini": {
				"0": 12.8406109091
			},
			"and_chr": {
				"0": 33.31504
			}
		},
		"total": 99.02815
	};

/***/ },
/* 474 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BW",
		"name": "Botswana",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.005945,
				"4": 0.01189,
				"5": null,
				"6": null,
				"7": 0.005945,
				"8": 0.005945,
				"9": null,
				"10": 0.02378,
				"11": 0.02378,
				"12": 0.02378,
				"13": 0.01189,
				"14": 0.02378,
				"15": 0.029725,
				"16": 0.02378,
				"17": 0.01189,
				"18": 1.08199,
				"19": 0.01189,
				"20": 0.053505,
				"21": null,
				"22": null,
				"23": 0.13079,
				"24": 0.005945,
				"25": null,
				"26": null,
				"27": 0.28536,
				"28": 0.005945,
				"29": 0.20213,
				"30": 0.017835,
				"31": 0.02378,
				"32": null,
				"33": 0.017835,
				"34": 0.97498,
				"35": 0.124845,
				"36": 0.02378,
				"37": 0.05945,
				"38": 0.136735,
				"39": 0.08323,
				"40": 0.124845,
				"41": 0.089175,
				"42": 0.32103,
				"43": 0.433985,
				"44": 0.4756,
				"45": 0.1189,
				"46": 0.14268,
				"47": 0.79663,
				"48": 0.624225,
				"49": 4.761945,
				"50": 2.859545,
				"51": 0.505325,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.041615
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.03567,
				"12": null,
				"13": 0.04756,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.041615,
				"19": null,
				"20": 0.005945,
				"21": 0.005945,
				"22": 0.005945,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.029725,
				"27": 0.017835,
				"28": 0.005945,
				"29": 0.255635,
				"30": 0.03567,
				"31": 0.017835,
				"32": 0.005945,
				"33": 0.041615,
				"34": 0.03567,
				"35": 0.03567,
				"36": 0.02378,
				"37": 0.041615,
				"38": 0.017835,
				"39": 0.07134,
				"40": 0.07134,
				"41": 0.01189,
				"42": 0.02378,
				"43": 0.707455,
				"44": 0.029725,
				"45": 0.101065,
				"46": 0.041615,
				"47": 0.112955,
				"48": 0.053505,
				"49": 0.74907,
				"50": 0.14268,
				"51": 0.517215,
				"52": 0.41615,
				"53": 0.802575,
				"54": 23.48275,
				"55": 0.065395,
				"56": 0.124845,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": 0.10701,
				"18": 0.02378,
				"19": 0.005945,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.01189,
				"34": null,
				"35": null,
				"36": 0.017835,
				"37": 0.01189,
				"38": 0.01189,
				"39": 0.005945,
				"40": 0.02378,
				"41": 0.52316,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0.005945,
				"5": 0.017835,
				"6": 0.01189,
				"7": null,
				"8": 0.089175,
				"9": 0.07134,
				"10": 0.362645,
				"3.1": null,
				"3.2": null,
				"5.1": 0.15457,
				"6.1": null,
				"7.1": 0.029725,
				"9.1": 0.33292
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0390470777882,
				"8.1-8.4": 0.0504358088097,
				"9.0-9.2": 0.0388663042799,
				"9.3": 0.254529099656,
				"10-10.1": 1.35308970947
			},
			"android": {
				"3": 0,
				"4": 0.0931733373539,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0107507696947,
				"4.1": 0.295646166604,
				"4.2-4.3": 0.843935421033,
				"4.4": 1.98889239352,
				"4.4.3-4.4.4": 1.5212339118
			},
			"op_mob": {
				"0": 0.684736173239,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0190204492567
			},
			"ie": {
				"6": 0.0119433782267,
				"7": 3.26651394501,
				"8": 1.81539349046,
				"9": 0.746461139169,
				"10": 0.429961616162,
				"11": 4.37127643098,
				"5.5": null
			},
			"edge": {
				"12": 0.54694,
				"13": 0.78474,
				"14": 0.410205
			},
			"bb": {
				"7": 0.308256,
				"10": null
			},
			"ie_mob": {
				"10": 0.304102656,
				"11": 1.423753344
			},
			"and_ff": {
				"0": 1.585896
			},
			"samsung": {
				"0": 3.013608
			},
			"and_uc": {
				"0": 3.06228
			},
			"op_mini": {
				"0": 9.2253313775
			},
			"and_chr": {
				"0": 13.590081
			}
		},
		"total": 96.87973
	};

/***/ },
/* 475 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BY",
		"name": "Belarus",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.196834,
				"3": 0.761662,
				"4": 0.162602,
				"5": 0.068464,
				"6": 0.051348,
				"7": 0.025674,
				"8": 0.059906,
				"9": 0.08558,
				"10": 0.094138,
				"11": 0.08558,
				"12": 0.08558,
				"13": 0.068464,
				"14": 0.102696,
				"15": 0.119812,
				"16": 0.08558,
				"17": 0.08558,
				"18": 0.034232,
				"19": 0.077022,
				"20": 0.094138,
				"21": 0.12837,
				"22": 0.08558,
				"23": 0.068464,
				"24": 0.111254,
				"25": 0.094138,
				"26": 0.068464,
				"27": 0.025674,
				"28": 0.04279,
				"29": 0.008558,
				"30": 0.034232,
				"31": 0.068464,
				"32": 0.068464,
				"33": 0.08558,
				"34": 0.102696,
				"35": 0.162602,
				"36": 0.17116,
				"37": 0.025674,
				"38": 0.059906,
				"39": 0.025674,
				"40": 0.025674,
				"41": 0.017116,
				"42": 0.025674,
				"43": 0.094138,
				"44": 0.025674,
				"45": 0.162602,
				"46": 0.059906,
				"47": 0.350878,
				"48": 0.154044,
				"49": 2.721444,
				"50": 1.694484,
				"51": 0.008558,
				"52": null,
				"53": null,
				"3.5": 1.163888,
				"3.6": 3.192134
			},
			"chrome": {
				"4": 0.222508,
				"5": 0.136928,
				"6": 0.119812,
				"7": 0.111254,
				"8": 0.12837,
				"9": 0.136928,
				"10": 0.17116,
				"11": 0.179718,
				"12": 0.265298,
				"13": 0.154044,
				"14": 0.239624,
				"15": 0.325204,
				"16": 0.265298,
				"17": 0.367994,
				"18": 0.462132,
				"19": 0.273856,
				"20": 0.359436,
				"21": 0.522038,
				"22": 0.325204,
				"23": 0.410784,
				"24": 0.38511,
				"25": 0.325204,
				"26": 0.34232,
				"27": 0.308088,
				"28": 0.145486,
				"29": 0.102696,
				"30": 0.068464,
				"31": 0.111254,
				"32": 0.068464,
				"33": 0.08558,
				"34": 0.102696,
				"35": 0.21395,
				"36": 0.094138,
				"37": 0.102696,
				"38": 0.188276,
				"39": 0.359436,
				"40": 0.479248,
				"41": 0.316646,
				"42": 0.239624,
				"43": 0.316646,
				"44": 0.059906,
				"45": 0.119812,
				"46": 0.034232,
				"47": 0.119812,
				"48": 0.17116,
				"49": 2.062478,
				"50": 0.136928,
				"51": 0.453574,
				"52": 0.367994,
				"53": 0.821568,
				"54": 24.878106,
				"55": 0.08558,
				"56": 0.222508,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.119812,
				"12": 1.163888,
				"15": 0.059906,
				"16": 0.059906,
				"17": 0.051348,
				"18": 0.119812,
				"19": 0.068464,
				"20": 0.12837,
				"21": 0.077022,
				"22": 0.04279,
				"23": 0.068464,
				"24": 0.111254,
				"25": 0.094138,
				"26": 0.102696,
				"27": 0.701756,
				"28": 0.08558,
				"29": 0.051348,
				"30": 0.025674,
				"31": 0.025674,
				"32": 0.017116,
				"33": 0.025674,
				"34": 0.051348,
				"35": 0.04279,
				"36": 0.8558,
				"37": 0.154044,
				"38": 0.094138,
				"39": 0.077022,
				"40": 0.119812,
				"41": 5.26317,
				"42": 0.034232,
				"43": null,
				"9.5-9.6": 0.008558,
				"10.0-10.1": 0.162602,
				"10.5": 0.196834,
				"10.6": 0.539154,
				"11.1": 0.12837,
				"11.5": 0.325204,
				"11.6": 1.044076,
				"12.1": 3.731288
			},
			"safari": {
				"0": null,
				"4": 0.47069,
				"5": 0.710314,
				"6": 0.119812,
				"7": 0.068464,
				"8": 0.094138,
				"9": 0.034232,
				"10": 0.633292,
				"3.1": 0.136928,
				"3.2": 0.077022,
				"5.1": 0.419342,
				"6.1": 0.034232,
				"7.1": 0.025674,
				"9.1": 0.162602
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0360749690722,
				"8.1-8.4": 0.0465968350515,
				"9.0-9.2": 0.0359079553265,
				"9.3": 0.235155353952,
				"10-10.1": 1.2500978866
			},
			"android": {
				"3": 0,
				"4": 0.0236686830004,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00273100188466,
				"4.1": 0.0751025518281,
				"4.2-4.3": 0.214383647946,
				"4.4": 0.505235348662,
				"4.4.3-4.4.4": 0.386436766679
			},
			"op_mob": {
				"0": 0.0946051635364,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00262792120934
			},
			"ie": {
				"6": 0.00925377235772,
				"7": 0.0277613170732,
				"8": 1.62866393496,
				"9": 0.564480113821,
				"10": 1.01791495935,
				"11": 1.30478190244,
				"5.5": null
			},
			"edge": {
				"12": 0.04279,
				"13": 0.102696,
				"14": 0.316646
			},
			"bb": {
				"7": 0.00108075,
				"10": null
			},
			"ie_mob": {
				"10": 0.060360608,
				"11": 0.282597392
			},
			"and_ff": {
				"0": 0.005764
			},
			"samsung": {
				"0": 0.641245
			},
			"and_uc": {
				"0": 0.341517
			},
			"op_mini": {
				"0": 1.27459891525
			},
			"and_chr": {
				"0": 9.423546
			}
		},
		"total": 91.51631775
	};

/***/ },
/* 476 */
/***/ function(module, exports) {

	module.exports = {
		"id": "BZ",
		"name": "Belize",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.004989,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.009978,
				"9": null,
				"10": null,
				"11": 0.009978,
				"12": 0.009978,
				"13": null,
				"14": 0.004989,
				"15": null,
				"16": null,
				"17": 0.004989,
				"18": null,
				"19": null,
				"20": 0.004989,
				"21": null,
				"22": 0.004989,
				"23": null,
				"24": null,
				"25": 0.004989,
				"26": null,
				"27": 0.004989,
				"28": 0.034923,
				"29": null,
				"30": 0.014967,
				"31": 0.009978,
				"32": 0.004989,
				"33": 0.014967,
				"34": 0.014967,
				"35": null,
				"36": 0.009978,
				"37": 0.019956,
				"38": 0.059868,
				"39": 0.034923,
				"40": 0.014967,
				"41": 0.034923,
				"42": 0.044901,
				"43": 0.154659,
				"44": 0.034923,
				"45": 0.239472,
				"46": 0.174615,
				"47": 0.414087,
				"48": 0.279384,
				"49": 5.008956,
				"50": 2.564346,
				"51": 0.109758,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.009978
			},
			"chrome": {
				"4": null,
				"5": 0.004989,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.029934,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.019956,
				"19": 0.009978,
				"20": 0.009978,
				"21": 0.009978,
				"22": 0.019956,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.004989,
				"27": 0.009978,
				"28": null,
				"29": 0.014967,
				"30": null,
				"31": 0.009978,
				"32": 0.019956,
				"33": 0.039912,
				"34": 0.019956,
				"35": 0.044901,
				"36": 0.029934,
				"37": null,
				"38": 0.019956,
				"39": 0.039912,
				"40": 0.044901,
				"41": 0.009978,
				"42": 0.04989,
				"43": 0.129714,
				"44": 0.014967,
				"45": 0.04989,
				"46": 0.024945,
				"47": 0.024945,
				"48": 0.024945,
				"49": 1.586502,
				"50": 0.139692,
				"51": 0.538812,
				"52": 0.229494,
				"53": 0.927954,
				"54": 25.039791,
				"55": 0.064857,
				"56": 0.04989,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.004989,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.004989,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.024945,
				"38": 0.074835,
				"39": null,
				"40": 0.009978,
				"41": 0.239472,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.009978
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.014967,
				"6": 0.039912,
				"7": 0.009978,
				"8": 0.029934,
				"9": 0.104769,
				"10": 1.791051,
				"3.1": null,
				"3.2": null,
				"5.1": 0.054879,
				"6.1": 0.014967,
				"7.1": null,
				"9.1": 1.277184
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.139763223993,
				"8.1-8.4": 0.180527497657,
				"9.0-9.2": 0.13911617203,
				"9.3": 0.911049163803,
				"10-10.1": 4.84318394252
			},
			"android": {
				"3": 0,
				"4": 0.102539452695,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.011831475311,
				"4.1": 0.325365571052,
				"4.2-4.3": 0.928770811911,
				"4.4": 2.18882293253,
				"4.4.3-4.4.4": 1.6741537565
			},
			"op_mob": {
				"0": 0.05183577229,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00143988256361
			},
			"ie": {
				"6": null,
				"7": 0.009978,
				"8": 0.204549,
				"9": 0.09978,
				"10": 0.139692,
				"11": 2.404698,
				"5.5": null
			},
			"edge": {
				"12": 0.214527,
				"13": 0.473955,
				"14": 1.366986
			},
			"bb": {
				"7": 0.02129675,
				"10": null
			},
			"ie_mob": {
				"10": 0.212546576,
				"11": 0.995104424
			},
			"and_ff": {
				"0": 0.015033
			},
			"samsung": {
				"0": 3.141897
			},
			"and_uc": {
				"0": 1.177585
			},
			"op_mini": {
				"0": 0.698374345146
			},
			"and_chr": {
				"0": 34.190483
			}
		},
		"total": 99.25142875
	};

/***/ },
/* 477 */
/***/ function(module, exports) {

	module.exports = {
		"id": "CA",
		"name": "Canada",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.01253,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.01253,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.006265,
				"22": null,
				"23": null,
				"24": 0.01253,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.01253,
				"29": 0.02506,
				"30": null,
				"31": 0.02506,
				"32": null,
				"33": 0.01253,
				"34": 0.02506,
				"35": 0.018795,
				"36": 0.02506,
				"37": 0.018795,
				"38": 0.081445,
				"39": 0.031325,
				"40": 0.02506,
				"41": 0.02506,
				"42": 0.031325,
				"43": 0.13783,
				"44": 0.043855,
				"45": 0.181685,
				"46": 0.1253,
				"47": 0.545055,
				"48": 0.432285,
				"49": 4.02213,
				"50": 2.91949,
				"51": 0.031325,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.01253
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.01253,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.018795,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.006265,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.02506,
				"32": 0.01253,
				"33": 0.018795,
				"34": 0.02506,
				"35": 0.02506,
				"36": 0.02506,
				"37": 0.02506,
				"38": 0.03759,
				"39": 0.05012,
				"40": 0.031325,
				"41": 0.056385,
				"42": 0.05012,
				"43": 0.156625,
				"44": 0.05012,
				"45": 0.1253,
				"46": 0.068915,
				"47": 0.056385,
				"48": 0.11277,
				"49": 1.672755,
				"50": 0.2506,
				"51": 1.246735,
				"52": 0.46361,
				"53": 1.397095,
				"54": 27.05227,
				"55": 0.093975,
				"56": 0.03759,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.006265,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.01253,
				"37": 0.01253,
				"38": 0.194215,
				"39": null,
				"40": 0.006265,
				"41": 0.219275,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.018795
			},
			"safari": {
				"0": null,
				"4": 0.018795,
				"5": 0.068915,
				"6": 0.01253,
				"7": 0.093975,
				"8": 0.256865,
				"9": 0.36337,
				"10": 3.15756,
				"3.1": null,
				"3.2": null,
				"5.1": 0.181685,
				"6.1": 0.2506,
				"7.1": 0.03759,
				"9.1": 1.885765
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.408546691659,
				"8.1-8.4": 0.527706143393,
				"9.0-9.2": 0.40665527179,
				"9.3": 2.66311917526,
				"10-10.1": 14.1572777179
			},
			"android": {
				"3": 0,
				"4": 0.0150807840181,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00174009046363,
				"4.1": 0.0478524877497,
				"4.2-4.3": 0.136597101395,
				"4.4": 0.321916735771,
				"4.4.3-4.4.4": 0.246222800603
			},
			"op_mob": {
				"0": 0.0378635955524,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00105176654312
			},
			"ie": {
				"6": 0.00629712820513,
				"7": 0.0188913846154,
				"8": 0.321153538462,
				"9": 0.283370769231,
				"10": 0.25818225641,
				"11": 7.70768492308,
				"5.5": null
			},
			"edge": {
				"12": 0.05012,
				"13": 0.38843,
				"14": 2.94455
			},
			"bb": {
				"7": 0.47341125,
				"10": null
			},
			"ie_mob": {
				"10": 0.0197208,
				"11": 0.0923292
			},
			"and_ff": {
				"0": 0.056025
			},
			"samsung": {
				"0": 3.417525
			},
			"and_uc": {
				"0": 0.235305
			},
			"op_mini": {
				"0": 0.510129637904
			},
			"and_chr": {
				"0": 12.652115
			}
		},
		"total": 97.26134125
	};

/***/ },
/* 478 */
/***/ function(module, exports) {

	module.exports = {
		"id": "CD",
		"name": "Congo, Democratic Republic of the",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.027971,
				"4": 0.003707,
				"5": 0.000674,
				"6": 0.000337,
				"7": 0.000337,
				"8": 0.001348,
				"9": 0.001685,
				"10": 0.001685,
				"11": 0.00337,
				"12": 0.006066,
				"13": 0.003033,
				"14": 0.00337,
				"15": 0.001685,
				"16": 0.004718,
				"17": 0.002022,
				"18": 0.002359,
				"19": 0.005729,
				"20": 0.002359,
				"21": 0.001348,
				"22": 0.002022,
				"23": 0.002022,
				"24": 0.001011,
				"25": 0.002696,
				"26": 0.002359,
				"27": 0.002359,
				"28": 0.004718,
				"29": 0.00337,
				"30": 0.005392,
				"31": 0.005392,
				"32": 0.007077,
				"33": 0.003033,
				"34": 0.002696,
				"35": 0.005055,
				"36": 0.003707,
				"37": 0.004044,
				"38": 0.00674,
				"39": 0.00337,
				"40": 0.007414,
				"41": 0.008425,
				"42": 0.005729,
				"43": 0.054257,
				"44": 0.037407,
				"45": 0.009436,
				"46": 0.012806,
				"47": 0.103459,
				"48": 0.043136,
				"49": 0.402378,
				"50": 0.189394,
				"51": 0.011121,
				"52": 0.002359,
				"53": 0.001685,
				"3.5": 0.001348,
				"3.6": 0.005392
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": 0.000337,
				"7": 0.001348,
				"8": 0.000337,
				"9": null,
				"10": null,
				"11": 0.02022,
				"12": 0.001011,
				"13": null,
				"14": 0.002022,
				"15": null,
				"16": 0.001011,
				"17": 0.000337,
				"18": 0.002022,
				"19": 0.000674,
				"20": null,
				"21": 0.001685,
				"22": 0.000674,
				"23": 0.001011,
				"24": null,
				"25": 0.002696,
				"26": 0.004044,
				"27": 0.001011,
				"28": 0.000674,
				"29": 0.007077,
				"30": 0.000674,
				"31": 0.004044,
				"32": 0.001011,
				"33": 0.00337,
				"34": 0.001011,
				"35": 0.001011,
				"36": 0.002022,
				"37": 0.000674,
				"38": 0.001685,
				"39": 0.002022,
				"40": 0.002359,
				"41": 0.000674,
				"42": 0.001685,
				"43": 0.031004,
				"44": 0.003033,
				"45": 0.012469,
				"46": 0.002359,
				"47": 0.005055,
				"48": 0.001348,
				"49": 0.042462,
				"50": 0.006066,
				"51": 0.024264,
				"52": 0.014491,
				"53": 0.061671,
				"54": 0.982692,
				"55": 0.003033,
				"56": 0.001348,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.002696,
				"12": 0.001011,
				"15": 0.000337,
				"16": 0.001348,
				"17": 0.001011,
				"18": 0.005392,
				"19": 0.001011,
				"20": 0.002359,
				"21": 0.002022,
				"22": 0.002696,
				"23": null,
				"24": null,
				"25": 0.000674,
				"26": 0.001685,
				"27": 0.000337,
				"28": 0.001685,
				"29": 0.004718,
				"30": 0.001348,
				"31": 0.001011,
				"32": 0.004044,
				"33": 0.005055,
				"34": 0.007414,
				"35": 0.005392,
				"36": 0.009436,
				"37": 0.06403,
				"38": 0.002022,
				"39": 0.004718,
				"40": 0.01685,
				"41": 0.142214,
				"42": 0.001011,
				"43": null,
				"9.5-9.6": 0.000337,
				"10.0-10.1": 0.000674,
				"10.5": 0.001011,
				"10.6": 0.001348,
				"11.1": 0.002022,
				"11.5": 0.002359,
				"11.6": 0.012806,
				"12.1": 0.014154
			},
			"safari": {
				"0": null,
				"4": 0.001685,
				"5": 0.002359,
				"6": 0.008425,
				"7": 0.005729,
				"8": 0.009436,
				"9": 0.010784,
				"10": 0.035048,
				"3.1": null,
				"3.2": null,
				"5.1": 0.005392,
				"6.1": 0.000337,
				"7.1": 0.002696,
				"9.1": 0.032352
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.00999808059981,
				"8.1-8.4": 0.0129141874414,
				"9.0-9.2": 0.00995179318963,
				"9.3": 0.0651726735395,
				"10-10.1": 0.34646126523
			},
			"android": {
				"3": 0,
				"4": 0.0534105661515,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00616275763287,
				"4.1": 0.169475834904,
				"4.2-4.3": 0.48377647418,
				"4.4": 1.14011016208,
				"4.4.3-4.4.4": 0.872030205051
			},
			"op_mob": {
				"0": 5.94549625686,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.165152673802
			},
			"ie": {
				"6": 0.002027952895,
				"7": 0.002027952895,
				"8": 0.0523887831207,
				"9": 0.00844980372915,
				"10": 0.0669224455348,
				"11": 0.205837218842,
				"5.5": null
			},
			"edge": {
				"12": 0.030667,
				"13": 0.026286,
				"14": 0.022916
			},
			"bb": {
				"7": 0.04106775,
				"10": null
			},
			"ie_mob": {
				"10": 0.1275516,
				"11": 0.5971734
			},
			"and_ff": {
				"0": 0.028989
			},
			"samsung": {
				"0": 0.48315
			},
			"and_uc": {
				"0": 2.41575
			},
			"op_mini": {
				"0": 80.1026370693
			},
			"and_chr": {
				"0": 3.153253
			}
		},
		"total": 99.388028907
	};

/***/ },
/* 479 */
/***/ function(module, exports) {

	module.exports = {
		"id": "CF",
		"name": "Central African Republic",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.048312,
				"4": 0.028182,
				"5": 0.084546,
				"6": null,
				"7": 0.004026,
				"8": null,
				"9": 0.012078,
				"10": null,
				"11": 0.148962,
				"12": 0.096624,
				"13": 0.213378,
				"14": 0.068442,
				"15": 0.108702,
				"16": 0.177144,
				"17": 0.068442,
				"18": 0.12078,
				"19": 0.004026,
				"20": 0.08052,
				"21": 0.10065,
				"22": 0.104676,
				"23": null,
				"24": 0.016104,
				"25": 0.036234,
				"26": null,
				"27": 0.012078,
				"28": 0.028182,
				"29": 0.165066,
				"30": 0.104676,
				"31": 0.092598,
				"32": 0.016104,
				"33": 0.092598,
				"34": 0.016104,
				"35": 0.217404,
				"36": 0.052338,
				"37": 0.10065,
				"38": 0.165066,
				"39": 0.028182,
				"40": 0.16104,
				"41": 0.124806,
				"42": 0.124806,
				"43": 0.897798,
				"44": 0.273768,
				"45": 0.507276,
				"46": 0.173118,
				"47": 1.815726,
				"48": 0.394548,
				"49": 4.956006,
				"50": 2.05326,
				"51": 0.052338,
				"52": null,
				"53": null,
				"3.5": 0.004026,
				"3.6": 0.036234
			},
			"chrome": {
				"4": 0.016104,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.004026,
				"9": 0.02013,
				"10": 0.012078,
				"11": 0.048312,
				"12": 0.024156,
				"13": null,
				"14": 0.016104,
				"15": null,
				"16": 0.165066,
				"17": null,
				"18": 0.028182,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.008052,
				"23": null,
				"24": null,
				"25": 0.04026,
				"26": 0.012078,
				"27": 0.008052,
				"28": 0.12078,
				"29": 0.016104,
				"30": 0.004026,
				"31": null,
				"32": null,
				"33": 0.008052,
				"34": 0.024156,
				"35": 0.008052,
				"36": 0.016104,
				"37": null,
				"38": 0.012078,
				"39": null,
				"40": 0.048312,
				"41": 0.052338,
				"42": 0.02013,
				"43": 0.132858,
				"44": null,
				"45": 0.293898,
				"46": null,
				"47": 0.233508,
				"48": 0.454938,
				"49": 0.285846,
				"50": 0.076494,
				"51": 0.265716,
				"52": 0.068442,
				"53": 0.52338,
				"54": 11.925012,
				"55": null,
				"56": 0.008052,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": 0.004026,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.008052,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": 0.028182,
				"33": 0.036234,
				"34": 0.088572,
				"35": 0.004026,
				"36": 0.016104,
				"37": 0.032208,
				"38": null,
				"39": 0.02013,
				"40": 0.028182,
				"41": 0.611952,
				"42": null,
				"43": 0.016104,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.024156
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.008052,
				"6": 0.092598,
				"7": 0.108702,
				"8": 0.092598,
				"9": 0.036234,
				"10": 0.72468,
				"3.1": null,
				"3.2": null,
				"5.1": 0.02013,
				"6.1": null,
				"7.1": 0.032208,
				"9.1": 0.092598
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0626178219306,
				"8.1-8.4": 0.0808813533271,
				"9.0-9.2": 0.0623279246069,
				"9.3": 0.408175431844,
				"10-10.1": 2.16988146829
			},
			"android": {
				"3": 0,
				"4": 0.133251950245,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0153752250283,
				"4.1": 0.422818688277,
				"4.2-4.3": 1.20695516472,
				"4.4": 2.84441663023,
				"4.4.3-4.4.4": 2.1755943415
			},
			"op_mob": {
				"0": 0.943440709616,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0262066863782
			},
			"ie": {
				"6": null,
				"7": 0.032208,
				"8": 1.606374,
				"9": 0.06039,
				"10": 0.338184,
				"11": 2.943006,
				"5.5": null
			},
			"edge": {
				"12": 0.173118,
				"13": 0.112728,
				"14": 0.249612
			},
			"bb": {
				"7": 0.050779,
				"10": null
			},
			"ie_mob": {
				"10": 0.34696992,
				"11": 1.62445008
			},
			"and_ff": {
				"0": 0.35844
			},
			"samsung": {
				"0": 4.253488
			},
			"and_uc": {
				"0": 3.805438
			},
			"op_mini": {
				"0": 12.710812604
			},
			"and_chr": {
				"0": 27.526794
			}
		},
		"total": 98.058963
	};

/***/ },
/* 480 */
/***/ function(module, exports) {

	module.exports = {
		"id": "CG",
		"name": "Congo, Republic of the",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.296496,
				"4": 0.023856,
				"5": 0.005112,
				"6": null,
				"7": null,
				"8": 0.001704,
				"9": 0.001704,
				"10": 0.030672,
				"11": 0.020448,
				"12": 0.023856,
				"13": 0.018744,
				"14": 0.022152,
				"15": 0.005112,
				"16": 0.039192,
				"17": 0.005112,
				"18": 0.039192,
				"19": 0.005112,
				"20": 0.018744,
				"21": 0.022152,
				"22": 0.00852,
				"23": 0.05112,
				"24": 0.013632,
				"25": 0.040896,
				"26": 0.006816,
				"27": 0.006816,
				"28": 0.003408,
				"29": 0.006816,
				"30": 0.023856,
				"31": 0.010224,
				"32": 0.030672,
				"33": 0.015336,
				"34": 0.028968,
				"35": 0.011928,
				"36": 0.005112,
				"37": 0.039192,
				"38": 0.037488,
				"39": 0.040896,
				"40": 0.047712,
				"41": 0.020448,
				"42": 0.074976,
				"43": 0.175512,
				"44": 0.046008,
				"45": 0.069864,
				"46": 0.090312,
				"47": 0.591288,
				"48": 0.245376,
				"49": 2.566224,
				"50": 1.208136,
				"51": 0.131208,
				"52": 0.001704,
				"53": null,
				"3.5": 0.010224,
				"3.6": 0.01704
			},
			"chrome": {
				"4": 0.006816,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.005112,
				"10": null,
				"11": 0.047712,
				"12": null,
				"13": 0.003408,
				"14": null,
				"15": 0.010224,
				"16": 0.003408,
				"17": 0.001704,
				"18": 0.001704,
				"19": 0.003408,
				"20": null,
				"21": 0.003408,
				"22": 0.013632,
				"23": 0.003408,
				"24": null,
				"25": 0.005112,
				"26": 0.01704,
				"27": 0.00852,
				"28": 0.003408,
				"29": 0.010224,
				"30": 0.010224,
				"31": 0.10224,
				"32": 0.00852,
				"33": 0.022152,
				"34": 0.011928,
				"35": 0.006816,
				"36": 0.015336,
				"37": 0.046008,
				"38": 0.003408,
				"39": 0.00852,
				"40": 0.003408,
				"41": 0.035784,
				"42": 0.006816,
				"43": 0.061344,
				"44": 0.011928,
				"45": 0.126096,
				"46": 0.00852,
				"47": 0.039192,
				"48": 0.015336,
				"49": 0.19596,
				"50": 0.064752,
				"51": 0.074976,
				"52": 0.090312,
				"53": 0.202776,
				"54": 4.931376,
				"55": 0.018744,
				"56": 0.00852,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.006816,
				"12": 0.010224,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.003408,
				"19": 0.005112,
				"20": 0.003408,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.003408,
				"26": null,
				"27": null,
				"28": 0.030672,
				"29": 0.005112,
				"30": 0.006816,
				"31": null,
				"32": 0.005112,
				"33": 0.006816,
				"34": 0.005112,
				"35": 0.011928,
				"36": 0.035784,
				"37": 0.061344,
				"38": 0.001704,
				"39": 0.006816,
				"40": 0.0426,
				"41": 0.311832,
				"42": 0.001704,
				"43": null,
				"9.5-9.6": 0.005112,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.003408,
				"11.6": 0.01704,
				"12.1": 0.023856
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.011928,
				"6": 0.005112,
				"7": 0.01704,
				"8": 0.109056,
				"9": 0.073272,
				"10": 0.482232,
				"3.1": null,
				"3.2": null,
				"5.1": 0.040896,
				"6.1": 0.00852,
				"7.1": 0.01704,
				"9.1": 0.236856
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0326513589503,
				"8.1-8.4": 0.0421746719775,
				"9.0-9.2": 0.0325001952515,
				"9.3": 0.212838487973,
				"10-10.1": 1.13146028585
			},
			"android": {
				"3": 0,
				"4": 0.125353614776,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.014463878628,
				"4.1": 0.397756662269,
				"4.2-4.3": 1.1354144723,
				"4.4": 2.67581754617,
				"4.4.3-4.4.4": 2.04663882586
			},
			"op_mob": {
				"0": 3.35504475909,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0931956877525
			},
			"ie": {
				"6": null,
				"7": 0.00869125628141,
				"8": 0.269428944724,
				"9": 0.12167758794,
				"10": 0.215543155779,
				"11": 1.11421905528,
				"5.5": null
			},
			"edge": {
				"12": 0.17892,
				"13": 0.057936,
				"14": 0.097128
			},
			"bb": {
				"7": 0.18456375,
				"10": null
			},
			"ie_mob": {
				"10": 0.07007616,
				"11": 0.32808384
			},
			"and_ff": {
				"0": 0.03318
			},
			"samsung": {
				"0": 1.45992
			},
			"and_uc": {
				"0": 11.53005
			},
			"op_mini": {
				"0": 45.2019345532
			},
			"and_chr": {
				"0": 11.464458
			}
		},
		"total": 97.78454475
	};

/***/ },
/* 481 */
/***/ function(module, exports) {

	module.exports = {
		"id": "CH",
		"name": "Switzerland",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.01192,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.02384,
				"17": 0.00596,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.01192,
				"22": null,
				"23": null,
				"24": 0.00596,
				"25": null,
				"26": 0.01192,
				"27": 0.0298,
				"28": 0.03576,
				"29": 0.03576,
				"30": 0.01192,
				"31": 0.07748,
				"32": 0.00596,
				"33": 0.04172,
				"34": 0.01788,
				"35": 0.0298,
				"36": 0.04768,
				"37": 0.05364,
				"38": 0.16092,
				"39": 0.07748,
				"40": 0.07152,
				"41": 0.10132,
				"42": 0.10132,
				"43": 0.14304,
				"44": 0.07152,
				"45": 0.447,
				"46": 0.14304,
				"47": 0.3874,
				"48": 0.67348,
				"49": 6.41296,
				"50": 3.52832,
				"51": 0.0298,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.01788
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.01192,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.04172,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.01192,
				"27": 0.00596,
				"28": null,
				"29": 0.01192,
				"30": null,
				"31": 0.01788,
				"32": 0.03576,
				"33": 0.03576,
				"34": 0.04768,
				"35": 0.03576,
				"36": 0.03576,
				"37": 0.03576,
				"38": 0.07152,
				"39": 0.05364,
				"40": 0.04768,
				"41": 0.07748,
				"42": 0.05364,
				"43": 0.10728,
				"44": 0.06556,
				"45": 0.08344,
				"46": 0.04768,
				"47": 0.05364,
				"48": 0.07748,
				"49": 0.88208,
				"50": 0.09536,
				"51": 0.3874,
				"52": 0.19668,
				"53": 0.6258,
				"54": 16.51516,
				"55": 0.0596,
				"56": 0.0298,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.01788,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.01788,
				"37": 0.01192,
				"38": 0.03576,
				"39": null,
				"40": 0.01192,
				"41": 0.4172,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.0596
			},
			"safari": {
				"0": null,
				"4": 0.0298,
				"5": 0.11324,
				"6": 0.03576,
				"7": 0.07152,
				"8": 0.39336,
				"9": 0.51852,
				"10": 5.17328,
				"3.1": null,
				"3.2": null,
				"5.1": 0.33376,
				"6.1": 0.24436,
				"7.1": 0.0298,
				"9.1": 2.235
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.491251883786,
				"8.1-8.4": 0.634533683224,
				"9.0-9.2": 0.48897756951,
				"9.3": 3.20223450172,
				"10-10.1": 17.0232423618
			},
			"android": {
				"3": 0,
				"4": 0.0134615906521,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00155326045986,
				"4.1": 0.0427146626461,
				"4.2-4.3": 0.121930946099,
				"4.4": 0.287353185074,
				"4.4.3-4.4.4": 0.21978635507
			},
			"op_mob": {
				"0": 0.00947270894932,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000263130804148
			},
			"ie": {
				"6": 0.01193788,
				"7": 0.01193788,
				"8": 0.19100608,
				"9": 0.27457124,
				"10": 0.28650912,
				"11": 11.1619178,
				"5.5": null
			},
			"edge": {
				"12": 0.07152,
				"13": 0.47084,
				"14": 3.28396
			},
			"bb": {
				"7": 0.01616,
				"10": null
			},
			"ie_mob": {
				"10": 0.06541568,
				"11": 0.30626432
			},
			"and_ff": {
				"0": 0.06464
			},
			"samsung": {
				"0": 4.97324
			},
			"and_uc": {
				"0": 0.101
			},
			"op_mini": {
				"0": 0.127624160247
			},
			"and_chr": {
				"0": 10.95712
			}
		},
		"total": 97.34764
	};

/***/ },
/* 482 */
/***/ function(module, exports) {

	module.exports = {
		"id": "CI",
		"name": "Cote d'Ivoire",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.010412,
				"4": 0.007809,
				"5": null,
				"6": 0.002603,
				"7": null,
				"8": 0.005206,
				"9": 0.002603,
				"10": 0.005206,
				"11": 0.010412,
				"12": 0.015618,
				"13": 0.010412,
				"14": 0.002603,
				"15": 0.018221,
				"16": 0.018221,
				"17": 0.007809,
				"18": 0.007809,
				"19": 0.015618,
				"20": 0.007809,
				"21": 0.013015,
				"22": 0.007809,
				"23": 0.007809,
				"24": 0.010412,
				"25": 0.005206,
				"26": 0.007809,
				"27": 0.013015,
				"28": 0.002603,
				"29": 0.018221,
				"30": 0.033839,
				"31": 0.044251,
				"32": 0.023427,
				"33": 0.033839,
				"34": 0.015618,
				"35": 0.020824,
				"36": 0.018221,
				"37": 0.023427,
				"38": 0.028633,
				"39": 0.023427,
				"40": 0.054663,
				"41": 0.054663,
				"42": 0.041648,
				"43": 0.268109,
				"44": 0.070281,
				"45": 0.07809,
				"46": 0.049457,
				"47": 0.395656,
				"48": 0.322772,
				"49": 2.412981,
				"50": 1.186968,
				"51": 0.036442,
				"52": 0.005206,
				"53": null,
				"3.5": null,
				"3.6": 0.010412
			},
			"chrome": {
				"4": 0.002603,
				"5": 0.002603,
				"6": null,
				"7": 0.007809,
				"8": 0.007809,
				"9": 0.023427,
				"10": 0.007809,
				"11": 0.070281,
				"12": 0.046854,
				"13": 0.018221,
				"14": 0.013015,
				"15": 0.005206,
				"16": 0.041648,
				"17": 0.018221,
				"18": 0.02603,
				"19": 0.005206,
				"20": 0.002603,
				"21": 0.010412,
				"22": 0.007809,
				"23": 0.007809,
				"24": 0.002603,
				"25": 0.023427,
				"26": 0.049457,
				"27": 0.041648,
				"28": 0.057266,
				"29": 0.059869,
				"30": 0.070281,
				"31": 0.091105,
				"32": 0.028633,
				"33": 0.067678,
				"34": 0.020824,
				"35": 0.039045,
				"36": 0.036442,
				"37": 0.015618,
				"38": 0.031236,
				"39": 0.039045,
				"40": 0.044251,
				"41": 0.018221,
				"42": 0.023427,
				"43": 0.325375,
				"44": 0.039045,
				"45": 0.054663,
				"46": 0.098914,
				"47": 0.070281,
				"48": 0.062472,
				"49": 2.83727,
				"50": 0.062472,
				"51": 0.23427,
				"52": 0.205637,
				"53": 0.356611,
				"54": 10.336513,
				"55": 0.033839,
				"56": 0.028633,
				"57": 0.002603
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.002603,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.002603,
				"30": 0.002603,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.002603,
				"35": 0.015618,
				"36": 0.036442,
				"37": 0.119738,
				"38": 0.005206,
				"39": 0.010412,
				"40": 0.031236,
				"41": 0.421686,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.007809
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.007809,
				"6": 0.018221,
				"7": 0.031236,
				"8": 0.072884,
				"9": 0.083296,
				"10": 0.203034,
				"3.1": null,
				"3.2": null,
				"5.1": 0.023427,
				"6.1": 0.015618,
				"7.1": 0.010412,
				"9.1": 0.096311
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0181305716963,
				"8.1-8.4": 0.0234186551078,
				"9.0-9.2": 0.0180466338644,
				"9.3": 0.118184467354,
				"10-10.1": 0.628274671978
			},
			"android": {
				"3": 0,
				"4": 0.104070757633,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0120081643423,
				"4.1": 0.330224519412,
				"4.2-4.3": 0.942640900867,
				"4.4": 2.22151040332,
				"4.4.3-4.4.4": 1.69915525443
			},
			"op_mob": {
				"0": 3.44031672511,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0955643534752
			},
			"ie": {
				"6": 0.00531868398268,
				"7": 0.00531868398268,
				"8": 0.0797802597403,
				"9": 0.0186153939394,
				"10": 0.0478681558442,
				"11": 0.457406822511,
				"5.5": null
			},
			"edge": {
				"12": 0.080693,
				"13": 0.080693,
				"14": 0.179607
			},
			"bb": {
				"7": 0.04991625,
				"10": null
			},
			"ie_mob": {
				"10": 0.1366596,
				"11": 0.6398154
			},
			"and_ff": {
				"0": 0.36975
			},
			"samsung": {
				"0": 1.072275
			},
			"and_uc": {
				"0": 1.7748
			},
			"op_mini": {
				"0": 46.3507889214
			},
			"and_chr": {
				"0": 14.360703
			}
		},
		"total": 97.90353525
	};

/***/ },
/* 483 */
/***/ function(module, exports) {

	module.exports = {
		"id": "CK",
		"name": "Cook Islands",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": 0.03882,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.01294,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.07764,
				"29": 0.16175,
				"30": 0.09705,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.00647,
				"35": null,
				"36": 0.01294,
				"37": null,
				"38": 0.07117,
				"39": 0.02588,
				"40": null,
				"41": null,
				"42": null,
				"43": 0.10999,
				"44": 0.10999,
				"45": 0.17469,
				"46": 0.01941,
				"47": 0.30409,
				"48": 0.31056,
				"49": 4.05022,
				"50": 2.07687,
				"51": 0.11646,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.00647
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.05176,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": 0.01294,
				"18": 0.01294,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.00647,
				"27": null,
				"28": 0.01941,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.07764,
				"35": null,
				"36": 0.01941,
				"37": 0.01294,
				"38": 0.02588,
				"39": null,
				"40": null,
				"41": 0.03882,
				"42": null,
				"43": 0.01941,
				"44": 0.07764,
				"45": 0.00647,
				"46": null,
				"47": 0.01294,
				"48": 0.36879,
				"49": 2.4586,
				"50": 0.04529,
				"51": 0.05823,
				"52": 0.21351,
				"53": 0.60171,
				"54": 20.30933,
				"55": 0.01294,
				"56": 0.02588,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.00647,
				"36": null,
				"37": 0.01294,
				"38": null,
				"39": null,
				"40": 0.0647,
				"41": 0.24586,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": 0.01941,
				"7": 0.01294,
				"8": 0.03235,
				"9": 0.05176,
				"10": 0.80875,
				"3.1": null,
				"3.2": null,
				"5.1": 0.01941,
				"6.1": 0.00647,
				"7.1": 0.00647,
				"9.1": 0.68582
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.227417094658,
				"8.1-8.4": 0.2937470806,
				"9.0-9.2": 0.226364237738,
				"9.3": 1.48242254296,
				"10-10.1": 7.88063404405
			},
			"android": {
				"3": 0,
				"4": 0.0266304485488,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00307274406332,
				"4.1": 0.0845004617414,
				"4.2-4.3": 0.241210408971,
				"4.4": 0.568457651715,
				"4.4.3-4.4.4": 0.43479328496
			},
			"op_mob": {
				"0": 0.0141154121518,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000392094781993
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 15.3339,
				"9": 0.16822,
				"10": 0.1294,
				"11": 6.38589,
				"5.5": null
			},
			"edge": {
				"12": 0.05176,
				"13": 0.76346,
				"14": 0.51113
			},
			"bb": {
				"7": 0.003529,
				"10": null
			},
			"ie_mob": {
				"10": 0.081364624,
				"11": 0.380934376
			},
			"and_ff": {
				"0": 0.014116
			},
			"samsung": {
				"0": 5.441718
			},
			"and_uc": {
				"0": 0.338784
			},
			"op_mini": {
				"0": 0.190174493066
			},
			"and_chr": {
				"0": 19.411318
			}
		},
		"total": 94.935166
	};

/***/ },
/* 484 */
/***/ function(module, exports) {

	module.exports = {
		"id": "CL",
		"name": "Chile",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.006224,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.006224,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.006224,
				"32": null,
				"33": null,
				"34": 0.012448,
				"35": null,
				"36": 0.006224,
				"37": 0.018672,
				"38": 0.03112,
				"39": 0.03112,
				"40": 0.018672,
				"41": 0.018672,
				"42": 0.024896,
				"43": 0.068464,
				"44": 0.024896,
				"45": 0.074688,
				"46": 0.037344,
				"47": 0.230288,
				"48": 0.267632,
				"49": 2.819472,
				"50": 1.512432,
				"51": 0.012448,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.012448
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.006224,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.006224,
				"19": null,
				"20": null,
				"21": 0.006224,
				"22": 0.06224,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.03112,
				"27": 0.012448,
				"28": null,
				"29": 0.006224,
				"30": null,
				"31": 0.037344,
				"32": 0.006224,
				"33": 0.012448,
				"34": 0.043568,
				"35": 0.024896,
				"36": 0.037344,
				"37": 0.03112,
				"38": 0.06224,
				"39": 0.056016,
				"40": 0.024896,
				"41": 0.043568,
				"42": 0.018672,
				"43": 0.118256,
				"44": 0.06224,
				"45": 0.049792,
				"46": 0.099584,
				"47": 0.09336,
				"48": 0.118256,
				"49": 2.172176,
				"50": 0.143152,
				"51": 0.616176,
				"52": 0.37344,
				"53": 1.082976,
				"54": 39.951856,
				"55": 0.105808,
				"56": 0.03112,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.012448,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.018672,
				"37": 0.018672,
				"38": 0.024896,
				"39": 0.006224,
				"40": 0.012448,
				"41": 0.541488,
				"42": 0.006224,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.024896
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.024896,
				"6": 0.012448,
				"7": 0.024896,
				"8": 0.199168,
				"9": 0.211616,
				"10": 1.381728,
				"3.1": null,
				"3.2": null,
				"5.1": 0.049792,
				"6.1": 0.03112,
				"7.1": 0.012448,
				"9.1": 0.68464
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.128928989691,
				"8.1-8.4": 0.166533278351,
				"9.0-9.2": 0.12833209622,
				"9.3": 0.840426006873,
				"10-10.1": 4.46774762887
			},
			"android": {
				"3": 0,
				"4": 0.0418163889936,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0048249679608,
				"4.1": 0.132686618922,
				"4.2-4.3": 0.378759984923,
				"4.4": 0.892619072748,
				"4.4.3-4.4.4": 0.682732966453
			},
			"op_mob": {
				"0": 0.0234362653563,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000651007371007
			},
			"ie": {
				"6": 0.0126873846154,
				"7": 0.00634369230769,
				"8": 0.234716615385,
				"9": 0.222029230769,
				"10": 0.145904923077,
				"11": 1.68107846154,
				"5.5": null
			},
			"edge": {
				"12": 0.06224,
				"13": 0.199168,
				"14": 0.697088
			},
			"bb": {
				"7": 0.008496,
				"10": null
			},
			"ie_mob": {
				"10": 0.055159808,
				"11": 0.258248192
			},
			"and_ff": {
				"0": 0.01888
			},
			"samsung": {
				"0": 1.268736
			},
			"and_uc": {
				"0": 0.0944
			},
			"op_mini": {
				"0": 0.315752727273
			},
			"and_chr": {
				"0": 30.323904
			}
		},
		"total": 97.5808883077
	};

/***/ },
/* 485 */
/***/ function(module, exports) {

	module.exports = {
		"id": "CM",
		"name": "Cameroon",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.01295,
				"3": 0.14504,
				"4": 0.01554,
				"5": 0.00777,
				"6": 0.00777,
				"7": 0.00777,
				"8": 0.00518,
				"9": 0.00777,
				"10": 0.02849,
				"11": 0.03108,
				"12": 0.03108,
				"13": 0.01813,
				"14": 0.02072,
				"15": 0.03367,
				"16": 0.04144,
				"17": 0.0259,
				"18": 0.01295,
				"19": 0.03626,
				"20": 0.03367,
				"21": 0.03626,
				"22": 0.03108,
				"23": 0.02072,
				"24": 0.04144,
				"25": 0.04662,
				"26": 0.02849,
				"27": 0.0259,
				"28": 0.01813,
				"29": 0.0777,
				"30": 0.09324,
				"31": 0.08029,
				"32": 0.03626,
				"33": 0.04662,
				"34": 0.05439,
				"35": 0.1036,
				"36": 0.04921,
				"37": 0.13209,
				"38": 0.13727,
				"39": 0.06734,
				"40": 0.1036,
				"41": 0.12173,
				"42": 0.12173,
				"43": 0.79772,
				"44": 0.27713,
				"45": 0.24864,
				"46": 0.16317,
				"47": 0.98679,
				"48": 0.68117,
				"49": 4.30458,
				"50": 2.2792,
				"51": 0.19166,
				"52": 0.01295,
				"53": 0.00518,
				"3.5": 0.01036,
				"3.6": 0.03885
			},
			"chrome": {
				"4": 0.00518,
				"5": 0.00259,
				"6": null,
				"7": 0.00259,
				"8": 0.00259,
				"9": null,
				"10": 0.01295,
				"11": 0.04662,
				"12": 0.03885,
				"13": 0.00777,
				"14": 0.00777,
				"15": 0.00518,
				"16": 0.01295,
				"17": 0.00259,
				"18": 0.00518,
				"19": 0.00518,
				"20": null,
				"21": null,
				"22": 0.00777,
				"23": 0.01554,
				"24": null,
				"25": 0.01813,
				"26": 0.02072,
				"27": 0.01813,
				"28": 0.0259,
				"29": 0.03367,
				"30": 0.01036,
				"31": 0.01813,
				"32": 0.01295,
				"33": 0.03626,
				"34": 0.00518,
				"35": 0.03367,
				"36": 0.01295,
				"37": 0.00518,
				"38": 0.00777,
				"39": 0.03367,
				"40": 0.0259,
				"41": 0.02072,
				"42": 0.02072,
				"43": 0.15281,
				"44": 0.01036,
				"45": 0.05957,
				"46": 0.03626,
				"47": 0.0259,
				"48": 0.01813,
				"49": 0.55944,
				"50": 0.04144,
				"51": 0.17871,
				"52": 0.14245,
				"53": 0.23051,
				"54": 5.86894,
				"55": 0.03108,
				"56": 0.01813,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.00518,
				"20": 0.00259,
				"21": null,
				"22": 0.00259,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.01295,
				"29": 0.00777,
				"30": 0.00259,
				"31": 0.00259,
				"32": 0.00518,
				"33": 0.00518,
				"34": 0.01554,
				"35": 0.01036,
				"36": 0.04662,
				"37": 0.11396,
				"38": 0.01295,
				"39": 0.01554,
				"40": 0.03367,
				"41": 0.53095,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.01554,
				"11.6": 0.00777,
				"12.1": 0.01036
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.00777,
				"6": 0.01036,
				"7": 0.01036,
				"8": 0.04144,
				"9": 0.01554,
				"10": 0.1036,
				"3.1": null,
				"3.2": null,
				"5.1": 0.02331,
				"6.1": 0.00518,
				"7.1": 0.00259,
				"9.1": 0.09583
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0273306691659,
				"8.1-8.4": 0.0353021143393,
				"9.0-9.2": 0.0272041382901,
				"9.3": 0.178155473081,
				"10-10.1": 0.947083605123
			},
			"android": {
				"3": 0,
				"4": 0.176151558236,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0203251797965,
				"4.1": 0.558942444403,
				"4.2-4.3": 1.59552661402,
				"4.4": 3.76015826234,
				"4.4.3-4.4.4": 2.8760129412
			},
			"op_mob": {
				"0": 2.00136858235,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.055593571732
			},
			"ie": {
				"6": 0.0079698,
				"7": 0.0239094,
				"8": 0.1886186,
				"9": 0.0425056,
				"10": 0.0611018,
				"11": 0.6057048,
				"5.5": null
			},
			"edge": {
				"12": 0.07252,
				"13": 0.0777,
				"14": 0.14763
			},
			"bb": {
				"7": 0.07409,
				"10": null
			},
			"ie_mob": {
				"10": 0.209941424,
				"11": 0.982907576
			},
			"and_ff": {
				"0": 0.118544
			},
			"samsung": {
				"0": 1.126168
			},
			"and_uc": {
				"0": 11.350588
			},
			"op_mini": {
				"0": 26.9640908459
			},
			"and_chr": {
				"0": 22.675656
			}
		},
		"total": 98.073991
	};

/***/ },
/* 486 */
/***/ function(module, exports) {

	module.exports = {
		"id": "CN",
		"name": "China",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.01341,
				"4": 0.01788,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.48723,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": 0.00447,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.08046,
				"22": 0.01341,
				"23": 0.01341,
				"24": 0.01341,
				"25": 0.01788,
				"26": null,
				"27": 0.00894,
				"28": 0.00894,
				"29": 0.00894,
				"30": null,
				"31": 0.01788,
				"32": null,
				"33": 0.00894,
				"34": null,
				"35": 0.00447,
				"36": 0.00894,
				"37": 0.07599,
				"38": 0.01788,
				"39": 0.00894,
				"40": 0.01788,
				"41": 0.00894,
				"42": 0.00894,
				"43": 0.30843,
				"44": 0.00894,
				"45": 0.03576,
				"46": 0.02235,
				"47": 0.10728,
				"48": 0.04917,
				"49": 1.03257,
				"50": 0.23244,
				"51": 0.00447,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.00447
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.10728,
				"12": 0.00894,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": 0.03129,
				"18": null,
				"19": null,
				"20": 0.03576,
				"21": 0.05811,
				"22": 0.00894,
				"23": null,
				"24": 0.00894,
				"25": 0.01788,
				"26": 0.02682,
				"27": 0.04023,
				"28": 0.02235,
				"29": 0.07152,
				"30": 0.0447,
				"31": 0.35313,
				"32": 0.03129,
				"33": 0.05364,
				"34": 0.03129,
				"35": 0.03576,
				"36": 0.05811,
				"37": 0.03129,
				"38": 0.06705,
				"39": 0.12963,
				"40": 0.01788,
				"41": 0.1788,
				"42": 0.88506,
				"43": 0.08046,
				"44": 0.08493,
				"45": 12.15393,
				"46": 0.12516,
				"47": 1.75671,
				"48": 0.27714,
				"49": 1.03704,
				"50": 2.4138,
				"51": 0.46488,
				"52": 0.31737,
				"53": 0.6258,
				"54": 1.87293,
				"55": 0.04917,
				"56": 0.05811,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.01788,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.12963,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.00447,
				"37": null,
				"38": 0.02235,
				"39": null,
				"40": null,
				"41": 0.07152,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.00894,
				"12.1": 0.02682
			},
			"safari": {
				"0": null,
				"4": 0.01341,
				"5": 0.01341,
				"6": null,
				"7": 0.00894,
				"8": 0.03576,
				"9": 0.04023,
				"10": 0.34866,
				"3.1": null,
				"3.2": null,
				"5.1": 0.01341,
				"6.1": 0.00447,
				"7.1": null,
				"9.1": 0.1341
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.181976907216,
				"8.1-8.4": 0.235053505155,
				"9.0-9.2": 0.181134421535,
				"9.3": 1.18621983963,
				"10-10.1": 6.30600532646
			},
			"android": {
				"3": 0,
				"4": 0.0894221635884,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0103179419525,
				"4.1": 0.283743403694,
				"4.2-4.3": 0.809958443272,
				"4.4": 1.90881926121,
				"4.4.3-4.4.4": 1.45998878628
			},
			"op_mob": {
				"0": 0.00305090742514,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0000847474284762
			},
			"ie": {
				"6": 0.327639348341,
				"7": 0.0513944075829,
				"8": 4.01518809242,
				"9": 1.77310706161,
				"10": 0.719521706161,
				"11": 3.92524787915,
				"5.5": null
			},
			"edge": {
				"12": 0.03576,
				"13": 0.19221,
				"14": 0.54981
			},
			"bb": {
				"7": 0.030415,
				"10": null
			},
			"ie_mob": {
				"10": 0.03990448,
				"11": 0.18682552
			},
			"and_ff": {
				"0": 0.03318
			},
			"samsung": {
				"0": 0.75761
			},
			"and_uc": {
				"0": 12.87937
			},
			"op_mini": {
				"0": 0.0411043451464
			},
			"and_chr": {
				"0": 29.55186
			}
		},
		"total": 95.0061034953
	};

/***/ },
/* 487 */
/***/ function(module, exports) {

	module.exports = {
		"id": "CO",
		"name": "Colombia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.026776,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.006694,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.013388,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.006694,
				"29": null,
				"30": null,
				"31": 0.013388,
				"32": null,
				"33": 0.006694,
				"34": 0.006694,
				"35": 0.006694,
				"36": null,
				"37": 0.020082,
				"38": 0.026776,
				"39": 0.013388,
				"40": 0.013388,
				"41": 0.013388,
				"42": 0.020082,
				"43": 0.06694,
				"44": 0.020082,
				"45": 0.073634,
				"46": 0.046858,
				"47": 0.247678,
				"48": 0.194126,
				"49": 1.827462,
				"50": 1.064346,
				"51": 0.020082,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.006694
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.013388,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.013388,
				"19": null,
				"20": null,
				"21": 0.006694,
				"22": 0.087022,
				"23": 0.006694,
				"24": null,
				"25": null,
				"26": 0.040164,
				"27": 0.013388,
				"28": 0.013388,
				"29": 0.013388,
				"30": 0.013388,
				"31": 0.040164,
				"32": 0.020082,
				"33": 0.013388,
				"34": 0.040164,
				"35": 0.026776,
				"36": 0.026776,
				"37": 0.026776,
				"38": 0.046858,
				"39": 0.053552,
				"40": 0.026776,
				"41": 0.046858,
				"42": 0.03347,
				"43": 0.13388,
				"44": 0.10041,
				"45": 0.060246,
				"46": 0.120492,
				"47": 0.107104,
				"48": 0.140574,
				"49": 1.793992,
				"50": 0.220902,
				"51": 0.950548,
				"52": 0.528826,
				"53": 1.258472,
				"54": 48.250352,
				"55": 0.140574,
				"56": 0.03347,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.020082,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.006694,
				"37": 0.013388,
				"38": 0.053552,
				"39": null,
				"40": 0.006694,
				"41": 0.314618,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.013388
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.006694,
				"6": null,
				"7": 0.020082,
				"8": 0.180738,
				"9": 0.207514,
				"10": 1.30533,
				"3.1": null,
				"3.2": null,
				"5.1": 0.03347,
				"6.1": 0.026776,
				"7.1": null,
				"9.1": 0.696176
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0552507891284,
				"8.1-8.4": 0.0713656026242,
				"9.0-9.2": 0.054994998438,
				"9.3": 0.360153292096,
				"10-10.1": 1.91459331771
			},
			"android": {
				"3": 0,
				"4": 0.0634383143611,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0073198055032,
				"4.1": 0.201294651338,
				"4.2-4.3": 0.574604732002,
				"4.4": 1.35416401809,
				"4.4.3-4.4.4": 1.0357524787
			},
			"op_mob": {
				"0": 0.02393900304,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000664972306667
			},
			"ie": {
				"6": null,
				"7": 0.00694949618321,
				"8": 0.403070778626,
				"9": 0.138989923664,
				"10": 0.152888916031,
				"11": 1.1188688855,
				"5.5": null
			},
			"edge": {
				"12": 0.046858,
				"13": 0.147268,
				"14": 0.481968
			},
			"bb": {
				"7": 0.0471105,
				"10": null
			},
			"ie_mob": {
				"10": 0.107061504,
				"11": 0.501242496
			},
			"and_ff": {
				"0": 0.019836
			},
			"samsung": {
				"0": 1.209996
			},
			"and_uc": {
				"0": 0.84303
			},
			"op_mini": {
				"0": 0.322526024653
			},
			"and_chr": {
				"0": 26.401072
			}
		},
		"total": 98.7958805
	};

/***/ },
/* 488 */
/***/ function(module, exports) {

	module.exports = {
		"id": "CR",
		"name": "Costa Rica",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.01097,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.04388,
				"22": 0.005485,
				"23": 0.005485,
				"24": 0.01097,
				"25": 0.016455,
				"26": null,
				"27": null,
				"28": 0.005485,
				"29": 0.005485,
				"30": 0.005485,
				"31": 0.01097,
				"32": null,
				"33": 0.01097,
				"34": 0.01097,
				"35": 0.016455,
				"36": 0.016455,
				"37": 0.05485,
				"38": 0.071305,
				"39": 0.038395,
				"40": 0.016455,
				"41": 0.038395,
				"42": 0.03291,
				"43": 0.06582,
				"44": 0.038395,
				"45": 0.30716,
				"46": 0.049365,
				"47": 0.301675,
				"48": 0.334585,
				"49": 3.68592,
				"50": 2.155605,
				"51": 0.049365,
				"52": 0.005485,
				"53": null,
				"3.5": null,
				"3.6": 0.016455
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.016455,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.01097,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.005485,
				"27": 0.02194,
				"28": 0.005485,
				"29": 0.016455,
				"30": null,
				"31": 0.02194,
				"32": 0.03291,
				"33": 0.005485,
				"34": 0.02194,
				"35": 0.02194,
				"36": 0.03291,
				"37": 0.027425,
				"38": 0.02194,
				"39": 0.082275,
				"40": 0.03291,
				"41": 0.09873,
				"42": 0.016455,
				"43": 0.071305,
				"44": 0.07679,
				"45": 0.038395,
				"46": 0.049365,
				"47": 0.093245,
				"48": 0.1097,
				"49": 1.27252,
				"50": 0.115185,
				"51": 0.334585,
				"52": 0.25231,
				"53": 0.872115,
				"54": 31.95561,
				"55": 0.1097,
				"56": 0.016455,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.01097,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.05485,
				"28": 0.071305,
				"29": 0.06582,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.027425,
				"34": 0.005485,
				"35": null,
				"36": 0.02194,
				"37": 0.137125,
				"38": 0.038395,
				"39": 0.005485,
				"40": 0.01097,
				"41": 0.356525,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.02194
			},
			"safari": {
				"0": null,
				"4": 0.005485,
				"5": 0.038395,
				"6": 0.01097,
				"7": 0.02194,
				"8": 0.3291,
				"9": 0.40589,
				"10": 2.693135,
				"3.1": null,
				"3.2": null,
				"5.1": 0.06582,
				"6.1": 0.05485,
				"7.1": 0.016455,
				"9.1": 1.39319
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.144513851921,
				"8.1-8.4": 0.186663725398,
				"9.0-9.2": 0.143844806311,
				"9.3": 0.942016219931,
				"10-10.1": 5.00780639644
			},
			"android": {
				"3": 0,
				"4": 0.118319208443,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0136522163588,
				"4.1": 0.375435949868,
				"4.2-4.3": 1.07169898417,
				"4.4": 2.52566002639,
				"4.4.3-4.4.4": 1.93178861478
			},
			"op_mob": {
				"0": 0.180592479074,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00501645775205
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.137446135831,
				"9": 0.142943981265,
				"10": 0.148441826698,
				"11": 1.91874805621,
				"5.5": null
			},
			"edge": {
				"12": 0.093245,
				"13": 0.27425,
				"14": 0.894055
			},
			"bb": {
				"7": 0.01806,
				"10": null
			},
			"ie_mob": {
				"10": 0.10012464,
				"11": 0.46876536
			},
			"and_ff": {
				"0": 0.03612
			},
			"samsung": {
				"0": 5.124525
			},
			"and_uc": {
				"0": 0.374745
			},
			"op_mini": {
				"0": 2.43309106317
			},
			"and_chr": {
				"0": 24.95276
			}
		},
		"total": 98.926385
	};

/***/ },
/* 489 */
/***/ function(module, exports) {

	module.exports = {
		"id": "CU",
		"name": "Cuba",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.28875,
				"3": 0.0175,
				"4": 0.0525,
				"5": 0.6475,
				"6": 0.04375,
				"7": 0.06125,
				"8": 0.0525,
				"9": 0.13125,
				"10": 0.09625,
				"11": 0.07,
				"12": 0.07875,
				"13": 0.105,
				"14": 0.07,
				"15": 0.37625,
				"16": 0.245,
				"17": 0.4025,
				"18": 0.105,
				"19": 0.18375,
				"20": 0.14,
				"21": 0.21875,
				"22": 0.21,
				"23": 0.2975,
				"24": 1.05,
				"25": 0.5425,
				"26": 0.63,
				"27": 0.525,
				"28": 0.1225,
				"29": 0.525,
				"30": 0.2975,
				"31": 0.65625,
				"32": 3.01875,
				"33": 0.79625,
				"34": 1.7675,
				"35": 0.8925,
				"36": 0.91875,
				"37": 2.16125,
				"38": 3.03625,
				"39": 1.33,
				"40": 3.12375,
				"41": 1.70625,
				"42": 1.51375,
				"43": 3.85,
				"44": 1.46125,
				"45": 3.3775,
				"46": 3.22,
				"47": 10.6575,
				"48": 4.55875,
				"49": 13.65875,
				"50": 5.67,
				"51": 0.245,
				"52": 0.035,
				"53": null,
				"3.5": 0.07875,
				"3.6": 0.21875
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.0175,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.0175,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.0175,
				"23": 0.11375,
				"24": 0.00875,
				"25": 0.07875,
				"26": 0.0175,
				"27": 0.0175,
				"28": 0.00875,
				"29": 0.06125,
				"30": 0.035,
				"31": 0.035,
				"32": 0.035,
				"33": 0.07875,
				"34": 0.06125,
				"35": 0.035,
				"36": 0.0525,
				"37": 0.04375,
				"38": 0.21875,
				"39": 0.04375,
				"40": 0.06125,
				"41": 0.07,
				"42": 0.07875,
				"43": 0.07875,
				"44": 0.035,
				"45": 0.23625,
				"46": 0.14875,
				"47": 0.14,
				"48": 0.13125,
				"49": 0.37625,
				"50": 0.175,
				"51": 0.21875,
				"52": 0.30625,
				"53": 0.63875,
				"54": 3.84125,
				"55": 0.02625,
				"56": 0.00875,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.0175,
				"15": 0.00875,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.00875,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.02625,
				"30": null,
				"31": 0.00875,
				"32": 0.0875,
				"33": 0.00875,
				"34": 0.00875,
				"35": null,
				"36": 0.0175,
				"37": 0.02625,
				"38": 0.0175,
				"39": null,
				"40": 0.00875,
				"41": 0.1575,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.0175,
				"11.1": null,
				"11.5": 0.0175,
				"11.6": 0.02625,
				"12.1": 0.035
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.02625,
				"9": 0.0175,
				"10": 0.09625,
				"3.1": null,
				"3.2": null,
				"5.1": null,
				"6.1": null,
				"7.1": null,
				"9.1": 0.07
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0185567010309,
				"8.1-8.4": 0.0239690721649,
				"9.0-9.2": 0.018470790378,
				"9.3": 0.120962199313,
				"10-10.1": 0.643041237113
			},
			"android": {
				"3": 0,
				"4": 0.0292781756502,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00337825103656,
				"4.1": 0.0929019035055,
				"4.2-4.3": 0.26519270637,
				"4.4": 0.624976441764,
				"4.4.3-4.4.4": 0.478022521674
			},
			"op_mob": {
				"0": 0.0117236496898,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000325656935826
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.581925287356,
				"9": 0.11462164751,
				"10": 0.255694444444,
				"11": 1.34019157088,
				"5.5": null
			},
			"edge": {
				"12": 0.13125,
				"13": 0.13125,
				"14": 0.105
			},
			"bb": {
				"7": 0.003125,
				"10": null
			},
			"ie_mob": {
				"10": 0.0132,
				"11": 0.0618
			},
			"and_ff": {
				"0": 2.41875
			},
			"samsung": {
				"0": 0.525
			},
			"and_uc": {
				"0": 0.4975
			},
			"op_mini": {
				"0": 0.157950693374
			},
			"and_chr": {
				"0": 6.71375
			}
		},
		"total": 99.1980579502
	};

/***/ },
/* 490 */
/***/ function(module, exports) {

	module.exports = {
		"id": "CV",
		"name": "Cape Verde",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.006376,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.03188,
				"11": null,
				"12": 0.012752,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.006376,
				"17": null,
				"18": 0.012752,
				"19": null,
				"20": null,
				"21": 0.03188,
				"22": 0.012752,
				"23": null,
				"24": 0.012752,
				"25": 0.006376,
				"26": 0.006376,
				"27": 0.019128,
				"28": null,
				"29": 0.019128,
				"30": null,
				"31": 0.019128,
				"32": 0.019128,
				"33": null,
				"34": 0.012752,
				"35": 0.057384,
				"36": null,
				"37": 0.038256,
				"38": 0.038256,
				"39": 0.006376,
				"40": 0.025504,
				"41": 0.102016,
				"42": 0.025504,
				"43": 0.133896,
				"44": 0.03188,
				"45": 0.076512,
				"46": 0.025504,
				"47": 0.561088,
				"48": 0.580216,
				"49": 2.365496,
				"50": 1.587624,
				"51": 0.082888,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.006376,
				"12": 0.006376,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.06376,
				"20": null,
				"21": null,
				"22": null,
				"23": 0.006376,
				"24": null,
				"25": null,
				"26": 0.006376,
				"27": 0.012752,
				"28": 0.006376,
				"29": 0.012752,
				"30": null,
				"31": 0.012752,
				"32": 0.012752,
				"33": 0.172152,
				"34": 0.03188,
				"35": 0.03188,
				"36": 0.089264,
				"37": 0.044632,
				"38": 0.006376,
				"39": 0.019128,
				"40": 0.146648,
				"41": 0.06376,
				"42": 0.082888,
				"43": 3.76184,
				"44": 0.22316,
				"45": 0.09564,
				"46": 0.070136,
				"47": 0.102016,
				"48": 0.057384,
				"49": 1.536616,
				"50": 0.146648,
				"51": 1.064792,
				"52": 0.420816,
				"53": 0.905392,
				"54": 35.329416,
				"55": 0.172152,
				"56": 0.229536,
				"57": 0.012752
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.038256,
				"29": 0.051008,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.006376,
				"35": 0.012752,
				"36": 0.108392,
				"37": 0.051008,
				"38": null,
				"39": null,
				"40": 0.019128,
				"41": 1.090296,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.006376
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.012752,
				"6": 0.012752,
				"7": null,
				"8": 0.025504,
				"9": 0.03188,
				"10": 0.867136,
				"3.1": null,
				"3.2": null,
				"5.1": 0.06376,
				"6.1": 0.038256,
				"7.1": 0.019128,
				"9.1": 0.35068
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0790690909091,
				"8.1-8.4": 0.102130909091,
				"9.0-9.2": 0.078703030303,
				"9.3": 0.515413333333,
				"10-10.1": 2.73996363636
			},
			"android": {
				"3": 0,
				"4": 0.132190624953,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0152527644176,
				"4.1": 0.419451021485,
				"4.2-4.3": 1.19734200678,
				"4.4": 2.82176141726,
				"4.4.3-4.4.4": 2.1582661651
			},
			"op_mob": {
				"0": 0.188939993504,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00524833315288
			},
			"ie": {
				"6": 0.0193319232409,
				"7": null,
				"8": 0.238427053305,
				"9": 0.154655385928,
				"10": 0.225539104478,
				"11": 2.37782655864,
				"5.5": null
			},
			"edge": {
				"12": 0.229536,
				"13": 0.363432,
				"14": 0.739616
			},
			"bb": {
				"7": 0.008154,
				"10": null
			},
			"ie_mob": {
				"10": 0.200276736,
				"11": 0.937659264
			},
			"and_ff": {
				"0": 0.061608
			},
			"samsung": {
				"0": 1.217664
			},
			"and_uc": {
				"0": 1.217664
			},
			"op_mini": {
				"0": 2.54555567334
			},
			"and_chr": {
				"0": 23.770616
			}
		},
		"total": 98.4982220256
	};

/***/ },
/* 491 */
/***/ function(module, exports) {

	module.exports = {
		"id": "CX",
		"name": "Christmas Island",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": null,
				"42": 3.083776,
				"43": null,
				"44": null,
				"45": null,
				"46": 6.819328,
				"47": 0.807424,
				"48": 6.167552,
				"49": 11.206656,
				"50": 1.789952,
				"51": null,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.807424,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.651776,
				"36": null,
				"37": 0.165376,
				"38": null,
				"39": null,
				"40": 0.4864,
				"41": 0.321024,
				"42": null,
				"43": null,
				"44": null,
				"45": null,
				"46": null,
				"47": null,
				"48": null,
				"49": 1.9456,
				"50": 6.011904,
				"51": null,
				"52": 4.542976,
				"53": 8.12288,
				"54": 10.885632,
				"55": null,
				"56": null,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": 5.039104,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.4864,
				"3.1": null,
				"3.2": null,
				"5.1": 0.165376,
				"6.1": null,
				"7.1": null,
				"9.1": 1.789952
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0267666354264,
				"8.1-8.4": 0.0345735707591,
				"9.0-9.2": 0.026642715818,
				"9.3": 0.174478808706,
				"10-10.1": 0.927538269291
			},
			"android": {
				"3": 0,
				"4": 0,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0,
				"4.1": 0,
				"4.2-4.3": 0,
				"4.4": 0,
				"4.4.3-4.4.4": 0
			},
			"op_mob": {
				"0": 0,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.651776,
				"9": 3.735552,
				"10": 0.807424,
				"11": 8.60928,
				"5.5": null
			},
			"edge": {
				"12": 10.389504,
				"13": 0.4864,
				"14": 0.165376
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0,
				"11": 0
			},
			"and_ff": {
				"0": 0.17
			},
			"samsung": {
				"0": null
			},
			"and_uc": {
				"0": null
			},
			"op_mini": {
				"0": 0
			},
			"and_chr": {
				"0": 1.841776
			}
		},
		"total": 99.3436
	};

/***/ },
/* 492 */
/***/ function(module, exports) {

	module.exports = {
		"id": "CY",
		"name": "Cyprus",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.006261,
				"3": 0.012522,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.018783,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.006261,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.156525,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.006261,
				"36": 0.006261,
				"37": 0.012522,
				"38": 0.056349,
				"39": 0.025044,
				"40": 0.006261,
				"41": 0.012522,
				"42": 0.012522,
				"43": 0.075132,
				"44": 0.018783,
				"45": 0.093915,
				"46": 0.068871,
				"47": 0.319311,
				"48": 0.262962,
				"49": 3.869298,
				"50": 2.25396,
				"51": 0.025044,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.025044
			},
			"chrome": {
				"4": 0.012522,
				"5": 0.018783,
				"6": 0.006261,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.012522,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.018783,
				"19": null,
				"20": null,
				"21": 0.012522,
				"22": 0.037566,
				"23": 0.012522,
				"24": 0.012522,
				"25": null,
				"26": 0.025044,
				"27": null,
				"28": 0.012522,
				"29": 0.012522,
				"30": 0.018783,
				"31": 0.018783,
				"32": 0.012522,
				"33": 0.018783,
				"34": 0.018783,
				"35": 0.031305,
				"36": 0.012522,
				"37": 0.018783,
				"38": 0.068871,
				"39": 0.068871,
				"40": 0.025044,
				"41": 0.037566,
				"42": 0.669927,
				"43": 0.118959,
				"44": 0.037566,
				"45": 0.012522,
				"46": 0.031305,
				"47": 0.050088,
				"48": 0.075132,
				"49": 2.798667,
				"50": 0.144003,
				"51": 0.976716,
				"52": 0.525924,
				"53": 0.68871,
				"54": 32.194062,
				"55": 0.106437,
				"56": 0.075132,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.006261,
				"26": null,
				"27": null,
				"28": 0.012522,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.012522,
				"37": 0.025044,
				"38": 0.087654,
				"39": null,
				"40": 0.012522,
				"41": 0.50088,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.068871
			},
			"safari": {
				"0": null,
				"4": 0.006261,
				"5": 0.043827,
				"6": 0.012522,
				"7": 0.018783,
				"8": 0.112698,
				"9": 0.162786,
				"10": 1.521423,
				"3.1": null,
				"3.2": null,
				"5.1": 0.144003,
				"6.1": 0.056349,
				"7.1": 0.006261,
				"9.1": 0.557229
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.170557270853,
				"8.1-8.4": 0.220303141518,
				"9.0-9.2": 0.169767653858,
				"9.3": 1.11178072852,
				"10-10.1": 5.91028320525
			},
			"android": {
				"3": 0,
				"4": 0.0419929302676,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0048453381078,
				"4.1": 0.133246797965,
				"4.2-4.3": 0.380359041462,
				"4.4": 0.896387549943,
				"4.4.3-4.4.4": 0.685615342254
			},
			"op_mob": {
				"0": 0.0286214976888,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000795041602465
			},
			"ie": {
				"6": null,
				"7": 0.0189141967404,
				"8": 1.13485180442,
				"9": 0.170227770664,
				"10": 0.15761830617,
				"11": 3.934152922,
				"5.5": null
			},
			"edge": {
				"12": 0.056349,
				"13": 0.288006,
				"14": 1.471335
			},
			"bb": {
				"7": 0.01215175,
				"10": null
			},
			"ie_mob": {
				"10": 0.05593544,
				"11": 0.26187956
			},
			"and_ff": {
				"0": 0.011217
			},
			"samsung": {
				"0": 4.232548
			},
			"and_uc": {
				"0": 2.078884
			},
			"op_mini": {
				"0": 0.385612460709
			},
			"and_chr": {
				"0": 21.205131
			}
		},
		"total": 94.99805875
	};

/***/ },
/* 493 */
/***/ function(module, exports) {

	module.exports = {
		"id": "CZ",
		"name": "Czech Republic",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.017288,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.008644,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.034576,
				"22": null,
				"23": null,
				"24": 0.103728,
				"25": 0.008644,
				"26": 0.017288,
				"27": null,
				"28": 0.017288,
				"29": 0.008644,
				"30": 0.008644,
				"31": 0.034576,
				"32": null,
				"33": 0.025932,
				"34": 0.008644,
				"35": 0.08644,
				"36": 0.017288,
				"37": 0.04322,
				"38": 0.121016,
				"39": 0.04322,
				"40": 0.025932,
				"41": 0.034576,
				"42": 0.069152,
				"43": 0.363048,
				"44": 0.060508,
				"45": 0.466776,
				"46": 0.224744,
				"47": 1.400328,
				"48": 0.717452,
				"49": 9.33552,
				"50": 5.298772,
				"51": 0.060508,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.04322
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.008644,
				"11": 0.025932,
				"12": 0.008644,
				"13": null,
				"14": null,
				"15": 0.017288,
				"16": null,
				"17": null,
				"18": 0.017288,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.051864,
				"23": 0.008644,
				"24": null,
				"25": 0.008644,
				"26": 0.017288,
				"27": 0.017288,
				"28": null,
				"29": 0.069152,
				"30": null,
				"31": 0.04322,
				"32": 0.008644,
				"33": 0.017288,
				"34": 0.04322,
				"35": 0.017288,
				"36": 0.017288,
				"37": 0.034576,
				"38": 0.025932,
				"39": 0.060508,
				"40": 0.025932,
				"41": 0.060508,
				"42": 0.017288,
				"43": 0.700164,
				"44": 0.04322,
				"45": 0.04322,
				"46": 0.034576,
				"47": 0.08644,
				"48": 0.155592,
				"49": 2.964892,
				"50": 0.786604,
				"51": 2.221508,
				"52": 0.501352,
				"53": 3.120484,
				"54": 32.950928,
				"55": 0.077796,
				"56": 0.051864,
				"57": 0.008644
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.025932,
				"15": 0.008644,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.017288,
				"28": 0.04322,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.008644,
				"36": 0.12966,
				"37": 0.04322,
				"38": 0.38898,
				"39": 0.017288,
				"40": 0.414912,
				"41": 2.601844,
				"42": 0.017288,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.008644,
				"11.1": null,
				"11.5": null,
				"11.6": 0.017288,
				"12.1": 0.319828
			},
			"safari": {
				"0": null,
				"4": 0.017288,
				"5": 0.017288,
				"6": 0.008644,
				"7": 0.017288,
				"8": 0.069152,
				"9": 0.12966,
				"10": 1.42626,
				"3.1": null,
				"3.2": null,
				"5.1": 0.04322,
				"6.1": 0.017288,
				"7.1": null,
				"9.1": 0.414912
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0526826316776,
				"8.1-8.4": 0.0680483992502,
				"9.0-9.2": 0.052438730605,
				"9.3": 0.343412710195,
				"10-10.1": 1.82559952827
			},
			"android": {
				"3": 0,
				"4": 0.0228475220505,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00263625254429,
				"4.1": 0.072496944968,
				"4.2-4.3": 0.206945824727,
				"4.4": 0.487706720694,
				"4.4.3-4.4.4": 0.373029735017
			},
			"op_mob": {
				"0": 0.0304142506143,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00084484029484
			},
			"ie": {
				"6": 0.00887707385698,
				"7": 0.00887707385698,
				"8": 0.488239062134,
				"9": 0.239680994138,
				"10": 0.239680994138,
				"11": 6.58678880188,
				"5.5": null
			},
			"edge": {
				"12": 0.103728,
				"13": 0.587792,
				"14": 2.212864
			},
			"bb": {
				"7": 0.018998,
				"10": null
			},
			"ie_mob": {
				"10": 0.067589456,
				"11": 0.316441544
			},
			"and_ff": {
				"0": 0.020355
			},
			"samsung": {
				"0": 0.902405
			},
			"and_uc": {
				"0": 0.092276
			},
			"op_mini": {
				"0": 0.409765909091
			},
			"and_chr": {
				"0": 8.376227
			}
		},
		"total": 93.518638
	};

/***/ },
/* 494 */
/***/ function(module, exports) {

	module.exports = {
		"id": "DE",
		"name": "Germany",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.006461,
				"3": 0.012922,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.006461,
				"10": 0.025844,
				"11": 0.006461,
				"12": 0.038766,
				"13": 0.006461,
				"14": null,
				"15": 0.006461,
				"16": 0.019383,
				"17": 0.006461,
				"18": 0.006461,
				"19": null,
				"20": 0.012922,
				"21": 0.012922,
				"22": 0.012922,
				"23": 0.006461,
				"24": 0.032305,
				"25": 0.006461,
				"26": 0.019383,
				"27": 0.012922,
				"28": 0.025844,
				"29": 0.019383,
				"30": 0.025844,
				"31": 0.045227,
				"32": 0.019383,
				"33": 0.038766,
				"34": 0.051688,
				"35": 0.051688,
				"36": 0.045227,
				"37": 0.045227,
				"38": 0.633178,
				"39": 0.116298,
				"40": 0.116298,
				"41": 0.122759,
				"42": 0.264901,
				"43": 0.232596,
				"44": 0.109837,
				"45": 0.814086,
				"46": 0.303667,
				"47": 0.982072,
				"48": 0.77532,
				"49": 11.797786,
				"50": 6.454539,
				"51": 0.083993,
				"52": 0.006461,
				"53": null,
				"3.5": 0.006461,
				"3.6": 0.038766
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.025844,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.012922,
				"19": null,
				"20": null,
				"21": 0.006461,
				"22": 0.038766,
				"23": null,
				"24": 0.006461,
				"25": null,
				"26": 0.019383,
				"27": null,
				"28": 0.006461,
				"29": 0.019383,
				"30": null,
				"31": 0.019383,
				"32": 0.006461,
				"33": 0.019383,
				"34": 0.025844,
				"35": 0.019383,
				"36": 0.012922,
				"37": 0.187369,
				"38": 0.032305,
				"39": 0.045227,
				"40": 0.038766,
				"41": 0.06461,
				"42": 0.051688,
				"43": 0.187369,
				"44": 0.038766,
				"45": 0.058149,
				"46": 0.045227,
				"47": 0.051688,
				"48": 0.12922,
				"49": 0.865774,
				"50": 0.161525,
				"51": 0.788242,
				"52": 0.284284,
				"53": 1.014377,
				"54": 17.470544,
				"55": 0.083993,
				"56": 0.032305,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.025844,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.012922,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.006461,
				"34": null,
				"35": null,
				"36": 0.058149,
				"37": 0.032305,
				"38": 0.096915,
				"39": 0.012922,
				"40": 0.077532,
				"41": 1.318044,
				"42": 0.012922,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.006461,
				"12.1": 0.232596
			},
			"safari": {
				"0": null,
				"4": 0.019383,
				"5": 0.058149,
				"6": 0.012922,
				"7": 0.038766,
				"8": 0.180908,
				"9": 0.232596,
				"10": 2.416414,
				"3.1": null,
				"3.2": null,
				"5.1": 0.142142,
				"6.1": 0.083993,
				"7.1": 0.012922,
				"9.1": 0.949767
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.231723238988,
				"8.1-8.4": 0.299309183693,
				"9.0-9.2": 0.230650446215,
				"9.3": 1.51049222451,
				"10-10.1": 8.02985390659
			},
			"android": {
				"3": 0,
				"4": 0.0350991963815,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00404990727478,
				"4.1": 0.111372450057,
				"4.2-4.3": 0.31791772107,
				"4.4": 0.749232845835,
				"4.4.3-4.4.4": 0.573061879382
			},
			"op_mob": {
				"0": 0.0226974685379,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000630485237163
			},
			"ie": {
				"6": 0.0325776160338,
				"7": 0.0195465696203,
				"8": 0.293198544304,
				"9": 0.254105405063,
				"10": 0.22152778903,
				"11": 6.89993907595,
				"5.5": null
			},
			"edge": {
				"12": 0.090454,
				"13": 0.445809,
				"14": 2.448719
			},
			"bb": {
				"7": 0.014156,
				"10": null
			},
			"ie_mob": {
				"10": 0.097789648,
				"11": 0.457833352
			},
			"and_ff": {
				"0": 0.081397
			},
			"samsung": {
				"0": 5.782726
			},
			"and_uc": {
				"0": 0.364517
			},
			"op_mini": {
				"0": 0.305799046225
			},
			"and_chr": {
				"0": 16.240692
			}
		},
		"total": 97.564133
	};

/***/ },
/* 495 */
/***/ function(module, exports) {

	module.exports = {
		"id": "DJ",
		"name": "Djibouti",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.016638,
				"4": 0.008319,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.011092,
				"10": 0.005546,
				"11": 0.005546,
				"12": 0.013865,
				"13": 0.002773,
				"14": null,
				"15": 0.005546,
				"16": null,
				"17": null,
				"18": 0.02773,
				"19": null,
				"20": 0.005546,
				"21": null,
				"22": 0.002773,
				"23": 0.005546,
				"24": 0.002773,
				"25": 0.002773,
				"26": 0.005546,
				"27": null,
				"28": 0.002773,
				"29": 0.019411,
				"30": 0.038822,
				"31": 0.013865,
				"32": 0.049914,
				"33": 0.044368,
				"34": 0.049914,
				"35": 0.005546,
				"36": 0.041595,
				"37": 0.013865,
				"38": 0.063779,
				"39": 0.024957,
				"40": 0.033276,
				"41": 0.024957,
				"42": 0.011092,
				"43": 0.105374,
				"44": 0.069325,
				"45": 0.033276,
				"46": 0.024957,
				"47": 0.144196,
				"48": 0.094282,
				"49": 2.315455,
				"50": 1.281126,
				"51": 0.105374,
				"52": null,
				"53": null,
				"3.5": 0.005546,
				"3.6": 0.005546
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": 0.002773,
				"8": null,
				"9": 0.011092,
				"10": 0.022184,
				"11": 0.02773,
				"12": null,
				"13": null,
				"14": null,
				"15": 0.011092,
				"16": 0.008319,
				"17": null,
				"18": 0.005546,
				"19": null,
				"20": 0.013865,
				"21": 0.033276,
				"22": null,
				"23": 0.011092,
				"24": null,
				"25": 0.05546,
				"26": 0.008319,
				"27": 0.005546,
				"28": 0.005546,
				"29": null,
				"30": 0.024957,
				"31": 0.044368,
				"32": 0.002773,
				"33": 0.024957,
				"34": null,
				"35": null,
				"36": 0.044368,
				"37": 0.008319,
				"38": 0.036049,
				"39": 0.013865,
				"40": 0.033276,
				"41": 0.024957,
				"42": 0.008319,
				"43": 0.280073,
				"44": 0.160834,
				"45": 0.210748,
				"46": 0.019411,
				"47": 0.038822,
				"48": 0.019411,
				"49": 0.923409,
				"50": 0.069325,
				"51": 0.504686,
				"52": 0.196883,
				"53": 0.41595,
				"54": 15.27923,
				"55": 0.052687,
				"56": 0.063779,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.002773,
				"29": null,
				"30": null,
				"31": 0.005546,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.008319,
				"37": 0.038822,
				"38": null,
				"39": null,
				"40": 0.474183,
				"41": 0.271754,
				"42": 0.008319,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.005546,
				"12.1": 0.002773
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": 0.008319,
				"8": 0.013865,
				"9": 0.036049,
				"10": 0.327214,
				"3.1": null,
				"3.2": null,
				"5.1": 0.008319,
				"6.1": 0.02773,
				"7.1": 0.013865,
				"9.1": 0.116466
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0396693233365,
				"8.1-8.4": 0.0512395426429,
				"9.0-9.2": 0.0394856690618,
				"9.3": 0.258585218786,
				"10-10.1": 1.37465224617
			},
			"android": {
				"3": 0,
				"4": 0.188423852243,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0217412137203,
				"4.1": 0.597883377309,
				"4.2-4.3": 1.70668527704,
				"4.4": 4.02212453826,
				"4.4.3-4.4.4": 3.07638174142
			},
			"op_mob": {
				"0": 1.05773636347,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0293815656519
			},
			"ie": {
				"6": 0.00834479534884,
				"7": 0.00278159844961,
				"8": 0.175240702326,
				"9": 0.0584135674419,
				"10": 0.0751031581395,
				"11": 1.46590238295,
				"5.5": null
			},
			"edge": {
				"12": 0.058233,
				"13": 0.130331,
				"14": 0.316122
			},
			"bb": {
				"7": 0.007228,
				"10": null
			},
			"ie_mob": {
				"10": 0.122124288,
				"11": 0.571763712
			},
			"and_ff": {
				"0": 0.014456
			},
			"samsung": {
				"0": 2.775552
			},
			"and_uc": {
				"0": 16.964116
			},
			"op_mini": {
				"0": 14.2506980709
			},
			"and_chr": {
				"0": 24.856955
			}
		},
		"total": 99.1551162047
	};

/***/ },
/* 496 */
/***/ function(module, exports) {

	module.exports = {
		"id": "DK",
		"name": "Denmark",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": 0.006238,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.012476,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.006238,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.018714,
				"34": null,
				"35": 0.018714,
				"36": 0.012476,
				"37": 0.018714,
				"38": 0.03119,
				"39": 0.012476,
				"40": 0.018714,
				"41": 0.012476,
				"42": 0.012476,
				"43": 0.068618,
				"44": 0.024952,
				"45": 0.474088,
				"46": 0.049904,
				"47": 0.224568,
				"48": 0.212092,
				"49": 3.268712,
				"50": 1.883876,
				"51": 0.018714,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.018714,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.006238,
				"27": 0.006238,
				"28": null,
				"29": 0.006238,
				"30": null,
				"31": 0.024952,
				"32": 0.012476,
				"33": 0.012476,
				"34": 0.03119,
				"35": 0.024952,
				"36": 0.012476,
				"37": 0.012476,
				"38": 0.037428,
				"39": 0.037428,
				"40": 0.024952,
				"41": 0.081094,
				"42": 0.043666,
				"43": 0.099808,
				"44": 0.06238,
				"45": 0.043666,
				"46": 0.049904,
				"47": 0.056142,
				"48": 0.099808,
				"49": 0.9357,
				"50": 0.09357,
				"51": 0.511516,
				"52": 0.349328,
				"53": 1.241362,
				"54": 29.936162,
				"55": 0.087332,
				"56": 0.024952,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.024952,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.024952,
				"34": null,
				"35": null,
				"36": 0.006238,
				"37": 0.006238,
				"38": 0.043666,
				"39": null,
				"40": 0.006238,
				"41": 0.324376,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.024952
			},
			"safari": {
				"0": null,
				"4": 0.006238,
				"5": 0.024952,
				"6": 0.006238,
				"7": 0.037428,
				"8": 0.368042,
				"9": 0.461612,
				"10": 4.940496,
				"3.1": null,
				"3.2": null,
				"5.1": 0.074856,
				"6.1": 0.081094,
				"7.1": 0.018714,
				"9.1": 2.1833
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.380783505155,
				"8.1-8.4": 0.491845360825,
				"9.0-9.2": 0.379020618557,
				"9.3": 2.4821443299,
				"10-10.1": 13.1952061856
			},
			"android": {
				"3": 0,
				"4": 0.0216049121749,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00249287448172,
				"4.1": 0.0685540482473,
				"4.2-4.3": 0.195690646815,
				"4.4": 0.461181779118,
				"4.4.3-4.4.4": 0.352741739163
			},
			"op_mob": {
				"0": 0.0173823105818,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000482841960605
			},
			"ie": {
				"6": 0.0125419607251,
				"7": 0.0125419607251,
				"8": 0.156774509063,
				"9": 0.244568234139,
				"10": 0.269652155589,
				"11": 7.60669917976,
				"5.5": null
			},
			"edge": {
				"12": 0.074856,
				"13": 0.486564,
				"14": 3.418424
			},
			"bb": {
				"7": 0.0047025,
				"10": null
			},
			"ie_mob": {
				"10": 0.074156544,
				"11": 0.347187456
			},
			"and_ff": {
				"0": 0.03762
			},
			"samsung": {
				"0": 3.205224
			},
			"and_uc": {
				"0": 1.290366
			},
			"op_mini": {
				"0": 0.234188847458
			},
			"and_chr": {
				"0": 14.322164
			}
		},
		"total": 98.9029945
	};

/***/ },
/* 497 */
/***/ function(module, exports) {

	module.exports = {
		"id": "DM",
		"name": "Dominica",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": 0.011864,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": 0.011864,
				"25": null,
				"26": null,
				"27": 0.005932,
				"28": null,
				"29": null,
				"30": 0.017796,
				"31": 0.005932,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.005932,
				"37": 0.02966,
				"38": 0.005932,
				"39": 0.017796,
				"40": null,
				"41": 0.011864,
				"42": null,
				"43": 0.023728,
				"44": 0.017796,
				"45": 0.02966,
				"46": 0.02966,
				"47": 0.106776,
				"48": 0.189824,
				"49": 3.82614,
				"50": 1.89824,
				"51": 0.071184,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.011864,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.017796,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.071184,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.005932,
				"29": null,
				"30": 0.053388,
				"31": 0.023728,
				"32": 0.017796,
				"33": 0.011864,
				"34": 0.041524,
				"35": 0.011864,
				"36": 0.094912,
				"37": 0.011864,
				"38": 0.005932,
				"39": 0.047456,
				"40": 0.023728,
				"41": 0.02966,
				"42": null,
				"43": 0.035592,
				"44": 0.005932,
				"45": 0.243212,
				"46": 0.011864,
				"47": 0.035592,
				"48": 0.106776,
				"49": 1.049964,
				"50": 0.112708,
				"51": 0.314396,
				"52": 0.569472,
				"53": 0.91946,
				"54": 33.836128,
				"55": 0.112708,
				"56": 0.183892,
				"57": 0.005932
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.023728,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.130504,
				"37": 0.154232,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.433036,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.017796
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.017796,
				"6": null,
				"7": 0.011864,
				"8": 0.160164,
				"9": 0.278804,
				"10": 1.441476,
				"3.1": null,
				"3.2": null,
				"5.1": 0.047456,
				"6.1": 0.005932,
				"7.1": 0.035592,
				"9.1": 0.729636
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0956189690722,
				"8.1-8.4": 0.123507835052,
				"9.0-9.2": 0.0951762886598,
				"9.3": 0.623294020619,
				"10-10.1": 3.3134628866
			},
			"android": {
				"3": 0,
				"4": 0.137542254052,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0158702600829,
				"4.1": 0.43643215228,
				"4.2-4.3": 1.24581541651,
				"4.4": 2.93599811534,
				"4.4.3-4.4.4": 2.24564180173
			},
			"op_mob": {
				"0": 0.0373118254279,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00103643959522
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.156865943074,
				"9": 0.0904995825427,
				"10": 0.114632804554,
				"11": 2.81152036433,
				"5.5": null
			},
			"edge": {
				"12": 0.320328,
				"13": 0.605064,
				"14": 2.206704
			},
			"bb": {
				"7": 0.161703,
				"10": null
			},
			"ie_mob": {
				"10": 0.127442304,
				"11": 0.596661696
			},
			"and_ff": {
				"0": 0.016272
			},
			"samsung": {
				"0": 4.080204
			},
			"and_uc": {
				"0": 0.597996
			},
			"op_mini": {
				"0": 0.502695734977
			},
			"and_chr": {
				"0": 26.862836
			}
		},
		"total": 98.3878496945
	};

/***/ },
/* 498 */
/***/ function(module, exports) {

	module.exports = {
		"id": "DO",
		"name": "Dominican Republic",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.022608,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.005652,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.005652,
				"32": null,
				"33": 0.005652,
				"34": null,
				"35": 0.005652,
				"36": null,
				"37": 0.011304,
				"38": 0.039564,
				"39": 0.016956,
				"40": 0.011304,
				"41": 0.011304,
				"42": 0.016956,
				"43": 0.101736,
				"44": 0.039564,
				"45": 0.107388,
				"46": 0.08478,
				"47": 0.457812,
				"48": 0.259992,
				"49": 1.961244,
				"50": 1.18692,
				"51": 0.022608,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.016956
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.033912,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": 0.011304,
				"18": 0.016956,
				"19": null,
				"20": null,
				"21": 0.005652,
				"22": 0.02826,
				"23": 0.005652,
				"24": 0.005652,
				"25": 0.011304,
				"26": 0.011304,
				"27": 0.011304,
				"28": 0.011304,
				"29": 0.045216,
				"30": 0.005652,
				"31": 0.033912,
				"32": 0.011304,
				"33": 0.011304,
				"34": 0.02826,
				"35": 0.016956,
				"36": 0.022608,
				"37": 0.022608,
				"38": 0.045216,
				"39": 0.073476,
				"40": 0.033912,
				"41": 0.02826,
				"42": 0.073476,
				"43": 0.220428,
				"44": 0.079128,
				"45": 0.050868,
				"46": 0.073476,
				"47": 0.101736,
				"48": 0.11304,
				"49": 2.944692,
				"50": 0.305208,
				"51": 1.175616,
				"52": 0.531288,
				"53": 1.000404,
				"54": 34.42068,
				"55": 0.129996,
				"56": 0.033912,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.011304,
				"29": 0.005652,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.005652,
				"35": null,
				"36": 0.022608,
				"37": 0.02826,
				"38": 0.16956,
				"39": 0.011304,
				"40": 0.022608,
				"41": 0.491724,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.011304
			},
			"safari": {
				"0": null,
				"4": 0.02826,
				"5": 0.033912,
				"6": 0.005652,
				"7": 0.016956,
				"8": 0.16956,
				"9": 0.203472,
				"10": 1.333872,
				"3.1": null,
				"3.2": null,
				"5.1": 0.050868,
				"6.1": 0.02826,
				"7.1": 0.005652,
				"9.1": 0.638676
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.130464449859,
				"8.1-8.4": 0.168516581068,
				"9.0-9.2": 0.129860447777,
				"9.3": 0.850434932417,
				"10-10.1": 4.52095558888
			},
			"android": {
				"3": 0,
				"4": 0.095108607614,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0109740701093,
				"4.1": 0.301786928006,
				"4.2-4.3": 0.861464503581,
				"4.4": 2.03020297022,
				"4.4.3-4.4.4": 1.55283092047
			},
			"op_mob": {
				"0": 0.0470763842918,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00130767734144
			},
			"ie": {
				"6": 0.0261335049505,
				"7": 0.00653337623762,
				"8": 0.614137366337,
				"9": 0.209068039604,
				"10": 0.235201544554,
				"11": 1.54841016832,
				"5.5": null
			},
			"edge": {
				"12": 0.062172,
				"13": 0.209124,
				"14": 0.627372
			},
			"bb": {
				"7": 0.067394,
				"10": null
			},
			"ie_mob": {
				"10": 0.09182976,
				"11": 0.42993024
			},
			"and_ff": {
				"0": 0.017392
			},
			"samsung": {
				"0": 2.169652
			},
			"and_uc": {
				"0": 0.226096
			},
			"op_mini": {
				"0": 0.634251938367
			},
			"and_chr": {
				"0": 31.062384
			}
		},
		"total": 98.410022
	};

/***/ },
/* 499 */
/***/ function(module, exports) {

	module.exports = {
		"id": "DZ",
		"name": "Algeria",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.01273,
				"3": 0.07638,
				"4": 0.031825,
				"5": 0.006365,
				"6": 0.006365,
				"7": 0.006365,
				"8": 0.01273,
				"9": 0.006365,
				"10": 0.01273,
				"11": 0.02546,
				"12": 0.05092,
				"13": 0.01273,
				"14": 0.02546,
				"15": 0.031825,
				"16": 0.02546,
				"17": 0.02546,
				"18": 0.019095,
				"19": 0.02546,
				"20": 0.02546,
				"21": 0.02546,
				"22": 0.019095,
				"23": 0.02546,
				"24": 0.02546,
				"25": 0.02546,
				"26": 0.03819,
				"27": 0.02546,
				"28": 0.02546,
				"29": 0.070015,
				"30": 0.07638,
				"31": 0.05092,
				"32": 0.06365,
				"33": 0.082745,
				"34": 0.070015,
				"35": 0.082745,
				"36": 0.082745,
				"37": 0.070015,
				"38": 0.133665,
				"39": 0.07638,
				"40": 0.10184,
				"41": 0.11457,
				"42": 0.095475,
				"43": 0.54739,
				"44": 0.19095,
				"45": 0.197315,
				"46": 0.19095,
				"47": 1.012035,
				"48": 0.413725,
				"49": 4.487325,
				"50": 2.603285,
				"51": 0.120935,
				"52": 0.006365,
				"53": null,
				"3.5": 0.02546,
				"3.6": 0.1273
			},
			"chrome": {
				"4": 0.02546,
				"5": 0.019095,
				"6": 0.019095,
				"7": 0.01273,
				"8": 0.14003,
				"9": null,
				"10": 0.02546,
				"11": 0.070015,
				"12": 0.031825,
				"13": 0.01273,
				"14": 0.02546,
				"15": 0.057285,
				"16": 0.044555,
				"17": 0.031825,
				"18": 0.11457,
				"19": 0.02546,
				"20": 0.044555,
				"21": 0.02546,
				"22": 0.05092,
				"23": 0.02546,
				"24": 0.019095,
				"25": 0.082745,
				"26": 0.07638,
				"27": 0.03819,
				"28": 0.06365,
				"29": 0.095475,
				"30": 0.08911,
				"31": 0.15276,
				"32": 0.070015,
				"33": 0.2546,
				"34": 0.082745,
				"35": 0.03819,
				"36": 0.05092,
				"37": 0.057285,
				"38": 0.095475,
				"39": 0.133665,
				"40": 0.20368,
				"41": 0.06365,
				"42": 0.07638,
				"43": 2.52054,
				"44": 0.1273,
				"45": 0.146395,
				"46": 0.14003,
				"47": 0.17822,
				"48": 0.235505,
				"49": 3.819,
				"50": 0.30552,
				"51": 1.43849,
				"52": 0.47101,
				"53": 0.833815,
				"54": 28.063285,
				"55": 0.20368,
				"56": 0.120935,
				"57": 0.006365
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": 0.006365,
				"18": 0.006365,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.01273,
				"31": null,
				"32": null,
				"33": 0.006365,
				"34": 0.01273,
				"35": 0.01273,
				"36": 0.14003,
				"37": 0.03819,
				"38": 0.120935,
				"39": 0.057285,
				"40": 0.070015,
				"41": 1.393935,
				"42": 0.01273,
				"43": 0.006365,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.01273,
				"12.1": 0.07638
			},
			"safari": {
				"0": null,
				"4": 0.019095,
				"5": 0.006365,
				"6": 0.01273,
				"7": 0.02546,
				"8": 0.044555,
				"9": 0.02546,
				"10": 0.146395,
				"3.1": null,
				"3.2": null,
				"5.1": 0.02546,
				"6.1": null,
				"7.1": null,
				"9.1": 0.06365
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0304154451734,
				"8.1-8.4": 0.0392866166823,
				"9.0-9.2": 0.0302746329272,
				"9.3": 0.198263642612,
				"10-10.1": 1.05397966261
			},
			"android": {
				"3": 0,
				"4": 0.113853735394,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0131369694685,
				"4.1": 0.361266660384,
				"4.2-4.3": 1.03125210328,
				"4.4": 2.43033935168,
				"4.4.3-4.4.4": 1.8588811798
			},
			"op_mob": {
				"0": 0.131105229667,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0036418119352
			},
			"ie": {
				"6": 0.0283069648562,
				"7": 0.0495371884984,
				"8": 0.672290415335,
				"9": 0.205225495208,
				"10": 0.19107201278,
				"11": 1.06858792332,
				"5.5": null
			},
			"edge": {
				"12": 0.044555,
				"13": 0.095475,
				"14": 0.171855
			},
			"bb": {
				"7": 0.0090875,
				"10": null
			},
			"ie_mob": {
				"10": 0.07613144,
				"11": 0.35643356
			},
			"and_ff": {
				"0": 0.02181
			},
			"samsung": {
				"0": 1.77388
			},
			"and_uc": {
				"0": 1.544875
			},
			"op_mini": {
				"0": 1.7663579584
			},
			"and_chr": {
				"0": 27.10045
			}
		},
		"total": 97.7261925
	};

/***/ },
/* 500 */
/***/ function(module, exports) {

	module.exports = {
		"id": "EC",
		"name": "Ecuador",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.006792,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.013584,
				"12": 0.006792,
				"13": 0.006792,
				"14": 0.013584,
				"15": null,
				"16": 0.013584,
				"17": 0.013584,
				"18": null,
				"19": null,
				"20": 0.006792,
				"21": 0.054336,
				"22": 0.013584,
				"23": 0.03396,
				"24": 0.013584,
				"25": 0.020376,
				"26": 0.006792,
				"27": 0.013584,
				"28": 0.020376,
				"29": 0.03396,
				"30": 0.020376,
				"31": 0.040752,
				"32": 0.020376,
				"33": 0.047544,
				"34": 0.03396,
				"35": 0.047544,
				"36": 0.040752,
				"37": 0.10188,
				"38": 0.081504,
				"39": 0.06792,
				"40": 0.06792,
				"41": 0.081504,
				"42": 0.061128,
				"43": 0.298848,
				"44": 0.10188,
				"45": 0.163008,
				"46": 0.122256,
				"47": 0.658824,
				"48": 0.604488,
				"49": 5.542272,
				"50": 3.491088,
				"51": 0.047544,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.013584
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.020376,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.020376,
				"19": null,
				"20": null,
				"21": 0.006792,
				"22": 0.149424,
				"23": 0.013584,
				"24": null,
				"25": 0.006792,
				"26": 0.054336,
				"27": 0.027168,
				"28": 0.013584,
				"29": 0.03396,
				"30": 0.013584,
				"31": 0.03396,
				"32": 0.027168,
				"33": 0.020376,
				"34": 0.040752,
				"35": 0.03396,
				"36": 0.040752,
				"37": 0.03396,
				"38": 0.054336,
				"39": 0.06792,
				"40": 0.03396,
				"41": 0.10188,
				"42": 0.03396,
				"43": 0.163008,
				"44": 0.088296,
				"45": 0.088296,
				"46": 0.081504,
				"47": 0.13584,
				"48": 0.10188,
				"49": 1.922136,
				"50": 0.183384,
				"51": 0.502608,
				"52": 0.489024,
				"53": 1.05276,
				"54": 42.2802,
				"55": 0.20376,
				"56": 0.054336,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.006792,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.06792,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.020376,
				"37": 0.013584,
				"38": 0.020376,
				"39": 0.013584,
				"40": 0.020376,
				"41": 0.584112,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.013584
			},
			"safari": {
				"0": null,
				"4": 0.006792,
				"5": 0.020376,
				"6": 0.013584,
				"7": 0.047544,
				"8": 0.244512,
				"9": 0.176592,
				"10": 1.276896,
				"3.1": null,
				"3.2": null,
				"5.1": 0.054336,
				"6.1": 0.027168,
				"7.1": 0.006792,
				"9.1": 0.685992
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0598720149953,
				"8.1-8.4": 0.0773346860356,
				"9.0-9.2": 0.0595948297407,
				"9.3": 0.390276838488,
				"10-10.1": 2.07473163074
			},
			"android": {
				"3": 0,
				"4": 0.0629843678854,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0072674270637,
				"4.1": 0.199854244252,
				"4.2-4.3": 0.570493024501,
				"4.4": 1.34447400678,
				"4.4.3-4.4.4": 1.02834092951
			},
			"op_mob": {
				"0": 0.115226028901,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00320072302503
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.198484660194,
				"9": 0.0992423300971,
				"10": 0.141774757282,
				"11": 1.02077825243,
				"5.5": null
			},
			"edge": {
				"12": 0.061128,
				"13": 0.163008,
				"14": 0.529776
			},
			"bb": {
				"7": 0.067347,
				"10": null
			},
			"ie_mob": {
				"10": 0.204324384,
				"11": 0.956609616
			},
			"and_ff": {
				"0": 0.019242
			},
			"samsung": {
				"0": 3.30321
			},
			"and_uc": {
				"0": 0.330321
			},
			"op_mini": {
				"0": 1.55242024807
			},
			"and_chr": {
				"0": 20.217414
			}
		},
		"total": 98.459019
	};

/***/ },
/* 501 */
/***/ function(module, exports) {

	module.exports = {
		"id": "EE",
		"name": "Estonia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.024405,
				"3": 0.06508,
				"4": 0.01627,
				"5": 0.008135,
				"6": null,
				"7": null,
				"8": 0.008135,
				"9": 0.008135,
				"10": null,
				"11": null,
				"12": 0.01627,
				"13": 0.01627,
				"14": 0.008135,
				"15": 0.105755,
				"16": 0.21151,
				"17": 0.03254,
				"18": 0.008135,
				"19": 0.01627,
				"20": 0.008135,
				"21": 0.024405,
				"22": null,
				"23": 0.008135,
				"24": 0.024405,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.01627,
				"29": 0.08135,
				"30": 0.008135,
				"31": 0.03254,
				"32": 0.008135,
				"33": 0.03254,
				"34": 0.024405,
				"35": 0.024405,
				"36": 0.01627,
				"37": 0.024405,
				"38": 0.154565,
				"39": 0.03254,
				"40": 0.024405,
				"41": 0.09762,
				"42": 0.089485,
				"43": 0.626395,
				"44": 0.04881,
				"45": 0.707745,
				"46": 0.105755,
				"47": 0.724015,
				"48": 0.366075,
				"49": 7.12626,
				"50": 4.24647,
				"51": 0.04881,
				"52": null,
				"53": null,
				"3.5": 0.122025,
				"3.6": 0.300995
			},
			"chrome": {
				"4": 0.024405,
				"5": 0.024405,
				"6": null,
				"7": 0.01627,
				"8": null,
				"9": 0.008135,
				"10": 0.008135,
				"11": 0.008135,
				"12": 0.024405,
				"13": 0.024405,
				"14": 0.01627,
				"15": 0.01627,
				"16": 0.008135,
				"17": 0.008135,
				"18": 0.056945,
				"19": 0.024405,
				"20": 0.040675,
				"21": 0.056945,
				"22": 0.04881,
				"23": 0.01627,
				"24": 0.008135,
				"25": 0.008135,
				"26": 0.056945,
				"27": 0.04881,
				"28": 0.01627,
				"29": null,
				"30": null,
				"31": 0.024405,
				"32": 0.008135,
				"33": 0.024405,
				"34": 0.024405,
				"35": 0.040675,
				"36": 0.024405,
				"37": 0.024405,
				"38": 0.04881,
				"39": 0.122025,
				"40": 0.04881,
				"41": 0.073215,
				"42": 0.040675,
				"43": 0.13016,
				"44": 0.089485,
				"45": 0.04881,
				"46": 0.040675,
				"47": 0.06508,
				"48": 0.08135,
				"49": 1.54565,
				"50": 0.17897,
				"51": 0.707745,
				"52": 0.219645,
				"53": 1.179575,
				"54": 40.82143,
				"55": 0.154565,
				"56": 0.105755,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.01627,
				"12": 0.11389,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.008135,
				"26": null,
				"27": 0.06508,
				"28": null,
				"29": null,
				"30": 0.03254,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.122025,
				"37": 0.01627,
				"38": 0.08135,
				"39": 0.01627,
				"40": 0.024405,
				"41": 1.20398,
				"42": 0.024405,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0.056945,
				"10.5": 0.01627,
				"10.6": 0.01627,
				"11.1": 0.03254,
				"11.5": 0.024405,
				"11.6": 0.08135,
				"12.1": 0.398615
			},
			"safari": {
				"0": null,
				"4": 0.06508,
				"5": 0.105755,
				"6": 0.01627,
				"7": 0.024405,
				"8": 0.1627,
				"9": 0.21151,
				"10": 3.001815,
				"3.1": 0.008135,
				"3.2": null,
				"5.1": 0.08135,
				"6.1": 0.08135,
				"7.1": 0.01627,
				"9.1": 1.07382
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.107600187441,
				"8.1-8.4": 0.138983575445,
				"9.0-9.2": 0.107102038425,
				"9.3": 0.701393814433,
				"10-10.1": 3.72864538425
			},
			"android": {
				"3": 0,
				"4": 0.0150605955522,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00173776102525,
				"4.1": 0.0477884281945,
				"4.2-4.3": 0.136414240482,
				"4.4": 0.321485789672,
				"4.4.3-4.4.4": 0.245893185074
			},
			"op_mob": {
				"0": 0.0123470720027,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000342974222296
			},
			"ie": {
				"6": null,
				"7": 0.0163258466819,
				"8": 0.220398930206,
				"9": 0.163258466819,
				"10": 0.179584313501,
				"11": 6.55482744279,
				"5.5": null
			},
			"edge": {
				"12": 0.040675,
				"13": 0.34167,
				"14": 1.52938
			},
			"bb": {
				"7": 0.001865,
				"10": null
			},
			"ie_mob": {
				"10": 0.04496888,
				"11": 0.21053612
			},
			"and_ff": {
				"0": 0.02984
			},
			"samsung": {
				"0": 1.98809
			},
			"and_uc": {
				"0": 0.042895
			},
			"op_mini": {
				"0": 0.166349953775
			},
			"and_chr": {
				"0": 10.75853
			}
		},
		"total": 97.19673
	};

/***/ },
/* 502 */
/***/ function(module, exports) {

	module.exports = {
		"id": "EG",
		"name": "Egypt",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.730997,
				"3": 0.058221,
				"4": 0.058221,
				"5": 0.058221,
				"6": 0.006469,
				"7": 0.025876,
				"8": 0.051752,
				"9": 0.051752,
				"10": 0.038814,
				"11": 0.084097,
				"12": 0.077628,
				"13": 0.090566,
				"14": 0.038814,
				"15": 0.815094,
				"16": 0.084097,
				"17": 0.058221,
				"18": 0.782749,
				"19": 0.077628,
				"20": 0.084097,
				"21": 0.815094,
				"22": 0.084097,
				"23": 0.802156,
				"24": 0.109973,
				"25": 1.559029,
				"26": 0.187601,
				"27": 0.181132,
				"28": 0.219946,
				"29": 0.232884,
				"30": 0.232884,
				"31": 0.284636,
				"32": 0.155256,
				"33": 0.051752,
				"34": 0.071159,
				"35": 0.109973,
				"36": 0.148787,
				"37": 0.174663,
				"38": 0.213477,
				"39": 0.187601,
				"40": 0.200539,
				"41": 0.103504,
				"42": 0.032345,
				"43": 0.25876,
				"44": 0.142318,
				"45": 0.097035,
				"46": 0.103504,
				"47": 0.523989,
				"48": 0.310512,
				"49": 3.370349,
				"50": 1.817789,
				"51": 0.12938,
				"52": null,
				"53": null,
				"3.5": 0.012938,
				"3.6": 0.148787
			},
			"chrome": {
				"4": 0.045283,
				"5": 0.051752,
				"6": 0.019407,
				"7": null,
				"8": null,
				"9": 0.051752,
				"10": 0.006469,
				"11": 0.122911,
				"12": 0.058221,
				"13": null,
				"14": null,
				"15": 0.006469,
				"16": 0.071159,
				"17": 0.097035,
				"18": 0.019407,
				"19": 0.750404,
				"20": 0.12938,
				"21": 0.058221,
				"22": 0.038814,
				"23": 0.084097,
				"24": 2.167115,
				"25": 0.122911,
				"26": 0.200539,
				"27": 0.109973,
				"28": 0.168194,
				"29": 0.155256,
				"30": 0.866846,
				"31": 0.329919,
				"32": 0.414016,
				"33": 0.866846,
				"34": 0.485175,
				"35": 1.753099,
				"36": 0.355795,
				"37": 0.426954,
				"38": 0.239353,
				"39": 0.304043,
				"40": 0.304043,
				"41": 0.511051,
				"42": 0.569272,
				"43": 3.338004,
				"44": 1.254986,
				"45": 0.608086,
				"46": 0.265229,
				"47": 0.12938,
				"48": 0.142318,
				"49": 1.707816,
				"50": 0.090566,
				"51": 0.472237,
				"52": 0.304043,
				"53": 0.536927,
				"54": 14.076544,
				"55": 0.051752,
				"56": 0.058221,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.025876,
				"12": 0.012938,
				"15": 0.025876,
				"16": null,
				"17": 0.025876,
				"18": 0.032345,
				"19": 0.071159,
				"20": 0.097035,
				"21": 0.097035,
				"22": 0.077628,
				"23": 0.071159,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.051752,
				"29": 0.051752,
				"30": 0.077628,
				"31": 0.045283,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.06469,
				"37": 0.012938,
				"38": 0.038814,
				"39": 0.006469,
				"40": 0.012938,
				"41": 0.543396,
				"42": 0.006469,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0.730997,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.051752,
				"12.1": 0.051752
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.71159,
				"6": 0.025876,
				"7": 0.038814,
				"8": 0.071159,
				"9": 0.038814,
				"10": 0.161725,
				"3.1": null,
				"3.2": null,
				"5.1": 0.012938,
				"6.1": null,
				"7.1": null,
				"9.1": 0.084097
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.057978556701,
				"8.1-8.4": 0.0748889690722,
				"9.0-9.2": 0.057710137457,
				"9.3": 0.377934295533,
				"10-10.1": 2.00911804124
			},
			"android": {
				"3": 0,
				"4": 0.0880340987561,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0101577806257,
				"4.1": 0.279338967207,
				"4.2-4.3": 0.797385779118,
				"4.4": 1.87918941576,
				"4.4.3-4.4.4": 1.43732595854
			},
			"op_mob": {
				"0": 0.127841227668,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00355114521301
			},
			"ie": {
				"6": 0.0131106837782,
				"7": 0.0327767094456,
				"8": 2.15015213963,
				"9": 1.63228013039,
				"10": 1.56017136961,
				"11": 0.996411967146,
				"5.5": null
			},
			"edge": {
				"12": 0.045283,
				"13": 0.084097,
				"14": 0.155256
			},
			"bb": {
				"7": 0.007062,
				"10": null
			},
			"ie_mob": {
				"10": 0.048473568,
				"11": 0.226944432
			},
			"and_ff": {
				"0": 0.052965
			},
			"samsung": {
				"0": 2.111538
			},
			"and_uc": {
				"0": 1.154637
			},
			"op_mini": {
				"0": 1.72238262712
			},
			"and_chr": {
				"0": 23.285246
			}
		},
		"total": 97.252265
	};

/***/ },
/* 503 */
/***/ function(module, exports) {

	module.exports = {
		"id": "ER",
		"name": "Eritrea",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.09006,
				"4": 0.378252,
				"5": 0.558372,
				"6": 0.03002,
				"7": 0.036024,
				"8": 0.06004,
				"9": 0.564376,
				"10": 0.03002,
				"11": 0.234156,
				"12": 0.276184,
				"13": 0.216144,
				"14": 0.096064,
				"15": 1.0507,
				"16": 0.102068,
				"17": 0.03002,
				"18": 0.186124,
				"19": 0.504336,
				"20": 0.132088,
				"21": 0.624416,
				"22": 0.546364,
				"23": 0.522348,
				"24": 0.27018,
				"25": 0.132088,
				"26": 0.672448,
				"27": 0.114076,
				"28": 0.12008,
				"29": 0.162108,
				"30": 0.36024,
				"31": 0.852568,
				"32": 0.444296,
				"33": 2.317544,
				"34": 0.372248,
				"35": 0.546364,
				"36": 10.020676,
				"37": 0.474316,
				"38": 0.594396,
				"39": 0.414276,
				"40": 1.386924,
				"41": 0.414276,
				"42": 2.593728,
				"43": 6.72448,
				"44": 3.914608,
				"45": 0.36024,
				"46": 0.282188,
				"47": 2.083388,
				"48": 1.14076,
				"49": 7.08472,
				"50": 2.047364,
				"51": 0.174116,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.276184
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.024016,
				"10": null,
				"11": 0.006004,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.042028,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.024016,
				"23": null,
				"24": 0.006004,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.012008,
				"31": 0.126084,
				"32": null,
				"33": 0.006004,
				"34": null,
				"35": 0.03002,
				"36": 0.012008,
				"37": 0.012008,
				"38": 0.006004,
				"39": null,
				"40": 0.06004,
				"41": 0.108072,
				"42": null,
				"43": 0.336224,
				"44": 0.018012,
				"45": 0.918612,
				"46": 0.084056,
				"47": 0.012008,
				"48": 0.018012,
				"49": 0.09006,
				"50": 0.096064,
				"51": 0.006004,
				"52": 0.162108,
				"53": 0.876584,
				"54": 2.437624,
				"55": null,
				"56": null,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.012008,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.072048,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.018012,
				"39": 0.006004,
				"40": 0.012008,
				"41": 0.018012,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.006004,
				"10": null,
				"3.1": null,
				"3.2": null,
				"5.1": 0.012008,
				"6.1": null,
				"7.1": null,
				"9.1": 0.06004
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0204031940019,
				"8.1-8.4": 0.0263541255858,
				"9.0-9.2": 0.0203087347704,
				"9.3": 0.132998597938,
				"10-10.1": 0.707027347704
			},
			"android": {
				"3": 0,
				"4": 0.100802225405,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0116310260083,
				"4.1": 0.319853215228,
				"4.2-4.3": 0.913035541651,
				"4.4": 2.15173981153,
				"4.4.3-4.4.4": 1.64579018017
			},
			"op_mob": {
				"0": 0.206129898305,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00572583050847
			},
			"ie": {
				"6": 0.054036,
				"7": null,
				"8": 0.156104,
				"9": 0.06004,
				"10": 0.042028,
				"11": 0.684456,
				"5.5": null
			},
			"edge": {
				"12": null,
				"13": 0.162108,
				"14": 0.006004
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0.005626368,
				"11": 0.026341632
			},
			"and_ff": {
				"0": 0.531468
			},
			"samsung": {
				"0": 1.17882
			},
			"and_uc": {
				"0": 14.96502
			},
			"op_mini": {
				"0": 2.77715227119
			},
			"and_chr": {
				"0": 14.46594
			}
		},
		"total": 99.741828
	};

/***/ },
/* 504 */
/***/ function(module, exports) {

	module.exports = {
		"id": "ES",
		"name": "Spain",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.005569,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.011138,
				"13": null,
				"14": null,
				"15": 0.005569,
				"16": 0.016707,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.027845,
				"21": 0.011138,
				"22": null,
				"23": null,
				"24": 0.016707,
				"25": 0.011138,
				"26": 0.011138,
				"27": 0.011138,
				"28": 0.005569,
				"29": 0.016707,
				"30": 0.011138,
				"31": 0.022276,
				"32": 0.022276,
				"33": 0.016707,
				"34": 0.027845,
				"35": 0.033414,
				"36": 0.016707,
				"37": 0.038983,
				"38": 0.105811,
				"39": 0.061259,
				"40": 0.027845,
				"41": 0.044552,
				"42": 0.050121,
				"43": 0.11138,
				"44": 0.050121,
				"45": 0.172639,
				"46": 0.072397,
				"47": 0.367554,
				"48": 0.478934,
				"49": 4.884013,
				"50": 2.940432,
				"51": 0.016707,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.027845
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.050121,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.005569,
				"19": null,
				"20": null,
				"21": 0.011138,
				"22": 0.027845,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.011138,
				"27": 0.011138,
				"28": null,
				"29": 0.005569,
				"30": 0.005569,
				"31": 0.027845,
				"32": 0.011138,
				"33": 0.016707,
				"34": 0.033414,
				"35": 0.033414,
				"36": 0.033414,
				"37": 0.027845,
				"38": 0.05569,
				"39": 0.072397,
				"40": 0.044552,
				"41": 0.044552,
				"42": 0.033414,
				"43": 0.094673,
				"44": 0.061259,
				"45": 0.072397,
				"46": 0.094673,
				"47": 0.083535,
				"48": 0.11138,
				"49": 2.734379,
				"50": 0.11138,
				"51": 0.44552,
				"52": 0.228329,
				"53": 0.746246,
				"54": 28.034346,
				"55": 0.072397,
				"56": 0.022276,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.016707,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.038983,
				"37": 0.016707,
				"38": 0.033414,
				"39": null,
				"40": 0.011138,
				"41": 0.317433,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.022276
			},
			"safari": {
				"0": null,
				"4": 0.011138,
				"5": 0.044552,
				"6": 0.011138,
				"7": 0.033414,
				"8": 0.178208,
				"9": 0.261743,
				"10": 2.333411,
				"3.1": null,
				"3.2": null,
				"5.1": 0.100242,
				"6.1": 0.066828,
				"7.1": 0.011138,
				"9.1": 1.024696
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.194349390815,
				"8.1-8.4": 0.251034629803,
				"9.0-9.2": 0.193449625117,
				"9.3": 1.26687010309,
				"10-10.1": 6.73474625117
			},
			"android": {
				"3": 0,
				"4": 0.0403850659631,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00465981530343,
				"4.1": 0.128144920844,
				"4.2-4.3": 0.365795501319,
				"4.4": 0.862065831135,
				"4.4.3-4.4.4": 0.659363865435
			},
			"op_mob": {
				"0": 0.00825048398784,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000229180110773
			},
			"ie": {
				"6": 0.00562218281037,
				"7": 0.0112443656207,
				"8": 0.314842237381,
				"9": 0.191154215553,
				"10": 0.15742111869,
				"11": 3.44077587995,
				"5.5": null
			},
			"edge": {
				"12": 0.050121,
				"13": 0.256174,
				"14": 1.509199
			},
			"bb": {
				"7": 0.01218525,
				"10": null
			},
			"ie_mob": {
				"10": 0.060828768,
				"11": 0.284789232
			},
			"and_ff": {
				"0": 0.035448
			},
			"samsung": {
				"0": 2.685186
			},
			"and_uc": {
				"0": 0.084189
			},
			"op_mini": {
				"0": 0.111157335901
			},
			"and_chr": {
				"0": 31.210944
			}
		},
		"total": 98.89037025
	};

/***/ },
/* 505 */
/***/ function(module, exports) {

	module.exports = {
		"id": "ET",
		"name": "Ethiopia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.018612,
				"4": 0.057528,
				"5": 0.148896,
				"6": 0.003384,
				"7": 0.006768,
				"8": 0.010152,
				"9": 0.001692,
				"10": 0.043992,
				"11": 0.060912,
				"12": 0.054144,
				"13": 0.018612,
				"14": 0.021996,
				"15": 0.01692,
				"16": 0.027072,
				"17": 0.032148,
				"18": 0.028764,
				"19": 0.032148,
				"20": 0.11844,
				"21": 0.020304,
				"22": 0.015228,
				"23": 0.020304,
				"24": 0.03384,
				"25": 0.05922,
				"26": 0.081216,
				"27": 0.037224,
				"28": 0.074448,
				"29": 0.162432,
				"30": 0.099828,
				"31": 0.121824,
				"32": 0.06768,
				"33": 0.055836,
				"34": 0.064296,
				"35": 0.121824,
				"36": 0.089676,
				"37": 0.159048,
				"38": 0.111672,
				"39": 0.2115,
				"40": 0.208116,
				"41": 0.1692,
				"42": 0.179352,
				"43": 0.521136,
				"44": 0.272412,
				"45": 0.2115,
				"46": 0.20304,
				"47": 0.773244,
				"48": 0.421308,
				"49": 1.620936,
				"50": 0.588816,
				"51": 0.027072,
				"52": 0.005076,
				"53": null,
				"3.5": 0.001692,
				"3.6": 0.015228
			},
			"chrome": {
				"4": 0.010152,
				"5": 0.001692,
				"6": null,
				"7": null,
				"8": 0.005076,
				"9": 0.003384,
				"10": 0.01692,
				"11": 0.125208,
				"12": 0.001692,
				"13": 0.003384,
				"14": null,
				"15": 0.001692,
				"16": 0.00846,
				"17": 0.00846,
				"18": 0.003384,
				"19": 0.005076,
				"20": 0.001692,
				"21": null,
				"22": null,
				"23": 0.006768,
				"24": 0.003384,
				"25": 0.030456,
				"26": 0.010152,
				"27": 0.00846,
				"28": 0.003384,
				"29": 0.006768,
				"30": 0.005076,
				"31": 0.028764,
				"32": 0.011844,
				"33": 0.060912,
				"34": 0.011844,
				"35": 0.005076,
				"36": 0.010152,
				"37": 0.005076,
				"38": 0.005076,
				"39": 0.00846,
				"40": 0.054144,
				"41": 0.005076,
				"42": 0.006768,
				"43": 1.213164,
				"44": 0.292716,
				"45": 0.037224,
				"46": 0.013536,
				"47": 0.027072,
				"48": 0.015228,
				"49": 0.247032,
				"50": 0.0423,
				"51": 0.106596,
				"52": 0.064296,
				"53": 0.145512,
				"54": 3.969432,
				"55": 0.030456,
				"56": 0.0423,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.018612,
				"15": 0.005076,
				"16": null,
				"17": 0.005076,
				"18": 0.003384,
				"19": 0.003384,
				"20": 0.003384,
				"21": 0.01692,
				"22": 0.003384,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.001692,
				"27": null,
				"28": null,
				"29": 0.010152,
				"30": 0.010152,
				"31": 0.001692,
				"32": null,
				"33": 0.005076,
				"34": 0.006768,
				"35": 0.011844,
				"36": 0.018612,
				"37": 0.013536,
				"38": 0.027072,
				"39": 0.011844,
				"40": 0.032148,
				"41": 0.395928,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.001692,
				"11.1": null,
				"11.5": 0.003384,
				"11.6": 0.01692,
				"12.1": 0.015228
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": 0.001692,
				"7": 0.011844,
				"8": 0.013536,
				"9": 0.032148,
				"10": 0.043992,
				"3.1": null,
				"3.2": null,
				"5.1": 0.005076,
				"6.1": null,
				"7.1": null,
				"9.1": 0.02538
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0162578294283,
				"8.1-8.4": 0.0209996963449,
				"9.0-9.2": 0.0161825616995,
				"9.3": 0.105976962199,
				"10-10.1": 0.563378950328
			},
			"android": {
				"3": 0,
				"4": 0.201596610629,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0232611473803,
				"4.1": 0.639681552959,
				"4.2-4.3": 1.82600006936,
				"4.4": 4.30331226536,
				"4.4.3-4.4.4": 3.29145235432
			},
			"op_mob": {
				"0": 3.06122727123,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0850340908674
			},
			"ie": {
				"6": 0.0356541030928,
				"7": 0.0339562886598,
				"8": 0.188457402062,
				"9": 0.0407475463918,
				"10": 0.0747038350515,
				"11": 0.601026309278,
				"5.5": null
			},
			"edge": {
				"12": 0.065988,
				"13": 0.159048,
				"14": 0.065988
			},
			"bb": {
				"7": 0.002077,
				"10": null
			},
			"ie_mob": {
				"10": 0.033630784,
				"11": 0.157453216
			},
			"and_ff": {
				"0": 0.033232
			},
			"samsung": {
				"0": 0.45694
			},
			"and_uc": {
				"0": 2.641944
			},
			"op_mini": {
				"0": 41.2433826379
			},
			"and_chr": {
				"0": 21.634924
			}
		},
		"total": 96.6586264845
	};

/***/ },
/* 506 */
/***/ function(module, exports) {

	module.exports = {
		"id": "FI",
		"name": "Finland",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.006646,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.013292,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.006646,
				"22": null,
				"23": null,
				"24": 0.006646,
				"25": null,
				"26": 0.006646,
				"27": null,
				"28": 0.006646,
				"29": null,
				"30": 0.019938,
				"31": 0.019938,
				"32": 0.006646,
				"33": 0.006646,
				"34": 0.013292,
				"35": 0.019938,
				"36": 0.019938,
				"37": 0.019938,
				"38": 0.079752,
				"39": 0.019938,
				"40": 0.026584,
				"41": 0.026584,
				"42": 0.046522,
				"43": 0.06646,
				"44": 0.053168,
				"45": 0.677892,
				"46": 0.059814,
				"47": 0.338946,
				"48": 0.525034,
				"49": 9.131604,
				"50": 5.662392,
				"51": 0.06646,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.013292
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.019938,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.013292,
				"32": 0.006646,
				"33": 0.006646,
				"34": 0.019938,
				"35": 0.013292,
				"36": 0.013292,
				"37": 0.013292,
				"38": 0.019938,
				"39": 0.03323,
				"40": 0.013292,
				"41": 0.026584,
				"42": 0.013292,
				"43": 0.06646,
				"44": 0.026584,
				"45": 0.039876,
				"46": 0.073106,
				"47": 0.059814,
				"48": 0.079752,
				"49": 1.036776,
				"50": 0.093044,
				"51": 0.279132,
				"52": 0.239256,
				"53": 1.043422,
				"54": 28.803764,
				"55": 0.146212,
				"56": 0.079752,
				"57": 0.019938
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.006646,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.013292,
				"29": null,
				"30": null,
				"31": 0.013292,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.046522,
				"37": 0.03323,
				"38": 0.026584,
				"39": null,
				"40": 0.013292,
				"41": 0.770936,
				"42": 0.013292,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.006646,
				"12.1": 0.119628
			},
			"safari": {
				"0": null,
				"4": 0.006646,
				"5": 0.03323,
				"6": null,
				"7": 0.026584,
				"8": 0.192734,
				"9": 0.225964,
				"10": 2.439082,
				"3.1": null,
				"3.2": null,
				"5.1": 0.093044,
				"6.1": 0.093044,
				"7.1": 0.013292,
				"9.1": 1.03013
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.202183017807,
				"8.1-8.4": 0.261153064667,
				"9.0-9.2": 0.201246985317,
				"9.3": 1.3179337457,
				"10-10.1": 7.0062031865
			},
			"android": {
				"3": 0,
				"4": 0.0191303158688,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00220734413871,
				"4.1": 0.0607019638145,
				"4.2-4.3": 0.173276514889,
				"4.4": 0.408358665662,
				"4.4.3-4.4.4": 0.312339195628
			},
			"op_mob": {
				"0": 0.0175788541207,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000488301503352
			},
			"ie": {
				"6": 0.00665857521287,
				"7": 0.00665857521287,
				"8": 0.106537203406,
				"9": 0.193098681173,
				"10": 0.153147229896,
				"11": 6.5720137351,
				"5.5": null
			},
			"edge": {
				"12": 0.06646,
				"13": 0.378822,
				"14": 2.199826
			},
			"bb": {
				"7": 0.0025155,
				"10": null
			},
			"ie_mob": {
				"10": 0.335882976,
				"11": 1.572543024
			},
			"and_ff": {
				"0": 0.057018
			},
			"samsung": {
				"0": 3.94095
			},
			"and_uc": {
				"0": 0.08385
			},
			"op_mini": {
				"0": 0.236836844376
			},
			"and_chr": {
				"0": 17.108512
			}
		},
		"total": 97.4880395
	};

/***/ },
/* 507 */
/***/ function(module, exports) {

	module.exports = {
		"id": "FJ",
		"name": "Fiji",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.026545,
				"4": 0.095562,
				"5": 0.047781,
				"6": 0.047781,
				"7": 0.026545,
				"8": 0.037163,
				"9": 0.005309,
				"10": 0.100871,
				"11": 0.069017,
				"12": 0.090253,
				"13": 0.026545,
				"14": 0.037163,
				"15": 0.037163,
				"16": 0.095562,
				"17": 0.069017,
				"18": null,
				"19": 0.015927,
				"20": 0.047781,
				"21": 0.05309,
				"22": 0.015927,
				"23": 0.021236,
				"24": 0.026545,
				"25": 0.010618,
				"26": null,
				"27": 0.063708,
				"28": 0.015927,
				"29": 0.05309,
				"30": 0.037163,
				"31": 0.084944,
				"32": 0.010618,
				"33": null,
				"34": 0.021236,
				"35": 0.132725,
				"36": 0.058399,
				"37": 0.037163,
				"38": 0.095562,
				"39": 0.069017,
				"40": 0.063708,
				"41": 0.079635,
				"42": 0.042472,
				"43": 0.483119,
				"44": 0.222978,
				"45": 0.21236,
				"46": 0.074326,
				"47": 1.083036,
				"48": 0.764496,
				"49": 7.995354,
				"50": 2.378432,
				"51": 0.138034,
				"52": 0.005309,
				"53": null,
				"3.5": 0.005309,
				"3.6": 0.010618
			},
			"chrome": {
				"4": null,
				"5": 0.010618,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.010618,
				"12": 0.005309,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.015927,
				"19": null,
				"20": 0.010618,
				"21": 0.005309,
				"22": null,
				"23": null,
				"24": 0.010618,
				"25": 0.021236,
				"26": 0.021236,
				"27": 0.010618,
				"28": null,
				"29": 0.005309,
				"30": 0.010618,
				"31": 0.042472,
				"32": 0.010618,
				"33": 0.026545,
				"34": 0.037163,
				"35": 0.058399,
				"36": 0.021236,
				"37": 0.010618,
				"38": 0.010618,
				"39": 0.015927,
				"40": 0.021236,
				"41": 0.063708,
				"42": 0.026545,
				"43": 0.047781,
				"44": 0.031854,
				"45": 0.079635,
				"46": 0.079635,
				"47": 0.042472,
				"48": 0.069017,
				"49": 0.90253,
				"50": 0.100871,
				"51": 0.228287,
				"52": 0.180506,
				"53": 0.679552,
				"54": 19.080546,
				"55": 0.079635,
				"56": 0.074326,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.037163,
				"29": null,
				"30": 0.005309,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.015927,
				"36": 0.010618,
				"37": 0.042472,
				"38": null,
				"39": 0.005309,
				"40": null,
				"41": 0.207051,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.005309
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.015927,
				"6": null,
				"7": 0.047781,
				"8": 0.084944,
				"9": 0.079635,
				"10": 0.440647,
				"3.1": null,
				"3.2": null,
				"5.1": 0.031854,
				"6.1": 0.010618,
				"7.1": null,
				"9.1": 0.270759
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0867514301781,
				"8.1-8.4": 0.112053930647,
				"9.0-9.2": 0.0863498031865,
				"9.3": 0.565490804124,
				"10-10.1": 3.00617803187
			},
			"android": {
				"3": 0,
				"4": 0.0936206980776,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0108023882397,
				"4.1": 0.297065676593,
				"4.2-4.3": 0.847987476819,
				"4.4": 1.99844182435,
				"4.4.3-4.4.4": 1.52853793592
			},
			"op_mob": {
				"0": 0.136871265398,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00380197959439
			},
			"ie": {
				"6": 0.0212716907563,
				"7": 0.0265896134454,
				"8": 1.12739961008,
				"9": 0.505202655462,
				"10": 0.499884732773,
				"11": 4.1373438521,
				"5.5": null
			},
			"edge": {
				"12": 0.15927,
				"13": 0.361012,
				"14": 0.552136
			},
			"bb": {
				"7": 0.02346,
				"10": null
			},
			"ie_mob": {
				"10": 0.378212736,
				"11": 1.770723264
			},
			"and_ff": {
				"0": 0.02346
			},
			"samsung": {
				"0": 6.489036
			},
			"and_uc": {
				"0": 3.44862
			},
			"op_mini": {
				"0": 1.84404275501
			},
			"and_chr": {
				"0": 30.266769
			}
		},
		"total": 99.1216151546
	};

/***/ },
/* 508 */
/***/ function(module, exports) {

	module.exports = {
		"id": "FK",
		"name": "Falkland Islands (Malvinas)",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.013766,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": 0.736481,
				"25": 0.048181,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.048181,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.061947,
				"42": 0.130777,
				"43": 0.110128,
				"44": 0.013766,
				"45": 0.371682,
				"46": 0.027532,
				"47": 0.591938,
				"48": 0.770896,
				"49": 5.176016,
				"50": 2.236975,
				"51": null,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.013766,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.034415,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.075713,
				"36": null,
				"37": 0.061947,
				"38": null,
				"39": null,
				"40": 0.034415,
				"41": 0.220256,
				"42": null,
				"43": null,
				"44": null,
				"45": null,
				"46": 0.034415,
				"47": null,
				"48": null,
				"49": 1.596856,
				"50": 0.302852,
				"51": 0.20649,
				"52": 0.302852,
				"53": 1.183876,
				"54": 19.68538,
				"55": null,
				"56": null,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.240905,
				"38": 0.027532,
				"39": null,
				"40": 0.013766,
				"41": 0.240905,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": 0.048181,
				"7": 0.096362,
				"8": 0.316618,
				"9": 1.211408,
				"10": 2.863328,
				"3.1": null,
				"3.2": null,
				"5.1": null,
				"6.1": 0.082596,
				"7.1": null,
				"9.1": 2.223209
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.226246875351,
				"8.1-8.4": 0.292235547329,
				"9.0-9.2": 0.225199436114,
				"9.3": 1.47479444674,
				"10-10.1": 7.84008269447
			},
			"android": {
				"3": 0,
				"4": 0.0235214248021,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00271401055409,
				"4.1": 0.0746352902375,
				"4.2-4.3": 0.213049828496,
				"4.4": 0.502091952507,
				"4.4.3-4.4.4": 0.384032493404
			},
			"op_mob": {
				"0": 0.0505147928206,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00140318868946
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 1.135695,
				"9": 6.807287,
				"10": 1.245823,
				"11": 14.942993,
				"5.5": null
			},
			"edge": {
				"12": 0.075713,
				"13": 0.61947,
				"14": 0.48181
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0.04663032,
				"11": 0.21831468
			},
			"and_ff": {
				"0": 0.081042
			},
			"samsung": {
				"0": 3.908718
			},
			"and_uc": {
				"0": 0.143382
			},
			"op_mini": {
				"0": 0.68057701849
			},
			"and_chr": {
				"0": 16.238566
			}
		},
		"total": 99.392852
	};

/***/ },
/* 509 */
/***/ function(module, exports) {

	module.exports = {
		"id": "FM",
		"name": "Micronesia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.00791,
				"11": 0.01582,
				"12": null,
				"13": 0.01582,
				"14": null,
				"15": null,
				"16": 0.01582,
				"17": null,
				"18": 0.00791,
				"19": 0.04746,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": 0.01582,
				"25": null,
				"26": 0.01582,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.01582,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.07119,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.05537,
				"39": 0.00791,
				"40": 0.01582,
				"41": 0.25312,
				"42": 0.01582,
				"43": 0.07119,
				"44": 0.03164,
				"45": 0.03164,
				"46": 0.11074,
				"47": 0.28476,
				"48": 0.24521,
				"49": 4.23976,
				"50": 2.62612,
				"51": 0.15029,
				"52": 0.02373,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.00791,
				"26": 0.16611,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.00791,
				"39": 0.02373,
				"40": 0.00791,
				"41": 0.02373,
				"42": null,
				"43": 0.09492,
				"44": 0.04746,
				"45": 0.02373,
				"46": 0.03164,
				"47": 0.02373,
				"48": 0.03955,
				"49": 0.94129,
				"50": 0.06328,
				"51": 0.52206,
				"52": 0.11074,
				"53": 0.68817,
				"54": 54.53945,
				"55": 0.03955,
				"56": 0.04746,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.03955,
				"38": 0.00791,
				"39": null,
				"40": null,
				"41": 0.12656,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0.00791,
				"5": 0.01582,
				"6": 0.05537,
				"7": null,
				"8": 0.21357,
				"9": 0.0791,
				"10": 0.95711,
				"3.1": null,
				"3.2": null,
				"5.1": 0.06328,
				"6.1": 0.02373,
				"7.1": null,
				"9.1": 0.48251
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0840074226804,
				"8.1-8.4": 0.108509587629,
				"9.0-9.2": 0.0836184994273,
				"9.3": 0.547603940435,
				"10-10.1": 2.91109054983
			},
			"android": {
				"3": 0,
				"4": 0.0467000376932,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00538846588767,
				"4.1": 0.148182811911,
				"4.2-4.3": 0.422994572182,
				"4.4": 0.99686618922,
				"4.4.3-4.4.4": 0.762467923106
			},
			"op_mob": {
				"0": 0.0141249289968,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0003923591388
			},
			"ie": {
				"6": null,
				"7": 0.00791,
				"8": 0.22939,
				"9": 0.10283,
				"10": 0.18193,
				"11": 6.39919,
				"5.5": null
			},
			"edge": {
				"12": 0.54579,
				"13": 0.37968,
				"14": 0.96502
			},
			"bb": {
				"7": 0.007315,
				"10": null
			},
			"ie_mob": {
				"10": 0.06657904,
				"11": 0.31171096
			},
			"and_ff": {
				"0": null
			},
			"samsung": {
				"0": 0.48488
			},
			"and_uc": {
				"0": 1.59885
			},
			"op_mini": {
				"0": 0.190302711864
			},
			"and_chr": {
				"0": 14.0996
			}
		},
		"total": 99.618185
	};

/***/ },
/* 510 */
/***/ function(module, exports) {

	module.exports = {
		"id": "FO",
		"name": "Faroe Islands",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": 0.010804,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": 0.010804,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.010804,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.059422,
				"39": 0.021608,
				"40": 0.016206,
				"41": null,
				"42": null,
				"43": 0.021608,
				"44": 0.021608,
				"45": 0.70226,
				"46": 0.010804,
				"47": 0.064824,
				"48": 0.167462,
				"49": 3.306024,
				"50": 1.717836,
				"51": null,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.005402,
				"11": 0.016206,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.005402,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.010804,
				"32": null,
				"33": 0.037814,
				"34": 0.02701,
				"35": null,
				"36": 0.005402,
				"37": null,
				"38": 0.070226,
				"39": 0.010804,
				"40": 0.005402,
				"41": null,
				"42": 0.010804,
				"43": 0.016206,
				"44": 0.037814,
				"45": 0.005402,
				"46": null,
				"47": 0.010804,
				"48": 0.005402,
				"49": 1.393716,
				"50": 0.016206,
				"51": 0.08103,
				"52": 0.070226,
				"53": 0.464572,
				"54": 21.672824,
				"55": 0.064824,
				"56": 0.032412,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.021608,
				"37": 0.010804,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.129648,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.010804
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.021608,
				"6": 0.010804,
				"7": 0.021608,
				"8": 0.145854,
				"9": 0.151256,
				"10": 1.820474,
				"3.1": null,
				"3.2": null,
				"5.1": 0.086432,
				"6.1": 0.232286,
				"7.1": 0.010804,
				"9.1": 1.129018
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.63708371134,
				"8.1-8.4": 0.822899793814,
				"9.0-9.2": 0.634134249714,
				"9.3": 4.15284197022,
				"10-10.1": 22.0767202749
			},
			"android": {
				"3": 0,
				"4": 0.0110851142103,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00127905163965,
				"4.1": 0.0351739200905,
				"4.2-4.3": 0.100405553713,
				"4.4": 0.236624553336,
				"4.4.3-4.4.4": 0.180985807011
			},
			"op_mob": {
				"0": 0.00919561704077,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000255433806688
			},
			"ie": {
				"6": null,
				"7": 0.02701,
				"8": 0.13505,
				"9": 0.361934,
				"10": 0.210678,
				"11": 13.45098,
				"5.5": null
			},
			"edge": {
				"12": 0.08103,
				"13": 0.767084,
				"14": 4.56469
			},
			"bb": {
				"7": 0.004598,
				"10": null
			},
			"ie_mob": {
				"10": 0.193410272,
				"11": 0.905511728
			},
			"and_ff": {
				"0": 0.036784
			},
			"samsung": {
				"0": 5.650942
			},
			"and_uc": {
				"0": null
			},
			"op_mini": {
				"0": 0.123890949153
			},
			"and_chr": {
				"0": 9.93477
			}
		},
		"total": 99.368844
	};

/***/ },
/* 511 */
/***/ function(module, exports) {

	module.exports = {
		"id": "FR",
		"name": "France",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.006965,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.006965,
				"12": 0.034825,
				"13": null,
				"14": null,
				"15": 0.01393,
				"16": 0.02786,
				"17": 0.020895,
				"18": null,
				"19": null,
				"20": 0.01393,
				"21": 0.01393,
				"22": 0.006965,
				"23": 0.006965,
				"24": 0.04179,
				"25": 0.006965,
				"26": 0.01393,
				"27": 0.006965,
				"28": 0.01393,
				"29": 0.01393,
				"30": 0.020895,
				"31": 0.076615,
				"32": 0.020895,
				"33": 0.034825,
				"34": 0.04179,
				"35": 0.04179,
				"36": 0.04179,
				"37": 0.04179,
				"38": 0.26467,
				"39": 0.048755,
				"40": 0.048755,
				"41": 0.05572,
				"42": 0.062685,
				"43": 0.201985,
				"44": 0.076615,
				"45": 0.54327,
				"46": 0.215915,
				"47": 0.78008,
				"48": 0.731325,
				"49": 7.6615,
				"50": 4.76406,
				"51": 0.04179,
				"52": 0.006965,
				"53": null,
				"3.5": null,
				"3.6": 0.02786
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.01393,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.020895,
				"17": null,
				"18": 0.006965,
				"19": null,
				"20": null,
				"21": 0.006965,
				"22": 0.01393,
				"23": 0.01393,
				"24": 0.006965,
				"25": 0.020895,
				"26": 0.006965,
				"27": 0.006965,
				"28": 0.01393,
				"29": 0.06965,
				"30": 0.006965,
				"31": 0.034825,
				"32": 0.01393,
				"33": 0.020895,
				"34": 0.034825,
				"35": 0.05572,
				"36": 0.02786,
				"37": 0.034825,
				"38": 0.05572,
				"39": 0.08358,
				"40": 0.05572,
				"41": 0.09751,
				"42": 0.09751,
				"43": 0.243775,
				"44": 0.076615,
				"45": 0.09751,
				"46": 0.11144,
				"47": 0.090545,
				"48": 0.160195,
				"49": 2.14522,
				"50": 0.25074,
				"51": 1.28156,
				"52": 0.30646,
				"53": 1.12833,
				"54": 27.003305,
				"55": 0.08358,
				"56": 0.034825,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.006965,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.01393,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.034825,
				"37": 0.01393,
				"38": 0.174125,
				"39": null,
				"40": 0.048755,
				"41": 0.480585,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.04179
			},
			"safari": {
				"0": null,
				"4": 0.034825,
				"5": 0.11144,
				"6": 0.02786,
				"7": 0.06965,
				"8": 0.29253,
				"9": 0.37611,
				"10": 3.28748,
				"3.1": null,
				"3.2": null,
				"5.1": 0.299495,
				"6.1": 0.174125,
				"7.1": 0.020895,
				"9.1": 1.567125
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.223981293346,
				"8.1-8.4": 0.289309170572,
				"9.0-9.2": 0.222944342914,
				"9.3": 1.46002620848,
				"10-10.1": 7.76157398469
			},
			"android": {
				"3": 0,
				"4": 0.0223077647946,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00257397286091,
				"4.1": 0.0707842536751,
				"4.2-4.3": 0.202056869582,
				"4.4": 0.476184979269,
				"4.4.3-4.4.4": 0.364217159819
			},
			"op_mob": {
				"0": 0.0148604156082,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00041278932245
			},
			"ie": {
				"6": 0.0141676119403,
				"7": 0.0212514179104,
				"8": 0.290436044776,
				"9": 0.304603656716,
				"10": 0.269184626866,
				"11": 5.74496664179,
				"5.5": null
			},
			"edge": {
				"12": 0.118405,
				"13": 0.480585,
				"14": 2.81386
			},
			"bb": {
				"7": 0.015175,
				"10": null
			},
			"ie_mob": {
				"10": 0.1041612,
				"11": 0.4876638
			},
			"and_ff": {
				"0": 0.04856
			},
			"samsung": {
				"0": 3.626825
			},
			"and_uc": {
				"0": 0.40669
			},
			"op_mini": {
				"0": 0.200211795069
			},
			"and_chr": {
				"0": 14.86427
			}
		},
		"total": 97.93774
	};

/***/ },
/* 512 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GA",
		"name": "Gabon",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.004104,
				"3": 0.038988,
				"4": 0.002052,
				"5": 0.004104,
				"6": 0.014364,
				"7": null,
				"8": 0.004104,
				"9": null,
				"10": 0.057456,
				"11": 0.034884,
				"12": 0.012312,
				"13": 0.028728,
				"14": 0.012312,
				"15": 0.006156,
				"16": 0.014364,
				"17": 0.008208,
				"18": 0.032832,
				"19": 0.006156,
				"20": 0.006156,
				"21": 0.168264,
				"22": 0.022572,
				"23": 0.024624,
				"24": 0.022572,
				"25": 0.032832,
				"26": 0.006156,
				"27": 0.014364,
				"28": 0.012312,
				"29": 0.028728,
				"30": 0.014364,
				"31": 0.034884,
				"32": 0.0513,
				"33": 0.026676,
				"34": 0.012312,
				"35": 0.075924,
				"36": 0.055404,
				"37": 0.1539,
				"38": 0.036936,
				"39": 0.06156,
				"40": 0.036936,
				"41": 0.047196,
				"42": 0.022572,
				"43": 0.322164,
				"44": 0.053352,
				"45": 0.053352,
				"46": 0.073872,
				"47": 0.455544,
				"48": 0.365256,
				"49": 2.47266,
				"50": 1.054728,
				"51": 0.043092,
				"52": null,
				"53": 0.004104,
				"3.5": 0.008208,
				"3.6": 0.022572
			},
			"chrome": {
				"4": 0.004104,
				"5": 0.004104,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.026676,
				"12": 0.002052,
				"13": null,
				"14": null,
				"15": 0.004104,
				"16": 0.002052,
				"17": 0.006156,
				"18": null,
				"19": null,
				"20": 0.01026,
				"21": 0.002052,
				"22": 0.008208,
				"23": 0.004104,
				"24": 0.002052,
				"25": 0.008208,
				"26": 0.022572,
				"27": 0.049248,
				"28": 0.02052,
				"29": 0.047196,
				"30": 0.012312,
				"31": 0.02052,
				"32": 0.026676,
				"33": 0.026676,
				"34": 0.034884,
				"35": 0.028728,
				"36": 0.034884,
				"37": 0.03078,
				"38": 0.006156,
				"39": 0.014364,
				"40": 0.012312,
				"41": 0.211356,
				"42": 0.006156,
				"43": 0.176472,
				"44": 0.006156,
				"45": 0.08208,
				"46": 0.024624,
				"47": 0.022572,
				"48": 0.02052,
				"49": 0.640224,
				"50": 0.279072,
				"51": 0.104652,
				"52": 0.1026,
				"53": 0.309852,
				"54": 6.21756,
				"55": 0.016416,
				"56": 0.008208,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.03078,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.004104,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.199044,
				"29": 0.004104,
				"30": 0.170316,
				"31": null,
				"32": 0.002052,
				"33": 0.004104,
				"34": 0.002052,
				"35": 0.004104,
				"36": 0.02052,
				"37": 0.108756,
				"38": 0.006156,
				"39": 0.008208,
				"40": 0.024624,
				"41": 0.334476,
				"42": 0.006156,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0.004104,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.016416,
				"12.1": 0.03078
			},
			"safari": {
				"0": null,
				"4": 0.026676,
				"5": 0.018468,
				"6": 0.01026,
				"7": 0.022572,
				"8": 0.043092,
				"9": 0.047196,
				"10": 0.365256,
				"3.1": null,
				"3.2": null,
				"5.1": 0.047196,
				"6.1": 0.006156,
				"7.1": 0.038988,
				"9.1": 0.196992
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0339670852858,
				"8.1-8.4": 0.0438741518276,
				"9.0-9.2": 0.0338098302614,
				"9.3": 0.221415074456,
				"10-10.1": 1.17705385817
			},
			"android": {
				"3": 0,
				"4": 0.141608015077,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0163393863551,
				"4.1": 0.449333124764,
				"4.2-4.3": 1.28264182887,
				"4.4": 3.02278647569,
				"4.4.3-4.4.4": 2.31202316924
			},
			"op_mob": {
				"0": 3.07492573523,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0854146037563
			},
			"ie": {
				"6": 0.00450227848101,
				"7": 0.00450227848101,
				"8": 0.459232405063,
				"9": 0.105803544304,
				"10": 0.157579746835,
				"11": 1.38895291139,
				"5.5": null
			},
			"edge": {
				"12": 0.096444,
				"13": 0.129276,
				"14": 0.186732
			},
			"bb": {
				"7": 0.546425,
				"10": null
			},
			"ie_mob": {
				"10": 0.492394496,
				"11": 2.305301504
			},
			"and_ff": {
				"0": 0.03974
			},
			"samsung": {
				"0": 3.759404
			},
			"and_uc": {
				"0": 1.772404
			},
			"op_mini": {
				"0": 41.427939661
			},
			"and_chr": {
				"0": 15.073932
			}
		},
		"total": 96.5285181646
	};

/***/ },
/* 513 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GB",
		"name": "United Kingdom",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.011122,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": 0.005561,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.005561,
				"31": 0.016683,
				"32": null,
				"33": 0.011122,
				"34": 0.050049,
				"35": 0.027805,
				"36": 0.027805,
				"37": 0.011122,
				"38": 0.061171,
				"39": 0.022244,
				"40": 0.016683,
				"41": 0.027805,
				"42": 0.022244,
				"43": 0.061171,
				"44": 0.027805,
				"45": 0.144586,
				"46": 0.050049,
				"47": 0.266928,
				"48": 0.261367,
				"49": 3.597967,
				"50": 2.013082,
				"51": 0.033366,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.011122
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.016683,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.011122,
				"22": 0.044488,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.011122,
				"27": null,
				"28": 0.005561,
				"29": 0.005561,
				"30": 0.005561,
				"31": 0.016683,
				"32": 0.011122,
				"33": 0.022244,
				"34": 0.027805,
				"35": 0.027805,
				"36": 0.022244,
				"37": 0.027805,
				"38": 0.061171,
				"39": 0.038927,
				"40": 0.050049,
				"41": 0.077854,
				"42": 0.066732,
				"43": 0.161269,
				"44": 0.044488,
				"45": 0.072293,
				"46": 0.066732,
				"47": 0.061171,
				"48": 0.083415,
				"49": 1.312396,
				"50": 0.122342,
				"51": 0.428197,
				"52": 0.272489,
				"53": 1.22342,
				"54": 25.0245,
				"55": 0.094537,
				"56": 0.038927,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.005561,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.033366,
				"37": 0.011122,
				"38": 0.033366,
				"39": null,
				"40": 0.022244,
				"41": 0.367026,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.027805
			},
			"safari": {
				"0": null,
				"4": 0.011122,
				"5": 0.050049,
				"6": 0.011122,
				"7": 0.061171,
				"8": 0.261367,
				"9": 0.316977,
				"10": 2.969574,
				"3.1": null,
				"3.2": null,
				"5.1": 0.155708,
				"6.1": 0.088976,
				"7.1": 0.016683,
				"9.1": 1.317957
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.455998043112,
				"8.1-8.4": 0.588997472352,
				"9.0-9.2": 0.45388694106,
				"9.3": 2.97243168843,
				"10-10.1": 15.801598855
			},
			"android": {
				"3": 0,
				"4": 0.0241007749717,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00278085865058,
				"4.1": 0.0764736128911,
				"4.2-4.3": 0.218297404071,
				"4.4": 0.514458850358,
				"4.4.3-4.4.4": 0.393491499058
			},
			"op_mob": {
				"0": 0.060306660892,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00167518502478
			},
			"ie": {
				"6": null,
				"7": 0.0167425396146,
				"8": 0.256718940757,
				"9": 0.334850792291,
				"10": 0.279042326909,
				"11": 6.92583055389,
				"5.5": null
			},
			"edge": {
				"12": 0.127903,
				"13": 0.506051,
				"14": 3.342161
			},
			"bb": {
				"7": 0.19420625,
				"10": null
			},
			"ie_mob": {
				"10": 0.151565216,
				"11": 0.709600784
			},
			"and_ff": {
				"0": 0.053268
			},
			"samsung": {
				"0": 4.598804
			},
			"and_uc": {
				"0": 0.519363
			},
			"op_mini": {
				"0": 0.812501154083
			},
			"and_chr": {
				"0": 15.152164
			}
		},
		"total": 97.6476014035
	};

/***/ },
/* 514 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GD",
		"name": "Grenada",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": 0.006278,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.09417,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.012556,
				"38": 0.006278,
				"39": 0.037668,
				"40": 0.037668,
				"41": null,
				"42": 0.395514,
				"43": 0.043946,
				"44": 0.037668,
				"45": 0.169506,
				"46": 0.012556,
				"47": 0.301344,
				"48": 0.175784,
				"49": 2.881602,
				"50": 1.908512,
				"51": 0.056502,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.018834,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.006278,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.09417,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.025112,
				"29": null,
				"30": null,
				"31": 0.012556,
				"32": 0.012556,
				"33": null,
				"34": 0.018834,
				"35": 0.018834,
				"36": 0.006278,
				"37": null,
				"38": 0.018834,
				"39": 0.06278,
				"40": 0.012556,
				"41": 0.006278,
				"42": null,
				"43": 0.025112,
				"44": 0.018834,
				"45": 0.175784,
				"46": 0.012556,
				"47": 0.012556,
				"48": 0.006278,
				"49": 2.078018,
				"50": 0.119282,
				"51": 0.332734,
				"52": 0.263676,
				"53": 0.772194,
				"54": 33.80703,
				"55": 0.081614,
				"56": 0.100448,
				"57": 0.012556
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.037668,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.012556,
				"34": null,
				"35": 0.006278,
				"36": 0.056502,
				"37": 0.213452,
				"38": 0.006278,
				"39": null,
				"40": 0.018834,
				"41": 0.50224,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.018834
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.018834,
				"6": 0.012556,
				"7": 0.006278,
				"8": 0.087892,
				"9": 0.075336,
				"10": 1.38116,
				"3.1": null,
				"3.2": null,
				"5.1": 0.03139,
				"6.1": 0.043946,
				"7.1": null,
				"9.1": 0.452016
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.104927887535,
				"8.1-8.4": 0.135531854733,
				"9.0-9.2": 0.104442110278,
				"9.3": 0.683974378007,
				"10-10.1": 3.63604276945
			},
			"android": {
				"3": 0,
				"4": 0.0951561191104,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0109795522051,
				"4.1": 0.301937685639,
				"4.2-4.3": 0.861894848096,
				"4.4": 2.03121715793,
				"4.4.3-4.4.4": 1.55360663701
			},
			"op_mob": {
				"0": 0.0246478011077,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000684661141881
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.09417,
				"9": 0.364124,
				"10": 0.182062,
				"11": 5.706702,
				"5.5": null
			},
			"edge": {
				"12": 0.269954,
				"13": 0.514796,
				"14": 3.120166
			},
			"bb": {
				"7": 0.11634375,
				"10": null
			},
			"ie_mob": {
				"10": 0.162501504,
				"11": 0.760802496
			},
			"and_ff": {
				"0": 0.014892
			},
			"samsung": {
				"0": 2.970954
			},
			"and_uc": {
				"0": 0.271779
			},
			"op_mini": {
				"0": 0.33207553775
			},
			"and_chr": {
				"0": 27.054311
			}
		},
		"total": 98.77285075
	};

/***/ },
/* 515 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GE",
		"name": "Georgia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.047232,
				"4": 0.015744,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.007872,
				"11": 0.007872,
				"12": 0.015744,
				"13": 0.007872,
				"14": 0.015744,
				"15": 0.015744,
				"16": 0.015744,
				"17": null,
				"18": 0.015744,
				"19": null,
				"20": null,
				"21": 0.149568,
				"22": 0.031488,
				"23": 0.023616,
				"24": 0.031488,
				"25": 0.047232,
				"26": null,
				"27": 0.023616,
				"28": 0.023616,
				"29": 0.015744,
				"30": null,
				"31": 0.03936,
				"32": null,
				"33": 0.015744,
				"34": 0.007872,
				"35": 0.015744,
				"36": 0.031488,
				"37": 0.15744,
				"38": 0.015744,
				"39": 0.007872,
				"40": 0.015744,
				"41": null,
				"42": null,
				"43": 0.070848,
				"44": 0.023616,
				"45": 0.070848,
				"46": 0.062976,
				"47": 0.267648,
				"48": 0.102336,
				"49": 1.598016,
				"50": 1.054848,
				"51": 0.015744,
				"52": null,
				"53": null,
				"3.5": 0.07872,
				"3.6": 0.165312
			},
			"chrome": {
				"4": 0.023616,
				"5": 0.015744,
				"6": null,
				"7": null,
				"8": 0.015744,
				"9": 0.007872,
				"10": 0.007872,
				"11": 0.03936,
				"12": 0.03936,
				"13": 0.023616,
				"14": 0.015744,
				"15": 0.031488,
				"16": 0.023616,
				"17": 0.03936,
				"18": 0.03936,
				"19": 0.03936,
				"20": 0.023616,
				"21": 0.03936,
				"22": 0.07872,
				"23": 0.062976,
				"24": 0.047232,
				"25": 0.031488,
				"26": 0.055104,
				"27": 0.07872,
				"28": 0.055104,
				"29": 0.03936,
				"30": 0.062976,
				"31": 0.070848,
				"32": 0.03936,
				"33": 0.086592,
				"34": 0.031488,
				"35": 0.055104,
				"36": 0.055104,
				"37": 0.047232,
				"38": 0.031488,
				"39": 0.110208,
				"40": 0.062976,
				"41": 0.307008,
				"42": 0.03936,
				"43": 0.299136,
				"44": 0.094464,
				"45": 0.086592,
				"46": 0.062976,
				"47": 0.141696,
				"48": 0.149568,
				"49": 2.5584,
				"50": 0.204672,
				"51": 0.771456,
				"52": 0.519552,
				"53": 0.771456,
				"54": 47.727936,
				"55": 0.31488,
				"56": 0.188928,
				"57": 0.007872
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.102336,
				"15": 0.03936,
				"16": 0.023616,
				"17": 0.015744,
				"18": 0.047232,
				"19": 0.031488,
				"20": 0.055104,
				"21": null,
				"22": 0.015744,
				"23": null,
				"24": 0.015744,
				"25": 0.007872,
				"26": 0.015744,
				"27": 0.055104,
				"28": 0.244032,
				"29": 0.015744,
				"30": 0.031488,
				"31": 0.023616,
				"32": 0.023616,
				"33": 0.031488,
				"34": 0.055104,
				"35": 0.133824,
				"36": 0.385728,
				"37": 0.094464,
				"38": 0.165312,
				"39": 0.125952,
				"40": 0.188928,
				"41": 7.580736,
				"42": 0.03936,
				"43": 0.023616,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.015744,
				"11.1": 0.015744,
				"11.5": 0.055104,
				"11.6": 0.11808,
				"12.1": 0.558912
			},
			"safari": {
				"0": null,
				"4": 0.062976,
				"5": 0.070848,
				"6": 0.007872,
				"7": 0.015744,
				"8": 0.031488,
				"9": 0.031488,
				"10": 0.259776,
				"3.1": 0.007872,
				"3.2": null,
				"5.1": 0.07872,
				"6.1": 0.015744,
				"7.1": null,
				"9.1": 0.125952
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0819355726336,
				"8.1-8.4": 0.105833447985,
				"9.0-9.2": 0.0815562412788,
				"9.3": 0.534098547537,
				"10-10.1": 2.83929519057
			},
			"android": {
				"3": 0,
				"4": 0.0260808518658,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00300932906144,
				"4.1": 0.0827565491896,
				"4.2-4.3": 0.236232331323,
				"4.4": 0.556725876366,
				"4.4.3-4.4.4": 0.425820062194
			},
			"op_mob": {
				"0": 0.141095434306,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00391931761962
			},
			"ie": {
				"6": 0.00809691428571,
				"7": 0.0161938285714,
				"8": 0.445330285714,
				"9": 0.194325942857,
				"10": 0.145744457143,
				"11": 1.74083657143,
				"5.5": null
			},
			"edge": {
				"12": 0.031488,
				"13": 0.897408,
				"14": 0.842304
			},
			"bb": {
				"7": 0.03353175,
				"10": null
			},
			"ie_mob": {
				"10": 0.08992896,
				"11": 0.42103104
			},
			"and_ff": {
				"0": 0.023419
			},
			"samsung": {
				"0": 1.302948
			},
			"and_uc": {
				"0": 0.417284
			},
			"op_mini": {
				"0": 1.90095424807
			},
			"and_chr": {
				"0": 12.014523
			}
		},
		"total": 96.80658675
	};

/***/ },
/* 516 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GF",
		"name": "French Guiana",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.024868,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": 0.012434,
				"18": null,
				"19": 0.006217,
				"20": null,
				"21": null,
				"22": 0.012434,
				"23": null,
				"24": 0.06217,
				"25": null,
				"26": 0.018651,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.012434,
				"32": 0.012434,
				"33": null,
				"34": null,
				"35": 0.012434,
				"36": null,
				"37": 0.223812,
				"38": 0.118123,
				"39": 0.024868,
				"40": 0.012434,
				"41": 0.012434,
				"42": 0.031085,
				"43": 0.093255,
				"44": 0.031085,
				"45": 0.111906,
				"46": 0.024868,
				"47": 0.404105,
				"48": 0.341935,
				"49": 7.479051,
				"50": 3.898059,
				"51": 0.012434,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.006217
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.012434,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.087038,
				"19": null,
				"20": null,
				"21": 0.024868,
				"22": null,
				"23": 0.006217,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.06217,
				"30": null,
				"31": 0.024868,
				"32": 0.018651,
				"33": 0.006217,
				"34": 0.006217,
				"35": 0.055953,
				"36": 0.012434,
				"37": 0.018651,
				"38": 0.012434,
				"39": 0.074604,
				"40": 0.031085,
				"41": 0.012434,
				"42": 0.721172,
				"43": 0.093255,
				"44": 0.037302,
				"45": 0.236246,
				"46": 0.012434,
				"47": 0.031085,
				"48": 0.105689,
				"49": 0.752257,
				"50": 0.037302,
				"51": 0.285982,
				"52": 0.447624,
				"53": 0.764691,
				"54": 28.666587,
				"55": 0.074604,
				"56": 0.06217,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.012434,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.024868,
				"37": 0.018651,
				"38": null,
				"39": null,
				"40": 0.006217,
				"41": 0.31085,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.018651
			},
			"safari": {
				"0": null,
				"4": 0.037302,
				"5": 0.018651,
				"6": null,
				"7": 0.074604,
				"8": 0.080821,
				"9": 0.167859,
				"10": 2.144865,
				"3.1": null,
				"3.2": null,
				"5.1": 0.155425,
				"6.1": 0.12434,
				"7.1": null,
				"9.1": 0.801993
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.103896,
				"8.1-8.4": 0.134199,
				"9.0-9.2": 0.103415,
				"9.3": 0.677248,
				"10-10.1": 3.600285
			},
			"android": {
				"3": 0,
				"4": 0.0496053539389,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00572369468526,
				"4.1": 0.157401603845,
				"4.2-4.3": 0.449310032793,
				"4.4": 1.05888351677,
				"4.4.3-4.4.4": 0.809902797965
			},
			"op_mob": {
				"0": 0.0401763957856,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00111601099404
			},
			"ie": {
				"6": null,
				"7": 0.0141273463035,
				"8": 0.508584466926,
				"9": 0.233101214008,
				"10": 0.317865291829,
				"11": 4.37241368093,
				"5.5": null
			},
			"edge": {
				"12": 0.18651,
				"13": 0.801993,
				"14": 2.36246
			},
			"bb": {
				"7": 0.0094575,
				"10": null
			},
			"ie_mob": {
				"10": 0.029295552,
				"11": 0.137156448
			},
			"and_ff": {
				"0": 0.022698
			},
			"samsung": {
				"0": 5.97714
			},
			"and_uc": {
				"0": 0.215631
			},
			"op_mini": {
				"0": 0.54128959322
			},
			"and_chr": {
				"0": 26.093042
			}
		},
		"total": 98.8058805
	};

/***/ },
/* 517 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GG",
		"name": "Guernsey",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.243892,
				"22": null,
				"23": null,
				"24": 0.011086,
				"25": null,
				"26": 0.011086,
				"27": null,
				"28": 0.011086,
				"29": null,
				"30": 0.049887,
				"31": 0.044344,
				"32": 0.016629,
				"33": null,
				"34": 0.005543,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": null,
				"42": 0.011086,
				"43": 0.011086,
				"44": 0.033258,
				"45": 0.365838,
				"46": 0.011086,
				"47": 0.155204,
				"48": 0.315951,
				"49": 3.253741,
				"50": 1.579755,
				"51": 0.072059,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.105317,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.011086,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.033258,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.005543,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.005543,
				"34": null,
				"35": null,
				"36": 0.011086,
				"37": null,
				"38": 0.027715,
				"39": 0.005543,
				"40": null,
				"41": null,
				"42": null,
				"43": 0.027715,
				"44": 0.044344,
				"45": 0.033258,
				"46": 0.011086,
				"47": 0.044344,
				"48": 0.044344,
				"49": 1.225003,
				"50": 0.049887,
				"51": 0.22172,
				"52": 0.066516,
				"53": 0.914595,
				"54": 22.11657,
				"55": 0.060973,
				"56": 0.011086,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.232806,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0.011086,
				"5": 1.152944,
				"6": 0.011086,
				"7": 0.083145,
				"8": 0.315951,
				"9": 0.271607,
				"10": 5.010872,
				"3.1": null,
				"3.2": 0.005543,
				"5.1": 0.27715,
				"6.1": 0.216177,
				"7.1": 0.005543,
				"9.1": 1.867991
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.6159811209,
				"8.1-8.4": 0.795642281162,
				"9.0-9.2": 0.613129356451,
				"9.3": 4.01528434364,
				"10-10.1": 21.3454568978
			},
			"android": {
				"3": 0,
				"4": 0.0161650810403,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0018652016585,
				"4.1": 0.0512930456087,
				"4.2-4.3": 0.146418330192,
				"4.4": 0.345062306822,
				"4.4.3-4.4.4": 0.263926034678
			},
			"op_mob": {
				"0": 0.00430409661433,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000119558239287
			},
			"ie": {
				"6": 0.011086,
				"7": 0.016629,
				"8": 0.260521,
				"9": 0.460069,
				"10": 0.16629,
				"11": 9.400928,
				"5.5": null
			},
			"edge": {
				"12": 0.099774,
				"13": 0.504413,
				"14": 3.065279
			},
			"bb": {
				"7": 0.013374,
				"10": null
			},
			"ie_mob": {
				"10": 0.140444832,
				"11": 0.657537168
			},
			"and_ff": {
				"0": 0.008916
			},
			"samsung": {
				"0": 4.743312
			},
			"and_uc": {
				"0": 0.026748
			},
			"op_mini": {
				"0": 0.0579883451464
			},
			"and_chr": {
				"0": 10.490664
			}
		},
		"total": 99.079671
	};

/***/ },
/* 518 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GH",
		"name": "Ghana",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.062643,
				"4": 0.017898,
				"5": 0.005966,
				"6": 0.005966,
				"7": 0.002983,
				"8": 0.005966,
				"9": 0.005966,
				"10": 0.008949,
				"11": 0.026847,
				"12": 0.020881,
				"13": 0.011932,
				"14": 0.014915,
				"15": 0.011932,
				"16": 0.017898,
				"17": 0.011932,
				"18": 0.011932,
				"19": 0.014915,
				"20": 0.014915,
				"21": 0.020881,
				"22": 0.011932,
				"23": 0.011932,
				"24": 0.02983,
				"25": 0.011932,
				"26": 0.014915,
				"27": 0.017898,
				"28": 0.017898,
				"29": 0.062643,
				"30": 0.050711,
				"31": 0.032813,
				"32": 0.02983,
				"33": 0.02983,
				"34": 0.038779,
				"35": 0.053694,
				"36": 0.056677,
				"37": 0.068609,
				"38": 0.080541,
				"39": 0.071592,
				"40": 0.137218,
				"41": 0.092473,
				"42": 0.095456,
				"43": 0.396739,
				"44": 0.47728,
				"45": 0.184946,
				"46": 0.205827,
				"47": 0.802427,
				"48": 0.462365,
				"49": 3.654175,
				"50": 2.186539,
				"51": 0.399722,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.020881
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.005966,
				"10": null,
				"11": 0.02983,
				"12": 0.005966,
				"13": null,
				"14": 0.002983,
				"15": 0.002983,
				"16": null,
				"17": 0.002983,
				"18": 0.005966,
				"19": 0.005966,
				"20": 0.008949,
				"21": 0.005966,
				"22": 0.011932,
				"23": 0.008949,
				"24": 0.005966,
				"25": 0.011932,
				"26": 0.005966,
				"27": 0.020881,
				"28": 0.011932,
				"29": 0.026847,
				"30": 0.005966,
				"31": 0.050711,
				"32": 0.017898,
				"33": 0.062643,
				"34": 0.008949,
				"35": 0.020881,
				"36": 0.017898,
				"37": 0.005966,
				"38": 0.005966,
				"39": 0.023864,
				"40": 0.020881,
				"41": 0.008949,
				"42": 0.020881,
				"43": 0.235657,
				"44": 0.017898,
				"45": 0.05966,
				"46": 0.023864,
				"47": 0.05966,
				"48": 0.053694,
				"49": 0.557821,
				"50": 0.071592,
				"51": 0.343045,
				"52": 0.247589,
				"53": 0.411654,
				"54": 10.32118,
				"55": 0.083524,
				"56": 0.128269,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.005966,
				"12": 0.002983,
				"15": 0.002983,
				"16": 0.005966,
				"17": 0.002983,
				"18": 0.002983,
				"19": 0.002983,
				"20": 0.002983,
				"21": null,
				"22": 0.002983,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.002983,
				"29": 0.017898,
				"30": 0.005966,
				"31": 0.008949,
				"32": 0.005966,
				"33": 0.011932,
				"34": 0.008949,
				"35": 0.035796,
				"36": 0.032813,
				"37": 0.214776,
				"38": 0.011932,
				"39": 0.017898,
				"40": 0.050711,
				"41": 0.74575,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.002983,
				"11.1": null,
				"11.5": 0.005966,
				"11.6": 0.011932,
				"12.1": 0.020881
			},
			"safari": {
				"0": null,
				"4": 0.002983,
				"5": 0.005966,
				"6": 0.008949,
				"7": 0.008949,
				"8": 0.053694,
				"9": 0.074575,
				"10": 0.399722,
				"3.1": null,
				"3.2": null,
				"5.1": 0.023864,
				"6.1": 0.002983,
				"7.1": 0.002983,
				"9.1": 0.14915
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0582321424555,
				"8.1-8.4": 0.0752165173383,
				"9.0-9.2": 0.0579625492034,
				"9.3": 0.379587298969,
				"10-10.1": 2.01790549203
			},
			"android": {
				"3": 0,
				"4": 0.0873231511496,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0100757482096,
				"4.1": 0.277083075763,
				"4.2-4.3": 0.790946234452,
				"4.4": 1.86401341877,
				"4.4.3-4.4.4": 1.42571837165
			},
			"op_mob": {
				"0": 2.86434416025,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0795651155624
			},
			"ie": {
				"6": 0.0122482698795,
				"7": 0.00612413493976,
				"8": 0.223530925301,
				"9": 0.0459310120482,
				"10": 0.122482698795,
				"11": 0.857378891566,
				"5.5": null
			},
			"edge": {
				"12": 0.17898,
				"13": 0.158099,
				"14": 0.313215
			},
			"bb": {
				"7": 0.063144,
				"10": null
			},
			"ie_mob": {
				"10": 0.317347712,
				"11": 1.485764288
			},
			"and_ff": {
				"0": 0.056128
			},
			"samsung": {
				"0": 1.326024
			},
			"and_uc": {
				"0": 5.549656
			},
			"op_mini": {
				"0": 38.5908107242
			},
			"and_chr": {
				"0": 13.644573
			}
		},
		"total": 98.0920669325
	};

/***/ },
/* 519 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GI",
		"name": "Gibraltar",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.023667,
				"38": 0.583786,
				"39": 0.031556,
				"40": 0.063112,
				"41": 0.015778,
				"42": 0.047334,
				"43": 0.197225,
				"44": 0.007889,
				"45": 1.459465,
				"46": 2.784817,
				"47": 6.445313,
				"48": 0.07889,
				"49": 1.033459,
				"50": 0.497007,
				"51": null,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.055223,
				"32": 0.071001,
				"33": null,
				"34": null,
				"35": 0.015778,
				"36": 0.015778,
				"37": null,
				"38": null,
				"39": 0.465451,
				"40": null,
				"41": 0.015778,
				"42": 0.031556,
				"43": 0.039445,
				"44": 0.015778,
				"45": null,
				"46": 0.047334,
				"47": 0.039445,
				"48": 0.757344,
				"49": 1.167572,
				"50": 6.666205,
				"51": 20.053838,
				"52": 0.023667,
				"53": 0.268226,
				"54": 13.340299,
				"55": 0.031556,
				"56": 0.039445,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.063112,
				"39": null,
				"40": null,
				"41": 0.110446,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.023667,
				"6": null,
				"7": 0.007889,
				"8": 0.670565,
				"9": 1.120238,
				"10": 0.844123,
				"3.1": null,
				"3.2": null,
				"5.1": 0.031556,
				"6.1": 0.094668,
				"7.1": null,
				"9.1": 2.634926
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.270256824742,
				"8.1-8.4": 0.349081731959,
				"9.0-9.2": 0.269005635739,
				"9.3": 1.76167411684,
				"10-10.1": 9.36514969072
			},
			"android": {
				"3": 0,
				"4": 0.0104318311346,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00120367282322,
				"4.1": 0.0331010026385,
				"4.2-4.3": 0.0944883166227,
				"4.4": 0.222679472296,
				"4.4.3-4.4.4": 0.170319704485
			},
			"op_mob": {
				"0": 0.00101954374714,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0000283206596427
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.220892,
				"9": 0.118335,
				"10": 0.110446,
				"11": 4.33895,
				"5.5": null
			},
			"edge": {
				"12": 0.015778,
				"13": 0.875679,
				"14": 0.852012
			},
			"bb": {
				"7": 0.003696,
				"10": null
			},
			"ie_mob": {
				"10": 0.029365248,
				"11": 0.137482752
			},
			"and_ff": {
				"0": 0.006336
			},
			"samsung": {
				"0": 1.788864
			},
			"and_uc": {
				"0": 0.03168
			},
			"op_mini": {
				"0": 0.0137361355932
			},
			"and_chr": {
				"0": 6.542293
			}
		},
		"total": 89.665192
	};

/***/ },
/* 520 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GL",
		"name": "Greenland",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.017592,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.011728,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.046912,
				"37": null,
				"38": null,
				"39": null,
				"40": 0.005864,
				"41": 0.005864,
				"42": 0.064504,
				"43": 0.258016,
				"44": 0.052776,
				"45": 0.046912,
				"46": 0.011728,
				"47": 0.240424,
				"48": 0.340112,
				"49": 2.591888,
				"50": 3.307296,
				"51": 0.011728,
				"52": null,
				"53": 0.005864,
				"3.5": null,
				"3.6": 8.62008
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.011728,
				"30": null,
				"31": 0.046912,
				"32": null,
				"33": null,
				"34": 0.017592,
				"35": null,
				"36": null,
				"37": 0.011728,
				"38": null,
				"39": 0.070368,
				"40": null,
				"41": 0.017592,
				"42": null,
				"43": 0.123144,
				"44": null,
				"45": null,
				"46": 0.017592,
				"47": null,
				"48": 0.005864,
				"49": 1.05552,
				"50": 0.05864,
				"51": 0.123144,
				"52": 0.111416,
				"53": 0.668496,
				"54": 19.26324,
				"55": 0.046912,
				"56": 0.005864,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.017592,
				"37": null,
				"38": null,
				"39": 0.005864,
				"40": null,
				"41": 0.340112,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.035184
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.046912,
				"6": null,
				"7": null,
				"8": 0.299064,
				"9": 0.920648,
				"10": 3.213472,
				"3.1": null,
				"3.2": null,
				"5.1": 0.129008,
				"6.1": 0.052776,
				"7.1": null,
				"9.1": 1.442544
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.245136494845,
				"8.1-8.4": 0.316634639175,
				"9.0-9.2": 0.244001603666,
				"9.3": 1.59792678121,
				"10-10.1": 8.4946604811
			},
			"android": {
				"3": 0,
				"4": 0.0196183279306,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00226365322277,
				"4.1": 0.0622504636261,
				"4.2-4.3": 0.177696777987,
				"4.4": 0.418775846212,
				"4.4.3-4.4.4": 0.320306931021
			},
			"op_mob": {
				"0": 0.718778341732,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0199660650481
			},
			"ie": {
				"6": null,
				"7": 0.017592,
				"8": 0.164192,
				"9": 0.228696,
				"10": 0.8796,
				"11": 8.966056,
				"5.5": null
			},
			"edge": {
				"12": 0.158328,
				"13": 0.55708,
				"14": 2.949592
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0.02547776,
				"11": 0.11928224
			},
			"and_ff": {
				"0": 0.024816
			},
			"samsung": {
				"0": 4.748128
			},
			"and_uc": {
				"0": 3.53628
			},
			"op_mini": {
				"0": 9.68397559322
			},
			"and_chr": {
				"0": 10.514872
			}
		},
		"total": 99.0102
	};

/***/ },
/* 521 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GM",
		"name": "Gambia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.0958,
				"4": 0.026824,
				"5": 0.003832,
				"6": 0.007664,
				"7": null,
				"8": 0.007664,
				"9": null,
				"10": 0.015328,
				"11": 0.034488,
				"12": 0.045984,
				"13": null,
				"14": 0.01916,
				"15": 0.011496,
				"16": null,
				"17": 0.042152,
				"18": 0.007664,
				"19": 0.01916,
				"20": 0.022992,
				"21": 0.17244,
				"22": 0.034488,
				"23": 0.022992,
				"24": 0.042152,
				"25": 0.03832,
				"26": 0.003832,
				"27": 0.01916,
				"28": 0.01916,
				"29": 0.126456,
				"30": 0.01916,
				"31": 0.049816,
				"32": 0.015328,
				"33": 0.026824,
				"34": 0.218424,
				"35": 0.011496,
				"36": 0.099632,
				"37": 0.295064,
				"38": 0.034488,
				"39": 0.053648,
				"40": 0.084304,
				"41": 0.053648,
				"42": 0.479,
				"43": 0.436848,
				"44": 0.387032,
				"45": 0.183936,
				"46": 0.145616,
				"47": 0.712752,
				"48": 0.367872,
				"49": 5.885952,
				"50": 3.379824,
				"51": 1.011648,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.01916
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.01916,
				"12": null,
				"13": 0.003832,
				"14": null,
				"15": null,
				"16": null,
				"17": 0.011496,
				"18": null,
				"19": 0.007664,
				"20": 0.007664,
				"21": 0.01916,
				"22": null,
				"23": 0.042152,
				"24": null,
				"25": 0.084304,
				"26": 0.01916,
				"27": 0.065144,
				"28": 0.030656,
				"29": 0.049816,
				"30": 0.030656,
				"31": 0.034488,
				"32": 0.042152,
				"33": 0.034488,
				"34": 0.061312,
				"35": 0.030656,
				"36": 0.05748,
				"37": 0.034488,
				"38": 0.007664,
				"39": 0.030656,
				"40": 0.022992,
				"41": 0.26824,
				"42": 0.026824,
				"43": 0.203096,
				"44": 0.026824,
				"45": 0.034488,
				"46": 0.030656,
				"47": 0.0958,
				"48": 0.01916,
				"49": 0.636112,
				"50": 0.034488,
				"51": 0.701256,
				"52": 0.751072,
				"53": 0.781728,
				"54": 11.883032,
				"55": 0.07664,
				"56": 0.061312,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.003832,
				"12": 0.03832,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.015328,
				"21": 0.065144,
				"22": 0.015328,
				"23": null,
				"24": null,
				"25": 0.003832,
				"26": null,
				"27": null,
				"28": 0.245248,
				"29": 0.045984,
				"30": null,
				"31": 0.003832,
				"32": null,
				"33": 0.01916,
				"34": 0.007664,
				"35": null,
				"36": 0.045984,
				"37": 0.026824,
				"38": 0.015328,
				"39": 0.007664,
				"40": 0.030656,
				"41": 0.78556,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.003832,
				"11.6": 0.022992,
				"12.1": 0.065144
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.022992,
				"6": null,
				"7": 0.015328,
				"8": 0.084304,
				"9": 0.011496,
				"10": 0.341048,
				"3.1": null,
				"3.2": null,
				"5.1": 0.030656,
				"6.1": null,
				"7.1": null,
				"9.1": 0.099632
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0832284910965,
				"8.1-8.4": 0.107503467666,
				"9.0-9.2": 0.0828431740081,
				"9.3": 0.542526460481,
				"10-10.1": 2.88409840675
			},
			"android": {
				"3": 0,
				"4": 0.179621720317,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0207255831135,
				"4.1": 0.56995353562,
				"4.2-4.3": 1.62695827441,
				"4.4": 3.83423287599,
				"4.4.3-4.4.4": 2.93267001055
			},
			"op_mob": {
				"0": 1.6854347052,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0468176307
			},
			"ie": {
				"6": 0.003832,
				"7": 0.003832,
				"8": 0.22992,
				"9": 0.130288,
				"10": 0.111128,
				"11": 1.406344,
				"5.5": null
			},
			"edge": {
				"12": 0.168608,
				"13": 0.199264,
				"14": 0.145616
			},
			"bb": {
				"7": 0.0709205,
				"10": null
			},
			"ie_mob": {
				"10": 0.236615456,
				"11": 1.107790544
			},
			"and_ff": {
				"0": 0.06167
			},
			"samsung": {
				"0": 2.460633
			},
			"and_uc": {
				"0": 6.956376
			},
			"op_mini": {
				"0": 22.7075686641
			},
			"and_chr": {
				"0": 13.581385
			}
		},
		"total": 97.4401655
	};

/***/ },
/* 522 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GN",
		"name": "Guinea",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.004419,
				"3": 0.047136,
				"4": 0.01473,
				"5": 0.010311,
				"6": 0.010311,
				"7": 0.001473,
				"8": 0.007365,
				"9": null,
				"10": 0.013257,
				"11": 0.011784,
				"12": 0.019149,
				"13": 0.004419,
				"14": 0.002946,
				"15": 0.002946,
				"16": 0.007365,
				"17": 0.017676,
				"18": 0.005892,
				"19": 0.025041,
				"20": 0.035352,
				"21": 0.007365,
				"22": 0.039771,
				"23": 0.008838,
				"24": 0.020622,
				"25": 0.008838,
				"26": 0.004419,
				"27": 0.001473,
				"28": 0.004419,
				"29": 0.01473,
				"30": 0.025041,
				"31": 0.013257,
				"32": 0.013257,
				"33": 0.02946,
				"34": 0.192963,
				"35": 0.013257,
				"36": 0.010311,
				"37": 0.017676,
				"38": 0.042717,
				"39": 0.020622,
				"40": 0.025041,
				"41": 0.042717,
				"42": 0.019149,
				"43": 0.310803,
				"44": 0.048609,
				"45": 0.075123,
				"46": 0.039771,
				"47": 0.45663,
				"48": 0.241572,
				"49": 1.430283,
				"50": 0.659904,
				"51": 0.010311,
				"52": null,
				"53": null,
				"3.5": 0.013257,
				"3.6": 0.094272
			},
			"chrome": {
				"4": null,
				"5": 0.004419,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.02946,
				"12": null,
				"13": null,
				"14": 0.004419,
				"15": 0.001473,
				"16": 0.004419,
				"17": 0.008838,
				"18": 0.001473,
				"19": 0.005892,
				"20": 0.001473,
				"21": 0.004419,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.020622,
				"26": 0.007365,
				"27": 0.002946,
				"28": 0.016203,
				"29": 0.013257,
				"30": null,
				"31": 0.026514,
				"32": 0.007365,
				"33": 0.061866,
				"34": null,
				"35": null,
				"36": 0.007365,
				"37": 0.022095,
				"38": 0.013257,
				"39": 0.005892,
				"40": 0.011784,
				"41": 0.005892,
				"42": 0.013257,
				"43": 0.318168,
				"44": 0.004419,
				"45": 0.119313,
				"46": 0.055974,
				"47": 0.076596,
				"48": 0.048609,
				"49": 0.181179,
				"50": 0.033879,
				"51": 0.141408,
				"52": 0.078069,
				"53": 0.334371,
				"54": 3.946167,
				"55": 0.007365,
				"56": 0.011784,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.001473,
				"12": null,
				"15": 0.010311,
				"16": null,
				"17": 0.004419,
				"18": 0.002946,
				"19": 0.002946,
				"20": 0.001473,
				"21": null,
				"22": 0.002946,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.078069,
				"30": 0.010311,
				"31": 0.002946,
				"32": 0.005892,
				"33": 0.016203,
				"34": 0.013257,
				"35": 0.013257,
				"36": 0.010311,
				"37": 0.466941,
				"38": 0.004419,
				"39": 0.007365,
				"40": 0.039771,
				"41": 0.380034,
				"42": null,
				"43": 0.002946,
				"9.5-9.6": 0.001473,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.002946,
				"11.1": null,
				"11.5": 0.002946,
				"11.6": 0.001473,
				"12.1": 0.005892
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": 0.08838,
				"7": 0.005892,
				"8": 0.036825,
				"9": 0.066285,
				"10": 0.231261,
				"3.1": null,
				"3.2": null,
				"5.1": 0.013257,
				"6.1": 0.008838,
				"7.1": 0.002946,
				"9.1": 0.153192
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0419987403936,
				"8.1-8.4": 0.0542483730084,
				"9.0-9.2": 0.0418043017807,
				"9.3": 0.27376956701,
				"10-10.1": 1.45537301781
			},
			"android": {
				"3": 0,
				"4": 0.133022311346,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0153487282322,
				"4.1": 0.422090026385,
				"4.2-4.3": 1.20487516623,
				"4.4": 2.83951472296,
				"4.4.3-4.4.4": 2.17184504485
			},
			"op_mob": {
				"0": 2.39423629001,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0665065636114
			},
			"ie": {
				"6": 0.0044904021544,
				"7": 0.0299360143627,
				"8": 0.158660876122,
				"9": 0.022452010772,
				"10": 0.0748400359066,
				"11": 0.53735145781,
				"5.5": null
			},
			"edge": {
				"12": 0.125205,
				"13": 0.081015,
				"14": 0.125205
			},
			"bb": {
				"7": 0.0063945,
				"10": null
			},
			"ie_mob": {
				"10": 0.085532832,
				"11": 0.400449168
			},
			"and_ff": {
				"0": 0.306936
			},
			"samsung": {
				"0": 1.688148
			},
			"and_uc": {
				"0": 2.992626
			},
			"op_mini": {
				"0": 32.2571291464
			},
			"and_chr": {
				"0": 35.99235
			}
		},
		"total": 97.5605122971
	};

/***/ },
/* 523 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GP",
		"name": "Guadeloupe",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.044023,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.006289,
				"21": null,
				"22": null,
				"23": null,
				"24": 0.012578,
				"25": 0.031445,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.018867,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.006289,
				"37": 0.012578,
				"38": 0.094335,
				"39": 0.06289,
				"40": 0.031445,
				"41": 0.006289,
				"42": 0.012578,
				"43": 0.081757,
				"44": 0.037734,
				"45": 0.106913,
				"46": 0.088046,
				"47": 0.213826,
				"48": 0.729524,
				"49": 5.326783,
				"50": 2.729426,
				"51": 0.025156,
				"52": null,
				"53": null,
				"3.5": 0.006289,
				"3.6": 0.088046
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.012578,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.006289,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.327028,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.012578,
				"31": 0.006289,
				"32": null,
				"33": 0.012578,
				"34": 0.012578,
				"35": 0.025156,
				"36": 0.025156,
				"37": 0.031445,
				"38": 0.025156,
				"39": 0.025156,
				"40": 0.075468,
				"41": 0.006289,
				"42": 0.06289,
				"43": 0.050312,
				"44": 0.075468,
				"45": 0.018867,
				"46": 0.037734,
				"47": 0.050312,
				"48": 0.050312,
				"49": 1.163465,
				"50": 0.088046,
				"51": 0.270427,
				"52": 0.232693,
				"53": 0.69179,
				"54": 29.174671,
				"55": 0.138358,
				"56": 0.025156,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.025156,
				"37": 0.006289,
				"38": null,
				"39": 0.006289,
				"40": 0.006289,
				"41": 0.584877,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.025156
			},
			"safari": {
				"0": null,
				"4": 0.012578,
				"5": 0.150936,
				"6": 0.025156,
				"7": 0.094335,
				"8": 0.327028,
				"9": 0.471675,
				"10": 3.175945,
				"3.1": null,
				"3.2": null,
				"5.1": 0.270427,
				"6.1": 0.194959,
				"7.1": 0.012578,
				"9.1": 1.817521
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.151917975633,
				"8.1-8.4": 0.196227385192,
				"9.0-9.2": 0.151214651671,
				"9.3": 0.990280137457,
				"10-10.1": 5.26437985005
			},
			"android": {
				"3": 0,
				"4": 0.0360049528835,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00415441764041,
				"4.1": 0.114246485111,
				"4.2-4.3": 0.326121784772,
				"4.4": 0.768567263475,
				"4.4.3-4.4.4": 0.587850096118
			},
			"op_mob": {
				"0": 0.00844537242327,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000234593678424
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.094335,
				"9": 0.144647,
				"10": 0.257849,
				"11": 4.433745,
				"5.5": null
			},
			"edge": {
				"12": 0.295583,
				"13": 0.798703,
				"14": 3.597308
			},
			"bb": {
				"7": 0.01206075,
				"10": null
			},
			"ie_mob": {
				"10": 0.039841296,
				"11": 0.186529704
			},
			"and_ff": {
				"0": 0.033399
			},
			"samsung": {
				"0": 5.00985
			},
			"and_uc": {
				"0": 0.044532
			},
			"op_mini": {
				"0": 0.113783033898
			},
			"and_chr": {
				"0": 25.143094
			}
		},
		"total": 98.51944975
	};

/***/ },
/* 524 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GQ",
		"name": "Equatorial Guinea",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.18843,
				"4": 0.023982,
				"5": 0.106206,
				"6": 0.03426,
				"7": null,
				"8": 0.044538,
				"9": 0.013704,
				"10": null,
				"11": 0.01713,
				"12": 0.020556,
				"13": 0.023982,
				"14": 0.044538,
				"15": 0.010278,
				"16": 0.003426,
				"17": 0.006852,
				"18": 0.006852,
				"19": 0.037686,
				"20": 0.020556,
				"21": 0.010278,
				"22": 0.010278,
				"23": 0.010278,
				"24": 0.054816,
				"25": 0.006852,
				"26": 0.030834,
				"27": null,
				"28": null,
				"29": 0.054816,
				"30": 1.041504,
				"31": 0.459084,
				"32": 0.041112,
				"33": 0.315192,
				"34": 0.123336,
				"35": 0.164448,
				"36": 0.006852,
				"37": 0.030834,
				"38": 0.078798,
				"39": 0.058242,
				"40": 0.1713,
				"41": 0.195282,
				"42": 0.03426,
				"43": 0.842796,
				"44": 0.133614,
				"45": 0.41112,
				"46": 0.113058,
				"47": 0.849648,
				"48": 0.349452,
				"49": 2.53524,
				"50": 1.120302,
				"51": 0.044538,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.078798
			},
			"chrome": {
				"4": null,
				"5": 0.006852,
				"6": 0.01713,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.05139,
				"12": null,
				"13": 0.006852,
				"14": 0.010278,
				"15": null,
				"16": null,
				"17": 0.003426,
				"18": 0.006852,
				"19": 0.010278,
				"20": null,
				"21": 0.03426,
				"22": 0.027408,
				"23": 0.003426,
				"24": 0.010278,
				"25": 0.006852,
				"26": 0.006852,
				"27": 0.006852,
				"28": 0.006852,
				"29": 0.003426,
				"30": 0.003426,
				"31": 0.01713,
				"32": 0.023982,
				"33": 0.041112,
				"34": 0.35973,
				"35": 0.061668,
				"36": null,
				"37": 0.003426,
				"38": 0.006852,
				"39": 0.010278,
				"40": 0.013704,
				"41": 0.013704,
				"42": 0.126762,
				"43": 0.109632,
				"44": 0.089076,
				"45": 0.287784,
				"46": 0.065094,
				"47": 0.010278,
				"48": 0.106206,
				"49": 0.613254,
				"50": 0.167874,
				"51": 0.332322,
				"52": 0.352878,
				"53": 0.555012,
				"54": 11.233854,
				"55": 0.020556,
				"56": 0.061668,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.003426,
				"19": 0.003426,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.003426,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.006852,
				"36": 0.023982,
				"37": null,
				"38": 0.006852,
				"39": null,
				"40": 0.054816,
				"41": 0.332322,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.020556,
				"11.6": null,
				"12.1": 0.013704
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.006852,
				"6": null,
				"7": null,
				"8": 0.044538,
				"9": 0.08565,
				"10": 0.380286,
				"3.1": null,
				"3.2": null,
				"5.1": null,
				"6.1": 0.006852,
				"7.1": null,
				"9.1": 0.116484
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0391792689784,
				"8.1-8.4": 0.0506065557638,
				"9.0-9.2": 0.0389978834739,
				"9.3": 0.255390790378,
				"10-10.1": 1.35767050141
			},
			"android": {
				"3": 0,
				"4": 0.134760126649,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0155492453826,
				"4.1": 0.427604248021,
				"4.2-4.3": 1.22061576253,
				"4.4": 2.87661039578,
				"4.4.3-4.4.4": 2.20021822164
			},
			"op_mob": {
				"0": 1.73701290201,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0482503583892
			},
			"ie": {
				"6": 0.010343814301,
				"7": null,
				"8": 0.403408757737,
				"9": 0.151709276414,
				"10": 0.455127829242,
				"11": 5.4373983842,
				"5.5": null
			},
			"edge": {
				"12": 0.150744,
				"13": 0.246672,
				"14": 0.39399
			},
			"bb": {
				"7": 0.0492975,
				"10": null
			},
			"ie_mob": {
				"10": 0.056685552,
				"11": 0.265391448
			},
			"and_ff": {
				"0": 0.078876
			},
			"samsung": {
				"0": 3.306219
			},
			"and_uc": {
				"0": 8.886696
			},
			"op_mini": {
				"0": 23.4024727396
			},
			"and_chr": {
				"0": 19.372239
			}
		},
		"total": 99.0662255619
	};

/***/ },
/* 525 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GR",
		"name": "Greece",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.01513,
				"4": 0.09078,
				"5": 0.083215,
				"6": 0.083215,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.01513,
				"11": null,
				"12": 0.098345,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.007565,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.007565,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.007565,
				"29": null,
				"30": 0.01513,
				"31": 0.01513,
				"32": null,
				"33": 0.03026,
				"34": 0.022695,
				"35": 0.01513,
				"36": 0.01513,
				"37": 0.022695,
				"38": 0.06052,
				"39": 0.037825,
				"40": 0.037825,
				"41": 0.03026,
				"42": 0.098345,
				"43": 0.13617,
				"44": 0.06052,
				"45": 0.13617,
				"46": 0.083215,
				"47": 0.491725,
				"48": 0.37825,
				"49": 8.59384,
				"50": 5.67375,
				"51": 0.04539,
				"52": null,
				"53": null,
				"3.5": 0.01513,
				"3.6": 0.04539
			},
			"chrome": {
				"4": null,
				"5": 0.01513,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.01513,
				"11": 0.143735,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.083215,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.022695,
				"22": 0.098345,
				"23": 0.01513,
				"24": 0.007565,
				"25": null,
				"26": 0.04539,
				"27": 0.022695,
				"28": null,
				"29": 0.01513,
				"30": 0.03026,
				"31": 0.052955,
				"32": 0.007565,
				"33": 0.01513,
				"34": 0.083215,
				"35": 0.04539,
				"36": 0.03026,
				"37": 0.022695,
				"38": 0.07565,
				"39": 0.10591,
				"40": 0.04539,
				"41": 0.022695,
				"42": 0.01513,
				"43": 0.12104,
				"44": 0.113475,
				"45": 0.037825,
				"46": 0.068085,
				"47": 0.128605,
				"48": 0.13617,
				"49": 5.52245,
				"50": 0.12104,
				"51": 0.49929,
				"52": 0.3026,
				"53": 0.869975,
				"54": 37.02311,
				"55": 0.098345,
				"56": 0.068085,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.249645,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.007565,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.007565,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.09078,
				"37": 0.03026,
				"38": 0.06052,
				"39": null,
				"40": 0.01513,
				"41": 0.658155,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.01513,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.12104
			},
			"safari": {
				"0": null,
				"4": 0.022695,
				"5": 0.083215,
				"6": null,
				"7": 0.01513,
				"8": 0.04539,
				"9": 0.052955,
				"10": 0.643025,
				"3.1": null,
				"3.2": null,
				"5.1": 0.189125,
				"6.1": 0.03026,
				"7.1": 0.007565,
				"9.1": 0.25721
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0723516776007,
				"8.1-8.4": 0.0934542502343,
				"9.0-9.2": 0.0720167161304,
				"9.3": 0.471625750286,
				"10-10.1": 2.50718660575
			},
			"android": {
				"3": 0,
				"4": 0.0457225631361,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00527568036185,
				"4.1": 0.145081209951,
				"4.2-4.3": 0.414140908406,
				"4.4": 0.976000866943,
				"4.4.3-4.4.4": 0.746508771202
			},
			"op_mob": {
				"0": 0.017464100279,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000485113896639
			},
			"ie": {
				"6": 0.0530353566009,
				"7": 0.143953110774,
				"8": 0.606118361153,
				"9": 0.333365098634,
				"10": 0.265176783005,
				"11": 3.59125128983,
				"5.5": null
			},
			"edge": {
				"12": 0.06052,
				"13": 0.19669,
				"14": 1.248225
			},
			"bb": {
				"7": 0.00913125,
				"10": null
			},
			"ie_mob": {
				"10": 0.10799712,
				"11": 0.50562288
			},
			"and_ff": {
				"0": 0.021915
			},
			"samsung": {
				"0": 1.98696
			},
			"and_uc": {
				"0": 0.19967
			},
			"op_mini": {
				"0": 0.235290785824
			},
			"and_chr": {
				"0": 16.4057
			}
		},
		"total": 96.75580125
	};

/***/ },
/* 526 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GT",
		"name": "Guatemala",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.041816,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.010454,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.010454,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.010454,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.010454,
				"31": 0.005227,
				"32": 0.005227,
				"33": 0.005227,
				"34": 0.010454,
				"35": 0.010454,
				"36": 0.005227,
				"37": 0.031362,
				"38": 0.031362,
				"39": 0.026135,
				"40": 0.015681,
				"41": 0.015681,
				"42": 0.036589,
				"43": 0.109767,
				"44": 0.036589,
				"45": 0.078405,
				"46": 0.041816,
				"47": 0.219534,
				"48": 0.297939,
				"49": 2.597819,
				"50": 1.484468,
				"51": 0.026135,
				"52": 0.005227,
				"53": null,
				"3.5": null,
				"3.6": 0.015681
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.015681,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.026135,
				"19": null,
				"20": null,
				"21": 0.005227,
				"22": 0.036589,
				"23": null,
				"24": null,
				"25": 0.005227,
				"26": 0.015681,
				"27": 0.005227,
				"28": 0.010454,
				"29": 0.010454,
				"30": 0.005227,
				"31": 0.047043,
				"32": 0.005227,
				"33": 0.010454,
				"34": 0.036589,
				"35": 0.020908,
				"36": 0.020908,
				"37": 0.031362,
				"38": 0.031362,
				"39": 0.031362,
				"40": 0.05227,
				"41": 0.036589,
				"42": 0.020908,
				"43": 0.067951,
				"44": 0.078405,
				"45": 0.041816,
				"46": 0.047043,
				"47": 0.083632,
				"48": 0.078405,
				"49": 2.326015,
				"50": 0.120221,
				"51": 0.256123,
				"52": 0.20908,
				"53": 0.815412,
				"54": 31.565853,
				"55": 0.067951,
				"56": 0.020908,
				"57": 0.005227
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.015681,
				"29": 0.015681,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.005227,
				"34": null,
				"35": 0.005227,
				"36": 0.026135,
				"37": 0.078405,
				"38": 0.010454,
				"39": null,
				"40": 0.015681,
				"41": 0.376344,
				"42": 0.010454,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.010454
			},
			"safari": {
				"0": null,
				"4": 0.005227,
				"5": 0.031362,
				"6": 0.010454,
				"7": 0.026135,
				"8": 0.287485,
				"9": 0.277031,
				"10": 1.296296,
				"3.1": null,
				"3.2": null,
				"5.1": 0.057497,
				"6.1": 0.036589,
				"7.1": 0.026135,
				"9.1": 0.757915
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0738629578257,
				"8.1-8.4": 0.0954063205248,
				"9.0-9.2": 0.0735209996876,
				"9.3": 0.481477058419,
				"10-10.1": 2.55955666354
			},
			"android": {
				"3": 0,
				"4": 0.104217996231,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0120251534112,
				"4.1": 0.330691718809,
				"4.2-4.3": 0.943974542782,
				"4.4": 2.22465338108,
				"4.4.3-4.4.4": 1.70155920769
			},
			"op_mob": {
				"0": 0.354833084746,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00985647457627
			},
			"ie": {
				"6": null,
				"7": 0.00527569875776,
				"8": 0.147719565217,
				"9": 0.105513975155,
				"10": 0.14244386646,
				"11": 1.29782189441,
				"5.5": null
			},
			"edge": {
				"12": 0.078405,
				"13": 0.167264,
				"14": 0.496565
			},
			"bb": {
				"7": 0.05608275,
				"10": null
			},
			"ie_mob": {
				"10": 0.103325904,
				"11": 0.483753096
			},
			"and_ff": {
				"0": 0.014319
			},
			"samsung": {
				"0": 3.780216
			},
			"and_uc": {
				"0": 2.48196
			},
			"op_mini": {
				"0": 4.78060444068
			},
			"and_chr": {
				"0": 31.145161
			}
		},
		"total": 99.09449975
	};

/***/ },
/* 527 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GU",
		"name": "Guam",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": 0.067886,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.009698,
				"11": 0.014547,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.004849,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.004849,
				"38": 0.024245,
				"39": 0.024245,
				"40": 0.019396,
				"41": 0.029094,
				"42": null,
				"43": 0.029094,
				"44": 0.004849,
				"45": 0.014547,
				"46": 0.014547,
				"47": 0.19396,
				"48": 0.179413,
				"49": 3.025776,
				"50": 1.735942,
				"51": 0.019396,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.009698,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.004849,
				"19": null,
				"20": null,
				"21": 0.024245,
				"22": 0.009698,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.004849,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.009698,
				"32": null,
				"33": null,
				"34": 0.004849,
				"35": null,
				"36": 0.014547,
				"37": 0.004849,
				"38": 0.058188,
				"39": 0.029094,
				"40": null,
				"41": 0.024245,
				"42": 0.004849,
				"43": 0.043641,
				"44": 0.029094,
				"45": 0.043641,
				"46": 0.029094,
				"47": 0.038792,
				"48": 0.043641,
				"49": 1.585623,
				"50": 0.077584,
				"51": 0.087282,
				"52": 0.232752,
				"53": 1.042535,
				"54": 23.658271,
				"55": 0.101829,
				"56": 0.04849,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.004849,
				"29": 0.024245,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.014547,
				"34": null,
				"35": 0.004849,
				"36": 0.029094,
				"37": 0.213356,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.101829,
				"42": 0.009698,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.038792,
				"6": 0.043641,
				"7": 0.033943,
				"8": 0.363675,
				"9": 0.320034,
				"10": 2.919098,
				"3.1": null,
				"3.2": null,
				"5.1": 0.077584,
				"6.1": 0.09698,
				"7.1": 0.024245,
				"9.1": 1.561378
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.543505327085,
				"8.1-8.4": 0.702027714152,
				"9.0-9.2": 0.540989098719,
				"9.3": 3.54284953952,
				"10-10.1": 18.8339693205
			},
			"android": {
				"3": 0,
				"4": 0.0527021274029,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00608101470034,
				"4.1": 0.167227904259,
				"4.2-4.3": 0.477359653977,
				"4.4": 1.12498771956,
				"4.4.3-4.4.4": 0.860463580098
			},
			"op_mob": {
				"0": 0.0269972205056,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000749922791821
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.15552760139,
				"9": 0.194409501738,
				"10": 0.145807126304,
				"11": 3.69864077057,
				"5.5": null
			},
			"edge": {
				"12": 0.135772,
				"13": 0.790387,
				"14": 2.264483
			},
			"bb": {
				"7": 0.0025755,
				"10": null
			},
			"ie_mob": {
				"10": 0.017224944,
				"11": 0.080644056
			},
			"and_ff": {
				"0": 0.030906
			},
			"samsung": {
				"0": 7.10838
			},
			"and_uc": {
				"0": 0.133926
			},
			"op_mini": {
				"0": 0.363728856703
			},
			"and_chr": {
				"0": 18.241256
			}
		},
		"total": 98.8076755
	};

/***/ },
/* 528 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GW",
		"name": "Guinea-Bissau",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.034371,
				"3": 0.011457,
				"4": 0.015276,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.022914,
				"10": 0.034371,
				"11": 0.03819,
				"12": 0.015276,
				"13": 0.053466,
				"14": null,
				"15": 0.236778,
				"16": 0.015276,
				"17": 0.015276,
				"18": null,
				"19": 0.042009,
				"20": null,
				"21": 0.011457,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.129846,
				"27": 0.015276,
				"28": 0.011457,
				"29": null,
				"30": null,
				"31": 0.015276,
				"32": null,
				"33": 0.183312,
				"34": 0.022914,
				"35": 0.015276,
				"36": 0.011457,
				"37": 0.064923,
				"38": 0.164217,
				"39": 0.030552,
				"40": 0.034371,
				"41": 0.106932,
				"42": 0.003819,
				"43": 0.072561,
				"44": 0.061104,
				"45": 0.042009,
				"46": 0.003819,
				"47": 0.637773,
				"48": 0.259692,
				"49": 6.244065,
				"50": 2.780232,
				"51": 0.030552,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.11457
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.003819,
				"11": 1.500867,
				"12": null,
				"13": null,
				"14": 0.015276,
				"15": 0.007638,
				"16": null,
				"17": null,
				"18": 0.022914,
				"19": null,
				"20": null,
				"21": 0.007638,
				"22": 0.011457,
				"23": null,
				"24": null,
				"25": 0.034371,
				"26": 0.042009,
				"27": 0.019095,
				"28": 0.011457,
				"29": null,
				"30": 0.022914,
				"31": null,
				"32": 0.072561,
				"33": 0.145122,
				"34": null,
				"35": 0.015276,
				"36": 0.042009,
				"37": 0.080199,
				"38": null,
				"39": 0.141303,
				"40": 0.301701,
				"41": 0.034371,
				"42": 0.061104,
				"43": 0.935655,
				"44": 0.007638,
				"45": 0.171855,
				"46": 0.064923,
				"47": 0.045828,
				"48": 0.030552,
				"49": 0.427728,
				"50": 0.557574,
				"51": 0.435366,
				"52": 0.255873,
				"53": 0.99294,
				"54": 12.255171,
				"55": 0.022914,
				"56": 0.022914,
				"57": 0.003819
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": 0.003819,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.015276,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.015276,
				"30": 0.003819,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.244416,
				"35": null,
				"36": 0.030552,
				"37": 0.080199,
				"38": null,
				"39": 0.022914,
				"40": 0.011457,
				"41": 0.255873,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.007638
			},
			"safari": {
				"0": null,
				"4": 0.015276,
				"5": 0.019095,
				"6": null,
				"7": 0.042009,
				"8": 0.015276,
				"9": 0.019095,
				"10": 0.255873,
				"3.1": null,
				"3.2": null,
				"5.1": 0.175674,
				"6.1": 0.015276,
				"7.1": null,
				"9.1": 0.061104
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0497724011246,
				"8.1-8.4": 0.0642893514527,
				"9.0-9.2": 0.0495419733417,
				"9.3": 0.324442318442,
				"10-10.1": 1.72475195564
			},
			"android": {
				"3": 0,
				"4": 0.0920743007916,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0106239577836,
				"4.1": 0.29215883905,
				"4.2-4.3": 0.833980686016,
				"4.4": 1.96543218997,
				"4.4.3-4.4.4": 1.50329002639
			},
			"op_mob": {
				"0": 1.4765580937,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0410155026028
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.30612596679,
				"9": 0.0941926051661,
				"10": 0.439565490775,
				"11": 3.41448193727,
				"5.5": null
			},
			"edge": {
				"12": 0.15276,
				"13": 0.080199,
				"14": 0.622497
			},
			"bb": {
				"7": 0.006181,
				"10": null
			},
			"ie_mob": {
				"10": 0.090292048,
				"11": 0.422730952
			},
			"and_ff": {
				"0": 1.452535
			},
			"samsung": {
				"0": 3.492265
			},
			"and_uc": {
				"0": 2.373504
			},
			"op_mini": {
				"0": 19.8934104037
			},
			"and_chr": {
				"0": 25.741003
			}
		},
		"total": 98.745565
	};

/***/ },
/* 529 */
/***/ function(module, exports) {

	module.exports = {
		"id": "GY",
		"name": "Guyana",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.010028,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.015042,
				"23": null,
				"24": null,
				"25": 0.010028,
				"26": 0.02507,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.110308,
				"31": 0.040112,
				"32": null,
				"33": null,
				"34": 0.035098,
				"35": 0.02507,
				"36": null,
				"37": 0.020056,
				"38": 0.045126,
				"39": 0.030084,
				"40": 0.02507,
				"41": 0.030084,
				"42": 0.020056,
				"43": 0.120336,
				"44": 0.065182,
				"45": 0.040112,
				"46": 0.045126,
				"47": 0.361008,
				"48": 0.165462,
				"49": 2.622322,
				"50": 1.674676,
				"51": 0.110308,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.005014
			},
			"chrome": {
				"4": null,
				"5": 0.010028,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.030084,
				"12": 0.010028,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.005014,
				"19": null,
				"20": 0.035098,
				"21": null,
				"22": 0.055154,
				"23": null,
				"24": null,
				"25": 0.010028,
				"26": 0.015042,
				"27": null,
				"28": null,
				"29": 0.020056,
				"30": null,
				"31": 0.02507,
				"32": 0.015042,
				"33": 0.020056,
				"34": 0.040112,
				"35": 0.010028,
				"36": 0.030084,
				"37": 0.005014,
				"38": 0.030084,
				"39": 0.020056,
				"40": 0.020056,
				"41": 0.005014,
				"42": 0.035098,
				"43": 0.270756,
				"44": 0.215602,
				"45": 0.135378,
				"46": 0.02507,
				"47": 0.055154,
				"48": 0.035098,
				"49": 0.45126,
				"50": 0.295826,
				"51": 0.907534,
				"52": 0.355994,
				"53": 0.792212,
				"54": 26.940222,
				"55": 0.135378,
				"56": 0.120336,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.030084,
				"28": null,
				"29": 0.12535,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.090252,
				"34": null,
				"35": 0.010028,
				"36": 0.005014,
				"37": 0.315882,
				"38": 0.05014,
				"39": 0.010028,
				"40": 0.030084,
				"41": 0.722016,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.02507
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.005014,
				"6": null,
				"7": 0.010028,
				"8": 0.035098,
				"9": 0.020056,
				"10": 0.245686,
				"3.1": null,
				"3.2": null,
				"5.1": 0.02507,
				"6.1": null,
				"7.1": 0.010028,
				"9.1": 0.07521
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0915143617619,
				"8.1-8.4": 0.118206050609,
				"9.0-9.2": 0.0910906841612,
				"9.3": 0.596538061856,
				"10-10.1": 3.17122684161
			},
			"android": {
				"3": 0,
				"4": 0.104177893705,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0120205261968,
				"4.1": 0.330564470411,
				"4.2-4.3": 0.943611306446,
				"4.4": 2.2237973464,
				"4.4.3-4.4.4": 1.70090445684
			},
			"op_mob": {
				"0": 0.272671265065,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00757420180735
			},
			"ie": {
				"6": null,
				"7": 0.010028,
				"8": 0.235658,
				"9": 0.115322,
				"10": 0.17549,
				"11": 2.186104,
				"5.5": null
			},
			"edge": {
				"12": 0.386078,
				"13": 0.87745,
				"14": 1.65462
			},
			"bb": {
				"7": 0.361485,
				"10": null
			},
			"ie_mob": {
				"10": 0.11846736,
				"11": 0.55464264
			},
			"and_ff": {
				"0": 0.019944
			},
			"samsung": {
				"0": 4.58712
			},
			"and_uc": {
				"0": 2.896866
			},
			"op_mini": {
				"0": 3.67365253313
			},
			"and_chr": {
				"0": 31.669604
			}
		},
		"total": 97.859411
	};

/***/ },
/* 530 */
/***/ function(module, exports) {

	module.exports = {
		"id": "HK",
		"name": "Hong Kong",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.006323,
				"13": null,
				"14": 0.006323,
				"15": null,
				"16": 0.018969,
				"17": 0.050584,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.012646,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.006323,
				"26": 0.006323,
				"27": null,
				"28": 0.006323,
				"29": null,
				"30": 0.044261,
				"31": 0.012646,
				"32": null,
				"33": 0.031615,
				"34": 0.018969,
				"35": 0.037938,
				"36": 0.012646,
				"37": 0.025292,
				"38": 0.075876,
				"39": 0.025292,
				"40": 0.044261,
				"41": 0.018969,
				"42": 0.044261,
				"43": 0.075876,
				"44": 0.037938,
				"45": 0.170721,
				"46": 0.082199,
				"47": 0.303504,
				"48": 0.309827,
				"49": 3.749539,
				"50": 1.195047,
				"51": 0.025292,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.012646
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.018969,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.006323,
				"19": null,
				"20": null,
				"21": 0.006323,
				"22": 0.012646,
				"23": null,
				"24": null,
				"25": 0.018969,
				"26": 0.006323,
				"27": 0.012646,
				"28": null,
				"29": 0.006323,
				"30": 0.012646,
				"31": 0.037938,
				"32": 0.006323,
				"33": 0.018969,
				"34": 0.012646,
				"35": 0.018969,
				"36": 0.025292,
				"37": 0.025292,
				"38": 0.044261,
				"39": 0.056907,
				"40": 0.031615,
				"41": 0.044261,
				"42": 0.094845,
				"43": 0.164398,
				"44": 0.12646,
				"45": 0.594362,
				"46": 0.088522,
				"47": 0.164398,
				"48": 0.132783,
				"49": 2.130851,
				"50": 0.398349,
				"51": 0.676561,
				"52": 0.625977,
				"53": 1.511197,
				"54": 31.798367,
				"55": 0.132783,
				"56": 0.069553,
				"57": 0.012646
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.006323,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.018969,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.012646,
				"37": 0.018969,
				"38": 0.044261,
				"39": null,
				"40": null,
				"41": 0.183367,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.025292
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.044261,
				"6": 0.031615,
				"7": 0.107491,
				"8": 0.373057,
				"9": 0.322473,
				"10": 2.371125,
				"3.1": null,
				"3.2": null,
				"5.1": 0.113814,
				"6.1": 0.082199,
				"7.1": 0.025292,
				"9.1": 1.384737
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.326271700094,
				"8.1-8.4": 0.421434279288,
				"9.0-9.2": 0.324761182964,
				"9.3": 2.12680811913,
				"10-10.1": 11.3062207185
			},
			"android": {
				"3": 0,
				"4": 0.0286043513004,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00330050207312,
				"4.1": 0.0907638070109,
				"4.2-4.3": 0.25908941274,
				"4.4": 0.610592883528,
				"4.4.3-4.4.4": 0.467021043347
			},
			"op_mob": {
				"0": 0.0288997619623,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000802771165619
			},
			"ie": {
				"6": 0.0258347467811,
				"7": 0.0387521201717,
				"8": 0.497318875536,
				"9": 0.413355948498,
				"10": 0.284182214592,
				"11": 6.26492609442,
				"5.5": null
			},
			"edge": {
				"12": 0.082199,
				"13": 0.335119,
				"14": 1.58075
			},
			"bb": {
				"7": 0.00919,
				"10": null
			},
			"ie_mob": {
				"10": 0.014880448,
				"11": 0.069667552
			},
			"and_ff": {
				"0": 0.029408
			},
			"samsung": {
				"0": 4.164908
			},
			"and_uc": {
				"0": 0.595512
			},
			"op_mini": {
				"0": 0.389361466872
			},
			"and_chr": {
				"0": 17.295962
			}
		},
		"total": 98.865911
	};

/***/ },
/* 531 */
/***/ function(module, exports) {

	module.exports = {
		"id": "HN",
		"name": "Honduras",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.015123,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.015123,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.005041,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.015123,
				"22": null,
				"23": 0.015123,
				"24": 0.005041,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.010082,
				"29": 0.005041,
				"30": null,
				"31": 0.005041,
				"32": null,
				"33": 0.005041,
				"34": 0.005041,
				"35": 0.010082,
				"36": 0.010082,
				"37": 0.025205,
				"38": 0.015123,
				"39": 0.035287,
				"40": 0.020164,
				"41": 0.025205,
				"42": 0.010082,
				"43": 0.070574,
				"44": 0.020164,
				"45": 0.085697,
				"46": 0.025205,
				"47": 0.186517,
				"48": 0.161312,
				"49": 2.943944,
				"50": 1.603038,
				"51": 0.010082,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.005041
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.035287,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.030246,
				"19": null,
				"20": 0.005041,
				"21": null,
				"22": 0.025205,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.010082,
				"27": 0.010082,
				"28": 0.005041,
				"29": 0.015123,
				"30": null,
				"31": 0.030246,
				"32": 0.015123,
				"33": 0.010082,
				"34": 0.030246,
				"35": 0.020164,
				"36": 0.030246,
				"37": 0.020164,
				"38": 0.030246,
				"39": 0.045369,
				"40": 0.030246,
				"41": 0.05041,
				"42": 0.010082,
				"43": 0.115943,
				"44": 0.055451,
				"45": 0.035287,
				"46": 0.035287,
				"47": 0.060492,
				"48": 0.085697,
				"49": 1.487095,
				"50": 0.075615,
				"51": 0.297419,
				"52": 0.35287,
				"53": 0.730945,
				"54": 31.622193,
				"55": 0.085697,
				"56": 0.035287,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.010082,
				"28": 0.030246,
				"29": 0.095779,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.045369,
				"34": null,
				"35": 0.005041,
				"36": 0.020164,
				"37": 0.186517,
				"38": 0.025205,
				"39": null,
				"40": 0.015123,
				"41": 0.620043,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.010082
			},
			"safari": {
				"0": null,
				"4": 0.005041,
				"5": 0.010082,
				"6": null,
				"7": null,
				"8": 0.090738,
				"9": 0.141148,
				"10": 1.129184,
				"3.1": null,
				"3.2": null,
				"5.1": 0.015123,
				"6.1": 0.015123,
				"7.1": 0.005041,
				"9.1": 0.55451
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0899214995314,
				"8.1-8.4": 0.116148603561,
				"9.0-9.2": 0.0895051962928,
				"9.3": 0.586154959908,
				"10-10.1": 3.11602974071
			},
			"android": {
				"3": 0,
				"4": 0.158660173389,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0183069430833,
				"4.1": 0.503440934791,
				"4.2-4.3": 1.43709503204,
				"4.4": 3.38678447041,
				"4.4.3-4.4.4": 2.59043244629
			},
			"op_mob": {
				"0": 0.163160101612,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00453222504477
			},
			"ie": {
				"6": null,
				"7": 0.0103767953216,
				"8": 0.217912701754,
				"9": 0.134898339181,
				"10": 0.12970994152,
				"11": 1.27634582456,
				"5.5": null
			},
			"edge": {
				"12": 0.110902,
				"13": 0.211722,
				"14": 0.529305
			},
			"bb": {
				"7": 0.08432,
				"10": null
			},
			"ie_mob": {
				"10": 0.08380416,
				"11": 0.39235584
			},
			"and_ff": {
				"0": 0.01488
			},
			"samsung": {
				"0": 4.0176
			},
			"and_uc": {
				"0": 1.11104
			},
			"op_mini": {
				"0": 2.19822767334
			},
			"and_chr": {
				"0": 32.307854
			}
		},
		"total": 99.0187006023
	};

/***/ },
/* 532 */
/***/ function(module, exports) {

	module.exports = {
		"id": "HR",
		"name": "Croatia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.006354,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.03177,
				"11": null,
				"12": 0.012708,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.012708,
				"17": null,
				"18": 0.012708,
				"19": 0.006354,
				"20": 0.019062,
				"21": null,
				"22": null,
				"23": null,
				"24": 0.006354,
				"25": null,
				"26": 0.012708,
				"27": null,
				"28": 0.012708,
				"29": 0.012708,
				"30": 0.006354,
				"31": 0.012708,
				"32": 0.006354,
				"33": 0.012708,
				"34": 0.019062,
				"35": 0.025416,
				"36": 0.012708,
				"37": 0.025416,
				"38": 0.050832,
				"39": 0.06354,
				"40": 0.03177,
				"41": 0.057186,
				"42": 0.038124,
				"43": 0.133434,
				"44": 0.057186,
				"45": 0.139788,
				"46": 0.069894,
				"47": 0.425718,
				"48": 0.273222,
				"49": 7.396056,
				"50": 4.60665,
				"51": 0.050832,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.019062
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.019062,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.006354,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.044478,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.038124,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.006354,
				"31": 0.044478,
				"32": 0.012708,
				"33": 0.03177,
				"34": 0.057186,
				"35": 0.019062,
				"36": 0.012708,
				"37": 0.038124,
				"38": 0.050832,
				"39": 0.057186,
				"40": 0.038124,
				"41": 0.019062,
				"42": 0.012708,
				"43": 0.19062,
				"44": 0.120726,
				"45": 0.044478,
				"46": 0.050832,
				"47": 0.082602,
				"48": 0.076248,
				"49": 2.471706,
				"50": 0.108018,
				"51": 0.298638,
				"52": 0.209682,
				"53": 0.648108,
				"54": 34.27983,
				"55": 0.09531,
				"56": 0.076248,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": 0.012708,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.012708,
				"29": null,
				"30": 0.012708,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.006354,
				"36": 0.088956,
				"37": 0.03177,
				"38": 0.03177,
				"39": 0.006354,
				"40": 0.019062,
				"41": 1.194552,
				"42": 0.006354,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.108018
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.019062,
				"6": null,
				"7": 0.012708,
				"8": 0.057186,
				"9": 0.050832,
				"10": 0.533736,
				"3.1": null,
				"3.2": null,
				"5.1": 0.044478,
				"6.1": 0.025416,
				"7.1": null,
				"9.1": 0.228744
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.135561492034,
				"8.1-8.4": 0.175100260544,
				"9.0-9.2": 0.134933892534,
				"9.3": 0.88366009622,
				"10-10.1": 4.69758225867
			},
			"android": {
				"3": 0,
				"4": 0.0480947666792,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0055493961553,
				"4.1": 0.152608394271,
				"4.2-4.3": 0.435627598191,
				"4.4": 1.02663828873,
				"4.4.3-4.4.4": 0.785239555974
			},
			"op_mob": {
				"0": 0.0266524072794,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00074034464665
			},
			"ie": {
				"6": null,
				"7": 0.006354,
				"8": 0.209682,
				"9": 0.171558,
				"10": 0.19062,
				"11": 3.882294,
				"5.5": null
			},
			"edge": {
				"12": 0.057186,
				"13": 0.247806,
				"14": 1.073826
			},
			"bb": {
				"7": 0.009115,
				"10": null
			},
			"ie_mob": {
				"10": 0.196358976,
				"11": 0.919317024
			},
			"and_ff": {
				"0": 0.021876
			},
			"samsung": {
				"0": 3.018888
			},
			"and_uc": {
				"0": 0.065628
			},
			"op_mini": {
				"0": 0.359083248074
			},
			"and_chr": {
				"0": 23.980812
			}
		},
		"total": 98.363397
	};

/***/ },
/* 533 */
/***/ function(module, exports) {

	module.exports = {
		"id": "HT",
		"name": "Haiti",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.10025,
				"4": 0.002005,
				"5": null,
				"6": null,
				"7": 0.002005,
				"8": null,
				"9": 0.006015,
				"10": 0.00401,
				"11": 0.00802,
				"12": 0.010025,
				"13": 0.006015,
				"14": 0.00802,
				"15": 0.002005,
				"16": 0.00401,
				"17": 0.010025,
				"18": 0.00802,
				"19": 0.00802,
				"20": 0.00401,
				"21": 0.070175,
				"22": 0.01604,
				"23": 0.010025,
				"24": 0.01203,
				"25": 0.01604,
				"26": 0.002005,
				"27": 0.010025,
				"28": 0.01203,
				"29": 0.018045,
				"30": 0.00401,
				"31": 0.018045,
				"32": 0.01604,
				"33": 0.018045,
				"34": 0.00401,
				"35": 0.00802,
				"36": 0.014035,
				"37": 0.06416,
				"38": 0.046115,
				"39": 0.010025,
				"40": 0.006015,
				"41": 0.01604,
				"42": 0.00401,
				"43": 0.05614,
				"44": 0.04812,
				"45": 0.03208,
				"46": 0.02005,
				"47": 0.22857,
				"48": 0.11629,
				"49": 1.29523,
				"50": 0.964405,
				"51": 0.00802,
				"52": 0.00401,
				"53": null,
				"3.5": null,
				"3.6": 0.01604
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.01203,
				"11": 0.1604,
				"12": 0.02807,
				"13": 0.01203,
				"14": 0.00401,
				"15": 0.002005,
				"16": null,
				"17": 0.00802,
				"18": 0.00401,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": 0.002005,
				"24": 0.00401,
				"25": null,
				"26": 0.006015,
				"27": 0.02406,
				"28": 0.014035,
				"29": 0.0401,
				"30": 0.01604,
				"31": 0.014035,
				"32": 0.018045,
				"33": 0.018045,
				"34": 0.014035,
				"35": 0.02005,
				"36": 0.034085,
				"37": 0.01604,
				"38": 0.01203,
				"39": 0.010025,
				"40": 0.06015,
				"41": 0.11228,
				"42": 0.010025,
				"43": 0.0401,
				"44": 0.01604,
				"45": 0.06015,
				"46": 0.01203,
				"47": 0.022055,
				"48": 0.01203,
				"49": 0.32481,
				"50": 0.042105,
				"51": 0.194485,
				"52": 0.14436,
				"53": 0.330825,
				"54": 7.829525,
				"55": 0.026065,
				"56": 0.010025,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.02005,
				"15": null,
				"16": null,
				"17": 0.00401,
				"18": null,
				"19": null,
				"20": 0.00401,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.04411,
				"28": 0.098245,
				"29": 0.08421,
				"30": 0.01203,
				"31": null,
				"32": null,
				"33": 0.038095,
				"34": 0.00401,
				"35": 0.00802,
				"36": 0.02807,
				"37": 0.110275,
				"38": 0.006015,
				"39": 0.01604,
				"40": 0.02406,
				"41": 0.467165,
				"42": 0.002005,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.006015,
				"11.6": 0.01203,
				"12.1": 0.074185
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.034085,
				"6": 0.01203,
				"7": 0.018045,
				"8": 0.078195,
				"9": 0.026065,
				"10": 0.647615,
				"3.1": null,
				"3.2": null,
				"5.1": 0.04812,
				"6.1": 0.02807,
				"7.1": 0.00401,
				"9.1": 0.2406
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0712131958763,
				"8.1-8.4": 0.0919837113402,
				"9.0-9.2": 0.0708835051546,
				"9.3": 0.464204536082,
				"10-10.1": 2.46773505155
			},
			"android": {
				"3": 0,
				"4": 0.226282909913,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0261095665285,
				"4.1": 0.718013079533,
				"4.2-4.3": 2.04960097248,
				"4.4": 4.83026980776,
				"4.4.3-4.4.4": 3.69450366378
			},
			"op_mob": {
				"0": 2.14146805814,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0594852238371
			},
			"ie": {
				"6": 0.026065,
				"7": 0.006015,
				"8": 0.24461,
				"9": 0.09624,
				"10": 0.158395,
				"11": 1.30325,
				"5.5": null
			},
			"edge": {
				"12": 0.14035,
				"13": 0.21654,
				"14": 0.302755
			},
			"bb": {
				"7": 0.07395375,
				"10": null
			},
			"ie_mob": {
				"10": 0.15900456,
				"11": 0.74443044
			},
			"and_ff": {
				"0": 0.03198
			},
			"samsung": {
				"0": 1.95078
			},
			"and_uc": {
				"0": 3.66171
			},
			"op_mini": {
				"0": 28.851626718
			},
			"and_chr": {
				"0": 28.87008
			}
		},
		"total": 99.05570875
	};

/***/ },
/* 534 */
/***/ function(module, exports) {

	module.exports = {
		"id": "HU",
		"name": "Hungary",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.007868,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.015736,
				"13": null,
				"14": null,
				"15": 0.007868,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.007868,
				"29": null,
				"30": 0.015736,
				"31": 0.023604,
				"32": 0.007868,
				"33": 0.015736,
				"34": 0.015736,
				"35": 0.031472,
				"36": 0.015736,
				"37": 0.023604,
				"38": 0.062944,
				"39": 0.03934,
				"40": 0.031472,
				"41": 0.03934,
				"42": 0.03934,
				"43": 0.125888,
				"44": 2.39974,
				"45": 0.15736,
				"46": 7.136276,
				"47": 0.440608,
				"48": 0.251776,
				"49": 13.045144,
				"50": 4.79948,
				"51": 0.023604,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.031472
			},
			"chrome": {
				"4": 0.031472,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.007868,
				"12": 0.007868,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.023604,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.023604,
				"27": 0.007868,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.023604,
				"32": null,
				"33": 0.015736,
				"34": 0.03934,
				"35": 0.015736,
				"36": 0.007868,
				"37": 0.031472,
				"38": 0.023604,
				"39": 0.070812,
				"40": 0.015736,
				"41": 0.015736,
				"42": 0.015736,
				"43": 0.062944,
				"44": 0.031472,
				"45": 0.023604,
				"46": 0.023604,
				"47": 0.047208,
				"48": 0.070812,
				"49": 3.367504,
				"50": 4.657856,
				"51": 0.27538,
				"52": 0.133756,
				"53": 0.448476,
				"54": 26.648916,
				"55": 0.086548,
				"56": 0.03934,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.007868,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.007868,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.110152,
				"37": 0.031472,
				"38": 0.031472,
				"39": null,
				"40": 0.015736,
				"41": 1.125124,
				"42": 0.015736,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 5.554808
			},
			"safari": {
				"0": null,
				"4": 0.007868,
				"5": 0.015736,
				"6": null,
				"7": 0.007868,
				"8": 0.03934,
				"9": 0.055076,
				"10": 0.605836,
				"3.1": null,
				"3.2": null,
				"5.1": 0.031472,
				"6.1": 0.015736,
				"7.1": null,
				"9.1": 0.204568
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0760086972821,
				"8.1-8.4": 0.098177900656,
				"9.0-9.2": 0.0756568051651,
				"9.3": 0.495464100802,
				"10-10.1": 2.63391249609
			},
			"android": {
				"3": 0,
				"4": 0.0278727056163,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00321608141726,
				"4.1": 0.0884422389747,
				"4.2-4.3": 0.252462391255,
				"4.4": 0.594975062194,
				"4.4.3-4.4.4": 0.455075520543
			},
			"op_mob": {
				"0": 0.0491074721193,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00136409644776
			},
			"ie": {
				"6": 0.00795352173913,
				"7": 0.00795352173913,
				"8": 0.159070434783,
				"9": 0.230652130435,
				"10": 0.111349304348,
				"11": 2.40991708696,
				"5.5": null
			},
			"edge": {
				"12": 0.03934,
				"13": 0.165228,
				"14": 0.920556
			},
			"bb": {
				"7": 0.009594,
				"10": null
			},
			"ie_mob": {
				"10": 0.151218496,
				"11": 0.707977504
			},
			"and_ff": {
				"0": 0.019188
			},
			"samsung": {
				"0": 1.402856
			},
			"and_uc": {
				"0": 0.119392
			},
			"op_mini": {
				"0": 0.661616431433
			},
			"and_chr": {
				"0": 13.553524
			}
		},
		"total": 98.520558
	};

/***/ },
/* 535 */
/***/ function(module, exports) {

	module.exports = {
		"id": "ID",
		"name": "Indonesia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.25424,
				"4": 0.019068,
				"5": 0.012712,
				"6": 0.006356,
				"7": 0.009534,
				"8": 0.009534,
				"9": 0.009534,
				"10": 0.019068,
				"11": 0.019068,
				"12": 0.041314,
				"13": 0.022246,
				"14": 0.022246,
				"15": 0.022246,
				"16": 0.03178,
				"17": 0.022246,
				"18": 0.019068,
				"19": 0.022246,
				"20": 0.025424,
				"21": 0.025424,
				"22": 0.019068,
				"23": 0.022246,
				"24": 0.025424,
				"25": 0.028602,
				"26": 0.028602,
				"27": 0.03178,
				"28": 0.025424,
				"29": 0.073094,
				"30": 0.076272,
				"31": 0.04767,
				"32": 0.050848,
				"33": 0.060382,
				"34": 0.12712,
				"35": 0.114408,
				"36": 0.130298,
				"37": 0.149366,
				"38": 0.28602,
				"39": 0.139832,
				"40": 0.149366,
				"41": 0.184324,
				"42": 0.114408,
				"43": 0.645134,
				"44": 0.387716,
				"45": 0.235172,
				"46": 0.209748,
				"47": 1.010604,
				"48": 0.527548,
				"49": 4.03606,
				"50": 2.354898,
				"51": 0.244706,
				"52": 0.003178,
				"53": null,
				"3.5": 0.006356,
				"3.6": 0.038136
			},
			"chrome": {
				"4": 0.009534,
				"5": 0.009534,
				"6": 0.01589,
				"7": 0.009534,
				"8": 0.003178,
				"9": 0.006356,
				"10": 0.012712,
				"11": 0.03178,
				"12": 0.012712,
				"13": 0.003178,
				"14": 0.006356,
				"15": 0.006356,
				"16": 0.009534,
				"17": 0.006356,
				"18": 0.009534,
				"19": 0.009534,
				"20": 0.009534,
				"21": 0.022246,
				"22": 0.012712,
				"23": 0.01589,
				"24": 0.009534,
				"25": 0.01589,
				"26": 0.019068,
				"27": 0.019068,
				"28": 0.022246,
				"29": 0.022246,
				"30": 0.028602,
				"31": 0.168434,
				"32": 0.025424,
				"33": 0.066738,
				"34": 0.022246,
				"35": 0.019068,
				"36": 0.01589,
				"37": 0.038136,
				"38": 0.025424,
				"39": 0.044492,
				"40": 0.038136,
				"41": 0.022246,
				"42": 0.041314,
				"43": 0.330512,
				"44": 0.060382,
				"45": 0.069916,
				"46": 0.120764,
				"47": 0.085806,
				"48": 0.152544,
				"49": 0.902552,
				"50": 0.108052,
				"51": 0.42903,
				"52": 0.212926,
				"53": 0.502124,
				"54": 11.374062,
				"55": 0.054026,
				"56": 0.066738,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.006356,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.009534,
				"35": 0.006356,
				"36": 0.019068,
				"37": 0.073094,
				"38": 0.025424,
				"39": 0.009534,
				"40": 0.01589,
				"41": 0.320978,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.022246
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.006356,
				"6": 0.006356,
				"7": 0.012712,
				"8": 0.066738,
				"9": 0.06356,
				"10": 0.308266,
				"3.1": null,
				"3.2": null,
				"5.1": 0.025424,
				"6.1": 0.006356,
				"7.1": 0.01589,
				"9.1": 0.165256
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0550874901593,
				"8.1-8.4": 0.0711546747891,
				"9.0-9.2": 0.0548324554827,
				"9.3": 0.359088824742,
				"10-10.1": 1.90893455483
			},
			"android": {
				"3": 0,
				"4": 0.0680605714286,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00785314285714,
				"4.1": 0.215961428571,
				"4.2-4.3": 0.616471714286,
				"4.4": 1.45283142857,
				"4.4.3-4.4.4": 1.11121971429
			},
			"op_mob": {
				"0": 0.760738939075,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0211316371965
			},
			"ie": {
				"6": 0.0100247205882,
				"7": 0.00668314705882,
				"8": 0.133662941176,
				"9": 0.0267325882353,
				"10": 0.0434404558824,
				"11": 0.233910147059,
				"5.5": null
			},
			"edge": {
				"12": 0.034958,
				"13": 0.054026,
				"14": 0.136654
			},
			"bb": {
				"7": 0.559404,
				"10": null
			},
			"ie_mob": {
				"10": 0.04802688,
				"11": 0.22485312
			},
			"and_ff": {
				"0": 0.047754
			},
			"samsung": {
				"0": 2.380878
			},
			"and_uc": {
				"0": 27.738252
			},
			"op_mini": {
				"0": 10.2493034237
			},
			"and_chr": {
				"0": 19.22963
			}
		},
		"total": 96.600214
	};

/***/ },
/* 536 */
/***/ function(module, exports) {

	module.exports = {
		"id": "IE",
		"name": "Ireland",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.075842,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.017502,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.02917,
				"17": null,
				"18": 0.011668,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.017502,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.005834,
				"29": null,
				"30": null,
				"31": 0.005834,
				"32": null,
				"33": 0.023336,
				"34": null,
				"35": 0.005834,
				"36": 0.017502,
				"37": 0.011668,
				"38": 0.151684,
				"39": 0.017502,
				"40": 0.005834,
				"41": 0.023336,
				"42": 0.011668,
				"43": 0.344206,
				"44": 0.099178,
				"45": 0.396712,
				"46": 0.513392,
				"47": 1.69186,
				"48": 0.571732,
				"49": 2.759482,
				"50": 1.324318,
				"51": 0.017502,
				"52": 0.005834,
				"53": null,
				"3.5": 0.011668,
				"3.6": 0.005834
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.011668,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.040838,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.011668,
				"27": null,
				"28": null,
				"29": 0.180854,
				"30": null,
				"31": 0.011668,
				"32": 0.017502,
				"33": 0.040838,
				"34": 0.02917,
				"35": 0.02917,
				"36": 0.017502,
				"37": 0.11668,
				"38": 0.075842,
				"39": 0.385044,
				"40": 0.02917,
				"41": 0.035004,
				"42": 0.05834,
				"43": 0.460886,
				"44": 0.070008,
				"45": 0.11668,
				"46": 0.046672,
				"47": 0.052506,
				"48": 0.507558,
				"49": 1.499338,
				"50": 0.659242,
				"51": 4.445508,
				"52": 0.752586,
				"53": 1.353488,
				"54": 21.457452,
				"55": 0.070008,
				"56": 0.035004,
				"57": 0.011668
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.017502,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.017502,
				"37": 0.017502,
				"38": 0.740918,
				"39": 0.023336,
				"40": 0.02917,
				"41": 0.23336,
				"42": null,
				"43": null,
				"9.5-9.6": 0.011668,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.02917
			},
			"safari": {
				"0": null,
				"4": 0.11668,
				"5": 0.040838,
				"6": 0.005834,
				"7": 0.02917,
				"8": 0.140016,
				"9": 0.163352,
				"10": 1.289314,
				"3.1": null,
				"3.2": null,
				"5.1": 0.08751,
				"6.1": 0.05834,
				"7.1": 0.011668,
				"9.1": 0.775922
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.364989840675,
				"8.1-8.4": 0.471445210872,
				"9.0-9.2": 0.363300072894,
				"9.3": 2.37919303551,
				"10-10.1": 12.64791184
			},
			"android": {
				"3": 0,
				"4": 0.0222865963061,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00257153034301,
				"4.1": 0.0707170844327,
				"4.2-4.3": 0.201865131926,
				"4.4": 0.475733113456,
				"4.4.3-4.4.4": 0.363871543536
			},
			"op_mob": {
				"0": 0.011489176696,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00031914379711
			},
			"ie": {
				"6": 0.131874962901,
				"7": 0.117993387858,
				"8": 1.84624948061,
				"9": 0.735723477234,
				"10": 0.874539227656,
				"11": 4.52539346374,
				"5.5": null
			},
			"edge": {
				"12": 0.23336,
				"13": 0.52506,
				"14": 1.446832
			},
			"bb": {
				"7": 0.0062475,
				"10": null
			},
			"ie_mob": {
				"10": 0.11655336,
				"11": 0.54568164
			},
			"and_ff": {
				"0": 0.029155
			},
			"samsung": {
				"0": 3.169565
			},
			"and_uc": {
				"0": 0.05831
			},
			"op_mini": {
				"0": 0.154791679507
			},
			"and_chr": {
				"0": 20.274603
			}
		},
		"total": 96.8093945
	};

/***/ },
/* 537 */
/***/ function(module, exports) {

	module.exports = {
		"id": "IL",
		"name": "Israel",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.02418,
				"4": 0.006045,
				"5": 0.006045,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.03627,
				"10": 0.018135,
				"11": 0.006045,
				"12": 0.006045,
				"13": 0.006045,
				"14": null,
				"15": null,
				"16": 0.01209,
				"17": null,
				"18": 0.006045,
				"19": null,
				"20": 0.01209,
				"21": 0.01209,
				"22": 0.01209,
				"23": 0.006045,
				"24": 0.018135,
				"25": 0.02418,
				"26": 0.04836,
				"27": 0.006045,
				"28": 0.006045,
				"29": 0.006045,
				"30": null,
				"31": 0.01209,
				"32": 0.006045,
				"33": 0.01209,
				"34": 0.042315,
				"35": 0.01209,
				"36": 0.018135,
				"37": 0.018135,
				"38": 0.030225,
				"39": 0.01209,
				"40": 0.01209,
				"41": 0.01209,
				"42": 0.018135,
				"43": 0.054405,
				"44": 0.02418,
				"45": 0.08463,
				"46": 0.054405,
				"47": 0.259935,
				"48": 0.2418,
				"49": 2.037165,
				"50": 1.22109,
				"51": 0.018135,
				"52": null,
				"53": null,
				"3.5": 0.030225,
				"3.6": 0.163215
			},
			"chrome": {
				"4": 0.01209,
				"5": null,
				"6": 0.006045,
				"7": null,
				"8": null,
				"9": 0.006045,
				"10": 0.018135,
				"11": 0.04836,
				"12": 0.01209,
				"13": 0.01209,
				"14": 0.01209,
				"15": 0.01209,
				"16": 0.01209,
				"17": 0.006045,
				"18": 0.030225,
				"19": 0.01209,
				"20": 0.01209,
				"21": 0.030225,
				"22": 0.030225,
				"23": 0.02418,
				"24": 0.02418,
				"25": 0.02418,
				"26": 0.018135,
				"27": 0.02418,
				"28": 0.01209,
				"29": 0.02418,
				"30": 0.006045,
				"31": 0.090675,
				"32": 0.02418,
				"33": 0.01209,
				"34": 0.030225,
				"35": 0.03627,
				"36": 0.018135,
				"37": 0.02418,
				"38": 0.04836,
				"39": 0.14508,
				"40": 0.042315,
				"41": 0.042315,
				"42": 0.030225,
				"43": 0.187395,
				"44": 0.06045,
				"45": 0.04836,
				"46": 0.199485,
				"47": 0.06045,
				"48": 0.090675,
				"49": 2.09157,
				"50": 0.114855,
				"51": 0.6045,
				"52": 0.29016,
				"53": 1.06392,
				"54": 37.20093,
				"55": 0.14508,
				"56": 0.08463,
				"57": 0.006045
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.04836,
				"15": null,
				"16": null,
				"17": 0.006045,
				"18": 0.006045,
				"19": null,
				"20": null,
				"21": 0.006045,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.018135,
				"28": 0.01209,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.01209,
				"35": null,
				"36": 0.01209,
				"37": 0.01209,
				"38": 0.066495,
				"39": null,
				"40": null,
				"41": 0.21762,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0.01209,
				"10.5": 0.01209,
				"10.6": 0.018135,
				"11.1": null,
				"11.5": 0.006045,
				"11.6": 0.04836,
				"12.1": 0.114855
			},
			"safari": {
				"0": null,
				"4": 0.02418,
				"5": 0.04836,
				"6": 0.02418,
				"7": 0.018135,
				"8": 0.102765,
				"9": 0.090675,
				"10": 0.731445,
				"3.1": null,
				"3.2": null,
				"5.1": 0.090675,
				"6.1": 0.03627,
				"7.1": 0.01209,
				"9.1": 0.3627
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.212257844424,
				"8.1-8.4": 0.274166382381,
				"9.0-9.2": 0.211275169218,
				"9.3": 1.38360668958,
				"10-10.1": 7.3553239144
			},
			"android": {
				"3": 0,
				"4": 0.0272869656992,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00314849604222,
				"4.1": 0.0865836411609,
				"4.2-4.3": 0.247156939314,
				"4.4": 0.58247176781,
				"4.4.3-4.4.4": 0.445512189974
			},
			"op_mob": {
				"0": 0.0100916486903,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00028032357473
			},
			"ie": {
				"6": 0.0122185031001,
				"7": 0.0122185031001,
				"8": 0.445975363153,
				"9": 0.274916319752,
				"10": 0.311571829052,
				"11": 5.84044448184,
				"5.5": null
			},
			"edge": {
				"12": 0.054405,
				"13": 0.296205,
				"14": 1.54752
			},
			"bb": {
				"7": 0.0059325,
				"10": null
			},
			"ie_mob": {
				"10": 0.0139216,
				"11": 0.0651784
			},
			"and_ff": {
				"0": 0.01582
			},
			"samsung": {
				"0": 3.484355
			},
			"and_uc": {
				"0": 0.106785
			},
			"op_mini": {
				"0": 0.135963027735
			},
			"and_chr": {
				"0": 25.527205
			}
		},
		"total": 99.0544875
	};

/***/ },
/* 538 */
/***/ function(module, exports) {

	module.exports = {
		"id": "IM",
		"name": "Isle of Man",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.039408,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.019704,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": 0.026272,
				"33": null,
				"34": 0.013136,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.039408,
				"39": 0.091952,
				"40": 0.013136,
				"41": null,
				"42": 0.013136,
				"43": 0.052544,
				"44": 0.006568,
				"45": 0.019704,
				"46": 0.013136,
				"47": 0.052544,
				"48": 0.19704,
				"49": 3.664944,
				"50": 1.60916,
				"51": 0.013136,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.013136,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": 0.013136,
				"33": null,
				"34": 0.006568,
				"35": null,
				"36": 0.006568,
				"37": null,
				"38": 0.013136,
				"39": null,
				"40": null,
				"41": 0.006568,
				"42": null,
				"43": 0.019704,
				"44": null,
				"45": 0.013136,
				"46": null,
				"47": 0.026272,
				"48": 0.039408,
				"49": 1.655136,
				"50": 0.03284,
				"51": 0.09852,
				"52": 0.223312,
				"53": 6.902968,
				"54": 28.124176,
				"55": 0.045976,
				"56": 0.019704,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.013136,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.006568,
				"36": null,
				"37": 0.039408,
				"38": 0.006568,
				"39": null,
				"40": null,
				"41": 0.078816,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0.006568,
				"5": 0.06568,
				"6": 0.013136,
				"7": 0.026272,
				"8": 0.144496,
				"9": 0.68964,
				"10": 2.778264,
				"3.1": null,
				"3.2": null,
				"5.1": 0.177336,
				"6.1": 0.072248,
				"7.1": 0.091952,
				"9.1": 1.536912
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.410990845361,
				"8.1-8.4": 0.530863175258,
				"9.0-9.2": 0.409088109966,
				"9.3": 2.67905143643,
				"10-10.1": 14.241974433
			},
			"android": {
				"3": 0,
				"4": 0.0137228254806,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00158340294007,
				"4.1": 0.0435435808519,
				"4.2-4.3": 0.124297130795,
				"4.4": 0.292929543913,
				"4.4.3-4.4.4": 0.22405151602
			},
			"op_mob": {
				"0": 0.00520695556574,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000144637654604
			},
			"ie": {
				"6": null,
				"7": 0.013136,
				"8": 0.413784,
				"9": 0.72248,
				"10": 0.210176,
				"11": 9.09668,
				"5.5": null
			},
			"edge": {
				"12": 0.09852,
				"13": 0.676504,
				"14": 4.781504
			},
			"bb": {
				"7": 0.011154,
				"10": null
			},
			"ie_mob": {
				"10": 0.157652352,
				"11": 0.738099648
			},
			"and_ff": {
				"0": 0.020592
			},
			"samsung": {
				"0": 4.416984
			},
			"and_uc": {
				"0": 0.037752
			},
			"op_mini": {
				"0": 0.0701524067797
			},
			"and_chr": {
				"0": 9.619184
			}
		},
		"total": 98.953994
	};

/***/ },
/* 539 */
/***/ function(module, exports) {

	module.exports = {
		"id": "IN",
		"name": "India",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.071521,
				"4": 0.009665,
				"5": 0.005799,
				"6": 0.003866,
				"7": 0.003866,
				"8": 0.003866,
				"9": 0.003866,
				"10": 0.007732,
				"11": 0.009665,
				"12": 0.017397,
				"13": 0.007732,
				"14": 0.011598,
				"15": 0.009665,
				"16": 0.009665,
				"17": 0.007732,
				"18": 0.007732,
				"19": 0.007732,
				"20": 0.009665,
				"21": 0.017397,
				"22": 0.009665,
				"23": 0.007732,
				"24": 0.007732,
				"25": 0.007732,
				"26": 0.007732,
				"27": 0.007732,
				"28": 0.015464,
				"29": 0.021263,
				"30": 0.013531,
				"31": 0.067655,
				"32": 0.009665,
				"33": 0.013531,
				"34": 0.013531,
				"35": 0.015464,
				"36": 0.013531,
				"37": 0.023196,
				"38": 0.028995,
				"39": 0.023196,
				"40": 0.01933,
				"41": 0.01933,
				"42": 0.01933,
				"43": 0.088918,
				"44": 0.108248,
				"45": 0.071521,
				"46": 0.040593,
				"47": 0.218429,
				"48": 0.102449,
				"49": 1.173331,
				"50": 0.829257,
				"51": 0.137243,
				"52": 0.001933,
				"53": null,
				"3.5": 0.005799,
				"3.6": 0.013531
			},
			"chrome": {
				"4": 0.005799,
				"5": 0.005799,
				"6": 0.007732,
				"7": 0.005799,
				"8": 0.005799,
				"9": 0.003866,
				"10": 0.007732,
				"11": 0.013531,
				"12": 0.009665,
				"13": 0.003866,
				"14": 0.007732,
				"15": 0.005799,
				"16": 0.005799,
				"17": 0.009665,
				"18": 0.015464,
				"19": 0.013531,
				"20": 0.013531,
				"21": 0.009665,
				"22": 0.015464,
				"23": 0.015464,
				"24": 0.011598,
				"25": 0.023196,
				"26": 0.013531,
				"27": 0.023196,
				"28": 0.042526,
				"29": 0.025129,
				"30": 0.023196,
				"31": 0.241625,
				"32": 0.017397,
				"33": 0.05799,
				"34": 0.011598,
				"35": 0.011598,
				"36": 0.011598,
				"37": 0.007732,
				"38": 0.015464,
				"39": 0.017397,
				"40": 0.017397,
				"41": 0.028995,
				"42": 0.011598,
				"43": 0.056057,
				"44": 0.021263,
				"45": 0.017397,
				"46": 0.052191,
				"47": 0.030928,
				"48": 0.030928,
				"49": 0.856319,
				"50": 0.052191,
				"51": 0.237759,
				"52": 0.11598,
				"53": 0.351806,
				"54": 10.194642,
				"55": 0.07732,
				"56": 0.085052,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.005799,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.01933,
				"29": 0.001933,
				"30": 0.003866,
				"31": null,
				"32": 0.005799,
				"33": null,
				"34": null,
				"35": 0.001933,
				"36": 0.011598,
				"37": 0.023196,
				"38": 0.011598,
				"39": 0.003866,
				"40": 0.009665,
				"41": 0.228094,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.003866,
				"12.1": 0.011598
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.003866,
				"6": null,
				"7": 0.005799,
				"8": 0.013531,
				"9": 0.011598,
				"10": 0.09665,
				"3.1": null,
				"3.2": null,
				"5.1": 0.005799,
				"6.1": null,
				"7.1": 0.001933,
				"9.1": 0.03866
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0333869465792,
				"8.1-8.4": 0.0431248059981,
				"9.0-9.2": 0.0332323773821,
				"9.3": 0.217633429553,
				"10-10.1": 1.15695044049
			},
			"android": {
				"3": 0,
				"4": 0.0363668752356,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0041961779118,
				"4.1": 0.115394892574,
				"4.2-4.3": 0.329399966076,
				"4.4": 0.776292913683,
				"4.4.3-4.4.4": 0.593759174519
			},
			"op_mob": {
				"0": 0.666473347603,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0185131485445
			},
			"ie": {
				"6": 0.0058480056338,
				"7": 0.00389867042254,
				"8": 0.177389504225,
				"9": 0.0467840450704,
				"10": 0.0662773971831,
				"11": 0.391816377465,
				"5.5": null
			},
			"edge": {
				"12": 0.034794,
				"13": 0.05799,
				"14": 0.102449
			},
			"bb": {
				"7": 0.02218425,
				"10": null
			},
			"ie_mob": {
				"10": 0.093706272,
				"11": 0.438715728
			},
			"and_ff": {
				"0": 0.016134
			},
			"samsung": {
				"0": 1.903812
			},
			"and_uc": {
				"0": 46.175508
			},
			"op_mini": {
				"0": 8.97927950385
			},
			"and_chr": {
				"0": 18.288952
			}
		},
		"total": 97.70728625
	};

/***/ },
/* 540 */
/***/ function(module, exports) {

	module.exports = {
		"id": "IQ",
		"name": "Iraq",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.00539,
				"4": 0.00539,
				"5": 0.008085,
				"6": 0.018865,
				"7": null,
				"8": 0.00539,
				"9": null,
				"10": 0.008085,
				"11": 0.01617,
				"12": 0.018865,
				"13": 0.013475,
				"14": 0.00539,
				"15": 0.01078,
				"16": 0.00539,
				"17": null,
				"18": 0.008085,
				"19": 0.008085,
				"20": 0.00539,
				"21": 0.01078,
				"22": 0.008085,
				"23": 0.008085,
				"24": 0.00539,
				"25": 0.00539,
				"26": 0.00539,
				"27": 0.008085,
				"28": 0.002695,
				"29": 0.01078,
				"30": 0.01617,
				"31": 0.024255,
				"32": 0.00539,
				"33": 0.018865,
				"34": 0.008085,
				"35": 0.01078,
				"36": 0.008085,
				"37": 0.035035,
				"38": 0.018865,
				"39": 0.01617,
				"40": 0.01078,
				"41": 0.018865,
				"42": 0.01617,
				"43": 0.088935,
				"44": 0.07546,
				"45": 0.056595,
				"46": 0.03773,
				"47": 0.266805,
				"48": 0.121275,
				"49": 1.684375,
				"50": 0.92708,
				"51": 0.07546,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.018865
			},
			"chrome": {
				"4": 0.00539,
				"5": 0.00539,
				"6": 0.01078,
				"7": null,
				"8": 0.008085,
				"9": null,
				"10": 0.00539,
				"11": 0.03234,
				"12": 0.008085,
				"13": 0.02156,
				"14": 0.008085,
				"15": 0.01078,
				"16": 0.002695,
				"17": 0.00539,
				"18": 0.01617,
				"19": 0.02156,
				"20": 0.01078,
				"21": 0.018865,
				"22": 0.024255,
				"23": 0.018865,
				"24": 0.01617,
				"25": 0.01617,
				"26": 0.01078,
				"27": 0.024255,
				"28": 0.018865,
				"29": 0.02156,
				"30": 0.03234,
				"31": 0.06468,
				"32": 0.029645,
				"33": 0.110495,
				"34": 0.04312,
				"35": 0.013475,
				"36": 0.018865,
				"37": 0.00539,
				"38": 0.07546,
				"39": 0.029645,
				"40": 0.051205,
				"41": 0.02695,
				"42": 0.029645,
				"43": 1.47686,
				"44": 0.035035,
				"45": 0.051205,
				"46": 0.02695,
				"47": 0.08624,
				"48": 0.04851,
				"49": 0.347655,
				"50": 0.0539,
				"51": 0.525525,
				"52": 0.207515,
				"53": 0.455455,
				"54": 15.024625,
				"55": 0.067375,
				"56": 0.08085,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.00539,
				"15": 0.01078,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.013475,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.00539,
				"35": null,
				"36": 0.01078,
				"37": 0.013475,
				"38": 0.024255,
				"39": 0.008085,
				"40": 0.024255,
				"41": 0.51205,
				"42": 0.00539,
				"43": 0.002695,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.013475
			},
			"safari": {
				"0": null,
				"4": 0.00539,
				"5": 0.002695,
				"6": null,
				"7": 0.00539,
				"8": 0.013475,
				"9": 0.008085,
				"10": 0.14014,
				"3.1": null,
				"3.2": null,
				"5.1": 0.01078,
				"6.1": 0.002695,
				"7.1": null,
				"9.1": 0.045815
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.351790178069,
				"8.1-8.4": 0.454395646673,
				"9.0-9.2": 0.350161519838,
				"9.3": 2.29315079038,
				"10-10.1": 12.190506865
			},
			"android": {
				"3": 0,
				"4": 0.142751760271,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0164713569544,
				"4.1": 0.452962316246,
				"4.2-4.3": 1.29300152092,
				"4.4": 3.04720103656,
				"4.4.3-4.4.4": 2.33069700905
			},
			"op_mob": {
				"0": 0.0468508074793,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00130141131887
			},
			"ie": {
				"6": 0.00557326,
				"7": 0.00557326,
				"8": 0.24801007,
				"9": 0.10589194,
				"10": 0.07245238,
				"11": 0.95581409,
				"5.5": null
			},
			"edge": {
				"12": 0.029645,
				"13": 0.07007,
				"14": 0.212905
			},
			"bb": {
				"7": 0.007305,
				"10": null
			},
			"ie_mob": {
				"10": 0.02957064,
				"11": 0.13844436
			},
			"and_ff": {
				"0": 0.04383
			},
			"samsung": {
				"0": 8.451885
			},
			"and_uc": {
				"0": 0.54057
			},
			"op_mini": {
				"0": 0.631212781202
			},
			"and_chr": {
				"0": 40.47345
			}
		},
		"total": 99.005895
	};

/***/ },
/* 541 */
/***/ function(module, exports) {

	module.exports = {
		"id": "IR",
		"name": "Iran",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.02757,
				"4": 0.049626,
				"5": 0.011028,
				"6": 0.005514,
				"7": 0.011028,
				"8": 0.016542,
				"9": 0.011028,
				"10": 0.016542,
				"11": 0.02757,
				"12": 0.071682,
				"13": 0.02757,
				"14": 0.033084,
				"15": 0.02757,
				"16": 0.038598,
				"17": 0.016542,
				"18": 0.022056,
				"19": 0.011028,
				"20": 0.022056,
				"21": 0.02757,
				"22": 0.022056,
				"23": 0.022056,
				"24": 0.044112,
				"25": 0.033084,
				"26": 0.033084,
				"27": 0.02757,
				"28": 0.016542,
				"29": 0.071682,
				"30": 0.060654,
				"31": 0.071682,
				"32": 0.049626,
				"33": 0.093738,
				"34": 0.060654,
				"35": 0.077196,
				"36": 0.05514,
				"37": 0.077196,
				"38": 0.115794,
				"39": 0.11028,
				"40": 0.099252,
				"41": 0.148878,
				"42": 0.132336,
				"43": 0.672708,
				"44": 0.314298,
				"45": 0.2757,
				"46": 0.253644,
				"47": 1.51635,
				"48": 0.727848,
				"49": 8.337168,
				"50": 4.32849,
				"51": 0.336354,
				"52": null,
				"53": null,
				"3.5": 0.011028,
				"3.6": 0.05514
			},
			"chrome": {
				"4": 0.011028,
				"5": 0.005514,
				"6": 0.005514,
				"7": 0.005514,
				"8": 0.016542,
				"9": null,
				"10": 0.005514,
				"11": 0.077196,
				"12": 0.011028,
				"13": 0.011028,
				"14": 0.022056,
				"15": 0.016542,
				"16": null,
				"17": 0.011028,
				"18": 0.016542,
				"19": 0.011028,
				"20": 0.022056,
				"21": 0.011028,
				"22": 0.044112,
				"23": 0.033084,
				"24": 0.02757,
				"25": 0.011028,
				"26": 0.022056,
				"27": 0.016542,
				"28": 0.022056,
				"29": 0.05514,
				"30": 0.02757,
				"31": 0.05514,
				"32": 0.016542,
				"33": 0.044112,
				"34": 0.02757,
				"35": 0.022056,
				"36": 0.033084,
				"37": 0.022056,
				"38": 0.093738,
				"39": 0.05514,
				"40": 0.038598,
				"41": 0.038598,
				"42": 0.02757,
				"43": 0.16542,
				"44": 0.049626,
				"45": 0.08271,
				"46": 0.08271,
				"47": 0.071682,
				"48": 0.099252,
				"49": 0.942894,
				"50": 0.11028,
				"51": 0.474204,
				"52": 0.369438,
				"53": 0.79953,
				"54": 18.119004,
				"55": 0.05514,
				"56": 0.038598,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.005514,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": 0.005514,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.02757,
				"37": 0.011028,
				"38": 0.038598,
				"39": 0.02757,
				"40": 0.066168,
				"41": 0.336354,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.005514,
				"11.6": 0.011028,
				"12.1": 0.033084
			},
			"safari": {
				"0": null,
				"4": 0.016542,
				"5": null,
				"6": 0.005514,
				"7": 0.005514,
				"8": 0.044112,
				"9": 0.060654,
				"10": 0.242616,
				"3.1": null,
				"3.2": null,
				"5.1": 0.016542,
				"6.1": null,
				"7.1": null,
				"9.1": 0.115794
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0819336157451,
				"8.1-8.4": 0.105830920337,
				"9.0-9.2": 0.08155429345,
				"9.3": 0.534085791523,
				"10-10.1": 2.83922737894
			},
			"android": {
				"3": 0,
				"4": 0.127231279306,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0146805322277,
				"4.1": 0.403714636261,
				"4.2-4.3": 1.15242177987,
				"4.4": 2.71589846212,
				"4.4.3-4.4.4": 2.07729531021
			},
			"op_mob": {
				"0": 0.270386256778,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00751072935493
			},
			"ie": {
				"6": 0.611083737323,
				"7": 0.723209193712,
				"8": 3.54316442191,
				"9": 1.12686083671,
				"10": 0.930641288032,
				"11": 4.12061052231,
				"5.5": null
			},
			"edge": {
				"12": 0.16542,
				"13": 0.204018,
				"14": 0.314298
			},
			"bb": {
				"7": 0.0123365,
				"10": null
			},
			"ie_mob": {
				"10": 0.01579072,
				"11": 0.07392928
			},
			"and_ff": {
				"0": 0.237758
			},
			"samsung": {
				"0": 7.720406
			},
			"and_uc": {
				"0": 1.040752
			},
			"op_mini": {
				"0": 3.64286701387
			},
			"and_chr": {
				"0": 21.875788
			}
		},
		"total": 99.0244865
	};

/***/ },
/* 542 */
/***/ function(module, exports) {

	module.exports = {
		"id": "IS",
		"name": "Iceland",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.014442,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.014442,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.007221,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.064989,
				"36": null,
				"37": null,
				"38": 0.028884,
				"39": 0.021663,
				"40": 0.007221,
				"41": 0.050547,
				"42": 0.108315,
				"43": 0.404376,
				"44": 0.014442,
				"45": 0.093873,
				"46": 0.064989,
				"47": 0.223851,
				"48": 0.281619,
				"49": 4.130412,
				"50": 2.375709,
				"51": 0.028884,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.014442
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.014442,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.021663,
				"32": 0.007221,
				"33": 0.050547,
				"34": 0.050547,
				"35": 0.014442,
				"36": 0.007221,
				"37": 0.021663,
				"38": 0.028884,
				"39": 0.079431,
				"40": 0.014442,
				"41": 0.007221,
				"42": 0.014442,
				"43": 0.07221,
				"44": 0.137199,
				"45": 0.021663,
				"46": 0.036105,
				"47": 0.036105,
				"48": 0.14442,
				"49": 1.689714,
				"50": 0.115536,
				"51": 0.404376,
				"52": 0.238293,
				"53": 1.292559,
				"54": 37.729725,
				"55": 0.122757,
				"56": 0.057768,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.007221,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.021663,
				"37": null,
				"38": 0.043326,
				"39": null,
				"40": 0.014442,
				"41": 0.491028,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.151641
			},
			"safari": {
				"0": null,
				"4": 0.014442,
				"5": 0.057768,
				"6": 0.007221,
				"7": 0.036105,
				"8": 0.368271,
				"9": 0.418818,
				"10": 2.967831,
				"3.1": null,
				"3.2": null,
				"5.1": 0.093873,
				"6.1": 0.115536,
				"7.1": 0.007221,
				"9.1": 1.884681
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.260564423618,
				"8.1-8.4": 0.336562380506,
				"9.0-9.2": 0.259358106842,
				"9.3": 1.69849402062,
				"10-10.1": 9.02928106842
			},
			"android": {
				"3": 0,
				"4": 0.00915419525066,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00105625329815,
				"4.1": 0.0290469656992,
				"4.2-4.3": 0.082915883905,
				"4.4": 0.195406860158,
				"4.4.3-4.4.4": 0.149459841689
			},
			"op_mob": {
				"0": 0.0132284146088,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000367455961354
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.123674809346,
				"9": 0.0654748990654,
				"10": 0.0800248766355,
				"11": 3.62294441495,
				"5.5": null
			},
			"edge": {
				"12": 0.07221,
				"13": 0.274398,
				"14": 2.122974
			},
			"bb": {
				"7": 0.00695,
				"10": null
			},
			"ie_mob": {
				"10": 0.04501376,
				"11": 0.21074624
			},
			"and_ff": {
				"0": 0.02224
			},
			"samsung": {
				"0": 3.28318
			},
			"and_uc": {
				"0": 0.01946
			},
			"op_mini": {
				"0": 0.17822412943
			},
			"and_chr": {
				"0": 11.861578
			}
		},
		"total": 91.135994
	};

/***/ },
/* 543 */
/***/ function(module, exports) {

	module.exports = {
		"id": "IT",
		"name": "Italy",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.012736,
				"12": 0.012736,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.025472,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.006368,
				"21": 0.019104,
				"22": null,
				"23": null,
				"24": 0.006368,
				"25": 0.006368,
				"26": 0.006368,
				"27": 0.006368,
				"28": 0.012736,
				"29": 0.012736,
				"30": 0.012736,
				"31": 0.019104,
				"32": 0.012736,
				"33": 0.012736,
				"34": 0.038208,
				"35": 0.025472,
				"36": 0.019104,
				"37": 0.038208,
				"38": 0.057312,
				"39": 0.03184,
				"40": 0.025472,
				"41": 0.03184,
				"42": 0.044576,
				"43": 0.22288,
				"44": 0.044576,
				"45": 0.25472,
				"46": 0.140096,
				"47": 0.560384,
				"48": 0.579488,
				"49": 5.79488,
				"50": 3.355936,
				"51": 0.03184,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.025472
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.019104,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.012736,
				"22": 0.044576,
				"23": null,
				"24": null,
				"25": 0.03184,
				"26": 0.025472,
				"27": 0.012736,
				"28": null,
				"29": 0.006368,
				"30": 0.006368,
				"31": 0.025472,
				"32": 0.019104,
				"33": 0.019104,
				"34": 0.057312,
				"35": 0.038208,
				"36": 0.057312,
				"37": 0.025472,
				"38": 0.057312,
				"39": 0.057312,
				"40": 0.03184,
				"41": 0.06368,
				"42": 0.038208,
				"43": 0.210144,
				"44": 0.050944,
				"45": 0.070048,
				"46": 0.06368,
				"47": 0.076416,
				"48": 0.101888,
				"49": 2.878336,
				"50": 0.140096,
				"51": 0.496704,
				"52": 0.267456,
				"53": 1.20992,
				"54": 29.649408,
				"55": 0.089152,
				"56": 0.050944,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.03184,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.038208,
				"37": 0.012736,
				"38": 0.038208,
				"39": null,
				"40": 0.076416,
				"41": 0.585856,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.038208
			},
			"safari": {
				"0": null,
				"4": 0.025472,
				"5": 0.089152,
				"6": 0.012736,
				"7": 0.038208,
				"8": 0.197408,
				"9": 0.273824,
				"10": 2.700032,
				"3.1": null,
				"3.2": null,
				"5.1": 0.22288,
				"6.1": 0.120992,
				"7.1": 0.019104,
				"9.1": 1.01888
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.17699894283,
				"8.1-8.4": 0.228623634489,
				"9.0-9.2": 0.17617950328,
				"9.3": 1.1537708866,
				"10-10.1": 6.1335050328
			},
			"android": {
				"3": 0,
				"4": 0.0413721055409,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00477370448549,
				"4.1": 0.131276873351,
				"4.2-4.3": 0.374735802111,
				"4.4": 0.883135329815,
				"4.4.3-4.4.4": 0.675479184697
			},
			"op_mob": {
				"0": 0.0145313948278,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000403649856328
			},
			"ie": {
				"6": 0.0128335404814,
				"7": 0.0256670809628,
				"8": 0.404256525164,
				"9": 0.295171431072,
				"10": 0.224586958425,
				"11": 4.90241246389,
				"5.5": null
			},
			"edge": {
				"12": 0.09552,
				"13": 0.394816,
				"14": 2.056864
			},
			"bb": {
				"7": 0.01544025,
				"10": null
			},
			"ie_mob": {
				"10": 0.234662736,
				"11": 1.098648264
			},
			"and_ff": {
				"0": 0.054495
			},
			"samsung": {
				"0": 3.738357
			},
			"and_uc": {
				"0": 0.366933
			},
			"op_mini": {
				"0": 0.195778955316
			},
			"and_chr": {
				"0": 20.859874
			}
		},
		"total": 98.02291125
	};

/***/ },
/* 544 */
/***/ function(module, exports) {

	module.exports = {
		"id": "JE",
		"name": "Jersey",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.026955,
				"10": null,
				"11": null,
				"12": 0.005391,
				"13": 0.010782,
				"14": null,
				"15": 0.010782,
				"16": 0.005391,
				"17": null,
				"18": 0.005391,
				"19": 0.021564,
				"20": null,
				"21": 0.021564,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.010782,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.070083,
				"34": null,
				"35": 0.005391,
				"36": null,
				"37": null,
				"38": 0.005391,
				"39": null,
				"40": 0.010782,
				"41": 0.010782,
				"42": 0.005391,
				"43": 0.026955,
				"44": 0.032346,
				"45": 0.026955,
				"46": 0.005391,
				"47": 0.091647,
				"48": 0.21564,
				"49": 2.609244,
				"50": 1.708947,
				"51": 0.080865,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.010782,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.005391,
				"22": 0.016173,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": 0.026955,
				"33": null,
				"34": 0.016173,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.021564,
				"39": 0.016173,
				"40": 0.005391,
				"41": 0.016173,
				"42": null,
				"43": 0.026955,
				"44": 0.048519,
				"45": null,
				"46": 0.032346,
				"47": 0.010782,
				"48": 0.043128,
				"49": 1.148283,
				"50": 0.032346,
				"51": 0.129384,
				"52": 0.075474,
				"53": 1.072809,
				"54": 20.027565,
				"55": 0.134775,
				"56": 0.075474,
				"57": 0.037737
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.005391,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.134775,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.016173
			},
			"safari": {
				"0": null,
				"4": 0.05391,
				"5": 0.064692,
				"6": 0.010782,
				"7": 0.032346,
				"8": 0.48519,
				"9": 0.469017,
				"10": 4.814163,
				"3.1": null,
				"3.2": null,
				"5.1": 0.366588,
				"6.1": 0.221031,
				"7.1": 0.026955,
				"9.1": 1.983888
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.581715463918,
				"8.1-8.4": 0.751382474227,
				"9.0-9.2": 0.57902233677,
				"9.3": 3.79192302405,
				"10-10.1": 20.158056701
			},
			"android": {
				"3": 0,
				"4": 0.0179812589521,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00207476064832,
				"4.1": 0.0570559178289,
				"4.2-4.3": 0.162868710893,
				"4.4": 0.38383071994,
				"4.4.3-4.4.4": 0.293578631738
			},
			"op_mob": {
				"0": 0.0190750676717,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00052986299088
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.183294,
				"9": 0.339633,
				"10": 0.625356,
				"11": 11.003031,
				"5.5": null
			},
			"edge": {
				"12": 0.134775,
				"13": 0.393543,
				"14": 3.385548
			},
			"bb": {
				"7": 0.108335,
				"10": null
			},
			"ie_mob": {
				"10": 0.15172432,
				"11": 0.71034568
			},
			"and_ff": {
				"0": 0.03227
			},
			"samsung": {
				"0": 4.45787
			},
			"and_uc": {
				"0": 0.30426
			},
			"op_mini": {
				"0": 0.256995069337
			},
			"and_chr": {
				"0": 12.950478
			}
		},
		"total": 98.576218
	};

/***/ },
/* 545 */
/***/ function(module, exports) {

	module.exports = {
		"id": "JM",
		"name": "Jamaica",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": 0.018273,
				"5": 0.018273,
				"6": 0.018273,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.012182,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.012182,
				"20": null,
				"21": 0.018273,
				"22": null,
				"23": 0.012182,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.006091,
				"28": 0.012182,
				"29": 0.006091,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.006091,
				"35": 0.006091,
				"36": 0.006091,
				"37": 0.048728,
				"38": 0.048728,
				"39": 0.018273,
				"40": 0.012182,
				"41": 0.012182,
				"42": 0.030455,
				"43": 0.097456,
				"44": 0.054819,
				"45": 0.067001,
				"46": 0.054819,
				"47": 0.389824,
				"48": 0.310641,
				"49": 3.179502,
				"50": 1.626297,
				"51": 0.127911,
				"52": 0.036546,
				"53": null,
				"3.5": 0.012182,
				"3.6": 0.006091
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.012182,
				"11": 0.030455,
				"12": 0.006091,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.018273,
				"17": null,
				"18": 0.018273,
				"19": null,
				"20": null,
				"21": 0.030455,
				"22": 0.073092,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.024364,
				"27": 0.006091,
				"28": 0.018273,
				"29": 0.018273,
				"30": 0.012182,
				"31": 0.042637,
				"32": 0.006091,
				"33": 0.024364,
				"34": 0.024364,
				"35": 0.012182,
				"36": 0.030455,
				"37": 0.030455,
				"38": 0.024364,
				"39": 0.048728,
				"40": 0.018273,
				"41": 0.079183,
				"42": 0.036546,
				"43": 0.164457,
				"44": 0.036546,
				"45": 0.054819,
				"46": 0.042637,
				"47": 0.073092,
				"48": 0.042637,
				"49": 1.650661,
				"50": 0.140093,
				"51": 0.907559,
				"52": 0.536008,
				"53": 1.248655,
				"54": 33.731958,
				"55": 0.170548,
				"56": 0.383733,
				"57": 0.024364
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.018273,
				"28": 0.024364,
				"29": 0.091365,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.048728,
				"34": 0.018273,
				"35": null,
				"36": 0.018273,
				"37": 0.274095,
				"38": 0.091365,
				"39": 0.012182,
				"40": 0.012182,
				"41": 0.517735,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.054819
			},
			"safari": {
				"0": null,
				"4": 0.006091,
				"5": 0.024364,
				"6": 0.024364,
				"7": 0.018273,
				"8": 0.085274,
				"9": 0.097456,
				"10": 1.27911,
				"3.1": null,
				"3.2": null,
				"5.1": 0.085274,
				"6.1": 0.024364,
				"7.1": 0.012182,
				"9.1": 0.408097
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.103461278351,
				"8.1-8.4": 0.133637484536,
				"9.0-9.2": 0.102982290951,
				"9.3": 0.674414258877,
				"10-10.1": 3.58522068729
			},
			"android": {
				"3": 0,
				"4": 0.104786840558,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0120907892951,
				"4.1": 0.332496705616,
				"4.2-4.3": 0.949126959668,
				"4.4": 2.2367960196,
				"4.4.3-4.4.4": 1.71084668526
			},
			"op_mob": {
				"0": 0.118582647732,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00329396243701
			},
			"ie": {
				"6": null,
				"7": 0.0244640574949,
				"8": 0.250756589322,
				"9": 0.207944488706,
				"10": 0.140668330595,
				"11": 2.35466553388,
				"5.5": null
			},
			"edge": {
				"12": 0.188821,
				"13": 0.542099,
				"14": 2.046576
			},
			"bb": {
				"7": 0.127987,
				"10": null
			},
			"ie_mob": {
				"10": 0.094917504,
				"11": 0.444386496
			},
			"and_ff": {
				"0": 0.027356
			},
			"samsung": {
				"0": 2.700428
			},
			"and_uc": {
				"0": 1.746876
			},
			"op_mini": {
				"0": 1.59764338983
			},
			"and_chr": {
				"0": 25.978808
			}
		},
		"total": 97.927962
	};

/***/ },
/* 546 */
/***/ function(module, exports) {

	module.exports = {
		"id": "JO",
		"name": "Jordan",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.008344,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.012516,
				"11": 0.004172,
				"12": 0.008344,
				"13": 0.004172,
				"14": 0.004172,
				"15": null,
				"16": 0.004172,
				"17": null,
				"18": 0.008344,
				"19": 0.008344,
				"20": null,
				"21": 0.008344,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.008344,
				"28": null,
				"29": 0.004172,
				"30": 0.008344,
				"31": 0.008344,
				"32": 0.004172,
				"33": 0.012516,
				"34": 0.012516,
				"35": 0.033376,
				"36": 0.016688,
				"37": 0.016688,
				"38": 0.025032,
				"39": 0.008344,
				"40": 0.016688,
				"41": 0.025032,
				"42": 0.012516,
				"43": 0.108472,
				"44": 0.050064,
				"45": 0.070924,
				"46": 0.058408,
				"47": 0.321244,
				"48": 0.241976,
				"49": 1.910776,
				"50": 1.043,
				"51": 0.045892,
				"52": 0.004172,
				"53": 0.004172,
				"3.5": null,
				"3.6": 0.012516
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": 0.004172,
				"7": 0.004172,
				"8": 0.008344,
				"9": null,
				"10": 0.004172,
				"11": 0.058408,
				"12": 0.008344,
				"13": 0.008344,
				"14": 0.004172,
				"15": 0.004172,
				"16": 0.008344,
				"17": 0.008344,
				"18": 0.02086,
				"19": 0.012516,
				"20": 0.012516,
				"21": 0.008344,
				"22": 0.025032,
				"23": 0.02086,
				"24": 0.02086,
				"25": 0.012516,
				"26": 0.012516,
				"27": 0.033376,
				"28": 0.037548,
				"29": 0.025032,
				"30": 0.037548,
				"31": 0.04172,
				"32": 0.025032,
				"33": 0.08344,
				"34": 0.012516,
				"35": 0.008344,
				"36": 0.016688,
				"37": 0.012516,
				"38": 0.037548,
				"39": 0.02086,
				"40": 0.054236,
				"41": 0.037548,
				"42": 0.033376,
				"43": 0.27118,
				"44": 0.04172,
				"45": 0.033376,
				"46": 0.029204,
				"47": 0.100128,
				"48": 0.08344,
				"49": 1.693832,
				"50": 0.1043,
				"51": 0.504812,
				"52": 0.329588,
				"53": 0.621628,
				"54": 24.956904,
				"55": 0.091784,
				"56": 0.06258,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.008344,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.008344,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.016688,
				"37": 0.02086,
				"38": 0.054236,
				"39": 0.016688,
				"40": 0.008344,
				"41": 0.467264,
				"42": 0.004172,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.012516
			},
			"safari": {
				"0": null,
				"4": 0.008344,
				"5": 0.012516,
				"6": 0.02086,
				"7": 0.025032,
				"8": 0.070924,
				"9": 0.079268,
				"10": 0.5215,
				"3.1": null,
				"3.2": null,
				"5.1": 0.04172,
				"6.1": 0.02086,
				"7.1": null,
				"9.1": 0.350448
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.140265267104,
				"8.1-8.4": 0.181175970009,
				"9.0-9.2": 0.139615890867,
				"9.3": 0.914321741123,
				"10-10.1": 4.8605811309
			},
			"android": {
				"3": 0,
				"4": 0.126454199774,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0145908692047,
				"4.1": 0.401248903129,
				"4.2-4.3": 1.14538323257,
				"4.4": 2.69931080286,
				"4.4.3-4.4.4": 2.06460799246
			},
			"op_mob": {
				"0": 0.120976203223,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00336045008953
			},
			"ie": {
				"6": 0.0214033522084,
				"7": 0.0214033522084,
				"8": 0.731994645527,
				"9": 0.265401567384,
				"10": 0.248278885617,
				"11": 2.49135019706,
				"5.5": null
			},
			"edge": {
				"12": 0.087612,
				"13": 0.16688,
				"14": 0.550704
			},
			"bb": {
				"7": 0.010199,
				"10": null
			},
			"ie_mob": {
				"10": 0.140524736,
				"11": 0.657911264
			},
			"and_ff": {
				"0": 0.02914
			},
			"samsung": {
				"0": 5.30348
			},
			"and_uc": {
				"0": 1.334612
			},
			"op_mini": {
				"0": 1.62989134669
			},
			"and_chr": {
				"0": 36.723636
			}
		},
		"total": 98.859367
	};

/***/ },
/* 547 */
/***/ function(module, exports) {

	module.exports = {
		"id": "JP",
		"name": "Japan",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.028588,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.014294,
				"11": 0.007147,
				"12": 0.014294,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.035735,
				"17": null,
				"18": null,
				"19": 0.014294,
				"20": null,
				"21": 0.014294,
				"22": null,
				"23": null,
				"24": 0.007147,
				"25": 0.007147,
				"26": null,
				"27": null,
				"28": 0.014294,
				"29": 0.007147,
				"30": null,
				"31": 0.014294,
				"32": null,
				"33": 0.014294,
				"34": 0.021441,
				"35": 0.050029,
				"36": 0.042882,
				"37": 0.028588,
				"38": 0.100058,
				"39": 0.028588,
				"40": 0.028588,
				"41": 0.028588,
				"42": 0.035735,
				"43": 0.235851,
				"44": 0.064323,
				"45": 0.28588,
				"46": 0.235851,
				"47": 0.92911,
				"48": 0.779023,
				"49": 5.538925,
				"50": 3.437707,
				"51": 0.035735,
				"52": 0.007147,
				"53": null,
				"3.5": null,
				"3.6": 0.028588
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.014294,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": 0.028588,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.014294,
				"22": 0.014294,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.014294,
				"28": null,
				"29": 0.042882,
				"30": 0.007147,
				"31": 0.014294,
				"32": null,
				"33": 0.007147,
				"34": 0.014294,
				"35": 0.014294,
				"36": 0.007147,
				"37": 0.007147,
				"38": 0.014294,
				"39": 0.150087,
				"40": 0.014294,
				"41": 0.042882,
				"42": 0.078617,
				"43": 0.228704,
				"44": 0.021441,
				"45": 0.207263,
				"46": 0.035735,
				"47": 0.050029,
				"48": 0.235851,
				"49": 1.936837,
				"50": 0.343056,
				"51": 1.915396,
				"52": 0.371644,
				"53": 0.793317,
				"54": 21.162267,
				"55": 0.085764,
				"56": 0.064323,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.014294,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.028588,
				"37": 0.042882,
				"38": 0.321615,
				"39": 0.014294,
				"40": 0.014294,
				"41": 0.314468,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.007147,
				"11.1": null,
				"11.5": null,
				"11.6": 0.007147,
				"12.1": 0.192969
			},
			"safari": {
				"0": null,
				"4": 0.085764,
				"5": 0.128646,
				"6": 0.092911,
				"7": 0.114352,
				"8": 0.293027,
				"9": 0.242998,
				"10": 2.07263,
				"3.1": null,
				"3.2": null,
				"5.1": 0.378791,
				"6.1": 0.264439,
				"7.1": 0.035735,
				"9.1": 1.236431
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.451645675726,
				"8.1-8.4": 0.58337566448,
				"9.0-9.2": 0.449554723524,
				"9.3": 2.94406070103,
				"10-10.1": 15.6507772352
			},
			"android": {
				"3": 0,
				"4": 0.0271212438749,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00312937429325,
				"4.1": 0.0860577930645,
				"4.2-4.3": 0.24565588202,
				"4.4": 0.578934244252,
				"4.4.3-4.4.4": 0.442806462495
			},
			"op_mob": {
				"0": 0.00609926323242,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000169423978678
			},
			"ie": {
				"6": 0.0883629090909,
				"7": 0.0662721818182,
				"8": 0.949901272727,
				"9": 0.736357575758,
				"10": 0.530177454545,
				"11": 14.3957906061,
				"5.5": null
			},
			"edge": {
				"12": 0.057176,
				"13": 0.443114,
				"14": 2.830212
			},
			"bb": {
				"7": 0.0042795,
				"10": null
			},
			"ie_mob": {
				"10": 0.009038304,
				"11": 0.042315696
			},
			"and_ff": {
				"0": 0.039942
			},
			"samsung": {
				"0": 0.707544
			},
			"and_uc": {
				"0": 0.242505
			},
			"op_mini": {
				"0": 0.0821743127889
			},
			"and_chr": {
				"0": 8.360999
			}
		},
		"total": 97.0464945
	};

/***/ },
/* 548 */
/***/ function(module, exports) {

	module.exports = {
		"id": "KE",
		"name": "Kenya",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.005165,
				"4": 0.002066,
				"5": 0.002066,
				"6": 0.001033,
				"7": 0.003099,
				"8": 0.001033,
				"9": 0.001033,
				"10": 0.003099,
				"11": 0.011363,
				"12": 0.007231,
				"13": 0.004132,
				"14": 0.006198,
				"15": 0.005165,
				"16": 0.006198,
				"17": 0.003099,
				"18": 0.004132,
				"19": 0.003099,
				"20": 0.009297,
				"21": 0.005165,
				"22": 0.003099,
				"23": 0.003099,
				"24": 0.004132,
				"25": 0.003099,
				"26": 0.003099,
				"27": 0.003099,
				"28": 0.004132,
				"29": 0.01033,
				"30": 0.011363,
				"31": 0.009297,
				"32": 0.007231,
				"33": 0.016528,
				"34": 0.013429,
				"35": 0.014462,
				"36": 0.011363,
				"37": 0.014462,
				"38": 0.019627,
				"39": 0.015495,
				"40": 0.017561,
				"41": 0.019627,
				"42": 0.016528,
				"43": 0.101234,
				"44": 0.109498,
				"45": 0.057848,
				"46": 0.040287,
				"47": 0.224161,
				"48": 0.121894,
				"49": 1.577391,
				"50": 0.956558,
				"51": 0.121894,
				"52": null,
				"53": null,
				"3.5": 0.001033,
				"3.6": 0.005165
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.001033,
				"11": 0.018594,
				"12": null,
				"13": null,
				"14": null,
				"15": 0.003099,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.001033,
				"20": null,
				"21": null,
				"22": 0.002066,
				"23": null,
				"24": 0.001033,
				"25": 0.002066,
				"26": 0.001033,
				"27": 0.003099,
				"28": 0.002066,
				"29": 0.004132,
				"30": 0.002066,
				"31": 0.012396,
				"32": 0.004132,
				"33": 0.008264,
				"34": 0.006198,
				"35": 0.001033,
				"36": 0.004132,
				"37": null,
				"38": 0.004132,
				"39": 0.003099,
				"40": 0.007231,
				"41": 0.002066,
				"42": 0.004132,
				"43": 0.027891,
				"44": 0.003099,
				"45": 0.009297,
				"46": 0.006198,
				"47": 0.007231,
				"48": 0.008264,
				"49": 0.17561,
				"50": 0.017561,
				"51": 0.066112,
				"52": 0.05165,
				"53": 0.104333,
				"54": 3.60517,
				"55": 0.02066,
				"56": 0.02066,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": 0.008264,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.003099,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.002066,
				"29": 0.011363,
				"30": 0.004132,
				"31": null,
				"32": 0.006198,
				"33": 0.007231,
				"34": 0.01033,
				"35": 0.011363,
				"36": 0.009297,
				"37": 0.236557,
				"38": 0.003099,
				"39": 0.003099,
				"40": 0.007231,
				"41": 0.170445,
				"42": 0.001033,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.004132
			},
			"safari": {
				"0": null,
				"4": 0.001033,
				"5": 0.003099,
				"6": null,
				"7": 0.002066,
				"8": 0.016528,
				"9": 0.012396,
				"10": 0.098135,
				"3.1": null,
				"3.2": null,
				"5.1": 0.003099,
				"6.1": 0.002066,
				"7.1": 0.005165,
				"9.1": 0.037188
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0084702230553,
				"8.1-8.4": 0.0109407047798,
				"9.0-9.2": 0.00843100905967,
				"9.3": 0.0552133058419,
				"10-10.1": 0.293516757263
			},
			"android": {
				"3": 0,
				"4": 0.0532485096118,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00614405880136,
				"4.1": 0.168961617037,
				"4.2-4.3": 0.482308615907,
				"4.4": 1.13665087825,
				"4.4.3-4.4.4": 0.869384320392
			},
			"op_mob": {
				"0": 5.23097939283,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.145304983134
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.0503326550523,
				"9": 0.0153186341463,
				"10": 0.0240721393728,
				"11": 0.224308571429,
				"5.5": null
			},
			"edge": {
				"12": 0.021693,
				"13": 0.03099,
				"14": 0.087805
			},
			"bb": {
				"7": 0.0336225,
				"10": null
			},
			"ie_mob": {
				"10": 0.178315808,
				"11": 0.834842192
			},
			"and_ff": {
				"0": 0.035864
			},
			"samsung": {
				"0": 0.76211
			},
			"and_uc": {
				"0": 2.546344
			},
			"op_mini": {
				"0": 70.476075624
			},
			"and_chr": {
				"0": 6.820042
			}
		},
		"total": 99.1345735
	};

/***/ },
/* 549 */
/***/ function(module, exports) {

	module.exports = {
		"id": "KG",
		"name": "Kyrgyzstan",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.112896,
				"3": 0.395136,
				"4": 0.1764,
				"5": 0.10584,
				"6": 0.03528,
				"7": 0.007056,
				"8": 0.028224,
				"9": 0.028224,
				"10": 0.091728,
				"11": 0.183456,
				"12": 0.021168,
				"13": 0.049392,
				"14": 0.10584,
				"15": 0.098784,
				"16": 0.098784,
				"17": 0.042336,
				"18": 0.091728,
				"19": 0.084672,
				"20": 0.098784,
				"21": 0.127008,
				"22": 0.091728,
				"23": 0.084672,
				"24": 0.098784,
				"25": 0.07056,
				"26": 0.028224,
				"27": 0.014112,
				"28": 0.056448,
				"29": 0.049392,
				"30": null,
				"31": 0.056448,
				"32": 0.03528,
				"33": 0.07056,
				"34": 0.03528,
				"35": 0.148176,
				"36": 0.021168,
				"37": null,
				"38": 0.042336,
				"39": 0.014112,
				"40": 0.007056,
				"41": 0.021168,
				"42": 0.03528,
				"43": 0.091728,
				"44": 0.014112,
				"45": 0.021168,
				"46": 0.021168,
				"47": 0.197568,
				"48": 0.056448,
				"49": 1.495872,
				"50": 0.938448,
				"51": 0.021168,
				"52": null,
				"53": null,
				"3.5": 0.7056,
				"3.6": 2.646
			},
			"chrome": {
				"4": 0.162288,
				"5": 0.084672,
				"6": 0.112896,
				"7": 0.049392,
				"8": 0.1764,
				"9": 0.07056,
				"10": 0.091728,
				"11": 0.07056,
				"12": 0.183456,
				"13": 0.204624,
				"14": 0.148176,
				"15": 0.303408,
				"16": 0.134064,
				"17": 0.324576,
				"18": 0.402192,
				"19": 0.197568,
				"20": 0.183456,
				"21": 0.444528,
				"22": 0.3528,
				"23": 0.324576,
				"24": 0.204624,
				"25": 0.1764,
				"26": 0.119952,
				"27": 0.127008,
				"28": 0.063504,
				"29": 0.042336,
				"30": 0.07056,
				"31": 0.162288,
				"32": 0.028224,
				"33": 0.077616,
				"34": 0.077616,
				"35": 0.239904,
				"36": 0.112896,
				"37": 0.042336,
				"38": 0.119952,
				"39": 0.254016,
				"40": 0.232848,
				"41": 0.289296,
				"42": 0.1764,
				"43": 0.169344,
				"44": 0.289296,
				"45": 0.084672,
				"46": 0.028224,
				"47": 0.254016,
				"48": 0.07056,
				"49": 1.467648,
				"50": 1.44648,
				"51": 0.303408,
				"52": 0.345744,
				"53": 0.49392,
				"54": 27.708912,
				"55": 0.049392,
				"56": 0.261072,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.112896,
				"12": 0.832608,
				"15": 0.042336,
				"16": null,
				"17": 0.049392,
				"18": 0.042336,
				"19": 0.098784,
				"20": 0.091728,
				"21": 0.063504,
				"22": 0.021168,
				"23": 0.049392,
				"24": 0.07056,
				"25": 0.049392,
				"26": 0.021168,
				"27": 0.345744,
				"28": 0.049392,
				"29": 0.03528,
				"30": null,
				"31": null,
				"32": 0.014112,
				"33": null,
				"34": 0.007056,
				"35": 0.007056,
				"36": 0.148176,
				"37": 0.042336,
				"38": 0.021168,
				"39": 0.014112,
				"40": 0.021168,
				"41": 2.57544,
				"42": 0.007056,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0.10584,
				"10.5": 0.190512,
				"10.6": 0.310464,
				"11.1": 0.112896,
				"11.5": 0.148176,
				"11.6": 0.691488,
				"12.1": 2.533104
			},
			"safari": {
				"0": null,
				"4": 0.261072,
				"5": 0.409248,
				"6": 0.134064,
				"7": 0.021168,
				"8": 0.028224,
				"9": 0.042336,
				"10": 0.38808,
				"3.1": 0.021168,
				"3.2": null,
				"5.1": 0.261072,
				"6.1": 0.049392,
				"7.1": null,
				"9.1": 0.134064
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0737933645736,
				"8.1-8.4": 0.0953164292409,
				"9.0-9.2": 0.0734517286265,
				"9.3": 0.481023413517,
				"10-10.1": 2.55714506404
			},
			"android": {
				"3": 0,
				"4": 0.0449087523558,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00518177911798,
				"4.1": 0.142498925744,
				"4.2-4.3": 0.406769660761,
				"4.4": 0.958629136826,
				"4.4.3-4.4.4": 0.733221745194
			},
			"op_mob": {
				"0": 0.330435549078,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00917876525216
			},
			"ie": {
				"6": 0.00751078125,
				"7": 0.0150215625,
				"8": 1.8176090625,
				"9": 0.27789890625,
				"10": 0.83369671875,
				"11": 0.87876140625,
				"5.5": null
			},
			"edge": {
				"12": 0.021168,
				"13": 0.077616,
				"14": 0.296352
			},
			"bb": {
				"7": 0.00662625,
				"10": null
			},
			"ie_mob": {
				"10": 0.03576408,
				"11": 0.16744092
			},
			"and_ff": {
				"0": null
			},
			"samsung": {
				"0": 2.1793
			},
			"and_uc": {
				"0": 3.15704
			},
			"op_mini": {
				"0": 4.45190068567
			},
			"and_chr": {
				"0": 13.786797
			}
		},
		"total": 93.3829696875
	};

/***/ },
/* 550 */
/***/ function(module, exports) {

	module.exports = {
		"id": "KH",
		"name": "Cambodia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.017348,
				"4": 0.004337,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.004337,
				"11": 0.008674,
				"12": 0.021685,
				"13": 0.008674,
				"14": 0.013011,
				"15": 0.008674,
				"16": 0.017348,
				"17": 0.004337,
				"18": 0.008674,
				"19": 0.004337,
				"20": 0.013011,
				"21": 0.026022,
				"22": 0.013011,
				"23": 0.017348,
				"24": 0.008674,
				"25": 0.017348,
				"26": 0.008674,
				"27": 0.026022,
				"28": 0.008674,
				"29": 0.034696,
				"30": 0.04337,
				"31": 0.039033,
				"32": 0.026022,
				"33": 0.177817,
				"34": 0.039033,
				"35": 0.082403,
				"36": 0.065055,
				"37": 0.08674,
				"38": 0.121436,
				"39": 0.112762,
				"40": 0.073729,
				"41": 0.091077,
				"42": 0.082403,
				"43": 0.399004,
				"44": 0.290579,
				"45": 0.17348,
				"46": 0.208176,
				"47": 1.118946,
				"48": 0.533451,
				"49": 3.157336,
				"50": 2.415709,
				"51": 0.359971,
				"52": 0.008674,
				"53": null,
				"3.5": null,
				"3.6": 0.008674
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.052044,
				"12": 0.008674,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.017348,
				"21": null,
				"22": 0.008674,
				"23": 0.039033,
				"24": null,
				"25": 0.017348,
				"26": null,
				"27": 0.017348,
				"28": 0.017348,
				"29": 0.069392,
				"30": 0.017348,
				"31": 0.034696,
				"32": 0.017348,
				"33": 0.069392,
				"34": 0.026022,
				"35": 0.008674,
				"36": 0.008674,
				"37": 0.004337,
				"38": 0.026022,
				"39": 0.030359,
				"40": 0.060718,
				"41": 0.052044,
				"42": 0.034696,
				"43": 0.915107,
				"44": 0.065055,
				"45": 0.164806,
				"46": 0.091077,
				"47": 0.08674,
				"48": 0.099751,
				"49": 0.758975,
				"50": 0.264557,
				"51": 2.402698,
				"52": 1.270741,
				"53": 1.184001,
				"54": 17.803385,
				"55": 0.208176,
				"56": 0.273231,
				"57": 0.013011
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.008674,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.017348,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.004337,
				"37": 0.017348,
				"38": 0.225524,
				"39": 0.047707,
				"40": 0.052044,
				"41": 0.516103,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.021685
			},
			"safari": {
				"0": null,
				"4": 0.026022,
				"5": null,
				"6": 0.013011,
				"7": 0.026022,
				"8": 0.091077,
				"9": 0.099751,
				"10": 0.615854,
				"3.1": null,
				"3.2": null,
				"5.1": 0.008674,
				"6.1": 0.013011,
				"7.1": 0.008674,
				"9.1": 0.30359
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.529381698219,
				"8.1-8.4": 0.683784693533,
				"9.0-9.2": 0.526930857024,
				"9.3": 3.45078440321,
				"10-10.1": 18.344546348
			},
			"android": {
				"3": 0,
				"4": 0.13297483905,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0153432506596,
				"4.1": 0.42193939314,
				"4.2-4.3": 1.20444517678,
				"4.4": 2.83850137203,
				"4.4.3-4.4.4": 2.17106996834
			},
			"op_mob": {
				"0": 0.116770102528,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00324361395911
			},
			"ie": {
				"6": 0.015744956962,
				"7": 0.015744956962,
				"8": 0.713771382278,
				"9": 0.15744956962,
				"10": 0.204684440506,
				"11": 0.944697417722,
				"5.5": null
			},
			"edge": {
				"12": 0.047707,
				"13": 0.156132,
				"14": 0.320938
			},
			"bb": {
				"7": 0.0084945,
				"10": null
			},
			"ie_mob": {
				"10": 0.06976816,
				"11": 0.32664184
			},
			"and_ff": {
				"0": 0.039641
			},
			"samsung": {
				"0": 2.882467
			},
			"and_uc": {
				"0": 0.860776
			},
			"op_mini": {
				"0": 1.57322328351
			},
			"and_chr": {
				"0": 20.879973
			}
		},
		"total": 98.0226722241
	};

/***/ },
/* 551 */
/***/ function(module, exports) {

	module.exports = {
		"id": "KI",
		"name": "Kiribati",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.009676,
				"4": 0.087084,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.004838,
				"13": 0.004838,
				"14": null,
				"15": 0.004838,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.019352,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.004838,
				"29": null,
				"30": null,
				"31": null,
				"32": 0.091922,
				"33": 0.033866,
				"34": 0.130626,
				"35": 0.009676,
				"36": 0.02419,
				"37": null,
				"38": 0.038704,
				"39": 0.04838,
				"40": 0.111274,
				"41": null,
				"42": 0.038704,
				"43": 0.498314,
				"44": 0.198358,
				"45": 0.261252,
				"46": 2.694766,
				"47": 0.561208,
				"48": 0.416068,
				"49": 5.61208,
				"50": 2.820554,
				"51": 1.615892,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.019352
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.009676,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.004838,
				"19": 0.004838,
				"20": 0.004838,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.004838,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.019352,
				"30": 0.004838,
				"31": 0.009676,
				"32": 0.004838,
				"33": null,
				"34": null,
				"35": 0.019352,
				"36": 0.019352,
				"37": null,
				"38": null,
				"39": null,
				"40": 0.106436,
				"41": 0.019352,
				"42": 0.004838,
				"43": 0.004838,
				"44": 0.004838,
				"45": 0.077408,
				"46": null,
				"47": 0.004838,
				"48": 0.019352,
				"49": 0.188682,
				"50": 0.106436,
				"51": 0.179006,
				"52": 0.566046,
				"53": 0.948248,
				"54": 17.397448,
				"55": 0.12095,
				"56": 0.116112,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.029028,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.004838,
				"34": null,
				"35": null,
				"36": 0.004838,
				"37": null,
				"38": null,
				"39": null,
				"40": 0.788594,
				"41": 1.562674,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": 0.02419,
				"8": 0.004838,
				"9": 0.062894,
				"10": 0.280604,
				"3.1": null,
				"3.2": null,
				"5.1": null,
				"6.1": null,
				"7.1": null,
				"9.1": 0.077408
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.109954954077,
				"8.1-8.4": 0.142025149016,
				"9.0-9.2": 0.109445903364,
				"9.3": 0.716743404353,
				"10-10.1": 3.81024458919
			},
			"android": {
				"3": 0,
				"4": 0.175846555597,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0202899871843,
				"4.1": 0.557974647569,
				"4.2-4.3": 1.59276399397,
				"4.4": 3.7536476291,
				"4.4.3-4.4.4": 2.87103318658
			},
			"op_mob": {
				"0": 0.0573136131262,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00159204480906
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.227386,
				"9": 0.062894,
				"10": 0.261252,
				"11": 4.949274,
				"5.5": null
			},
			"edge": {
				"12": 0.449934,
				"13": 0.227386,
				"14": 0.285442
			},
			"bb": {
				"7": 0.0012905,
				"10": null
			},
			"ie_mob": {
				"10": 0.52693696,
				"11": 2.46702304
			},
			"and_ff": {
				"0": 0.082592
			},
			"samsung": {
				"0": 4.016036
			},
			"and_uc": {
				"0": 1.60022
			},
			"op_mini": {
				"0": 0.772176342065
			},
			"and_chr": {
				"0": 31.821076
			}
		},
		"total": 99.8416145
	};

/***/ },
/* 552 */
/***/ function(module, exports) {

	module.exports = {
		"id": "KM",
		"name": "Comoros",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.063714,
				"4": 0.009102,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.027306,
				"9": null,
				"10": 0.687201,
				"11": 0.009102,
				"12": 0.059163,
				"13": 0.004551,
				"14": 0.027306,
				"15": null,
				"16": 0.009102,
				"17": 0.009102,
				"18": null,
				"19": null,
				"20": 0.027306,
				"21": 0.013653,
				"22": 0.009102,
				"23": 0.009102,
				"24": 0.050061,
				"25": 0.013653,
				"26": 0.009102,
				"27": null,
				"28": null,
				"29": 0.018204,
				"30": 0.036408,
				"31": 0.791874,
				"32": null,
				"33": 0.077367,
				"34": null,
				"35": 0.022755,
				"36": 0.209346,
				"37": 0.036408,
				"38": 0.159285,
				"39": 0.336774,
				"40": 0.068265,
				"41": 0.068265,
				"42": 0.113775,
				"43": 0.951159,
				"44": 0.200244,
				"45": 0.218448,
				"46": 0.050061,
				"47": 0.832833,
				"48": 1.615605,
				"49": 6.216666,
				"50": 1.765788,
				"51": 0.013653,
				"52": 0.068265,
				"53": null,
				"3.5": null,
				"3.6": 0.022755
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.068265,
				"10": 0.036408,
				"11": 0.022755,
				"12": 0.040959,
				"13": 0.036408,
				"14": null,
				"15": null,
				"16": 0.013653,
				"17": 0.013653,
				"18": 0.027306,
				"19": 0.145632,
				"20": null,
				"21": 0.004551,
				"22": null,
				"23": 0.004551,
				"24": null,
				"25": null,
				"26": 0.018204,
				"27": null,
				"28": 0.022755,
				"29": 0.036408,
				"30": null,
				"31": 0.004551,
				"32": 0.104673,
				"33": 0.022755,
				"34": 0.022755,
				"35": 0.036408,
				"36": 0.040959,
				"37": 0.018204,
				"38": 0.013653,
				"39": 0.059163,
				"40": null,
				"41": 1.674768,
				"42": null,
				"43": 0.259407,
				"44": 0.031857,
				"45": 0.31857,
				"46": 0.040959,
				"47": 0.077367,
				"48": 0.09102,
				"49": 0.650793,
				"50": 0.063714,
				"51": 0.523365,
				"52": 0.450549,
				"53": 1.328892,
				"54": 17.257392,
				"55": 0.204795,
				"56": 0.036408,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.004551,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.009102,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.018204,
				"34": 0.022755,
				"35": null,
				"36": 0.122877,
				"37": 0.018204,
				"38": 0.040959,
				"39": 0.013653,
				"40": 0.004551,
				"41": 1.165056,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.009102,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": 0.113775,
				"7": null,
				"8": null,
				"9": 0.018204,
				"10": 0.200244,
				"3.1": null,
				"3.2": null,
				"5.1": 0.018204,
				"6.1": 0.022755,
				"7.1": null,
				"9.1": 0.104673
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0354210534208,
				"8.1-8.4": 0.0457521940019,
				"9.0-9.2": 0.0352570670624,
				"9.3": 0.230892792669,
				"10-10.1": 1.22743789285
			},
			"android": {
				"3": 0,
				"4": 0.165224031662,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0190643113456,
				"4.1": 0.524268562005,
				"4.2-4.3": 1.49654844063,
				"4.4": 3.52689759894,
				"4.4.3-4.4.4": 2.69760005541
			},
			"op_mob": {
				"0": 1.31559686603,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0365443573897
			},
			"ie": {
				"6": 0.009102,
				"7": 0.009102,
				"8": 0.245754,
				"9": 0.077367,
				"10": 0.127428,
				"11": 1.360749,
				"5.5": null
			},
			"edge": {
				"12": 0.286713,
				"13": 0.432345,
				"14": 0.177489
			},
			"bb": {
				"7": 0.00953575,
				"10": null
			},
			"ie_mob": {
				"10": 0.094943376,
				"11": 0.444507624
			},
			"and_ff": {
				"0": 0.021796
			},
			"samsung": {
				"0": 1.264168
			},
			"and_uc": {
				"0": 1.106147
			},
			"op_mini": {
				"0": 17.7248077766
			},
			"and_chr": {
				"0": 22.882852
			}
		},
		"total": 98.29449675
	};

/***/ },
/* 553 */
/***/ function(module, exports) {

	module.exports = {
		"id": "KN",
		"name": "Saint Kitts and Nevis",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.01267,
				"39": 0.02534,
				"40": null,
				"41": null,
				"42": 1.476055,
				"43": 0.02534,
				"44": 0.019005,
				"45": 0.019005,
				"46": 0.02534,
				"47": 0.171045,
				"48": 0.17738,
				"49": 3.110485,
				"50": 1.197315,
				"51": 0.044345,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.006335,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.02534,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.006335,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.01267,
				"32": 0.01267,
				"33": null,
				"34": 0.01267,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.006335,
				"39": 0.01267,
				"40": 0.006335,
				"41": 0.019005,
				"42": 0.05068,
				"43": 0.031675,
				"44": 0.019005,
				"45": 0.03801,
				"46": 0.01267,
				"47": 0.019005,
				"48": 0.01267,
				"49": 1.273335,
				"50": 0.158375,
				"51": 0.34209,
				"52": 0.22806,
				"53": 0.95025,
				"54": 36.4896,
				"55": 0.02534,
				"56": 0.08869,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.006335,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.01267,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.006335,
				"34": null,
				"35": null,
				"36": 0.019005,
				"37": 0.06335,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.500465,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.019005
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.16471,
				"6": null,
				"7": 0.01267,
				"8": 0.095025,
				"9": 0.16471,
				"10": 2.95211,
				"3.1": null,
				"3.2": null,
				"5.1": 0.044345,
				"6.1": 0.08869,
				"7.1": 0.01267,
				"9.1": 1.159305
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.185482661668,
				"8.1-8.4": 0.239581771321,
				"9.0-9.2": 0.184623945642,
				"9.3": 1.20907216495,
				"10-10.1": 6.42748945642
			},
			"android": {
				"3": 0,
				"4": 0.056822005277,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00655638522427,
				"4.1": 0.180300593668,
				"4.2-4.3": 0.514676240106,
				"4.4": 1.21293126649,
				"4.4.3-4.4.4": 0.927728509235
			},
			"op_mob": {
				"0": 0.0133956490234,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000372101361762
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.095025,
				"9": 0.082355,
				"10": 0.120365,
				"11": 3.02813,
				"5.5": null
			},
			"edge": {
				"12": 0.20272,
				"13": 0.77287,
				"14": 3.389225
			},
			"bb": {
				"7": 0.07788125,
				"10": null
			},
			"ie_mob": {
				"10": 0.0612788,
				"11": 0.2868962
			},
			"and_ff": {
				"0": 0.062305
			},
			"samsung": {
				"0": 4.760835
			},
			"and_uc": {
				"0": 0.443465
			},
			"op_mini": {
				"0": 0.180477249615
			},
			"and_chr": {
				"0": 22.05074
			}
		},
		"total": 98.25814625
	};

/***/ },
/* 554 */
/***/ function(module, exports) {

	module.exports = {
		"id": "KP",
		"name": "North Korea",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 1.254618,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.017796,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.017796,
				"23": null,
				"24": 0.507186,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.587268,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.551676,
				"38": 0.186858,
				"39": 0.605064,
				"40": 1.076658,
				"41": null,
				"42": null,
				"43": 0.080082,
				"44": null,
				"45": 0.409308,
				"46": 0.93429,
				"47": 1.058862,
				"48": 1.032168,
				"49": 10.508538,
				"50": 7.34085,
				"51": null,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.097878,
				"13": null,
				"14": null,
				"15": 0.062286,
				"16": null,
				"17": null,
				"18": 0.017796,
				"19": null,
				"20": null,
				"21": null,
				"22": 6.45105,
				"23": null,
				"24": null,
				"25": 0.062286,
				"26": null,
				"27": null,
				"28": 1.094454,
				"29": 0.124572,
				"30": null,
				"31": 0.186858,
				"32": null,
				"33": 2.998626,
				"34": 0.04449,
				"35": 0.04449,
				"36": null,
				"37": 0.160164,
				"38": null,
				"39": null,
				"40": 3.060912,
				"41": 0.524982,
				"42": null,
				"43": 1.174536,
				"44": 3.817242,
				"45": 1.396986,
				"46": 0.204654,
				"47": 0.04449,
				"48": 0.320328,
				"49": 5.009574,
				"50": 0.631758,
				"51": 0.93429,
				"52": 2.455848,
				"53": 4.769328,
				"54": 16.648158,
				"55": 0.062286,
				"56": null,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": 0.017796,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.017796,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.747432,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.017796
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.017796,
				"9": null,
				"10": 0.347022,
				"3.1": null,
				"3.2": null,
				"5.1": null,
				"6.1": null,
				"7.1": null,
				"9.1": 0.409308
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0671486710403,
				"8.1-8.4": 0.0867337000937,
				"9.0-9.2": 0.0668377975633,
				"9.3": 0.43770985567,
				"10-10.1": 2.32688797563
			},
			"android": {
				"3": 0,
				"4": 0.0473033396155,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00545807764795,
				"4.1": 0.150097135319,
				"4.2-4.3": 0.428459095364,
				"4.4": 1.00974436487,
				"4.4.3-4.4.4": 0.772317987184
			},
			"op_mob": {
				"0": 0.0065357278141,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000181547994836
			},
			"ie": {
				"6": 0.081971840708,
				"7": null,
				"8": 0.455399115044,
				"9": 0.710422619469,
				"10": 1.45727716814,
				"11": 3.47014125664,
				"5.5": null
			},
			"edge": {
				"12": 0.142368,
				"13": 0.142368,
				"14": 1.174536
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0.122965568,
				"11": 0.575702432
			},
			"and_ff": {
				"0": 0.222604
			},
			"samsung": {
				"0": 0.698668
			},
			"and_uc": {
				"0": 0.063916
			},
			"op_mini": {
				"0": 0.0880547241911
			},
			"and_chr": {
				"0": 2.918408
			}
		},
		"total": 97.874504
	};

/***/ },
/* 555 */
/***/ function(module, exports) {

	module.exports = {
		"id": "KR",
		"name": "South Korea",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.013128,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.045948,
				"22": 0.006564,
				"23": 0.006564,
				"24": 0.006564,
				"25": 0.013128,
				"26": null,
				"27": null,
				"28": 0.006564,
				"29": null,
				"30": null,
				"31": 0.006564,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.045948,
				"38": 0.013128,
				"39": null,
				"40": null,
				"41": null,
				"42": 0.006564,
				"43": 0.039384,
				"44": 0.006564,
				"45": 0.039384,
				"46": 0.039384,
				"47": 0.183792,
				"48": 0.078768,
				"49": 0.735168,
				"50": 0.420096,
				"51": 0.013128,
				"52": null,
				"53": null,
				"3.5": 0.006564,
				"3.6": 0.026256
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.013128,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.013128,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.013128,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.078768,
				"28": 0.013128,
				"29": 0.019692,
				"30": 0.006564,
				"31": 0.75486,
				"32": 0.013128,
				"33": 0.006564,
				"34": 0.013128,
				"35": 0.013128,
				"36": 0.013128,
				"37": 0.013128,
				"38": 0.013128,
				"39": 0.013128,
				"40": 0.013128,
				"41": 0.091896,
				"42": 0.150972,
				"43": 0.118152,
				"44": 0.059076,
				"45": 0.085332,
				"46": 0.03282,
				"47": 0.039384,
				"48": 0.078768,
				"49": 1.391568,
				"50": 0.144408,
				"51": 0.571068,
				"52": 0.190356,
				"53": 0.597324,
				"54": 27.279984,
				"55": 0.06564,
				"56": 0.039384,
				"57": 0.013128
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.019692,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.006564,
				"28": 0.072204,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.03282,
				"37": 0.026256,
				"38": 0.085332,
				"39": null,
				"40": null,
				"41": 0.308508,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.006564,
				"12.1": 0.03282
			},
			"safari": {
				"0": null,
				"4": 0.013128,
				"5": 0.019692,
				"6": 0.026256,
				"7": 0.03282,
				"8": 0.118152,
				"9": 0.118152,
				"10": 0.879576,
				"3.1": null,
				"3.2": null,
				"5.1": 0.052512,
				"6.1": 0.03282,
				"7.1": 0.006564,
				"9.1": 0.400404
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.131579493908,
				"8.1-8.4": 0.169956846298,
				"9.0-9.2": 0.130970329585,
				"9.3": 0.857703367698,
				"10-10.1": 4.55959496251
			},
			"android": {
				"3": 0,
				"4": 0.0309033471542,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00356577082548,
				"4.1": 0.0980586977007,
				"4.2-4.3": 0.2799130098,
				"4.4": 0.659667602714,
				"4.4.3-4.4.4": 0.504556571806
			},
			"op_mob": {
				"0": 0.00663282721859,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000184245200516
			},
			"ie": {
				"6": 0.0263661342282,
				"7": 0.0395492013423,
				"8": 1.0282792349,
				"9": 1.17329297315,
				"10": 1.45672891611,
				"11": 19.8405160067,
				"5.5": null
			},
			"edge": {
				"12": 0.026256,
				"13": 0.203484,
				"14": 1.365312
			},
			"bb": {
				"7": 0.01288125,
				"10": null
			},
			"ie_mob": {
				"10": 0.0120912,
				"11": 0.0566088
			},
			"and_ff": {
				"0": 0.02061
			},
			"samsung": {
				"0": 9.50121
			},
			"and_uc": {
				"0": 0.16488
			},
			"op_mini": {
				"0": 0.0893629275809
			},
			"and_chr": {
				"0": 19.769625
			}
		},
		"total": 98.2435727164
	};

/***/ },
/* 556 */
/***/ function(module, exports) {

	module.exports = {
		"id": "KW",
		"name": "Kuwait",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.00574,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.00574,
				"11": 0.00287,
				"12": 0.02009,
				"13": null,
				"14": null,
				"15": 0.00287,
				"16": 0.00574,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.00861,
				"22": 0.00574,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.00574,
				"27": 0.00861,
				"28": 0.00287,
				"29": 0.00287,
				"30": null,
				"31": null,
				"32": 0.00287,
				"33": 0.00287,
				"34": 0.00287,
				"35": null,
				"36": 0.00574,
				"37": 0.00861,
				"38": 0.01148,
				"39": 0.00861,
				"40": 0.00861,
				"41": 0.01148,
				"42": 0.01148,
				"43": 0.04879,
				"44": 0.17507,
				"45": 0.0861,
				"46": 0.04592,
				"47": 0.18081,
				"48": 0.25256,
				"49": 1.44361,
				"50": 0.69741,
				"51": 0.03731,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.01435
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.00287,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.00574,
				"17": 0.00287,
				"18": 0.00574,
				"19": 0.00574,
				"20": 0.00574,
				"21": 0.00574,
				"22": 0.00574,
				"23": 0.00287,
				"24": null,
				"25": 0.00287,
				"26": 0.00861,
				"27": 0.00861,
				"28": 0.01435,
				"29": 0.00861,
				"30": 0.02009,
				"31": 0.06601,
				"32": 0.00861,
				"33": 0.01435,
				"34": 0.01435,
				"35": 0.01435,
				"36": 0.00574,
				"37": 0.00574,
				"38": 0.01722,
				"39": 0.0287,
				"40": 0.00861,
				"41": 0.01722,
				"42": 0.03731,
				"43": 0.20951,
				"44": 0.02583,
				"45": 0.02583,
				"46": 0.0287,
				"47": 0.02583,
				"48": 0.02296,
				"49": 0.92127,
				"50": 0.0574,
				"51": 0.27839,
				"52": 0.12628,
				"53": 0.4305,
				"54": 13.79896,
				"55": 0.05166,
				"56": 0.07749,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.00861,
				"29": null,
				"30": 0.00574,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.01148,
				"36": 0.01148,
				"37": 0.0287,
				"38": 0.0287,
				"39": 0.01148,
				"40": 0.00861,
				"41": 0.2296,
				"42": 0.00287,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.01148
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.02009,
				"6": 0.02296,
				"7": 0.03157,
				"8": 0.17507,
				"9": 0.12915,
				"10": 1.08486,
				"3.1": null,
				"3.2": null,
				"5.1": 0.0861,
				"6.1": 0.01148,
				"7.1": 0.00287,
				"9.1": 0.47068
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.327164761012,
				"8.1-8.4": 0.422587816307,
				"9.0-9.2": 0.325650109341,
				"9.3": 2.13262955326,
				"10-10.1": 11.3371677601
			},
			"android": {
				"3": 0,
				"4": 0.0498911873351,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00575667546174,
				"4.1": 0.158308575198,
				"4.2-4.3": 0.451899023747,
				"4.4": 1.06498496042,
				"4.4.3-4.4.4": 0.814569577836
			},
			"op_mob": {
				"0": 0.381070336901,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0105852871361
			},
			"ie": {
				"6": 0.0057678134464,
				"7": 0.0115356268928,
				"8": 0.314345832829,
				"9": 0.853636390067,
				"10": 0.262435511811,
				"11": 3.30495710478,
				"5.5": null
			},
			"edge": {
				"12": 0.07175,
				"13": 0.28413,
				"14": 0.70315
			},
			"bb": {
				"7": 0.010695,
				"10": null
			},
			"ie_mob": {
				"10": 0.03513664,
				"11": 0.16450336
			},
			"and_ff": {
				"0": 0.04278
			},
			"samsung": {
				"0": 4.73432
			},
			"and_uc": {
				"0": 19.37934
			},
			"op_mini": {
				"0": 5.13409437596
			},
			"and_chr": {
				"0": 22.7587
			}
		},
		"total": 97.5061732798
	};

/***/ },
/* 557 */
/***/ function(module, exports) {

	module.exports = {
		"id": "KY",
		"name": "Cayman Islands",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.02322,
				"4": null,
				"5": null,
				"6": null,
				"7": 0.01161,
				"8": 0.04644,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.02322,
				"13": null,
				"14": 0.01161,
				"15": null,
				"16": null,
				"17": 0.01161,
				"18": 0.005805,
				"19": null,
				"20": null,
				"21": 0.04644,
				"22": 0.005805,
				"23": 0.005805,
				"24": 0.017415,
				"25": 0.01161,
				"26": 0.005805,
				"27": 0.25542,
				"28": null,
				"29": 0.087075,
				"30": null,
				"31": 0.017415,
				"32": 0.01161,
				"33": 0.052245,
				"34": 0.354105,
				"35": 0.05805,
				"36": 0.040635,
				"37": 0.261225,
				"38": 0.029025,
				"39": 0.01161,
				"40": 0.03483,
				"41": 0.01161,
				"42": 0.06966,
				"43": 0.16254,
				"44": 0.040635,
				"45": 0.10449,
				"46": 0.01161,
				"47": 0.365715,
				"48": 0.191565,
				"49": 3.732615,
				"50": 1.76472,
				"51": 0.02322,
				"52": null,
				"53": null,
				"3.5": 0.145125,
				"3.6": 0.03483
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": 0.017415,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.01161,
				"12": 0.005805,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.01161,
				"23": null,
				"24": null,
				"25": 0.017415,
				"26": 0.01161,
				"27": 0.01161,
				"28": 0.01161,
				"29": 0.01161,
				"30": null,
				"31": 0.005805,
				"32": 0.005805,
				"33": null,
				"34": 0.017415,
				"35": 0.052245,
				"36": 0.03483,
				"37": 0.029025,
				"38": 0.029025,
				"39": null,
				"40": null,
				"41": 0.133515,
				"42": 0.03483,
				"43": 0.029025,
				"44": 0.02322,
				"45": 0.03483,
				"46": 0.017415,
				"47": 0.08127,
				"48": 0.029025,
				"49": 1.561545,
				"50": 0.17415,
				"51": 0.133515,
				"52": 0.214785,
				"53": 1.02168,
				"54": 28.61865,
				"55": 0.08127,
				"56": 0.03483,
				"57": 0.005805
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.005805,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.01161,
				"28": 0.05805,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.029025,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.24381,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.03483
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.017415,
				"6": null,
				"7": 0.238005,
				"8": 0.2322,
				"9": 0.2322,
				"10": 4.07511,
				"3.1": null,
				"3.2": null,
				"5.1": 0.06966,
				"6.1": 0.098685,
				"7.1": null,
				"9.1": 1.21905
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.402908716026,
				"8.1-8.4": 0.520423758201,
				"9.0-9.2": 0.401043397896,
				"9.3": 2.62636792669,
				"10-10.1": 13.9619062012
			},
			"android": {
				"3": 0,
				"4": 0.0326428872974,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00376648699585,
				"4.1": 0.103578392386,
				"4.2-4.3": 0.295669229175,
				"4.4": 0.696800094233,
				"4.4.3-4.4.4": 0.532957909913
			},
			"op_mob": {
				"0": 0.0214080739599,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000594668721109
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.17415,
				"9": 0.238005,
				"10": 0.330885,
				"11": 6.18813,
				"5.5": null
			},
			"edge": {
				"12": 0.10449,
				"13": 0.354105,
				"14": 2.14785
			},
			"bb": {
				"7": 0.0943875,
				"10": null
			},
			"ie_mob": {
				"10": 0.06054224,
				"11": 0.28344776
			},
			"and_ff": {
				"0": 0.046145
			},
			"samsung": {
				"0": 4.65645
			},
			"and_uc": {
				"0": 0.356575
			},
			"op_mini": {
				"0": 0.288427257319
			},
			"and_chr": {
				"0": 16.963065
			}
		},
		"total": 99.0639575
	};

/***/ },
/* 558 */
/***/ function(module, exports) {

	module.exports = {
		"id": "KZ",
		"name": "Kazakhstan",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.172891,
				"3": 0.616394,
				"4": 0.157857,
				"5": 0.045102,
				"6": 0.045102,
				"7": 0.030068,
				"8": 0.037585,
				"9": 0.07517,
				"10": 0.120272,
				"11": 0.060136,
				"12": 0.060136,
				"13": 0.067653,
				"14": 0.090204,
				"15": 0.120272,
				"16": 0.067653,
				"17": 0.060136,
				"18": 0.082687,
				"19": 0.067653,
				"20": 0.067653,
				"21": 0.112755,
				"22": 0.07517,
				"23": 0.105238,
				"24": 0.097721,
				"25": 0.090204,
				"26": 0.045102,
				"27": 0.007517,
				"28": 0.045102,
				"29": 0.030068,
				"30": 0.030068,
				"31": 0.060136,
				"32": 0.060136,
				"33": 0.060136,
				"34": 0.07517,
				"35": 0.15034,
				"36": 0.157857,
				"37": 0.045102,
				"38": 0.105238,
				"39": 0.045102,
				"40": 0.030068,
				"41": 0.015034,
				"42": 0.030068,
				"43": 0.142823,
				"44": 0.022551,
				"45": 0.082687,
				"46": 0.067653,
				"47": 0.330748,
				"48": 0.157857,
				"49": 2.473093,
				"50": 1.443264,
				"51": null,
				"52": null,
				"53": null,
				"3.5": 1.007278,
				"3.6": 2.886528
			},
			"chrome": {
				"4": 0.202959,
				"5": 0.127789,
				"6": 0.135306,
				"7": 0.082687,
				"8": 0.090204,
				"9": 0.142823,
				"10": 0.105238,
				"11": 0.127789,
				"12": 0.165374,
				"13": 0.120272,
				"14": 0.217993,
				"15": 0.233027,
				"16": 0.263095,
				"17": 0.30068,
				"18": 0.353299,
				"19": 0.270612,
				"20": 0.255578,
				"21": 0.466054,
				"22": 0.368333,
				"23": 0.323231,
				"24": 0.368333,
				"25": 0.233027,
				"26": 0.308197,
				"27": 0.308197,
				"28": 0.15034,
				"29": 0.082687,
				"30": 0.07517,
				"31": 0.097721,
				"32": 0.067653,
				"33": 0.052619,
				"34": 0.082687,
				"35": 0.217993,
				"36": 0.090204,
				"37": 0.097721,
				"38": 0.165374,
				"39": 0.255578,
				"40": 0.405918,
				"41": 0.278129,
				"42": 0.22551,
				"43": 0.353299,
				"44": 0.037585,
				"45": 0.112755,
				"46": 0.037585,
				"47": 0.067653,
				"48": 0.172891,
				"49": 1.300441,
				"50": 0.172891,
				"51": 0.623911,
				"52": 0.330748,
				"53": 0.699081,
				"54": 22.708857,
				"55": 0.07517,
				"56": 0.172891,
				"57": 0.007517
			},
			"opera": {
				"9": null,
				"11": 0.135306,
				"12": 1.067414,
				"15": 0.037585,
				"16": 0.030068,
				"17": 0.045102,
				"18": 0.097721,
				"19": 0.060136,
				"20": 0.127789,
				"21": 0.067653,
				"22": 0.045102,
				"23": 0.022551,
				"24": 0.067653,
				"25": 0.067653,
				"26": 0.060136,
				"27": 0.563775,
				"28": 0.067653,
				"29": 0.060136,
				"30": 0.030068,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.015034,
				"35": 0.015034,
				"36": 0.195442,
				"37": 0.060136,
				"38": 0.097721,
				"39": 0.030068,
				"40": 0.082687,
				"41": 2.608399,
				"42": 0.015034,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0.112755,
				"10.5": 0.142823,
				"10.6": 0.458537,
				"11.1": 0.112755,
				"11.5": 0.248061,
				"11.6": 0.97721,
				"12.1": 2.93163
			},
			"safari": {
				"0": null,
				"4": 0.518673,
				"5": 0.714115,
				"6": 0.090204,
				"7": 0.052619,
				"8": 0.090204,
				"9": 0.045102,
				"10": 0.481088,
				"3.1": 0.07517,
				"3.2": 0.045102,
				"5.1": 0.420952,
				"6.1": 0.030068,
				"7.1": null,
				"9.1": 0.270612
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.106282639175,
				"8.1-8.4": 0.137281742268,
				"9.0-9.2": 0.10579058992,
				"9.3": 0.692805351661,
				"10-10.1": 3.68298867698
			},
			"android": {
				"3": 0,
				"4": 0.0321208292499,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00370624952884,
				"4.1": 0.101921862043,
				"4.2-4.3": 0.290940588014,
				"4.4": 0.685656162835,
				"4.4.3-4.4.4": 0.52443430833
			},
			"op_mob": {
				"0": 0.0602744553367,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00167429042602
			},
			"ie": {
				"6": 0.00806737764933,
				"7": 0.0161347552987,
				"8": 1.10523073796,
				"9": 0.48404265896,
				"10": 0.871276786127,
				"11": 1.70221668401,
				"5.5": null
			},
			"edge": {
				"12": 0.015034,
				"13": 0.112755,
				"14": 0.518673
			},
			"bb": {
				"7": 0.00931125,
				"10": null
			},
			"ie_mob": {
				"10": 0.03496064,
				"11": 0.16367936
			},
			"and_ff": {
				"0": 0.012415
			},
			"samsung": {
				"0": 2.279394
			},
			"and_uc": {
				"0": 1.276262
			},
			"op_mini": {
				"0": 0.812067254237
			},
			"and_chr": {
				"0": 13.805138
			}
		},
		"total": 90.16438625
	};

/***/ },
/* 559 */
/***/ function(module, exports) {

	module.exports = {
		"id": "LA",
		"name": "Lao",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": 0.001041,
				"5": null,
				"6": 0.002082,
				"7": 0.002082,
				"8": 0.003123,
				"9": 0.001041,
				"10": 0.003123,
				"11": 0.002082,
				"12": 0.003123,
				"13": 0.003123,
				"14": 0.002082,
				"15": 0.002082,
				"16": 0.002082,
				"17": 0.002082,
				"18": 0.002082,
				"19": 0.001041,
				"20": 0.001041,
				"21": 0.009369,
				"22": 0.003123,
				"23": 0.006246,
				"24": 0.003123,
				"25": 0.005205,
				"26": 0.01041,
				"27": 0.002082,
				"28": 0.004164,
				"29": 0.005205,
				"30": 0.012492,
				"31": 0.005205,
				"32": 0.003123,
				"33": 0.008328,
				"34": 0.006246,
				"35": 0.029148,
				"36": 0.003123,
				"37": 0.01041,
				"38": 0.007287,
				"39": 0.008328,
				"40": 0.012492,
				"41": 0.007287,
				"42": 0.011451,
				"43": 0.032271,
				"44": 0.04164,
				"45": 0.023943,
				"46": 0.013533,
				"47": 0.140535,
				"48": 0.082239,
				"49": 0.677691,
				"50": 0.424728,
				"51": 0.049968,
				"52": 0.002082,
				"53": null,
				"3.5": null,
				"3.6": 0.003123
			},
			"chrome": {
				"4": null,
				"5": 0.001041,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.107223,
				"12": 0.007287,
				"13": 0.001041,
				"14": null,
				"15": 0.003123,
				"16": 0.001041,
				"17": 0.001041,
				"18": 0.004164,
				"19": 0.002082,
				"20": 0.016656,
				"21": 0.002082,
				"22": 0.003123,
				"23": 0.006246,
				"24": null,
				"25": 0.002082,
				"26": 0.004164,
				"27": 0.007287,
				"28": 0.007287,
				"29": 0.006246,
				"30": 0.004164,
				"31": 0.030189,
				"32": 0.006246,
				"33": 0.05205,
				"34": 0.004164,
				"35": 0.007287,
				"36": 0.009369,
				"37": 0.004164,
				"38": 0.029148,
				"39": 0.008328,
				"40": 0.022902,
				"41": 0.016656,
				"42": 0.002082,
				"43": 1.262733,
				"44": 0.007287,
				"45": 0.039558,
				"46": 0.008328,
				"47": 0.014574,
				"48": 0.008328,
				"49": 0.086403,
				"50": 0.028107,
				"51": 0.061419,
				"52": 0.06246,
				"53": 0.136371,
				"54": 3.365553,
				"55": 0.023943,
				"56": 0.038517,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.002082,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.001041,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.017697,
				"29": 0.003123,
				"30": 0.003123,
				"31": null,
				"32": 0.002082,
				"33": null,
				"34": null,
				"35": 0.002082,
				"36": 0.001041,
				"37": 0.06246,
				"38": 0.003123,
				"39": null,
				"40": 0.002082,
				"41": 0.054132,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.002082
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.002082,
				"6": 0.001041,
				"7": 0.004164,
				"8": 0.009369,
				"9": 0.026025,
				"10": 0.089526,
				"3.1": null,
				"3.2": null,
				"5.1": 0.008328,
				"6.1": null,
				"7.1": null,
				"9.1": 0.033312
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.38166851359,
				"8.1-8.4": 0.49298849672,
				"9.0-9.2": 0.37990152973,
				"9.3": 2.48791327377,
				"10-10.1": 13.2258741862
			},
			"android": {
				"3": 0,
				"4": 0.198955312476,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0229563822088,
				"4.1": 0.631300510743,
				"4.2-4.3": 1.80207600339,
				"4.4": 4.24693070863,
				"4.4.3-4.4.4": 3.24832808255
			},
			"op_mob": {
				"0": 0.084643578395,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00235121051097
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.123865933054,
				"9": 0.0356901841004,
				"10": 0.0262427824268,
				"11": 0.315963100418,
				"5.5": null
			},
			"edge": {
				"12": 0.013533,
				"13": 0.033312,
				"14": 0.060378
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0.239671168,
				"11": 1.122096832
			},
			"and_ff": {
				"0": 0.035836
			},
			"samsung": {
				"0": 12.685944
			},
			"and_uc": {
				"0": 0.779433
			},
			"op_mini": {
				"0": 1.14038821109
			},
			"and_chr": {
				"0": 48.188579
			}
		},
		"total": 99.559276
	};

/***/ },
/* 560 */
/***/ function(module, exports) {

	module.exports = {
		"id": "LB",
		"name": "Lebanon",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.01694,
				"4": 0.004235,
				"5": 0.012705,
				"6": 0.004235,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.02541,
				"11": 0.004235,
				"12": 0.00847,
				"13": 0.01694,
				"14": null,
				"15": 0.021175,
				"16": 0.01694,
				"17": null,
				"18": 0.004235,
				"19": 0.122815,
				"20": null,
				"21": 0.00847,
				"22": 0.00847,
				"23": null,
				"24": 0.00847,
				"25": null,
				"26": 0.004235,
				"27": 0.004235,
				"28": null,
				"29": 0.012705,
				"30": 0.004235,
				"31": 0.00847,
				"32": 0.00847,
				"33": 0.012705,
				"34": 0.00847,
				"35": 0.01694,
				"36": 0.00847,
				"37": 0.01694,
				"38": 0.029645,
				"39": 0.03388,
				"40": 0.012705,
				"41": 0.05929,
				"42": 0.038115,
				"43": 0.105875,
				"44": 0.046585,
				"45": 0.07623,
				"46": 0.063525,
				"47": 0.368445,
				"48": 0.427735,
				"49": 2.93062,
				"50": 1.48225,
				"51": 0.06776,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.02541
			},
			"chrome": {
				"4": 0.004235,
				"5": 0.004235,
				"6": null,
				"7": 0.004235,
				"8": 0.00847,
				"9": null,
				"10": null,
				"11": 0.02541,
				"12": 0.00847,
				"13": 0.004235,
				"14": 0.00847,
				"15": 0.01694,
				"16": 0.00847,
				"17": 0.021175,
				"18": 0.012705,
				"19": 0.00847,
				"20": null,
				"21": 0.004235,
				"22": 0.00847,
				"23": 0.00847,
				"24": 0.004235,
				"25": 0.00847,
				"26": 0.012705,
				"27": 0.00847,
				"28": 0.004235,
				"29": 0.021175,
				"30": 0.00847,
				"31": 0.046585,
				"32": 0.021175,
				"33": 0.046585,
				"34": 0.021175,
				"35": 0.00847,
				"36": 0.021175,
				"37": 0.012705,
				"38": 0.038115,
				"39": 0.021175,
				"40": 0.063525,
				"41": 0.02541,
				"42": 0.012705,
				"43": 0.131285,
				"44": 0.038115,
				"45": 0.02541,
				"46": 0.029645,
				"47": 0.05082,
				"48": 0.063525,
				"49": 1.20274,
				"50": 0.088935,
				"51": 0.300685,
				"52": 0.224455,
				"53": 0.715715,
				"54": 22.87747,
				"55": 0.16093,
				"56": 0.10164,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.012705,
				"37": 0.00847,
				"38": 0.148225,
				"39": null,
				"40": 0.00847,
				"41": 0.3388,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.00847
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.029645,
				"6": 0.05082,
				"7": 0.06776,
				"8": 0.419265,
				"9": 0.385385,
				"10": 1.334025,
				"3.1": null,
				"3.2": null,
				"5.1": 0.12705,
				"6.1": 0.06776,
				"7.1": 0.012705,
				"9.1": 1.04181
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.314324873477,
				"8.1-8.4": 0.406002961575,
				"9.0-9.2": 0.312869665729,
				"9.3": 2.04893250859,
				"10-10.1": 10.8922299906
			},
			"android": {
				"3": 0,
				"4": 0.116951488881,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0134944025631,
				"4.1": 0.371096070486,
				"4.2-4.3": 1.05931060121,
				"4.4": 2.49646447418,
				"4.4.3-4.4.4": 1.90945796268
			},
			"op_mob": {
				"0": 0.106946235789,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00297072877192
			},
			"ie": {
				"6": 0.00855283618582,
				"7": 0.0128292542787,
				"8": 0.530275843521,
				"9": 0.277967176039,
				"10": 0.200991650367,
				"11": 2.46749323961,
				"5.5": null
			},
			"edge": {
				"12": 0.14399,
				"13": 0.266805,
				"14": 0.529375
			},
			"bb": {
				"7": 0.03314875,
				"10": null
			},
			"ie_mob": {
				"10": 0.01319032,
				"11": 0.06175468
			},
			"and_ff": {
				"0": 0.01153
			},
			"samsung": {
				"0": 8.32466
			},
			"and_uc": {
				"0": 2.519305
			},
			"op_mini": {
				"0": 1.44086803544
			},
			"and_chr": {
				"0": 25.36748
			}
		},
		"total": 99.05494875
	};

/***/ },
/* 561 */
/***/ function(module, exports) {

	module.exports = {
		"id": "LC",
		"name": "Saint Lucia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.06317,
				"12": null,
				"13": 0.006317,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.012634,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.018951,
				"37": null,
				"38": 0.044219,
				"39": 0.012634,
				"40": 0.018951,
				"41": 0.006317,
				"42": null,
				"43": 0.06317,
				"44": 0.025268,
				"45": 0.120023,
				"46": 0.050536,
				"47": 0.214778,
				"48": 0.669602,
				"49": 2.665774,
				"50": 1.623469,
				"51": 0.075804,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.025268
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.044219,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.012634,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.037902,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.056853,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.012634,
				"32": 0.056853,
				"33": null,
				"34": 0.031585,
				"35": 0.018951,
				"36": 0.025268,
				"37": 0.075804,
				"38": 0.025268,
				"39": 0.012634,
				"40": 0.018951,
				"41": 0.025268,
				"42": 0.044219,
				"43": 0.107389,
				"44": 0.050536,
				"45": 0.018951,
				"46": 0.056853,
				"47": 0.088438,
				"48": 0.06317,
				"49": 1.004403,
				"50": 0.075804,
				"51": 0.44219,
				"52": 0.246363,
				"53": 1.061256,
				"54": 34.351846,
				"55": 0.082121,
				"56": 0.151608,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.031585,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.018951,
				"34": null,
				"35": null,
				"36": 0.025268,
				"37": 0.18951,
				"38": 0.025268,
				"39": null,
				"40": null,
				"41": 0.770674,
				"42": 0.012634,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.012634
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.012634,
				"6": null,
				"7": 0.037902,
				"8": 0.12634,
				"9": 0.037902,
				"10": 1.51608,
				"3.1": null,
				"3.2": null,
				"5.1": 0.037902,
				"6.1": 0.06317,
				"7.1": 0.044219,
				"9.1": 0.435873
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0898003074039,
				"8.1-8.4": 0.11599206373,
				"9.0-9.2": 0.08938456524,
				"9.3": 0.585364966781,
				"10-10.1": 3.11183009684
			},
			"android": {
				"3": 0,
				"4": 0.0916793516773,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.010578386732,
				"4.1": 0.29090563513,
				"4.2-4.3": 0.830403358462,
				"4.4": 1.95700154542,
				"4.4.3-4.4.4": 1.49684172258
			},
			"op_mob": {
				"0": 0.082038583434,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00227884953983
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.170559,
				"9": 0.277948,
				"10": 0.120023,
				"11": 4.883041,
				"5.5": null
			},
			"edge": {
				"12": 0.334801,
				"13": 0.802259,
				"14": 3.183768
			},
			"bb": {
				"7": 0.12061825,
				"10": null
			},
			"ie_mob": {
				"10": 0.134827264,
				"11": 0.631236736
			},
			"and_ff": {
				"0": 0.047879
			},
			"samsung": {
				"0": 3.716147
			},
			"and_uc": {
				"0": 1.270635
			},
			"op_mini": {
				"0": 1.10529156703
			},
			"and_chr": {
				"0": 25.37791
			}
		},
		"total": 98.34644525
	};

/***/ },
/* 562 */
/***/ function(module, exports) {

	module.exports = {
		"id": "LI",
		"name": "Liechtenstein",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": 0.012654,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": 0.012654,
				"14": null,
				"15": null,
				"16": 0.006327,
				"17": 0.012654,
				"18": null,
				"19": 0.012654,
				"20": null,
				"21": 0.006327,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.025308,
				"26": 0.012654,
				"27": null,
				"28": 0.012654,
				"29": null,
				"30": 0.088578,
				"31": null,
				"32": 0.006327,
				"33": 0.018981,
				"34": 0.012654,
				"35": 0.012654,
				"36": null,
				"37": 0.018981,
				"38": 0.18981,
				"39": 0.031635,
				"40": 0.044289,
				"41": 0.037962,
				"42": 0.056943,
				"43": 0.044289,
				"44": 0.025308,
				"45": 0.246753,
				"46": 0.075924,
				"47": 0.37962,
				"48": 0.727605,
				"49": 7.396263,
				"50": 3.979683,
				"51": 0.018981,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.006327
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.012654,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.012654,
				"23": null,
				"24": null,
				"25": 0.012654,
				"26": 0.018981,
				"27": null,
				"28": null,
				"29": 0.031635,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.012654,
				"34": 0.012654,
				"35": null,
				"36": 0.037962,
				"37": 0.012654,
				"38": 0.018981,
				"39": 0.037962,
				"40": 0.018981,
				"41": 0.012654,
				"42": null,
				"43": 0.012654,
				"44": 0.018981,
				"45": 0.480852,
				"46": 0.006327,
				"47": 0.069597,
				"48": 0.044289,
				"49": 0.493506,
				"50": 0.012654,
				"51": 0.771894,
				"52": 0.044289,
				"53": 0.917415,
				"54": 14.640678,
				"55": 0.012654,
				"56": 0.088578,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.158175,
				"37": null,
				"38": null,
				"39": 0.025308,
				"40": null,
				"41": 0.196137,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.082251
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.139194,
				"6": 0.018981,
				"7": 0.025308,
				"8": 0.291042,
				"9": 0.480852,
				"10": 4.612383,
				"3.1": null,
				"3.2": null,
				"5.1": 0.215118,
				"6.1": 0.139194,
				"7.1": 0.018981,
				"9.1": 1.524807
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.449599985005,
				"8.1-8.4": 0.580733313964,
				"9.0-9.2": 0.447518503593,
				"9.3": 2.93072582818,
				"10-10.1": 15.5798883693
			},
			"android": {
				"3": 0,
				"4": 0.016198303807,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00186903505466,
				"4.1": 0.051398464003,
				"4.2-4.3": 0.14671925179,
				"4.4": 0.345771485111,
				"4.4.3-4.4.4": 0.264468460234
			},
			"op_mob": {
				"0": 0.000506599591888,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0000140722108858
			},
			"ie": {
				"6": 0.044289,
				"7": 0.037962,
				"8": 0.151848,
				"9": 0.221445,
				"10": 0.468198,
				"11": 16.677972,
				"5.5": null
			},
			"edge": {
				"12": 0.120213,
				"13": 0.740259,
				"14": 4.561767
			},
			"bb": {
				"7": 0.00642775,
				"10": null
			},
			"ie_mob": {
				"10": 0.063351904,
				"11": 0.296602096
			},
			"and_ff": {
				"0": 0.051422
			},
			"samsung": {
				"0": 4.172528
			},
			"and_uc": {
				"0": 0.007346
			},
			"op_mini": {
				"0": 0.00682532819723
			},
			"and_chr": {
				"0": 10.391959
			}
		},
		"total": 98.16445875
	};

/***/ },
/* 563 */
/***/ function(module, exports) {

	module.exports = {
		"id": "LK",
		"name": "Sri Lanka",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.010888,
				"4": 0.010888,
				"5": 0.008166,
				"6": 0.005444,
				"7": 0.002722,
				"8": 0.005444,
				"9": 0.005444,
				"10": 0.010888,
				"11": 0.01361,
				"12": 0.024498,
				"13": 0.016332,
				"14": 0.019054,
				"15": 0.016332,
				"16": 0.016332,
				"17": 0.01361,
				"18": 0.01361,
				"19": 0.010888,
				"20": 0.01361,
				"21": 0.010888,
				"22": 0.01361,
				"23": 0.010888,
				"24": 0.01361,
				"25": 0.01361,
				"26": 0.008166,
				"27": 0.008166,
				"28": 0.010888,
				"29": 0.019054,
				"30": 0.029942,
				"31": 0.019054,
				"32": 0.01361,
				"33": 0.01361,
				"34": 0.016332,
				"35": 0.016332,
				"36": 0.019054,
				"37": 0.016332,
				"38": 0.032664,
				"39": 0.032664,
				"40": 0.02722,
				"41": 0.024498,
				"42": 0.02722,
				"43": 0.168764,
				"44": 0.076216,
				"45": 0.059884,
				"46": 0.051718,
				"47": 0.386524,
				"48": 0.193262,
				"49": 2.242928,
				"50": 1.186792,
				"51": 0.06805,
				"52": 0.002722,
				"53": null,
				"3.5": 0.005444,
				"3.6": 0.02722
			},
			"chrome": {
				"4": 0.005444,
				"5": 0.008166,
				"6": 0.005444,
				"7": 0.01361,
				"8": null,
				"9": 0.005444,
				"10": 0.008166,
				"11": 0.08166,
				"12": 0.01361,
				"13": 0.010888,
				"14": 0.008166,
				"15": 0.005444,
				"16": 0.010888,
				"17": 0.008166,
				"18": 0.010888,
				"19": 0.016332,
				"20": 0.01361,
				"21": 0.016332,
				"22": 0.01361,
				"23": 0.01361,
				"24": 0.008166,
				"25": 0.024498,
				"26": 0.01361,
				"27": 0.01361,
				"28": 0.032664,
				"29": 0.021776,
				"30": 0.038108,
				"31": 0.070772,
				"32": 0.010888,
				"33": 0.048996,
				"34": 0.010888,
				"35": 0.019054,
				"36": 0.01361,
				"37": 0.008166,
				"38": 0.02722,
				"39": 0.029942,
				"40": 0.016332,
				"41": 0.008166,
				"42": 0.038108,
				"43": 0.089826,
				"44": 0.02722,
				"45": 0.032664,
				"46": 0.024498,
				"47": 0.059884,
				"48": 0.029942,
				"49": 0.620616,
				"50": 0.051718,
				"51": 0.277644,
				"52": 0.201428,
				"53": 0.43552,
				"54": 14.99822,
				"55": 0.070772,
				"56": 0.048996,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": 0.005444,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.005444,
				"20": 0.002722,
				"21": null,
				"22": 0.002722,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.002722,
				"30": 0.008166,
				"31": null,
				"32": null,
				"33": 0.005444,
				"34": 0.005444,
				"35": 0.005444,
				"36": 0.019054,
				"37": 0.065328,
				"38": 0.029942,
				"39": 0.01361,
				"40": 0.02722,
				"41": 0.579786,
				"42": 0.005444,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.002722,
				"11.6": 0.005444,
				"12.1": 0.01361
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": 0.002722,
				"7": 0.005444,
				"8": 0.038108,
				"9": 0.035386,
				"10": 0.236814,
				"3.1": null,
				"3.2": null,
				"5.1": 0.010888,
				"6.1": 0.005444,
				"7.1": null,
				"9.1": 0.078938
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.066463760075,
				"8.1-8.4": 0.0858490234302,
				"9.0-9.2": 0.066156057482,
				"9.3": 0.433245250859,
				"10-10.1": 2.30315390815
			},
			"android": {
				"3": 0,
				"4": 0.182309373539,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0210356969469,
				"4.1": 0.578481666038,
				"4.2-4.3": 1.65130221033,
				"4.4": 3.89160393517,
				"4.4.3-4.4.4": 2.97655111798
			},
			"op_mob": {
				"0": 1.04045970366,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.028901658435
			},
			"ie": {
				"6": 0.0138136408978,
				"7": 0.00276272817955,
				"8": 0.212730069825,
				"9": 0.0414409226933,
				"10": 0.0884073017456,
				"11": 0.748699336658,
				"5.5": null
			},
			"edge": {
				"12": 0.076216,
				"13": 0.119768,
				"14": 0.185096
			},
			"bb": {
				"7": 0.0200145,
				"10": null
			},
			"ie_mob": {
				"10": 0.450886656,
				"11": 2.110969344
			},
			"and_ff": {
				"0": 0.021834
			},
			"samsung": {
				"0": 8.07858
			},
			"and_uc": {
				"0": 10.378428
			},
			"op_mini": {
				"0": 14.0179326379
			},
			"and_chr": {
				"0": 23.75172
			}
		},
		"total": 97.6419645
	};

/***/ },
/* 564 */
/***/ function(module, exports) {

	module.exports = {
		"id": "LR",
		"name": "Liberia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.021852,
				"4": 0.043704,
				"5": 0.007284,
				"6": 0.002428,
				"7": 0.016996,
				"8": 0.002428,
				"9": 0.004856,
				"10": 0.038848,
				"11": 0.009712,
				"12": 0.041276,
				"13": 0.004856,
				"14": 0.02428,
				"15": 0.02428,
				"16": 0.03642,
				"17": 0.029136,
				"18": 0.014568,
				"19": 0.043704,
				"20": 0.063128,
				"21": 0.070412,
				"22": 0.026708,
				"23": 0.007284,
				"24": 0.118972,
				"25": 0.007284,
				"26": 0.009712,
				"27": 0.016996,
				"28": 0.009712,
				"29": 0.041276,
				"30": 0.031564,
				"31": 0.01214,
				"32": 0.016996,
				"33": 0.03642,
				"34": 0.007284,
				"35": 0.01214,
				"36": 0.014568,
				"37": 0.058272,
				"38": 0.029136,
				"39": 0.021852,
				"40": 0.019424,
				"41": 0.007284,
				"42": 0.031564,
				"43": 0.335064,
				"44": 0.310784,
				"45": 0.053416,
				"46": 0.087408,
				"47": 0.614284,
				"48": 0.199096,
				"49": 2.153636,
				"50": 1.070748,
				"51": 0.077696,
				"52": null,
				"53": null,
				"3.5": 0.009712,
				"3.6": 0.046132
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.004856,
				"11": 0.063128,
				"12": null,
				"13": null,
				"14": null,
				"15": 0.002428,
				"16": null,
				"17": null,
				"18": 0.016996,
				"19": 0.004856,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.01214,
				"27": 0.016996,
				"28": 0.01214,
				"29": 0.029136,
				"30": null,
				"31": 0.016996,
				"32": 0.014568,
				"33": 0.058272,
				"34": 0.004856,
				"35": 0.009712,
				"36": 0.016996,
				"37": 0.009712,
				"38": 0.007284,
				"39": 0.055844,
				"40": 0.02428,
				"41": 0.04856,
				"42": 0.038848,
				"43": 0.140824,
				"44": 0.055844,
				"45": 0.043704,
				"46": 0.01214,
				"47": 0.03642,
				"48": 0.021852,
				"49": 0.3642,
				"50": 0.070412,
				"51": 0.560868,
				"52": 0.167532,
				"53": 0.371484,
				"54": 7.791452,
				"55": 0.04856,
				"56": 0.08498,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.007284,
				"12": 0.014568,
				"15": 0.004856,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.004856,
				"21": 0.014568,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.002428,
				"28": 0.053416,
				"29": 0.070412,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.055844,
				"34": 0.016996,
				"35": 0.009712,
				"36": 0.070412,
				"37": 0.191812,
				"38": 0.026708,
				"39": 0.007284,
				"40": 0.041276,
				"41": 0.458892,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": 0.004856,
				"11.5": 0.004856,
				"11.6": 0.01214,
				"12.1": 0.043704
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.004856,
				"6": 0.016996,
				"7": 0.007284,
				"8": 0.10926,
				"9": 0.0607,
				"10": 0.322924,
				"3.1": null,
				"3.2": null,
				"5.1": 0.021852,
				"6.1": 0.016996,
				"7.1": null,
				"9.1": 0.1821
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0561971134021,
				"8.1-8.4": 0.0725879381443,
				"9.0-9.2": 0.0559369415808,
				"9.3": 0.366321924399,
				"10-10.1": 1.94738608247
			},
			"android": {
				"3": 0,
				"4": 0.242774260083,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.028012414625,
				"4.1": 0.770341402186,
				"4.2-4.3": 2.19897454806,
				"4.4": 5.18229670562,
				"4.4.3-4.4.4": 3.96375666943
			},
			"op_mob": {
				"0": 1.65406408062,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0459462244617
			},
			"ie": {
				"6": null,
				"7": 0.00486096016343,
				"8": 0.362141532176,
				"9": 0.0972192032686,
				"10": 0.250339448417,
				"11": 1.66487885598,
				"5.5": null
			},
			"edge": {
				"12": 0.281648,
				"13": 0.208808,
				"14": 0.429756
			},
			"bb": {
				"7": 0.0264985,
				"10": null
			},
			"ie_mob": {
				"10": 0.137247088,
				"11": 0.642565912
			},
			"and_ff": {
				"0": 0.030284
			},
			"samsung": {
				"0": 2.165306
			},
			"and_uc": {
				"0": 6.556486
			},
			"op_mini": {
				"0": 22.2849176949
			},
			"and_chr": {
				"0": 28.440946
			}
		},
		"total": 98.2619555
	};

/***/ },
/* 565 */
/***/ function(module, exports) {

	module.exports = {
		"id": "LS",
		"name": "Lesotho",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.06776,
				"4": 0.011088,
				"5": 0.004928,
				"6": null,
				"7": 0.00616,
				"8": 0.004928,
				"9": null,
				"10": 0.003696,
				"11": 0.003696,
				"12": 0.007392,
				"13": null,
				"14": null,
				"15": 0.004928,
				"16": 0.004928,
				"17": null,
				"18": null,
				"19": 0.014784,
				"20": 0.004928,
				"21": 0.028336,
				"22": 0.007392,
				"23": 0.00616,
				"24": null,
				"25": 0.01232,
				"26": null,
				"27": 0.002464,
				"28": 0.002464,
				"29": 0.039424,
				"30": 0.013552,
				"31": 0.003696,
				"32": 0.014784,
				"33": 0.003696,
				"34": 0.008624,
				"35": 0.009856,
				"36": 0.009856,
				"37": 0.054208,
				"38": 0.013552,
				"39": 0.121968,
				"40": 0.01232,
				"41": 0.016016,
				"42": 0.032032,
				"43": 0.057904,
				"44": 0.048048,
				"45": 0.064064,
				"46": 0.027104,
				"47": 0.291984,
				"48": 0.115808,
				"49": 0.729344,
				"50": 0.44352,
				"51": 0.051744,
				"52": null,
				"53": null,
				"3.5": 0.001232,
				"3.6": 0.013552
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.00616,
				"12": 0.001232,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.003696,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.00616,
				"21": 0.028336,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.040656,
				"27": 0.004928,
				"28": 0.003696,
				"29": 0.001232,
				"30": 0.001232,
				"31": 0.016016,
				"32": 0.004928,
				"33": 0.011088,
				"34": 0.008624,
				"35": 0.013552,
				"36": 0.033264,
				"37": 0.003696,
				"38": 0.002464,
				"39": 0.038192,
				"40": 0.040656,
				"41": 0.019712,
				"42": 0.004928,
				"43": 0.089936,
				"44": 0.004928,
				"45": 0.028336,
				"46": 0.048048,
				"47": 0.017248,
				"48": 0.01848,
				"49": 0.128128,
				"50": 0.025872,
				"51": 0.149072,
				"52": 0.078848,
				"53": 0.186032,
				"54": 3.894352,
				"55": 0.002464,
				"56": 0.007392,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.002464,
				"12": 0.003696,
				"15": null,
				"16": null,
				"17": 0.007392,
				"18": 0.001232,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": 0.105952,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.00616,
				"28": 0.017248,
				"29": 0.001232,
				"30": 0.004928,
				"31": 0.001232,
				"32": 0.002464,
				"33": 0.002464,
				"34": 0.00616,
				"35": 0.013552,
				"36": 0.01232,
				"37": 0.033264,
				"38": 0.009856,
				"39": 0.004928,
				"40": 0.034496,
				"41": 0.248864,
				"42": 0.001232,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.003696,
				"11.6": 0.003696,
				"12.1": 0.008624
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.014784,
				"6": 0.014784,
				"7": 0.002464,
				"8": 0.002464,
				"9": 0.002464,
				"10": 0.041888,
				"3.1": null,
				"3.2": null,
				"5.1": 0.017248,
				"6.1": null,
				"7.1": 0.02464,
				"9.1": 0.039424
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0124247572634,
				"8.1-8.4": 0.0160486447985,
				"9.0-9.2": 0.012367235239,
				"9.3": 0.0809910103093,
				"10-10.1": 0.43055235239
			},
			"android": {
				"3": 0,
				"4": 0.0505258891821,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00582991029024,
				"4.1": 0.160322532982,
				"4.2-4.3": 0.457647957784,
				"4.4": 1.07853340369,
				"4.4.3-4.4.4": 0.824932306069
			},
			"op_mob": {
				"0": 4.06455459026,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.112904294174
			},
			"ie": {
				"6": 0.008624,
				"7": 0.004928,
				"8": 0.362208,
				"9": 0.142912,
				"10": 0.139216,
				"11": 1.36752,
				"5.5": null
			},
			"edge": {
				"12": 0.088704,
				"13": 0.29568,
				"14": 0.174944
			},
			"bb": {
				"7": 0.26304,
				"10": null
			},
			"ie_mob": {
				"10": 0.341040128,
				"11": 1.596687872
			},
			"and_ff": {
				"0": 0.017536
			},
			"samsung": {
				"0": 1.569472
			},
			"and_uc": {
				"0": 6.497088
			},
			"op_mini": {
				"0": 54.7610371156
			},
			"and_chr": {
				"0": 14.47704
			}
		},
		"total": 97.482448
	};

/***/ },
/* 566 */
/***/ function(module, exports) {

	module.exports = {
		"id": "LT",
		"name": "Lithuania",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.016924,
				"3": 0.04231,
				"4": 0.008462,
				"5": 0.008462,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.016924,
				"11": 0.025386,
				"12": null,
				"13": null,
				"14": 0.008462,
				"15": null,
				"16": 0.008462,
				"17": null,
				"18": null,
				"19": 0.008462,
				"20": 0.008462,
				"21": 0.016924,
				"22": null,
				"23": null,
				"24": 0.008462,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.008462,
				"31": 0.025386,
				"32": null,
				"33": 0.008462,
				"34": 0.016924,
				"35": 0.033848,
				"36": 0.025386,
				"37": 0.04231,
				"38": 0.321556,
				"39": 0.025386,
				"40": 0.025386,
				"41": 0.050772,
				"42": 0.033848,
				"43": 0.871586,
				"44": 0.050772,
				"45": 0.727732,
				"46": 0.8462,
				"47": 3.604812,
				"48": 1.040826,
				"49": 6.794986,
				"50": 4.070222,
				"51": 0.050772,
				"52": null,
				"53": null,
				"3.5": 0.076158,
				"3.6": 0.135392
			},
			"chrome": {
				"4": 0.016924,
				"5": 0.008462,
				"6": 0.008462,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.016924,
				"11": 0.025386,
				"12": 0.016924,
				"13": null,
				"14": 0.016924,
				"15": 0.016924,
				"16": 0.025386,
				"17": 0.016924,
				"18": 0.067696,
				"19": 0.016924,
				"20": 0.016924,
				"21": 0.033848,
				"22": 0.033848,
				"23": 0.025386,
				"24": 0.016924,
				"25": 0.016924,
				"26": 0.04231,
				"27": 0.025386,
				"28": 0.025386,
				"29": 0.008462,
				"30": 0.025386,
				"31": 0.033848,
				"32": 0.025386,
				"33": 0.025386,
				"34": 0.04231,
				"35": 0.033848,
				"36": 0.033848,
				"37": 0.033848,
				"38": 0.04231,
				"39": 0.135392,
				"40": 0.033848,
				"41": 0.033848,
				"42": 0.050772,
				"43": 0.922358,
				"44": 0.04231,
				"45": 0.025386,
				"46": 0.033848,
				"47": 0.050772,
				"48": 0.093082,
				"49": 2.293202,
				"50": 1.31161,
				"51": 9.130498,
				"52": 0.21155,
				"53": 0.939282,
				"54": 30.59013,
				"55": 0.08462,
				"56": 0.067696,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.059234,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.008462,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.04231,
				"28": 0.016924,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.008462,
				"36": 0.12693,
				"37": 0.033848,
				"38": 1.81933,
				"39": 0.016924,
				"40": 0.093082,
				"41": 2.28474,
				"42": 0.016924,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.016924,
				"11.1": null,
				"11.5": 0.016924,
				"11.6": 0.050772,
				"12.1": 0.287708
			},
			"safari": {
				"0": null,
				"4": 0.033848,
				"5": 0.059234,
				"6": null,
				"7": 0.016924,
				"8": 0.067696,
				"9": 0.110006,
				"10": 1.125446,
				"3.1": null,
				"3.2": null,
				"5.1": 0.050772,
				"6.1": 0.04231,
				"7.1": null,
				"9.1": 0.583878
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0619235988754,
				"8.1-8.4": 0.0799846485473,
				"9.0-9.2": 0.0616369155472,
				"9.3": 0.403650126002,
				"10-10.1": 2.14582471103
			},
			"android": {
				"3": 0,
				"4": 0.015404348285,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00177742480211,
				"4.1": 0.048879182058,
				"4.2-4.3": 0.139527846966,
				"4.4": 0.328823588391,
				"4.4.3-4.4.4": 0.251505609499
			},
			"op_mob": {
				"0": 0.0231220715446,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000642279765127
			},
			"ie": {
				"6": 0.00855170318021,
				"7": 0.00855170318021,
				"8": 0.256551095406,
				"9": 0.153930657244,
				"10": 0.230895985866,
				"11": 4.18178285512,
				"5.5": null
			},
			"edge": {
				"12": 0.050772,
				"13": 0.736194,
				"14": 1.286224
			},
			"bb": {
				"7": 0.0042295,
				"10": null
			},
			"ie_mob": {
				"10": 0.053596224,
				"11": 0.250927776
			},
			"and_ff": {
				"0": 0.019994
			},
			"samsung": {
				"0": 2.277778
			},
			"and_uc": {
				"0": 0.073824
			},
			"op_mini": {
				"0": 0.31151964869
			},
			"and_chr": {
				"0": 9.017426
			}
		},
		"total": 95.3855815
	};

/***/ },
/* 567 */
/***/ function(module, exports) {

	module.exports = {
		"id": "LU",
		"name": "Luxembourg",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.020262,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.020262,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.027016,
				"17": null,
				"18": 0.006754,
				"19": null,
				"20": null,
				"21": 0.020262,
				"22": null,
				"23": null,
				"24": 0.03377,
				"25": 0.013508,
				"26": null,
				"27": null,
				"28": 0.006754,
				"29": 0.013508,
				"30": 0.03377,
				"31": 0.10131,
				"32": 0.047278,
				"33": 0.027016,
				"34": 0.020262,
				"35": 0.020262,
				"36": 0.027016,
				"37": 0.027016,
				"38": 0.43901,
				"39": 0.054032,
				"40": 0.047278,
				"41": 0.027016,
				"42": 0.087802,
				"43": 0.141834,
				"44": 0.054032,
				"45": 0.715924,
				"46": 0.128326,
				"47": 0.60786,
				"48": 0.655138,
				"49": 7.071438,
				"50": 3.876796,
				"51": 0.027016,
				"52": 0.006754,
				"53": null,
				"3.5": null,
				"3.6": 0.013508
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.006754,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.013508,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.006754,
				"30": null,
				"31": 0.027016,
				"32": 0.020262,
				"33": null,
				"34": 0.013508,
				"35": 0.006754,
				"36": 0.013508,
				"37": 0.013508,
				"38": 0.03377,
				"39": 0.020262,
				"40": 0.013508,
				"41": 0.013508,
				"42": 0.020262,
				"43": 0.20262,
				"44": 0.03377,
				"45": 0.10131,
				"46": 0.040524,
				"47": 0.094556,
				"48": 0.344454,
				"49": 1.006346,
				"50": 0.148588,
				"51": 0.884774,
				"52": 0.411994,
				"53": 1.08064,
				"54": 19.410996,
				"55": 0.06754,
				"56": 0.03377,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.013508,
				"37": null,
				"38": 0.114818,
				"39": 0.020262,
				"40": 0.006754,
				"41": 0.526812,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.060786
			},
			"safari": {
				"0": null,
				"4": 0.054032,
				"5": 0.06754,
				"6": 0.020262,
				"7": 1.0131,
				"8": 0.256652,
				"9": 0.384978,
				"10": 4.342822,
				"3.1": null,
				"3.2": null,
				"5.1": 0.297176,
				"6.1": 0.209374,
				"7.1": 0.013508,
				"9.1": 1.78981
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.353416082474,
				"8.1-8.4": 0.456495773196,
				"9.0-9.2": 0.351779896907,
				"9.3": 2.30374927835,
				"10-10.1": 12.2468489691
			},
			"android": {
				"3": 0,
				"4": 0.0169185224274,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00195213720317,
				"4.1": 0.0536837730871,
				"4.2-4.3": 0.153242770449,
				"4.4": 0.361145382586,
				"4.4.3-4.4.4": 0.276227414248
			},
			"op_mob": {
				"0": 0.0270778378378,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000752162162162
			},
			"ie": {
				"6": 0.786528642234,
				"7": 0.0689937405468,
				"8": 2.91843522513,
				"9": 0.317371206515,
				"10": 0.407063069226,
				"11": 7.36163211635,
				"5.5": null
			},
			"edge": {
				"12": 0.081048,
				"13": 0.364716,
				"14": 2.53275
			},
			"bb": {
				"7": 0.01054625,
				"10": null
			},
			"ie_mob": {
				"10": 0.04054952,
				"11": 0.18984548
			},
			"and_ff": {
				"0": 0.061655
			},
			"samsung": {
				"0": 4.299625
			},
			"and_uc": {
				"0": 0.366685
			},
			"op_mini": {
				"0": 0.364815
			},
			"and_chr": {
				"0": 10.575147
			}
		},
		"total": 95.04744425
	};

/***/ },
/* 568 */
/***/ function(module, exports) {

	module.exports = {
		"id": "LV",
		"name": "Latvia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.08309,
				"4": 0.024927,
				"5": 0.041545,
				"6": 0.008309,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.008309,
				"11": 0.008309,
				"12": 0.016618,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.033236,
				"17": 0.016618,
				"18": null,
				"19": 0.016618,
				"20": 0.008309,
				"21": 0.016618,
				"22": 0.008309,
				"23": 0.008309,
				"24": 0.024927,
				"25": 0.016618,
				"26": null,
				"27": 0.008309,
				"28": 0.024927,
				"29": null,
				"30": null,
				"31": 0.024927,
				"32": 0.008309,
				"33": 0.016618,
				"34": 0.016618,
				"35": 0.033236,
				"36": 0.016618,
				"37": 0.033236,
				"38": 0.108017,
				"39": 0.033236,
				"40": 0.058163,
				"41": 0.041545,
				"42": 0.058163,
				"43": 0.149562,
				"44": 0.149562,
				"45": 0.33236,
				"46": 0.182798,
				"47": 0.58163,
				"48": 0.373905,
				"49": 7.220521,
				"50": 4.370534,
				"51": 0.041545,
				"52": null,
				"53": null,
				"3.5": 0.091399,
				"3.6": 0.182798
			},
			"chrome": {
				"4": 0.033236,
				"5": 0.033236,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.024927,
				"10": 0.016618,
				"11": 0.024927,
				"12": 0.008309,
				"13": 0.016618,
				"14": 0.008309,
				"15": 0.033236,
				"16": 0.033236,
				"17": 0.024927,
				"18": 0.033236,
				"19": 0.016618,
				"20": 0.016618,
				"21": 0.024927,
				"22": 0.049854,
				"23": 0.033236,
				"24": 0.016618,
				"25": 0.024927,
				"26": 0.033236,
				"27": 0.016618,
				"28": 0.016618,
				"29": 0.008309,
				"30": 0.016618,
				"31": 0.074781,
				"32": 0.016618,
				"33": 0.016618,
				"34": 0.024927,
				"35": 0.016618,
				"36": 0.016618,
				"37": 0.016618,
				"38": 0.041545,
				"39": 0.074781,
				"40": 0.058163,
				"41": 0.041545,
				"42": 0.033236,
				"43": 0.157871,
				"44": 0.058163,
				"45": 0.049854,
				"46": 0.033236,
				"47": 0.099708,
				"48": 0.216034,
				"49": 2.019087,
				"50": 0.224343,
				"51": 0.847518,
				"52": 0.307433,
				"53": 0.789355,
				"54": 37.97213,
				"55": 0.124635,
				"56": 0.149562,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.016618,
				"12": 0.099708,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.008309,
				"23": null,
				"24": 0.016618,
				"25": null,
				"26": null,
				"27": 0.024927,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.116326,
				"37": 0.041545,
				"38": 0.16618,
				"39": 0.024927,
				"40": 0.074781,
				"41": 1.778126,
				"42": 0.008309,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0.008309,
				"10.5": 0.016618,
				"10.6": 0.041545,
				"11.1": 0.008309,
				"11.5": 0.008309,
				"11.6": 0.091399,
				"12.1": 0.398832
			},
			"safari": {
				"0": null,
				"4": 0.049854,
				"5": 0.099708,
				"6": 0.008309,
				"7": 0.024927,
				"8": 0.191107,
				"9": 0.141253,
				"10": 1.695036,
				"3.1": null,
				"3.2": 0.008309,
				"5.1": 0.08309,
				"6.1": 0.041545,
				"7.1": null,
				"9.1": 0.589939
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0882045885661,
				"8.1-8.4": 0.113930926898,
				"9.0-9.2": 0.0877962339894,
				"9.3": 0.574963243986,
				"10-10.1": 3.05653400656
			},
			"android": {
				"3": 0,
				"4": 0.0152132634753,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00175537655484,
				"4.1": 0.0482728552582,
				"4.2-4.3": 0.137797059555,
				"4.4": 0.324744662646,
				"4.4.3-4.4.4": 0.24838578251
			},
			"op_mob": {
				"0": 0.0183086857952,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000508574605422
			},
			"ie": {
				"6": 0.0169824298246,
				"7": 0.0169824298246,
				"8": 0.467016820175,
				"9": 0.169824298246,
				"10": 0.195297942982,
				"11": 3.00589007895,
				"5.5": null
			},
			"edge": {
				"12": 0.066472,
				"13": 0.324051,
				"14": 1.379294
			},
			"bb": {
				"7": 0.00295925,
				"10": null
			},
			"ie_mob": {
				"10": 0.064285056,
				"11": 0.300970944
			},
			"and_ff": {
				"0": 0.023674
			},
			"samsung": {
				"0": 2.301451
			},
			"and_uc": {
				"0": 0.123443
			},
			"op_mini": {
				"0": 0.246669739599
			},
			"and_chr": {
				"0": 9.567835
			}
		},
		"total": 87.41750025
	};

/***/ },
/* 569 */
/***/ function(module, exports) {

	module.exports = {
		"id": "LY",
		"name": "Libya",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.02233,
				"3": 0.02233,
				"4": 0.00957,
				"5": 0.00638,
				"6": 0.01595,
				"7": 0.01276,
				"8": 0.00957,
				"9": 0.02233,
				"10": 0.01276,
				"11": 0.00957,
				"12": 0.07975,
				"13": 0.00957,
				"14": null,
				"15": 0.01914,
				"16": 0.00957,
				"17": null,
				"18": 0.00638,
				"19": 0.00638,
				"20": 0.00957,
				"21": 0.00957,
				"22": 0.00638,
				"23": 0.01276,
				"24": 0.00957,
				"25": 0.02552,
				"26": 0.00638,
				"27": 0.01595,
				"28": 0.02552,
				"29": 0.11484,
				"30": 0.00957,
				"31": 0.01914,
				"32": 0.0319,
				"33": 0.01914,
				"34": 0.01595,
				"35": 0.33495,
				"36": 0.02871,
				"37": 0.01914,
				"38": 0.05742,
				"39": 0.02552,
				"40": 0.0319,
				"41": 0.02552,
				"42": 0.02552,
				"43": 0.33814,
				"44": 0.10846,
				"45": 0.05104,
				"46": 0.10846,
				"47": 0.55506,
				"48": 0.16269,
				"49": 1.95228,
				"50": 1.23453,
				"51": 0.06061,
				"52": null,
				"53": null,
				"3.5": 0.01276,
				"3.6": 0.03509
			},
			"chrome": {
				"4": 0.01276,
				"5": 0.01276,
				"6": 0.01276,
				"7": 0.01276,
				"8": 0.03828,
				"9": 0.01276,
				"10": 0.00638,
				"11": 0.02233,
				"12": 0.01914,
				"13": 0.0319,
				"14": 0.0319,
				"15": 0.29986,
				"16": 0.02871,
				"17": 0.06699,
				"18": 0.00638,
				"19": 0.02233,
				"20": 0.00957,
				"21": 0.00957,
				"22": 0.01595,
				"23": 0.02552,
				"24": 0.02552,
				"25": 0.0319,
				"26": 0.02233,
				"27": 0.03828,
				"28": 0.01595,
				"29": 0.02552,
				"30": 0.02233,
				"31": 0.06699,
				"32": 0.04147,
				"33": 0.17864,
				"34": 0.01914,
				"35": 0.01595,
				"36": 0.02552,
				"37": 0.01276,
				"38": 0.07975,
				"39": 0.09889,
				"40": 0.06061,
				"41": 0.04147,
				"42": 0.02871,
				"43": 0.70818,
				"44": 0.05742,
				"45": 0.07018,
				"46": 0.0319,
				"47": 0.18183,
				"48": 0.07018,
				"49": 0.56782,
				"50": 0.10208,
				"51": 0.91553,
				"52": 0.3509,
				"53": 0.62205,
				"54": 15.44279,
				"55": 0.02871,
				"56": 0.06699,
				"57": 0.00638
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.00638,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.00319,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.00638,
				"30": null,
				"31": null,
				"32": 0.00319,
				"33": 0.02233,
				"34": 0.00957,
				"35": 0.00957,
				"36": 0.01914,
				"37": 0.06061,
				"38": 0.04466,
				"39": 0.01914,
				"40": 0.05104,
				"41": 0.88682,
				"42": 0.03828,
				"43": 0.04147,
				"9.5-9.6": null,
				"10.0-10.1": 0.00638,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.00319,
				"11.6": 0.00957,
				"12.1": 0.04466
			},
			"safari": {
				"0": null,
				"4": 0.02871,
				"5": null,
				"6": null,
				"7": 0.00638,
				"8": 0.03509,
				"9": 0.04785,
				"10": 0.13398,
				"3.1": null,
				"3.2": null,
				"5.1": 0.02233,
				"6.1": null,
				"7.1": null,
				"9.1": 0.05423
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.101096907216,
				"8.1-8.4": 0.130583505155,
				"9.0-9.2": 0.100628865979,
				"9.3": 0.659002061856,
				"10-10.1": 3.50328865979
			},
			"android": {
				"3": 0,
				"4": 0.19114204297,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0220548511119,
				"4.1": 0.606508405579,
				"4.2-4.3": 1.73130581229,
				"4.4": 4.08014745571,
				"4.4.3-4.4.4": 3.12076143234
			},
			"op_mob": {
				"0": 1.63808902178,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0455024728272
			},
			"ie": {
				"6": 0.00640953703704,
				"7": null,
				"8": 0.445462824074,
				"9": 0.221129027778,
				"10": 0.153828888889,
				"11": 1.24345018519,
				"5.5": 0.00320476851852
			},
			"edge": {
				"12": 0.04147,
				"13": 0.14993,
				"14": 0.16907
			},
			"bb": {
				"7": 0.0017025,
				"10": null
			},
			"ie_mob": {
				"10": 0.01318416,
				"11": 0.06172584
			},
			"and_ff": {
				"0": 0.03405
			},
			"samsung": {
				"0": 2.40393
			},
			"and_uc": {
				"0": 2.30178
			},
			"op_mini": {
				"0": 22.0696885054
			},
			"and_chr": {
				"0": 24.48106
			}
		},
		"total": 97.8925077315
	};

/***/ },
/* 570 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MA",
		"name": "Morocco",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.047328,
				"4": 0.011832,
				"5": 0.005916,
				"6": null,
				"7": 0.011832,
				"8": null,
				"9": 0.005916,
				"10": 0.017748,
				"11": 0.017748,
				"12": 0.035496,
				"13": 0.005916,
				"14": 0.011832,
				"15": 0.017748,
				"16": 0.02958,
				"17": 0.017748,
				"18": 0.023664,
				"19": 0.017748,
				"20": 0.023664,
				"21": 0.017748,
				"22": 0.011832,
				"23": 0.017748,
				"24": 0.011832,
				"25": 0.017748,
				"26": 0.02958,
				"27": 0.017748,
				"28": 0.011832,
				"29": 0.02958,
				"30": 0.041412,
				"31": 0.041412,
				"32": 0.041412,
				"33": 0.053244,
				"34": 0.047328,
				"35": 0.053244,
				"36": 0.05916,
				"37": 0.070992,
				"38": 0.112404,
				"39": 0.070992,
				"40": 0.076908,
				"41": 0.065076,
				"42": 0.082824,
				"43": 0.53244,
				"44": 0.100572,
				"45": 0.195228,
				"46": 0.17748,
				"47": 0.987972,
				"48": 0.567936,
				"49": 4.425168,
				"50": 2.206668,
				"51": 0.047328,
				"52": null,
				"53": null,
				"3.5": 0.011832,
				"3.6": 0.076908
			},
			"chrome": {
				"4": 0.011832,
				"5": 0.011832,
				"6": 0.023664,
				"7": 0.017748,
				"8": 0.017748,
				"9": null,
				"10": 0.011832,
				"11": 0.035496,
				"12": 0.02958,
				"13": 0.011832,
				"14": 0.011832,
				"15": null,
				"16": 0.017748,
				"17": 0.02958,
				"18": 0.005916,
				"19": 0.023664,
				"20": 0.005916,
				"21": 0.035496,
				"22": 0.076908,
				"23": 0.023664,
				"24": 0.017748,
				"25": 0.02958,
				"26": 0.065076,
				"27": 0.053244,
				"28": 0.047328,
				"29": 0.047328,
				"30": 0.05916,
				"31": 0.070992,
				"32": 0.047328,
				"33": 0.106488,
				"34": 0.047328,
				"35": 0.047328,
				"36": 0.041412,
				"37": 0.053244,
				"38": 0.08874,
				"39": 0.195228,
				"40": 0.136068,
				"41": 0.076908,
				"42": 0.05916,
				"43": 0.869652,
				"44": 0.130152,
				"45": 0.124236,
				"46": 0.183396,
				"47": 0.230724,
				"48": 0.2958,
				"49": 5.282988,
				"50": 0.283968,
				"51": 1.59732,
				"52": 0.698088,
				"53": 1.15362,
				"54": 27.0657,
				"55": 0.159732,
				"56": 0.041412,
				"57": 0.011832
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.02958,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.005916,
				"35": 0.011832,
				"36": 0.153816,
				"37": 0.017748,
				"38": 0.171564,
				"39": 0.02958,
				"40": 0.047328,
				"41": 1.070796,
				"42": 0.005916,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.005916,
				"12.1": 0.017748
			},
			"safari": {
				"0": null,
				"4": 0.023664,
				"5": 0.035496,
				"6": 0.02958,
				"7": 0.02958,
				"8": 0.165648,
				"9": 0.11832,
				"10": 0.437784,
				"3.1": null,
				"3.2": null,
				"5.1": 0.047328,
				"6.1": 0.035496,
				"7.1": 0.005916,
				"9.1": 0.307632
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0683280674789,
				"8.1-8.4": 0.0882570871603,
				"9.0-9.2": 0.0680117338332,
				"9.3": 0.445397773196,
				"10-10.1": 2.36775733833
			},
			"android": {
				"3": 0,
				"4": 0.138529587637,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0159841831888,
				"4.1": 0.439565037693,
				"4.2-4.3": 1.25475838032,
				"4.4": 2.95707388994,
				"4.4.3-4.4.4": 2.26176192122
			},
			"op_mob": {
				"0": 0.217938647899,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00605385133053
			},
			"ie": {
				"6": 0.03944,
				"7": 0.0460133333333,
				"8": 0.617893333333,
				"9": 0.341813333333,
				"10": 0.203773333333,
				"11": 1.34753333333,
				"5.5": null
			},
			"edge": {
				"12": 0.053244,
				"13": 0.141984,
				"14": 0.242556
			},
			"bb": {
				"7": 0.0306225,
				"10": null
			},
			"ie_mob": {
				"10": 0.151626288,
				"11": 0.709886712
			},
			"and_ff": {
				"0": 0.024498
			},
			"samsung": {
				"0": 5.352813
			},
			"and_uc": {
				"0": 0.412383
			},
			"op_mini": {
				"0": 2.93624950077
			},
			"and_chr": {
				"0": 21.236481
			}
		},
		"total": 97.4563121667
	};

/***/ },
/* 571 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MC",
		"name": "Monaco",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": 0.069759,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.015502,
				"26": null,
				"27": 0.007751,
				"28": null,
				"29": null,
				"30": 0.007751,
				"31": null,
				"32": null,
				"33": 0.023253,
				"34": null,
				"35": 0.023253,
				"36": 0.007751,
				"37": 0.015502,
				"38": 0.108514,
				"39": null,
				"40": 0.062008,
				"41": 0.031004,
				"42": null,
				"43": 0.046506,
				"44": 0.015502,
				"45": 0.062008,
				"46": 0.031004,
				"47": 0.356546,
				"48": 0.46506,
				"49": 7.28594,
				"50": 3.573211,
				"51": 0.015502,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.162771,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.069759,
				"30": null,
				"31": null,
				"32": 0.007751,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.023253,
				"38": null,
				"39": 0.038755,
				"40": null,
				"41": 0.015502,
				"42": 0.007751,
				"43": 0.015502,
				"44": null,
				"45": 0.015502,
				"46": 0.031004,
				"47": 0.658835,
				"48": 0.139518,
				"49": 1.209156,
				"50": 0.131767,
				"51": 0.093012,
				"52": 0.395301,
				"53": 0.93012,
				"54": 30.290908,
				"55": 0.356546,
				"56": 0.069759,
				"57": 0.007751
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.023253,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.007751,
				"38": null,
				"39": null,
				"40": 0.007751,
				"41": 0.271285,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.124016,
				"6": 0.147269,
				"7": 0.046506,
				"8": 0.798353,
				"9": 1.325421,
				"10": 9.029915,
				"3.1": null,
				"3.2": null,
				"5.1": 0.604578,
				"6.1": 0.829357,
				"7.1": 0.007751,
				"9.1": 4.239797
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.308477645736,
				"8.1-8.4": 0.398450292409,
				"9.0-9.2": 0.307049508487,
				"9.3": 2.01081724628,
				"10-10.1": 10.6896073071
			},
			"android": {
				"3": 0,
				"4": 0.00440814172635,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.000508631737655,
				"4.1": 0.0139873727855,
				"4.2-4.3": 0.039927591406,
				"4.4": 0.0940968714663,
				"4.4.3-4.4.4": 0.0719713908783
			},
			"op_mob": {
				"0": 0.00232645483696,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0000646237454712
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.147269,
				"9": 0.488313,
				"10": 0.271285,
				"11": 8.634614,
				"5.5": null
			},
			"edge": {
				"12": 0.054257,
				"13": 0.263534,
				"14": 2.193533
			},
			"bb": {
				"7": 0.01180725,
				"10": null
			},
			"ie_mob": {
				"10": 0.024936912,
				"11": 0.116750088
			},
			"and_ff": {
				"0": 0.11245
			},
			"samsung": {
				"0": 2.334462
			},
			"and_uc": {
				"0": 0.042731
			},
			"op_mini": {
				"0": 0.0313439214176
			},
			"and_chr": {
				"0": 5.936436
			}
		},
		"total": 98.96196825
	};

/***/ },
/* 572 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MD",
		"name": "Moldova",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.20665,
				"3": 0.53729,
				"4": 0.132256,
				"5": 0.074394,
				"6": 0.033064,
				"7": 0.024798,
				"8": 0.024798,
				"9": 0.04133,
				"10": 0.066128,
				"11": 0.099192,
				"12": 0.057862,
				"13": 0.049596,
				"14": 0.090926,
				"15": 0.099192,
				"16": 0.04133,
				"17": 0.074394,
				"18": 0.016532,
				"19": 0.12399,
				"20": 0.12399,
				"21": 0.08266,
				"22": 0.033064,
				"23": 0.057862,
				"24": 0.074394,
				"25": 0.074394,
				"26": 0.033064,
				"27": 0.016532,
				"28": 0.049596,
				"29": 0.016532,
				"30": 0.016532,
				"31": 0.066128,
				"32": 0.090926,
				"33": 0.057862,
				"34": 0.066128,
				"35": 0.140522,
				"36": 0.132256,
				"37": 0.04133,
				"38": 0.08266,
				"39": 0.04133,
				"40": 0.024798,
				"41": null,
				"42": 0.016532,
				"43": 0.12399,
				"44": 0.024798,
				"45": 0.099192,
				"46": 0.08266,
				"47": 0.363704,
				"48": 0.198384,
				"49": 2.306214,
				"50": 1.496146,
				"51": 0.008266,
				"52": null,
				"53": null,
				"3.5": 0.975388,
				"3.6": 2.843504
			},
			"chrome": {
				"4": 0.231448,
				"5": 0.090926,
				"6": 0.115724,
				"7": 0.16532,
				"8": 0.049596,
				"9": 0.090926,
				"10": 0.08266,
				"11": 0.132256,
				"12": 0.20665,
				"13": 0.090926,
				"14": 0.223182,
				"15": 0.214916,
				"16": 0.239714,
				"17": 0.264512,
				"18": 0.297576,
				"19": 0.24798,
				"20": 0.297576,
				"21": 0.380236,
				"22": 0.297576,
				"23": 0.281044,
				"24": 0.37197,
				"25": 0.256246,
				"26": 0.214916,
				"27": 0.264512,
				"28": 0.140522,
				"29": 0.099192,
				"30": 0.033064,
				"31": 0.04133,
				"32": 0.057862,
				"33": 0.090926,
				"34": 0.107458,
				"35": 0.24798,
				"36": 0.08266,
				"37": 0.066128,
				"38": 0.148788,
				"39": 0.305842,
				"40": 0.37197,
				"41": 0.239714,
				"42": 0.256246,
				"43": 0.256246,
				"44": 0.049596,
				"45": 0.074394,
				"46": 0.066128,
				"47": 0.16532,
				"48": 0.264512,
				"49": 2.52113,
				"50": 0.231448,
				"51": 0.884462,
				"52": 0.429832,
				"53": 0.917526,
				"54": 33.824472,
				"55": 0.12399,
				"56": 0.115724,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.132256,
				"12": 1.173772,
				"15": 0.04133,
				"16": 0.049596,
				"17": 0.074394,
				"18": 0.074394,
				"19": 0.049596,
				"20": 0.12399,
				"21": 0.08266,
				"22": 0.04133,
				"23": 0.04133,
				"24": 0.066128,
				"25": 0.057862,
				"26": 0.107458,
				"27": 0.562088,
				"28": 0.04133,
				"29": 0.024798,
				"30": null,
				"31": null,
				"32": 0.008266,
				"33": null,
				"34": 0.008266,
				"35": 0.008266,
				"36": 0.115724,
				"37": 0.024798,
				"38": 0.140522,
				"39": 0.016532,
				"40": 0.057862,
				"41": 1.702796,
				"42": 0.016532,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0.157054,
				"10.5": 0.239714,
				"10.6": 0.438098,
				"11.1": 0.148788,
				"11.5": 0.231448,
				"11.6": 0.793536,
				"12.1": 2.595524
			},
			"safari": {
				"0": null,
				"4": 0.388502,
				"5": 0.653014,
				"6": 0.12399,
				"7": 0.057862,
				"8": 0.057862,
				"9": 0.016532,
				"10": 0.49596,
				"3.1": 0.049596,
				"3.2": 0.04133,
				"5.1": 0.4133,
				"6.1": 0.033064,
				"7.1": null,
				"9.1": 0.173586
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0558910290534,
				"8.1-8.4": 0.072192579194,
				"9.0-9.2": 0.0556322742893,
				"9.3": 0.364326707904,
				"10-10.1": 1.93677940956
			},
			"android": {
				"3": 0,
				"4": 0.0285832220128,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0032980640784,
				"4.1": 0.090696762156,
				"4.2-4.3": 0.258898030155,
				"4.4": 0.610141854504,
				"4.4.3-4.4.4": 0.466676067094
			},
			"op_mob": {
				"0": 0.0400597109899,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00111276974972
			},
			"ie": {
				"6": 0.0179225420561,
				"7": 0.0268838130841,
				"8": 1.04846871028,
				"9": 0.474947364486,
				"10": 0.743785495327,
				"11": 1.52341607477,
				"5.5": null
			},
			"edge": {
				"12": 0.024798,
				"13": 0.132256,
				"14": 0.388502
			},
			"bb": {
				"7": 0.00867,
				"10": null
			},
			"ie_mob": {
				"10": 0.100405536,
				"11": 0.470080464
			},
			"and_ff": {
				"0": 0.00867
			},
			"samsung": {
				"0": 1.03173
			},
			"and_uc": {
				"0": 0.20808
			},
			"op_mini": {
				"0": 0.53971751926
			},
			"and_chr": {
				"0": 11.608208
			}
		},
		"total": 93.271376
	};

/***/ },
/* 573 */
/***/ function(module, exports) {

	module.exports = {
		"id": "ME",
		"name": "Montenegro",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": 0.011498,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.011498,
				"11": null,
				"12": 0.022996,
				"13": 0.005749,
				"14": 0.028745,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.017247,
				"19": null,
				"20": null,
				"21": 0.011498,
				"22": 0.011498,
				"23": 0.005749,
				"24": null,
				"25": 0.005749,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.011498,
				"30": null,
				"31": 0.017247,
				"32": null,
				"33": 0.005749,
				"34": 0.022996,
				"35": 0.017247,
				"36": 0.022996,
				"37": 0.028745,
				"38": 0.034494,
				"39": 0.034494,
				"40": 0.028745,
				"41": 0.011498,
				"42": 0.028745,
				"43": 0.120729,
				"44": 0.028745,
				"45": 0.080486,
				"46": 0.05749,
				"47": 0.362187,
				"48": 0.166721,
				"49": 4.300252,
				"50": 2.851504,
				"51": 0.17247,
				"52": 0.011498,
				"53": null,
				"3.5": 0.011498,
				"3.6": 0.040243
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": 0.017247,
				"7": 0.011498,
				"8": 0.028745,
				"9": null,
				"10": 0.05749,
				"11": 0.034494,
				"12": 0.011498,
				"13": null,
				"14": 0.011498,
				"15": null,
				"16": 0.005749,
				"17": null,
				"18": 0.068988,
				"19": null,
				"20": 0.05749,
				"21": null,
				"22": 0.080486,
				"23": 0.005749,
				"24": 0.028745,
				"25": 0.011498,
				"26": 0.074737,
				"27": 0.011498,
				"28": null,
				"29": 0.005749,
				"30": 0.034494,
				"31": 0.160972,
				"32": 0.022996,
				"33": 0.028745,
				"34": 0.063239,
				"35": 0.011498,
				"36": 0.028745,
				"37": 0.022996,
				"38": 0.05749,
				"39": 0.097733,
				"40": 0.149474,
				"41": 0.017247,
				"42": 0.028745,
				"43": 0.109231,
				"44": 0.05749,
				"45": 0.040243,
				"46": 0.040243,
				"47": 0.166721,
				"48": 0.086235,
				"49": 3.846081,
				"50": 0.103482,
				"51": 0.442673,
				"52": 0.212713,
				"53": 0.51741,
				"54": 33.63165,
				"55": 0.132227,
				"56": 0.143725,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.011498,
				"15": null,
				"16": null,
				"17": 0.017247,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.011498,
				"28": 0.034494,
				"29": 0.005749,
				"30": 0.005749,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.005749,
				"35": 0.005749,
				"36": 0.103482,
				"37": 0.034494,
				"38": 0.034494,
				"39": 0.011498,
				"40": 0.028745,
				"41": 1.402756,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.005749,
				"12.1": 0.132227
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.017247,
				"6": null,
				"7": 0.005749,
				"8": 0.017247,
				"9": 0.045992,
				"10": 0.264454,
				"3.1": null,
				"3.2": null,
				"5.1": 0.034494,
				"6.1": 0.017247,
				"7.1": null,
				"9.1": 0.149474
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.135107696345,
				"8.1-8.4": 0.174514107779,
				"9.0-9.2": 0.134482197751,
				"9.3": 0.880702020619,
				"10-10.1": 4.68185697751
			},
			"android": {
				"3": 0,
				"4": 0.0790721251413,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00912370674708,
				"4.1": 0.250901935545,
				"4.2-4.3": 0.716210979646,
				"4.4": 1.68788574821,
				"4.4.3-4.4.4": 1.29100450471
			},
			"op_mob": {
				"0": 0.0979155084329,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00271987523425
			},
			"ie": {
				"6": 0.0116430851735,
				"7": 0.00582154258675,
				"8": 0.349292555205,
				"9": 0.122252394322,
				"10": 0.0873231388013,
				"11": 1.26909628391,
				"5.5": null
			},
			"edge": {
				"12": 0.034494,
				"13": 0.11498,
				"14": 0.396681
			},
			"bb": {
				"7": 0.0106275,
				"10": null
			},
			"ie_mob": {
				"10": 0.081551184,
				"11": 0.381807816
			},
			"and_ff": {
				"0": 0.017004
			},
			"samsung": {
				"0": 4.093713
			},
			"and_uc": {
				"0": 0.119028
			},
			"op_mini": {
				"0": 1.31919861633
			},
			"and_chr": {
				"0": 28.324262
			}
		},
		"total": 98.6615165
	};

/***/ },
/* 574 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MG",
		"name": "Madagascar",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.01631,
				"3": 0.176148,
				"4": 0.019572,
				"5": 0.009786,
				"6": 0.006524,
				"7": null,
				"8": 0.009786,
				"9": 0.009786,
				"10": 0.009786,
				"11": 0.006524,
				"12": 0.03262,
				"13": 0.013048,
				"14": 0.013048,
				"15": 0.026096,
				"16": 0.022834,
				"17": 0.013048,
				"18": 0.013048,
				"19": 0.03262,
				"20": 0.03262,
				"21": 0.019572,
				"22": 0.042406,
				"23": 0.01631,
				"24": 0.013048,
				"25": 0.01631,
				"26": 0.019572,
				"27": 0.061978,
				"28": 0.029358,
				"29": 0.035882,
				"30": 0.08155,
				"31": 0.120694,
				"32": 0.09786,
				"33": 0.042406,
				"34": 0.042406,
				"35": 0.137004,
				"36": 0.061978,
				"37": 0.104384,
				"38": 0.14679,
				"39": 0.133742,
				"40": 0.172886,
				"41": 0.156576,
				"42": 0.120694,
				"43": 0.632828,
				"44": 0.21203,
				"45": 0.1631,
				"46": 0.120694,
				"47": 0.94598,
				"48": 0.45668,
				"49": 5.271392,
				"50": 2.850988,
				"51": 0.075026,
				"52": 0.013048,
				"53": null,
				"3.5": 0.006524,
				"3.6": 0.039144
			},
			"chrome": {
				"4": 0.009786,
				"5": 0.006524,
				"6": 0.006524,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.003262,
				"11": 0.035882,
				"12": 0.003262,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.013048,
				"17": 0.009786,
				"18": 0.003262,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.003262,
				"23": null,
				"24": null,
				"25": 0.006524,
				"26": 0.006524,
				"27": 0.022834,
				"28": 0.003262,
				"29": 0.006524,
				"30": 0.009786,
				"31": 0.013048,
				"32": 0.006524,
				"33": 0.006524,
				"34": 0.009786,
				"35": 0.013048,
				"36": 0.006524,
				"37": 0.003262,
				"38": 0.029358,
				"39": 0.009786,
				"40": 0.013048,
				"41": 0.009786,
				"42": 0.006524,
				"43": 0.104384,
				"44": 0.019572,
				"45": 0.029358,
				"46": 0.01631,
				"47": 0.208768,
				"48": 0.04893,
				"49": 1.210202,
				"50": 0.08155,
				"51": 0.1631,
				"52": 0.133742,
				"53": 0.247912,
				"54": 12.480412,
				"55": 0.035882,
				"56": 0.03262,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.003262,
				"12": 0.003262,
				"15": 0.003262,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.006524,
				"21": 0.003262,
				"22": 0.003262,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.006524,
				"29": 0.006524,
				"30": 0.009786,
				"31": null,
				"32": null,
				"33": 0.006524,
				"34": 0.006524,
				"35": 0.01631,
				"36": 0.078288,
				"37": 0.052192,
				"38": 0.006524,
				"39": 0.009786,
				"40": 0.04893,
				"41": 0.942718,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0.026096,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.009786,
				"12.1": 0.026096
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.013048,
				"6": 0.006524,
				"7": 0.009786,
				"8": 0.084812,
				"9": 0.039144,
				"10": 0.35882,
				"3.1": null,
				"3.2": null,
				"5.1": 0.055454,
				"6.1": 0.013048,
				"7.1": null,
				"9.1": 0.11417
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0171260131209,
				"8.1-8.4": 0.0221211002812,
				"9.0-9.2": 0.0170467260231,
				"9.3": 0.111636233677,
				"10-10.1": 0.593463926898
			},
			"android": {
				"3": 0,
				"4": 0.103144989069,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0119013448926,
				"4.1": 0.327286984546,
				"4.2-4.3": 0.934255574067,
				"4.4": 2.20174880513,
				"4.4.3-4.4.4": 1.6840403023
			},
			"op_mob": {
				"0": 2.94508038413,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0818077884479
			},
			"ie": {
				"6": 0.00659091282051,
				"7": 0.0230681948718,
				"8": 0.115340974359,
				"9": 0.0428409333333,
				"10": 0.0329545641026,
				"11": 0.421818420513,
				"5.5": null
			},
			"edge": {
				"12": 0.061978,
				"13": 0.417536,
				"14": 0.159838
			},
			"bb": {
				"7": 0.0656955,
				"10": null
			},
			"ie_mob": {
				"10": 0.096056928,
				"11": 0.449721072
			},
			"and_ff": {
				"0": 0.451446
			},
			"samsung": {
				"0": 0.525564
			},
			"and_uc": {
				"0": 8.766138
			},
			"op_mini": {
				"0": 39.6785558274
			},
			"and_chr": {
				"0": 5.581672
			}
		},
		"total": 95.9317795
	};

/***/ },
/* 575 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MH",
		"name": "Marshall Islands",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": 0.005713,
				"6": 0.005713,
				"7": null,
				"8": 0.005713,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": 0.011426,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.005713,
				"19": null,
				"20": 0.028565,
				"21": 0.045704,
				"22": 0.011426,
				"23": 0.022852,
				"24": 0.011426,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.017139,
				"29": 0.017139,
				"30": null,
				"31": 0.005713,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.017139,
				"37": 0.05713,
				"38": 0.011426,
				"39": 0.017139,
				"40": 0.045704,
				"41": 0.102834,
				"42": 0.011426,
				"43": 0.034278,
				"44": 0.05713,
				"45": 0.022852,
				"46": 0.017139,
				"47": 0.079982,
				"48": 0.068556,
				"49": 2.713675,
				"50": 1.336842,
				"51": 0.068556,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.034278
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.005713,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.028565,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.017139,
				"28": 0.017139,
				"29": 0.011426,
				"30": null,
				"31": 0.022852,
				"32": 0.017139,
				"33": null,
				"34": 0.028565,
				"35": 0.017139,
				"36": null,
				"37": 0.022852,
				"38": 0.005713,
				"39": 0.034278,
				"40": null,
				"41": 0.125686,
				"42": null,
				"43": 0.102834,
				"44": null,
				"45": 0.011426,
				"46": 0.11426,
				"47": 0.039991,
				"48": 0.028565,
				"49": 1.31399,
				"50": 0.017139,
				"51": 0.451327,
				"52": 0.308502,
				"53": 0.97121,
				"54": 35.13495,
				"55": 0.405623,
				"56": 0.034278,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.017139,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.11426,
				"29": 0.017139,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.017139,
				"35": null,
				"36": 0.017139,
				"37": 0.011426,
				"38": 0.017139,
				"39": null,
				"40": null,
				"41": 2.827935,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.017139
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.085695,
				"6": null,
				"7": 0.028565,
				"8": 0.045704,
				"9": 0.251372,
				"10": 1.691048,
				"3.1": null,
				"3.2": null,
				"5.1": 0.137112,
				"6.1": 0.028565,
				"7.1": 0.05713,
				"9.1": 0.485605
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.317438890347,
				"8.1-8.4": 0.410025233365,
				"9.0-9.2": 0.315969265854,
				"9.3": 2.06923128522,
				"10-10.1": 11.0001393252
			},
			"android": {
				"3": 0,
				"4": 0.0883125231813,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0101899065209,
				"4.1": 0.280222429325,
				"4.2-4.3": 0.799907661892,
				"4.4": 1.88513270637,
				"4.4.3-4.4.4": 1.44187177271
			},
			"op_mob": {
				"0": 0.0348858574939,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000969051597052
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.045704,
				"9": 0.091408,
				"10": 0.125686,
				"11": 1.342555,
				"5.5": null
			},
			"edge": {
				"12": 0.79982,
				"13": 1.251147,
				"14": 1.342555
			},
			"bb": {
				"7": 0.02250675,
				"10": null
			},
			"ie_mob": {
				"10": 0.119212896,
				"11": 0.558133104
			},
			"and_ff": {
				"0": 0.111462
			},
			"samsung": {
				"0": 1.260378
			},
			"and_uc": {
				"0": 1.418997
			},
			"op_mini": {
				"0": 0.470011090909
			},
			"and_chr": {
				"0": 21.314298
			}
		},
		"total": 98.97404975
	};

/***/ },
/* 576 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MK",
		"name": "Macedonia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.020514,
				"3": 0.013676,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.006838,
				"13": 0.082056,
				"14": 0.006838,
				"15": 0.006838,
				"16": 0.006838,
				"17": 0.116246,
				"18": 0.013676,
				"19": null,
				"20": 0.006838,
				"21": 0.006838,
				"22": null,
				"23": 0.006838,
				"24": 0.013676,
				"25": null,
				"26": 0.013676,
				"27": null,
				"28": null,
				"29": 0.041028,
				"30": 0.020514,
				"31": 0.03419,
				"32": null,
				"33": null,
				"34": 0.013676,
				"35": 0.013676,
				"36": 0.006838,
				"37": 0.047866,
				"38": 0.10257,
				"39": 0.027352,
				"40": 0.020514,
				"41": 0.047866,
				"42": 0.027352,
				"43": 0.13676,
				"44": 0.047866,
				"45": 0.10257,
				"46": 0.082056,
				"47": 0.588068,
				"48": 0.335062,
				"49": 5.374668,
				"50": 3.364296,
				"51": 0.047866,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.123084
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.027352,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.013676,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.061542,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.03419,
				"27": 0.006838,
				"28": null,
				"29": 0.020514,
				"30": 0.013676,
				"31": 0.020514,
				"32": 0.020514,
				"33": 0.027352,
				"34": 0.06838,
				"35": 0.027352,
				"36": 0.061542,
				"37": 0.03419,
				"38": 0.06838,
				"39": 0.054704,
				"40": 0.03419,
				"41": 0.013676,
				"42": 0.041028,
				"43": 0.294034,
				"44": 0.06838,
				"45": 0.013676,
				"46": 0.027352,
				"47": 0.232492,
				"48": 0.143598,
				"49": 4.526756,
				"50": 0.116246,
				"51": 1.046214,
				"52": 0.936806,
				"53": 0.99151,
				"54": 40.063842,
				"55": 0.27352,
				"56": 0.109408,
				"57": 0.013676
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.095732,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.013676,
				"29": null,
				"30": 0.020514,
				"31": 0.013676,
				"32": null,
				"33": null,
				"34": 0.013676,
				"35": null,
				"36": 0.211978,
				"37": 0.013676,
				"38": 0.088894,
				"39": 0.013676,
				"40": 0.020514,
				"41": 0.970996,
				"42": 0.006838,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.054704
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": 0.006838,
				"8": 0.020514,
				"9": 0.027352,
				"10": 0.246168,
				"3.1": null,
				"3.2": null,
				"5.1": 0.027352,
				"6.1": 0.013676,
				"7.1": null,
				"9.1": 0.075218
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.110880404873,
				"8.1-8.4": 0.143220522962,
				"9.0-9.2": 0.110367069666,
				"9.3": 0.722775972509,
				"10-10.1": 3.84231402999
			},
			"android": {
				"3": 0,
				"4": 0.0543535047116,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00627155823596,
				"4.1": 0.172467851489,
				"4.2-4.3": 0.492317321523,
				"4.4": 1.16023827365,
				"4.4.3-4.4.4": 0.887425490388
			},
			"op_mob": {
				"0": 0.0200615093491,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000557264148586
			},
			"ie": {
				"6": 0.00709899236641,
				"7": 0.0141979847328,
				"8": 0.404642564885,
				"9": 0.120682870229,
				"10": 0.0922869007634,
				"11": 1.22102668702,
				"5.5": null
			},
			"edge": {
				"12": 0.027352,
				"13": 0.13676,
				"14": 0.58123
			},
			"bb": {
				"7": 0.0118575,
				"10": null
			},
			"ie_mob": {
				"10": 0.08625936,
				"11": 0.40385064
			},
			"and_ff": {
				"0": 0.006324
			},
			"samsung": {
				"0": 1.868742
			},
			"and_uc": {
				"0": 0.113832
			},
			"op_mini": {
				"0": 0.270285226502
			},
			"and_chr": {
				"0": 22.785896
			}
		},
		"total": 98.2654875
	};

/***/ },
/* 577 */
/***/ function(module, exports) {

	module.exports = {
		"id": "ML",
		"name": "Mali",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.650724,
				"4": 0.003084,
				"5": 0.003855,
				"6": null,
				"7": 0.003084,
				"8": 0.005397,
				"9": 0.001542,
				"10": 0.004626,
				"11": 0.009252,
				"12": 0.016191,
				"13": 0.006168,
				"14": 0.00771,
				"15": 0.004626,
				"16": 0.013107,
				"17": 0.011565,
				"18": 0.005397,
				"19": 0.003855,
				"20": 0.00771,
				"21": 0.010794,
				"22": 0.010023,
				"23": 0.003855,
				"24": 0.003084,
				"25": 0.006168,
				"26": 0.002313,
				"27": 0.001542,
				"28": 0.017733,
				"29": 0.004626,
				"30": 0.076329,
				"31": 0.053199,
				"32": 0.003855,
				"33": 0.013107,
				"34": 0.016962,
				"35": 0.006939,
				"36": 0.006168,
				"37": 0.013107,
				"38": 0.037008,
				"39": 0.03855,
				"40": 0.013878,
				"41": 0.009252,
				"42": 0.012336,
				"43": 0.121047,
				"44": 0.023901,
				"45": 0.023901,
				"46": 0.02313,
				"47": 0.170391,
				"48": 0.095604,
				"49": 0.953727,
				"50": 0.474165,
				"51": 0.010023,
				"52": null,
				"53": null,
				"3.5": 0.004626,
				"3.6": 0.005397
			},
			"chrome": {
				"4": null,
				"5": 0.000771,
				"6": 0.001542,
				"7": null,
				"8": 0.001542,
				"9": 0.001542,
				"10": null,
				"11": 0.047802,
				"12": 0.001542,
				"13": null,
				"14": 0.001542,
				"15": null,
				"16": 0.003084,
				"17": 0.001542,
				"18": 0.004626,
				"19": 0.002313,
				"20": 0.001542,
				"21": null,
				"22": 0.016191,
				"23": 0.001542,
				"24": 0.002313,
				"25": 0.016962,
				"26": 0.002313,
				"27": 0.003855,
				"28": 0.002313,
				"29": 0.011565,
				"30": 0.003084,
				"31": 0.00771,
				"32": 0.001542,
				"33": 0.003855,
				"34": 0.013107,
				"35": 0.000771,
				"36": 0.001542,
				"37": null,
				"38": 0.00771,
				"39": 0.00771,
				"40": 0.00771,
				"41": null,
				"42": null,
				"43": 0.040863,
				"44": 0.003084,
				"45": 0.013878,
				"46": 0.001542,
				"47": 0.010023,
				"48": 0.003855,
				"49": 0.168849,
				"50": 0.010023,
				"51": 0.031611,
				"52": 0.024672,
				"53": 0.075558,
				"54": 1.899744,
				"55": 0.005397,
				"56": 0.002313,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": 0.000771,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.000771,
				"27": null,
				"28": null,
				"29": 0.003084,
				"30": null,
				"31": null,
				"32": 0.003855,
				"33": null,
				"34": 0.002313,
				"35": 0.011565,
				"36": 0.005397,
				"37": 0.01542,
				"38": 0.003855,
				"39": 0.005397,
				"40": 0.005397,
				"41": 0.075558,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0.005397,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.003084,
				"12.1": 0.020817
			},
			"safari": {
				"0": null,
				"4": 0.001542,
				"5": 0.003855,
				"6": 0.00771,
				"7": 0.020817,
				"8": 0.080955,
				"9": 0.011565,
				"10": 0.093291,
				"3.1": null,
				"3.2": null,
				"5.1": 0.009252,
				"6.1": 0.004626,
				"7.1": 0.002313,
				"9.1": 0.03855
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0188925210872,
				"8.1-8.4": 0.0244028397376,
				"9.0-9.2": 0.0188050557118,
				"9.3": 0.123151248568,
				"10-10.1": 0.654678334895
			},
			"android": {
				"3": 0,
				"4": 0.116326528458,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0134222917452,
				"4.1": 0.369113022993,
				"4.2-4.3": 1.053649902,
				"4.4": 2.48312397286,
				"4.4.3-4.4.4": 1.89925428194
			},
			"op_mob": {
				"0": 0.886679625203,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.024629989589
			},
			"ie": {
				"6": 0.00387947619048,
				"7": 0.00698305714286,
				"8": 0.116384285714,
				"9": 0.0225009619048,
				"10": 0.0643993047619,
				"11": 0.515970333333,
				"5.5": null
			},
			"edge": {
				"12": 0.027756,
				"13": 0.035466,
				"14": 0.060138
			},
			"bb": {
				"7": 0.0069225,
				"10": null
			},
			"ie_mob": {
				"10": 0.09584432,
				"11": 0.44872568
			},
			"and_ff": {
				"0": 0.26767
			},
			"samsung": {
				"0": 2.24289
			},
			"and_uc": {
				"0": 52.37102
			},
			"op_mini": {
				"0": 11.9460803852
			},
			"and_chr": {
				"0": 15.944393
			}
		},
		"total": 97.797539919
	};

/***/ },
/* 578 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MM",
		"name": "Myanmar",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.031785,
				"3": 0.006357,
				"4": 0.019071,
				"5": 0.014833,
				"6": 0.006357,
				"7": 0.004238,
				"8": 0.008476,
				"9": 0.012714,
				"10": 0.012714,
				"11": 0.036023,
				"12": 0.059332,
				"13": 0.023309,
				"14": 0.016952,
				"15": 0.012714,
				"16": 0.02119,
				"17": 0.006357,
				"18": 0.016952,
				"19": 0.038142,
				"20": 0.014833,
				"21": 0.033904,
				"22": 0.019071,
				"23": 0.04238,
				"24": 0.023309,
				"25": 0.027547,
				"26": 0.067808,
				"27": 0.031785,
				"28": 0.008476,
				"29": 0.108069,
				"30": 0.135616,
				"31": 0.052975,
				"32": 0.033904,
				"33": 0.048737,
				"34": 0.057213,
				"35": 0.095355,
				"36": 0.125021,
				"37": 0.116545,
				"38": 0.112307,
				"39": 0.161044,
				"40": 0.110188,
				"41": 0.135616,
				"42": 0.112307,
				"43": 0.421681,
				"44": 0.506441,
				"45": 0.139854,
				"46": 0.156806,
				"47": 0.735293,
				"48": 0.525512,
				"49": 3.439137,
				"50": 2.400827,
				"51": 0.504322,
				"52": 0.004238,
				"53": 0.002119,
				"3.5": 0.004238,
				"3.6": 0.029666
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": 0.008476,
				"7": null,
				"8": null,
				"9": 0.004238,
				"10": null,
				"11": 0.044499,
				"12": 0.004238,
				"13": null,
				"14": 0.002119,
				"15": null,
				"16": null,
				"17": 0.004238,
				"18": 0.008476,
				"19": null,
				"20": 0.006357,
				"21": null,
				"22": 0.006357,
				"23": 0.002119,
				"24": 0.006357,
				"25": 0.019071,
				"26": 0.004238,
				"27": null,
				"28": 0.008476,
				"29": 0.02119,
				"30": 0.006357,
				"31": 0.108069,
				"32": 0.038142,
				"33": 0.02119,
				"34": 0.006357,
				"35": 0.010595,
				"36": 0.004238,
				"37": 0.002119,
				"38": 0.027547,
				"39": 0.012714,
				"40": 0.006357,
				"41": 0.002119,
				"42": 0.008476,
				"43": 0.072046,
				"44": 0.012714,
				"45": 0.031785,
				"46": 0.025428,
				"47": 0.029666,
				"48": 0.025428,
				"49": 0.103831,
				"50": 0.04238,
				"51": 0.078403,
				"52": 0.082641,
				"53": 0.25428,
				"54": 5.907772,
				"55": 0.036023,
				"56": 0.091117,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.004238,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.006357,
				"35": null,
				"36": 0.002119,
				"37": 0.025428,
				"38": null,
				"39": null,
				"40": 0.004238,
				"41": 0.139854,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.02119,
				"6": 0.002119,
				"7": 0.006357,
				"8": 0.069927,
				"9": 0.101712,
				"10": 0.355992,
				"3.1": null,
				"3.2": null,
				"5.1": 0.010595,
				"6.1": 0.006357,
				"7.1": null,
				"9.1": 0.141973
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0964333045923,
				"8.1-8.4": 0.124559685098,
				"9.0-9.2": 0.0959868541081,
				"9.3": 0.628602281787,
				"10-10.1": 3.34168187441
			},
			"android": {
				"3": 0,
				"4": 0.390348633245,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0450402269129,
				"4.1": 1.23860624011,
				"4.2-4.3": 3.53565781266,
				"4.4": 8.33244197889,
				"4.4.3-4.4.4": 6.37319210818
			},
			"op_mob": {
				"0": 0.316313861325,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00878649614792
			},
			"ie": {
				"6": 0.00214317110266,
				"7": null,
				"8": 0.0964426996198,
				"9": 0.0300043954373,
				"10": 0.0364339087452,
				"11": 0.398629825095,
				"5.5": null
			},
			"edge": {
				"12": 0.04238,
				"13": 0.040261,
				"14": 0.108069
			},
			"bb": {
				"7": 0.00197025,
				"10": null
			},
			"ie_mob": {
				"10": 0.00693528,
				"11": 0.03246972
			},
			"and_ff": {
				"0": 0.252192
			},
			"samsung": {
				"0": 3.672546
			},
			"and_uc": {
				"0": 5.59551
			},
			"op_mini": {
				"0": 4.26164164253
			},
			"and_chr": {
				"0": 41.174124
			}
		},
		"total": 99.26776325
	};

/***/ },
/* 579 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MN",
		"name": "Mongolia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.006717,
				"4": 0.020151,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.006717,
				"9": 0.006717,
				"10": 0.006717,
				"11": 0.033585,
				"12": 0.026868,
				"13": null,
				"14": 0.013434,
				"15": 0.013434,
				"16": 0.033585,
				"17": 0.013434,
				"18": 0.013434,
				"19": null,
				"20": 0.006717,
				"21": 0.040302,
				"22": 0.006717,
				"23": 0.013434,
				"24": 0.026868,
				"25": 0.013434,
				"26": 0.020151,
				"27": 0.026868,
				"28": 0.013434,
				"29": 0.033585,
				"30": 0.040302,
				"31": 0.013434,
				"32": 0.013434,
				"33": 0.020151,
				"34": 0.020151,
				"35": 0.020151,
				"36": 0.013434,
				"37": 0.053736,
				"38": 0.167925,
				"39": 0.040302,
				"40": 0.026868,
				"41": 0.047019,
				"42": 0.114189,
				"43": 0.255246,
				"44": 0.214944,
				"45": 0.208227,
				"46": 0.127623,
				"47": 0.624681,
				"48": 0.376152,
				"49": 5.729601,
				"50": 3.62718,
				"51": 0.235095,
				"52": null,
				"53": null,
				"3.5": 0.033585,
				"3.6": 0.087321
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.040302,
				"12": 0.026868,
				"13": 0.013434,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.040302,
				"19": 0.013434,
				"20": null,
				"21": null,
				"22": 0.047019,
				"23": 0.087321,
				"24": 0.013434,
				"25": 0.053736,
				"26": 0.033585,
				"27": 0.060453,
				"28": 0.033585,
				"29": 0.020151,
				"30": 0.094038,
				"31": 0.026868,
				"32": 0.033585,
				"33": 0.094038,
				"34": 0.033585,
				"35": 0.026868,
				"36": 0.040302,
				"37": 0.013434,
				"38": 0.040302,
				"39": 0.020151,
				"40": 0.026868,
				"41": 0.073887,
				"42": 0.033585,
				"43": 0.221661,
				"44": 0.053736,
				"45": 0.114189,
				"46": 0.080604,
				"47": 0.141057,
				"48": 0.053736,
				"49": 1.390419,
				"50": 0.147774,
				"51": 1.081437,
				"52": 0.725436,
				"53": 1.014267,
				"54": 40.77219,
				"55": 0.228378,
				"56": 0.248529,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.020151,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.053736,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.020151,
				"36": 0.033585,
				"37": null,
				"38": 0.040302,
				"39": 0.013434,
				"40": 0.033585,
				"41": 1.235928,
				"42": 0.006717,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.006717,
				"12.1": 0.020151
			},
			"safari": {
				"0": null,
				"4": 0.006717,
				"5": 0.006717,
				"6": null,
				"7": 0.033585,
				"8": 0.033585,
				"9": 0.073887,
				"10": 0.644832,
				"3.1": null,
				"3.2": null,
				"5.1": 0.020151,
				"6.1": null,
				"7.1": null,
				"9.1": 0.282114
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.151482601687,
				"8.1-8.4": 0.195665027179,
				"9.0-9.2": 0.150781293346,
				"9.3": 0.98744214433,
				"10-10.1": 5.24929293346
			},
			"android": {
				"3": 0,
				"4": 0.221483660761,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0255558070109,
				"4.1": 0.702784692801,
				"4.2-4.3": 2.00613085036,
				"4.4": 4.72782429702,
				"4.4.3-4.4.4": 3.61614669205
			},
			"op_mob": {
				"0": 0.0346293164536,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000961925457044
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.428610309783,
				"9": 0.0653812336957,
				"10": 0.0726458152174,
				"11": 0.770045641304,
				"5.5": null
			},
			"edge": {
				"12": 0.073887,
				"13": 0.154491,
				"14": 0.369435
			},
			"bb": {
				"7": 0.024615,
				"10": null
			},
			"ie_mob": {
				"10": 0.021372384,
				"11": 0.100061616
			},
			"and_ff": {
				"0": 0.04923
			},
			"samsung": {
				"0": 3.492048
			},
			"and_uc": {
				"0": 0.29538
			},
			"op_mini": {
				"0": 0.466554758089
			},
			"and_chr": {
				"0": 11.203737
			}
		},
		"total": 98.065323
	};

/***/ },
/* 580 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MO",
		"name": "Macao",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.011118,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.005559,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.016677,
				"32": 0.011118,
				"33": null,
				"34": null,
				"35": 0.005559,
				"36": null,
				"37": 0.005559,
				"38": 0.038913,
				"39": 0.050031,
				"40": 0.072267,
				"41": null,
				"42": 0.005559,
				"43": 0.05559,
				"44": 0.011118,
				"45": 0.05559,
				"46": 0.050031,
				"47": 0.572577,
				"48": 0.183447,
				"49": 2.679438,
				"50": 0.789378,
				"51": 0.011118,
				"52": null,
				"53": 0.011118,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.050031,
				"12": 0.011118,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.011118,
				"20": null,
				"21": null,
				"22": 0.027795,
				"23": null,
				"24": null,
				"25": 0.033354,
				"26": 0.011118,
				"27": 0.005559,
				"28": 0.011118,
				"29": 0.005559,
				"30": 0.044472,
				"31": 0.038913,
				"32": 0.016677,
				"33": 0.011118,
				"34": 0.016677,
				"35": 0.016677,
				"36": 0.061149,
				"37": 0.022236,
				"38": 0.061149,
				"39": 0.088944,
				"40": 0.077826,
				"41": 0.033354,
				"42": 0.266832,
				"43": 0.150093,
				"44": 0.11118,
				"45": 1.273011,
				"46": 0.083385,
				"47": 0.172329,
				"48": 0.122298,
				"49": 1.656582,
				"50": 0.528105,
				"51": 1.028415,
				"52": 1.417545,
				"53": 1.734408,
				"54": 26.18289,
				"55": 0.133416,
				"56": 0.044472,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.022236,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.005559,
				"36": null,
				"37": 0.022236,
				"38": 0.044472,
				"39": null,
				"40": null,
				"41": 0.144534,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.038913
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.022236,
				"6": 0.077826,
				"7": 0.100062,
				"8": 0.411366,
				"9": 0.27795,
				"10": 1.728849,
				"3.1": null,
				"3.2": null,
				"5.1": 0.116739,
				"6.1": 0.061149,
				"7.1": 0.005559,
				"9.1": 1.228539
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.555195756326,
				"8.1-8.4": 0.717127851921,
				"9.0-9.2": 0.552625405602,
				"9.3": 3.61905381901,
				"10-10.1": 19.2390751671
			},
			"android": {
				"3": 0,
				"4": 0.030030735017,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00346508480965,
				"4.1": 0.0952898322654,
				"4.2-4.3": 0.272009157557,
				"4.4": 0.641040689785,
				"4.4.3-4.4.4": 0.490309500565
			},
			"op_mob": {
				"0": 0.0116379980844,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000323277724566
			},
			"ie": {
				"6": 0.023027513245,
				"7": 0.0115137566225,
				"8": 0.633256614238,
				"9": 0.604472222682,
				"10": 0.529632804636,
				"11": 5.14664921026,
				"5.5": null
			},
			"edge": {
				"12": 0.077826,
				"13": 0.405807,
				"14": 1.017297
			},
			"bb": {
				"7": 0.008882,
				"10": null
			},
			"ie_mob": {
				"10": 0.013287472,
				"11": 0.062209528
			},
			"and_ff": {
				"0": 0.079938
			},
			"samsung": {
				"0": 3.797055
			},
			"and_uc": {
				"0": 1.185747
			},
			"op_mini": {
				"0": 0.156796724191
			},
			"and_chr": {
				"0": 13.955761
			}
		},
		"total": 98.4472561217
	};

/***/ },
/* 581 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MP",
		"name": "Northern Mariana Islands",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.018177,
				"17": null,
				"18": 0.012118,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.030295,
				"39": 0.012118,
				"40": 0.030295,
				"41": null,
				"42": 0.042413,
				"43": 0.06059,
				"44": 0.024236,
				"45": 0.024236,
				"46": null,
				"47": 0.103003,
				"48": 0.224183,
				"49": 2.36301,
				"50": 0.987617,
				"51": 0.012118,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.024236
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.012118,
				"21": null,
				"22": 0.018177,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.012118,
				"27": null,
				"28": null,
				"29": 0.036354,
				"30": null,
				"31": 0.290832,
				"32": 0.006059,
				"33": null,
				"34": 0.187829,
				"35": null,
				"36": 0.030295,
				"37": 0.030295,
				"38": 0.012118,
				"39": 0.066649,
				"40": 0.012118,
				"41": 0.006059,
				"42": 0.018177,
				"43": 0.042413,
				"44": 0.054531,
				"45": 0.290832,
				"46": 0.006059,
				"47": 0.012118,
				"48": 0.036354,
				"49": 2.290302,
				"50": 0.575605,
				"51": 0.133298,
				"52": 0.478661,
				"53": 1.466278,
				"54": 37.529446,
				"55": 0.066649,
				"56": 0.127239,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.006059,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.012118,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.24236,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.163593,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0.024236,
				"5": 0.030295,
				"6": 0.018177,
				"7": 0.066649,
				"8": 0.193888,
				"9": 0.115121,
				"10": 0.981558,
				"3.1": null,
				"3.2": null,
				"5.1": 0.042413,
				"6.1": 0.030295,
				"7.1": null,
				"9.1": 0.387776
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.20606278538,
				"8.1-8.4": 0.266164431115,
				"9.0-9.2": 0.205108791003,
				"9.3": 1.34322408247,
				"10-10.1": 7.14064791003
			},
			"android": {
				"3": 0,
				"4": 0.0473634346023,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00546501168489,
				"4.1": 0.150287821334,
				"4.2-4.3": 0.429003417263,
				"4.4": 1.0110271617,
				"4.4.3-4.4.4": 0.773299153411
			},
			"op_mob": {
				"0": 0.0391465076417,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00108740299005
			},
			"ie": {
				"6": 0.0733907042254,
				"7": 0.0122317840376,
				"8": 0.819529530516,
				"9": 0.189592652582,
				"10": 0.146781408451,
				"11": 3.96921392019,
				"5.5": null
			},
			"edge": {
				"12": 0.072708,
				"13": 0.48472,
				"14": 1.93888
			},
			"bb": {
				"7": 0.0049275,
				"10": null
			},
			"ie_mob": {
				"10": 0.0173448,
				"11": 0.0812052
			},
			"and_ff": {
				"0": 0.03942
			},
			"samsung": {
				"0": 6.315084
			},
			"and_uc": {
				"0": 1.273266
			},
			"op_mini": {
				"0": 0.527414089368
			},
			"and_chr": {
				"0": 21.436377
			}
		},
		"total": 99.1521405
	};

/***/ },
/* 582 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MQ",
		"name": "Martinique",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.012586,
				"27": 0.037758,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": 0.012586,
				"33": 0.018879,
				"34": 0.006293,
				"35": 0.006293,
				"36": 0.012586,
				"37": 0.006293,
				"38": 0.018879,
				"39": 0.025172,
				"40": 0.018879,
				"41": 0.025172,
				"42": 0.006293,
				"43": 0.075516,
				"44": 0.012586,
				"45": 0.264306,
				"46": 0.094395,
				"47": 0.37758,
				"48": 0.648179,
				"49": 5.116209,
				"50": 2.5172,
				"51": 0.163618,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.088102
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.031465,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": 0.006293,
				"18": 0.006293,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.006293,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.006293,
				"30": null,
				"31": 0.025172,
				"32": 0.006293,
				"33": 0.012586,
				"34": 0.031465,
				"35": 0.012586,
				"36": 0.018879,
				"37": 0.012586,
				"38": 0.044051,
				"39": 0.031465,
				"40": 0.025172,
				"41": 0.012586,
				"42": 0.025172,
				"43": 0.113274,
				"44": 0.037758,
				"45": 0.056637,
				"46": 0.044051,
				"47": 0.157325,
				"48": 0.037758,
				"49": 1.239721,
				"50": 0.169911,
				"51": 0.522319,
				"52": 0.195083,
				"53": 0.88102,
				"54": 30.722426,
				"55": 0.220255,
				"56": 0.056637,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.012586,
				"37": 0.006293,
				"38": 0.12586,
				"39": null,
				"40": 0.006293,
				"41": 0.490854,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.044051
			},
			"safari": {
				"0": null,
				"4": 0.018879,
				"5": 0.081809,
				"6": 0.012586,
				"7": 0.025172,
				"8": 0.195083,
				"9": 0.264306,
				"10": 2.353582,
				"3.1": null,
				"3.2": null,
				"5.1": 0.276892,
				"6.1": 0.169911,
				"7.1": 0.012586,
				"9.1": 1.566957
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.126322886598,
				"8.1-8.4": 0.163167061856,
				"9.0-9.2": 0.125738058419,
				"9.3": 0.823438075601,
				"10-10.1": 4.37743891753
			},
			"android": {
				"3": 0,
				"4": 0.0409796064832,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00472841613268,
				"4.1": 0.130031443649,
				"4.2-4.3": 0.371180666415,
				"4.4": 0.874756984546,
				"4.4.3-4.4.4": 0.669070882774
			},
			"op_mob": {
				"0": 0.034512010994,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000958666972057
			},
			"ie": {
				"6": null,
				"7": 0.0126494055416,
				"8": 0.139143460957,
				"9": 0.15811756927,
				"10": 0.15811756927,
				"11": 4.55378599496,
				"5.5": null
			},
			"edge": {
				"12": 0.302064,
				"13": 0.560077,
				"14": 3.530373
			},
			"bb": {
				"7": 0.007414,
				"10": null
			},
			"ie_mob": {
				"10": 0.035231328,
				"11": 0.164946672
			},
			"and_ff": {
				"0": 0.014828
			},
			"samsung": {
				"0": 4.759788
			},
			"and_uc": {
				"0": 0.177936
			},
			"op_mini": {
				"0": 0.464974322034
			},
			"and_chr": {
				"0": 25.628204
			}
		},
		"total": 98.407859
	};

/***/ },
/* 583 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MR",
		"name": "Mauritania",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.03227,
				"4": 0.016135,
				"5": 0.003227,
				"6": 0.012908,
				"7": 0.003227,
				"8": null,
				"9": null,
				"10": 0.012908,
				"11": 0.016135,
				"12": 0.100037,
				"13": 0.035497,
				"14": 0.029043,
				"15": 0.009681,
				"16": 0.061313,
				"17": 0.035497,
				"18": 0.009681,
				"19": null,
				"20": 0.025816,
				"21": 0.045178,
				"22": 0.016135,
				"23": 0.009681,
				"24": 0.025816,
				"25": 0.016135,
				"26": 0.087129,
				"27": 0.012908,
				"28": null,
				"29": 0.06454,
				"30": 0.019362,
				"31": 0.012908,
				"32": 0.141988,
				"33": 0.022589,
				"34": 0.058086,
				"35": 0.029043,
				"36": 0.041951,
				"37": 0.054859,
				"38": 0.035497,
				"39": 0.029043,
				"40": 0.025816,
				"41": 0.080675,
				"42": 0.558271,
				"43": 0.338835,
				"44": 0.100037,
				"45": 0.093583,
				"46": 0.077448,
				"47": 0.555044,
				"48": 0.209755,
				"49": 3.372215,
				"50": 1.629635,
				"51": 0.035497,
				"52": null,
				"53": null,
				"3.5": 0.016135,
				"3.6": 0.022589
			},
			"chrome": {
				"4": 0.006454,
				"5": 0.048405,
				"6": 0.019362,
				"7": 0.038724,
				"8": 0.012908,
				"9": 0.074221,
				"10": 0.003227,
				"11": 0.112945,
				"12": 0.074221,
				"13": 0.035497,
				"14": 0.048405,
				"15": 0.006454,
				"16": 0.045178,
				"17": 0.109718,
				"18": 0.019362,
				"19": 0.029043,
				"20": 0.009681,
				"21": 0.009681,
				"22": 0.038724,
				"23": 0.029043,
				"24": 0.003227,
				"25": 0.048405,
				"26": 0.054859,
				"27": 0.025816,
				"28": 0.048405,
				"29": 0.009681,
				"30": 0.016135,
				"31": 0.138761,
				"32": 0.006454,
				"33": 0.112945,
				"34": 0.025816,
				"35": 0.012908,
				"36": 0.012908,
				"37": 0.003227,
				"38": 0.038724,
				"39": 0.003227,
				"40": 0.035497,
				"41": 0.025816,
				"42": 0.158123,
				"43": 0.61313,
				"44": 0.06454,
				"45": 0.135534,
				"46": 0.054859,
				"47": 0.154896,
				"48": 0.045178,
				"49": 1.294027,
				"50": 0.12908,
				"51": 0.496958,
				"52": 0.222663,
				"53": 0.464688,
				"54": 13.614713,
				"55": 0.025816,
				"56": 0.006454,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.003227,
				"12": null,
				"15": 0.003227,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.006454,
				"35": 0.003227,
				"36": 0.038724,
				"37": 0.061313,
				"38": 0.041951,
				"39": 0.003227,
				"40": 0.012908,
				"41": 0.319473,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.022589
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.003227,
				"6": 0.003227,
				"7": 0.003227,
				"8": 0.022589,
				"9": 0.025816,
				"10": 0.180712,
				"3.1": null,
				"3.2": null,
				"5.1": 0.012908,
				"6.1": 0.009681,
				"7.1": null,
				"9.1": 0.051632
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0769228116214,
				"8.1-8.4": 0.0993586316776,
				"9.0-9.2": 0.0765666874935,
				"9.3": 0.50142277205,
				"10-10.1": 2.66558909716
			},
			"android": {
				"3": 0,
				"4": 0.289095225028,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0333571413494,
				"4.1": 0.917321387109,
				"4.2-4.3": 2.61853559593,
				"4.4": 6.17107114964,
				"4.4.3-4.4.4": 4.72003550094
			},
			"op_mob": {
				"0": 0.9013390147,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0250371948528
			},
			"ie": {
				"6": 0.00325211284047,
				"7": null,
				"8": 0.243908463035,
				"9": 0.0715464824903,
				"10": 0.113823949416,
				"11": 1.23905499222,
				"5.5": null
			},
			"edge": {
				"12": 0.038724,
				"13": 0.135534,
				"14": 0.203301
			},
			"bb": {
				"7": 0.015237,
				"10": null
			},
			"ie_mob": {
				"10": 0.05363424,
				"11": 0.25110576
			},
			"and_ff": {
				"0": 0.047404
			},
			"samsung": {
				"0": 3.941304
			},
			"and_uc": {
				"0": 2.939048
			},
			"op_mini": {
				"0": 12.1435837904
			},
			"and_chr": {
				"0": 30.31651
			}
		},
		"total": 98.798444
	};

/***/ },
/* 584 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MS",
		"name": "Montserrat",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.015386,
				"38": 0.015386,
				"39": 0.023079,
				"40": 0.061544,
				"41": null,
				"42": null,
				"43": null,
				"44": null,
				"45": 0.084623,
				"46": 0.038465,
				"47": 0.07693,
				"48": 0.253869,
				"49": 2.654085,
				"50": 1.138564,
				"51": 0.015386,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.015386,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.030772,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": 0.023079,
				"33": null,
				"34": null,
				"35": 0.069237,
				"36": 0.015386,
				"37": 0.015386,
				"38": null,
				"39": 0.015386,
				"40": 0.015386,
				"41": 0.023079,
				"42": null,
				"43": 0.207711,
				"44": null,
				"45": null,
				"46": 0.015386,
				"47": null,
				"48": null,
				"49": 0.161553,
				"50": 0.169246,
				"51": 0.561589,
				"52": 0.23079,
				"53": 1.192415,
				"54": 48.188952,
				"55": 3.207981,
				"56": 3.877272,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.038465,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.038465,
				"38": null,
				"39": null,
				"40": null,
				"41": 2.315593,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": 0.015386,
				"8": null,
				"9": 0.015386,
				"10": 1.530907,
				"3.1": null,
				"3.2": null,
				"5.1": null,
				"6.1": null,
				"7.1": null,
				"9.1": 0.869309
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0603234039363,
				"8.1-8.4": 0.0779177300843,
				"9.0-9.2": 0.060044128918,
				"9.3": 0.393219225659,
				"10-10.1": 2.0903735114
			},
			"android": {
				"3": 0,
				"4": 0.0352097429325,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00406266264606,
				"4.1": 0.111723222767,
				"4.2-4.3": 0.318919017716,
				"4.4": 0.751592589521,
				"4.4.3-4.4.4": 0.574866764418
			},
			"op_mob": {
				"0": 0.0970069945446,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00269463873735
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.015386,
				"9": 1.507828,
				"10": 0.023079,
				"11": 3.038735,
				"5.5": null
			},
			"edge": {
				"12": 0.07693,
				"13": 0.684677,
				"14": 2.469453
			},
			"bb": {
				"7": 0.017295,
				"10": null
			},
			"ie_mob": {
				"10": 0.05884912,
				"11": 0.27552088
			},
			"and_ff": {
				"0": 0.108382
			},
			"samsung": {
				"0": 0.947766
			},
			"and_uc": {
				"0": 0.40355
			},
			"op_mini": {
				"0": 1.30695836672
			},
			"and_chr": {
				"0": 16.51123
			}
		},
		"total": 99.260413
	};

/***/ },
/* 585 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MT",
		"name": "Malta",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.013746,
				"13": null,
				"14": null,
				"15": 0.006873,
				"16": 0.020619,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.006873,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.006873,
				"30": 0.006873,
				"31": null,
				"32": null,
				"33": 0.013746,
				"34": null,
				"35": 0.020619,
				"36": 0.013746,
				"37": 0.013746,
				"38": 0.109968,
				"39": 0.041238,
				"40": 0.013746,
				"41": 0.020619,
				"42": 0.020619,
				"43": 0.061857,
				"44": 0.027492,
				"45": 0.075603,
				"46": 0.06873,
				"47": 0.391761,
				"48": 0.226809,
				"49": 3.127215,
				"50": 2.460534,
				"51": 0.075603,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.013746
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.013746,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.006873,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.048111,
				"23": null,
				"24": null,
				"25": 0.013746,
				"26": 0.034365,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.013746,
				"32": 0.020619,
				"33": 0.006873,
				"34": 0.013746,
				"35": 0.013746,
				"36": 0.061857,
				"37": 0.041238,
				"38": 0.020619,
				"39": 0.048111,
				"40": 0.054984,
				"41": 0.034365,
				"42": 0.027492,
				"43": 0.075603,
				"44": 0.041238,
				"45": 0.06873,
				"46": 0.061857,
				"47": 0.034365,
				"48": 0.261174,
				"49": 2.426169,
				"50": 0.192444,
				"51": 0.625443,
				"52": 0.288666,
				"53": 0.975966,
				"54": 41.602269,
				"55": 0.158079,
				"56": 0.061857,
				"57": 0.013746
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.013746,
				"29": 0.006873,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.013746,
				"37": 0.013746,
				"38": 0.075603,
				"39": 0.006873,
				"40": null,
				"41": 0.364269,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.027492
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.006873,
				"6": 0.006873,
				"7": 0.020619,
				"8": 0.192444,
				"9": 0.199317,
				"10": 2.488026,
				"3.1": null,
				"3.2": null,
				"5.1": 0.082476,
				"6.1": 0.027492,
				"7.1": null,
				"9.1": 0.89349
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.184630740394,
				"8.1-8.4": 0.238481373008,
				"9.0-9.2": 0.183775968447,
				"9.3": 1.20351890034,
				"10-10.1": 6.39796801781
			},
			"android": {
				"3": 0,
				"4": 0.0288065887674,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00332383716547,
				"4.1": 0.0914055220505,
				"4.2-4.3": 0.26092121749,
				"4.4": 0.614909875613,
				"4.4.3-4.4.4": 0.470322958914
			},
			"op_mob": {
				"0": 0.00582244717445,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000161734643735
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.219936,
				"9": 0.261174,
				"10": 0.13746,
				"11": 4.508688,
				"5.5": null
			},
			"edge": {
				"12": 0.075603,
				"13": 0.82476,
				"14": 2.460534
			},
			"bb": {
				"7": 0.0078175,
				"10": null
			},
			"ie_mob": {
				"10": 0.090257728,
				"11": 0.422570272
			},
			"and_ff": {
				"0": 0.012508
			},
			"samsung": {
				"0": 3.583542
			},
			"and_uc": {
				"0": 0.109445
			},
			"op_mini": {
				"0": 0.0784448181818
			},
			"and_chr": {
				"0": 17.688276
			}
		},
		"total": 98.8261205
	};

/***/ },
/* 586 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MU",
		"name": "Mauritius",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.005499,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.005499,
				"10": null,
				"11": 0.010998,
				"12": 0.016497,
				"13": 0.005499,
				"14": null,
				"15": null,
				"16": 0.010998,
				"17": null,
				"18": 0.010998,
				"19": null,
				"20": 0.010998,
				"21": null,
				"22": 0.010998,
				"23": null,
				"24": 0.021996,
				"25": null,
				"26": null,
				"27": 0.010998,
				"28": null,
				"29": 0.005499,
				"30": 0.010998,
				"31": 0.021996,
				"32": 0.005499,
				"33": 0.010998,
				"34": 0.005499,
				"35": 0.010998,
				"36": 0.010998,
				"37": 0.027495,
				"38": 0.065988,
				"39": 0.060489,
				"40": 0.016497,
				"41": 0.016497,
				"42": 0.049491,
				"43": 0.10998,
				"44": 0.049491,
				"45": 0.060489,
				"46": 0.032994,
				"47": 0.307944,
				"48": 0.406926,
				"49": 4.201236,
				"50": 2.645019,
				"51": 0.170469,
				"52": 0.010998,
				"53": null,
				"3.5": 0.005499,
				"3.6": 0.021996
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.016497,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.021996,
				"19": null,
				"20": null,
				"21": 0.005499,
				"22": 0.082485,
				"23": 0.005499,
				"24": null,
				"25": 0.005499,
				"26": 0.05499,
				"27": 0.005499,
				"28": 0.010998,
				"29": 0.016497,
				"30": 0.005499,
				"31": 0.05499,
				"32": 0.021996,
				"33": 0.027495,
				"34": 0.093483,
				"35": 0.016497,
				"36": 0.043992,
				"37": 0.010998,
				"38": 0.038493,
				"39": 0.043992,
				"40": 0.049491,
				"41": 0.021996,
				"42": 0.021996,
				"43": 0.104481,
				"44": 0.043992,
				"45": 0.065988,
				"46": 0.027495,
				"47": 0.060489,
				"48": 0.071487,
				"49": 1.292265,
				"50": 0.186966,
				"51": 0.412425,
				"52": 0.258453,
				"53": 0.670878,
				"54": 32.977503,
				"55": 0.126477,
				"56": 0.159471,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.016497,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.005499,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.016497,
				"37": 0.027495,
				"38": 0.016497,
				"39": 0.005499,
				"40": 0.010998,
				"41": 0.808353,
				"42": 0.005499,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.05499
			},
			"safari": {
				"0": null,
				"4": 0.010998,
				"5": 0.093483,
				"6": 0.038493,
				"7": 0.071487,
				"8": 0.126477,
				"9": 0.137475,
				"10": 1.050309,
				"3.1": null,
				"3.2": 0.005499,
				"5.1": 0.093483,
				"6.1": 0.016497,
				"7.1": 0.027495,
				"9.1": 0.593892
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.062364371134,
				"8.1-8.4": 0.0805539793814,
				"9.0-9.2": 0.0620756471936,
				"9.3": 0.406523308133,
				"10-10.1": 2.16109869416
			},
			"android": {
				"3": 0,
				"4": 0.0776350395778,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00895788918206,
				"4.1": 0.246341952507,
				"4.2-4.3": 0.703194300792,
				"4.4": 1.65720949868,
				"4.4.3-4.4.4": 1.26754131926
			},
			"op_mob": {
				"0": 0.608075296881,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0168909804689
			},
			"ie": {
				"6": 0.010998,
				"7": 0.010998,
				"8": 0.208962,
				"9": 0.131976,
				"10": 0.175968,
				"11": 2.342574,
				"5.5": null
			},
			"edge": {
				"12": 0.142974,
				"13": 0.340938,
				"14": 1.176786
			},
			"bb": {
				"7": 0.018004,
				"10": null
			},
			"ie_mob": {
				"10": 0.141799504,
				"11": 0.663879496
			},
			"and_ff": {
				"0": 0.117026
			},
			"samsung": {
				"0": 4.90609
			},
			"and_uc": {
				"0": 2.182985
			},
			"op_mini": {
				"0": 8.19249272265
			},
			"and_chr": {
				"0": 21.87949
			}
		},
		"total": 98.833523
	};

/***/ },
/* 587 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MV",
		"name": "Maldives",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.010845,
				"4": 0.010845,
				"5": null,
				"6": 0.003615,
				"7": null,
				"8": 0.00723,
				"9": null,
				"10": 0.00723,
				"11": 0.01446,
				"12": 0.010845,
				"13": 0.00723,
				"14": 0.003615,
				"15": 0.00723,
				"16": null,
				"17": null,
				"18": 0.00723,
				"19": null,
				"20": 0.00723,
				"21": 0.003615,
				"22": null,
				"23": 0.00723,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.00723,
				"30": 0.02169,
				"31": null,
				"32": 0.010845,
				"33": 0.01446,
				"34": 0.00723,
				"35": 0.01446,
				"36": 0.010845,
				"37": 0.039765,
				"38": 0.03615,
				"39": 0.04338,
				"40": 0.01446,
				"41": 0.018075,
				"42": 0.032535,
				"43": 0.10845,
				"44": 0.1446,
				"45": 0.08676,
				"46": 0.061455,
				"47": 0.263895,
				"48": 0.242205,
				"49": 2.895615,
				"50": 1.695435,
				"51": 0.184365,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.01446
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": 0.00723,
				"8": null,
				"9": null,
				"10": 0.010845,
				"11": 0.00723,
				"12": 0.025305,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.003615,
				"17": 0.003615,
				"18": null,
				"19": 0.003615,
				"20": null,
				"21": null,
				"22": null,
				"23": 0.032535,
				"24": 0.00723,
				"25": 0.00723,
				"26": 0.003615,
				"27": null,
				"28": 0.00723,
				"29": 0.010845,
				"30": 0.018075,
				"31": 0.03615,
				"32": 0.018075,
				"33": 0.025305,
				"34": 0.02892,
				"35": 0.010845,
				"36": 0.010845,
				"37": null,
				"38": 0.025305,
				"39": 0.018075,
				"40": 0.02892,
				"41": 0.00723,
				"42": 0.018075,
				"43": 0.13014,
				"44": 0.05061,
				"45": 0.03615,
				"46": 0.02169,
				"47": 0.04338,
				"48": 0.061455,
				"49": 0.444645,
				"50": 0.090375,
				"51": 0.18075,
				"52": 0.126525,
				"53": 0.712155,
				"54": 21.92859,
				"55": 0.090375,
				"56": 0.075915,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.003615,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.032535,
				"38": null,
				"39": null,
				"40": 0.00723,
				"41": 0.20967,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.010845
			},
			"safari": {
				"0": null,
				"4": 0.003615,
				"5": 0.003615,
				"6": null,
				"7": 0.003615,
				"8": 0.05061,
				"9": 0.046995,
				"10": 0.784455,
				"3.1": null,
				"3.2": null,
				"5.1": null,
				"6.1": 0.00723,
				"7.1": null,
				"9.1": 0.249435
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.218155164011,
				"8.1-8.4": 0.281783753515,
				"9.0-9.2": 0.2171451864,
				"9.3": 1.42204847652,
				"10-10.1": 7.55968241956
			},
			"android": {
				"3": 0,
				"4": 0.0752144817188,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00867859404448,
				"4.1": 0.238661336223,
				"4.2-4.3": 0.681269632492,
				"4.4": 1.60553989823,
				"4.4.3-4.4.4": 1.22802105729
			},
			"op_mob": {
				"0": 0.38660665806,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.010739073835
			},
			"ie": {
				"6": 0.0111874736842,
				"7": null,
				"8": 0.178999578947,
				"9": 0.0522082105263,
				"10": 0.123062210526,
				"11": 0.633956842105,
				"5.5": null
			},
			"edge": {
				"12": 0.09399,
				"13": 0.10845,
				"14": 0.480795
			},
			"bb": {
				"7": 0.00478875,
				"10": null
			},
			"ie_mob": {
				"10": 0.04382664,
				"11": 0.20518836
			},
			"and_ff": {
				"0": 0.057465
			},
			"samsung": {
				"0": 4.897295
			},
			"and_uc": {
				"0": 5.663495
			},
			"op_mini": {
				"0": 5.2086842681
			},
			"and_chr": {
				"0": 35.32302
			}
		},
		"total": 98.8789530658
	};

/***/ },
/* 588 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MW",
		"name": "Malawi",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.002628,
				"3": 0.09855,
				"4": 0.005256,
				"5": 0.010512,
				"6": 0.001314,
				"7": 0.00657,
				"8": 0.003942,
				"9": 0.003942,
				"10": 0.011826,
				"11": 0.002628,
				"12": 0.01971,
				"13": 0.007884,
				"14": 0.010512,
				"15": 0.007884,
				"16": 0.009198,
				"17": 0.017082,
				"18": 0.007884,
				"19": 0.01314,
				"20": 0.011826,
				"21": 0.044676,
				"22": 0.015768,
				"23": 0.011826,
				"24": 0.018396,
				"25": 0.018396,
				"26": 0.018396,
				"27": 0.015768,
				"28": 0.007884,
				"29": 0.028908,
				"30": 0.04599,
				"31": 0.015768,
				"32": 0.02628,
				"33": 0.011826,
				"34": 0.02628,
				"35": 0.021024,
				"36": 0.021024,
				"37": 0.042048,
				"38": 0.035478,
				"39": 0.03285,
				"40": 0.022338,
				"41": 0.022338,
				"42": 0.024966,
				"43": 0.143226,
				"44": 0.127458,
				"45": 0.064386,
				"46": 0.036792,
				"47": 0.369234,
				"48": 0.172134,
				"49": 1.436202,
				"50": 0.948708,
				"51": 0.094608,
				"52": 0.001314,
				"53": null,
				"3.5": 0.00657,
				"3.6": 0.009198
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.021024,
				"12": 0.001314,
				"13": null,
				"14": 0.010512,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.002628,
				"19": 0.001314,
				"20": 0.001314,
				"21": 0.003942,
				"22": 0.001314,
				"23": null,
				"24": 0.010512,
				"25": 0.001314,
				"26": 0.007884,
				"27": 0.01314,
				"28": 0.009198,
				"29": 0.00657,
				"30": 0.002628,
				"31": 0.027594,
				"32": 0.014454,
				"33": 0.00657,
				"34": 0.005256,
				"35": 0.011826,
				"36": 0.014454,
				"37": 0.00657,
				"38": 0.002628,
				"39": 0.028908,
				"40": 0.023652,
				"41": 0.04599,
				"42": 0.00657,
				"43": 0.038106,
				"44": 0.00657,
				"45": 0.030222,
				"46": 0.024966,
				"47": 0.047304,
				"48": 0.027594,
				"49": 0.152424,
				"50": 0.028908,
				"51": 0.106434,
				"52": 0.086724,
				"53": 0.250974,
				"54": 3.602988,
				"55": 0.01314,
				"56": 0.024966,
				"57": 0.001314
			},
			"opera": {
				"9": null,
				"11": 0.003942,
				"12": 0.015768,
				"15": 0.003942,
				"16": null,
				"17": 0.001314,
				"18": 0.003942,
				"19": null,
				"20": 0.003942,
				"21": null,
				"22": 0.003942,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.015768,
				"28": 0.141912,
				"29": 0.007884,
				"30": 0.003942,
				"31": 0.002628,
				"32": 0.002628,
				"33": 0.010512,
				"34": 0.007884,
				"35": 0.00657,
				"36": 0.018396,
				"37": 0.09198,
				"38": 0.021024,
				"39": 0.015768,
				"40": 0.028908,
				"41": 0.28908,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.002628,
				"11.6": 0.009198,
				"12.1": 0.027594
			},
			"safari": {
				"0": null,
				"4": 0.001314,
				"5": 0.005256,
				"6": 0.001314,
				"7": 0.02628,
				"8": 0.0657,
				"9": 0.018396,
				"10": 0.10512,
				"3.1": null,
				"3.2": null,
				"5.1": 0.009198,
				"6.1": 0.001314,
				"7.1": 0.011826,
				"9.1": 0.086724
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0193397938144,
				"8.1-8.4": 0.0249805670103,
				"9.0-9.2": 0.019250257732,
				"9.3": 0.126066804124,
				"10-10.1": 0.67017757732
			},
			"android": {
				"3": 0,
				"4": 0.0616232340746,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00711037316246,
				"4.1": 0.195535261968,
				"4.2-4.3": 0.558164293253,
				"4.4": 1.31541903505,
				"4.4.3-4.4.4": 1.00611780249
			},
			"op_mob": {
				"0": 3.29836574022,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0916212705618
			},
			"ie": {
				"6": 0.001314,
				"7": 0.005256,
				"8": 0.349524,
				"9": 0.095922,
				"10": 0.136656,
				"11": 1.316628,
				"5.5": null
			},
			"edge": {
				"12": 0.173448,
				"13": 0.107748,
				"14": 0.136656
			},
			"bb": {
				"7": 0.286605,
				"10": null
			},
			"ie_mob": {
				"10": 0.54569592,
				"11": 2.55484908
			},
			"and_ff": {
				"0": 0.026055
			},
			"samsung": {
				"0": 1.050885
			},
			"and_uc": {
				"0": 22.42467
			},
			"op_mini": {
				"0": 44.4383079892
			},
			"and_chr": {
				"0": 6.174405
			}
		},
		"total": 97.213995
	};

/***/ },
/* 589 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MX",
		"name": "Mexico",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.005176,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.005176,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.005176,
				"29": null,
				"30": null,
				"31": 0.005176,
				"32": null,
				"33": 0.005176,
				"34": 0.020704,
				"35": 0.010352,
				"36": 0.010352,
				"37": 0.015528,
				"38": 0.041408,
				"39": 0.015528,
				"40": 0.020704,
				"41": 0.020704,
				"42": 0.020704,
				"43": 0.067288,
				"44": 0.02588,
				"45": 0.062112,
				"46": 0.041408,
				"47": 0.201864,
				"48": 0.212216,
				"49": 2.360256,
				"50": 1.325056,
				"51": 0.015528,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.010352
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.015528,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.010352,
				"19": null,
				"20": null,
				"21": 0.010352,
				"22": 0.046584,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.015528,
				"27": 0.010352,
				"28": null,
				"29": 0.010352,
				"30": null,
				"31": 0.015528,
				"32": 0.010352,
				"33": 0.010352,
				"34": 0.02588,
				"35": 0.036232,
				"36": 0.02588,
				"37": 0.020704,
				"38": 0.031056,
				"39": 0.036232,
				"40": 0.031056,
				"41": 0.02588,
				"42": 0.02588,
				"43": 0.098344,
				"44": 0.056936,
				"45": 0.041408,
				"46": 0.087992,
				"47": 0.072464,
				"48": 0.093168,
				"49": 1.827128,
				"50": 0.119048,
				"51": 0.419256,
				"52": 0.315736,
				"53": 0.797104,
				"54": 32.018736,
				"55": 0.087992,
				"56": 0.020704,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.010352,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.015528,
				"37": 0.041408,
				"38": 0.015528,
				"39": 0.005176,
				"40": 0.010352,
				"41": 0.367496,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.020704
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.031056,
				"6": 0.010352,
				"7": 0.031056,
				"8": 0.186336,
				"9": 0.212216,
				"10": 1.304352,
				"3.1": null,
				"3.2": null,
				"5.1": 0.056936,
				"6.1": 0.046584,
				"7.1": 0.010352,
				"9.1": 0.652176
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.16926950328,
				"8.1-8.4": 0.21863977507,
				"9.0-9.2": 0.168485848172,
				"9.3": 1.10338639175,
				"10-10.1": 5.86565848172
			},
			"android": {
				"3": 0,
				"4": 0.0753584078402,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00869520090464,
				"4.1": 0.239118024877,
				"4.2-4.3": 0.682573271014,
				"4.4": 1.60861216736,
				"4.4.3-4.4.4": 1.23037092801
			},
			"op_mob": {
				"0": 0.110781041602,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00307725115562
			},
			"ie": {
				"6": 0.00520994098361,
				"7": 0.0104198819672,
				"8": 0.218817521311,
				"9": 0.213607580328,
				"10": 0.229237403279,
				"11": 2.50077167213,
				"5.5": null
			},
			"edge": {
				"12": 0.07764,
				"13": 0.248448,
				"14": 1.030024
			},
			"bb": {
				"7": 0.02412,
				"10": null
			},
			"ie_mob": {
				"10": 0.147730176,
				"11": 0.691645824
			},
			"and_ff": {
				"0": 0.02412
			},
			"samsung": {
				"0": 1.206
			},
			"and_uc": {
				"0": 0.26532
			},
			"op_mini": {
				"0": 1.49253370724
			},
			"and_chr": {
				"0": 35.147536
			}
		},
		"total": 99.039088
	};

/***/ },
/* 590 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MY",
		"name": "Malaysia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.01317,
				"4": 0.00439,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.00439,
				"11": 0.00878,
				"12": 0.01317,
				"13": 0.00878,
				"14": 0.00439,
				"15": 0.00439,
				"16": 0.01317,
				"17": 0.00439,
				"18": null,
				"19": 0.00439,
				"20": 0.00878,
				"21": 0.01756,
				"22": 0.00878,
				"23": 0.00878,
				"24": 0.00439,
				"25": 0.00878,
				"26": null,
				"27": 0.01756,
				"28": 0.00878,
				"29": 0.01756,
				"30": 0.01317,
				"31": 0.01756,
				"32": 0.00878,
				"33": 0.01317,
				"34": 0.01317,
				"35": 0.02195,
				"36": 0.02195,
				"37": 0.03512,
				"38": 0.0439,
				"39": 0.03512,
				"40": 0.03073,
				"41": 0.03073,
				"42": 0.03073,
				"43": 0.11414,
				"44": 0.07024,
				"45": 0.09219,
				"46": 0.06585,
				"47": 0.29852,
				"48": 0.24584,
				"49": 2.7218,
				"50": 1.55406,
				"51": 0.12292,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.01317
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.01756,
				"11": 0.02634,
				"12": 0.01317,
				"13": null,
				"14": 0.00878,
				"15": 0.00439,
				"16": null,
				"17": 0.00439,
				"18": 0.00878,
				"19": 0.00878,
				"20": 0.01317,
				"21": 0.01317,
				"22": 0.02195,
				"23": 0.00878,
				"24": 0.00439,
				"25": 0.00878,
				"26": 0.01317,
				"27": 0.01756,
				"28": 0.01317,
				"29": 0.01317,
				"30": 0.02634,
				"31": 0.09658,
				"32": 0.02195,
				"33": 0.07024,
				"34": 0.02195,
				"35": 0.02195,
				"36": 0.02634,
				"37": 0.02195,
				"38": 0.0439,
				"39": 0.05268,
				"40": 0.02195,
				"41": 0.05707,
				"42": 0.03512,
				"43": 0.10097,
				"44": 0.08341,
				"45": 0.11414,
				"46": 0.12731,
				"47": 0.10975,
				"48": 0.09658,
				"49": 1.71649,
				"50": 0.1756,
				"51": 0.53997,
				"52": 0.44339,
				"53": 0.94385,
				"54": 25.66833,
				"55": 0.12292,
				"56": 0.19755,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.02634,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.00878,
				"37": 0.0439,
				"38": 0.01317,
				"39": null,
				"40": 0.00878,
				"41": 0.21072,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.01317
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.01756,
				"6": 0.01317,
				"7": 0.03073,
				"8": 0.12731,
				"9": 0.11853,
				"10": 0.67167,
				"3.1": null,
				"3.2": null,
				"5.1": 0.03951,
				"6.1": 0.02634,
				"7.1": 0.00878,
				"9.1": 0.3512
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.144709045923,
				"8.1-8.4": 0.186915850984,
				"9.0-9.2": 0.144039096636,
				"9.3": 0.943288595647,
				"10-10.1": 5.01457041081
			},
			"android": {
				"3": 0,
				"4": 0.110268753864,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0127233177535,
				"4.1": 0.349891238221,
				"4.2-4.3": 0.998780443649,
				"4.4": 2.3538137844,
				"4.4.3-4.4.4": 1.80034946212
			},
			"op_mob": {
				"0": 0.244078042061,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00677994561279
			},
			"ie": {
				"6": 0.0178026252159,
				"7": 0.0178026252159,
				"8": 0.364953816926,
				"9": 0.226983471503,
				"10": 0.160223626943,
				"11": 1.7891638342,
				"5.5": null
			},
			"edge": {
				"12": 0.03073,
				"13": 0.11853,
				"14": 0.40827
			},
			"bb": {
				"7": 0.02383825,
				"10": null
			},
			"ie_mob": {
				"10": 0.035538624,
				"11": 0.166385376
			},
			"and_ff": {
				"0": 0.033654
			},
			"samsung": {
				"0": 3.354182
			},
			"and_uc": {
				"0": 7.207565
			},
			"op_mini": {
				"0": 3.28842101233
			},
			"and_chr": {
				"0": 30.470885
			}
		},
		"total": 98.73176725
	};

/***/ },
/* 591 */
/***/ function(module, exports) {

	module.exports = {
		"id": "MZ",
		"name": "Mozambique",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.007956,
				"4": 0.005304,
				"5": 0.001326,
				"6": 0.003978,
				"7": 0.003978,
				"8": 0.003978,
				"9": 0.002652,
				"10": 0.005304,
				"11": 0.018564,
				"12": 0.009282,
				"13": 0.01326,
				"14": 0.007956,
				"15": 0.00663,
				"16": 0.00663,
				"17": 0.005304,
				"18": 0.005304,
				"19": 0.005304,
				"20": 0.010608,
				"21": 0.007956,
				"22": 0.007956,
				"23": 0.003978,
				"24": 0.005304,
				"25": 0.005304,
				"26": 0.003978,
				"27": 0.001326,
				"28": 0.001326,
				"29": 0.009282,
				"30": 0.014586,
				"31": 0.003978,
				"32": 0.00663,
				"33": 0.01326,
				"34": 0.00663,
				"35": 0.009282,
				"36": 0.005304,
				"37": 0.010608,
				"38": 0.01326,
				"39": 0.014586,
				"40": 0.009282,
				"41": 0.010608,
				"42": 0.010608,
				"43": 0.100776,
				"44": 0.029172,
				"45": 0.030498,
				"46": 0.030498,
				"47": 0.16575,
				"48": 0.108732,
				"49": 1.150968,
				"50": 0.584766,
				"51": 0.03315,
				"52": 0.00663,
				"53": null,
				"3.5": 0.00663,
				"3.6": 0.011934
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.001326,
				"11": 0.017238,
				"12": null,
				"13": 0.003978,
				"14": null,
				"15": 0.005304,
				"16": 0.002652,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.005304,
				"22": null,
				"23": 0.003978,
				"24": null,
				"25": 0.01326,
				"26": 0.009282,
				"27": null,
				"28": 0.005304,
				"29": 0.007956,
				"30": 0.007956,
				"31": 0.005304,
				"32": 0.002652,
				"33": 0.021216,
				"34": 0.007956,
				"35": 0.003978,
				"36": 0.01989,
				"37": 0.003978,
				"38": 0.005304,
				"39": 0.005304,
				"40": 0.029172,
				"41": 0.003978,
				"42": 0.009282,
				"43": 0.571506,
				"44": 0.005304,
				"45": 0.037128,
				"46": 0.00663,
				"47": 0.027846,
				"48": 0.011934,
				"49": 0.210834,
				"50": 0.031824,
				"51": 0.151164,
				"52": 0.128622,
				"53": 0.153816,
				"54": 5.026866,
				"55": 0.025194,
				"56": 0.005304,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.002652,
				"12": 0.007956,
				"15": 0.003978,
				"16": 0.00663,
				"17": 0.002652,
				"18": 0.002652,
				"19": null,
				"20": 0.00663,
				"21": 0.002652,
				"22": 0.003978,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.001326,
				"29": 0.002652,
				"30": 0.002652,
				"31": 0.003978,
				"32": 0.001326,
				"33": null,
				"34": 0.007956,
				"35": 0.002652,
				"36": 0.018564,
				"37": 0.121992,
				"38": 0.014586,
				"39": 0.01326,
				"40": 0.034476,
				"41": 0.419016,
				"42": 0.002652,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.002652,
				"11.1": 0.003978,
				"11.5": 0.003978,
				"11.6": 0.014586,
				"12.1": 0.014586
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.002652,
				"6": 0.00663,
				"7": 0.003978,
				"8": 0.025194,
				"9": 0.015912,
				"10": 0.129948,
				"3.1": null,
				"3.2": null,
				"5.1": 0.011934,
				"6.1": 0.009282,
				"7.1": 0.010608,
				"9.1": 0.074256
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.019898316776,
				"8.1-8.4": 0.0257019925023,
				"9.0-9.2": 0.0198061949391,
				"9.3": 0.129707546392,
				"10-10.1": 0.689531949391
			},
			"android": {
				"3": 0,
				"4": 0.0528683588391,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00610019525066,
				"4.1": 0.167755369393,
				"4.2-4.3": 0.478865327177,
				"4.4": 1.12853612137,
				"4.4.3-4.4.4": 0.863177627968
			},
			"op_mob": {
				"0": 4.62341366093,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.128428157248
			},
			"ie": {
				"6": null,
				"7": 0.00400121225383,
				"8": 0.362776577681,
				"9": 0.138708691466,
				"10": 0.13604121663,
				"11": 1.18702630197,
				"5.5": null
			},
			"edge": {
				"12": 0.084864,
				"13": 0.095472,
				"14": 0.161772
			},
			"bb": {
				"7": 0.0910665,
				"10": null
			},
			"ie_mob": {
				"10": 0.195385344,
				"11": 0.914758656
			},
			"and_ff": {
				"0": null
			},
			"samsung": {
				"0": 1.118817
			},
			"and_uc": {
				"0": 3.790101
			},
			"op_mini": {
				"0": 62.2904481818
			},
			"and_chr": {
				"0": 7.406262
			}
		},
		"total": 96.4817115
	};

/***/ },
/* 592 */
/***/ function(module, exports) {

	module.exports = {
		"id": "NA",
		"name": "Namibia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.007362,
				"4": 0.002454,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.009816,
				"12": 0.014724,
				"13": 0.002454,
				"14": 0.004908,
				"15": 0.007362,
				"16": null,
				"17": 0.004908,
				"18": 0.007362,
				"19": null,
				"20": 0.007362,
				"21": 0.002454,
				"22": 0.002454,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.007362,
				"29": 0.002454,
				"30": 0.002454,
				"31": 0.009816,
				"32": 0.007362,
				"33": 0.004908,
				"34": 0.007362,
				"35": 0.019632,
				"36": 0.004908,
				"37": 0.007362,
				"38": 0.04908,
				"39": 0.017178,
				"40": 0.01227,
				"41": 0.03681,
				"42": 0.007362,
				"43": 0.051534,
				"44": 0.022086,
				"45": 0.039264,
				"46": 0.039264,
				"47": 0.265032,
				"48": 0.154602,
				"49": 1.869948,
				"50": 1.045404,
				"51": 0.071166,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.004908
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": 0.002454,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.017178,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.007362,
				"19": null,
				"20": 0.002454,
				"21": 0.002454,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.002454,
				"26": 0.009816,
				"27": 0.002454,
				"28": 0.002454,
				"29": 0.004908,
				"30": null,
				"31": 0.01227,
				"32": 0.009816,
				"33": 0.004908,
				"34": 0.002454,
				"35": 0.017178,
				"36": 0.019632,
				"37": 0.017178,
				"38": 0.014724,
				"39": 0.009816,
				"40": 0.039264,
				"41": 0.004908,
				"42": 0.004908,
				"43": 0.115338,
				"44": 0.093252,
				"45": 0.127608,
				"46": 0.014724,
				"47": 0.031902,
				"48": 0.056442,
				"49": 0.292026,
				"50": 0.080982,
				"51": 0.206136,
				"52": 0.120246,
				"53": 0.323928,
				"54": 10.120296,
				"55": 0.115338,
				"56": 0.029448,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.004908,
				"34": 0.002454,
				"35": 0.007362,
				"36": 0.009816,
				"37": 0.117792,
				"38": 0.009816,
				"39": 0.041718,
				"40": 0.02454,
				"41": 0.672396,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.007362,
				"12.1": 0.041718
			},
			"safari": {
				"0": null,
				"4": 0.002454,
				"5": 0.002454,
				"6": null,
				"7": 0.002454,
				"8": 0.063804,
				"9": 0.08589,
				"10": 0.449082,
				"3.1": null,
				"3.2": null,
				"5.1": 0.029448,
				"6.1": 0.007362,
				"7.1": 0.009816,
				"9.1": 0.213498
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0443000412371,
				"8.1-8.4": 0.0572208865979,
				"9.0-9.2": 0.0440949484536,
				"9.3": 0.288770639175,
				"10-10.1": 1.53511948454
			},
			"android": {
				"3": 0,
				"4": 0.0804603271768,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00928388390501,
				"4.1": 0.255306807388,
				"4.2-4.3": 0.728784886544,
				"4.4": 1.71751852243,
				"4.4.3-4.4.4": 1.31366957256
			},
			"op_mob": {
				"0": 3.4106499606,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0947402766835
			},
			"ie": {
				"6": 0.00252364054054,
				"7": 0.00757092162162,
				"8": 0.454255297297,
				"9": 0.282647740541,
				"10": 0.252364054054,
				"11": 2.73562634595,
				"5.5": null
			},
			"edge": {
				"12": 0.252762,
				"13": 0.50307,
				"14": 0.60123
			},
			"bb": {
				"7": 0.0886655,
				"10": null
			},
			"ie_mob": {
				"10": 0.176636768,
				"11": 0.826981232
			},
			"and_ff": {
				"0": 0.015092
			},
			"samsung": {
				"0": 4.784164
			},
			"and_uc": {
				"0": 2.18834
			},
			"op_mini": {
				"0": 45.9510937627
			},
			"and_chr": {
				"0": 12.149376
			}
		},
		"total": 98.4303215
	};

/***/ },
/* 593 */
/***/ function(module, exports) {

	module.exports = {
		"id": "NC",
		"name": "New Caledonia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.012468,
				"13": null,
				"14": 0.012468,
				"15": null,
				"16": 0.018702,
				"17": 0.037404,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.012468,
				"22": null,
				"23": 0.012468,
				"24": 0.018702,
				"25": null,
				"26": 0.012468,
				"27": 0.006234,
				"28": null,
				"29": 0.012468,
				"30": 0.006234,
				"31": 0.012468,
				"32": 0.012468,
				"33": 0.012468,
				"34": 0.006234,
				"35": 0.087276,
				"36": 0.006234,
				"37": 0.074808,
				"38": 0.06234,
				"39": 0.037404,
				"40": 0.037404,
				"41": 0.21819,
				"42": 0.06234,
				"43": 0.105978,
				"44": 0.068574,
				"45": 0.523656,
				"46": 0.043638,
				"47": 0.299232,
				"48": 1.022376,
				"49": 6.5457,
				"50": 3.565848,
				"51": 0.024936,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.006234
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.006234,
				"9": null,
				"10": null,
				"11": 0.006234,
				"12": null,
				"13": null,
				"14": null,
				"15": 0.006234,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": 0.006234,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": 0.018702,
				"33": null,
				"34": null,
				"35": 0.024936,
				"36": 0.037404,
				"37": 0.006234,
				"38": 0.006234,
				"39": 0.006234,
				"40": 0.012468,
				"41": 0.012468,
				"42": 0.006234,
				"43": 0.143382,
				"44": 0.037404,
				"45": 0.056106,
				"46": 0.043638,
				"47": 0.056106,
				"48": 0.037404,
				"49": 2.032284,
				"50": 0.037404,
				"51": 0.199488,
				"52": 0.243126,
				"53": 0.673272,
				"54": 26.238906,
				"55": 0.037404,
				"56": 0.043638,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.012468,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.024936,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.205722,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.018702
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.162084,
				"6": 0.018702,
				"7": 0.043638,
				"8": 2.019816,
				"9": 0.21819,
				"10": 2.767896,
				"3.1": null,
				"3.2": null,
				"5.1": 0.492486,
				"6.1": 0.573528,
				"7.1": null,
				"9.1": 1.533564
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.124775662605,
				"8.1-8.4": 0.161168564199,
				"9.0-9.2": 0.124197997501,
				"9.3": 0.813352467354,
				"10-10.1": 4.32382330834
			},
			"android": {
				"3": 0,
				"4": 0.0629644538259,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0072651292876,
				"4.1": 0.199791055409,
				"4.2-4.3": 0.570312649077,
				"4.4": 1.34404891821,
				"4.4.3-4.4.4": 1.0280157942
			},
			"op_mob": {
				"0": 0.00986910623412,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000274141839837
			},
			"ie": {
				"6": null,
				"7": 0.012468,
				"8": 0.193254,
				"9": 0.074808,
				"10": 0.162084,
				"11": 4.288992,
				"5.5": null
			},
			"edge": {
				"12": 0.130914,
				"13": 0.40521,
				"14": 3.060894
			},
			"bb": {
				"7": 0.003766,
				"10": null
			},
			"ie_mob": {
				"10": 0.066944416,
				"11": 0.313421584
			},
			"and_ff": {
				"0": 0.048958
			},
			"samsung": {
				"0": 6.974632
			},
			"and_uc": {
				"0": 0.139342
			},
			"op_mini": {
				"0": 0.132964751926
			},
			"and_chr": {
				"0": 22.944754
			}
		},
		"total": 98.8483
	};

/***/ },
/* 594 */
/***/ function(module, exports) {

	module.exports = {
		"id": "NE",
		"name": "Niger",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.00119,
				"3": 0.080325,
				"4": 0.00595,
				"5": 0.002975,
				"6": 0.00119,
				"7": 0.00357,
				"8": 0.002975,
				"9": 0.00357,
				"10": 0.006545,
				"11": 0.00595,
				"12": 0.022015,
				"13": 0.00595,
				"14": 0.047005,
				"15": 0.0476,
				"16": 0.03689,
				"17": 0.005355,
				"18": 0.00595,
				"19": 0.00595,
				"20": 0.00595,
				"21": 0.006545,
				"22": 0.00714,
				"23": 0.00476,
				"24": 0.004165,
				"25": 0.00238,
				"26": 0.00238,
				"27": 0.00238,
				"28": 0.00119,
				"29": 0.0119,
				"30": 0.00357,
				"31": 0.011305,
				"32": 0.001785,
				"33": 0.00833,
				"34": 0.006545,
				"35": 0.006545,
				"36": 0.00595,
				"37": 0.0119,
				"38": 0.008925,
				"39": 0.02142,
				"40": 0.00952,
				"41": 0.01666,
				"42": 0.02142,
				"43": 0.1309,
				"44": 0.02142,
				"45": 0.02618,
				"46": 0.01785,
				"47": 0.18564,
				"48": 0.09877,
				"49": 0.690795,
				"50": 0.238,
				"51": 0.00595,
				"52": null,
				"53": null,
				"3.5": 0.007735,
				"3.6": 0.010115
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": 0.00119,
				"7": null,
				"8": null,
				"9": 0.007735,
				"10": null,
				"11": 0.027965,
				"12": 0.008925,
				"13": 0.010115,
				"14": null,
				"15": null,
				"16": 0.002975,
				"17": null,
				"18": 0.006545,
				"19": 0.00357,
				"20": null,
				"21": 0.012495,
				"22": 0.00595,
				"23": 0.00119,
				"24": null,
				"25": null,
				"26": 0.000595,
				"27": 0.00238,
				"28": 0.00119,
				"29": null,
				"30": 0.002975,
				"31": 0.007735,
				"32": null,
				"33": 0.00357,
				"34": null,
				"35": null,
				"36": 0.00714,
				"37": 0.00357,
				"38": 0.00238,
				"39": 0.000595,
				"40": 0.007735,
				"41": 0.00595,
				"42": 0.001785,
				"43": 0.008925,
				"44": 0.004165,
				"45": 0.17374,
				"46": 0.001785,
				"47": 0.00238,
				"48": 0.01904,
				"49": 0.0357,
				"50": 0.0476,
				"51": 0.029155,
				"52": 0.024395,
				"53": 0.074375,
				"54": 1.13526,
				"55": 0.002975,
				"56": 0.018445,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": 0.00119,
				"17": null,
				"18": 0.001785,
				"19": null,
				"20": 0.00119,
				"21": 0.00119,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.001785,
				"30": 0.000595,
				"31": null,
				"32": 0.000595,
				"33": 0.002975,
				"34": 0.00357,
				"35": 0.0238,
				"36": 0.00476,
				"37": 0.08568,
				"38": 0.002975,
				"39": 0.001785,
				"40": 0.002975,
				"41": 0.12138,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.00119,
				"11.1": null,
				"11.5": 0.00119,
				"11.6": 0.00238,
				"12.1": 0.002975
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.001785,
				"6": 0.001785,
				"7": 0.005355,
				"8": 0.00357,
				"9": 0.002975,
				"10": 0.027965,
				"3.1": null,
				"3.2": null,
				"5.1": 0.00476,
				"6.1": 0.00595,
				"7.1": 0.004165,
				"9.1": 0.018445
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0118465979381,
				"8.1-8.4": 0.0153018556701,
				"9.0-9.2": 0.0117917525773,
				"9.3": 0.0772222680412,
				"10-10.1": 0.410517525773
			},
			"android": {
				"3": 0,
				"4": 0.139547086317,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0161015868828,
				"4.1": 0.442793639276,
				"4.2-4.3": 1.2639745703,
				"4.4": 2.97879357331,
				"4.4.3-4.4.4": 2.27837454391
			},
			"op_mob": {
				"0": 3.85524082455,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.107090022904
			},
			"ie": {
				"6": 0.00368020579981,
				"7": 0.00490694106642,
				"8": 0.12819383536,
				"9": 0.0269881758653,
				"10": 0.0552030869972,
				"11": 0.436717754911,
				"5.5": null
			},
			"edge": {
				"12": 0.02975,
				"13": 0.05593,
				"14": 0.0238
			},
			"bb": {
				"7": 0.02586375,
				"10": null
			},
			"ie_mob": {
				"10": 0.1158696,
				"11": 0.5424804
			},
			"and_ff": {
				"0": 0.30096
			},
			"samsung": {
				"0": 0.686565
			},
			"and_uc": {
				"0": 8.248185
			},
			"op_mini": {
				"0": 51.9409891525
			},
			"and_chr": {
				"0": 21.25745
			}
		},
		"total": 99.45601875
	};

/***/ },
/* 595 */
/***/ function(module, exports) {

	module.exports = {
		"id": "NF",
		"name": "Norfolk Island",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": 0.92082,
				"40": null,
				"41": null,
				"42": null,
				"43": null,
				"44": null,
				"45": null,
				"46": null,
				"47": 1.3857,
				"48": 6.69606,
				"49": 9.93234,
				"50": 1.15326,
				"51": null,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.46488,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": 0.92082,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.69732,
				"42": null,
				"43": null,
				"44": null,
				"45": null,
				"46": null,
				"47": null,
				"48": null,
				"49": 1.15326,
				"50": 3.46872,
				"51": null,
				"52": 4.62198,
				"53": 14.55432,
				"54": 11.78292,
				"55": null,
				"56": null,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": null,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.69732,
				"3.1": null,
				"3.2": null,
				"5.1": null,
				"6.1": null,
				"7.1": null,
				"9.1": 1.3857
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0238425492034,
				"8.1-8.4": 0.0307966260544,
				"9.0-9.2": 0.0237321670311,
				"9.3": 0.155418098511,
				"10-10.1": 0.8262105592
			},
			"android": {
				"3": 0,
				"4": 0.0051941198643,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.000599321522804,
				"4.1": 0.0164813418771,
				"4.2-4.3": 0.0470467395401,
				"4.4": 0.110874481719,
				"4.4.3-4.4.4": 0.0848039954768
			},
			"op_mob": {
				"0": 0,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 1.3857,
				"9": 1.15326,
				"10": null,
				"11": 22.63608,
				"5.5": null
			},
			"edge": {
				"12": null,
				"13": 0.46488,
				"14": null
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0,
				"11": 0
			},
			"and_ff": {
				"0": 7.155
			},
			"samsung": {
				"0": null
			},
			"and_uc": {
				"0": null
			},
			"op_mini": {
				"0": 0
			},
			"and_chr": {
				"0": 2.31988
			}
		},
		"total": 96.27522
	};

/***/ },
/* 596 */
/***/ function(module, exports) {

	module.exports = {
		"id": "NG",
		"name": "Nigeria",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.043836,
				"4": 0.01686,
				"5": 0.003372,
				"6": 0.003372,
				"7": 0.02529,
				"8": 0.005058,
				"9": 0.003372,
				"10": 0.018546,
				"11": 0.020232,
				"12": 0.01686,
				"13": 0.043836,
				"14": 0.00843,
				"15": 0.065754,
				"16": 0.010116,
				"17": 0.006744,
				"18": 0.011802,
				"19": 0.030348,
				"20": 0.006744,
				"21": 0.011802,
				"22": 0.00843,
				"23": 0.005058,
				"24": 0.005058,
				"25": 0.00843,
				"26": 0.006744,
				"27": 0.00843,
				"28": 0.006744,
				"29": 0.028662,
				"30": 0.01686,
				"31": 0.020232,
				"32": 0.013488,
				"33": 0.01686,
				"34": 0.023604,
				"35": 0.026976,
				"36": 0.018546,
				"37": 0.030348,
				"38": 0.038778,
				"39": 0.028662,
				"40": 0.047208,
				"41": 0.047208,
				"42": 0.04215,
				"43": 0.251214,
				"44": 0.21918,
				"45": 0.09273,
				"46": 0.085986,
				"47": 0.49737,
				"48": 0.264702,
				"49": 2.087268,
				"50": 1.065552,
				"51": 0.141624,
				"52": 0.001686,
				"53": null,
				"3.5": null,
				"3.6": 0.021918
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.001686,
				"10": null,
				"11": 0.015174,
				"12": 0.001686,
				"13": null,
				"14": null,
				"15": 0.026976,
				"16": 0.003372,
				"17": 0.001686,
				"18": 0.001686,
				"19": 0.006744,
				"20": 0.005058,
				"21": 0.013488,
				"22": 0.013488,
				"23": 0.045522,
				"24": 0.005058,
				"25": 0.006744,
				"26": 0.026976,
				"27": 0.00843,
				"28": 0.020232,
				"29": 0.015174,
				"30": 0.010116,
				"31": 0.05901,
				"32": 0.00843,
				"33": 0.020232,
				"34": 0.005058,
				"35": 0.003372,
				"36": 0.006744,
				"37": 0.003372,
				"38": 0.006744,
				"39": 0.00843,
				"40": 0.010116,
				"41": 0.00843,
				"42": 0.010116,
				"43": 0.04215,
				"44": 0.00843,
				"45": 0.038778,
				"46": 0.023604,
				"47": 0.030348,
				"48": 0.021918,
				"49": 0.1686,
				"50": 0.035406,
				"51": 0.183774,
				"52": 0.12645,
				"53": 0.22761,
				"54": 5.531766,
				"55": 0.043836,
				"56": 0.04215,
				"57": 0.003372
			},
			"opera": {
				"9": null,
				"11": 0.001686,
				"12": 0.013488,
				"15": 0.003372,
				"16": null,
				"17": null,
				"18": 0.005058,
				"19": 0.005058,
				"20": 0.003372,
				"21": null,
				"22": 0.001686,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.001686,
				"27": null,
				"28": 0.006744,
				"29": 0.006744,
				"30": 0.011802,
				"31": 0.001686,
				"32": 0.006744,
				"33": 0.010116,
				"34": 0.010116,
				"35": 0.013488,
				"36": 0.015174,
				"37": 0.198948,
				"38": 0.00843,
				"39": 0.013488,
				"40": 0.023604,
				"41": 0.342258,
				"42": 0.003372,
				"43": null,
				"9.5-9.6": 0.005058,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.005058,
				"11.6": 0.003372,
				"12.1": 0.021918
			},
			"safari": {
				"0": null,
				"4": 0.003372,
				"5": 0.001686,
				"6": 0.001686,
				"7": 0.006744,
				"8": 0.02529,
				"9": 0.026976,
				"10": 0.139938,
				"3.1": null,
				"3.2": null,
				"5.1": 0.006744,
				"6.1": 0.006744,
				"7.1": 0.052266,
				"9.1": 0.053952
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0258069053421,
				"8.1-8.4": 0.0333339194002,
				"9.0-9.2": 0.0256874289285,
				"9.3": 0.168222790378,
				"10-10.1": 0.894280955951
			},
			"android": {
				"3": 0,
				"4": 0.0404136238221,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00466311044101,
				"4.1": 0.128235537128,
				"4.2-4.3": 0.366054169619,
				"4.4": 0.862675431587,
				"4.4.3-4.4.4": 0.659830127403
			},
			"op_mob": {
				"0": 4.06164988365,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.112823607879
			},
			"ie": {
				"6": 0.00354947368421,
				"7": 0.00177473684211,
				"8": 0.150852631579,
				"9": 0.0514673684211,
				"10": 0.0958357894737,
				"11": 0.495151578947,
				"5.5": null
			},
			"edge": {
				"12": 0.065754,
				"13": 0.074184,
				"14": 0.138252
			},
			"bb": {
				"7": 0.6339425,
				"10": null
			},
			"ie_mob": {
				"10": 0.206320224,
				"11": 0.965953776
			},
			"and_ff": {
				"0": 0.091454
			},
			"samsung": {
				"0": 0.731632
			},
			"and_uc": {
				"0": 8.696444
			},
			"op_mini": {
				"0": 54.7219025085
			},
			"and_chr": {
				"0": 8.953426
			}
		},
		"total": 96.9681200789
	};

/***/ },
/* 597 */
/***/ function(module, exports) {

	module.exports = {
		"id": "NI",
		"name": "Nicaragua",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.016584,
				"4": 0.005528,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.005528,
				"13": null,
				"14": 0.038696,
				"15": null,
				"16": null,
				"17": 0.005528,
				"18": null,
				"19": null,
				"20": 0.011056,
				"21": 0.204536,
				"22": 0.038696,
				"23": 0.038696,
				"24": 0.033168,
				"25": 0.049752,
				"26": 0.011056,
				"27": 0.033168,
				"28": 0.022112,
				"29": 0.033168,
				"30": 0.011056,
				"31": 0.049752,
				"32": 0.011056,
				"33": 0.02764,
				"34": 0.005528,
				"35": 0.016584,
				"36": 0.044224,
				"37": 0.215592,
				"38": 0.060808,
				"39": 0.071864,
				"40": 0.044224,
				"41": 0.049752,
				"42": 0.044224,
				"43": 0.215592,
				"44": 0.060808,
				"45": 0.077392,
				"46": 0.044224,
				"47": 0.420128,
				"48": 0.2764,
				"49": 3.543448,
				"50": 2.10064,
				"51": 0.033168,
				"52": 0.005528,
				"53": null,
				"3.5": null,
				"3.6": 0.016584
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.033168,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.02764,
				"19": 0.005528,
				"20": null,
				"21": 0.005528,
				"22": 0.011056,
				"23": 0.011056,
				"24": null,
				"25": 0.011056,
				"26": 0.022112,
				"27": 0.077392,
				"28": 0.033168,
				"29": 0.049752,
				"30": 0.022112,
				"31": 0.08292,
				"32": 0.038696,
				"33": 0.022112,
				"34": 0.038696,
				"35": 0.05528,
				"36": 0.066336,
				"37": 0.060808,
				"38": 0.044224,
				"39": 0.049752,
				"40": 0.049752,
				"41": 0.364848,
				"42": 0.02764,
				"43": 0.132672,
				"44": 0.060808,
				"45": 0.132672,
				"46": 0.08292,
				"47": 0.154784,
				"48": 0.105032,
				"49": 1.348832,
				"50": 0.127144,
				"51": 0.392488,
				"52": 0.320624,
				"53": 1.514672,
				"54": 32.886072,
				"55": 0.143728,
				"56": 0.022112,
				"57": 0.005528
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.044224,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.005528,
				"28": 0.326152,
				"29": 0.121616,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.044224,
				"34": null,
				"35": 0.005528,
				"36": 0.016584,
				"37": 0.1382,
				"38": 0.022112,
				"39": null,
				"40": 0.022112,
				"41": 0.353792,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.022112,
				"12.1": 0.049752
			},
			"safari": {
				"0": null,
				"4": 0.005528,
				"5": 0.02764,
				"6": null,
				"7": 0.016584,
				"8": 0.066336,
				"9": 0.132672,
				"10": 0.453296,
				"3.1": null,
				"3.2": null,
				"5.1": 0.05528,
				"6.1": 0.02764,
				"7.1": 0.011056,
				"9.1": 0.431184
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0608424742268,
				"8.1-8.4": 0.0785881958763,
				"9.0-9.2": 0.0605607961054,
				"9.3": 0.39660279496,
				"10-10.1": 2.10836073883
			},
			"android": {
				"3": 0,
				"4": 0.118042489257,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.013620287222,
				"4.1": 0.374557898605,
				"4.2-4.3": 1.06919254693,
				"4.4": 2.51975313607,
				"4.4.3-4.4.4": 1.92727064191
			},
			"op_mob": {
				"0": 0.359823428643,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00999509524008
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.304023976812,
				"9": 0.263869866667,
				"10": 0.229452057971,
				"11": 1.18167809855,
				"5.5": null
			},
			"edge": {
				"12": 0.127144,
				"13": 0.143728,
				"14": 0.370376
			},
			"bb": {
				"7": 0.0693005,
				"10": null
			},
			"ie_mob": {
				"10": 0.217183296,
				"11": 1.016812704
			},
			"and_ff": {
				"0": 0.062594
			},
			"samsung": {
				"0": 3.281714
			},
			"and_uc": {
				"0": 1.354713
			},
			"op_mini": {
				"0": 4.84783847612
			},
			"and_chr": {
				"0": 27.155589
			}
		},
		"total": 98.7565875
	};

/***/ },
/* 598 */
/***/ function(module, exports) {

	module.exports = {
		"id": "NL",
		"name": "Netherlands",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.011814,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.053163,
				"21": 0.005907,
				"22": null,
				"23": 0.011814,
				"24": 0.005907,
				"25": null,
				"26": null,
				"27": 0.005907,
				"28": 0.005907,
				"29": 0.011814,
				"30": 0.011814,
				"31": 0.023628,
				"32": 0.017721,
				"33": 0.011814,
				"34": 0.029535,
				"35": 0.017721,
				"36": 0.017721,
				"37": 0.017721,
				"38": 0.082698,
				"39": 0.029535,
				"40": 0.029535,
				"41": 0.029535,
				"42": 0.041349,
				"43": 0.094512,
				"44": 0.070884,
				"45": 0.224466,
				"46": 0.141768,
				"47": 0.372141,
				"48": 0.324885,
				"49": 4.329831,
				"50": 2.398242,
				"51": 0.029535,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.011814
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.011814,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.005907,
				"19": null,
				"20": null,
				"21": 0.005907,
				"22": 0.011814,
				"23": null,
				"24": 0.017721,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.011814,
				"30": null,
				"31": 0.017721,
				"32": 0.011814,
				"33": 0.011814,
				"34": 0.011814,
				"35": 0.017721,
				"36": 0.011814,
				"37": 0.041349,
				"38": 0.041349,
				"39": 0.082698,
				"40": 0.017721,
				"41": 0.035442,
				"42": 0.029535,
				"43": 0.094512,
				"44": 0.047256,
				"45": 0.053163,
				"46": 0.047256,
				"47": 0.053163,
				"48": 0.212652,
				"49": 1.057353,
				"50": 0.189024,
				"51": 0.578886,
				"52": 0.23628,
				"53": 0.94512,
				"54": 25.270146,
				"55": 0.094512,
				"56": 0.041349,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.005907,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.023628,
				"37": 0.011814,
				"38": 0.053163,
				"39": null,
				"40": 0.011814,
				"41": 0.821073,
				"42": 0.029535,
				"43": 0.029535,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.029535
			},
			"safari": {
				"0": null,
				"4": 0.011814,
				"5": 0.047256,
				"6": 0.005907,
				"7": 0.029535,
				"8": 0.23628,
				"9": 0.265815,
				"10": 2.9535,
				"3.1": null,
				"3.2": null,
				"5.1": 0.11814,
				"6.1": 0.076791,
				"7.1": 0.011814,
				"9.1": 1.116423
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.329864344892,
				"8.1-8.4": 0.426074778819,
				"9.0-9.2": 0.328337195147,
				"9.3": 2.15022684078,
				"10-10.1": 11.4307158404
			},
			"android": {
				"3": 0,
				"4": 0.0264741349416,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00305470787787,
				"4.1": 0.0840044666415,
				"4.2-4.3": 0.239794568413,
				"4.4": 0.565120957407,
				"4.4.3-4.4.4": 0.432241164719
			},
			"op_mob": {
				"0": 0.0270973542664,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000752704285179
			},
			"ie": {
				"6": 0.0118576477833,
				"7": 0.0118576477833,
				"8": 0.166007068966,
				"9": 0.326085314039,
				"10": 0.213437660099,
				"11": 8.89323583744,
				"5.5": null
			},
			"edge": {
				"12": 0.106326,
				"13": 0.496188,
				"14": 3.579642
			},
			"bb": {
				"7": 0.00920925,
				"10": null
			},
			"ie_mob": {
				"10": 0.061951648,
				"11": 0.290046352
			},
			"and_ff": {
				"0": 0.049116
			},
			"samsung": {
				"0": 5.881641
			},
			"and_uc": {
				"0": 0.851344
			},
			"op_mini": {
				"0": 0.365077941448
			},
			"and_chr": {
				"0": 17.40409
			}
		},
		"total": 98.4372304261
	};

/***/ },
/* 599 */
/***/ function(module, exports) {

	module.exports = {
		"id": "NO",
		"name": "Norway",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.039888,
				"22": null,
				"23": 0.006648,
				"24": 0.006648,
				"25": 0.013296,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.006648,
				"30": 0.006648,
				"31": 0.013296,
				"32": null,
				"33": 0.013296,
				"34": 0.006648,
				"35": 0.006648,
				"36": 0.006648,
				"37": 0.086424,
				"38": 0.026592,
				"39": 0.013296,
				"40": 0.013296,
				"41": 0.019944,
				"42": 0.019944,
				"43": 0.039888,
				"44": 0.026592,
				"45": 0.113016,
				"46": 0.03324,
				"47": 0.159552,
				"48": 0.272568,
				"49": 3.749472,
				"50": 1.954512,
				"51": 0.013296,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.019944
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.006648,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.006648,
				"27": 0.013296,
				"28": null,
				"29": 0.013296,
				"30": null,
				"31": 0.019944,
				"32": 0.013296,
				"33": 0.013296,
				"34": 0.026592,
				"35": 0.019944,
				"36": 0.019944,
				"37": 0.019944,
				"38": 0.03324,
				"39": 0.03324,
				"40": 0.026592,
				"41": 0.093072,
				"42": 0.019944,
				"43": 0.06648,
				"44": 0.06648,
				"45": 0.059832,
				"46": 0.086424,
				"47": 0.086424,
				"48": 0.086424,
				"49": 0.870888,
				"50": 0.086424,
				"51": 0.305808,
				"52": 0.252624,
				"53": 1.389432,
				"54": 28.88556,
				"55": 0.126312,
				"56": 0.03324,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.006648,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.053184,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.03324,
				"37": 0.013296,
				"38": 0.019944,
				"39": null,
				"40": 0.019944,
				"41": 1.223232,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 4.05528
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.026592,
				"6": null,
				"7": 0.059832,
				"8": 0.358992,
				"9": 0.358992,
				"10": 3.536736,
				"3.1": null,
				"3.2": null,
				"5.1": 0.086424,
				"6.1": 0.073128,
				"7.1": 0.019944,
				"9.1": 1.69524
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.350187351453,
				"8.1-8.4": 0.45232532896,
				"9.0-9.2": 0.348566113714,
				"9.3": 2.2827027354,
				"10-10.1": 12.1349644705
			},
			"android": {
				"3": 0,
				"4": 0.011888281945,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0013717248398,
				"4.1": 0.0377224330946,
				"4.2-4.3": 0.107680399925,
				"4.4": 0.253769095364,
				"4.4.3-4.4.4": 0.194099064832
			},
			"op_mob": {
				"0": 0.187879279057,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0052188688627
			},
			"ie": {
				"6": 0.0133214875399,
				"7": 0.00666074376997,
				"8": 0.133214875399,
				"9": 0.179840081789,
				"10": 0.206483056869,
				"11": 9.88454375463,
				"5.5": null
			},
			"edge": {
				"12": 0.073128,
				"13": 0.445416,
				"14": 3.02484
			},
			"bb": {
				"7": 0.01089075,
				"10": null
			},
			"ie_mob": {
				"10": 0.051900288,
				"11": 0.242987712
			},
			"and_ff": {
				"0": 0.036861
			},
			"samsung": {
				"0": 3.763173
			},
			"and_uc": {
				"0": 0.063669
			},
			"op_mini": {
				"0": 2.53126485208
			},
			"and_chr": {
				"0": 10.396533
			}
		},
		"total": 98.54292675
	};

/***/ },
/* 600 */
/***/ function(module, exports) {

	module.exports = {
		"id": "NP",
		"name": "Nepal",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.05208,
				"4": 0.048608,
				"5": 0.048608,
				"6": 0.048608,
				"7": null,
				"8": 0.003472,
				"9": 0.013888,
				"10": 0.010416,
				"11": 0.013888,
				"12": 0.031248,
				"13": 0.006944,
				"14": 0.024304,
				"15": 0.013888,
				"16": 0.013888,
				"17": 0.010416,
				"18": null,
				"19": 0.006944,
				"20": 0.003472,
				"21": 0.013888,
				"22": 0.010416,
				"23": 0.013888,
				"24": 0.003472,
				"25": 0.010416,
				"26": 0.003472,
				"27": 0.006944,
				"28": 0.010416,
				"29": 0.027776,
				"30": 0.013888,
				"31": 0.031248,
				"32": 0.01736,
				"33": 0.031248,
				"34": 0.020832,
				"35": 0.024304,
				"36": 0.027776,
				"37": 0.020832,
				"38": 0.031248,
				"39": 0.038192,
				"40": 0.024304,
				"41": 0.024304,
				"42": 0.027776,
				"43": 0.180544,
				"44": 0.201376,
				"45": 0.06944,
				"46": 0.059024,
				"47": 0.406224,
				"48": 0.194432,
				"49": 2.624832,
				"50": 1.985984,
				"51": 0.31248,
				"52": 0.003472,
				"53": null,
				"3.5": null,
				"3.6": 0.010416
			},
			"chrome": {
				"4": 0.006944,
				"5": 0.01736,
				"6": 0.010416,
				"7": 0.006944,
				"8": 0.010416,
				"9": 0.010416,
				"10": 0.006944,
				"11": 0.031248,
				"12": 0.06944,
				"13": 0.006944,
				"14": 0.010416,
				"15": 0.010416,
				"16": 0.048608,
				"17": 0.045136,
				"18": 0.010416,
				"19": 0.059024,
				"20": 0.024304,
				"21": 0.010416,
				"22": 0.038192,
				"23": 0.010416,
				"24": 0.041664,
				"25": 0.027776,
				"26": 0.024304,
				"27": 0.027776,
				"28": 0.045136,
				"29": 0.031248,
				"30": 0.083328,
				"31": 0.163184,
				"32": 0.302064,
				"33": 0.12152,
				"34": 0.020832,
				"35": 0.010416,
				"36": 0.01736,
				"37": 0.006944,
				"38": 0.013888,
				"39": 0.020832,
				"40": 0.013888,
				"41": 0.013888,
				"42": 0.01736,
				"43": 0.187488,
				"44": 0.024304,
				"45": 0.027776,
				"46": 0.031248,
				"47": 0.06944,
				"48": 0.03472,
				"49": 0.857584,
				"50": 0.05208,
				"51": 0.388864,
				"52": 0.270816,
				"53": 0.565936,
				"54": 19.526528,
				"55": 0.15624,
				"56": 0.253456,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.003472,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.003472,
				"29": null,
				"30": 0.003472,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.003472,
				"35": 0.003472,
				"36": 0.024304,
				"37": 0.03472,
				"38": 0.01736,
				"39": 0.006944,
				"40": 0.01736,
				"41": 0.604128,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.006944,
				"12.1": 0.013888
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": 0.006944,
				"8": 0.03472,
				"9": 0.031248,
				"10": 0.253456,
				"3.1": null,
				"3.2": null,
				"5.1": 0.05208,
				"6.1": 0.006944,
				"7.1": 0.003472,
				"9.1": 0.10416
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0951485060918,
				"8.1-8.4": 0.122900153702,
				"9.0-9.2": 0.0947080037488,
				"9.3": 0.620227298969,
				"10-10.1": 3.29716003749
			},
			"android": {
				"3": 0,
				"4": 0.0949402005277,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0109546385224,
				"4.1": 0.301252559367,
				"4.2-4.3": 0.859939124011,
				"4.4": 2.02660812665,
				"4.4.3-4.4.4": 1.55008135092
			},
			"op_mob": {
				"0": 1.25737549761,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0349270971557
			},
			"ie": {
				"6": 0.00362295652174,
				"7": 0.0470984347826,
				"8": 0.173901913043,
				"9": 0.0724591304348,
				"10": 0.112311652174,
				"11": 0.340557913043,
				"5.5": null
			},
			"edge": {
				"12": 0.124992,
				"13": 0.079856,
				"14": 0.180544
			},
			"bb": {
				"7": 0.00816,
				"10": null
			},
			"ie_mob": {
				"10": 0.0574464,
				"11": 0.2689536
			},
			"and_ff": {
				"0": 0.013056
			},
			"samsung": {
				"0": 2.115072
			},
			"and_uc": {
				"0": 7.579008
			},
			"op_mini": {
				"0": 16.9404014052
			},
			"and_chr": {
				"0": 28.212816
			}
		},
		"total": 98.659712
	};

/***/ },
/* 601 */
/***/ function(module, exports) {

	module.exports = {
		"id": "NR",
		"name": "Nauru",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.008263,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.024789,
				"9": null,
				"10": 0.090893,
				"11": null,
				"12": null,
				"13": null,
				"14": 1.123768,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.016526,
				"21": 0.016526,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.016526,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": 1.016349,
				"31": 0.008263,
				"32": null,
				"33": 0.016526,
				"34": null,
				"35": 0.016526,
				"36": null,
				"37": 0.049578,
				"38": null,
				"39": null,
				"40": 4.428968,
				"41": null,
				"42": 0.008263,
				"43": null,
				"44": 0.008263,
				"45": 0.024789,
				"46": 0.008263,
				"47": 0.024789,
				"48": 0.090893,
				"49": 0.537095,
				"50": 0.305731,
				"51": null,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.057841,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.008263,
				"28": 0.041315,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.08263,
				"36": 0.008263,
				"37": null,
				"38": null,
				"39": 0.008263,
				"40": null,
				"41": 0.049578,
				"42": 0.041315,
				"43": null,
				"44": 0.016526,
				"45": null,
				"46": 0.049578,
				"47": null,
				"48": null,
				"49": 0.041315,
				"50": 0.016526,
				"51": 0.099156,
				"52": 0.041315,
				"53": 0.24789,
				"54": 5.470106,
				"55": null,
				"56": null,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.033052,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": null,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.008263
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.024789,
				"10": 0.066104,
				"3.1": null,
				"3.2": null,
				"5.1": 0.016526,
				"6.1": null,
				"7.1": null,
				"9.1": 0.074367
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.00640383880037,
				"8.1-8.4": 0.00827162511715,
				"9.0-9.2": 0.00637419139852,
				"9.3": 0.0417435418099,
				"10-10.1": 0.221910802874
			},
			"android": {
				"3": 0,
				"4": 0.0400830817942,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00462497097625,
				"4.1": 0.127186701847,
				"4.2-4.3": 0.363060221636,
				"4.4": 0.855619630607,
				"4.4.3-4.4.4": 0.65443339314
			},
			"op_mob": {
				"0": 0.0816484617499,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00226801282639
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 3.949714,
				"9": 4.271971,
				"10": 0.033052,
				"11": 59.477074,
				"5.5": null
			},
			"edge": {
				"12": 0.016526,
				"13": 0.272679,
				"14": 0.041315
			},
			"bb": {
				"7": 0.003472,
				"10": null
			},
			"ie_mob": {
				"10": 0.043691648,
				"11": 0.204556352
			},
			"and_ff": {
				"0": 0.010416
			},
			"samsung": {
				"0": 0.927024
			},
			"and_uc": {
				"0": 3.41992
			},
			"op_mini": {
				"0": 1.10003552542
			},
			"and_chr": {
				"0": 9.252114
			}
		},
		"total": 99.781757
	};

/***/ },
/* 602 */
/***/ function(module, exports) {

	module.exports = {
		"id": "NU",
		"name": "Niue",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.08533,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": 0.34132,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.17066,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.25599,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.08533,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": null,
				"42": null,
				"43": null,
				"44": null,
				"45": 0.25599,
				"46": null,
				"47": 1.527407,
				"48": 6.024298,
				"49": 3.814251,
				"50": 7.637035,
				"51": 0.08533,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.759437,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.34132,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.08533,
				"36": 0.25599,
				"37": 0.25599,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.17066,
				"42": null,
				"43": null,
				"44": null,
				"45": 0.34132,
				"46": null,
				"47": null,
				"48": 0.68264,
				"49": 3.310804,
				"50": 3.140144,
				"51": null,
				"52": 2.286844,
				"53": 6.698405,
				"54": 22.902572,
				"55": null,
				"56": null,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": 1.527407,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0.25599,
				"5": 0.08533,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.68264,
				"3.1": null,
				"3.2": null,
				"5.1": null,
				"6.1": null,
				"7.1": null,
				"9.1": 0.844767
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0516097619494,
				"8.1-8.4": 0.0666626091846,
				"9.0-9.2": 0.0513708278663,
				"9.3": 0.336419189003,
				"10-10.1": 1.788421612
			},
			"android": {
				"3": 0,
				"4": 0.00673299057671,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.000776883528081,
				"4.1": 0.0213642970222,
				"4.2-4.3": 0.0609853569544,
				"4.4": 0.143723452695,
				"4.4.3-4.4.4": 0.109929019224
			},
			"op_mob": {
				"0": 0,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 1.85223506858,
				"9": 0.465385695624,
				"10": 1.01454081646,
				"11": 10.9179484193,
				"5.5": null
			},
			"edge": {
				"12": null,
				"13": 1.954057,
				"14": 0.59731
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0.080869184,
				"11": 0.378614816
			},
			"and_ff": {
				"0": 1.146508
			},
			"samsung": {
				"0": 1.261012
			},
			"and_uc": {
				"0": null
			},
			"op_mini": {
				"0": 0
			},
			"and_chr": {
				"0": 11.515808
			}
		},
		"total": 98.732816
	};

/***/ },
/* 603 */
/***/ function(module, exports) {

	module.exports = {
		"id": "NZ",
		"name": "New Zealand",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.005998,
				"11": null,
				"12": 0.005998,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.005998,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.005998,
				"22": null,
				"23": null,
				"24": 0.011996,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.011996,
				"29": 0.011996,
				"30": null,
				"31": 0.017994,
				"32": null,
				"33": 0.011996,
				"34": 0.011996,
				"35": null,
				"36": 0.005998,
				"37": 0.035988,
				"38": 0.035988,
				"39": 0.035988,
				"40": 0.017994,
				"41": 0.041986,
				"42": 0.02999,
				"43": 0.047984,
				"44": 0.02999,
				"45": 0.14995,
				"46": 0.035988,
				"47": 0.215928,
				"48": 0.257914,
				"49": 3.670776,
				"50": 2.027324,
				"51": 0.023992,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.005998
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.011996,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.017994,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.017994,
				"27": 0.005998,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.017994,
				"32": 0.005998,
				"33": 0.011996,
				"34": 0.035988,
				"35": 0.017994,
				"36": 0.02999,
				"37": 0.017994,
				"38": 0.047984,
				"39": 0.05998,
				"40": 0.023992,
				"41": 0.02999,
				"42": 0.047984,
				"43": 0.077974,
				"44": 0.125958,
				"45": 0.335888,
				"46": 0.05998,
				"47": 0.233922,
				"48": 0.08997,
				"49": 1.463512,
				"50": 0.215928,
				"51": 0.44985,
				"52": 0.455848,
				"53": 1.691436,
				"54": 30.313892,
				"55": 0.101966,
				"56": 0.05998,
				"57": 0.011996
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.011996,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.017994,
				"37": 0.011996,
				"38": 0.017994,
				"39": null,
				"40": null,
				"41": 0.191936,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.023992
			},
			"safari": {
				"0": null,
				"4": 0.011996,
				"5": 0.065978,
				"6": 0.011996,
				"7": 0.041986,
				"8": 0.281906,
				"9": 0.311896,
				"10": 2.633122,
				"3.1": null,
				"3.2": null,
				"5.1": 0.11996,
				"6.1": 0.083972,
				"7.1": 0.011996,
				"9.1": 1.193602
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.40598748641,
				"8.1-8.4": 0.52440050328,
				"9.0-9.2": 0.404107914714,
				"9.3": 2.64643694845,
				"10-10.1": 14.0685941471
			},
			"android": {
				"3": 0,
				"4": 0.0252643166227,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00291511345646,
				"4.1": 0.0801656200528,
				"4.2-4.3": 0.228836406332,
				"4.4": 0.539295989446,
				"4.4.3-4.4.4": 0.41248855409
			},
			"op_mob": {
				"0": 0.0184958504144,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000513773622621
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.187501964486,
				"9": 0.217744216822,
				"10": 0.199598865421,
				"11": 5.8609485028,
				"5.5": null
			},
			"edge": {
				"12": 0.071976,
				"13": 0.377874,
				"14": 2.621126
			},
			"bb": {
				"7": 0.01100825,
				"10": null
			},
			"ie_mob": {
				"10": 0.057066768,
				"11": 0.267176232
			},
			"and_ff": {
				"0": 0.036027
			},
			"samsung": {
				"0": 3.422565
			},
			"and_uc": {
				"0": 0.528396
			},
			"op_mini": {
				"0": 0.249191375963
			},
			"and_chr": {
				"0": 17.461287
			}
		},
		"total": 98.8330157995
	};

/***/ },
/* 604 */
/***/ function(module, exports) {

	module.exports = {
		"id": "OM",
		"name": "Oman",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": 0.00267,
				"5": null,
				"6": 0.001335,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.00267,
				"11": null,
				"12": 0.00801,
				"13": null,
				"14": 0.001335,
				"15": 0.001335,
				"16": 0.00267,
				"17": null,
				"18": 0.001335,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.00267,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.00267,
				"29": 0.001335,
				"30": 0.00534,
				"31": null,
				"32": null,
				"33": 0.00267,
				"34": 0.00267,
				"35": 0.001335,
				"36": 0.00267,
				"37": 0.006675,
				"38": 0.00534,
				"39": 0.004005,
				"40": 0.006675,
				"41": 0.004005,
				"42": 0.004005,
				"43": 0.017355,
				"44": 0.02403,
				"45": 0.012015,
				"46": 0.01602,
				"47": 0.08811,
				"48": 0.054735,
				"49": 0.602085,
				"50": 0.308385,
				"51": 0.022695,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.004005
			},
			"chrome": {
				"4": null,
				"5": 0.00267,
				"6": 0.001335,
				"7": null,
				"8": null,
				"9": 0.004005,
				"10": 0.001335,
				"11": 0.00801,
				"12": 0.00267,
				"13": 0.004005,
				"14": 0.00267,
				"15": 0.004005,
				"16": null,
				"17": 0.00267,
				"18": null,
				"19": 0.004005,
				"20": 0.001335,
				"21": 0.00267,
				"22": 0.009345,
				"23": 0.006675,
				"24": 0.00267,
				"25": 0.00534,
				"26": 0.004005,
				"27": 0.00267,
				"28": 0.006675,
				"29": 0.01335,
				"30": 0.009345,
				"31": 0.00801,
				"32": 0.004005,
				"33": 0.017355,
				"34": 0.009345,
				"35": 0.00801,
				"36": 0.038715,
				"37": 0.001335,
				"38": 0.0267,
				"39": 0.009345,
				"40": 0.00534,
				"41": 0.00534,
				"42": 0.00801,
				"43": 0.08277,
				"44": 0.028035,
				"45": 0.01068,
				"46": 0.01068,
				"47": 0.041385,
				"48": 0.01068,
				"49": 0.361785,
				"50": 0.02136,
				"51": 0.09345,
				"52": 0.05874,
				"53": 0.19491,
				"54": 6.81918,
				"55": 0.04806,
				"56": 0.030705,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.00267,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.004005,
				"37": 0.006675,
				"38": 0.004005,
				"39": null,
				"40": 0.00534,
				"41": 0.142845,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.00267
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.006675,
				"6": 0.006675,
				"7": 0.012015,
				"8": 0.05073,
				"9": 0.06942,
				"10": 0.28035,
				"3.1": null,
				"3.2": null,
				"5.1": 0.01068,
				"6.1": 0.014685,
				"7.1": 0.00267,
				"9.1": 0.166875
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0658767385192,
				"8.1-8.4": 0.085090787254,
				"9.0-9.2": 0.0655717536187,
				"9.3": 0.429418739977,
				"10-10.1": 2.28281198063
			},
			"android": {
				"3": 0,
				"4": 0.208051451187,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0240059366755,
				"4.1": 0.660163258575,
				"4.2-4.3": 1.88446602902,
				"4.4": 4.44109828496,
				"4.4.3-4.4.4": 3.39684003958
			},
			"op_mob": {
				"0": 0.011951226419,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00033197851164
			},
			"ie": {
				"6": null,
				"7": 0.0026811117717,
				"8": 0.184996712247,
				"9": 0.21314838585,
				"10": 0.258727285969,
				"11": 1.59526150416,
				"5.5": null
			},
			"edge": {
				"12": 0.038715,
				"13": 0.12549,
				"14": 0.28035
			},
			"bb": {
				"7": 0.01083125,
				"10": null
			},
			"ie_mob": {
				"10": 0.02135056,
				"11": 0.09995944
			},
			"and_ff": {
				"0": null
			},
			"samsung": {
				"0": 3.977235
			},
			"and_uc": {
				"0": 0.164635
			},
			"op_mini": {
				"0": 0.161016795069
			},
			"and_chr": {
				"0": 68.05468
			}
		},
		"total": 98.81199125
	};

/***/ },
/* 605 */
/***/ function(module, exports) {

	module.exports = {
		"id": "PA",
		"name": "Panama",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.005284,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.010568,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": 0.005284,
				"33": null,
				"34": null,
				"35": 0.005284,
				"36": 0.010568,
				"37": 0.015852,
				"38": 0.021136,
				"39": 0.02642,
				"40": 0.021136,
				"41": 0.021136,
				"42": 0.010568,
				"43": 0.07926,
				"44": 0.031704,
				"45": 0.07926,
				"46": 0.047556,
				"47": 0.206076,
				"48": 0.327608,
				"49": 2.515184,
				"50": 1.55878,
				"51": 0.015852,
				"52": null,
				"53": null,
				"3.5": 0.010568,
				"3.6": 0.010568
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.021136,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.010568,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.015852,
				"23": null,
				"24": null,
				"25": 0.010568,
				"26": 0.010568,
				"27": null,
				"28": 0.005284,
				"29": 0.095112,
				"30": null,
				"31": 0.036988,
				"32": 0.005284,
				"33": null,
				"34": 0.02642,
				"35": 0.042272,
				"36": 0.021136,
				"37": 0.021136,
				"38": 0.042272,
				"39": 0.031704,
				"40": 0.021136,
				"41": 0.031704,
				"42": 0.015852,
				"43": 0.089828,
				"44": 0.05284,
				"45": 0.190224,
				"46": 0.042272,
				"47": 0.047556,
				"48": 0.07926,
				"49": 1.521792,
				"50": 0.110964,
				"51": 0.364596,
				"52": 0.258916,
				"53": 0.87186,
				"54": 31.106908,
				"55": 0.095112,
				"56": 0.021136,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.021136,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.005284,
				"37": 0.036988,
				"38": 0.031704,
				"39": null,
				"40": 0.010568,
				"41": 0.280052,
				"42": 0.010568,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.005284
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.036988,
				"6": 0.015852,
				"7": 0.031704,
				"8": 0.322324,
				"9": 0.31704,
				"10": 2.335528,
				"3.1": null,
				"3.2": null,
				"5.1": 0.073976,
				"6.1": 0.073976,
				"7.1": 0.005284,
				"9.1": 1.173048
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.109047002812,
				"8.1-8.4": 0.140852378632,
				"9.0-9.2": 0.108542155576,
				"9.3": 0.710824907216,
				"10-10.1": 3.77878155576
			},
			"android": {
				"3": 0,
				"4": 0.114435437618,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0132040889559,
				"4.1": 0.363112446287,
				"4.2-4.3": 1.03652098304,
				"4.4": 2.44275645684,
				"4.4.3-4.4.4": 1.86837858726
			},
			"op_mob": {
				"0": 0.0705744401782,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00196040111606
			},
			"ie": {
				"6": null,
				"7": 0.00535032635983,
				"8": 0.358471866109,
				"9": 0.214013054393,
				"10": 0.203312401674,
				"11": 3.01223374059,
				"5.5": null
			},
			"edge": {
				"12": 0.121532,
				"13": 0.3963,
				"14": 1.236456
			},
			"bb": {
				"7": 0.029475,
				"10": null
			},
			"ie_mob": {
				"10": 0.035690688,
				"11": 0.167097312
			},
			"and_ff": {
				"0": 0.009432
			},
			"samsung": {
				"0": 8.30016
			},
			"and_uc": {
				"0": 0.249948
			},
			"op_mini": {
				"0": 0.950837158706
			},
			"and_chr": {
				"0": 27.758896
			}
		},
		"total": 98.9494083891
	};

/***/ },
/* 606 */
/***/ function(module, exports) {

	module.exports = {
		"id": "PE",
		"name": "Peru",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.029272,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.007318,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.007318,
				"31": 0.014636,
				"32": null,
				"33": 0.007318,
				"34": 0.014636,
				"35": 0.014636,
				"36": 0.014636,
				"37": 0.021954,
				"38": 0.021954,
				"39": 0.029272,
				"40": 0.021954,
				"41": 0.021954,
				"42": 0.029272,
				"43": 0.10977,
				"44": 0.021954,
				"45": 0.065862,
				"46": 0.043908,
				"47": 0.263448,
				"48": 0.153678,
				"49": 1.770956,
				"50": 0.973294,
				"51": 0.014636,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.007318
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.021954,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.014636,
				"19": null,
				"20": 0.03659,
				"21": 0.014636,
				"22": 0.07318,
				"23": 0.021954,
				"24": 0.029272,
				"25": 0.043908,
				"26": 0.058544,
				"27": 0.014636,
				"28": 0.007318,
				"29": 0.07318,
				"30": 0.014636,
				"31": 0.065862,
				"32": 0.021954,
				"33": 0.058544,
				"34": 0.065862,
				"35": 0.03659,
				"36": 0.043908,
				"37": 0.043908,
				"38": 0.080498,
				"39": 0.124406,
				"40": 0.07318,
				"41": 0.051226,
				"42": 0.058544,
				"43": 0.18295,
				"44": 0.153678,
				"45": 0.139042,
				"46": 0.226858,
				"47": 0.204904,
				"48": 0.234176,
				"49": 3.40287,
				"50": 0.409808,
				"51": 1.17088,
				"52": 0.922068,
				"53": 2.283216,
				"54": 52.338336,
				"55": 0.153678,
				"56": 0.051226,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.014636,
				"37": 0.014636,
				"38": 0.03659,
				"39": null,
				"40": 0.007318,
				"41": 0.351264,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": 0.065862,
				"8": 0.07318,
				"9": 0.080498,
				"10": 0.417126,
				"3.1": null,
				"3.2": null,
				"5.1": 0.014636,
				"6.1": null,
				"7.1": null,
				"9.1": 0.204904
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0366043186504,
				"8.1-8.4": 0.0472805782568,
				"9.0-9.2": 0.0364348542122,
				"9.3": 0.238605928981,
				"10-10.1": 1.2684413199
			},
			"android": {
				"3": 0,
				"4": 0.0334210448549,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00385627440633,
				"4.1": 0.106047546174,
				"4.2-4.3": 0.302717540897,
				"4.4": 0.713410765172,
				"4.4.3-4.4.4": 0.545662828496
			},
			"op_mob": {
				"0": 0.0819057613793,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00227516003831
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.288015571429,
				"9": 0.106111,
				"10": 0.181904571429,
				"11": 1.33396685714,
				"5.5": null
			},
			"edge": {
				"12": 0.058544,
				"13": 0.139042,
				"14": 0.417126
			},
			"bb": {
				"7": 0.01273475,
				"10": null
			},
			"ie_mob": {
				"10": 0.14391608,
				"11": 0.67378892
			},
			"and_ff": {
				"0": 0.045577
			},
			"samsung": {
				"0": 0.973203
			},
			"and_uc": {
				"0": 0.168903
			},
			"op_mini": {
				"0": 1.10350207858
			},
			"and_chr": {
				"0": 21.710142
			}
		},
		"total": 98.75736075
	};

/***/ },
/* 607 */
/***/ function(module, exports) {

	module.exports = {
		"id": "PF",
		"name": "French Polynesia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.006103,
				"3": null,
				"4": 0.012206,
				"5": 0.067133,
				"6": 0.006103,
				"7": null,
				"8": 0.06103,
				"9": 0.042721,
				"10": 0.030515,
				"11": null,
				"12": 0.048824,
				"13": null,
				"14": null,
				"15": 0.006103,
				"16": 0.048824,
				"17": 0.097648,
				"18": null,
				"19": 0.012206,
				"20": 0.012206,
				"21": 0.018309,
				"22": null,
				"23": 0.018309,
				"24": 0.012206,
				"25": 0.012206,
				"26": 0.018309,
				"27": null,
				"28": 0.128163,
				"29": 0.006103,
				"30": 0.024412,
				"31": 0.030515,
				"32": 0.12206,
				"33": 0.006103,
				"34": 0.030515,
				"35": 0.006103,
				"36": 0.018309,
				"37": 0.134266,
				"38": 0.256326,
				"39": 0.024412,
				"40": 0.042721,
				"41": 0.042721,
				"42": 0.030515,
				"43": 0.225811,
				"44": 0.054927,
				"45": 0.457725,
				"46": 0.103751,
				"47": 0.512652,
				"48": 1.006995,
				"49": 9.014131,
				"50": 4.296512,
				"51": 0.048824,
				"52": null,
				"53": null,
				"3.5": 0.012206,
				"3.6": 0.048824
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.006103,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.012206,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.030515,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.006103,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.018309,
				"32": 0.012206,
				"33": null,
				"34": 0.018309,
				"35": 0.018309,
				"36": 0.018309,
				"37": 0.018309,
				"38": 0.018309,
				"39": 0.012206,
				"40": 0.073236,
				"41": 0.097648,
				"42": 0.012206,
				"43": 0.054927,
				"44": 0.048824,
				"45": 0.054927,
				"46": 0.036618,
				"47": 0.018309,
				"48": 0.115957,
				"49": 1.379278,
				"50": 0.024412,
				"51": 0.231914,
				"52": 0.152575,
				"53": 1.104643,
				"54": 23.203606,
				"55": 0.091545,
				"56": 0.030515,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.024412,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.024412,
				"37": 0.018309,
				"38": null,
				"39": 0.012206,
				"40": 0.006103,
				"41": 1.373175,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.012206
			},
			"safari": {
				"0": null,
				"4": 0.012206,
				"5": 0.12206,
				"6": 0.042721,
				"7": 0.817802,
				"8": 0.311253,
				"9": 0.378386,
				"10": 2.972161,
				"3.1": null,
				"3.2": null,
				"5.1": 0.518755,
				"6.1": 0.225811,
				"7.1": 0.006103,
				"9.1": 1.660016
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.224046455483,
				"8.1-8.4": 0.289393338332,
				"9.0-9.2": 0.223009203374,
				"9.3": 1.46045096907,
				"10-10.1": 7.76383203374
			},
			"android": {
				"3": 0,
				"4": 0.0559887116472,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00646023595929,
				"4.1": 0.177656488881,
				"4.2-4.3": 0.507128522804,
				"4.4": 1.19514365247,
				"4.4.3-4.4.4": 0.91412338824
			},
			"op_mob": {
				"0": 0.0137061188523,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000380725523675
			},
			"ie": {
				"6": null,
				"7": 0.006103,
				"8": 0.140369,
				"9": 0.091545,
				"10": 0.170884,
				"11": 3.435989,
				"5.5": null
			},
			"edge": {
				"12": 0.189193,
				"13": 0.42721,
				"14": 1.263321
			},
			"bb": {
				"7": 0.0136395,
				"10": null
			},
			"ie_mob": {
				"10": 0.19204416,
				"11": 0.89911584
			},
			"and_ff": {
				"0": 0.101322
			},
			"samsung": {
				"0": 4.493241
			},
			"and_uc": {
				"0": 0.124704
			},
			"op_mini": {
				"0": 0.184660155624
			},
			"and_chr": {
				"0": 20.602372
			}
		},
		"total": 97.8420255
	};

/***/ },
/* 608 */
/***/ function(module, exports) {

	module.exports = {
		"id": "PG",
		"name": "Papua New Guinea",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.093932,
				"4": 0.006126,
				"5": 0.004084,
				"6": 0.006126,
				"7": 0.016336,
				"8": 0.002042,
				"9": null,
				"10": 0.004084,
				"11": 0.008168,
				"12": 0.01021,
				"13": 0.008168,
				"14": 0.004084,
				"15": 0.008168,
				"16": 0.004084,
				"17": null,
				"18": 0.004084,
				"19": 0.004084,
				"20": 0.004084,
				"21": null,
				"22": 0.01021,
				"23": 0.004084,
				"24": 0.01021,
				"25": 0.02042,
				"26": 0.006126,
				"27": 0.002042,
				"28": 0.014294,
				"29": 0.006126,
				"30": 0.016336,
				"31": 0.012252,
				"32": 0.038798,
				"33": 0.004084,
				"34": 0.008168,
				"35": 0.016336,
				"36": 0.002042,
				"37": 0.038798,
				"38": 0.02042,
				"39": 0.008168,
				"40": 0.598306,
				"41": 0.036756,
				"42": 0.006126,
				"43": 0.524794,
				"44": 0.13273,
				"45": 0.04084,
				"46": 0.049008,
				"47": 1.11289,
				"48": 0.1021,
				"49": 2.037916,
				"50": 0.65344,
				"51": 0.022462,
				"52": null,
				"53": null,
				"3.5": 0.004084,
				"3.6": 0.01021
			},
			"chrome": {
				"4": 0.006126,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.008168,
				"12": 0.004084,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": 0.004084,
				"18": 0.008168,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.006126,
				"23": null,
				"24": null,
				"25": 0.004084,
				"26": 0.02042,
				"27": 0.006126,
				"28": 0.004084,
				"29": null,
				"30": 0.004084,
				"31": 0.159276,
				"32": 0.008168,
				"33": 0.004084,
				"34": 0.024504,
				"35": 0.006126,
				"36": 0.022462,
				"37": 0.049008,
				"38": 0.008168,
				"39": 0.026546,
				"40": 0.008168,
				"41": 0.057176,
				"42": 0.006126,
				"43": 0.057176,
				"44": 0.02042,
				"45": 0.03063,
				"46": 0.185822,
				"47": 0.032672,
				"48": 0.036756,
				"49": 0.181738,
				"50": 0.181738,
				"51": 0.196032,
				"52": 0.167444,
				"53": 0.351224,
				"54": 6.83049,
				"55": 0.012252,
				"56": 0.098016,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.004084,
				"30": 0.002042,
				"31": null,
				"32": 0.01021,
				"33": null,
				"34": 0.002042,
				"35": 0.006126,
				"36": 0.004084,
				"37": 0.034714,
				"38": 0.016336,
				"39": 0.004084,
				"40": 0.008168,
				"41": 0.4084,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.014294,
				"6": 0.006126,
				"7": 0.016336,
				"8": 0.157234,
				"9": 0.04084,
				"10": 0.189906,
				"3.1": null,
				"3.2": null,
				"5.1": 0.026546,
				"6.1": 0.002042,
				"7.1": 0.004084,
				"9.1": 0.07147
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.014677923149,
				"8.1-8.4": 0.0189589840675,
				"9.0-9.2": 0.0146099698011,
				"9.3": 0.0956783138603,
				"10-10.1": 0.508630809122
			},
			"android": {
				"3": 0,
				"4": 0.0744026505842,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00858492122126,
				"4.1": 0.236085333585,
				"4.2-4.3": 0.673916315869,
				"4.4": 1.58821042593,
				"4.4.3-4.4.4": 1.21476635281
			},
			"op_mob": {
				"0": 0.328734033732,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00913150093699
			},
			"ie": {
				"6": 0.00205718649886,
				"7": 0.00411437299771,
				"8": 0.483438827231,
				"9": 0.481381640732,
				"10": 0.271548617849,
				"11": 2.35342135469,
				"5.5": null
			},
			"edge": {
				"12": 0.100058,
				"13": 0.24504,
				"14": 0.134772
			},
			"bb": {
				"7": 0.0139265,
				"10": null
			},
			"ie_mob": {
				"10": 0.040617632,
				"11": 0.190164368
			},
			"and_ff": {
				"0": null
			},
			"samsung": {
				"0": 0.962918
			},
			"and_uc": {
				"0": 62.0724
			},
			"op_mini": {
				"0": 4.42897646533
			},
			"and_chr": {
				"0": 7.308884
			}
		},
		"total": 99.5054905
	};

/***/ },
/* 609 */
/***/ function(module, exports) {

	module.exports = {
		"id": "PH",
		"name": "Philippines",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.01139,
				"4": 0.005695,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.01139,
				"12": 0.01139,
				"13": 0.005695,
				"14": 0.01139,
				"15": 0.005695,
				"16": 0.01139,
				"17": null,
				"18": 0.005695,
				"19": 0.005695,
				"20": 0.01139,
				"21": 0.02278,
				"22": 0.01139,
				"23": 0.017085,
				"24": 0.01139,
				"25": 0.01139,
				"26": 0.017085,
				"27": 0.01139,
				"28": 0.01139,
				"29": 0.02278,
				"30": 0.02278,
				"31": 0.02278,
				"32": 0.017085,
				"33": 0.02278,
				"34": 0.017085,
				"35": 0.028475,
				"36": 0.028475,
				"37": 0.04556,
				"38": 0.074035,
				"39": 0.051255,
				"40": 0.051255,
				"41": 0.062645,
				"42": 0.051255,
				"43": 0.17085,
				"44": 0.09112,
				"45": 0.12529,
				"46": 0.06834,
				"47": 0.336005,
				"48": 0.21641,
				"49": 2.25522,
				"50": 1.326935,
				"51": 0.108205,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.017085
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": 0.005695,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.01139,
				"11": 0.028475,
				"12": 0.017085,
				"13": 0.005695,
				"14": 0.005695,
				"15": 0.005695,
				"16": 0.017085,
				"17": 0.01139,
				"18": 0.028475,
				"19": 0.017085,
				"20": 0.01139,
				"21": 0.02278,
				"22": 0.04556,
				"23": 0.028475,
				"24": 0.028475,
				"25": 0.04556,
				"26": 0.051255,
				"27": 0.039865,
				"28": 0.05695,
				"29": 0.051255,
				"30": 0.04556,
				"31": 0.176545,
				"32": 0.04556,
				"33": 0.142375,
				"34": 0.04556,
				"35": 0.05695,
				"36": 0.05695,
				"37": 0.039865,
				"38": 0.04556,
				"39": 0.085425,
				"40": 0.074035,
				"41": 0.074035,
				"42": 0.06834,
				"43": 0.19363,
				"44": 0.187935,
				"45": 0.17085,
				"46": 0.25058,
				"47": 0.25058,
				"48": 0.25058,
				"49": 2.443155,
				"50": 0.35309,
				"51": 1.09344,
				"52": 0.757435,
				"53": 1.964775,
				"54": 33.96498,
				"55": 0.222105,
				"56": 0.301835,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": 0.005695,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.028475,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.01139,
				"37": 0.03417,
				"38": 0.01139,
				"39": null,
				"40": 0.01139,
				"41": 0.23919,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.01139
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.01139,
				"6": null,
				"7": 0.028475,
				"8": 0.09112,
				"9": 0.108205,
				"10": 0.48977,
				"3.1": null,
				"3.2": null,
				"5.1": 0.028475,
				"6.1": 0.01139,
				"7.1": null,
				"9.1": 0.26197
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.167035613871,
				"8.1-8.4": 0.215754334583,
				"9.0-9.2": 0.166262300843,
				"9.3": 1.08882474227,
				"10-10.1": 5.78824800843
			},
			"android": {
				"3": 0,
				"4": 0.0719760949868,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00830493403694,
				"4.1": 0.228385686016,
				"4.2-4.3": 0.6519373219,
				"4.4": 1.53641279683,
				"4.4.3-4.4.4": 1.17514816623
			},
			"op_mob": {
				"0": 0.566158146004,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0157266151668
			},
			"ie": {
				"6": null,
				"7": 0.32096,
				"8": 0.217794285714,
				"9": 0.0745085714286,
				"10": 0.0859714285714,
				"11": 1.98880571429,
				"5.5": null
			},
			"edge": {
				"12": 0.07973,
				"13": 0.13668,
				"14": 0.336005
			},
			"bb": {
				"7": 0.02690625,
				"10": null
			},
			"ie_mob": {
				"10": 0.0606144,
				"11": 0.2837856
			},
			"and_ff": {
				"0": 0.02583
			},
			"samsung": {
				"0": 1.674645
			},
			"and_uc": {
				"0": 1.597155
			},
			"op_mini": {
				"0": 7.62775023883
			},
			"and_chr": {
				"0": 22.04158
			}
		},
		"total": 98.98426125
	};

/***/ },
/* 610 */
/***/ function(module, exports) {

	module.exports = {
		"id": "PK",
		"name": "Pakistan",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.0885,
				"4": 0.00295,
				"5": 0.00295,
				"6": 0.00295,
				"7": null,
				"8": 0.00295,
				"9": null,
				"10": 0.0059,
				"11": 0.0059,
				"12": 0.00885,
				"13": 0.00295,
				"14": 0.00885,
				"15": 0.0059,
				"16": 0.00885,
				"17": 0.0059,
				"18": 0.0236,
				"19": 0.0059,
				"20": 0.00295,
				"21": 0.00885,
				"22": 0.00295,
				"23": 0.0118,
				"24": 0.0059,
				"25": 0.00885,
				"26": 0.0059,
				"27": 0.00885,
				"28": 0.0059,
				"29": 0.02065,
				"30": 0.01475,
				"31": 0.0118,
				"32": 0.0118,
				"33": 0.0177,
				"34": 0.00885,
				"35": 0.02065,
				"36": 0.0118,
				"37": 0.0177,
				"38": 0.0236,
				"39": 0.0177,
				"40": 0.0236,
				"41": 0.02065,
				"42": 0.02065,
				"43": 0.11505,
				"44": 0.13865,
				"45": 0.0531,
				"46": 0.05015,
				"47": 0.236,
				"48": 0.10915,
				"49": 1.416,
				"50": 0.885,
				"51": 0.13865,
				"52": null,
				"53": null,
				"3.5": 0.00295,
				"3.6": 0.0118
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.0059,
				"11": 0.01475,
				"12": 0.00885,
				"13": 0.0059,
				"14": 0.00885,
				"15": 0.0059,
				"16": 0.0118,
				"17": 0.01475,
				"18": 0.00885,
				"19": 0.0118,
				"20": 0.0177,
				"21": 0.0118,
				"22": 0.02655,
				"23": 0.04425,
				"24": 0.03245,
				"25": 0.06785,
				"26": 0.0177,
				"27": 0.0295,
				"28": 0.0295,
				"29": 0.0413,
				"30": 0.0354,
				"31": 0.10915,
				"32": 0.0531,
				"33": 0.1062,
				"34": 0.03245,
				"35": 0.0177,
				"36": 0.01475,
				"37": 0.00885,
				"38": 0.0236,
				"39": 0.03835,
				"40": 0.02065,
				"41": 0.02065,
				"42": 0.01475,
				"43": 0.2891,
				"44": 0.0354,
				"45": 0.0354,
				"46": 0.03245,
				"47": 0.0531,
				"48": 0.059,
				"49": 1.37175,
				"50": 0.05015,
				"51": 0.2478,
				"52": 0.19765,
				"53": 0.3776,
				"54": 16.3784,
				"55": 0.2478,
				"56": 0.2537,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.00295,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.0059,
				"27": null,
				"28": 0.00885,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.00295,
				"35": 0.00295,
				"36": 0.0295,
				"37": 0.05605,
				"38": 0.0177,
				"39": 0.00885,
				"40": 0.02065,
				"41": 0.64605,
				"42": 0.0059,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.0059,
				"12.1": 0.01475
			},
			"safari": {
				"0": null,
				"4": 0.0059,
				"5": 0.00295,
				"6": null,
				"7": 0.0059,
				"8": 0.0177,
				"9": 0.01475,
				"10": 0.0826,
				"3.1": null,
				"3.2": null,
				"5.1": 0.0059,
				"6.1": null,
				"7.1": null,
				"9.1": 0.0413
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0686534283037,
				"8.1-8.4": 0.0886773448922,
				"9.0-9.2": 0.0683355883578,
				"9.3": 0.447518643757,
				"10-10.1": 2.37903199469
			},
			"android": {
				"3": 0,
				"4": 0.111774343008,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0128970395778,
				"4.1": 0.354668588391,
				"4.2-4.3": 1.01241760686,
				"4.4": 2.3859523219,
				"4.4.3-4.4.4": 1.82493110026
			},
			"op_mob": {
				"0": 0.641189228168,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0178108118936
			},
			"ie": {
				"6": 0.0351644486692,
				"7": 0.00639353612167,
				"8": 0.26852851711,
				"9": 0.03836121673,
				"10": 0.0799192015209,
				"11": 0.412383079848,
				"5.5": null
			},
			"edge": {
				"12": 0.05605,
				"13": 0.06195,
				"14": 0.1416
			},
			"bb": {
				"7": 0.0317205,
				"10": null
			},
			"ie_mob": {
				"10": 0.150115504,
				"11": 0.702813496
			},
			"and_ff": {
				"0": 0.035245
			},
			"samsung": {
				"0": 1.90323
			},
			"and_uc": {
				"0": 19.899327
			},
			"op_mini": {
				"0": 8.63863095994
			},
			"and_chr": {
				"0": 30.93081
			}
		},
		"total": 97.9961505
	};

/***/ },
/* 611 */
/***/ function(module, exports) {

	module.exports = {
		"id": "PL",
		"name": "Poland",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.004156,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.004156,
				"11": 0.004156,
				"12": 0.008312,
				"13": null,
				"14": null,
				"15": 0.004156,
				"16": 0.008312,
				"17": null,
				"18": 0.008312,
				"19": null,
				"20": 0.004156,
				"21": 0.008312,
				"22": null,
				"23": null,
				"24": 0.004156,
				"25": null,
				"26": 0.004156,
				"27": 0.004156,
				"28": 0.008312,
				"29": 0.008312,
				"30": 0.004156,
				"31": 0.016624,
				"32": 0.004156,
				"33": 0.012468,
				"34": 0.008312,
				"35": 0.012468,
				"36": 0.016624,
				"37": 0.02078,
				"38": 0.078964,
				"39": 0.024936,
				"40": 0.024936,
				"41": 0.037404,
				"42": 0.04156,
				"43": 0.12468,
				"44": 0.04156,
				"45": 0.137148,
				"46": 0.06234,
				"47": 0.465472,
				"48": 0.241048,
				"49": 5.972172,
				"50": 3.682216,
				"51": 0.02078,
				"52": null,
				"53": null,
				"3.5": 0.004156,
				"3.6": 0.016624
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.02078,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.008312,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.016624,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.012468,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.004156,
				"31": 0.04156,
				"32": 0.008312,
				"33": 0.016624,
				"34": 0.037404,
				"35": 0.029092,
				"36": 0.016624,
				"37": 0.02078,
				"38": 0.033248,
				"39": 0.04156,
				"40": 0.02078,
				"41": 0.016624,
				"42": 0.054028,
				"43": 0.066496,
				"44": 0.033248,
				"45": 0.024936,
				"46": 0.029092,
				"47": 0.049872,
				"48": 0.058184,
				"49": 1.591748,
				"50": 0.066496,
				"51": 0.282608,
				"52": 0.153772,
				"53": 0.440536,
				"54": 17.733652,
				"55": 0.049872,
				"56": 0.016624,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.008312,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.004156,
				"19": 0.008312,
				"20": 0.004156,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.004156,
				"27": null,
				"28": 0.016624,
				"29": 0.008312,
				"30": 0.008312,
				"31": 0.004156,
				"32": 0.008312,
				"33": 0.008312,
				"34": 0.008312,
				"35": 0.016624,
				"36": 0.232736,
				"37": 0.045716,
				"38": 0.033248,
				"39": 0.016624,
				"40": 0.045716,
				"41": 1.940852,
				"42": 0.016624,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.004156,
				"12.1": 0.141304
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.008312,
				"6": null,
				"7": 0.004156,
				"8": 0.033248,
				"9": 0.037404,
				"10": 0.448848,
				"3.1": null,
				"3.2": null,
				"5.1": 0.016624,
				"6.1": 0.008312,
				"7.1": null,
				"9.1": 0.14546
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.022346316776,
				"8.1-8.4": 0.0288639925023,
				"9.0-9.2": 0.0222428616057,
				"9.3": 0.145664879725,
				"10-10.1": 0.774361949391
			},
			"android": {
				"3": 0,
				"4": 0.125655912552,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0144987591406,
				"4.1": 0.398715876366,
				"4.2-4.3": 1.13815259254,
				"4.4": 2.68227044101,
				"4.4.3-4.4.4": 2.05157441839
			},
			"op_mob": {
				"0": 0.100351406988,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.002787539083
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.092163456,
				"9": 0.054460224,
				"10": 0.067027968,
				"11": 1.357316352,
				"5.5": null
			},
			"edge": {
				"12": 0.037404,
				"13": 0.162084,
				"14": 0.702364
			},
			"bb": {
				"7": 0.010227,
				"10": null
			},
			"ie_mob": {
				"10": 0.39598944,
				"11": 1.85395056
			},
			"and_ff": {
				"0": 0.02922
			},
			"samsung": {
				"0": 4.961556
			},
			"and_uc": {
				"0": 0.070128
			},
			"op_mini": {
				"0": 1.35201705393
			},
			"and_chr": {
				"0": 43.88508
			}
		},
		"total": 97.976687
	};

/***/ },
/* 612 */
/***/ function(module, exports) {

	module.exports = {
		"id": "PM",
		"name": "Saint Pierre and Miquelon",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": 0.044124,
				"7": 0.03677,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.088248,
				"13": null,
				"14": null,
				"15": 0.558904,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": 0.007354,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.07354,
				"39": 0.014708,
				"40": 0.044124,
				"41": 0.07354,
				"42": 1.058976,
				"43": 0.29416,
				"44": 0.014708,
				"45": 0.44124,
				"46": 0.007354,
				"47": 0.14708,
				"48": 0.389762,
				"49": 7.97909,
				"50": 6.420042,
				"51": 0.03677,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.014708,
				"19": null,
				"20": null,
				"21": 0.014708,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.044124,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": null,
				"42": null,
				"43": null,
				"44": 0.029416,
				"45": 0.014708,
				"46": 0.088248,
				"47": 0.080894,
				"48": 0.198558,
				"49": 2.669502,
				"50": 0.07354,
				"51": 0.014708,
				"52": 0.11031,
				"53": 0.558904,
				"54": 36.80677,
				"55": 0.014708,
				"56": null,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.345638,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 2.419466,
				"6": 0.632444,
				"7": 0.014708,
				"8": 0.757462,
				"9": 0.102956,
				"10": 2.956308,
				"3.1": null,
				"3.2": null,
				"5.1": 0.169142,
				"6.1": 0.095602,
				"7.1": null,
				"9.1": 1.21341
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.291204731022,
				"8.1-8.4": 0.376139444236,
				"9.0-9.2": 0.289856560971,
				"9.3": 1.89822343184,
				"10-10.1": 10.0910528319
			},
			"android": {
				"3": 0,
				"4": 0.0137488352808,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00158640407086,
				"4.1": 0.0436261119487,
				"4.2-4.3": 0.124532719563,
				"4.4": 0.29348475311,
				"4.4.3-4.4.4": 0.224476176027
			},
			"op_mob": {
				"0": 0,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.198558,
				"9": 0.014708,
				"10": 0.125018,
				"11": 2.64744,
				"5.5": null
			},
			"edge": {
				"12": null,
				"13": 0.102956,
				"14": 2.676856
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0.016771392,
				"11": 0.078520608
			},
			"and_ff": {
				"0": 0.275288
			},
			"samsung": {
				"0": 1.675551
			},
			"and_uc": {
				"0": 0.042352
			},
			"op_mini": {
				"0": 0
			},
			"and_chr": {
				"0": 10.998329
			}
		},
		"total": 99.671716
	};

/***/ },
/* 613 */
/***/ function(module, exports) {

	module.exports = {
		"id": "PN",
		"name": "Pitcairn Islands",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": null,
				"42": null,
				"43": null,
				"44": null,
				"45": 0.522633,
				"46": 0.522633,
				"47": 2.081363,
				"48": 5.455555,
				"49": 12.203939,
				"50": 1.815462,
				"51": null,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.522633,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.256732,
				"35": 2.338095,
				"36": null,
				"37": 1.55873,
				"38": null,
				"39": null,
				"40": 0.256732,
				"41": null,
				"42": null,
				"43": null,
				"44": null,
				"45": null,
				"46": null,
				"47": null,
				"48": null,
				"49": 2.594827,
				"50": 1.815462,
				"51": 0.522633,
				"52": 3.374192,
				"53": 12.203939,
				"54": 28.047971,
				"55": null,
				"56": null,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": null,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"3.1": null,
				"3.2": null,
				"5.1": null,
				"6.1": null,
				"7.1": null,
				"9.1": 0.779365
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0,
				"8.1-8.4": 0,
				"9.0-9.2": 0,
				"9.3": 0,
				"10-10.1": 0
			},
			"android": {
				"3": 0,
				"4": 0,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0,
				"4.1": 0,
				"4.2-4.3": 0,
				"4.4": 0,
				"4.4.3-4.4.4": 0
			},
			"op_mob": {
				"0": 0,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.256732,
				"9": 1.036097,
				"10": 0.256732,
				"11": 12.726572,
				"5.5": null
			},
			"edge": {
				"12": null,
				"13": null,
				"14": null
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0,
				"11": 0
			},
			"and_ff": {
				"0": 8.31
			},
			"samsung": {
				"0": null
			},
			"and_uc": {
				"0": null
			},
			"op_mini": {
				"0": 0
			},
			"and_chr": {
				"0": 0
			}
		},
		"total": 99.459029
	};

/***/ },
/* 614 */
/***/ function(module, exports) {

	module.exports = {
		"id": "PR",
		"name": "Puerto Rico",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": 0.004496,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.008992,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.013488,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.013488,
				"28": null,
				"29": 0.008992,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.008992,
				"34": null,
				"35": 0.008992,
				"36": 0.008992,
				"37": 0.008992,
				"38": 0.017984,
				"39": 0.013488,
				"40": 0.013488,
				"41": 0.013488,
				"42": 0.008992,
				"43": 0.04496,
				"44": 0.017984,
				"45": 0.1124,
				"46": 0.053952,
				"47": 0.188832,
				"48": 0.2248,
				"49": 2.724576,
				"50": 1.362288,
				"51": 0.017984,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.008992
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.02248,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.008992,
				"19": null,
				"20": 0.004496,
				"21": 0.008992,
				"22": 0.008992,
				"23": null,
				"24": null,
				"25": 0.013488,
				"26": null,
				"27": null,
				"28": 0.004496,
				"29": 0.004496,
				"30": null,
				"31": 0.008992,
				"32": 0.008992,
				"33": 0.013488,
				"34": 0.031472,
				"35": 0.02248,
				"36": 0.02248,
				"37": 0.013488,
				"38": 0.04496,
				"39": 0.04496,
				"40": 0.013488,
				"41": 0.02248,
				"42": 0.017984,
				"43": 0.062944,
				"44": 0.04496,
				"45": 0.017984,
				"46": 0.013488,
				"47": 0.031472,
				"48": 0.04496,
				"49": 1.0116,
				"50": 0.076432,
				"51": 0.233792,
				"52": 0.166352,
				"53": 0.705872,
				"54": 20.115104,
				"55": 0.058448,
				"56": 0.04496,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.026976,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.008992,
				"34": null,
				"35": null,
				"36": 0.013488,
				"37": 0.06744,
				"38": 0.017984,
				"39": null,
				"40": null,
				"41": 0.256272,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.008992
			},
			"safari": {
				"0": null,
				"4": 0.008992,
				"5": 0.031472,
				"6": 0.004496,
				"7": 0.017984,
				"8": 0.17984,
				"9": 0.220304,
				"10": 2.185056,
				"3.1": null,
				"3.2": null,
				"5.1": 0.107904,
				"6.1": 0.06744,
				"7.1": 0.008992,
				"9.1": 1.10152
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.358776202437,
				"8.1-8.4": 0.463419261481,
				"9.0-9.2": 0.3571152015,
				"9.3": 2.33868931959,
				"10-10.1": 12.432592015
			},
			"android": {
				"3": 0,
				"4": 0.0559901816811,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00646040557859,
				"4.1": 0.177661153411,
				"4.2-4.3": 0.507141837919,
				"4.4": 1.19517503204,
				"4.4.3-4.4.4": 0.914147389371
			},
			"op_mob": {
				"0": 0.0102484007829,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000284677799525
			},
			"ie": {
				"6": null,
				"7": 0.0135653690249,
				"8": 0.198958745698,
				"9": 0.307481697897,
				"10": 0.208002325048,
				"11": 4.00178386233,
				"5.5": null
			},
			"edge": {
				"12": 0.148368,
				"13": 0.508048,
				"14": 2.634656
			},
			"bb": {
				"7": 0.00688,
				"10": null
			},
			"ie_mob": {
				"10": 0.09202688,
				"11": 0.43085312
			},
			"and_ff": {
				"0": 0.016512
			},
			"samsung": {
				"0": 7.281792
			},
			"and_uc": {
				"0": 0.05504
			},
			"op_mini": {
				"0": 0.138074921418
			},
			"and_chr": {
				"0": 31.83432
			}
		},
		"total": 98.907904
	};

/***/ },
/* 615 */
/***/ function(module, exports) {

	module.exports = {
		"id": "PS",
		"name": "Palestinian Territory",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.012496,
				"4": 0.006248,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.006248,
				"11": 0.006248,
				"12": 0.087472,
				"13": null,
				"14": null,
				"15": 0.03124,
				"16": 0.012496,
				"17": null,
				"18": 0.018744,
				"19": 0.006248,
				"20": null,
				"21": null,
				"22": 0.012496,
				"23": null,
				"24": null,
				"25": 0.012496,
				"26": 0.006248,
				"27": null,
				"28": null,
				"29": 0.012496,
				"30": 0.012496,
				"31": 0.012496,
				"32": 0.024992,
				"33": 0.012496,
				"34": 0.024992,
				"35": 0.012496,
				"36": 0.043736,
				"37": 0.024992,
				"38": 0.043736,
				"39": 0.018744,
				"40": 0.049984,
				"41": 0.03124,
				"42": 0.03124,
				"43": 0.237424,
				"44": 0.081224,
				"45": 0.206184,
				"46": 0.106216,
				"47": 0.618552,
				"48": 0.28116,
				"49": 3.7488,
				"50": 2.0306,
				"51": 0.056232,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.012496
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.037488,
				"12": 0.018744,
				"13": 0.006248,
				"14": null,
				"15": 0.006248,
				"16": 0.012496,
				"17": null,
				"18": 0.024992,
				"19": 0.006248,
				"20": null,
				"21": 0.018744,
				"22": 0.018744,
				"23": 0.006248,
				"24": 0.018744,
				"25": 0.024992,
				"26": 0.056232,
				"27": 0.081224,
				"28": 0.012496,
				"29": 0.03124,
				"30": 0.09372,
				"31": 0.03124,
				"32": 0.068728,
				"33": 0.099968,
				"34": 0.03124,
				"35": 0.012496,
				"36": 0.018744,
				"37": 0.074976,
				"38": 0.074976,
				"39": 0.049984,
				"40": 0.03124,
				"41": 0.037488,
				"42": 0.043736,
				"43": 0.955944,
				"44": 0.118712,
				"45": 0.03124,
				"46": 0.087472,
				"47": 0.099968,
				"48": 0.118712,
				"49": 2.792856,
				"50": 0.149952,
				"51": 0.81224,
				"52": 0.543576,
				"53": 0.9372,
				"54": 39.137472,
				"55": 0.09372,
				"56": 0.099968,
				"57": 0.006248
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.012496,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.018744,
				"34": null,
				"35": null,
				"36": 0.056232,
				"37": 0.024992,
				"38": 0.081224,
				"39": 0.006248,
				"40": 0.024992,
				"41": 0.693528,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 1.068408
			},
			"safari": {
				"0": null,
				"4": 0.012496,
				"5": 0.018744,
				"6": null,
				"7": 0.012496,
				"8": 0.081224,
				"9": 0.037488,
				"10": 0.43736,
				"3.1": null,
				"3.2": null,
				"5.1": 0.012496,
				"6.1": null,
				"7.1": null,
				"9.1": 0.356136
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0836340843486,
				"8.1-8.4": 0.10802735895,
				"9.0-9.2": 0.0832468895137,
				"9.3": 0.545170327606,
				"10-10.1": 2.89815333958
			},
			"android": {
				"3": 0,
				"4": 0.0800860369393,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00924069656992,
				"4.1": 0.254119155673,
				"4.2-4.3": 0.725394680739,
				"4.4": 1.70952886544,
				"4.4.3-4.4.4": 1.30755856464
			},
			"op_mob": {
				"0": 0.0851280409778,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00236466780494
			},
			"ie": {
				"6": 0.00658572972973,
				"7": 0.0131714594595,
				"8": 0.599301405405,
				"9": 0.184400432432,
				"10": 0.151471783784,
				"11": 1.23811718919,
				"5.5": null
			},
			"edge": {
				"12": 0.056232,
				"13": 0.206184,
				"14": 0.381128
			},
			"bb": {
				"7": 0.001876,
				"10": null
			},
			"ie_mob": {
				"10": 0.02641408,
				"11": 0.12366592
			},
			"and_ff": {
				"0": 0.022512
			},
			"samsung": {
				"0": 3.52688
			},
			"and_uc": {
				"0": 0.195104
			},
			"op_mini": {
				"0": 1.14691529122
			},
			"and_chr": {
				"0": 24.870384
			}
		},
		"total": 98.585948
	};

/***/ },
/* 616 */
/***/ function(module, exports) {

	module.exports = {
		"id": "PT",
		"name": "Portugal",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.008269,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.008269,
				"32": null,
				"33": 0.008269,
				"34": 0.008269,
				"35": null,
				"36": 0.008269,
				"37": 0.016538,
				"38": 0.057883,
				"39": 0.024807,
				"40": 0.016538,
				"41": 0.024807,
				"42": 0.016538,
				"43": 0.099228,
				"44": 0.049614,
				"45": 0.115766,
				"46": 0.074421,
				"47": 0.90959,
				"48": 0.314222,
				"49": 5.077166,
				"50": 3.100875,
				"51": 0.024807,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.016538
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.016538,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.140573,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.008269,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.033076,
				"32": 0.016538,
				"33": 0.008269,
				"34": 0.033076,
				"35": 0.049614,
				"36": 0.08269,
				"37": 0.041345,
				"38": 0.074421,
				"39": 0.090959,
				"40": 0.041345,
				"41": 0.024807,
				"42": 0.024807,
				"43": 0.173649,
				"44": 0.08269,
				"45": 0.099228,
				"46": 0.057883,
				"47": 0.090959,
				"48": 0.115766,
				"49": 3.092606,
				"50": 0.148842,
				"51": 0.562292,
				"52": 0.272877,
				"53": 1.306502,
				"54": 49.787649,
				"55": 0.157111,
				"56": 0.074421,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.008269,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.016538,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.049614,
				"37": 0.008269,
				"38": 0.074421,
				"39": null,
				"40": 0.016538,
				"41": 0.653251,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.033076
			},
			"safari": {
				"0": null,
				"4": 0.016538,
				"5": 0.049614,
				"6": null,
				"7": 0.016538,
				"8": 0.115766,
				"9": 0.16538,
				"10": 2.141671,
				"3.1": null,
				"3.2": null,
				"5.1": 0.090959,
				"6.1": 0.057883,
				"7.1": null,
				"9.1": 0.686327
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0765079287723,
				"8.1-8.4": 0.0988227413308,
				"9.0-9.2": 0.0761537253983,
				"9.3": 0.498718350515,
				"10-10.1": 2.65121225398
			},
			"android": {
				"3": 0,
				"4": 0.0189659660761,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00218838070109,
				"4.1": 0.0601804692801,
				"4.2-4.3": 0.171787885036,
				"4.4": 0.404850429702,
				"4.4.3-4.4.4": 0.309655869205
			},
			"op_mob": {
				"0": 0.00883370107858,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000245380585516
			},
			"ie": {
				"6": null,
				"7": 0.0165847175141,
				"8": 0.265355480226,
				"9": 0.331694350282,
				"10": 0.149262457627,
				"11": 5.10809299435,
				"5.5": null
			},
			"edge": {
				"12": 0.124035,
				"13": 0.446526,
				"14": 2.538583
			},
			"bb": {
				"7": 0.00735675,
				"10": null
			},
			"ie_mob": {
				"10": 0.063368448,
				"11": 0.296679552
			},
			"and_ff": {
				"0": 0.01731
			},
			"samsung": {
				"0": 1.158039
			},
			"and_uc": {
				"0": 0.185217
			},
			"op_mini": {
				"0": 0.119014918336
			},
			"and_chr": {
				"0": 11.86834
			}
		},
		"total": 97.96371975
	};

/***/ },
/* 617 */
/***/ function(module, exports) {

	module.exports = {
		"id": "PW",
		"name": "Palau",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 1.275302,
				"4": 0.008981,
				"5": null,
				"6": 0.008981,
				"7": null,
				"8": 0.224525,
				"9": 0.008981,
				"10": 0.017962,
				"11": null,
				"12": 0.017962,
				"13": null,
				"14": 0.044905,
				"15": 0.458031,
				"16": 0.008981,
				"17": null,
				"18": 0.431088,
				"19": 0.017962,
				"20": 0.305354,
				"21": 0.026943,
				"22": 0.017962,
				"23": null,
				"24": 0.008981,
				"25": 0.035924,
				"26": 0.107772,
				"27": null,
				"28": null,
				"29": 2.388946,
				"30": 0.026943,
				"31": 1.203454,
				"32": 0.260449,
				"33": null,
				"34": null,
				"35": 0.260449,
				"36": 0.170639,
				"37": 0.116753,
				"38": 1.930915,
				"39": 0.206563,
				"40": 1.778238,
				"41": 0.035924,
				"42": 0.080829,
				"43": 4.472538,
				"44": 0.350259,
				"45": 3.242141,
				"46": 0.116753,
				"47": 7.597926,
				"48": 1.122625,
				"49": 13.489462,
				"50": 5.891536,
				"51": 0.296373,
				"52": null,
				"53": null,
				"3.5": 0.062867,
				"3.6": 0.017962
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.017962,
				"11": 0.125734,
				"12": null,
				"13": null,
				"14": 0.053886,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.251468,
				"19": null,
				"20": null,
				"21": 0.026943,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.017962,
				"26": 0.368221,
				"27": null,
				"28": 0.197582,
				"29": 0.116753,
				"30": 0.08981,
				"31": 0.017962,
				"32": null,
				"33": 0.026943,
				"34": null,
				"35": 0.035924,
				"36": 0.008981,
				"37": null,
				"38": 0.008981,
				"39": 0.206563,
				"40": 0.017962,
				"41": 0.017962,
				"42": null,
				"43": null,
				"44": 0.044905,
				"45": 0.260449,
				"46": 0.017962,
				"47": 0.035924,
				"48": 0.161658,
				"49": 0.502936,
				"50": 0.224525,
				"51": 0.161658,
				"52": 0.242487,
				"53": 1.894991,
				"54": 12.052502,
				"55": 0.035924,
				"56": null,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.044905,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 2.640414,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.035924,
				"9": 0.035924,
				"10": 0.116753,
				"3.1": null,
				"3.2": null,
				"5.1": 0.017962,
				"6.1": null,
				"7.1": null,
				"9.1": 0.125734
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0221422155576,
				"8.1-8.4": 0.0286003617619,
				"9.0-9.2": 0.0220397053004,
				"9.3": 0.144334442153,
				"10-10.1": 0.767289275226
			},
			"android": {
				"3": 0,
				"4": 0.0167407855258,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00193162909913,
				"4.1": 0.0531198002262,
				"4.2-4.3": 0.151632884282,
				"4.4": 0.35735138334,
				"4.4.3-4.4.4": 0.273325517527
			},
			"op_mob": {
				"0": 0.0223248633657,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000620135093491
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 6.457339,
				"9": 2.487737,
				"10": 1.454922,
				"11": 8.289463,
				"5.5": null
			},
			"edge": {
				"12": 0.170639,
				"13": 0.26943,
				"14": 0.053886
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0.009316736,
				"11": 0.043619264
			},
			"and_ff": {
				"0": 0.016288
			},
			"samsung": {
				"0": 0.733978
			},
			"and_uc": {
				"0": 2.217204
			},
			"op_mini": {
				"0": 0.300779001541
			},
			"and_chr": {
				"0": 5.417546
			}
		},
		"total": 98.191877
	};

/***/ },
/* 618 */
/***/ function(module, exports) {

	module.exports = {
		"id": "PY",
		"name": "Paraguay",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.003796,
				"3": 0.01898,
				"4": 0.007592,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.011388,
				"11": 0.011388,
				"12": 0.011388,
				"13": 0.007592,
				"14": 0.003796,
				"15": 0.015184,
				"16": 0.003796,
				"17": 0.011388,
				"18": null,
				"19": 0.003796,
				"20": 0.003796,
				"21": 0.003796,
				"22": 0.011388,
				"23": null,
				"24": 0.011388,
				"25": 0.007592,
				"26": 0.01898,
				"27": 0.003796,
				"28": 0.007592,
				"29": 0.003796,
				"30": 0.011388,
				"31": 0.015184,
				"32": 0.011388,
				"33": 0.003796,
				"34": 0.015184,
				"35": 0.015184,
				"36": 0.007592,
				"37": 0.015184,
				"38": 0.03796,
				"39": 0.022776,
				"40": 0.01898,
				"41": 0.022776,
				"42": 0.01898,
				"43": 0.106288,
				"44": 0.026572,
				"45": 0.159432,
				"46": 0.041756,
				"47": 0.280904,
				"48": 0.15184,
				"49": 2.900144,
				"50": 1.4235,
				"51": 0.01898,
				"52": null,
				"53": null,
				"3.5": 0.007592,
				"3.6": 0.015184
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.007592,
				"11": 0.034164,
				"12": 0.003796,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.011388,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.007592,
				"23": 0.003796,
				"24": null,
				"25": 0.011388,
				"26": 0.003796,
				"27": 0.003796,
				"28": null,
				"29": 0.011388,
				"30": 0.011388,
				"31": 0.041756,
				"32": 0.007592,
				"33": 0.015184,
				"34": 0.030368,
				"35": 0.01898,
				"36": 0.030368,
				"37": 0.022776,
				"38": 0.030368,
				"39": 0.045552,
				"40": 0.034164,
				"41": 0.03796,
				"42": 0.011388,
				"43": 0.05694,
				"44": 0.07592,
				"45": 0.030368,
				"46": 0.022776,
				"47": 0.041756,
				"48": 0.03796,
				"49": 1.241292,
				"50": 0.07592,
				"51": 0.235352,
				"52": 0.1898,
				"53": 0.554216,
				"54": 24.438648,
				"55": 0.064532,
				"56": 0.026572,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.003796,
				"29": 0.049348,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.034164,
				"34": null,
				"35": null,
				"36": 0.011388,
				"37": 0.087308,
				"38": 0.022776,
				"39": 0.011388,
				"40": 0.007592,
				"41": 0.235352,
				"42": 0.007592,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.003796
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.015184,
				"6": null,
				"7": 0.007592,
				"8": 0.041756,
				"9": 0.072124,
				"10": 0.36062,
				"3.1": null,
				"3.2": null,
				"5.1": 0.003796,
				"6.1": null,
				"7.1": null,
				"9.1": 0.167024
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0675404536082,
				"8.1-8.4": 0.0872397525773,
				"9.0-9.2": 0.067227766323,
				"9.3": 0.440263697595,
				"10-10.1": 2.3404643299
			},
			"android": {
				"3": 0,
				"4": 0.175105736902,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.020204508104,
				"4.1": 0.555623972861,
				"4.2-4.3": 1.58605388617,
				"4.4": 3.73783399925,
				"4.4.3-4.4.4": 2.85893789672
			},
			"op_mob": {
				"0": 0.35682210536,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00991172514888
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.207708039867,
				"9": 0.111546910299,
				"10": 0.0615431229236,
				"11": 0.77698192691,
				"5.5": null
			},
			"edge": {
				"12": 0.034164,
				"13": 0.07592,
				"14": 0.22776
			},
			"bb": {
				"7": 0.027918,
				"10": null
			},
			"ie_mob": {
				"10": 0.199818432,
				"11": 0.935513568
			},
			"and_ff": {
				"0": 0.012408
			},
			"samsung": {
				"0": 5.527764
			},
			"and_uc": {
				"0": 0.607992
			},
			"op_mini": {
				"0": 4.80740216949
			},
			"and_chr": {
				"0": 39.034976
			}
		},
		"total": 99.154606
	};

/***/ },
/* 619 */
/***/ function(module, exports) {

	module.exports = {
		"id": "QA",
		"name": "Qatar",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.016315,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.006526,
				"22": 0.006526,
				"23": null,
				"24": 0.003263,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.003263,
				"30": null,
				"31": 0.003263,
				"32": null,
				"33": 0.003263,
				"34": null,
				"35": 0.006526,
				"36": null,
				"37": 0.009789,
				"38": 0.042419,
				"39": 0.009789,
				"40": 0.019578,
				"41": 0.006526,
				"42": 0.013052,
				"43": 0.042419,
				"44": 0.03263,
				"45": 0.039156,
				"46": 0.026104,
				"47": 0.176202,
				"48": 0.120731,
				"49": 1.184469,
				"50": 0.68523,
				"51": 0.045682,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.006526
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.003263,
				"12": 0.003263,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.006526,
				"21": 0.003263,
				"22": 0.03263,
				"23": null,
				"24": 0.006526,
				"25": 0.003263,
				"26": 0.006526,
				"27": 0.003263,
				"28": 0.006526,
				"29": 0.016315,
				"30": 0.006526,
				"31": 0.055471,
				"32": 0.026104,
				"33": 0.026104,
				"34": 0.029367,
				"35": 0.013052,
				"36": 0.022841,
				"37": 0.006526,
				"38": 0.026104,
				"39": 0.026104,
				"40": 0.016315,
				"41": 0.013052,
				"42": 0.016315,
				"43": 0.123994,
				"44": 0.03263,
				"45": 0.058734,
				"46": 0.052208,
				"47": 0.061997,
				"48": 0.022841,
				"49": 0.763542,
				"50": 0.06526,
				"51": 0.371982,
				"52": 0.169676,
				"53": 0.535132,
				"54": 18.390268,
				"55": 0.088101,
				"56": 0.110942,
				"57": 0.013052
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.013052,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.006526,
				"37": 0.055471,
				"38": 0.029367,
				"39": null,
				"40": 0.009789,
				"41": 0.244725,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.006526
			},
			"safari": {
				"0": null,
				"4": 0.006526,
				"5": 0.009789,
				"6": 0.009789,
				"7": 0.026104,
				"8": 0.120731,
				"9": 0.120731,
				"10": 1.018056,
				"3.1": null,
				"3.2": null,
				"5.1": 0.03263,
				"6.1": 0.019578,
				"7.1": 0.013052,
				"9.1": 0.450294
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.196511910028,
				"8.1-8.4": 0.253827883786,
				"9.0-9.2": 0.195602132667,
				"9.3": 1.28096652463,
				"10-10.1": 6.80968354889
			},
			"android": {
				"3": 0,
				"4": 0.0443616253298,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00511864907652,
				"4.1": 0.140762849604,
				"4.2-4.3": 0.401813952507,
				"4.4": 0.946950079156,
				"4.4.3-4.4.4": 0.724288844327
			},
			"op_mob": {
				"0": 0.754400582351,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.020955571732
			},
			"ie": {
				"6": 0.0132476821589,
				"7": 0.00331192053973,
				"8": 0.218586755622,
				"9": 0.341127815592,
				"10": 0.225210596702,
				"11": 3.60668146777,
				"5.5": null
			},
			"edge": {
				"12": 0.045682,
				"13": 0.212095,
				"14": 0.802698
			},
			"bb": {
				"7": 0.030312,
				"10": null
			},
			"ie_mob": {
				"10": 0.046235904,
				"11": 0.216468096
			},
			"and_ff": {
				"0": 0.013472
			},
			"samsung": {
				"0": 3.16592
			},
			"and_uc": {
				"0": 20.81424
			},
			"op_mini": {
				"0": 10.1639078459
			},
			"and_chr": {
				"0": 20.611142
			}
		},
		"total": 98.2431702384
	};

/***/ },
/* 620 */
/***/ function(module, exports) {

	module.exports = {
		"id": "RE",
		"name": "Reunion",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": 0.032935,
				"5": null,
				"6": 0.013174,
				"7": 0.006587,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.039522,
				"12": 0.006587,
				"13": null,
				"14": 0.032935,
				"15": 0.032935,
				"16": 0.032935,
				"17": 0.013174,
				"18": 0.006587,
				"19": 0.006587,
				"20": 0.039522,
				"21": null,
				"22": null,
				"23": 0.158088,
				"24": 0.118566,
				"25": 0.019761,
				"26": 0.019761,
				"27": 0.013174,
				"28": 0.019761,
				"29": 0.006587,
				"30": 0.039522,
				"31": 0.085631,
				"32": 0.322763,
				"33": 0.039522,
				"34": 0.046109,
				"35": 0.039522,
				"36": 0.032935,
				"37": 0.059283,
				"38": 0.731157,
				"39": 0.039522,
				"40": 0.237132,
				"41": 0.467677,
				"42": 0.105392,
				"43": 0.158088,
				"44": 0.309589,
				"45": 0.513786,
				"46": 0.118566,
				"47": 0.553308,
				"48": 0.638939,
				"49": 7.680442,
				"50": 4.307898,
				"51": 0.019761,
				"52": null,
				"53": null,
				"3.5": 0.006587,
				"3.6": 0.052696
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.013174,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.006587,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.013174,
				"23": 0.013174,
				"24": 0.006587,
				"25": null,
				"26": 0.013174,
				"27": null,
				"28": 0.013174,
				"29": 0.026348,
				"30": 0.052696,
				"31": 0.032935,
				"32": 0.026348,
				"33": 0.013174,
				"34": 0.046109,
				"35": 0.019761,
				"36": 0.079044,
				"37": 0.019761,
				"38": 0.032935,
				"39": 0.118566,
				"40": 0.039522,
				"41": 0.019761,
				"42": 0.019761,
				"43": 0.052696,
				"44": 0.322763,
				"45": 0.06587,
				"46": 0.059283,
				"47": 0.06587,
				"48": 0.111979,
				"49": 1.343748,
				"50": 0.125153,
				"51": 0.375459,
				"52": 0.243719,
				"53": 1.067094,
				"54": 27.20431,
				"55": 0.13174,
				"56": 0.032935,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.125153,
				"37": 0.032935,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.454503,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.019761
			},
			"safari": {
				"0": null,
				"4": 0.019761,
				"5": 0.098805,
				"6": 0.019761,
				"7": 0.032935,
				"8": 0.230545,
				"9": 0.243719,
				"10": 2.50306,
				"3.1": null,
				"3.2": null,
				"5.1": 0.296415,
				"6.1": 0.118566,
				"7.1": 0.052696,
				"9.1": 1.126377
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.129278170572,
				"8.1-8.4": 0.166984303655,
				"9.0-9.2": 0.128679660523,
				"9.3": 0.842702148912,
				"10-10.1": 4.47984771634
			},
			"android": {
				"3": 0,
				"4": 0.0450212393517,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00519475838673,
				"4.1": 0.142855855635,
				"4.2-4.3": 0.407788533358,
				"4.4": 0.961030301545,
				"4.4.3-4.4.4": 0.735058311723
			},
			"op_mob": {
				"0": 0.0418957724566,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00116377145713
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.206805355839,
				"9": 0.153436231752,
				"10": 0.153436231752,
				"11": 3.14210718066,
				"5.5": null
			},
			"edge": {
				"12": 0.171262,
				"13": 0.447916,
				"14": 2.259341
			},
			"bb": {
				"7": 0.0085325,
				"10": null
			},
			"ie_mob": {
				"10": 0.082894944,
				"11": 0.388099056
			},
			"and_ff": {
				"0": 0.047782
			},
			"samsung": {
				"0": 4.320858
			},
			"and_uc": {
				"0": 0.163824
			},
			"op_mini": {
				"0": 0.564454456086
			},
			"and_chr": {
				"0": 23.392179
			}
		},
		"total": 98.0188095
	};

/***/ },
/* 621 */
/***/ function(module, exports) {

	module.exports = {
		"id": "RO",
		"name": "Romania",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.045815,
				"3": 0.045815,
				"4": 0.006545,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.006545,
				"12": 0.01309,
				"13": 0.006545,
				"14": null,
				"15": null,
				"16": 0.006545,
				"17": null,
				"18": null,
				"19": 0.006545,
				"20": 0.006545,
				"21": 0.006545,
				"22": 0.006545,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.006545,
				"27": null,
				"28": 0.01309,
				"29": 0.006545,
				"30": 0.01309,
				"31": 0.019635,
				"32": 0.006545,
				"33": 0.019635,
				"34": 0.01309,
				"35": 0.019635,
				"36": 0.019635,
				"37": 0.019635,
				"38": 0.071995,
				"39": 0.032725,
				"40": 0.03927,
				"41": 0.02618,
				"42": 0.032725,
				"43": 0.17017,
				"44": 0.05236,
				"45": 0.150535,
				"46": 0.11781,
				"47": 0.60214,
				"48": 0.32725,
				"49": 6.080305,
				"50": 3.645565,
				"51": 0.05236,
				"52": null,
				"53": null,
				"3.5": 0.02618,
				"3.6": 0.045815
			},
			"chrome": {
				"4": 0.01309,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.019635,
				"12": null,
				"13": null,
				"14": 0.01309,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.01309,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.02618,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.019635,
				"27": 0.006545,
				"28": 0.006545,
				"29": 0.02618,
				"30": 0.019635,
				"31": 0.032725,
				"32": 0.006545,
				"33": 0.01309,
				"34": 0.05236,
				"35": 0.019635,
				"36": 0.019635,
				"37": 0.03927,
				"38": 0.03927,
				"39": 0.11781,
				"40": 0.045815,
				"41": 0.02618,
				"42": 0.032725,
				"43": 0.17017,
				"44": 0.05236,
				"45": 0.02618,
				"46": 0.045815,
				"47": 0.085085,
				"48": 0.11781,
				"49": 3.35104,
				"50": 0.17017,
				"51": 0.791945,
				"52": 0.307615,
				"53": 0.79849,
				"54": 34.040545,
				"55": 0.11781,
				"56": 0.05236,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.006545,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.006545,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.01309,
				"34": 0.006545,
				"35": 0.006545,
				"36": 0.202895,
				"37": 0.032725,
				"38": 0.111265,
				"39": 0.01309,
				"40": 0.05236,
				"41": 2.114035,
				"42": 0.01309,
				"43": 0.01309,
				"9.5-9.6": 0.01309,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.10472
			},
			"safari": {
				"0": null,
				"4": 0.02618,
				"5": 0.01309,
				"6": null,
				"7": 0.006545,
				"8": 0.03927,
				"9": 0.05236,
				"10": 0.51051,
				"3.1": null,
				"3.2": null,
				"5.1": 0.02618,
				"6.1": 0.01309,
				"7.1": null,
				"9.1": 0.163625
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.107865941893,
				"8.1-8.4": 0.139326841612,
				"9.0-9.2": 0.107366562533,
				"9.3": 0.703126139748,
				"10-10.1": 3.73785451421
			},
			"android": {
				"3": 0,
				"4": 0.0574939087825,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00663391255183,
				"4.1": 0.182432595175,
				"4.2-4.3": 0.520762135319,
				"4.4": 1.22727382209,
				"4.4.3-4.4.4": 0.938698626084
			},
			"op_mob": {
				"0": 0.052180240703,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00144945113064
			},
			"ie": {
				"6": 0.0205919404332,
				"7": 0.034319900722,
				"8": 0.63835015343,
				"9": 0.199055424188,
				"10": 0.192191444043,
				"11": 2.71813613718,
				"5.5": null
			},
			"edge": {
				"12": 0.06545,
				"13": 0.229075,
				"14": 0.90321
			},
			"bb": {
				"7": 0.02073,
				"10": null
			},
			"ie_mob": {
				"10": 0.17512704,
				"11": 0.81991296
			},
			"and_ff": {
				"0": 0.11747
			},
			"samsung": {
				"0": 3.251155
			},
			"and_uc": {
				"0": 0.15202
			},
			"op_mini": {
				"0": 0.703015308166
			},
			"and_chr": {
				"0": 23.38153
			}
		},
		"total": 97.48791
	};

/***/ },
/* 622 */
/***/ function(module, exports) {

	module.exports = {
		"id": "RS",
		"name": "Serbia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.021195,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.007065,
				"9": 0.01413,
				"10": null,
				"11": 0.01413,
				"12": 0.021195,
				"13": null,
				"14": 0.007065,
				"15": 0.01413,
				"16": 0.01413,
				"17": null,
				"18": null,
				"19": 0.007065,
				"20": 0.01413,
				"21": null,
				"22": 0.007065,
				"23": null,
				"24": 0.007065,
				"25": null,
				"26": 0.01413,
				"27": 0.007065,
				"28": 0.01413,
				"29": 0.01413,
				"30": 0.01413,
				"31": 0.021195,
				"32": 0.01413,
				"33": 0.02826,
				"34": 0.021195,
				"35": 0.02826,
				"36": 0.021195,
				"37": 0.04239,
				"38": 0.077715,
				"39": 0.049455,
				"40": 0.04239,
				"41": 0.07065,
				"42": 0.05652,
				"43": 0.19782,
				"44": 0.07065,
				"45": 0.16956,
				"46": 0.120105,
				"47": 0.558135,
				"48": 0.459225,
				"49": 7.481835,
				"50": 4.81833,
				"51": 0.134235,
				"52": null,
				"53": null,
				"3.5": 0.01413,
				"3.6": 0.049455
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.02826,
				"12": 0.01413,
				"13": null,
				"14": 0.007065,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.021195,
				"19": null,
				"20": null,
				"21": 0.007065,
				"22": 0.063585,
				"23": null,
				"24": 0.007065,
				"25": 0.007065,
				"26": 0.049455,
				"27": 0.01413,
				"28": null,
				"29": 0.02826,
				"30": 0.01413,
				"31": 0.05652,
				"32": 0.01413,
				"33": 0.035325,
				"34": 0.091845,
				"35": 0.021195,
				"36": 0.021195,
				"37": 0.02826,
				"38": 0.04239,
				"39": 0.077715,
				"40": 0.035325,
				"41": 0.021195,
				"42": 0.02826,
				"43": 0.120105,
				"44": 0.063585,
				"45": 0.035325,
				"46": 0.04239,
				"47": 0.11304,
				"48": 0.077715,
				"49": 4.330845,
				"50": 0.09891,
				"51": 0.39564,
				"52": 0.29673,
				"53": 0.64998,
				"54": 38.37708,
				"55": 0.21195,
				"56": 0.148365,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.007065,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.01413,
				"19": null,
				"20": 0.007065,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.01413,
				"27": null,
				"28": 0.007065,
				"29": 0.007065,
				"30": 0.01413,
				"31": 0.007065,
				"32": null,
				"33": 0.007065,
				"34": 0.01413,
				"35": 0.01413,
				"36": 0.25434,
				"37": 0.035325,
				"38": 0.04239,
				"39": 0.02826,
				"40": 0.05652,
				"41": 2.409165,
				"42": 0.021195,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.01413,
				"12.1": 0.261405
			},
			"safari": {
				"0": null,
				"4": 0.007065,
				"5": 0.007065,
				"6": null,
				"7": 0.007065,
				"8": 0.035325,
				"9": 0.04239,
				"10": 0.4239,
				"3.1": null,
				"3.2": null,
				"5.1": 0.035325,
				"6.1": 0.01413,
				"7.1": 0.007065,
				"9.1": 0.12717
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0649605998126,
				"8.1-8.4": 0.0839074414246,
				"9.0-9.2": 0.0646598562949,
				"9.3": 0.423446872852,
				"10-10.1": 2.25106522962
			},
			"android": {
				"3": 0,
				"4": 0.0610364945345,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00704267244629,
				"4.1": 0.193673492273,
				"4.2-4.3": 0.552849787034,
				"4.4": 1.30289440256,
				"4.4.3-4.4.4": 0.99653815115
			},
			"op_mob": {
				"0": 0.0756996060467,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00210276683463
			},
			"ie": {
				"6": 0.0220651759531,
				"7": 0.0147101173021,
				"8": 0.411883284457,
				"9": 0.198586583578,
				"10": 0.125035997067,
				"11": 1.73579384164,
				"5.5": null
			},
			"edge": {
				"12": 0.04239,
				"13": 0.1413,
				"14": 0.64998
			},
			"bb": {
				"7": 0.0102725,
				"10": null
			},
			"ie_mob": {
				"10": 0.167882,
				"11": 0.785993
			},
			"and_ff": {
				"0": 0.014675
			},
			"samsung": {
				"0": 1.63773
			},
			"and_uc": {
				"0": 0.132075
			},
			"op_mini": {
				"0": 1.01988762712
			},
			"and_chr": {
				"0": 20.16268
			}
		},
		"total": 97.7502925
	};

/***/ },
/* 623 */
/***/ function(module, exports) {

	module.exports = {
		"id": "RU",
		"name": "Russian Federation",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.107497,
				"3": 0.305953,
				"4": 0.049614,
				"5": 0.024807,
				"6": 0.016538,
				"7": 0.008269,
				"8": 0.033076,
				"9": 0.024807,
				"10": 0.041345,
				"11": 0.033076,
				"12": 0.041345,
				"13": 0.024807,
				"14": 0.033076,
				"15": 0.041345,
				"16": 0.033076,
				"17": 0.024807,
				"18": 0.016538,
				"19": 0.033076,
				"20": 0.033076,
				"21": 0.066152,
				"22": 0.033076,
				"23": 0.041345,
				"24": 0.148842,
				"25": 0.140573,
				"26": 0.024807,
				"27": 0.016538,
				"28": 0.024807,
				"29": 0.016538,
				"30": 0.016538,
				"31": 0.041345,
				"32": 0.024807,
				"33": 0.041345,
				"34": 0.066152,
				"35": 0.074421,
				"36": 0.066152,
				"37": 0.041345,
				"38": 0.099228,
				"39": 0.033076,
				"40": 0.033076,
				"41": 0.033076,
				"42": 0.049614,
				"43": 0.214994,
				"44": 0.057883,
				"45": 0.24807,
				"46": 0.140573,
				"47": 0.702865,
				"48": 0.289415,
				"49": 3.878161,
				"50": 2.356665,
				"51": 0.016538,
				"52": null,
				"53": null,
				"3.5": 0.520947,
				"3.6": 0.818631
			},
			"chrome": {
				"4": 0.115766,
				"5": 0.074421,
				"6": 0.066152,
				"7": 0.057883,
				"8": 0.041345,
				"9": 0.041345,
				"10": 0.041345,
				"11": 0.057883,
				"12": 0.066152,
				"13": 0.057883,
				"14": 0.074421,
				"15": 0.074421,
				"16": 0.074421,
				"17": 0.124035,
				"18": 0.16538,
				"19": 0.090959,
				"20": 0.090959,
				"21": 0.148842,
				"22": 0.124035,
				"23": 0.107497,
				"24": 0.115766,
				"25": 0.090959,
				"26": 0.099228,
				"27": 0.124035,
				"28": 0.074421,
				"29": 0.049614,
				"30": 0.033076,
				"31": 0.231532,
				"32": 0.041345,
				"33": 0.049614,
				"34": 0.041345,
				"35": 0.08269,
				"36": 0.041345,
				"37": 0.041345,
				"38": 0.066152,
				"39": 0.148842,
				"40": 0.16538,
				"41": 0.148842,
				"42": 0.099228,
				"43": 0.405181,
				"44": 0.057883,
				"45": 0.148842,
				"46": 0.066152,
				"47": 0.124035,
				"48": 0.322491,
				"49": 2.083788,
				"50": 0.305953,
				"51": 1.389192,
				"52": 0.57883,
				"53": 1.174198,
				"54": 29.445909,
				"55": 0.107497,
				"56": 0.173649,
				"57": 0.008269
			},
			"opera": {
				"9": null,
				"11": 0.074421,
				"12": 0.587099,
				"15": 0.016538,
				"16": 0.016538,
				"17": 0.016538,
				"18": 0.074421,
				"19": 0.016538,
				"20": 0.049614,
				"21": 0.024807,
				"22": 0.008269,
				"23": 0.008269,
				"24": 0.024807,
				"25": 0.033076,
				"26": 0.024807,
				"27": 0.190187,
				"28": 0.057883,
				"29": 0.024807,
				"30": 0.024807,
				"31": 0.016538,
				"32": 0.016538,
				"33": 0.024807,
				"34": 0.033076,
				"35": 0.057883,
				"36": 0.471333,
				"37": 0.124035,
				"38": 0.256339,
				"39": 0.049614,
				"40": 0.115766,
				"41": 3.630091,
				"42": 0.016538,
				"43": 0.008269,
				"9.5-9.6": 0.008269,
				"10.0-10.1": 0.066152,
				"10.5": 0.090959,
				"10.6": 0.223263,
				"11.1": 0.08269,
				"11.5": 0.140573,
				"11.6": 0.49614,
				"12.1": 1.976291
			},
			"safari": {
				"0": null,
				"4": 0.239801,
				"5": 0.347298,
				"6": 0.057883,
				"7": 0.041345,
				"8": 0.090959,
				"9": 0.099228,
				"10": 1.108046,
				"3.1": 0.041345,
				"3.2": 0.016538,
				"5.1": 0.223263,
				"6.1": 0.049614,
				"7.1": 0.016538,
				"9.1": 0.41345
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0906025192127,
				"8.1-8.4": 0.117028253983,
				"9.0-9.2": 0.0901830631053,
				"9.3": 0.590594199313,
				"10-10.1": 3.13962896439
			},
			"android": {
				"3": 0,
				"4": 0.022732016585,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00262292499058,
				"4.1": 0.0721304372409,
				"4.2-4.3": 0.20589961176,
				"4.4": 0.485241123257,
				"4.4.3-4.4.4": 0.371143886167
			},
			"op_mob": {
				"0": 0.057180308333,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00158834189814
			},
			"ie": {
				"6": 0.0356511211073,
				"7": 0.0356511211073,
				"8": 1.16757421626,
				"9": 0.481290134948,
				"10": 0.686284081315,
				"11": 2.74513632526,
				"5.5": null
			},
			"edge": {
				"12": 0.033076,
				"13": 0.231532,
				"14": 0.727672
			},
			"bb": {
				"7": 0.01081875,
				"10": null
			},
			"ie_mob": {
				"10": 0.084389712,
				"11": 0.395097288
			},
			"and_ff": {
				"0": 0.019041
			},
			"samsung": {
				"0": 0.820494
			},
			"and_uc": {
				"0": 0.815301
			},
			"op_mini": {
				"0": 0.770380349769
			},
			"and_chr": {
				"0": 9.059886
			}
		},
		"total": 86.42524475
	};

/***/ },
/* 624 */
/***/ function(module, exports) {

	module.exports = {
		"id": "RW",
		"name": "Rwanda",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.0546,
				"4": 0.0168,
				"5": 0.0147,
				"6": 0.0105,
				"7": 0.0042,
				"8": 0.0126,
				"9": 0.0042,
				"10": 0.0168,
				"11": 0.0315,
				"12": 0.0273,
				"13": 0.0126,
				"14": 0.0315,
				"15": 0.0168,
				"16": 0.021,
				"17": 0.0315,
				"18": 0.0105,
				"19": 0.0294,
				"20": 0.0903,
				"21": 0.0126,
				"22": 0.0105,
				"23": 0.0105,
				"24": 0.0063,
				"25": 0.0147,
				"26": 0.0042,
				"27": 0.0042,
				"28": 0.0147,
				"29": 0.0315,
				"30": 0.0126,
				"31": 0.0399,
				"32": 0.0105,
				"33": 0.0483,
				"34": 0.0315,
				"35": 0.0378,
				"36": 0.0294,
				"37": 0.0189,
				"38": 0.0273,
				"39": 0.0168,
				"40": 0.0504,
				"41": 0.0378,
				"42": 0.0231,
				"43": 0.1743,
				"44": 0.1701,
				"45": 0.0798,
				"46": 0.0609,
				"47": 0.4557,
				"48": 0.1428,
				"49": 2.8791,
				"50": 1.5099,
				"51": 0.1701,
				"52": null,
				"53": null,
				"3.5": 0.0042,
				"3.6": 0.0231
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": 0.0021,
				"8": null,
				"9": 0.0021,
				"10": 0.0021,
				"11": 0.0147,
				"12": 0.0042,
				"13": null,
				"14": null,
				"15": 0.0021,
				"16": 0.0021,
				"17": 0.0042,
				"18": null,
				"19": null,
				"20": 0.0021,
				"21": 0.0021,
				"22": 0.021,
				"23": 0.0042,
				"24": null,
				"25": 0.0021,
				"26": 0.0063,
				"27": null,
				"28": 0.0105,
				"29": 0.0399,
				"30": null,
				"31": 0.0063,
				"32": 0.0042,
				"33": 0.0315,
				"34": null,
				"35": 0.0042,
				"36": 0.0168,
				"37": 0.0021,
				"38": 0.0042,
				"39": 0.0042,
				"40": 0.0084,
				"41": 0.0021,
				"42": 0.0126,
				"43": 0.3927,
				"44": 0.0084,
				"45": 0.0483,
				"46": 0.0084,
				"47": 0.0504,
				"48": 0.0231,
				"49": 0.2037,
				"50": 0.0399,
				"51": 0.2415,
				"52": 0.168,
				"53": 0.2457,
				"54": 8.6373,
				"55": 0.0567,
				"56": 0.0294,
				"57": 0.0042
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.0042,
				"21": 0.0021,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.0021,
				"29": 0.0042,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.0042,
				"34": 0.0021,
				"35": 0.0315,
				"36": 0.0084,
				"37": 0.1554,
				"38": 0.0042,
				"39": 0.0063,
				"40": 0.0273,
				"41": 0.4683,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.0294,
				"12.1": 0.042
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": 0.0063,
				"7": 0.0063,
				"8": 0.0651,
				"9": 0.0651,
				"10": 0.2457,
				"3.1": null,
				"3.2": null,
				"5.1": 0.0357,
				"6.1": 0.0105,
				"7.1": 0.0105,
				"9.1": 0.1218
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0191910028116,
				"8.1-8.4": 0.0247883786317,
				"9.0-9.2": 0.0191021555764,
				"9.3": 0.125096907216,
				"10-10.1": 0.665021555764
			},
			"android": {
				"3": 0,
				"4": 0.0393302676216,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00453810780249,
				"4.1": 0.124797964568,
				"4.2-4.3": 0.356241462495,
				"4.4": 0.83954994346,
				"4.4.3-4.4.4": 0.642142254052
			},
			"op_mob": {
				"0": 4.52188064798,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.125607795777
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.1302,
				"9": 0.0399,
				"10": 0.1113,
				"11": 0.7056,
				"5.5": null
			},
			"edge": {
				"12": 0.1176,
				"13": 0.2247,
				"14": 0.1428
			},
			"bb": {
				"7": 0.05925,
				"10": null
			},
			"ie_mob": {
				"10": 0.076472,
				"11": 0.358028
			},
			"and_ff": {
				"0": 0.0079
			},
			"samsung": {
				"0": 0.7584
			},
			"and_uc": {
				"0": 2.7176
			},
			"op_mini": {
				"0": 60.9225115562
			},
			"and_chr": {
				"0": 6.6608
			}
		},
		"total": 98.87545
	};

/***/ },
/* 625 */
/***/ function(module, exports) {

	module.exports = {
		"id": "SA",
		"name": "Saudi Arabia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.07758,
				"3": 0.015516,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.003879,
				"13": null,
				"14": null,
				"15": 0.07758,
				"16": null,
				"17": null,
				"18": 0.089217,
				"19": null,
				"20": null,
				"21": 0.081459,
				"22": 0.003879,
				"23": 0.089217,
				"24": null,
				"25": 0.162918,
				"26": 0.003879,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.007758,
				"31": 0.003879,
				"32": null,
				"33": 0.007758,
				"34": 0.003879,
				"35": 0.011637,
				"36": 0.007758,
				"37": 0.011637,
				"38": 0.015516,
				"39": 0.011637,
				"40": 0.011637,
				"41": 0.007758,
				"42": 0.011637,
				"43": 0.073701,
				"44": 0.031032,
				"45": 0.065943,
				"46": 0.042669,
				"47": 0.221103,
				"48": 0.131886,
				"49": 1.656333,
				"50": 0.985266,
				"51": 0.046548,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.003879,
				"9": null,
				"10": null,
				"11": 0.007758,
				"12": 0.003879,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.003879,
				"19": 0.081459,
				"20": 0.003879,
				"21": 0.003879,
				"22": 0.011637,
				"23": null,
				"24": 0.248256,
				"25": 0.007758,
				"26": 0.007758,
				"27": 0.015516,
				"28": 0.011637,
				"29": 0.023274,
				"30": 0.093096,
				"31": 0.058185,
				"32": 0.011637,
				"33": 0.081459,
				"34": 0.019395,
				"35": 0.170676,
				"36": 0.011637,
				"37": 0.015516,
				"38": 0.031032,
				"39": 0.034911,
				"40": 0.019395,
				"41": 0.034911,
				"42": 0.015516,
				"43": 0.515907,
				"44": 0.031032,
				"45": 0.03879,
				"46": 0.027153,
				"47": 0.07758,
				"48": 0.058185,
				"49": 0.954234,
				"50": 0.073701,
				"51": 0.411174,
				"52": 0.240498,
				"53": 0.616761,
				"54": 21.862044,
				"55": 0.112491,
				"56": 0.124128,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.011637,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.011637,
				"36": 0.007758,
				"37": 0.007758,
				"38": 0.034911,
				"39": 0.011637,
				"40": 0.015516,
				"41": 0.027153,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0.081459,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.007758
			},
			"safari": {
				"0": null,
				"4": 0.003879,
				"5": 0.085338,
				"6": 0.003879,
				"7": 0.019395,
				"8": 0.143523,
				"9": 0.11637,
				"10": 0.950355,
				"3.1": null,
				"3.2": null,
				"5.1": 0.034911,
				"6.1": 0.015516,
				"7.1": 0.007758,
				"9.1": 0.403416
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.323875029053,
				"8.1-8.4": 0.418338579194,
				"9.0-9.2": 0.322375607623,
				"9.3": 2.11118537457,
				"10-10.1": 11.2231694096
			},
			"android": {
				"3": 0,
				"4": 0.0634768096495,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00732424726724,
				"4.1": 0.201416799849,
				"4.2-4.3": 0.574953410479,
				"4.4": 1.35498574444,
				"4.4.3-4.4.4": 1.03638098832
			},
			"op_mob": {
				"0": 0.0059106503977,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000164184733269
			},
			"ie": {
				"6": 0.00783981975072,
				"7": 0.00391990987536,
				"8": 0.486068824545,
				"9": 0.450789635666,
				"10": 0.38023125791,
				"11": 2.75961655225,
				"5.5": null
			},
			"edge": {
				"12": 0.073701,
				"13": 0.224982,
				"14": 0.744768
			},
			"bb": {
				"7": 0.039793,
				"10": null
			},
			"ie_mob": {
				"10": 0.020471968,
				"11": 0.095846032
			},
			"and_ff": {
				"0": 0.024488
			},
			"samsung": {
				"0": 4.169082
			},
			"and_uc": {
				"0": 14.227528
			},
			"op_mini": {
				"0": 0.079633164869
			},
			"and_chr": {
				"0": 24.85062
			}
		},
		"total": 98.432088
	};

/***/ },
/* 626 */
/***/ function(module, exports) {

	module.exports = {
		"id": "SB",
		"name": "Solomon Islands",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.08561,
				"4": null,
				"5": null,
				"6": null,
				"7": 0.01223,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.017122,
				"17": null,
				"18": 0.002446,
				"19": null,
				"20": null,
				"21": 0.03669,
				"22": 0.004892,
				"23": 0.151652,
				"24": 0.017122,
				"25": 0.002446,
				"26": null,
				"27": 0.004892,
				"28": 0.004892,
				"29": 0.026906,
				"30": null,
				"31": 0.002446,
				"32": null,
				"33": 0.014676,
				"34": null,
				"35": 0.03669,
				"36": null,
				"37": 0.046474,
				"38": 0.007338,
				"39": 0.019568,
				"40": 0.007338,
				"41": 0.017122,
				"42": 0.004892,
				"43": 0.234816,
				"44": 0.031798,
				"45": 0.026906,
				"46": 0.080718,
				"47": 0.552796,
				"48": 0.239708,
				"49": 1.426018,
				"50": 0.897682,
				"51": 0.15899,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.031798
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.748476,
				"9": null,
				"10": null,
				"11": 0.034244,
				"12": null,
				"13": 0.014676,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.03669,
				"22": 0.009784,
				"23": 0.007338,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.004892,
				"29": 0.004892,
				"30": null,
				"31": 0.004892,
				"32": 0.02446,
				"33": 0.004892,
				"34": 0.019568,
				"35": 0.004892,
				"36": null,
				"37": 0.002446,
				"38": 0.002446,
				"39": 0.004892,
				"40": 0.002446,
				"41": 0.039136,
				"42": 0.017122,
				"43": 0.019568,
				"44": 0.002446,
				"45": 0.031798,
				"46": 0.04892,
				"47": 0.017122,
				"48": 0.004892,
				"49": 1.494506,
				"50": 0.051366,
				"51": 0.144314,
				"52": 0.031798,
				"53": 0.320426,
				"54": 5.8704,
				"55": 0.09784,
				"56": 0.004892,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.095394,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.007338,
				"27": 0.009784,
				"28": null,
				"29": 0.291074,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.080718,
				"34": null,
				"35": 0.004892,
				"36": 0.004892,
				"37": 0.198126,
				"38": 0.004892,
				"39": null,
				"40": 0.031798,
				"41": 0.25683,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0.007338,
				"10.5": null,
				"10.6": 0.009784,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": 0.009784,
				"7": 0.009784,
				"8": 0.117408,
				"9": 0.034244,
				"10": 0.13453,
				"3.1": null,
				"3.2": null,
				"5.1": 0.019568,
				"6.1": 0.007338,
				"7.1": null,
				"9.1": 0.129638
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0536921611996,
				"8.1-8.4": 0.0693523748828,
				"9.0-9.2": 0.0534435863793,
				"9.3": 0.349993347079,
				"10-10.1": 1.86058253046
			},
			"android": {
				"3": 0,
				"4": 0.0941673154919,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0108654594798,
				"4.1": 0.298800135695,
				"4.2-4.3": 0.852938569167,
				"4.4": 2.01011000377,
				"4.4.3-4.4.4": 1.5374625164
			},
			"op_mob": {
				"0": 1.3132993755,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0364805382085
			},
			"ie": {
				"6": 0.007338,
				"7": null,
				"8": 0.28129,
				"9": 0.198126,
				"10": 0.205464,
				"11": 4.755024,
				"5.5": null
			},
			"edge": {
				"12": 0.058704,
				"13": 0.225032,
				"14": 0.286182
			},
			"bb": {
				"7": 0.003777,
				"10": null
			},
			"ie_mob": {
				"10": 0.390874176,
				"11": 1.830001824
			},
			"and_ff": {
				"0": 0.007554
			},
			"samsung": {
				"0": 3.044262
			},
			"and_uc": {
				"0": 20.607312
			},
			"op_mini": {
				"0": 17.6938540863
			},
			"and_chr": {
				"0": 24.168046
			}
		},
		"total": 97.102329
	};

/***/ },
/* 627 */
/***/ function(module, exports) {

	module.exports = {
		"id": "SC",
		"name": "Seychelles",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.005231,
				"4": null,
				"5": 0.041848,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.010462,
				"11": 0.005231,
				"12": null,
				"13": 0.005231,
				"14": 0.010462,
				"15": 0.005231,
				"16": 0.005231,
				"17": 0.005231,
				"18": null,
				"19": null,
				"20": 0.015693,
				"21": 0.031386,
				"22": 0.005231,
				"23": 0.010462,
				"24": 0.026155,
				"25": 0.010462,
				"26": 0.015693,
				"27": null,
				"28": 0.015693,
				"29": 0.010462,
				"30": 0.151699,
				"31": null,
				"32": 0.015693,
				"33": 0.010462,
				"34": 0.015693,
				"35": 0.015693,
				"36": 0.125544,
				"37": 0.031386,
				"38": 0.381863,
				"39": 0.078465,
				"40": 0.099389,
				"41": 0.015693,
				"42": 0.251088,
				"43": 0.606796,
				"44": 0.115082,
				"45": 0.345246,
				"46": 0.768957,
				"47": 2.714889,
				"48": 0.873577,
				"49": 3.703548,
				"50": 1.642534,
				"51": 0.088927,
				"52": 0.010462,
				"53": 0.010462,
				"3.5": 0.010462,
				"3.6": 0.015693
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.010462,
				"12": 0.073234,
				"13": null,
				"14": null,
				"15": 0.005231,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.005231,
				"20": null,
				"21": null,
				"22": 0.015693,
				"23": null,
				"24": 0.036617,
				"25": null,
				"26": null,
				"27": 0.015693,
				"28": null,
				"29": 0.031386,
				"30": 0.026155,
				"31": 0.020924,
				"32": 0.026155,
				"33": 0.010462,
				"34": null,
				"35": 0.020924,
				"36": 0.031386,
				"37": 0.036617,
				"38": 0.036617,
				"39": 0.083696,
				"40": 0.041848,
				"41": 0.031386,
				"42": 0.010462,
				"43": 0.632951,
				"44": 0.015693,
				"45": 0.099389,
				"46": 0.020924,
				"47": 0.031386,
				"48": 0.026155,
				"49": 1.135127,
				"50": 0.831729,
				"51": 5.7541,
				"52": 0.685261,
				"53": 1.297288,
				"54": 13.945846,
				"55": 0.041848,
				"56": 0.094158,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.010462,
				"29": null,
				"30": null,
				"31": null,
				"32": 0.010462,
				"33": null,
				"34": null,
				"35": 0.010462,
				"36": 0.015693,
				"37": 0.036617,
				"38": 1.124665,
				"39": null,
				"40": 0.015693,
				"41": 0.256319,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.010462,
				"11.1": null,
				"11.5": null,
				"11.6": 0.015693,
				"12.1": 0.05231
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": 0.020924,
				"8": 0.047079,
				"9": 0.125544,
				"10": 1.088048,
				"3.1": null,
				"3.2": null,
				"5.1": 0.015693,
				"6.1": 0.026155,
				"7.1": 0.005231,
				"9.1": 0.47079
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.312796341143,
				"8.1-8.4": 0.40402860731,
				"9.0-9.2": 0.311348209934,
				"9.3": 2.03896874227,
				"10-10.1": 10.8392620993
			},
			"android": {
				"3": 0,
				"4": 0.0530935484357,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00612617866566,
				"4.1": 0.168469913306,
				"4.2-4.3": 0.480905025254,
				"4.4": 1.13334305315,
				"4.4.3-4.4.4": 0.866854281191
			},
			"op_mob": {
				"0": 0.270999472619,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00752776312831
			},
			"ie": {
				"6": 0.137541826851,
				"7": 0.010580140527,
				"8": 0.640098501882,
				"9": 0.238053161857,
				"10": 0.613648150565,
				"11": 2.57626421832,
				"5.5": null
			},
			"edge": {
				"12": 0.387094,
				"13": 0.669568,
				"14": 0.491714
			},
			"bb": {
				"7": 0.0500745,
				"10": null
			},
			"ie_mob": {
				"10": 0.158636016,
				"11": 0.742704984
			},
			"and_ff": {
				"0": 0.038152
			},
			"samsung": {
				"0": 4.38748
			},
			"and_uc": {
				"0": 5.260207
			},
			"op_mini": {
				"0": 3.65112876425
			},
			"and_chr": {
				"0": 17.727
			}
		},
		"total": 95.5487025
	};

/***/ },
/* 628 */
/***/ function(module, exports) {

	module.exports = {
		"id": "SD",
		"name": "Sudan",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.003636,
				"3": 0.069084,
				"4": 0.012726,
				"5": 0.007272,
				"6": 0.012726,
				"7": 0.003636,
				"8": 0.007272,
				"9": 0.012726,
				"10": 0.016362,
				"11": 0.01818,
				"12": 0.014544,
				"13": 0.016362,
				"14": 0.01818,
				"15": 0.00909,
				"16": 0.023634,
				"17": 0.007272,
				"18": 0.021816,
				"19": 0.014544,
				"20": 0.007272,
				"21": 0.083628,
				"22": 0.02727,
				"23": 0.021816,
				"24": 0.01818,
				"25": 0.025452,
				"26": 0.010908,
				"27": 0.01818,
				"28": 0.014544,
				"29": 0.069084,
				"30": 0.032724,
				"31": 0.025452,
				"32": 0.021816,
				"33": 0.03636,
				"34": 0.02727,
				"35": 0.229068,
				"36": 0.078174,
				"37": 0.098172,
				"38": 0.032724,
				"39": 0.058176,
				"40": 0.04545,
				"41": 0.047268,
				"42": 0.03636,
				"43": 0.265428,
				"44": 0.20907,
				"45": 0.114534,
				"46": 0.076356,
				"47": 0.625392,
				"48": 0.234522,
				"49": 2.534292,
				"50": 1.361682,
				"51": 0.138168,
				"52": null,
				"53": null,
				"3.5": 0.005454,
				"3.6": 0.085446
			},
			"chrome": {
				"4": 0.00909,
				"5": 0.00909,
				"6": 0.005454,
				"7": 0.001818,
				"8": 0.010908,
				"9": 0.032724,
				"10": 0.010908,
				"11": 0.06363,
				"12": 0.00909,
				"13": 0.039996,
				"14": 0.005454,
				"15": 0.003636,
				"16": 0.056358,
				"17": 0.010908,
				"18": 0.00909,
				"19": 0.014544,
				"20": 0.012726,
				"21": 0.005454,
				"22": 0.030906,
				"23": 0.049086,
				"24": 0.025452,
				"25": 0.043632,
				"26": 0.08181,
				"27": 0.12726,
				"28": 0.114534,
				"29": 0.16362,
				"30": 0.059994,
				"31": 0.129078,
				"32": 0.04545,
				"33": 0.130896,
				"34": 0.038178,
				"35": 0.039996,
				"36": 0.049086,
				"37": 0.025452,
				"38": 0.043632,
				"39": 0.083628,
				"40": 0.59085,
				"41": 0.170892,
				"42": 0.030906,
				"43": 0.6363,
				"44": 0.087264,
				"45": 0.096354,
				"46": 0.119988,
				"47": 0.116352,
				"48": 0.087264,
				"49": 0.279972,
				"50": 0.143622,
				"51": 0.429048,
				"52": 0.361782,
				"53": 0.441774,
				"54": 0.998082,
				"55": 0.005454,
				"56": 0.001818,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.00909,
				"12": 0.02727,
				"15": 0.001818,
				"16": 0.001818,
				"17": 0.003636,
				"18": 0.005454,
				"19": 0.003636,
				"20": 0.00909,
				"21": 0.001818,
				"22": 0.001818,
				"23": 0.003636,
				"24": null,
				"25": null,
				"26": 0.001818,
				"27": 0.005454,
				"28": 0.121806,
				"29": 0.00909,
				"30": 0.003636,
				"31": 0.001818,
				"32": 0.003636,
				"33": 0.02727,
				"34": 0.014544,
				"35": 0.014544,
				"36": 0.030906,
				"37": 0.023634,
				"38": 0.012726,
				"39": 0.016362,
				"40": 0.049086,
				"41": 0.701748,
				"42": 0.00909,
				"43": 0.00909,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.007272,
				"11.1": null,
				"11.5": 0.04545,
				"11.6": 0.01818,
				"12.1": 0.049086
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.016362,
				"6": null,
				"7": 0.021816,
				"8": 0.085446,
				"9": 0.01818,
				"10": 0.138168,
				"3.1": null,
				"3.2": null,
				"5.1": 0.019998,
				"6.1": null,
				"7.1": 0.029088,
				"9.1": 0.049086
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0379117225867,
				"8.1-8.4": 0.0489693083411,
				"9.0-9.2": 0.0377362053525,
				"9.3": 0.24712826575,
				"10-10.1": 1.31374649797
			},
			"android": {
				"3": 0,
				"4": 0.182502085187,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0210579329061,
				"4.1": 0.579093154919,
				"4.2-4.3": 1.65304773313,
				"4.4": 3.89571758764,
				"4.4.3-4.4.4": 2.97969750622
			},
			"op_mob": {
				"0": 2.59273960938,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.072020544705
			},
			"ie": {
				"6": 0.00735173684211,
				"7": 0.0128655394737,
				"8": 0.367586842105,
				"9": 0.130493328947,
				"10": 0.0863829078947,
				"11": 1.06967771053,
				"5.5": null
			},
			"edge": {
				"12": 0.078174,
				"13": 0.079992,
				"14": 0.176346
			},
			"bb": {
				"7": 0.0184095,
				"10": null
			},
			"ie_mob": {
				"10": 0.047521056,
				"11": 0.222484944
			},
			"and_ff": {
				"0": 0.090002
			},
			"samsung": {
				"0": 3.755538
			},
			"and_uc": {
				"0": 13.107564
			},
			"op_mini": {
				"0": 34.9315298459
			},
			"and_chr": {
				"0": 15.577552
			}
		},
		"total": 98.2393575658
	};

/***/ },
/* 629 */
/***/ function(module, exports) {

	module.exports = {
		"id": "SE",
		"name": "Sweden",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.011656,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.005828,
				"17": 0.011656,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.005828,
				"22": null,
				"23": 0.017484,
				"24": 0.005828,
				"25": null,
				"26": 0.005828,
				"27": 0.005828,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.011656,
				"32": null,
				"33": 0.005828,
				"34": 0.064108,
				"35": 0.011656,
				"36": null,
				"37": 0.052452,
				"38": 0.052452,
				"39": 0.017484,
				"40": 0.011656,
				"41": 0.017484,
				"42": 0.023312,
				"43": 0.05828,
				"44": 0.034968,
				"45": 0.128216,
				"46": 0.05828,
				"47": 0.209808,
				"48": 0.279744,
				"49": 3.863964,
				"50": 2.051456,
				"51": 0.017484,
				"52": null,
				"53": null,
				"3.5": 0.005828,
				"3.6": 0.011656
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.005828,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.005828,
				"22": 0.017484,
				"23": null,
				"24": null,
				"25": 0.005828,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.011656,
				"30": null,
				"31": 0.017484,
				"32": 0.011656,
				"33": 0.011656,
				"34": 0.023312,
				"35": 0.046624,
				"36": 0.011656,
				"37": 0.017484,
				"38": 0.110732,
				"39": 0.104904,
				"40": 0.023312,
				"41": 0.034968,
				"42": 0.023312,
				"43": 0.069936,
				"44": 0.034968,
				"45": 0.040796,
				"46": 0.05828,
				"47": 0.040796,
				"48": 0.075764,
				"49": 0.99076,
				"50": 0.099076,
				"51": 0.477896,
				"52": 0.26226,
				"53": 1.678464,
				"54": 27.234244,
				"55": 0.093248,
				"56": 0.02914,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.011656,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.011656,
				"37": 0.011656,
				"38": 0.034968,
				"39": null,
				"40": 0.005828,
				"41": 0.308884,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.034968
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.034968,
				"6": 0.017484,
				"7": 0.104904,
				"8": 0.472068,
				"9": 0.442928,
				"10": 2.896516,
				"3.1": null,
				"3.2": null,
				"5.1": 0.110732,
				"6.1": 0.1457,
				"7.1": 0.017484,
				"9.1": 1.404548
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.477857387067,
				"8.1-8.4": 0.617232458294,
				"9.0-9.2": 0.475645084349,
				"9.3": 3.1149222268,
				"10-10.1": 16.5590858435
			},
			"android": {
				"3": 0,
				"4": 0.0166039155673,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00191583641161,
				"4.1": 0.0526855013193,
				"4.2-4.3": 0.150393158311,
				"4.4": 0.354429736148,
				"4.4.3-4.4.4": 0.271090852243
			},
			"op_mob": {
				"0": 0.00978455803107,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000271793278641
			},
			"ie": {
				"6": 0.00584407724138,
				"7": 0.0116881544828,
				"8": 0.116881544828,
				"9": 0.216230857931,
				"10": 0.268827553103,
				"11": 7.85443981241,
				"5.5": null
			},
			"edge": {
				"12": 0.069936,
				"13": 0.425444,
				"14": 3.08884
			},
			"bb": {
				"7": 0.00312975,
				"10": null
			},
			"ie_mob": {
				"10": 0.038191296,
				"11": 0.178804704
			},
			"and_ff": {
				"0": 0.04173
			},
			"samsung": {
				"0": 4.894929
			},
			"and_uc": {
				"0": 0.070941
			},
			"op_mini": {
				"0": 0.13182564869
			},
			"and_chr": {
				"0": 14.32196
			}
		},
		"total": 98.63556975
	};

/***/ },
/* 630 */
/***/ function(module, exports) {

	module.exports = {
		"id": "SG",
		"name": "Singapore",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.048303,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.005367,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.010734,
				"17": 0.010734,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.021468,
				"22": null,
				"23": null,
				"24": 0.005367,
				"25": 0.005367,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.005367,
				"30": null,
				"31": 0.010734,
				"32": 0.005367,
				"33": 0.010734,
				"34": 0.032202,
				"35": 0.010734,
				"36": 0.010734,
				"37": 0.032202,
				"38": 0.085872,
				"39": 0.016101,
				"40": 0.016101,
				"41": 0.016101,
				"42": 0.016101,
				"43": 0.209313,
				"44": 0.080505,
				"45": 0.225414,
				"46": 0.332754,
				"47": 0.955326,
				"48": 0.391791,
				"49": 2.89818,
				"50": 1.347117,
				"51": 0.026835,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.010734
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.016101,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.005367,
				"22": 0.021468,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.010734,
				"27": 0.016101,
				"28": 0.010734,
				"29": 0.112707,
				"30": 0.005367,
				"31": 0.042936,
				"32": 0.010734,
				"33": 0.021468,
				"34": 0.037569,
				"35": 0.021468,
				"36": 0.016101,
				"37": 0.010734,
				"38": 0.032202,
				"39": 0.230781,
				"40": 0.026835,
				"41": 0.064404,
				"42": 0.059037,
				"43": 0.364956,
				"44": 0.101973,
				"45": 0.155643,
				"46": 0.091239,
				"47": 0.091239,
				"48": 0.359589,
				"49": 1.170006,
				"50": 0.472296,
				"51": 2.52249,
				"52": 0.499131,
				"53": 1.298814,
				"54": 23.711406,
				"55": 0.091239,
				"56": 0.048303,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.037569,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.010734,
				"37": 0.026835,
				"38": 0.391791,
				"39": 0.010734,
				"40": 0.010734,
				"41": 0.273717,
				"42": null,
				"43": null,
				"9.5-9.6": 0.005367,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.026835
			},
			"safari": {
				"0": null,
				"4": 0.059037,
				"5": 0.026835,
				"6": 0.016101,
				"7": 0.037569,
				"8": 0.225414,
				"9": 0.236148,
				"10": 1.653036,
				"3.1": null,
				"3.2": null,
				"5.1": 0.069771,
				"6.1": 0.059037,
				"7.1": 0.010734,
				"9.1": 0.890922
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.348819553889,
				"8.1-8.4": 0.45055859044,
				"9.0-9.2": 0.347204648547,
				"9.3": 2.27378672165,
				"10-10.1": 12.0875664855
			},
			"android": {
				"3": 0,
				"4": 0.0277815243121,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00320556049755,
				"4.1": 0.0881529136826,
				"4.2-4.3": 0.251636499058,
				"4.4": 0.593028692047,
				"4.4.3-4.4.4": 0.453586810403
			},
			"op_mob": {
				"0": 0.0763449584808,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00212069329113
			},
			"ie": {
				"6": 0.0715727444346,
				"7": 0.0715727444346,
				"8": 1.13919951558,
				"9": 0.363828117542,
				"10": 0.506973606411,
				"11": 4.53294048085,
				"5.5": null
			},
			"edge": {
				"12": 0.080505,
				"13": 0.348855,
				"14": 1.282713
			},
			"bb": {
				"7": 0.540786,
				"10": null
			},
			"ie_mob": {
				"10": 0.030163584,
				"11": 0.141220416
			},
			"and_ff": {
				"0": 0.050952
			},
			"samsung": {
				"0": 5.173944
			},
			"and_uc": {
				"0": 4.210488
			},
			"op_mini": {
				"0": 1.02858234823
			},
			"and_chr": {
				"0": 17.12292
			}
		},
		"total": 96.3847612093
	};

/***/ },
/* 631 */
/***/ function(module, exports) {

	module.exports = {
		"id": "SH",
		"name": "Saint Helena",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.590019,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": null,
				"42": null,
				"43": null,
				"44": null,
				"45": null,
				"46": null,
				"47": 2.377178,
				"48": 8.610857,
				"49": 13.365213,
				"50": 0.590019,
				"51": null,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 1.188589,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": 1.487874,
				"42": null,
				"43": null,
				"44": null,
				"45": null,
				"46": null,
				"47": null,
				"48": null,
				"49": 1.487874,
				"50": 8.610857,
				"51": 0.299285,
				"52": 8.910142,
				"53": 10.389465,
				"54": 11.278769,
				"55": null,
				"56": null,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.299285,
				"39": null,
				"40": null,
				"41": null,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"3.1": null,
				"3.2": null,
				"5.1": null,
				"6.1": null,
				"7.1": null,
				"9.1": 0.299285
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0518543730084,
				"8.1-8.4": 0.0669785651359,
				"9.0-9.2": 0.0516143064667,
				"9.3": 0.338013690722,
				"10-10.1": 1.79689806467
			},
			"android": {
				"3": 0,
				"4": 0.00644703957784,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.000743889182058,
				"4.1": 0.0204569525066,
				"4.2-4.3": 0.0583953007916,
				"4.4": 0.137619498681,
				"4.4.3-4.4.4": 0.105260319261
			},
			"op_mob": {
				"0": 0,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0
			},
			"ie": {
				"6": null,
				"7": null,
				"8": null,
				"9": 0.299285,
				"10": 0.889304,
				"11": 14.254517,
				"5.5": null
			},
			"edge": {
				"12": null,
				"13": null,
				"14": null
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0.405743184,
				"11": 1.899615816
			},
			"and_ff": {
				"0": 7.245
			},
			"samsung": {
				"0": null
			},
			"and_uc": {
				"0": null
			},
			"op_mini": {
				"0": 0
			},
			"and_chr": {
				"0": 2.604644
			}
		},
		"total": 100.017102
	};

/***/ },
/* 632 */
/***/ function(module, exports) {

	module.exports = {
		"id": "SI",
		"name": "Slovenia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": 0.015262,
				"5": 0.015262,
				"6": 0.007631,
				"7": 0.007631,
				"8": 0.007631,
				"9": 0.015262,
				"10": 0.007631,
				"11": 0.007631,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.007631,
				"17": 0.053417,
				"18": 0.007631,
				"19": 0.015262,
				"20": 0.015262,
				"21": 0.015262,
				"22": 0.007631,
				"23": 0.007631,
				"24": 0.015262,
				"25": 0.007631,
				"26": 0.022893,
				"27": 0.007631,
				"28": 0.022893,
				"29": 0.015262,
				"30": 0.015262,
				"31": 0.053417,
				"32": 0.022893,
				"33": 0.022893,
				"34": 0.015262,
				"35": 0.015262,
				"36": 0.022893,
				"37": 0.114465,
				"38": 0.07631,
				"39": 0.053417,
				"40": 0.030524,
				"41": 0.091572,
				"42": 0.030524,
				"43": 0.160251,
				"44": 0.045786,
				"45": 0.259454,
				"46": 0.07631,
				"47": 0.656266,
				"48": 0.419705,
				"49": 10.347636,
				"50": 8.3941,
				"51": 0.038155,
				"52": 0.007631,
				"53": null,
				"3.5": 0.061048,
				"3.6": 0.022893
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.007631,
				"10": null,
				"11": 0.022893,
				"12": 0.015262,
				"13": null,
				"14": 0.007631,
				"15": 0.015262,
				"16": 0.007631,
				"17": null,
				"18": null,
				"19": 0.015262,
				"20": 0.015262,
				"21": 0.030524,
				"22": 0.022893,
				"23": 0.015262,
				"24": 0.015262,
				"25": 0.015262,
				"26": 0.007631,
				"27": null,
				"28": null,
				"29": 0.030524,
				"30": 0.022893,
				"31": 0.061048,
				"32": 0.022893,
				"33": 0.015262,
				"34": 0.030524,
				"35": 0.030524,
				"36": 0.022893,
				"37": 0.015262,
				"38": 0.045786,
				"39": 0.068679,
				"40": 0.022893,
				"41": 0.030524,
				"42": 0.022893,
				"43": 0.099203,
				"44": 0.068679,
				"45": 0.030524,
				"46": 0.030524,
				"47": 0.053417,
				"48": 0.061048,
				"49": 2.006953,
				"50": 0.122096,
				"51": 0.618111,
				"52": 0.30524,
				"53": 1.037816,
				"54": 34.72105,
				"55": 0.122096,
				"56": 0.091572,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.007631,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.030524,
				"37": 0.015262,
				"38": 0.068679,
				"39": 0.030524,
				"40": 0.038155,
				"41": 0.679159,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.083941
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.022893,
				"6": null,
				"7": 0.015262,
				"8": 0.114465,
				"9": 0.144989,
				"10": 1.549093,
				"3.1": null,
				"3.2": null,
				"5.1": 0.07631,
				"6.1": 0.038155,
				"7.1": 0.022893,
				"9.1": 0.503646
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.096394099344,
				"8.1-8.4": 0.124509044986,
				"9.0-9.2": 0.0959478303655,
				"9.3": 0.628346721649,
				"10-10.1": 3.34032330366
			},
			"android": {
				"3": 0,
				"4": 0.0229381349416,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00264670787787,
				"4.1": 0.0727844666415,
				"4.2-4.3": 0.207766568413,
				"4.4": 0.489640957407,
				"4.4.3-4.4.4": 0.374509164719
			},
			"op_mob": {
				"0": 0.0109459579394,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000304054387207
			},
			"ie": {
				"6": 0.015291293666,
				"7": null,
				"8": 0.282888932821,
				"9": 0.22936940499,
				"10": 0.259951992322,
				"11": 7.1792623762,
				"5.5": null
			},
			"edge": {
				"12": 0.083941,
				"13": 0.343395,
				"14": 1.762761
			},
			"bb": {
				"7": 0.01006825,
				"10": null
			},
			"ie_mob": {
				"10": 0.076300752,
				"11": 0.357226248
			},
			"and_ff": {
				"0": 0.030797
			},
			"samsung": {
				"0": 2.816741
			},
			"and_uc": {
				"0": 0.040273
			},
			"op_mini": {
				"0": 0.147472987673
			},
			"and_chr": {
				"0": 14.857734
			}
		},
		"total": 98.78587625
	};

/***/ },
/* 633 */
/***/ function(module, exports) {

	module.exports = {
		"id": "SK",
		"name": "Slovakia (Slovak Republic)",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.015396,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.007698,
				"11": null,
				"12": 0.023094,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.007698,
				"17": 0.007698,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.015396,
				"22": null,
				"23": null,
				"24": 0.03849,
				"25": null,
				"26": null,
				"27": 0.007698,
				"28": 0.015396,
				"29": 0.130866,
				"30": 0.015396,
				"31": 0.015396,
				"32": 0.023094,
				"33": 0.046188,
				"34": 0.03849,
				"35": 0.015396,
				"36": 0.069282,
				"37": 1.11621,
				"38": 0.084678,
				"39": 0.046188,
				"40": 0.030792,
				"41": 0.053886,
				"42": 0.107772,
				"43": 0.15396,
				"44": 0.069282,
				"45": 0.323316,
				"46": 0.084678,
				"47": 0.546558,
				"48": 0.354108,
				"49": 9.460842,
				"50": 5.65803,
				"51": 0.023094,
				"52": 0.007698,
				"53": null,
				"3.5": null,
				"3.6": 0.023094
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.030792,
				"12": 0.007698,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.03849,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.015396,
				"27": 0.015396,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.030792,
				"32": 0.023094,
				"33": 0.015396,
				"34": 0.046188,
				"35": 0.015396,
				"36": 0.023094,
				"37": 0.023094,
				"38": 0.030792,
				"39": 0.053886,
				"40": 0.030792,
				"41": 0.030792,
				"42": 0.015396,
				"43": 0.107772,
				"44": 0.061584,
				"45": 0.030792,
				"46": 0.046188,
				"47": 0.053886,
				"48": 0.100074,
				"49": 2.80977,
				"50": 0.123168,
				"51": 0.392598,
				"52": 0.215544,
				"53": 0.700518,
				"54": 38.25906,
				"55": 0.130866,
				"56": 0.053886,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.015396,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.015396,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.015396,
				"27": null,
				"28": 0.023094,
				"29": null,
				"30": 0.015396,
				"31": 0.007698,
				"32": 0.007698,
				"33": null,
				"34": 0.007698,
				"35": 0.015396,
				"36": 0.200148,
				"37": 0.069282,
				"38": 0.046188,
				"39": 0.023094,
				"40": 0.03849,
				"41": 2.678904,
				"42": 0.03849,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.015396,
				"11.1": null,
				"11.5": null,
				"11.6": 0.015396,
				"12.1": 0.400296
			},
			"safari": {
				"0": null,
				"4": 0.007698,
				"5": 0.015396,
				"6": null,
				"7": 0.030792,
				"8": 0.100074,
				"9": 0.123168,
				"10": 1.601184,
				"3.1": null,
				"3.2": null,
				"5.1": 0.061584,
				"6.1": 0.030792,
				"7.1": null,
				"9.1": 0.446484
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0747686148079,
				"8.1-8.4": 0.0965761274602,
				"9.0-9.2": 0.0744224638134,
				"9.3": 0.487380600229,
				"10-10.1": 2.59094019369
			},
			"android": {
				"3": 0,
				"4": 0.0373595597437,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00431071843196,
				"4.1": 0.118544756879,
				"4.2-4.3": 0.338391396909,
				"4.4": 0.797482909913,
				"4.4.3-4.4.4": 0.609966658123
			},
			"op_mob": {
				"0": 0.0417517784533,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0011597716237
			},
			"ie": {
				"6": 0.00775027843803,
				"7": 0.0155005568761,
				"8": 0.286760302207,
				"9": 0.155005568761,
				"10": 0.162755847199,
				"11": 3.93714144652,
				"5.5": null
			},
			"edge": {
				"12": 0.046188,
				"13": 0.223242,
				"14": 1.793634
			},
			"bb": {
				"7": 0.0189915,
				"10": null
			},
			"ie_mob": {
				"10": 0.082651008,
				"11": 0.386956992
			},
			"and_ff": {
				"0": 0.027624
			},
			"samsung": {
				"0": 1.590682
			},
			"and_uc": {
				"0": 0.151932
			},
			"op_mini": {
				"0": 0.562514449923
			},
			"and_chr": {
				"0": 15.221386
			}
		},
		"total": 98.1788435
	};

/***/ },
/* 634 */
/***/ function(module, exports) {

	module.exports = {
		"id": "SL",
		"name": "Sierra Leone",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.015687,
				"4": 0.017928,
				"5": 0.013446,
				"6": null,
				"7": null,
				"8": 0.004482,
				"9": null,
				"10": 0.033615,
				"11": 0.020169,
				"12": 0.064989,
				"13": 0.033615,
				"14": null,
				"15": 0.008964,
				"16": 0.029133,
				"17": 0.006723,
				"18": 0.002241,
				"19": 0.011205,
				"20": 0.024651,
				"21": 0.008964,
				"22": 0.006723,
				"23": 0.015687,
				"24": 0.015687,
				"25": 0.064989,
				"26": 0.008964,
				"27": 0.004482,
				"28": 0.002241,
				"29": 0.024651,
				"30": 0.015687,
				"31": 0.053784,
				"32": 0.02241,
				"33": 0.029133,
				"34": 0.011205,
				"35": 0.029133,
				"36": 0.040338,
				"37": 0.026892,
				"38": 0.029133,
				"39": 0.024651,
				"40": 0.017928,
				"41": 0.071712,
				"42": 0.017928,
				"43": 0.237546,
				"44": 0.29133,
				"45": 0.107568,
				"46": 0.042579,
				"47": 0.356319,
				"48": 0.441477,
				"49": 2.518884,
				"50": 1.324431,
				"51": 0.145665,
				"52": null,
				"53": null,
				"3.5": 0.006723,
				"3.6": 0.020169
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.008964,
				"12": 0.006723,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.004482,
				"17": null,
				"18": 0.004482,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.015687,
				"23": null,
				"24": 0.013446,
				"25": null,
				"26": 0.060507,
				"27": null,
				"28": 0.006723,
				"29": 0.004482,
				"30": 0.002241,
				"31": 0.004482,
				"32": 0.002241,
				"33": 0.024651,
				"34": null,
				"35": null,
				"36": 0.002241,
				"37": null,
				"38": 0.002241,
				"39": 0.002241,
				"40": 0.002241,
				"41": null,
				"42": 0.020169,
				"43": 0.284607,
				"44": 0.082917,
				"45": 0.078435,
				"46": 0.017928,
				"47": 0.069471,
				"48": 0.008964,
				"49": 0.136701,
				"50": 0.017928,
				"51": 0.320463,
				"52": 0.215136,
				"53": 0.347355,
				"54": 7.3953,
				"55": 0.085158,
				"56": 0.006723,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.013446,
				"12": null,
				"15": 0.015687,
				"16": null,
				"17": 0.006723,
				"18": 0.008964,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.006723,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.002241,
				"28": null,
				"29": 0.020169,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.008964,
				"35": 0.008964,
				"36": 0.008964,
				"37": 0.064989,
				"38": null,
				"39": 0.011205,
				"40": 0.053784,
				"41": 0.614034,
				"42": 0.008964,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.004482,
				"11.6": 0.549045,
				"12.1": 0.013446
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.002241,
				"6": null,
				"7": 0.002241,
				"8": 0.035856,
				"9": 0.123255,
				"10": 0.593865,
				"3.1": null,
				"3.2": null,
				"5.1": null,
				"6.1": 0.006723,
				"7.1": 0.006723,
				"9.1": 0.203931
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0406638500469,
				"8.1-8.4": 0.0525241396439,
				"9.0-9.2": 0.0404755914818,
				"9.3": 0.265068059565,
				"10-10.1": 1.40911535926
			},
			"android": {
				"3": 0,
				"4": 0.0444073335846,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00512392310592,
				"4.1": 0.140907885413,
				"4.2-4.3": 0.402227963815,
				"4.4": 0.947925774595,
				"4.4.3-4.4.4": 0.725035119487
			},
			"op_mob": {
				"0": 4.01043332695,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.111400925749
			},
			"ie": {
				"6": null,
				"7": 0.00673524590164,
				"8": 0.33002704918,
				"9": 0.0763327868852,
				"10": 0.123479508197,
				"11": 1.57155737705,
				"5.5": null
			},
			"edge": {
				"12": 0.177039,
				"13": 0.186003,
				"14": 0.298053
			},
			"bb": {
				"7": 0.01745775,
				"10": null
			},
			"ie_mob": {
				"10": 0.08193504,
				"11": 0.38360496
			},
			"and_ff": {
				"0": 0.007759
			},
			"samsung": {
				"0": 1.334548
			},
			"and_uc": {
				"0": 5.594239
			},
			"op_mini": {
				"0": 54.0318707473
			},
			"and_chr": {
				"0": 7.917832
			}
		},
		"total": 98.3066027172
	};

/***/ },
/* 635 */
/***/ function(module, exports) {

	module.exports = {
		"id": "SM",
		"name": "San Marino",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.307788,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.047352,
				"22": null,
				"23": 0.03946,
				"24": 0.189408,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.007892,
				"37": 0.007892,
				"38": null,
				"39": 0.015784,
				"40": 0.134164,
				"41": null,
				"42": null,
				"43": 0.299896,
				"44": null,
				"45": 0.23676,
				"46": 0.007892,
				"47": 0.181516,
				"48": 1.073312,
				"49": 8.073516,
				"50": 5.36656,
				"51": null,
				"52": null,
				"53": 0.023676,
				"3.5": 0.031568,
				"3.6": 0.007892
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.015784,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.047352,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.007892,
				"23": null,
				"24": 0.03946,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.102596,
				"30": null,
				"31": 0.007892,
				"32": 0.055244,
				"33": 0.015784,
				"34": 0.055244,
				"35": null,
				"36": 0.03946,
				"37": 0.007892,
				"38": null,
				"39": null,
				"40": 0.007892,
				"41": 0.007892,
				"42": 0.015784,
				"43": 0.03946,
				"44": 0.015784,
				"45": null,
				"46": 0.015784,
				"47": 0.015784,
				"48": 0.086812,
				"49": 3.377776,
				"50": 0.055244,
				"51": 0.11838,
				"52": 0.260436,
				"53": 0.86812,
				"54": 38.347228,
				"55": 0.03946,
				"56": 0.031568,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.015784,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.607684,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.063136
			},
			"safari": {
				"0": null,
				"4": 0.015784,
				"5": 0.03946,
				"6": 0.047352,
				"7": null,
				"8": 0.11838,
				"9": 0.284112,
				"10": 3.440912,
				"3.1": null,
				"3.2": null,
				"5.1": 0.757632,
				"6.1": 0.071028,
				"7.1": null,
				"9.1": 1.018068
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.142313027179,
				"8.1-8.4": 0.18382099344,
				"9.0-9.2": 0.141654170572,
				"9.3": 0.927670103093,
				"10-10.1": 4.93154170572
			},
			"android": {
				"3": 0,
				"4": 0.0136826641538,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00157876894082,
				"4.1": 0.0434161458726,
				"4.2-4.3": 0.123933361855,
				"4.4": 0.292072254052,
				"4.4.3-4.4.4": 0.223395805126
			},
			"op_mob": {
				"0": 0,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0
			},
			"ie": {
				"6": null,
				"7": 0.007892,
				"8": 3.803944,
				"9": 0.1973,
				"10": 0.213084,
				"11": 5.16926,
				"5.5": null
			},
			"edge": {
				"12": 0.094704,
				"13": 0.142056,
				"14": 1.5784
			},
			"bb": {
				"7": 0.01212675,
				"10": null
			},
			"ie_mob": {
				"10": 0.083887584,
				"11": 0.392746416
			},
			"and_ff": {
				"0": 0.006327
			},
			"samsung": {
				"0": 2.528691
			},
			"and_uc": {
				"0": 0.006327
			},
			"op_mini": {
				"0": 0
			},
			"and_chr": {
				"0": 10.90163
			}
		},
		"total": 98.39311875
	};

/***/ },
/* 636 */
/***/ function(module, exports) {

	module.exports = {
		"id": "SN",
		"name": "Senegal",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.028698,
				"4": 0.004783,
				"5": null,
				"6": 0.009566,
				"7": null,
				"8": 0.009566,
				"9": null,
				"10": 0.009566,
				"11": 0.023915,
				"12": 0.062179,
				"13": 0.009566,
				"14": 0.019132,
				"15": 0.04783,
				"16": 0.014349,
				"17": 0.014349,
				"18": 0.009566,
				"19": 0.014349,
				"20": 0.009566,
				"21": 0.023915,
				"22": 0.009566,
				"23": 0.009566,
				"24": 0.004783,
				"25": 0.014349,
				"26": 0.009566,
				"27": 0.038264,
				"28": 0.014349,
				"29": 0.028698,
				"30": 0.052613,
				"31": 0.038264,
				"32": 0.043047,
				"33": 0.014349,
				"34": 0.028698,
				"35": 0.066962,
				"36": 0.04783,
				"37": 0.062179,
				"38": 0.234367,
				"39": 0.066962,
				"40": 0.066962,
				"41": 0.062179,
				"42": 0.043047,
				"43": 0.4783,
				"44": 0.086094,
				"45": 0.138707,
				"46": 0.110009,
				"47": 0.86094,
				"48": 0.401772,
				"49": 4.768651,
				"50": 3.711608,
				"51": 0.076528,
				"52": null,
				"53": null,
				"3.5": 0.009566,
				"3.6": 0.043047
			},
			"chrome": {
				"4": 0.004783,
				"5": 0.009566,
				"6": 0.033481,
				"7": 0.009566,
				"8": 0.009566,
				"9": 0.014349,
				"10": 0.014349,
				"11": 0.100443,
				"12": 0.038264,
				"13": 0.019132,
				"14": 0.014349,
				"15": 0.009566,
				"16": 0.043047,
				"17": 0.033481,
				"18": 0.009566,
				"19": 0.033481,
				"20": 0.004783,
				"21": 0.004783,
				"22": 0.009566,
				"23": null,
				"24": 0.004783,
				"25": 0.019132,
				"26": 0.014349,
				"27": 0.014349,
				"28": 0.028698,
				"29": 0.028698,
				"30": 0.023915,
				"31": 0.062179,
				"32": 0.038264,
				"33": 0.062179,
				"34": 0.023915,
				"35": 0.033481,
				"36": 0.028698,
				"37": 0.014349,
				"38": 0.023915,
				"39": 0.038264,
				"40": 0.04783,
				"41": 0.019132,
				"42": 0.023915,
				"43": 0.320461,
				"44": 0.043047,
				"45": 0.086094,
				"46": 0.028698,
				"47": 0.243933,
				"48": 0.066962,
				"49": 1.535343,
				"50": 0.129141,
				"51": 0.468734,
				"52": 0.344376,
				"53": 0.57396,
				"54": 21.647858,
				"55": 0.119575,
				"56": 0.028698,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": 0.004783,
				"16": null,
				"17": null,
				"18": 0.009566,
				"19": null,
				"20": 0.009566,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.009566,
				"30": 0.009566,
				"31": null,
				"32": null,
				"33": 0.004783,
				"34": 0.004783,
				"35": 0.009566,
				"36": 0.062179,
				"37": 0.043047,
				"38": 0.023915,
				"39": 0.023915,
				"40": 0.076528,
				"41": 0.803544,
				"42": 0.004783,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.019132
			},
			"safari": {
				"0": null,
				"4": 0.023915,
				"5": 0.038264,
				"6": 0.014349,
				"7": 0.009566,
				"8": 0.090877,
				"9": 0.124358,
				"10": 0.487866,
				"3.1": null,
				"3.2": null,
				"5.1": 0.04783,
				"6.1": 0.023915,
				"7.1": null,
				"9.1": 0.272631
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.102775242737,
				"8.1-8.4": 0.132751355201,
				"9.0-9.2": 0.102299431428,
				"9.3": 0.669942323024,
				"10-10.1": 3.56144764761
			},
			"android": {
				"3": 0,
				"4": 0.160510456087,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0185204372409,
				"4.1": 0.509312024124,
				"4.2-4.3": 1.45385432341,
				"4.4": 3.42628088956,
				"4.4.3-4.4.4": 2.62064186958
			},
			"op_mob": {
				"0": 0.328414460834,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00912262391205
			},
			"ie": {
				"6": 0.004783,
				"7": 0.014349,
				"8": 0.243933,
				"9": 0.114792,
				"10": 0.253499,
				"11": 2.166699,
				"5.5": null
			},
			"edge": {
				"12": 0.157839,
				"13": 0.291763,
				"14": 0.511781
			},
			"bb": {
				"7": 0.046944,
				"10": null
			},
			"ie_mob": {
				"10": 0.419533312,
				"11": 1.964178688
			},
			"and_ff": {
				"0": 0.709376
			},
			"samsung": {
				"0": 4.45968
			},
			"and_uc": {
				"0": 0.839776
			},
			"op_mini": {
				"0": 4.42467091525
			},
			"and_chr": {
				"0": 27.933919
			}
		},
		"total": 98.461945
	};

/***/ },
/* 637 */
/***/ function(module, exports) {

	module.exports = {
		"id": "SO",
		"name": "Somalia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.046289,
				"4": 0.003387,
				"5": 0.002258,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.003387,
				"11": 0.010161,
				"12": 0.003387,
				"13": 0.001129,
				"14": 0.001129,
				"15": 0.002258,
				"16": 0.001129,
				"17": 0.002258,
				"18": null,
				"19": 0.006774,
				"20": 0.001129,
				"21": 0.003387,
				"22": 0.005645,
				"23": 0.012419,
				"24": 0.003387,
				"25": 0.001129,
				"26": 0.001129,
				"27": 0.004516,
				"28": null,
				"29": 0.016935,
				"30": 0.009032,
				"31": 0.002258,
				"32": 0.003387,
				"33": 0.006774,
				"34": 0.007903,
				"35": 0.010161,
				"36": 0.018064,
				"37": 0.024838,
				"38": 0.018064,
				"39": 0.012419,
				"40": 0.004516,
				"41": 0.01129,
				"42": 0.04516,
				"43": 0.080159,
				"44": 0.080159,
				"45": 0.020322,
				"46": 0.034999,
				"47": 0.193059,
				"48": 0.047418,
				"49": 0.615305,
				"50": 0.433536,
				"51": 0.050805,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.003387
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.003387,
				"9": 0.039515,
				"10": 0.001129,
				"11": 0.010161,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.001129,
				"17": null,
				"18": null,
				"19": 0.001129,
				"20": 0.042902,
				"21": 0.024838,
				"22": 0.002258,
				"23": 0.024838,
				"24": 0.005645,
				"25": 0.002258,
				"26": 0.028225,
				"27": 0.001129,
				"28": 0.005645,
				"29": 0.007903,
				"30": 0.012419,
				"31": 0.039515,
				"32": 0.005645,
				"33": 0.235961,
				"34": 0.004516,
				"35": 0.003387,
				"36": 0.003387,
				"37": 0.005645,
				"38": 0.004516,
				"39": 0.019193,
				"40": 0.012419,
				"41": 0.01129,
				"42": 0.009032,
				"43": 1.468829,
				"44": 0.010161,
				"45": 0.016935,
				"46": 0.009032,
				"47": 0.009032,
				"48": 0.012419,
				"49": 0.129835,
				"50": 0.02258,
				"51": 0.204349,
				"52": 0.098223,
				"53": 0.200962,
				"54": 4.770025,
				"55": 0.027096,
				"56": 0.046289,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": 0.001129,
				"16": 0.001129,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.010161,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.001129,
				"34": null,
				"35": 0.001129,
				"36": 0.003387,
				"37": 0.066611,
				"38": 0.023709,
				"39": 0.003387,
				"40": 0.003387,
				"41": 0.223542,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.002258,
				"11.1": null,
				"11.5": null,
				"11.6": 0.003387,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0.021451,
				"5": null,
				"6": null,
				"7": 0.001129,
				"8": 0.006774,
				"9": 0.005645,
				"10": 0.089191,
				"3.1": null,
				"3.2": null,
				"5.1": 0.002258,
				"6.1": null,
				"7.1": null,
				"9.1": 0.068869
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0231434676664,
				"8.1-8.4": 0.0298936457357,
				"9.0-9.2": 0.0230363219827,
				"9.3": 0.150861122566,
				"10-10.1": 0.801985442049
			},
			"android": {
				"3": 0,
				"4": 0.142735785903,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.016469513758,
				"4.1": 0.452911628345,
				"4.2-4.3": 1.29285683,
				"4.4": 3.04686004523,
				"4.4.3-4.4.4": 2.33043619676
			},
			"op_mob": {
				"0": 2.51285810852,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0698016141257
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.0673636666667,
				"9": 0.0102758135593,
				"10": 0.0331109548023,
				"11": 0.293431564972,
				"5.5": null
			},
			"edge": {
				"12": 0.057579,
				"13": 0.055321,
				"14": 0.09032
			},
			"bb": {
				"7": 0.01774,
				"10": null
			},
			"ie_mob": {
				"10": 0.04995584,
				"11": 0.23388416
			},
			"and_ff": {
				"0": 0.02661
			},
			"samsung": {
				"0": 1.4192
			},
			"and_uc": {
				"0": 21.1106
			},
			"op_mini": {
				"0": 33.8553002773
			},
			"and_chr": {
				"0": 20.702934
			}
		},
		"total": 98.918158
	};

/***/ },
/* 638 */
/***/ function(module, exports) {

	module.exports = {
		"id": "SR",
		"name": "Suriname",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": 0.005029,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.010058,
				"13": null,
				"14": 0.005029,
				"15": 0.035203,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.020116,
				"34": null,
				"35": 0.005029,
				"36": 0.015087,
				"37": 0.010058,
				"38": 0.015087,
				"39": 0.045261,
				"40": 0.030174,
				"41": null,
				"42": 0.005029,
				"43": 0.035203,
				"44": 0.015087,
				"45": 0.070406,
				"46": 0.010058,
				"47": 0.211218,
				"48": 0.135783,
				"49": 3.158212,
				"50": 2.06189,
				"51": 0.407349,
				"52": null,
				"53": 0.005029,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.015087,
				"9": null,
				"10": null,
				"11": 0.05029,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.015087,
				"19": null,
				"20": 0.005029,
				"21": null,
				"22": 0.15087,
				"23": null,
				"24": 0.025145,
				"25": 0.005029,
				"26": 0.015087,
				"27": 0.025145,
				"28": 0.030174,
				"29": 0.010058,
				"30": 0.005029,
				"31": 0.15087,
				"32": 0.010058,
				"33": null,
				"34": 0.020116,
				"35": 0.010058,
				"36": 0.060348,
				"37": 0.010058,
				"38": 0.015087,
				"39": 0.005029,
				"40": 0.010058,
				"41": null,
				"42": 0.025145,
				"43": 0.040232,
				"44": 0.040232,
				"45": 0.060348,
				"46": 0.025145,
				"47": 0.055319,
				"48": 0.020116,
				"49": 1.332685,
				"50": 0.075435,
				"51": 0.326885,
				"52": 0.160928,
				"53": 0.633654,
				"54": 26.849831,
				"55": 0.10058,
				"56": 0.080464,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.065377,
				"30": 0.005029,
				"31": null,
				"32": null,
				"33": 0.085493,
				"34": null,
				"35": null,
				"36": 0.020116,
				"37": 0.226305,
				"38": null,
				"39": 0.015087,
				"40": null,
				"41": 0.533074,
				"42": 0.040232,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.020116
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": 0.010058,
				"7": 0.005029,
				"8": 0.090522,
				"9": 0.035203,
				"10": 0.568277,
				"3.1": null,
				"3.2": null,
				"5.1": 0.015087,
				"6.1": 0.045261,
				"7.1": 0.010058,
				"9.1": 0.145841
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.116373458294,
				"8.1-8.4": 0.150315716963,
				"9.0-9.2": 0.115834692284,
				"9.3": 0.758582542955,
				"10-10.1": 4.0326635895
			},
			"android": {
				"3": 0,
				"4": 0.13686701847,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.015792348285,
				"4.1": 0.434289577836,
				"4.2-4.3": 1.23969934037,
				"4.4": 2.92158443272,
				"4.4.3-4.4.4": 2.23461728232
			},
			"op_mob": {
				"0": 0.183368225544,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00509356182068
			},
			"ie": {
				"6": null,
				"7": 0.005029,
				"8": 0.306769,
				"9": 0.241392,
				"10": 0.231334,
				"11": 3.173299,
				"5.5": null
			},
			"edge": {
				"12": 0.231334,
				"13": 0.593422,
				"14": 1.770208
			},
			"bb": {
				"7": 0.30814,
				"10": null
			},
			"ie_mob": {
				"10": 0.06910288,
				"11": 0.32352712
			},
			"and_ff": {
				"0": 0.02485
			},
			"samsung": {
				"0": 8.96091
			},
			"and_uc": {
				"0": 1.11328
			},
			"op_mini": {
				"0": 2.47048821263
			},
			"and_chr": {
				"0": 26.658777
			}
		},
		"total": 97.545215
	};

/***/ },
/* 639 */
/***/ function(module, exports) {

	module.exports = {
		"id": "ST",
		"name": "Sao Tome and Principe",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": 0.006383,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.012766,
				"12": null,
				"13": null,
				"14": null,
				"15": 0.038298,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": 0.012766,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.006383,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.070213,
				"39": null,
				"40": 0.031915,
				"41": 0.006383,
				"42": 0.146809,
				"43": 0.038298,
				"44": 0.031915,
				"45": 0.089362,
				"46": null,
				"47": 0.223405,
				"48": 0.102128,
				"49": 2.789371,
				"50": 1.838304,
				"51": 0.019149,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.012766,
				"12": null,
				"13": null,
				"14": 0.025532,
				"15": null,
				"16": 0.057447,
				"17": null,
				"18": 0.082979,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.19149,
				"27": null,
				"28": null,
				"29": 0.006383,
				"30": null,
				"31": 0.019149,
				"32": null,
				"33": 0.172341,
				"34": 0.012766,
				"35": 0.012766,
				"36": 0.089362,
				"37": 0.012766,
				"38": null,
				"39": 0.019149,
				"40": 0.134043,
				"41": 0.012766,
				"42": 0.012766,
				"43": 7.46811,
				"44": 0.038298,
				"45": 0.012766,
				"46": 0.031915,
				"47": 0.146809,
				"48": 0.114894,
				"49": 2.68086,
				"50": 0.102128,
				"51": 0.593619,
				"52": 0.714896,
				"53": 1.59575,
				"54": 30.849039,
				"55": 0.012766,
				"56": 0.025532,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.095745,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.012766,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.172341,
				"38": null,
				"39": null,
				"40": 0.006383,
				"41": 0.568087,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.006383
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.153192,
				"9": 0.012766,
				"10": 2.119156,
				"3.1": null,
				"3.2": null,
				"5.1": 0.006383,
				"6.1": 0.006383,
				"7.1": null,
				"9.1": 0.338299
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0392141105904,
				"8.1-8.4": 0.0506515595127,
				"9.0-9.2": 0.0390325637822,
				"9.3": 0.255617906071,
				"10-10.1": 1.35887786004
			},
			"android": {
				"3": 0,
				"4": 0.141080723709,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0162785450433,
				"4.1": 0.447659988692,
				"4.2-4.3": 1.2778657859,
				"4.4": 3.01153083302,
				"4.4.3-4.4.4": 2.30341412363
			},
			"op_mob": {
				"0": 0.2210019686,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00613894357223
			},
			"ie": {
				"6": null,
				"7": 0.057447,
				"8": 0.153192,
				"9": 0.06383,
				"10": 0.057447,
				"11": 2.917031,
				"5.5": null
			},
			"edge": {
				"12": 0.095745,
				"13": 0.695747,
				"14": 0.995748
			},
			"bb": {
				"7": 0.003617,
				"10": null
			},
			"ie_mob": {
				"10": 0.129864768,
				"11": 0.608003232
			},
			"and_ff": {
				"0": 0.03617
			},
			"samsung": {
				"0": 1.396162
			},
			"and_uc": {
				"0": 5.110821
			},
			"op_mini": {
				"0": 2.97752108783
			},
			"and_chr": {
				"0": 18.214176
			}
		},
		"total": 96.904472
	};

/***/ },
/* 640 */
/***/ function(module, exports) {

	module.exports = {
		"id": "SV",
		"name": "El Salvador",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.093408,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.005838,
				"11": 0.017514,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.011676,
				"17": 0.005838,
				"18": null,
				"19": null,
				"20": 0.005838,
				"21": 0.005838,
				"22": null,
				"23": null,
				"24": 0.011676,
				"25": null,
				"26": 0.005838,
				"27": null,
				"28": 0.005838,
				"29": 0.005838,
				"30": 0.011676,
				"31": 0.011676,
				"32": null,
				"33": 0.011676,
				"34": 0.005838,
				"35": 0.017514,
				"36": 0.02919,
				"37": 0.023352,
				"38": 0.035028,
				"39": 0.046704,
				"40": 0.046704,
				"41": 0.046704,
				"42": 0.017514,
				"43": 0.128436,
				"44": 0.035028,
				"45": 0.221844,
				"46": 0.081732,
				"47": 0.344442,
				"48": 0.356118,
				"49": 3.660426,
				"50": 2.0433,
				"51": 0.035028,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.023352
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.017514,
				"12": 0.011676,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.005838,
				"19": null,
				"20": null,
				"21": 0.017514,
				"22": 0.05838,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.011676,
				"27": null,
				"28": 0.005838,
				"29": 0.005838,
				"30": 0.011676,
				"31": 0.02919,
				"32": 0.005838,
				"33": 0.017514,
				"34": 0.02919,
				"35": 0.023352,
				"36": 0.02919,
				"37": 0.046704,
				"38": 0.052542,
				"39": 0.05838,
				"40": 0.052542,
				"41": 0.023352,
				"42": 0.064218,
				"43": 0.134274,
				"44": 0.046704,
				"45": 0.02919,
				"46": 0.052542,
				"47": 0.099246,
				"48": 0.093408,
				"49": 2.07249,
				"50": 0.151788,
				"51": 0.420336,
				"52": 0.32109,
				"53": 1.027488,
				"54": 35.43666,
				"55": 0.093408,
				"56": 0.023352,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.005838,
				"29": 0.005838,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.017514,
				"37": 0.046704,
				"38": 0.02919,
				"39": 0.005838,
				"40": 0.023352,
				"41": 0.659694,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.011676
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.035028,
				"6": 0.011676,
				"7": 0.035028,
				"8": 0.198492,
				"9": 0.134274,
				"10": 1.074192,
				"3.1": null,
				"3.2": null,
				"5.1": 0.035028,
				"6.1": 0.011676,
				"7.1": 0.011676,
				"9.1": 0.531258
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0578545304592,
				"8.1-8.4": 0.0747287685098,
				"9.0-9.2": 0.0575866854108,
				"9.3": 0.377125828179,
				"10-10.1": 2.00482018744
			},
			"android": {
				"3": 0,
				"4": 0.112086911421,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.012933105164,
				"4.1": 0.355660392009,
				"4.2-4.3": 1.01524875537,
				"4.4": 2.39262445533,
				"4.4.3-4.4.4": 1.8300343807
			},
			"op_mob": {
				"0": 0.168195202265,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00467208895182
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.217594279412,
				"9": 0.09997575,
				"10": 0.135261308824,
				"11": 1.14678066176,
				"5.5": null
			},
			"edge": {
				"12": 0.081732,
				"13": 0.169302,
				"14": 0.507906
			},
			"bb": {
				"7": 0.0447415,
				"10": null
			},
			"ie_mob": {
				"10": 0.091564,
				"11": 0.428686
			},
			"and_ff": {
				"0": 0.016648
			},
			"samsung": {
				"0": 2.14343
			},
			"and_uc": {
				"0": 2.701138
			},
			"op_mini": {
				"0": 2.26606470878
			},
			"and_chr": {
				"0": 29.597958
			}
		},
		"total": 98.9846855
	};

/***/ },
/* 641 */
/***/ function(module, exports) {

	module.exports = {
		"id": "SY",
		"name": "Syrian Arab Republic",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.063273,
				"4": 0.018078,
				"5": 0.012052,
				"6": 0.021091,
				"7": null,
				"8": 0.015065,
				"9": null,
				"10": 0.015065,
				"11": 0.072312,
				"12": 0.045195,
				"13": 0.009039,
				"14": 0.003013,
				"15": 0.012052,
				"16": 0.006026,
				"17": 0.009039,
				"18": 0.009039,
				"19": 0.012052,
				"20": 0.003013,
				"21": 0.009039,
				"22": 0.018078,
				"23": 0.006026,
				"24": 0.006026,
				"25": 0.018078,
				"26": 0.024104,
				"27": 0.009039,
				"28": 0.012052,
				"29": 0.015065,
				"30": 0.03013,
				"31": 0.021091,
				"32": 0.033143,
				"33": 0.036156,
				"34": 0.024104,
				"35": 0.063273,
				"36": 0.09039,
				"37": 0.045195,
				"38": 0.066286,
				"39": 0.072312,
				"40": 0.084364,
				"41": 0.051221,
				"42": 0.039169,
				"43": 0.36156,
				"44": 0.147637,
				"45": 0.174754,
				"46": 0.117507,
				"47": 0.9039,
				"48": 0.494132,
				"49": 4.27846,
				"50": 1.982554,
				"51": 0.129559,
				"52": 0.015065,
				"53": null,
				"3.5": 0.012052,
				"3.6": 0.024104
			},
			"chrome": {
				"4": null,
				"5": 0.009039,
				"6": null,
				"7": null,
				"8": 0.006026,
				"9": null,
				"10": 0.006026,
				"11": 0.042182,
				"12": 0.009039,
				"13": null,
				"14": 0.003013,
				"15": 0.009039,
				"16": 0.003013,
				"17": 0.003013,
				"18": 0.009039,
				"19": 0.009039,
				"20": 0.018078,
				"21": null,
				"22": 0.012052,
				"23": 0.012052,
				"24": 0.009039,
				"25": 0.015065,
				"26": 0.018078,
				"27": 0.015065,
				"28": 0.015065,
				"29": 0.018078,
				"30": 0.012052,
				"31": 0.066286,
				"32": 0.027117,
				"33": 0.078338,
				"34": 0.024104,
				"35": 0.006026,
				"36": 0.045195,
				"37": 0.009039,
				"38": 0.075325,
				"39": 0.072312,
				"40": 0.051221,
				"41": 0.03013,
				"42": 0.063273,
				"43": 0.795432,
				"44": 0.039169,
				"45": 0.039169,
				"46": 0.03013,
				"47": 0.111481,
				"48": 0.078338,
				"49": 0.623691,
				"50": 0.093403,
				"51": 0.39169,
				"52": 0.364573,
				"53": 0.720107,
				"54": 12.085143,
				"55": 0.111481,
				"56": 0.039169,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.003013,
				"12": 0.003013,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.009039,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.006026,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.006026,
				"34": 0.003013,
				"35": 0.006026,
				"36": 0.042182,
				"37": 0.012052,
				"38": 0.021091,
				"39": 0.009039,
				"40": 0.033143,
				"41": 0.460989,
				"42": null,
				"43": null,
				"9.5-9.6": 0.003013,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.009039,
				"12.1": 0.012052
			},
			"safari": {
				"0": null,
				"4": 0.003013,
				"5": 0.027117,
				"6": 0.009039,
				"7": 0.012052,
				"8": 0.012052,
				"9": 0.012052,
				"10": 0.108468,
				"3.1": null,
				"3.2": null,
				"5.1": 0.015065,
				"6.1": 0.006026,
				"7.1": null,
				"9.1": 0.042182
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0554769109653,
				"8.1-8.4": 0.0716576766635,
				"9.0-9.2": 0.0552200734146,
				"9.3": 0.361627271478,
				"10-10.1": 1.92242906748
			},
			"android": {
				"3": 0,
				"4": 0.292932542782,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0337999087825,
				"4.1": 0.929497491519,
				"4.2-4.3": 2.65329283943,
				"4.4": 6.25298312476,
				"4.4.3-4.4.4": 4.78268709273
			},
			"op_mob": {
				"0": 0.531953570483,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.014776488069
			},
			"ie": {
				"6": 0.0253369411765,
				"7": 0.00950135294118,
				"8": 0.354717176471,
				"9": 0.129851823529,
				"10": 0.0791779411765,
				"11": 0.636590647059,
				"5.5": null
			},
			"edge": {
				"12": 0.072312,
				"13": 0.096416,
				"14": 0.138598
			},
			"bb": {
				"7": 0.006987,
				"10": null
			},
			"ie_mob": {
				"10": 0.02459424,
				"11": 0.11514576
			},
			"and_ff": {
				"0": 0.076857
			},
			"samsung": {
				"0": 6.309261
			},
			"and_uc": {
				"0": 4.716225
			},
			"op_mini": {
				"0": 7.16691794145
			},
			"and_chr": {
				"0": 33.140047
			}
		},
		"total": 98.0081558824
	};

/***/ },
/* 642 */
/***/ function(module, exports) {

	module.exports = {
		"id": "SZ",
		"name": "Swaziland",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.013409,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.014628,
				"11": 0.001219,
				"12": 0.01219,
				"13": 0.003657,
				"14": null,
				"15": 0.002438,
				"16": 0.010971,
				"17": 0.001219,
				"18": 0.001219,
				"19": null,
				"20": null,
				"21": 0.02438,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.004876,
				"26": 0.004876,
				"27": 0.002438,
				"28": null,
				"29": 0.004876,
				"30": 0.004876,
				"31": 0.071921,
				"32": 0.001219,
				"33": null,
				"34": 0.001219,
				"35": 0.01219,
				"36": 0.002438,
				"37": 0.002438,
				"38": 0.064607,
				"39": 0.007314,
				"40": 0.013409,
				"41": 0.008533,
				"42": 0.002438,
				"43": 0.065826,
				"44": 0.053636,
				"45": 0.258428,
				"46": 0.028037,
				"47": 0.142623,
				"48": 0.037789,
				"49": 1.134889,
				"50": 0.637537,
				"51": 0.059731,
				"52": null,
				"53": null,
				"3.5": 0.003657,
				"3.6": 0.004876
			},
			"chrome": {
				"4": 0.01219,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.002438,
				"10": null,
				"11": 0.131652,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.002438,
				"17": null,
				"18": 0.006095,
				"19": null,
				"20": 0.001219,
				"21": null,
				"22": 0.002438,
				"23": null,
				"24": null,
				"25": 0.004876,
				"26": 0.003657,
				"27": null,
				"28": null,
				"29": 0.004876,
				"30": 0.004876,
				"31": 0.010971,
				"32": null,
				"33": 0.013409,
				"34": null,
				"35": 0.009752,
				"36": 0.029256,
				"37": 0.004876,
				"38": 0.008533,
				"39": 0.002438,
				"40": 0.021942,
				"41": null,
				"42": 0.001219,
				"43": 0.058512,
				"44": 0.003657,
				"45": 0.006095,
				"46": 0.041446,
				"47": 0.002438,
				"48": 0.008533,
				"49": 0.171879,
				"50": 0.018285,
				"51": 0.057293,
				"52": 0.043884,
				"53": 0.213325,
				"54": 4.294537,
				"55": 0.010971,
				"56": 0.004876,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": 0.001219,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.001219,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.001219,
				"29": 0.006095,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.001219,
				"34": 0.001219,
				"35": 0.004876,
				"36": 0.013409,
				"37": 0.030475,
				"38": null,
				"39": 0.002438,
				"40": 0.031694,
				"41": 0.296217,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.003657,
				"11.6": 0.007314,
				"12.1": 0.002438
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": 0.026818,
				"7": 0.001219,
				"8": 0.002438,
				"9": 0.041446,
				"10": 0.090206,
				"3.1": null,
				"3.2": null,
				"5.1": 0.025599,
				"6.1": 0.001219,
				"7.1": 0.006095,
				"9.1": 0.04876
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0116518088097,
				"8.1-8.4": 0.0150502530459,
				"9.0-9.2": 0.0115978652504,
				"9.3": 0.0759525315006,
				"10-10.1": 0.403767541393
			},
			"android": {
				"3": 0,
				"4": 0.0213394044478,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00246223897475,
				"4.1": 0.0677115718055,
				"4.2-4.3": 0.193285759518,
				"4.4": 0.455514210328,
				"4.4.3-4.4.4": 0.348406814926
			},
			"op_mob": {
				"0": 5.47849184358,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.152180328988
			},
			"ie": {
				"6": 0.00861854385965,
				"7": 0.00369366165414,
				"8": 0.380447150376,
				"9": 0.174833318296,
				"10": 0.333660769424,
				"11": 1.55503155639,
				"5.5": null
			},
			"edge": {
				"12": 0.13409,
				"13": 0.221858,
				"14": 0.140185
			},
			"bb": {
				"7": 0.0439,
				"10": null
			},
			"ie_mob": {
				"10": 0.13289408,
				"11": 0.62218592
			},
			"and_ff": {
				"0": null
			},
			"samsung": {
				"0": 0.6146
			},
			"and_uc": {
				"0": 1.29944
			},
			"op_mini": {
				"0": 73.8107678274
			},
			"and_chr": {
				"0": 3.87233
			}
		},
		"total": 99.171365
	};

/***/ },
/* 643 */
/***/ function(module, exports) {

	module.exports = {
		"id": "TC",
		"name": "Turks and Caicos Islands",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": 0.00562,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": 0.12926,
				"16": null,
				"17": null,
				"18": 0.02248,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.01686,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.04496,
				"39": null,
				"40": 0.0281,
				"41": 0.00562,
				"42": null,
				"43": 0.04496,
				"44": 0.01124,
				"45": null,
				"46": 0.00562,
				"47": 0.07868,
				"48": 0.26976,
				"49": 2.9505,
				"50": 2.24238,
				"51": 0.01124,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.01124
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.00562,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.01124,
				"19": 0.00562,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.0281,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.0562,
				"36": 0.0281,
				"37": 0.00562,
				"38": 0.01686,
				"39": null,
				"40": 0.01686,
				"41": null,
				"42": 0.01124,
				"43": 0.01124,
				"44": 0.04496,
				"45": 0.01124,
				"46": 0.03934,
				"47": 0.06744,
				"48": 0.05058,
				"49": 1.22516,
				"50": 0.5058,
				"51": 0.14612,
				"52": 0.0843,
				"53": 0.96664,
				"54": 25.80704,
				"55": 0.06182,
				"56": 0.10678,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.01124,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.01124,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.0281,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.12926,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.0281,
				"6": 0.00562,
				"7": 0.02248,
				"8": 0.37092,
				"9": 0.16298,
				"10": 2.11874,
				"3.1": null,
				"3.2": null,
				"5.1": 0.15736,
				"6.1": 0.0562,
				"7.1": 0.03372,
				"9.1": 1.02846
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.407672502343,
				"8.1-8.4": 0.526576982193,
				"9.0-9.2": 0.405785129647,
				"9.3": 2.65742075601,
				"10-10.1": 14.1269846298
			},
			"android": {
				"3": 0,
				"4": 0.0433542404825,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00500241236336,
				"4.1": 0.137566339992,
				"4.2-4.3": 0.392689370524,
				"4.4": 0.925446287222,
				"4.4.3-4.4.4": 0.707841349416
			},
			"op_mob": {
				"0": 0.0286953566818,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000797093241161
			},
			"ie": {
				"6": null,
				"7": 0.01124,
				"8": 0.0843,
				"9": 0.1405,
				"10": 0.2248,
				"11": 7.1655,
				"5.5": null
			},
			"edge": {
				"12": 0.28662,
				"13": 0.5901,
				"14": 4.36112
			},
			"bb": {
				"7": 0.101835,
				"10": null
			},
			"ie_mob": {
				"10": 0.0346896,
				"11": 0.1624104
			},
			"and_ff": {
				"0": 0.07884
			},
			"samsung": {
				"0": 3.60474
			},
			"and_uc": {
				"0": 0.58692
			},
			"op_mini": {
				"0": 0.386607550077
			},
			"and_chr": {
				"0": 20.19376
			}
		},
		"total": 97.736675
	};

/***/ },
/* 644 */
/***/ function(module, exports) {

	module.exports = {
		"id": "TD",
		"name": "Chad",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.000389,
				"3": 0.567162,
				"4": 0.002334,
				"5": 0.001167,
				"6": 0.000778,
				"7": 0.002723,
				"8": 0.000778,
				"9": 0.00778,
				"10": 0.004279,
				"11": 0.003112,
				"12": 0.008947,
				"13": 0.005057,
				"14": 0.003501,
				"15": 0.010114,
				"16": 0.015949,
				"17": 0.005835,
				"18": 0.005446,
				"19": 0.000778,
				"20": 0.008169,
				"21": 0.010114,
				"22": 0.007002,
				"23": 0.006613,
				"24": 0.008169,
				"25": 0.000778,
				"26": 0.001167,
				"27": null,
				"28": 0.000778,
				"29": 0.005057,
				"30": 0.006224,
				"31": 0.00389,
				"32": 0.000778,
				"33": 0.00778,
				"34": 0.002334,
				"35": 0.004279,
				"36": 0.005446,
				"37": 0.030342,
				"38": 0.010503,
				"39": 0.002723,
				"40": 0.011281,
				"41": 0.008558,
				"42": 0.003501,
				"43": 0.056016,
				"44": 0.030342,
				"45": 0.009725,
				"46": 0.005057,
				"47": 0.137317,
				"48": 0.041234,
				"49": 0.331428,
				"50": 0.180496,
				"51": 0.000778,
				"52": 0.000389,
				"53": null,
				"3.5": 0.003112,
				"3.6": 0.006224
			},
			"chrome": {
				"4": 0.000778,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.004668,
				"12": null,
				"13": null,
				"14": 0.000778,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.000778,
				"19": 0.000778,
				"20": null,
				"21": 0.018283,
				"22": null,
				"23": null,
				"24": null,
				"25": 0.000389,
				"26": 0.001945,
				"27": null,
				"28": 0.002723,
				"29": null,
				"30": 0.000778,
				"31": 0.001945,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.000778,
				"36": null,
				"37": null,
				"38": 0.005057,
				"39": 0.000389,
				"40": 0.008169,
				"41": 0.000778,
				"42": null,
				"43": 0.002723,
				"44": 0.004279,
				"45": 0.127592,
				"46": 0.001945,
				"47": 0.005446,
				"48": 0.000389,
				"49": 0.058739,
				"50": 0.010503,
				"51": 0.013226,
				"52": 0.017505,
				"53": 0.049792,
				"54": 0.789281,
				"55": 0.006613,
				"56": null,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.000778,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.002334,
				"20": 0.000389,
				"21": 0.000778,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.001556,
				"28": 0.000778,
				"29": 0.001556,
				"30": null,
				"31": 0.002334,
				"32": 0.001167,
				"33": null,
				"34": 0.001556,
				"35": 0.000778,
				"36": 0.004279,
				"37": 0.017505,
				"38": 0.000778,
				"39": 0.000778,
				"40": 0.001945,
				"41": 0.069631,
				"42": null,
				"43": null,
				"9.5-9.6": 0.001945,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.000778,
				"11.1": null,
				"11.5": 0.001167,
				"11.6": 0.036955,
				"12.1": 0.001556
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": 0.061462,
				"7": 0.000389,
				"8": 0.003112,
				"9": 0.00778,
				"10": 0.052126,
				"3.1": null,
				"3.2": null,
				"5.1": 0.006613,
				"6.1": 0.000778,
				"7.1": 0.002723,
				"9.1": 0.022173
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.00648539831303,
				"8.1-8.4": 0.00837697282099,
				"9.0-9.2": 0.00645537332084,
				"9.3": 0.0422751890034,
				"10-10.1": 0.224737066542
			},
			"android": {
				"3": 0,
				"4": 0.0420087282322,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00484716094987,
				"4.1": 0.133296926121,
				"4.2-4.3": 0.380502134565,
				"4.4": 0.896724775726,
				"4.4.3-4.4.4": 0.685873274406
			},
			"op_mob": {
				"0": 5.58011305976,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.155003140549
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.111178404858,
				"9": 0.00512524561404,
				"10": 0.0272032267206,
				"11": 0.440771122807,
				"5.5": null
			},
			"edge": {
				"12": 0.016338,
				"13": 0.017116,
				"14": 0.021395
			},
			"bb": {
				"7": 0.02162475,
				"10": null
			},
			"ie_mob": {
				"10": 0.049054544,
				"11": 0.229664456
			},
			"and_ff": {
				"0": 0.009611
			},
			"samsung": {
				"0": 0.720825
			},
			"and_uc": {
				"0": 7.871409
			},
			"op_mini": {
				"0": 75.1798927997
			},
			"and_chr": {
				"0": 2.52224
			}
		},
		"total": 98.44940475
	};

/***/ },
/* 645 */
/***/ function(module, exports) {

	module.exports = {
		"id": "TG",
		"name": "Togo",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.002527,
				"3": 0.133931,
				"4": 0.005054,
				"5": 0.002527,
				"6": null,
				"7": 0.005054,
				"8": null,
				"9": 0.012635,
				"10": 0.02527,
				"11": 0.015162,
				"12": 0.012635,
				"13": 0.015162,
				"14": 0.010108,
				"15": 0.017689,
				"16": 0.035378,
				"17": 0.007581,
				"18": 0.015162,
				"19": 0.015162,
				"20": 0.042959,
				"21": 0.032851,
				"22": 0.048013,
				"23": 0.045486,
				"24": 0.030324,
				"25": 0.05054,
				"26": 0.007581,
				"27": 0.111188,
				"28": 0.042959,
				"29": 0.118769,
				"30": 0.217322,
				"31": 0.055594,
				"32": 0.083391,
				"33": 0.073283,
				"34": 0.040432,
				"35": 0.121296,
				"36": 0.037905,
				"37": 0.116242,
				"38": 0.186998,
				"39": 0.10108,
				"40": 0.338618,
				"41": 0.103607,
				"42": 0.179417,
				"43": 0.697452,
				"44": 0.2527,
				"45": 0.318402,
				"46": 0.133931,
				"47": 1.230649,
				"48": 0.545832,
				"49": 4.313589,
				"50": 1.887669,
				"51": 0.098553,
				"52": 0.002527,
				"53": null,
				"3.5": null,
				"3.6": 0.035378
			},
			"chrome": {
				"4": null,
				"5": 0.02527,
				"6": 0.007581,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.05054,
				"12": 0.002527,
				"13": null,
				"14": 0.010108,
				"15": null,
				"16": 0.020216,
				"17": 0.002527,
				"18": 0.040432,
				"19": 0.005054,
				"20": null,
				"21": null,
				"22": 0.002527,
				"23": null,
				"24": 0.005054,
				"25": 0.015162,
				"26": 0.02527,
				"27": 0.007581,
				"28": 0.05054,
				"29": 0.042959,
				"30": 0.133931,
				"31": 0.02527,
				"32": 0.128877,
				"33": 0.027797,
				"34": 0.007581,
				"35": 0.005054,
				"36": 0.022743,
				"37": 0.010108,
				"38": 0.007581,
				"39": 0.015162,
				"40": 0.037905,
				"41": 0.022743,
				"42": 0.007581,
				"43": 0.507927,
				"44": 0.012635,
				"45": 0.108661,
				"46": 0.02527,
				"47": 0.042959,
				"48": 0.058121,
				"49": 0.308294,
				"50": 0.093499,
				"51": 0.288078,
				"52": 0.12635,
				"53": 0.275443,
				"54": 6.062273,
				"55": 0.030324,
				"56": 0.005054,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.002527,
				"15": null,
				"16": 0.005054,
				"17": null,
				"18": 0.005054,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.02527,
				"23": null,
				"24": 0.002527,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.015162,
				"30": null,
				"31": 0.002527,
				"32": null,
				"33": 0.017689,
				"34": 0.005054,
				"35": 0.007581,
				"36": 0.030324,
				"37": 0.058121,
				"38": 0.015162,
				"39": 0.005054,
				"40": 0.042959,
				"41": 0.540778,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.005054,
				"12.1": 0.005054
			},
			"safari": {
				"0": null,
				"4": 0.005054,
				"5": 0.005054,
				"6": 0.005054,
				"7": 0.020216,
				"8": 0.053067,
				"9": 0.017689,
				"10": 0.093499,
				"3.1": null,
				"3.2": null,
				"5.1": 0.012635,
				"6.1": 0.012635,
				"7.1": null,
				"9.1": 0.037905
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0184898969072,
				"8.1-8.4": 0.0238827835052,
				"9.0-9.2": 0.0184042955326,
				"9.3": 0.120526735395,
				"10-10.1": 0.64072628866
			},
			"android": {
				"3": 0,
				"4": 0.154676734263,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0178473154919,
				"4.1": 0.490801176027,
				"4.2-4.3": 1.40101426611,
				"4.4": 3.301753366,
				"4.4.3-4.4.4": 2.5253951421
			},
			"op_mob": {
				"0": 2.66543078899,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0740397441386
			},
			"ie": {
				"6": 0.00517178389831,
				"7": 0.0181012436441,
				"8": 0.212043139831,
				"9": 0.0181012436441,
				"10": 0.162911192797,
				"11": 0.799040612288,
				"5.5": null
			},
			"edge": {
				"12": 0.070756,
				"13": 0.111188,
				"14": 0.113715
			},
			"bb": {
				"7": 0.037365,
				"10": null
			},
			"ie_mob": {
				"10": 0.218331168,
				"11": 1.022186832
			},
			"and_ff": {
				"0": 0.037365
			},
			"samsung": {
				"0": 0.986436
			},
			"and_uc": {
				"0": 7.345959
			},
			"op_mini": {
				"0": 35.9108854669
			},
			"and_chr": {
				"0": 18.484791
			}
		},
		"total": 98.8052382161
	};

/***/ },
/* 646 */
/***/ function(module, exports) {

	module.exports = {
		"id": "TH",
		"name": "Thailand",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": 0.006264,
				"8": 0.003132,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.009396,
				"13": null,
				"14": 0.003132,
				"15": 0.003132,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.006264,
				"22": null,
				"23": 0.003132,
				"24": null,
				"25": null,
				"26": 0.009396,
				"27": null,
				"28": null,
				"29": 0.006264,
				"30": 0.012528,
				"31": 0.006264,
				"32": 0.003132,
				"33": 0.009396,
				"34": 0.009396,
				"35": 0.006264,
				"36": 0.006264,
				"37": 0.009396,
				"38": 0.01566,
				"39": 0.01566,
				"40": 0.009396,
				"41": 0.009396,
				"42": 0.012528,
				"43": 0.043848,
				"44": 0.018792,
				"45": 0.025056,
				"46": 0.028188,
				"47": 0.115884,
				"48": 0.097092,
				"49": 1.240272,
				"50": 0.65772,
				"51": 0.025056,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.009396
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.009396,
				"11": 0.056376,
				"12": 0.018792,
				"13": 0.006264,
				"14": null,
				"15": 0.006264,
				"16": 0.009396,
				"17": 0.003132,
				"18": 0.003132,
				"19": null,
				"20": 0.003132,
				"21": 0.012528,
				"22": 0.03132,
				"23": 0.003132,
				"24": 0.003132,
				"25": 0.012528,
				"26": 0.018792,
				"27": 0.009396,
				"28": 0.006264,
				"29": 0.006264,
				"30": 0.009396,
				"31": 0.040716,
				"32": 0.01566,
				"33": 0.037584,
				"34": 0.037584,
				"35": 0.018792,
				"36": 0.01566,
				"37": 0.01566,
				"38": 0.040716,
				"39": 0.040716,
				"40": 0.037584,
				"41": 0.018792,
				"42": 0.025056,
				"43": 1.343628,
				"44": 0.034452,
				"45": 0.034452,
				"46": 0.068904,
				"47": 0.06264,
				"48": 0.050112,
				"49": 0.97092,
				"50": 0.087696,
				"51": 0.300672,
				"52": 0.278748,
				"53": 0.526176,
				"54": 18.547704,
				"55": 0.090828,
				"56": 0.090828,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.009396,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.003132,
				"37": 0.021924,
				"38": 0.009396,
				"39": null,
				"40": 0.003132,
				"41": 0.122148,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.003132
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.006264,
				"6": 0.003132,
				"7": 0.009396,
				"8": 0.040716,
				"9": 0.050112,
				"10": 0.34452,
				"3.1": null,
				"3.2": null,
				"5.1": 0.01566,
				"6.1": 0.009396,
				"7.1": 0.003132,
				"9.1": 0.150336
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.308609544517,
				"8.1-8.4": 0.398620661668,
				"9.0-9.2": 0.307180796626,
				"9.3": 2.01167703093,
				"10-10.1": 10.6941779663
			},
			"android": {
				"3": 0,
				"4": 0.0833151134565,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0096132823219,
				"4.1": 0.264365263852,
				"4.2-4.3": 0.754642662269,
				"4.4": 1.77845722955,
				"4.4.3-4.4.4": 1.36027944855
			},
			"op_mob": {
				"0": 0.0378853187857,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00105236996627
			},
			"ie": {
				"6": null,
				"7": 0.00633398882682,
				"8": 0.256526547486,
				"9": 0.253359553073,
				"10": 0.152015731844,
				"11": 1.03244017877,
				"5.5": null
			},
			"edge": {
				"12": 0.021924,
				"13": 0.072036,
				"14": 0.238032
			},
			"bb": {
				"7": 0.00171675,
				"10": null
			},
			"ie_mob": {
				"10": 0.073724112,
				"11": 0.345162888
			},
			"and_ff": {
				"0": 0.020601
			},
			"samsung": {
				"0": 5.569137
			},
			"and_uc": {
				"0": 0.762237
			},
			"op_mini": {
				"0": 0.510422311248
			},
			"and_chr": {
				"0": 45.687708
			}
		},
		"total": 99.31578975
	};

/***/ },
/* 647 */
/***/ function(module, exports) {

	module.exports = {
		"id": "TJ",
		"name": "Tajikistan",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.008115,
				"3": 0.01082,
				"4": null,
				"5": 0.36788,
				"6": null,
				"7": null,
				"8": 0.008115,
				"9": 0.008115,
				"10": null,
				"11": null,
				"12": 0.00541,
				"13": 0.008115,
				"14": null,
				"15": 0.01082,
				"16": 0.073035,
				"17": 0.00541,
				"18": 0.002705,
				"19": null,
				"20": null,
				"21": 0.01082,
				"22": 0.013525,
				"23": 0.002705,
				"24": null,
				"25": 0.00541,
				"26": null,
				"27": 0.00541,
				"28": 0.002705,
				"29": null,
				"30": 0.056805,
				"31": 0.002705,
				"32": 0.018935,
				"33": 0.00541,
				"34": 0.013525,
				"35": 0.008115,
				"36": 0.01082,
				"37": 0.04328,
				"38": 0.008115,
				"39": 0.01623,
				"40": 0.008115,
				"41": 0.01082,
				"42": 0.00541,
				"43": 0.045985,
				"44": 0.02164,
				"45": 0.03246,
				"46": 0.024345,
				"47": 0.159595,
				"48": 0.056805,
				"49": 1.393075,
				"50": 0.42198,
				"51": null,
				"52": null,
				"53": null,
				"3.5": 0.04869,
				"3.6": 0.12443
			},
			"chrome": {
				"4": null,
				"5": 0.029755,
				"6": 0.013525,
				"7": 0.002705,
				"8": 0.02164,
				"9": null,
				"10": 0.00541,
				"11": 0.018935,
				"12": 0.07033,
				"13": null,
				"14": 0.04328,
				"15": 0.11902,
				"16": 0.137955,
				"17": 0.029755,
				"18": 0.08115,
				"19": 0.01082,
				"20": 0.03787,
				"21": 0.00541,
				"22": 0.06492,
				"23": 0.3787,
				"24": 0.067625,
				"25": 0.002705,
				"26": 0.02705,
				"27": 0.02164,
				"28": 0.01623,
				"29": 0.00541,
				"30": 0.00541,
				"31": 0.040575,
				"32": 0.008115,
				"33": 0.008115,
				"34": 0.008115,
				"35": 0.06492,
				"36": 0.04328,
				"37": 0.018935,
				"38": 0.013525,
				"39": 0.170415,
				"40": 0.040575,
				"41": 0.09738,
				"42": 0.045985,
				"43": 0.03787,
				"44": 0.17312,
				"45": 0.170415,
				"46": 0.040575,
				"47": 0.03787,
				"48": 0.073035,
				"49": 1.70415,
				"50": 0.045985,
				"51": 0.2705,
				"52": 0.105495,
				"53": 0.35165,
				"54": 11.16083,
				"55": 0.013525,
				"56": 0.02705,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.01623,
				"12": 0.04869,
				"15": null,
				"16": 0.00541,
				"17": 0.008115,
				"18": 0.008115,
				"19": 0.00541,
				"20": 0.00541,
				"21": 0.01082,
				"22": 0.013525,
				"23": 0.002705,
				"24": 0.029755,
				"25": 0.018935,
				"26": 0.002705,
				"27": 0.00541,
				"28": 0.03246,
				"29": null,
				"30": 0.024345,
				"31": null,
				"32": 0.013525,
				"33": 0.008115,
				"34": 0.03246,
				"35": 0.024345,
				"36": 0.20017,
				"37": 0.04328,
				"38": 0.01082,
				"39": 0.045985,
				"40": 0.04869,
				"41": 1.33627,
				"42": null,
				"43": null,
				"9.5-9.6": 0.10279,
				"10.0-10.1": 0.01082,
				"10.5": 0.00541,
				"10.6": 0.056805,
				"11.1": 0.008115,
				"11.5": 0.03787,
				"11.6": 0.12984,
				"12.1": 0.45444
			},
			"safari": {
				"0": null,
				"4": 0.008115,
				"5": 0.008115,
				"6": 0.0541,
				"7": 0.008115,
				"8": 0.01623,
				"9": 0.04328,
				"10": 0.170415,
				"3.1": null,
				"3.2": null,
				"5.1": 0.018935,
				"6.1": null,
				"7.1": null,
				"9.1": 0.040575
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0825353701968,
				"8.1-8.4": 0.106608186504,
				"9.0-9.2": 0.0821532620015,
				"9.3": 0.538008339061,
				"10-10.1": 2.86007984224
			},
			"android": {
				"3": 0,
				"4": 0.114245254429,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0131821447418,
				"4.1": 0.3625089804,
				"4.2-4.3": 1.03479836223,
				"4.4": 2.43869677723,
				"4.4.3-4.4.4": 1.86527348096
			},
			"op_mob": {
				"0": 2.21305990422,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0614738862283
			},
			"ie": {
				"6": 0.00274130872483,
				"7": 0.016447852349,
				"8": 0.241235167785,
				"9": 0.0959458053691,
				"10": 0.241235167785,
				"11": 0.627759697987,
				"5.5": null
			},
			"edge": {
				"12": 0.018935,
				"13": 0.09197,
				"14": 0.170415
			},
			"bb": {
				"7": 0.007295,
				"10": null
			},
			"ie_mob": {
				"10": 0.14379904,
				"11": 0.67324096
			},
			"and_ff": {
				"0": null
			},
			"samsung": {
				"0": 3.815285
			},
			"and_uc": {
				"0": 8.34548
			},
			"op_mini": {
				"0": 29.8161712096
			},
			"and_chr": {
				"0": 17.71557
			}
		},
		"total": 96.04748
	};

/***/ },
/* 648 */
/***/ function(module, exports) {

	module.exports = {
		"id": "TK",
		"name": "Tokelau",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": null,
				"42": null,
				"43": null,
				"44": null,
				"45": null,
				"46": null,
				"47": 0.461482,
				"48": 2.420426,
				"49": 8.19366,
				"50": 1.384446,
				"51": null,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.809948,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": 0.113016,
				"33": null,
				"34": null,
				"35": 0.348466,
				"36": null,
				"37": 0.574498,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.922964,
				"42": null,
				"43": null,
				"44": null,
				"45": 0.23545,
				"46": null,
				"47": null,
				"48": null,
				"49": 0.809948,
				"50": 2.30741,
				"51": null,
				"52": 1.958944,
				"53": 6.1217,
				"54": 61.979858,
				"55": null,
				"56": null,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.23545,
				"39": 0.113016,
				"40": null,
				"41": null,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.113016,
				"3.1": null,
				"3.2": null,
				"5.1": null,
				"6.1": null,
				"7.1": null,
				"9.1": 0.574498
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0170705454545,
				"8.1-8.4": 0.0220494545455,
				"9.0-9.2": 0.0169915151515,
				"9.3": 0.111274666667,
				"10-10.1": 0.591541818182
			},
			"android": {
				"3": 0,
				"4": 0.00992449302676,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00114513381078,
				"4.1": 0.0314911797965,
				"4.2-4.3": 0.0898930041462,
				"4.4": 0.211849754994,
				"4.4.3-4.4.4": 0.162036434225
			},
			"op_mob": {
				"0": 0,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0
			},
			"ie": {
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.23545,
				"11": 3.34339,
				"5.5": null
			},
			"edge": {
				"12": null,
				"13": null,
				"14": null
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0.04455792,
				"11": 0.20861208
			},
			"and_ff": {
				"0": 2.65683
			},
			"samsung": {
				"0": null
			},
			"and_uc": {
				"0": null
			},
			"op_mini": {
				"0": 0
			},
			"and_chr": {
				"0": 1.518438
			}
		},
		"total": 98.950742
	};

/***/ },
/* 649 */
/***/ function(module, exports) {

	module.exports = {
		"id": "TL",
		"name": "Timor-Leste",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.04446,
				"4": 0.195624,
				"5": 0.068172,
				"6": 0.130416,
				"7": 0.041496,
				"8": 0.065208,
				"9": 0.035568,
				"10": 0.115596,
				"11": 0.145236,
				"12": 0.16302,
				"13": 0.068172,
				"14": 0.02964,
				"15": 0.032604,
				"16": 0.124488,
				"17": 0.038532,
				"18": 0.08892,
				"19": 0.038532,
				"20": 0.068172,
				"21": 0.082992,
				"22": 0.02964,
				"23": 0.035568,
				"24": 0.085956,
				"25": 0.023712,
				"26": 0.023712,
				"27": 0.020748,
				"28": 0.026676,
				"29": 0.097812,
				"30": 0.065208,
				"31": 0.032604,
				"32": 0.04446,
				"33": 0.0741,
				"34": 0.041496,
				"35": 0.068172,
				"36": 0.085956,
				"37": 0.032604,
				"38": 0.139308,
				"39": 0.080028,
				"40": 0.198588,
				"41": 0.142272,
				"42": 0.085956,
				"43": 0.38532,
				"44": 0.403104,
				"45": 0.112632,
				"46": 0.25194,
				"47": 1.150032,
				"48": 0.619476,
				"49": 3.728712,
				"50": 2.027376,
				"51": 0.284544,
				"52": 0.005928,
				"53": null,
				"3.5": 0.050388,
				"3.6": 0.11856
			},
			"chrome": {
				"4": 0.068172,
				"5": null,
				"6": 0.005928,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.278616,
				"12": 0.002964,
				"13": 0.008892,
				"14": null,
				"15": 0.002964,
				"16": 0.002964,
				"17": null,
				"18": 0.002964,
				"19": 0.008892,
				"20": 0.017784,
				"21": null,
				"22": null,
				"23": 0.005928,
				"24": null,
				"25": null,
				"26": 0.011856,
				"27": 0.026676,
				"28": 0.02964,
				"29": 0.005928,
				"30": 0.008892,
				"31": 0.068172,
				"32": 0.005928,
				"33": 0.017784,
				"34": 0.01482,
				"35": 0.020748,
				"36": 0.020748,
				"37": 0.005928,
				"38": 0.008892,
				"39": 0.01482,
				"40": 0.023712,
				"41": 0.008892,
				"42": 0.011856,
				"43": 0.951444,
				"44": 0.008892,
				"45": 0.0741,
				"46": 0.038532,
				"47": 0.050388,
				"48": 0.032604,
				"49": 0.231192,
				"50": 0.04446,
				"51": 0.272688,
				"52": 0.127452,
				"53": 0.417924,
				"54": 7.807176,
				"55": 0.085956,
				"56": 0.02964,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.005928,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": 0.04446,
				"20": 0.011856,
				"21": 0.011856,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.011856,
				"29": null,
				"30": 0.082992,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.005928,
				"37": 0.062244,
				"38": 0.005928,
				"39": 0.002964,
				"40": 0.035568,
				"41": 0.40014,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.008892,
				"11.1": 0.005928,
				"11.5": null,
				"11.6": 0.002964,
				"12.1": 0.047424
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.008892,
				"6": 0.035568,
				"7": 0.017784,
				"8": 0.077064,
				"9": 0.168948,
				"10": 0.2964,
				"3.1": null,
				"3.2": null,
				"5.1": 0.053352,
				"6.1": 0.04446,
				"7.1": null,
				"9.1": 0.26676
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.075015497657,
				"8.1-8.4": 0.0968950178069,
				"9.0-9.2": 0.0746682036863,
				"9.3": 0.488989910653,
				"10-10.1": 2.5994953702
			},
			"android": {
				"3": 0,
				"4": 0.109913299661,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.012682303807,
				"4.1": 0.348763354693,
				"4.2-4.3": 0.99556084885,
				"4.4": 2.3462262043,
				"4.4.3-4.4.4": 1.79454598869
			},
			"op_mob": {
				"0": 1.48040979536,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0411224943156
			},
			"ie": {
				"6": null,
				"7": 0.0178513636364,
				"8": 0.672401363636,
				"9": 0.300497954545,
				"10": 0.249919090909,
				"11": 1.90117022727,
				"5.5": null
			},
			"edge": {
				"12": 0.106704,
				"13": 0.130416,
				"14": 0.154128
			},
			"bb": {
				"7": 0.008795,
				"10": null
			},
			"ie_mob": {
				"10": 0.097828544,
				"11": 0.458015456
			},
			"and_ff": {
				"0": 0.03518
			},
			"samsung": {
				"0": 3.518
			},
			"and_uc": {
				"0": 9.07644
			},
			"op_mini": {
				"0": 19.9453037103
			},
			"and_chr": {
				"0": 27.118632
			}
		},
		"total": 99.004971
	};

/***/ },
/* 650 */
/***/ function(module, exports) {

	module.exports = {
		"id": "TM",
		"name": "Turkmenistan",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.032956,
				"3": 0.02354,
				"4": 0.01177,
				"5": 0.016478,
				"6": 0.004708,
				"7": 0.002354,
				"8": null,
				"9": null,
				"10": 0.007062,
				"11": null,
				"12": 0.007062,
				"13": 0.009416,
				"14": 0.018832,
				"15": 0.004708,
				"16": null,
				"17": 0.009416,
				"18": 0.004708,
				"19": 0.004708,
				"20": 0.002354,
				"21": 0.021186,
				"22": 0.009416,
				"23": null,
				"24": 0.016478,
				"25": 0.004708,
				"26": 0.054142,
				"27": 0.004708,
				"28": 0.025894,
				"29": 0.004708,
				"30": 0.065912,
				"31": null,
				"32": 0.009416,
				"33": 0.009416,
				"34": 0.007062,
				"35": 0.021186,
				"36": 0.044726,
				"37": 0.02354,
				"38": 0.115346,
				"39": 0.004708,
				"40": 0.021186,
				"41": 0.10593,
				"42": 0.004708,
				"43": 0.072974,
				"44": 0.007062,
				"45": 0.028248,
				"46": 0.01177,
				"47": 0.244816,
				"48": 0.101222,
				"49": 0.487278,
				"50": 0.197736,
				"51": 0.018832,
				"52": null,
				"53": 0.021186,
				"3.5": 0.016478,
				"3.6": 0.077682
			},
			"chrome": {
				"4": 0.007062,
				"5": 0.009416,
				"6": 0.014124,
				"7": null,
				"8": 0.054142,
				"9": 0.025894,
				"10": 0.068266,
				"11": 0.136532,
				"12": 0.040018,
				"13": 0.054142,
				"14": 0.014124,
				"15": 0.021186,
				"16": 0.021186,
				"17": 0.016478,
				"18": 0.007062,
				"19": 0.009416,
				"20": 0.056496,
				"21": 0.004708,
				"22": 0.02354,
				"23": 0.009416,
				"24": 0.01177,
				"25": 0.01177,
				"26": null,
				"27": 0.025894,
				"28": 0.05885,
				"29": 0.044726,
				"30": 0.014124,
				"31": 0.018832,
				"32": 0.002354,
				"33": 0.01177,
				"34": 0.007062,
				"35": 0.02354,
				"36": 0.004708,
				"37": 0.004708,
				"38": 0.054142,
				"39": 0.049434,
				"40": 0.021186,
				"41": 0.007062,
				"42": 0.01177,
				"43": 0.03531,
				"44": 0.044726,
				"45": 0.16478,
				"46": 0.04708,
				"47": 0.049434,
				"48": 0.021186,
				"49": 0.466092,
				"50": 0.051788,
				"51": 0.371932,
				"52": 0.404888,
				"53": 0.68266,
				"54": 9.594904,
				"55": 0.004708,
				"56": 0.025894,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.004708,
				"12": 0.028248,
				"15": null,
				"16": 0.002354,
				"17": null,
				"18": 0.030602,
				"19": null,
				"20": null,
				"21": 0.002354,
				"22": null,
				"23": 0.014124,
				"24": 0.002354,
				"25": 0.004708,
				"26": 0.004708,
				"27": 0.028248,
				"28": null,
				"29": 0.030602,
				"30": null,
				"31": 0.09416,
				"32": null,
				"33": 0.044726,
				"34": 0.028248,
				"35": 0.02354,
				"36": 0.007062,
				"37": 0.004708,
				"38": 0.014124,
				"39": 0.014124,
				"40": 0.007062,
				"41": 0.075328,
				"42": null,
				"43": null,
				"9.5-9.6": 0.002354,
				"10.0-10.1": 0,
				"10.5": 0.01177,
				"10.6": 0.018832,
				"11.1": 0.014124,
				"11.5": null,
				"11.6": 0.014124,
				"12.1": 0.145948
			},
			"safari": {
				"0": null,
				"4": 0.032956,
				"5": 0.009416,
				"6": null,
				"7": 0.004708,
				"8": 0.01177,
				"9": 0.009416,
				"10": 0.096514,
				"3.1": null,
				"3.2": null,
				"5.1": 0.02354,
				"6.1": 0.007062,
				"7.1": null,
				"9.1": 0.068266
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.25697360075,
				"8.1-8.4": 0.331924234302,
				"9.0-9.2": 0.255783908154,
				"9.3": 1.67508717526,
				"10-10.1": 8.90484908154
			},
			"android": {
				"3": 0,
				"4": 0.3469829853,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0400364983038,
				"4.1": 1.10100370335,
				"4.2-4.3": 3.14286511685,
				"4.4": 7.4067521862,
				"4.4.3-4.4.4": 5.66516450999
			},
			"op_mob": {
				"0": 0.035860299671,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000996119435306
			},
			"ie": {
				"6": 0.0083678994614,
				"7": 0.0362608976661,
				"8": 0.786582549372,
				"9": 0.783793249551,
				"10": 0.264983482944,
				"11": 1.22729192101,
				"5.5": null
			},
			"edge": {
				"12": 0.018832,
				"13": 0.018832,
				"14": 0.124762
			},
			"bb": {
				"7": 0.0191175,
				"10": null
			},
			"ie_mob": {
				"10": 0.049797264,
				"11": 0.233141736
			},
			"and_ff": {
				"0": 0.022941
			},
			"samsung": {
				"0": 16.005171
			},
			"and_uc": {
				"0": 0.15294
			},
			"op_mini": {
				"0": 0.483139580894
			},
			"and_chr": {
				"0": 29.192445
			}
		},
		"total": 94.4915945
	};

/***/ },
/* 651 */
/***/ function(module, exports) {

	module.exports = {
		"id": "TN",
		"name": "Tunisia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.037314,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.006219,
				"11": null,
				"12": 0.012438,
				"13": null,
				"14": null,
				"15": 0.012438,
				"16": 0.006219,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.012438,
				"32": null,
				"33": 0.043533,
				"34": 0.006219,
				"35": 0.012438,
				"36": 0.012438,
				"37": 0.012438,
				"38": 0.031095,
				"39": 0.018657,
				"40": 0.018657,
				"41": 0.018657,
				"42": 0.018657,
				"43": 0.130599,
				"44": 0.043533,
				"45": 0.074628,
				"46": 0.080847,
				"47": 0.416673,
				"48": 0.335826,
				"49": 2.307249,
				"50": 1.287333,
				"51": 0.024876,
				"52": 0.006219,
				"53": null,
				"3.5": 0.006219,
				"3.6": 0.012438
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": 0.012438,
				"8": 0.018657,
				"9": null,
				"10": 0.018657,
				"11": 0.049752,
				"12": 0.024876,
				"13": 0.012438,
				"14": 0.012438,
				"15": 0.012438,
				"16": 0.018657,
				"17": 0.012438,
				"18": 0.199008,
				"19": 0.012438,
				"20": 0.012438,
				"21": 0.012438,
				"22": 0.018657,
				"23": 0.049752,
				"24": 0.031095,
				"25": 0.012438,
				"26": 0.024876,
				"27": 0.024876,
				"28": 0.018657,
				"29": 0.043533,
				"30": 0.049752,
				"31": 0.074628,
				"32": 0.031095,
				"33": 0.074628,
				"34": 0.024876,
				"35": 0.037314,
				"36": 0.031095,
				"37": 0.031095,
				"38": 0.06219,
				"39": 0.049752,
				"40": 0.068409,
				"41": 0.055971,
				"42": 0.043533,
				"43": 0.528615,
				"44": 0.068409,
				"45": 0.055971,
				"46": 0.099504,
				"47": 0.105723,
				"48": 0.12438,
				"49": 3.961503,
				"50": 0.223884,
				"51": 1.218924,
				"52": 0.553491,
				"53": 1.212705,
				"54": 39.73941,
				"55": 0.292293,
				"56": 0.049752,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.012438,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.012438,
				"36": 0.074628,
				"37": 0.031095,
				"38": 0.093285,
				"39": 0.031095,
				"40": 0.031095,
				"41": 1.013697,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.012438
			},
			"safari": {
				"0": null,
				"4": 0.018657,
				"5": 0.006219,
				"6": 0.018657,
				"7": 0.024876,
				"8": 0.136818,
				"9": 0.055971,
				"10": 0.242541,
				"3.1": null,
				"3.2": null,
				"5.1": 0.043533,
				"6.1": 0.018657,
				"7.1": null,
				"9.1": 0.167913
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0408112464855,
				"8.1-8.4": 0.0527145267104,
				"9.0-9.2": 0.0406223055295,
				"9.3": 0.266028865979,
				"10-10.1": 1.4142230553
			},
			"android": {
				"3": 0,
				"4": 0.090167176781,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0104039050132,
				"4.1": 0.286107387863,
				"4.2-4.3": 0.816706543536,
				"4.4": 1.92472242744,
				"4.4.3-4.4.4": 1.47215255937
			},
			"op_mob": {
				"0": 0.228093949111,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00633594303086
			},
			"ie": {
				"6": 0.0143470883721,
				"7": 0.0215206325581,
				"8": 0.530842269767,
				"9": 0.129123795349,
				"10": 0.143470883721,
				"11": 0.703007330233,
				"5.5": null
			},
			"edge": {
				"12": 0.043533,
				"13": 0.105723,
				"14": 0.24876
			},
			"bb": {
				"7": 0.014175,
				"10": null
			},
			"ie_mob": {
				"10": 0.15434496,
				"11": 0.72261504
			},
			"and_ff": {
				"0": 0.17766
			},
			"samsung": {
				"0": 2.5515
			},
			"and_uc": {
				"0": 0.63882
			},
			"op_mini": {
				"0": 3.07307010786
			},
			"and_chr": {
				"0": 25.173189
			}
		},
		"total": 97.669035
	};

/***/ },
/* 652 */
/***/ function(module, exports) {

	module.exports = {
		"id": "TO",
		"name": "Tonga",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": 0.03759,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.022554,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.022554,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.03759,
				"30": null,
				"31": null,
				"32": 0.030072,
				"33": null,
				"34": null,
				"35": 0.045108,
				"36": null,
				"37": 0.022554,
				"38": 0.060144,
				"39": 0.045108,
				"40": 0.045108,
				"41": 0.060144,
				"42": 0.067662,
				"43": 0.729246,
				"44": 0.240576,
				"45": 0.022554,
				"46": 0.060144,
				"47": 0.496188,
				"48": 0.984858,
				"49": 20.291082,
				"50": 17.975538,
				"51": 1.31565,
				"52": 0.007518,
				"53": null,
				"3.5": null,
				"3.6": 0.022554
			},
			"chrome": {
				"4": 0.015036,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.030072,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.007518,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.022554,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.007518,
				"35": 0.015036,
				"36": 0.135324,
				"37": 0.015036,
				"38": null,
				"39": null,
				"40": 0.07518,
				"41": 0.022554,
				"42": 0.022554,
				"43": 0.135324,
				"44": 0.022554,
				"45": 0.120288,
				"46": 0.308238,
				"47": 0.022554,
				"48": null,
				"49": 0.52626,
				"50": 0.240576,
				"51": 0.18795,
				"52": 0.293202,
				"53": 0.872088,
				"54": 19.366368,
				"55": 0.022554,
				"56": 0.015036,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.007518,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.142842,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.060144
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.03759,
				"6": 0.015036,
				"7": 0.045108,
				"8": 0.383418,
				"9": 0.165396,
				"10": 0.293202,
				"3.1": null,
				"3.2": null,
				"5.1": 0.022554,
				"6.1": 0.11277,
				"7.1": null,
				"9.1": 0.285684
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.100697634489,
				"8.1-8.4": 0.130067777882,
				"9.0-9.2": 0.100231441737,
				"9.3": 0.656399395189,
				"10-10.1": 3.4894527507
			},
			"android": {
				"3": 0,
				"4": 0.0391776781003,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00452050131926,
				"4.1": 0.12431378628,
				"4.2-4.3": 0.354859353562,
				"4.4": 0.836292744063,
				"4.4.3-4.4.4": 0.639650936675
			},
			"op_mob": {
				"0": 0.0869869980427,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00241630550119
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.422568622754,
				"9": 0.107562922156,
				"10": 0.276590371257,
				"11": 3.04249408383,
				"5.5": null
			},
			"edge": {
				"12": 0.15036,
				"13": 0.541296,
				"14": 1.323168
			},
			"bb": {
				"7": 0.004966,
				"10": null
			},
			"ie_mob": {
				"10": 0.174366192,
				"11": 0.816350808
			},
			"and_ff": {
				"0": 0.004966
			},
			"samsung": {
				"0": 2.090686
			},
			"and_uc": {
				"0": 1.152112
			},
			"op_mini": {
				"0": 1.17196069646
			},
			"and_chr": {
				"0": 14.222492
			}
		},
		"total": 98.781739
	};

/***/ },
/* 653 */
/***/ function(module, exports) {

	module.exports = {
		"id": "TR",
		"name": "Turkey",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.003664,
				"34": 0.007328,
				"35": 0.003664,
				"36": 0.007328,
				"37": 0.007328,
				"38": 0.010992,
				"39": 0.007328,
				"40": 0.007328,
				"41": 0.007328,
				"42": 0.010992,
				"43": 0.032976,
				"44": 0.032976,
				"45": 0.01832,
				"46": 0.021984,
				"47": 0.087936,
				"48": 0.05496,
				"49": 0.809744,
				"50": 0.425024,
				"51": 0.003664,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.003664
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.032976,
				"12": 0.003664,
				"13": null,
				"14": null,
				"15": 0.007328,
				"16": 0.007328,
				"17": null,
				"18": 0.007328,
				"19": null,
				"20": null,
				"21": 0.003664,
				"22": 0.168544,
				"23": 0.010992,
				"24": 0.003664,
				"25": 0.010992,
				"26": 0.058624,
				"27": 0.007328,
				"28": 0.007328,
				"29": 0.010992,
				"30": 0.007328,
				"31": 0.01832,
				"32": 0.007328,
				"33": 0.01832,
				"34": 0.076944,
				"35": 0.025648,
				"36": 0.014656,
				"37": 0.014656,
				"38": 0.051296,
				"39": 0.043968,
				"40": 0.032976,
				"41": 0.01832,
				"42": 0.025648,
				"43": 0.102592,
				"44": 0.095264,
				"45": 0.062288,
				"46": 0.120912,
				"47": 0.131904,
				"48": 0.186864,
				"49": 2.114128,
				"50": 0.161216,
				"51": 0.34808,
				"52": 0.399376,
				"53": 0.87936,
				"54": 23.859968,
				"55": 0.051296,
				"56": 0.014656,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.003664,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.010992,
				"37": 0.007328,
				"38": 0.010992,
				"39": null,
				"40": 0.003664,
				"41": 0.20152,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.007328
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.003664,
				"6": null,
				"7": 0.003664,
				"8": 0.021984,
				"9": 0.01832,
				"10": 0.16488,
				"3.1": null,
				"3.2": null,
				"5.1": 0.010992,
				"6.1": 0.003664,
				"7.1": null,
				"9.1": 0.069616
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.220756453608,
				"8.1-8.4": 0.285143752577,
				"9.0-9.2": 0.21973443299,
				"9.3": 1.43900503093,
				"10-10.1": 7.6498243299
			},
			"android": {
				"3": 0,
				"4": 0.101958730494,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0117644689031,
				"4.1": 0.323522894836,
				"4.2-4.3": 0.923510808896,
				"4.4": 2.17642674708,
				"4.4.3-4.4.4": 1.66467234979
			},
			"op_mob": {
				"0": 0.0489380998626,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00135939166285
			},
			"ie": {
				"6": null,
				"7": 0.00738592885375,
				"8": 0.221577865613,
				"9": 0.203113043478,
				"10": 0.199420079051,
				"11": 2.16777011858,
				"5.5": null
			},
			"edge": {
				"12": 0.040304,
				"13": 0.14656,
				"14": 0.505632
			},
			"bb": {
				"7": 0.004752,
				"10": null
			},
			"ie_mob": {
				"10": 0.0836352,
				"11": 0.3915648
			},
			"and_ff": {
				"0": 0.012672
			},
			"samsung": {
				"0": 6.855552
			},
			"and_uc": {
				"0": 0.171072
			},
			"op_mini": {
				"0": 0.659334508475
			},
			"and_chr": {
				"0": 39.97976
			}
		},
		"total": 98.0475870356
	};

/***/ },
/* 654 */
/***/ function(module, exports) {

	module.exports = {
		"id": "TT",
		"name": "Trinidad and Tobago",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.006338,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": 0.006338,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.012676,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.012676,
				"30": null,
				"31": 0.012676,
				"32": 0.019014,
				"33": 0.012676,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.019014,
				"38": 0.025352,
				"39": 0.012676,
				"40": 0.019014,
				"41": 0.012676,
				"42": 0.012676,
				"43": 0.069718,
				"44": 0.019014,
				"45": 0.082394,
				"46": 0.025352,
				"47": 0.22183,
				"48": 0.215492,
				"49": 3.257732,
				"50": 1.863372,
				"51": 0.06338,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.025352
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.019014,
				"12": 0.012676,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.006338,
				"19": null,
				"20": null,
				"21": 0.012676,
				"22": 0.09507,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.03169,
				"27": 0.006338,
				"28": 0.019014,
				"29": null,
				"30": 0.006338,
				"31": 0.019014,
				"32": 0.019014,
				"33": 0.012676,
				"34": 0.06338,
				"35": 0.038028,
				"36": 0.03169,
				"37": 0.025352,
				"38": 0.038028,
				"39": 0.03169,
				"40": 0.03169,
				"41": 0.03169,
				"42": 0.019014,
				"43": 0.107746,
				"44": 0.050704,
				"45": 0.038028,
				"46": 0.038028,
				"47": 0.069718,
				"48": 0.044366,
				"49": 1.197882,
				"50": 0.12676,
				"51": 0.6338,
				"52": 0.297886,
				"53": 1.121826,
				"54": 34.269566,
				"55": 0.41197,
				"56": 0.19014,
				"57": 0.006338
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.025352,
				"29": 0.076056,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.019014,
				"34": null,
				"35": null,
				"36": 0.012676,
				"37": 0.266196,
				"38": 0.019014,
				"39": null,
				"40": 0.019014,
				"41": 0.386618,
				"42": 0.006338,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.025352
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.03169,
				"6": 0.006338,
				"7": 0.044366,
				"8": 0.152112,
				"9": 0.114084,
				"10": 1.48943,
				"3.1": null,
				"3.2": null,
				"5.1": 0.057042,
				"6.1": 0.057042,
				"7.1": null,
				"9.1": 0.608448
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.124871797563,
				"8.1-8.4": 0.161292738519,
				"9.0-9.2": 0.124293687389,
				"9.3": 0.813979124857,
				"10-10.1": 4.32715465167
			},
			"android": {
				"3": 0,
				"4": 0.0577085925368,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00665868375424,
				"4.1": 0.183113803242,
				"4.2-4.3": 0.522706674708,
				"4.4": 1.23185649453,
				"4.4.3-4.4.4": 0.942203751225
			},
			"op_mob": {
				"0": 0.0399015106817,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00110837529671
			},
			"ie": {
				"6": null,
				"7": 0.0444839946809,
				"8": 0.209710260638,
				"9": 0.324097675532,
				"10": 0.241484542553,
				"11": 3.9590755266,
				"5.5": null
			},
			"edge": {
				"12": 0.139436,
				"13": 0.41197,
				"14": 2.383088
			},
			"bb": {
				"7": 0.060423,
				"10": null
			},
			"ie_mob": {
				"10": 0.10956704,
				"11": 0.51297296
			},
			"and_ff": {
				"0": 0.047606
			},
			"samsung": {
				"0": 4.863136
			},
			"and_uc": {
				"0": 0.483384
			},
			"op_mini": {
				"0": 0.537586114022
			},
			"and_chr": {
				"0": 26.745348
			}
		},
		"total": 98.229017
	};

/***/ },
/* 655 */
/***/ function(module, exports) {

	module.exports = {
		"id": "TV",
		"name": "Tuvalu",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.233324,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.152558,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": null,
				"42": null,
				"43": 2.144786,
				"44": 0.843556,
				"45": null,
				"46": 0.080766,
				"47": 0.690998,
				"48": 2.82681,
				"49": 11.62133,
				"50": 1.678138,
				"51": 0.080766,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.152558,
				"19": null,
				"20": 2.449902,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.152558,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.233324,
				"36": 0.080766,
				"37": 0.385882,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.610232,
				"42": null,
				"43": null,
				"44": null,
				"45": null,
				"46": 0.080766,
				"47": null,
				"48": 0.690998,
				"49": 0.53844,
				"50": 1.30123,
				"51": 2.216578,
				"52": 2.216578,
				"53": 7.49329,
				"54": 36.999802,
				"55": 0.080766,
				"56": null,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": null,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.152558,
				"3.1": null,
				"3.2": null,
				"5.1": null,
				"6.1": 0.080766,
				"7.1": null,
				"9.1": 0.996114
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0923111527648,
				"8.1-8.4": 0.119235238988,
				"9.0-9.2": 0.0918837863168,
				"9.3": 0.601731958763,
				"10-10.1": 3.19883786317
			},
			"android": {
				"3": 0,
				"4": 0.0329000648323,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0037961613268,
				"4.1": 0.104394436487,
				"4.2-4.3": 0.297998664154,
				"4.4": 0.702289845458,
				"4.4.3-4.4.4": 0.537156827742
			},
			"op_mob": {
				"0": 0.0064387663349,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000178854620414
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.152558,
				"9": 0.690998,
				"10": 0.385882,
				"11": 8.947078,
				"5.5": null
			},
			"edge": {
				"12": 1.148672,
				"13": 0.233324,
				"14": 0.080766
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0.016432416,
				"11": 0.076933584
			},
			"and_ff": {
				"0": 0.186732
			},
			"samsung": {
				"0": 0.280098
			},
			"and_uc": {
				"0": null
			},
			"op_mini": {
				"0": 0.0867483790447
			},
			"and_chr": {
				"0": 4.209784
			}
		},
		"total": 99.5513
	};

/***/ },
/* 656 */
/***/ function(module, exports) {

	module.exports = {
		"id": "TW",
		"name": "Taiwan",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.033756,
				"22": 0.005626,
				"23": 0.005626,
				"24": 0.005626,
				"25": 0.005626,
				"26": null,
				"27": 0.005626,
				"28": 0.005626,
				"29": 0.005626,
				"30": null,
				"31": 0.005626,
				"32": null,
				"33": 0.011252,
				"34": 0.011252,
				"35": 0.011252,
				"36": 0.011252,
				"37": 0.02813,
				"38": 0.02813,
				"39": 0.011252,
				"40": 0.011252,
				"41": 0.016878,
				"42": 0.016878,
				"43": 0.090016,
				"44": 0.033756,
				"45": 0.078764,
				"46": 0.08439,
				"47": 0.326308,
				"48": 0.129398,
				"49": 2.58796,
				"50": 0.585104,
				"51": 0.011252,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.05626,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.005626,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.016878,
				"28": 0.011252,
				"29": 0.016878,
				"30": 0.011252,
				"31": 0.039382,
				"32": 0.011252,
				"33": 0.08439,
				"34": 0.016878,
				"35": 0.02813,
				"36": 0.016878,
				"37": 0.016878,
				"38": 0.101268,
				"39": 0.078764,
				"40": 0.022504,
				"41": 0.061886,
				"42": 0.045008,
				"43": 0.129398,
				"44": 0.061886,
				"45": 0.191284,
				"46": 0.08439,
				"47": 0.129398,
				"48": 0.135024,
				"49": 2.497944,
				"50": 0.2813,
				"51": 0.883282,
				"52": 0.438828,
				"53": 1.080192,
				"54": 31.556234,
				"55": 0.05626,
				"56": 0.05626,
				"57": 0.011252
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.005626,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.045008,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.011252,
				"37": 0.016878,
				"38": 0.11252,
				"39": null,
				"40": null,
				"41": 0.129398,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.016878
			},
			"safari": {
				"0": null,
				"4": 0.005626,
				"5": 0.016878,
				"6": null,
				"7": 0.02813,
				"8": 0.101268,
				"9": 0.106894,
				"10": 0.922664,
				"3.1": null,
				"3.2": null,
				"5.1": 0.02813,
				"6.1": 0.022504,
				"7.1": 0.005626,
				"9.1": 0.405072
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.279445765698,
				"8.1-8.4": 0.360950780694,
				"9.0-9.2": 0.278152035301,
				"9.3": 1.82157239863,
				"10-10.1": 9.68357201968
			},
			"android": {
				"3": 0,
				"4": 0.0359136539766,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00414388315115,
				"4.1": 0.113956786657,
				"4.2-4.3": 0.325294827365,
				"4.4": 0.766618382963,
				"4.4.3-4.4.4": 0.586359465888
			},
			"op_mob": {
				"0": 0.0159834033232,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000443983425644
			},
			"ie": {
				"6": 0.0342448238134,
				"7": 0.0228298825422,
				"8": 0.998807361223,
				"9": 0.376693061947,
				"10": 0.348155708769,
				"11": 5.30224022043,
				"5.5": null
			},
			"edge": {
				"12": 0.039382,
				"13": 0.247544,
				"14": 1.04081
			},
			"bb": {
				"7": 0.0065595,
				"10": null
			},
			"ie_mob": {
				"10": 0.021550144,
				"11": 0.100893856
			},
			"and_ff": {
				"0": 0.021865
			},
			"samsung": {
				"0": 2.908045
			},
			"and_uc": {
				"0": 0.153055
			},
			"op_mini": {
				"0": 0.215341613251
			},
			"and_chr": {
				"0": 28.569281
			}
		},
		"total": 99.0575935587
	};

/***/ },
/* 657 */
/***/ function(module, exports) {

	module.exports = {
		"id": "TZ",
		"name": "Tanzania",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.004905,
				"4": 0.011772,
				"5": 0.002943,
				"6": 0.012753,
				"7": 0.003924,
				"8": 0.003924,
				"9": 0.002943,
				"10": 0.014715,
				"11": 0.013734,
				"12": 0.01962,
				"13": 0.01962,
				"14": 0.00981,
				"15": 0.007848,
				"16": 0.01962,
				"17": 0.012753,
				"18": 0.014715,
				"19": 0.010791,
				"20": 0.008829,
				"21": 0.011772,
				"22": 0.004905,
				"23": 0.016677,
				"24": 0.004905,
				"25": 0.004905,
				"26": 0.006867,
				"27": 0.008829,
				"28": 0.004905,
				"29": 0.024525,
				"30": 0.017658,
				"31": 0.008829,
				"32": 0.018639,
				"33": 0.015696,
				"34": 0.013734,
				"35": 0.013734,
				"36": 0.011772,
				"37": 0.014715,
				"38": 0.022563,
				"39": 0.013734,
				"40": 0.020601,
				"41": 0.014715,
				"42": 0.01962,
				"43": 0.128511,
				"44": 0.086328,
				"45": 0.035316,
				"46": 0.032373,
				"47": 0.26487,
				"48": 0.116739,
				"49": 1.027107,
				"50": 0.522873,
				"51": 0.063765,
				"52": 0.000981,
				"53": null,
				"3.5": 0.003924,
				"3.6": 0.007848
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": 0.001962,
				"10": 0.002943,
				"11": 0.018639,
				"12": null,
				"13": 0.000981,
				"14": 0.000981,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.001962,
				"19": null,
				"20": 0.002943,
				"21": 0.006867,
				"22": 0.004905,
				"23": 0.002943,
				"24": null,
				"25": 0.002943,
				"26": 0.002943,
				"27": 0.001962,
				"28": 0.002943,
				"29": 0.003924,
				"30": 0.001962,
				"31": 0.007848,
				"32": 0.000981,
				"33": 0.020601,
				"34": 0.001962,
				"35": 0.000981,
				"36": 0.023544,
				"37": 0.000981,
				"38": 0.005886,
				"39": 0.000981,
				"40": 0.003924,
				"41": 0.002943,
				"42": 0.003924,
				"43": 0.062784,
				"44": 0.002943,
				"45": 0.017658,
				"46": 0.007848,
				"47": 0.015696,
				"48": 0.013734,
				"49": 0.105948,
				"50": 0.021582,
				"51": 0.103005,
				"52": 0.05886,
				"53": 0.081423,
				"54": 3.721914,
				"55": 0.016677,
				"56": 0.011772,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.001962,
				"12": 0.003924,
				"15": 0.002943,
				"16": 0.000981,
				"17": 0.001962,
				"18": 0.000981,
				"19": 0.002943,
				"20": 0.001962,
				"21": null,
				"22": 0.001962,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.001962,
				"29": 0.010791,
				"30": 0.001962,
				"31": null,
				"32": 0.001962,
				"33": 0.005886,
				"34": 0.003924,
				"35": 0.006867,
				"36": 0.018639,
				"37": 0.310977,
				"38": 0.005886,
				"39": 0.005886,
				"40": 0.025506,
				"41": 0.282528,
				"42": 0.003924,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.002943,
				"11.1": 0.001962,
				"11.5": 0.002943,
				"11.6": 0.005886,
				"12.1": 0.01962
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.001962,
				"6": 0.00981,
				"7": 0.006867,
				"8": 0.020601,
				"9": 0.034335,
				"10": 0.105948,
				"3.1": null,
				"3.2": null,
				"5.1": 0.011772,
				"6.1": 0.002943,
				"7.1": 0.002943,
				"9.1": 0.06867
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0111587628866,
				"8.1-8.4": 0.0144134020619,
				"9.0-9.2": 0.0111071019473,
				"9.3": 0.07273860252,
				"10-10.1": 0.386682130584
			},
			"android": {
				"3": 0,
				"4": 0.0747847418017,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00862900866943,
				"4.1": 0.237297738409,
				"4.2-4.3": 0.67737718055,
				"4.4": 1.59636660384,
				"4.4.3-4.4.4": 1.22100472672
			},
			"op_mob": {
				"0": 4.85131382501,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.134758717361
			},
			"ie": {
				"6": 0.00397071428571,
				"7": 0.000992678571429,
				"8": 0.112172678571,
				"9": 0.0168755357143,
				"10": 0.0357364285714,
				"11": 0.247176964286,
				"5.5": null
			},
			"edge": {
				"12": 0.03924,
				"13": 0.05886,
				"14": 0.070632
			},
			"bb": {
				"7": 0.01804,
				"10": null
			},
			"ie_mob": {
				"10": 0.06667584,
				"11": 0.31216416
			},
			"and_ff": {
				"0": 0.01804
			},
			"samsung": {
				"0": 0.74866
			},
			"and_uc": {
				"0": 6.4944
			},
			"op_mini": {
				"0": 65.3609074576
			},
			"and_chr": {
				"0": 7.077383
			}
		},
		"total": 98.143442
	};

/***/ },
/* 658 */
/***/ function(module, exports) {

	module.exports = {
		"id": "UA",
		"name": "Ukraine",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.147543,
				"3": 0.390555,
				"4": 0.069432,
				"5": 0.026037,
				"6": 0.026037,
				"7": 0.008679,
				"8": 0.017358,
				"9": 0.026037,
				"10": 0.043395,
				"11": 0.034716,
				"12": 0.043395,
				"13": 0.026037,
				"14": 0.034716,
				"15": 0.043395,
				"16": 0.078111,
				"17": 0.026037,
				"18": 0.026037,
				"19": 0.034716,
				"20": 0.060753,
				"21": 0.052074,
				"22": 0.043395,
				"23": 0.043395,
				"24": 0.069432,
				"25": 0.052074,
				"26": 0.026037,
				"27": 0.008679,
				"28": 0.034716,
				"29": 0.017358,
				"30": 0.017358,
				"31": 0.043395,
				"32": 0.034716,
				"33": 0.052074,
				"34": 0.043395,
				"35": 0.095469,
				"36": 0.08679,
				"37": 0.026037,
				"38": 0.112827,
				"39": 0.026037,
				"40": 0.026037,
				"41": 0.034716,
				"42": 0.043395,
				"43": 0.208296,
				"44": 0.060753,
				"45": 0.26037,
				"46": 0.182259,
				"47": 0.668283,
				"48": 0.295086,
				"49": 4.651944,
				"50": 2.872749,
				"51": 0.043395,
				"52": null,
				"53": null,
				"3.5": 0.702999,
				"3.6": 1.032801
			},
			"chrome": {
				"4": 0.130185,
				"5": 0.095469,
				"6": 0.08679,
				"7": 0.069432,
				"8": 0.060753,
				"9": 0.043395,
				"10": 0.043395,
				"11": 0.08679,
				"12": 0.08679,
				"13": 0.08679,
				"14": 0.08679,
				"15": 0.095469,
				"16": 0.095469,
				"17": 0.130185,
				"18": 0.199617,
				"19": 0.104148,
				"20": 0.104148,
				"21": 0.164901,
				"22": 0.164901,
				"23": 0.147543,
				"24": 0.147543,
				"25": 0.104148,
				"26": 0.104148,
				"27": 0.121506,
				"28": 0.060753,
				"29": 0.034716,
				"30": 0.034716,
				"31": 0.069432,
				"32": 0.043395,
				"33": 0.043395,
				"34": 0.043395,
				"35": 0.078111,
				"36": 0.034716,
				"37": 0.052074,
				"38": 0.069432,
				"39": 0.164901,
				"40": 0.182259,
				"41": 0.147543,
				"42": 0.08679,
				"43": 0.407913,
				"44": 0.043395,
				"45": 0.08679,
				"46": 0.069432,
				"47": 0.095469,
				"48": 0.216975,
				"49": 2.829354,
				"50": 0.251691,
				"51": 1.032801,
				"52": 0.477345,
				"53": 0.937332,
				"54": 34.499025,
				"55": 0.121506,
				"56": 0.26037,
				"57": 0.008679
			},
			"opera": {
				"9": null,
				"11": 0.08679,
				"12": 0.746394,
				"15": 0.026037,
				"16": 0.017358,
				"17": 0.017358,
				"18": 0.043395,
				"19": 0.017358,
				"20": 0.060753,
				"21": 0.026037,
				"22": 0.017358,
				"23": 0.017358,
				"24": 0.026037,
				"25": 0.060753,
				"26": 0.034716,
				"27": 0.234333,
				"28": 0.034716,
				"29": 0.026037,
				"30": 0.034716,
				"31": 0.026037,
				"32": 0.026037,
				"33": 0.026037,
				"34": 0.034716,
				"35": 0.043395,
				"36": 0.676962,
				"37": 0.138864,
				"38": 0.199617,
				"39": 0.078111,
				"40": 0.156222,
				"41": 5.311548,
				"42": 0.034716,
				"43": null,
				"9.5-9.6": 0.008679,
				"10.0-10.1": 0.095469,
				"10.5": 0.112827,
				"10.6": 0.303765,
				"11.1": 0.104148,
				"11.5": 0.182259,
				"11.6": 0.729036,
				"12.1": 3.610464
			},
			"safari": {
				"0": null,
				"4": 0.303765,
				"5": 0.477345,
				"6": 0.08679,
				"7": 0.043395,
				"8": 0.078111,
				"9": 0.060753,
				"10": 0.998085,
				"3.1": 0.052074,
				"3.2": 0.026037,
				"5.1": 0.286407,
				"6.1": 0.026037,
				"7.1": 0.017358,
				"9.1": 0.295086
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0505507029053,
				"8.1-8.4": 0.0652946579194,
				"9.0-9.2": 0.0503166718734,
				"9.3": 0.329515693013,
				"10-10.1": 1.75172227429
			},
			"android": {
				"3": 0,
				"4": 0.0203407614022,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00234701093102,
				"4.1": 0.0645428006031,
				"4.2-4.3": 0.184240358085,
				"4.4": 0.434197022239,
				"4.4.3-4.4.4": 0.33210204674
			},
			"op_mob": {
				"0": 0.111225712739,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00308960313164
			},
			"ie": {
				"6": 0.018496976378,
				"7": 0.0277454645669,
				"8": 1.02658218898,
				"9": 0.416181968504,
				"10": 0.62889719685,
				"11": 1.40577020472,
				"5.5": null
			},
			"edge": {
				"12": 0.034716,
				"13": 0.138864,
				"14": 0.503382
			},
			"bb": {
				"7": 0.005288,
				"10": null
			},
			"ie_mob": {
				"10": 0.036762176,
				"11": 0.172113824
			},
			"and_ff": {
				"0": 0.01322
			},
			"samsung": {
				"0": 0.577714
			},
			"and_uc": {
				"0": 0.559206
			},
			"op_mini": {
				"0": 1.49852468413
			},
			"and_chr": {
				"0": 7.139532
			}
		},
		"total": 91.955475
	};

/***/ },
/* 659 */
/***/ function(module, exports) {

	module.exports = {
		"id": "UG",
		"name": "Uganda",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.028017,
				"4": 0.02547,
				"5": 0.010188,
				"6": 0.005094,
				"7": 0.012735,
				"8": 0.02547,
				"9": 0.015282,
				"10": 0.022923,
				"11": 0.030564,
				"12": 0.038205,
				"13": 0.033111,
				"14": 0.028017,
				"15": 0.02547,
				"16": 0.028017,
				"17": 0.038205,
				"18": 0.040752,
				"19": 0.02547,
				"20": 0.045846,
				"21": 0.035658,
				"22": 0.02547,
				"23": 0.07641,
				"24": 0.048393,
				"25": 0.030564,
				"26": 0.015282,
				"27": 0.017829,
				"28": 0.030564,
				"29": 0.056034,
				"30": 0.061128,
				"31": 0.066222,
				"32": 0.033111,
				"33": 0.035658,
				"34": 0.040752,
				"35": 0.058581,
				"36": 0.043299,
				"37": 0.07641,
				"38": 0.099333,
				"39": 0.12735,
				"40": 0.351486,
				"41": 0.099333,
				"42": 0.073863,
				"43": 0.601092,
				"44": 0.427896,
				"45": 0.219042,
				"46": 0.140085,
				"47": 0.84051,
				"48": 0.425349,
				"49": 3.92238,
				"50": 2.279565,
				"51": 0.310734,
				"52": 0.007641,
				"53": null,
				"3.5": 0.007641,
				"3.6": 0.033111
			},
			"chrome": {
				"4": null,
				"5": 0.005094,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.035658,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.002547,
				"17": null,
				"18": 0.010188,
				"19": 0.005094,
				"20": 0.002547,
				"21": null,
				"22": 0.005094,
				"23": 0.010188,
				"24": 0.012735,
				"25": 0.010188,
				"26": 0.015282,
				"27": null,
				"28": 0.010188,
				"29": 0.005094,
				"30": 0.005094,
				"31": 0.040752,
				"32": 0.002547,
				"33": 0.096786,
				"34": 0.005094,
				"35": 0.005094,
				"36": 0.002547,
				"37": 0.002547,
				"38": 0.012735,
				"39": 0.010188,
				"40": 0.012735,
				"41": 0.005094,
				"42": 0.012735,
				"43": 0.068769,
				"44": 0.007641,
				"45": 0.02547,
				"46": 0.007641,
				"47": 0.028017,
				"48": 0.015282,
				"49": 0.374409,
				"50": 0.045846,
				"51": 0.094239,
				"52": 0.089145,
				"53": 0.338751,
				"54": 8.573202,
				"55": 0.05094,
				"56": 0.043299,
				"57": null
			},
			"opera": {
				"9": 0.012735,
				"11": 0.007641,
				"12": null,
				"15": null,
				"16": 0.002547,
				"17": null,
				"18": 0.005094,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.012735,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.007641,
				"34": 0.007641,
				"35": 0.012735,
				"36": 0.02547,
				"37": 0.132444,
				"38": 0.007641,
				"39": 0.012735,
				"40": 0.02547,
				"41": 0.351486,
				"42": 0.005094,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.002547,
				"11.6": 0.010188,
				"12.1": 0.010188
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.005094,
				"6": 0.005094,
				"7": 0.030564,
				"8": 0.038205,
				"9": 0.091692,
				"10": 0.137538,
				"3.1": null,
				"3.2": null,
				"5.1": 0.017829,
				"6.1": 0.010188,
				"7.1": null,
				"9.1": 0.112068
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0194462530459,
				"8.1-8.4": 0.025118076851,
				"9.0-9.2": 0.0193562240966,
				"9.3": 0.126760760596,
				"10-10.1": 0.673866685411
			},
			"android": {
				"3": 0,
				"4": 0.0740636607614,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00854580701093,
				"4.1": 0.235009692801,
				"4.2-4.3": 0.670845850358,
				"4.4": 1.58097429702,
				"4.4.3-4.4.4": 1.20923169205
			},
			"op_mob": {
				"0": 3.85740935493,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.107150259859
			},
			"ie": {
				"6": 0.0077259,
				"7": null,
				"8": 0.2008734,
				"9": 0.0746837,
				"10": 0.1004367,
				"11": 0.7751653,
				"5.5": null
			},
			"edge": {
				"12": 0.124803,
				"13": 0.104427,
				"14": 0.119709
			},
			"bb": {
				"7": 0.0409915,
				"10": null
			},
			"ie_mob": {
				"10": 0.187577104,
				"11": 0.878201896
			},
			"and_ff": {
				"0": 0.014906
			},
			"samsung": {
				"0": 0.842189
			},
			"and_uc": {
				"0": 3.897919
			},
			"op_mini": {
				"0": 51.9702053852
			},
			"and_chr": {
				"0": 8.096124
			}
		},
		"total": 98.4471285
	};

/***/ },
/* 660 */
/***/ function(module, exports) {

	module.exports = {
		"id": "US",
		"name": "United States of America",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.016623,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.016623,
				"12": 0.005541,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.011082,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.011082,
				"22": null,
				"23": null,
				"24": 0.011082,
				"25": 0.005541,
				"26": null,
				"27": 0.011082,
				"28": 0.011082,
				"29": 0.011082,
				"30": 0.005541,
				"31": 0.033246,
				"32": null,
				"33": 0.016623,
				"34": 0.011082,
				"35": 0.022164,
				"36": 0.027705,
				"37": 0.022164,
				"38": 0.083115,
				"39": 0.05541,
				"40": 0.05541,
				"41": 0.066492,
				"42": 0.05541,
				"43": 0.116361,
				"44": 0.044328,
				"45": 0.249345,
				"46": 0.116361,
				"47": 0.354624,
				"48": 0.365706,
				"49": 3.512994,
				"50": 1.778661,
				"51": 0.016623,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.016623
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.005541,
				"11": 0.016623,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.016623,
				"19": null,
				"20": null,
				"21": 0.011082,
				"22": 0.005541,
				"23": 0.011082,
				"24": null,
				"25": 0.005541,
				"26": null,
				"27": 0.011082,
				"28": null,
				"29": 0.016623,
				"30": null,
				"31": 0.027705,
				"32": 0.022164,
				"33": 0.016623,
				"34": 0.033246,
				"35": 0.016623,
				"36": 0.022164,
				"37": 0.038787,
				"38": 0.038787,
				"39": 0.044328,
				"40": 0.05541,
				"41": 0.116361,
				"42": 0.05541,
				"43": 0.260427,
				"44": 0.171771,
				"45": 0.094197,
				"46": 0.066492,
				"47": 0.066492,
				"48": 0.193935,
				"49": 1.130364,
				"50": 0.199476,
				"51": 0.72033,
				"52": 0.648297,
				"53": 2.210859,
				"54": 23.117052,
				"55": 0.099738,
				"56": 0.05541,
				"57": 0.016623
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.011082,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.011082,
				"37": 0.011082,
				"38": 0.060951,
				"39": null,
				"40": 0.011082,
				"41": 0.16623,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.022164
			},
			"safari": {
				"0": null,
				"4": 0.022164,
				"5": 0.049869,
				"6": 0.016623,
				"7": 0.05541,
				"8": 0.238263,
				"9": 0.288132,
				"10": 2.82591,
				"3.1": null,
				"3.2": null,
				"5.1": 0.138525,
				"6.1": 0.105279,
				"7.1": 0.022164,
				"9.1": 1.523775
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.51973468791,
				"8.1-8.4": 0.671323971884,
				"9.0-9.2": 0.517328508799,
				"9.3": 3.38790018786,
				"10-10.1": 18.0102506435
			},
			"android": {
				"3": 0,
				"4": 0.0148577308707,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00171435356201,
				"4.1": 0.0471447229551,
				"4.2-4.3": 0.134576754617,
				"4.4": 0.317155408971,
				"4.4.3-4.4.4": 0.242581029024
			},
			"op_mob": {
				"0": 0.00953263748803,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000264795485779
			},
			"ie": {
				"6": 0.0336051735314,
				"7": 0.0448068980419,
				"8": 0.324850010804,
				"9": 0.347253459824,
				"10": 0.36405604659,
				"11": 7.1691036867,
				"5.5": null
			},
			"edge": {
				"12": 0.066492,
				"13": 0.338001,
				"14": 2.648598
			},
			"bb": {
				"7": 0.013377,
				"10": null
			},
			"ie_mob": {
				"10": 0.0392392,
				"11": 0.1837108
			},
			"and_ff": {
				"0": 0.062426
			},
			"samsung": {
				"0": 3.041038
			},
			"and_uc": {
				"0": 0.387933
			},
			"op_mini": {
				"0": 0.128431567026
			},
			"and_chr": {
				"0": 17.42781
			}
		},
		"total": 98.8505012755
	};

/***/ },
/* 661 */
/***/ function(module, exports) {

	module.exports = {
		"id": "UY",
		"name": "Uruguay",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.026288,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.026288,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.026288,
				"17": 0.151156,
				"18": null,
				"19": null,
				"20": 0.046004,
				"21": null,
				"22": null,
				"23": null,
				"24": 0.006572,
				"25": 0.637484,
				"26": 0.006572,
				"27": 0.269452,
				"28": 0.019716,
				"29": 0.013144,
				"30": 0.013144,
				"31": 0.006572,
				"32": 0.013144,
				"33": 0.768924,
				"34": 0.013144,
				"35": 0.092008,
				"36": 0.006572,
				"37": 0.03286,
				"38": 0.216876,
				"39": 0.03286,
				"40": 0.085436,
				"41": 0.019716,
				"42": 0.039432,
				"43": 0.374604,
				"44": 0.03286,
				"45": 0.19716,
				"46": 0.06572,
				"47": 0.36146,
				"48": 0.216876,
				"49": 3.404296,
				"50": 1.859876,
				"51": 0.019716,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.072292
			},
			"chrome": {
				"4": null,
				"5": 0.006572,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.019716,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.03286,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.019716,
				"23": null,
				"24": null,
				"25": 0.006572,
				"26": 0.03286,
				"27": 0.03286,
				"28": null,
				"29": 0.006572,
				"30": null,
				"31": 0.019716,
				"32": 0.013144,
				"33": null,
				"34": 0.03286,
				"35": 0.026288,
				"36": 0.026288,
				"37": 0.026288,
				"38": 0.046004,
				"39": 0.105152,
				"40": 0.03286,
				"41": 0.019716,
				"42": 0.06572,
				"43": 0.138012,
				"44": 0.078864,
				"45": 0.059148,
				"46": 1.169816,
				"47": 0.092008,
				"48": 3.345148,
				"49": 2.977116,
				"50": 0.354888,
				"51": 0.506044,
				"52": 0.308884,
				"53": 0.867504,
				"54": 36.816344,
				"55": 0.118296,
				"56": 0.078864,
				"57": 0.013144
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.046004,
				"37": 0.039432,
				"38": 0.059148,
				"39": null,
				"40": 0.013144,
				"41": 0.42718,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.013144
			},
			"safari": {
				"0": null,
				"4": 0.006572,
				"5": 0.006572,
				"6": null,
				"7": 0.006572,
				"8": 0.078864,
				"9": 0.09858,
				"10": 0.729492,
				"3.1": null,
				"3.2": null,
				"5.1": 0.013144,
				"6.1": 0.019716,
				"7.1": null,
				"9.1": 0.308884
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0682586316776,
				"8.1-8.4": 0.0881673992502,
				"9.0-9.2": 0.0679426194939,
				"9.3": 0.444945154639,
				"10-10.1": 2.36535119494
			},
			"android": {
				"3": 0,
				"4": 0.0393850312853,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00454442668677,
				"4.1": 0.124971733886,
				"4.2-4.3": 0.356737494911,
				"4.4": 0.840718937052,
				"4.4.3-4.4.4": 0.643036376178
			},
			"op_mob": {
				"0": 0.0619559025528,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00172099729313
			},
			"ie": {
				"6": 0.00688726199262,
				"7": null,
				"8": 0.303039527675,
				"9": 0.151519763838,
				"10": 0.110196191882,
				"11": 1.29480525461,
				"5.5": null
			},
			"edge": {
				"12": 0.046004,
				"13": 0.170872,
				"14": 0.552048
			},
			"bb": {
				"7": 0.0188595,
				"10": null
			},
			"ie_mob": {
				"10": 0.373568976,
				"11": 1.748982024
			},
			"and_ff": {
				"0": 0.061722
			},
			"samsung": {
				"0": 1.933956
			},
			"and_uc": {
				"0": 0.133731
			},
			"op_mini": {
				"0": 0.834721100154
			},
			"and_chr": {
				"0": 26.039456
			}
		},
		"total": 97.4249085
	};

/***/ },
/* 662 */
/***/ function(module, exports) {

	module.exports = {
		"id": "UZ",
		"name": "Uzbekistan",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.053163,
				"3": 0.125658,
				"4": 0.038664,
				"5": 0.028998,
				"6": 0.033831,
				"7": null,
				"8": null,
				"9": 0.028998,
				"10": 0.04833,
				"11": 0.043497,
				"12": 0.014499,
				"13": 0.053163,
				"14": 0.009666,
				"15": 0.043497,
				"16": 0.014499,
				"17": 0.033831,
				"18": 0.024165,
				"19": 0.067662,
				"20": 0.014499,
				"21": 0.024165,
				"22": 0.043497,
				"23": 0.028998,
				"24": 0.04833,
				"25": 0.038664,
				"26": 0.038664,
				"27": 0.009666,
				"28": 0.009666,
				"29": 0.014499,
				"30": 0.04833,
				"31": 0.009666,
				"32": 0.033831,
				"33": 0.038664,
				"34": 0.014499,
				"35": 0.04833,
				"36": 0.062829,
				"37": 0.024165,
				"38": 0.067662,
				"39": 0.057996,
				"40": 0.09666,
				"41": 0.019332,
				"42": 0.043497,
				"43": 0.246483,
				"44": 0.028998,
				"45": 0.057996,
				"46": 0.077328,
				"47": 0.299646,
				"48": 0.169155,
				"49": 2.218347,
				"50": 1.043928,
				"51": 0.009666,
				"52": null,
				"53": null,
				"3.5": 0.256149,
				"3.6": 0.845775
			},
			"chrome": {
				"4": 0.038664,
				"5": 0.067662,
				"6": 0.053163,
				"7": 0.04833,
				"8": 0.024165,
				"9": 0.019332,
				"10": 0.04833,
				"11": 0.067662,
				"12": 0.149823,
				"13": 0.028998,
				"14": 0.072495,
				"15": 0.053163,
				"16": 0.299646,
				"17": 0.101493,
				"18": 0.19332,
				"19": 0.067662,
				"20": 0.072495,
				"21": 0.14499,
				"22": 0.154656,
				"23": 0.111159,
				"24": 0.091827,
				"25": 0.057996,
				"26": 0.077328,
				"27": 0.091827,
				"28": 0.043497,
				"29": 0.028998,
				"30": 0.009666,
				"31": 0.111159,
				"32": 0.038664,
				"33": 0.053163,
				"34": 0.014499,
				"35": 0.130491,
				"36": 0.014499,
				"37": 0.033831,
				"38": 0.033831,
				"39": 0.207819,
				"40": 0.154656,
				"41": 0.053163,
				"42": 0.086994,
				"43": 0.067662,
				"44": 0.028998,
				"45": 0.140157,
				"46": 0.04833,
				"47": 0.082161,
				"48": 0.086994,
				"49": 2.155518,
				"50": 0.053163,
				"51": 0.275481,
				"52": 0.246483,
				"53": 0.594459,
				"54": 21.598677,
				"55": 0.024165,
				"56": 0.086994,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.053163,
				"12": 0.280314,
				"15": 0.033831,
				"16": 0.004833,
				"17": 0.004833,
				"18": 0.033831,
				"19": 0.014499,
				"20": 0.038664,
				"21": 0.009666,
				"22": 0.004833,
				"23": 0.019332,
				"24": 0.028998,
				"25": 0.04833,
				"26": 0.009666,
				"27": 0.285147,
				"28": 0.04833,
				"29": 0.009666,
				"30": 0.014499,
				"31": 0.009666,
				"32": 0.014499,
				"33": 0.009666,
				"34": 0.014499,
				"35": 0.014499,
				"36": 0.405972,
				"37": 0.043497,
				"38": 0.038664,
				"39": 0.091827,
				"40": 0.062829,
				"41": 1.720548,
				"42": 0.038664,
				"43": null,
				"9.5-9.6": 0.024165,
				"10.0-10.1": 0.072495,
				"10.5": 0.04833,
				"10.6": 0.125658,
				"11.1": 0.04833,
				"11.5": 0.067662,
				"11.6": 0.236817,
				"12.1": 1.217916
			},
			"safari": {
				"0": null,
				"4": 0.09666,
				"5": 0.212652,
				"6": 0.028998,
				"7": 0.009666,
				"8": 0.062829,
				"9": 0.014499,
				"10": 0.227151,
				"3.1": 0.038664,
				"3.2": 0.009666,
				"5.1": 0.062829,
				"6.1": 0.009666,
				"7.1": 0.004833,
				"9.1": 0.130491
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.101112427366,
				"8.1-8.4": 0.130603552015,
				"9.0-9.2": 0.100644314277,
				"9.3": 0.659103230241,
				"10-10.1": 3.5038264761
			},
			"android": {
				"3": 0,
				"4": 0.105731660761,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0121998070109,
				"4.1": 0.335494692801,
				"4.2-4.3": 0.957684850358,
				"4.4": 2.25696429702,
				"4.4.3-4.4.4": 1.72627269205
			},
			"op_mob": {
				"0": 0.455389724566,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0126497145713
			},
			"ie": {
				"6": 0.0196620585366,
				"7": 0.00983102926829,
				"8": 0.884792634146,
				"9": 0.162211982927,
				"10": 0.290015363415,
				"11": 0.648847931707,
				"5.5": null
			},
			"edge": {
				"12": 0.024165,
				"13": 0.067662,
				"14": 0.062829
			},
			"bb": {
				"7": 0.0077505,
				"10": null
			},
			"ie_mob": {
				"10": 0.050925952,
				"11": 0.238426048
			},
			"and_ff": {
				"0": 0.025835
			},
			"samsung": {
				"0": 3.508393
			},
			"and_uc": {
				"0": 16.622239
			},
			"op_mini": {
				"0": 6.13538656086
			},
			"and_chr": {
				"0": 12.681742
			}
		},
		"total": 93.3476935
	};

/***/ },
/* 663 */
/***/ function(module, exports) {

	module.exports = {
		"id": "VA",
		"name": "Holy See (Vatican City State)",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.008595,
				"12": null,
				"13": null,
				"14": null,
				"15": 0.08595,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": 1.06578,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.335205,
				"36": 0.32661,
				"37": null,
				"38": 0.01719,
				"39": 0.05157,
				"40": null,
				"41": null,
				"42": 0.10314,
				"43": 0.025785,
				"44": null,
				"45": null,
				"46": 0.20628,
				"47": 0.128925,
				"48": 0.39537,
				"49": 10.821105,
				"50": 5.921955,
				"51": 0.008595,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.025785,
				"19": null,
				"20": null,
				"21": 0.01719,
				"22": 0.06876,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": 0.01719,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.077355,
				"38": null,
				"39": null,
				"40": 0.025785,
				"41": 0.025785,
				"42": null,
				"43": 0.094545,
				"44": 0.008595,
				"45": null,
				"46": null,
				"47": null,
				"48": null,
				"49": 3.42081,
				"50": 0.146115,
				"51": 0.060165,
				"52": 0.094545,
				"53": 0.63603,
				"54": 32.81571,
				"55": 0.077355,
				"56": 0.008595,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.008595,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.094545,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.06876,
				"6": 0.008595,
				"7": 0.060165,
				"8": 0.094545,
				"9": 0.060165,
				"10": 2.312055,
				"3.1": null,
				"3.2": null,
				"5.1": 0.13752,
				"6.1": 0.05157,
				"7.1": 0.008595,
				"9.1": 0.524295
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0694131283974,
				"8.1-8.4": 0.0896586241799,
				"9.0-9.2": 0.0690917713215,
				"9.3": 0.452470762887,
				"10-10.1": 2.40535771321
			},
			"android": {
				"3": 0,
				"4": 0.00949406709386,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00109546928006,
				"4.1": 0.0301254052017,
				"4.2-4.3": 0.0859943384847,
				"4.4": 0.202661816811,
				"4.4.3-4.4.4": 0.155008903129
			},
			"op_mob": {
				"0": 0.00435705992587,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000121029442385
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.352395,
				"9": 0.49851,
				"10": 0.403965,
				"11": 20.774115,
				"5.5": null
			},
			"edge": {
				"12": 0.111735,
				"13": 0.24066,
				"14": 1.933875
			},
			"bb": {
				"7": 0.002106,
				"10": null
			},
			"ie_mob": {
				"10": 0.015567552,
				"11": 0.072884448
			},
			"and_ff": {
				"0": 0.046332
			},
			"samsung": {
				"0": 0.732888
			},
			"and_uc": {
				"0": 0.004212
			},
			"op_mini": {
				"0": 0.0587019106317
			},
			"and_chr": {
				"0": 9.505179
			}
		},
		"total": 98.879751
	};

/***/ },
/* 664 */
/***/ function(module, exports) {

	module.exports = {
		"id": "VC",
		"name": "Saint Vincent and the Grenadines",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.013062,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.084903,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.013062,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.026124,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.013062,
				"36": 0.013062,
				"37": 0.032655,
				"38": 0.039186,
				"39": 0.06531,
				"40": null,
				"41": null,
				"42": null,
				"43": 0.111027,
				"44": 0.013062,
				"45": 0.052248,
				"46": 0.182868,
				"47": 0.594321,
				"48": 0.437577,
				"49": 3.415713,
				"50": 2.860578,
				"51": 0.208992,
				"52": null,
				"53": 0.006531,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.013062,
				"12": null,
				"13": null,
				"14": 0.013062,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.013062,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.071841,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.006531,
				"28": null,
				"29": 0.013062,
				"30": null,
				"31": null,
				"32": 0.058779,
				"33": 0.006531,
				"34": 0.013062,
				"35": 0.013062,
				"36": 0.013062,
				"37": 0.013062,
				"38": 0.032655,
				"39": 0.026124,
				"40": 0.026124,
				"41": 0.013062,
				"42": 0.013062,
				"43": 0.293895,
				"44": 0.026124,
				"45": 0.026124,
				"46": 0.026124,
				"47": 0.058779,
				"48": 0.143682,
				"49": 1.286607,
				"50": 0.306957,
				"51": 0.920871,
				"52": 0.646569,
				"53": 0.868623,
				"54": 35.561295,
				"55": 0.084903,
				"56": 0.215523,
				"57": 0.013062
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.013062,
				"29": 0.026124,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.013062,
				"34": null,
				"35": null,
				"36": 0.013062,
				"37": 0.267771,
				"38": 0.091434,
				"39": 0.013062,
				"40": 0.013062,
				"41": 0.881685,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.019593
			},
			"safari": {
				"0": null,
				"4": 0.039186,
				"5": 0.026124,
				"6": null,
				"7": null,
				"8": 0.052248,
				"9": 0.071841,
				"10": 0.986181,
				"3.1": null,
				"3.2": null,
				"5.1": 0.124089,
				"6.1": 0.039186,
				"7.1": 0.019593,
				"9.1": 0.346143
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.109395418932,
				"8.1-8.4": 0.14130241612,
				"9.0-9.2": 0.108888958659,
				"9.3": 0.713096064147,
				"10-10.1": 3.79085514214
			},
			"android": {
				"3": 0,
				"4": 0.08757623219,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0101049498681,
				"4.1": 0.277886121372,
				"4.2-4.3": 0.793238564644,
				"4.4": 1.86941572559,
				"4.4.3-4.4.4": 1.42985040633
			},
			"op_mob": {
				"0": 0.0540663000875,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0015018416691
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.156744,
				"9": 0.19593,
				"10": 0.254709,
				"11": 3.637767,
				"5.5": null
			},
			"edge": {
				"12": 0.163275,
				"13": 0.685755,
				"14": 2.436063
			},
			"bb": {
				"7": 0.13615825,
				"10": null
			},
			"ie_mob": {
				"10": 0.105624112,
				"11": 0.494512888
			},
			"and_ff": {
				"0": 0.024283
			},
			"samsung": {
				"0": 2.553184
			},
			"and_uc": {
				"0": 0.891533
			},
			"op_mini": {
				"0": 0.728425858243
			},
			"and_chr": {
				"0": 24.30093
			}
		},
		"total": 98.23026625
	};

/***/ },
/* 665 */
/***/ function(module, exports) {

	module.exports = {
		"id": "VE",
		"name": "Venezuela",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.07644,
				"3": 0.053508,
				"4": 0.007644,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.504504,
				"9": null,
				"10": null,
				"11": 0.015288,
				"12": 0.022932,
				"13": 0.015288,
				"14": 0.015288,
				"15": null,
				"16": 0.015288,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.015288,
				"21": 0.015288,
				"22": 0.007644,
				"23": 0.068796,
				"24": 0.015288,
				"25": 0.015288,
				"26": 0.068796,
				"27": 0.397488,
				"28": 0.015288,
				"29": 0.045864,
				"30": 0.03822,
				"31": 0.03822,
				"32": 0.022932,
				"33": 0.030576,
				"34": 0.030576,
				"35": 0.03822,
				"36": 0.03822,
				"37": 0.045864,
				"38": 0.084084,
				"39": 0.068796,
				"40": 0.107016,
				"41": 0.061152,
				"42": 0.053508,
				"43": 0.298116,
				"44": 0.07644,
				"45": 0.26754,
				"46": 0.107016,
				"47": 0.64974,
				"48": 0.405132,
				"49": 5.12148,
				"50": 3.080532,
				"51": 0.045864,
				"52": null,
				"53": null,
				"3.5": 0.015288,
				"3.6": 0.244608
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": 0.068796,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.045864,
				"12": 0.015288,
				"13": 0.015288,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.022932,
				"19": null,
				"20": 0.03822,
				"21": 0.015288,
				"22": 0.015288,
				"23": 0.007644,
				"24": 0.030576,
				"25": 0.022932,
				"26": 0.022932,
				"27": 0.03822,
				"28": 0.007644,
				"29": 0.022932,
				"30": 0.030576,
				"31": 0.030576,
				"32": 0.022932,
				"33": 0.022932,
				"34": 0.030576,
				"35": 0.030576,
				"36": 0.053508,
				"37": 0.084084,
				"38": 0.061152,
				"39": 0.07644,
				"40": 0.068796,
				"41": 0.122304,
				"42": 0.045864,
				"43": 0.1911,
				"44": 0.107016,
				"45": 0.099372,
				"46": 0.1911,
				"47": 0.175812,
				"48": 0.160524,
				"49": 6.130488,
				"50": 0.221676,
				"51": 1.093092,
				"52": 0.64974,
				"53": 1.253616,
				"54": 43.769544,
				"55": 0.160524,
				"56": 0.03822,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.007644,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.015288,
				"34": null,
				"35": null,
				"36": 0.061152,
				"37": 0.045864,
				"38": 0.07644,
				"39": 0.015288,
				"40": 0.015288,
				"41": 0.565656,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.007644
			},
			"safari": {
				"0": null,
				"4": 0.015288,
				"5": 0.022932,
				"6": null,
				"7": 0.007644,
				"8": 0.061152,
				"9": 0.03822,
				"10": 0.366912,
				"3.1": null,
				"3.2": null,
				"5.1": 0.03822,
				"6.1": 0.022932,
				"7.1": 0.007644,
				"9.1": 0.206388
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0383305192127,
				"8.1-8.4": 0.0495102539831,
				"9.0-9.2": 0.0381530631053,
				"9.3": 0.249858199313,
				"10-10.1": 1.32825896439
			},
			"android": {
				"3": 0,
				"4": 0.106810391255,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0123242759141,
				"4.1": 0.338917587637,
				"4.2-4.3": 0.967455659254,
				"4.4": 2.2799910441,
				"4.4.3-4.4.4": 1.74388504184
			},
			"op_mob": {
				"0": 0.168721663099,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00468671286387
			},
			"ie": {
				"6": 0.016108045977,
				"7": 0.032216091954,
				"8": 0.459079310345,
				"9": 0.136918390805,
				"10": 0.120810344828,
				"11": 1.33696781609,
				"5.5": null
			},
			"edge": {
				"12": 0.061152,
				"13": 0.137592,
				"14": 0.366912
			},
			"bb": {
				"7": 0.33292625,
				"10": null
			},
			"ie_mob": {
				"10": 0.111174976,
				"11": 0.520501024
			},
			"and_ff": {
				"0": 0.075424
			},
			"samsung": {
				"0": 0.685887
			},
			"and_uc": {
				"0": 0.341765
			},
			"op_mini": {
				"0": 2.27315762404
			},
			"and_chr": {
				"0": 14.030504
			}
		},
		"total": 97.63592725
	};

/***/ },
/* 666 */
/***/ function(module, exports) {

	module.exports = {
		"id": "VG",
		"name": "British Virgin Islands",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.026132,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.006533,
				"12": 0.013066,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.019599,
				"22": null,
				"23": 0.013066,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": 0.143726,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.013066,
				"38": 0.006533,
				"39": null,
				"40": 0.039198,
				"41": 0.026132,
				"42": 0.039198,
				"43": 0.026132,
				"44": 0.032665,
				"45": 0.026132,
				"46": 0.078396,
				"47": 0.293985,
				"48": 0.418112,
				"49": 2.162423,
				"50": 1.933768,
				"51": 0.06533,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.013066,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.032665,
				"19": null,
				"20": 0.013066,
				"21": null,
				"22": 0.078396,
				"23": null,
				"24": null,
				"25": 0.013066,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.006533,
				"30": null,
				"31": 0.032665,
				"32": 0.013066,
				"33": 0.006533,
				"34": null,
				"35": 0.032665,
				"36": 0.026132,
				"37": null,
				"38": 0.013066,
				"39": null,
				"40": 0.013066,
				"41": 0.045731,
				"42": 0.039198,
				"43": 0.248254,
				"44": 0.019599,
				"45": null,
				"46": 0.013066,
				"47": 0.124127,
				"48": 0.006533,
				"49": 2.057895,
				"50": 0.078396,
				"51": 0.601036,
				"52": 0.150259,
				"53": 2.469474,
				"54": 29.868876,
				"55": 0.006533,
				"56": 0.13066,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": 0.13066,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.071863,
				"38": 0.019599,
				"39": 0.104528,
				"40": null,
				"41": 0.182924,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0.013066,
				"5": null,
				"6": null,
				"7": 0.026132,
				"8": 0.13066,
				"9": 0.254787,
				"10": 2.815723,
				"3.1": null,
				"3.2": null,
				"5.1": 0.091462,
				"6.1": 0.052264,
				"7.1": 0.013066,
				"9.1": 1.790042
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.29844143955,
				"8.1-8.4": 0.385486859419,
				"9.0-9.2": 0.297059766219,
				"9.3": 1.9453960504,
				"10-10.1": 10.3418248844
			},
			"android": {
				"3": 0,
				"4": 0.0313951029024,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00362251187335,
				"4.1": 0.0996190765172,
				"4.2-4.3": 0.284367182058,
				"4.4": 0.67016469657,
				"4.4.3-4.4.4": 0.512585430079
			},
			"op_mob": {
				"0": 0.0126719550244,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000351998750677
			},
			"ie": {
				"6": null,
				"7": 0.0467148036086,
				"8": 0.613965990285,
				"9": 0.52720992644,
				"10": 0.180185671062,
				"11": 8.24849960861,
				"5.5": null
			},
			"edge": {
				"12": 0.398513,
				"13": 1.019148,
				"14": 3.567018
			},
			"bb": {
				"7": 0.03206975,
				"10": null
			},
			"ie_mob": {
				"10": 0.050035744,
				"11": 0.234258256
			},
			"and_ff": {
				"0": 0.038137
			},
			"samsung": {
				"0": 4.070258
			},
			"and_uc": {
				"0": 0.176817
			},
			"op_mini": {
				"0": 0.170727046225
			},
			"and_chr": {
				"0": 16.945168
			}
		},
		"total": 98.43530275
	};

/***/ },
/* 667 */
/***/ function(module, exports) {

	module.exports = {
		"id": "VI",
		"name": "Virgin Islands (US)",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.02246,
				"11": 0.01123,
				"12": 0.005615,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.005615,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.04492,
				"22": null,
				"23": 0.01123,
				"24": null,
				"25": 0.01123,
				"26": null,
				"27": null,
				"28": 0.005615,
				"29": null,
				"30": null,
				"31": 0.01123,
				"32": 0.02246,
				"33": 0.005615,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.039305,
				"38": 0.06738,
				"39": null,
				"40": 0.01123,
				"41": 0.03369,
				"42": 0.01123,
				"43": 0.05615,
				"44": 0.01123,
				"45": 0.04492,
				"46": 0.005615,
				"47": 0.21337,
				"48": 0.207755,
				"49": 4.06526,
				"50": 2.1337,
				"51": 0.016845,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.016845,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.01123,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.016845,
				"28": 0.016845,
				"29": 0.005615,
				"30": null,
				"31": 0.016845,
				"32": 0.01123,
				"33": 0.005615,
				"34": 0.01123,
				"35": 0.01123,
				"36": 0.016845,
				"37": 0.016845,
				"38": null,
				"39": 0.10107,
				"40": 0.01123,
				"41": 0.07861,
				"42": 0.016845,
				"43": 0.16845,
				"44": 0.03369,
				"45": 0.01123,
				"46": 0.03369,
				"47": 0.02246,
				"48": 0.15722,
				"49": 1.195995,
				"50": 0.016845,
				"51": 0.286365,
				"52": 0.241445,
				"53": 1.016315,
				"54": 24.32418,
				"55": 0.174065,
				"56": 0.07861,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.005615,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.061765,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.005615,
				"36": null,
				"37": 0.016845,
				"38": null,
				"39": null,
				"40": null,
				"41": 0.05615,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.01123
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.01123,
				"6": 0.005615,
				"7": 0.028075,
				"8": 0.218985,
				"9": 0.35936,
				"10": 1.802415,
				"3.1": null,
				"3.2": null,
				"5.1": 0.20214,
				"6.1": 0.06738,
				"7.1": 0.028075,
				"9.1": 1.274605
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.466338264292,
				"8.1-8.4": 0.602353591378,
				"9.0-9.2": 0.464179290847,
				"9.3": 3.03983461168,
				"10-10.1": 16.1599162418
			},
			"android": {
				"3": 0,
				"4": 0.0240709234828,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00277741424802,
				"4.1": 0.0763788918206,
				"4.2-4.3": 0.21802701847,
				"4.4": 0.513821635884,
				"4.4.3-4.4.4": 0.393004116095
			},
			"op_mob": {
				"0": 0.00453705242993,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000126029234165
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.095455,
				"9": 0.275135,
				"10": 0.16845,
				"11": 8.60218,
				"5.5": null
			},
			"edge": {
				"12": 0.25829,
				"13": 0.578345,
				"14": 4.946815
			},
			"bb": {
				"7": 0.0230265,
				"10": null
			},
			"ie_mob": {
				"10": 0.095720064,
				"11": 0.448143936
			},
			"and_ff": {
				"0": 0.048246
			},
			"samsung": {
				"0": 4.815828
			},
			"and_uc": {
				"0": 0.144738
			},
			"op_mini": {
				"0": 0.0611269183359
			},
			"and_chr": {
				"0": 16.852548
			}
		},
		"total": 98.7349475
	};

/***/ },
/* 668 */
/***/ function(module, exports) {

	module.exports = {
		"id": "VN",
		"name": "Viet Nam",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.048027,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.013722,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.006861,
				"22": 0.048027,
				"23": 0.006861,
				"24": null,
				"25": null,
				"26": 0.006861,
				"27": null,
				"28": null,
				"29": 0.006861,
				"30": 0.006861,
				"31": 0.013722,
				"32": 0.006861,
				"33": 0.027444,
				"34": null,
				"35": 0.013722,
				"36": 0.041166,
				"37": 0.013722,
				"38": 0.198969,
				"39": 0.096054,
				"40": 0.020583,
				"41": 0.027444,
				"42": 0.034305,
				"43": 0.356772,
				"44": 0.041166,
				"45": 0.246996,
				"46": 0.34305,
				"47": 1.550586,
				"48": 0.425382,
				"49": 2.065161,
				"50": 1.283007,
				"51": 0.034305,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.027444
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.006861,
				"11": 0.013722,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": 0.013722,
				"18": 0.006861,
				"19": 0.020583,
				"20": 0.020583,
				"21": 0.013722,
				"22": 0.020583,
				"23": 0.013722,
				"24": null,
				"25": null,
				"26": 0.013722,
				"27": 0.006861,
				"28": 0.013722,
				"29": 0.041166,
				"30": 0.006861,
				"31": 0.048027,
				"32": 0.020583,
				"33": 0.013722,
				"34": 0.020583,
				"35": 0.006861,
				"36": 0.006861,
				"37": 0.013722,
				"38": 0.027444,
				"39": 0.102915,
				"40": 0.013722,
				"41": 0.075471,
				"42": 0.027444,
				"43": 0.466548,
				"44": 0.082332,
				"45": 0.075471,
				"46": 0.349911,
				"47": 0.157803,
				"48": 0.253857,
				"49": 2.216103,
				"50": 0.61749,
				"51": 4.027407,
				"52": 0.521436,
				"53": 0.82332,
				"54": 26.62068,
				"55": 0.150942,
				"56": 0.061749,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.006861,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.013722,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.006861,
				"35": null,
				"36": null,
				"37": 0.020583,
				"38": 0.658656,
				"39": 0.013722,
				"40": 0.006861,
				"41": 0.192108,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.034305
			},
			"safari": {
				"0": null,
				"4": 0.027444,
				"5": 0.013722,
				"6": null,
				"7": 0.041166,
				"8": 0.089193,
				"9": 0.102915,
				"10": 0.706683,
				"3.1": null,
				"3.2": null,
				"5.1": 0.013722,
				"6.1": 0.006861,
				"7.1": null,
				"9.1": 0.397938
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.207438770384,
				"8.1-8.4": 0.26794174508,
				"9.0-9.2": 0.206478405707,
				"9.3": 1.35219346621,
				"10-10.1": 7.18832961262
			},
			"android": {
				"3": 0,
				"4": 0.0473133554467,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00545923332077,
				"4.1": 0.150128916321,
				"4.2-4.3": 0.42854981568,
				"4.4": 1.00995816434,
				"4.4.3-4.4.4": 0.772481514889
			},
			"op_mob": {
				"0": 0.0681892291675,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00189414525465
			},
			"ie": {
				"6": 0.0233361401274,
				"7": 0.0155574267516,
				"8": 0.964560458599,
				"9": 0.29559110828,
				"10": 0.24114011465,
				"11": 0.902330751592,
				"5.5": null
			},
			"edge": {
				"12": 0.027444,
				"13": 0.27444,
				"14": 0.34305
			},
			"bb": {
				"7": 0.03845275,
				"10": null
			},
			"ie_mob": {
				"10": 0.227615168,
				"11": 1.065652832
			},
			"and_ff": {
				"0": 0.040807
			},
			"samsung": {
				"0": 0.882059
			},
			"and_uc": {
				"0": 1.870844
			},
			"op_mini": {
				"0": 0.918701625578
			},
			"and_chr": {
				"0": 14.889403
			}
		},
		"total": 81.10770175
	};

/***/ },
/* 669 */
/***/ function(module, exports) {

	module.exports = {
		"id": "VU",
		"name": "Vanuatu",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": 0.134178,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.018297,
				"11": 0.018297,
				"12": 0.225663,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.048792,
				"17": null,
				"18": 0.048792,
				"19": null,
				"20": 0.012198,
				"21": 0.018297,
				"22": 0.042693,
				"23": 0.024396,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.012198,
				"29": 0.079287,
				"30": 0.012198,
				"31": null,
				"32": 0.201267,
				"33": 0.006099,
				"34": 0.079287,
				"35": 0.024396,
				"36": null,
				"37": null,
				"38": 0.158574,
				"39": 0.115881,
				"40": 0.085386,
				"41": 0.030495,
				"42": null,
				"43": 0.256158,
				"44": 0.396435,
				"45": 0.036594,
				"46": 0.06099,
				"47": 1.140513,
				"48": 0.494019,
				"49": 6.147792,
				"50": 4.263201,
				"51": 0.408633,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.018297,
				"12": 0.024396,
				"13": null,
				"14": 0.018297,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.018297,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": 0.042693,
				"25": 0.073188,
				"26": 0.012198,
				"27": 0.012198,
				"28": 0.030495,
				"29": null,
				"30": null,
				"31": 0.048792,
				"32": 0.006099,
				"33": 0.012198,
				"34": 0.103683,
				"35": 0.006099,
				"36": null,
				"37": 0.012198,
				"38": null,
				"39": 0.054891,
				"40": 0.396435,
				"41": 0.030495,
				"42": null,
				"43": 0.06099,
				"44": 0.128079,
				"45": 0.067089,
				"46": 0.042693,
				"47": 0.170772,
				"48": 0.109782,
				"49": 0.811167,
				"50": 0.036594,
				"51": 0.457425,
				"52": 0.213465,
				"53": 0.823365,
				"54": 27.402807,
				"55": 0.048792,
				"56": 0.097584,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.012198,
				"37": 0.012198,
				"38": null,
				"39": 0.006099,
				"40": 0.006099,
				"41": 0.146376,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.012198,
				"6": 0.048792,
				"7": 0.06099,
				"8": 0.054891,
				"9": 0.140277,
				"10": 0.884355,
				"3.1": null,
				"3.2": null,
				"5.1": 0.097584,
				"6.1": 0.067089,
				"7.1": null,
				"9.1": 0.439128
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.123194091846,
				"8.1-8.4": 0.159125701968,
				"9.0-9.2": 0.122623748828,
				"9.3": 0.803042969072,
				"10-10.1": 4.26901748828
			},
			"android": {
				"3": 0,
				"4": 0.134036771956,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0154657813796,
				"4.1": 0.425308987938,
				"4.2-4.3": 1.2140638383,
				"4.4": 2.86116955522,
				"4.4.3-4.4.4": 2.18840806521
			},
			"op_mob": {
				"0": 0.0158723734644,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000440899262899
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 1.16436435468,
				"9": 0.326514871946,
				"10": 0.332675529907,
				"11": 5.48914624347,
				"5.5": null
			},
			"edge": {
				"12": 0.286653,
				"13": 0.54891,
				"14": 1.171008
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0.067971024,
				"11": 0.318227976
			},
			"and_ff": {
				"0": 1.494083
			},
			"samsung": {
				"0": 2.297689
			},
			"and_uc": {
				"0": 0.979151
			},
			"op_mini": {
				"0": 0.213845727273
			},
			"and_chr": {
				"0": 24.17193
			}
		},
		"total": 99.174773
	};

/***/ },
/* 670 */
/***/ function(module, exports) {

	module.exports = {
		"id": "WF",
		"name": "Wallis and Futuna",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": 0.308157,
				"15": null,
				"16": null,
				"17": 0.015669,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.433509,
				"39": 0.078345,
				"40": 0.015669,
				"41": null,
				"42": null,
				"43": 0.370833,
				"44": 0.078345,
				"45": 1.091607,
				"46": 0.047007,
				"47": 0.459624,
				"48": 0.047007,
				"49": 6.069126,
				"50": 2.465256,
				"51": null,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.031338
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": 0.229812,
				"24": null,
				"25": 0.062676,
				"26": null,
				"27": 0.584976,
				"28": null,
				"29": null,
				"30": null,
				"31": 0.094014,
				"32": null,
				"33": null,
				"34": 0.861795,
				"35": null,
				"36": null,
				"37": null,
				"38": 0.078345,
				"39": null,
				"40": null,
				"41": null,
				"42": null,
				"43": null,
				"44": null,
				"45": null,
				"46": null,
				"47": 0.125352,
				"48": null,
				"49": 1.493778,
				"50": 0.031338,
				"51": 0.047007,
				"52": 0.031338,
				"53": 0.506631,
				"54": 24.730905,
				"55": 0.031338,
				"56": 0.015669,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.433509,
				"38": null,
				"39": null,
				"40": 0.062676,
				"41": 0.109683,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0.047007,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.182805,
				"9": 0.245481,
				"10": 0.308157,
				"3.1": null,
				"3.2": null,
				"5.1": null,
				"6.1": 0.015669,
				"7.1": null,
				"9.1": 0.015669
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0530797675726,
				"8.1-8.4": 0.068561366448,
				"9.0-9.2": 0.0528340279079,
				"9.3": 0.346001447881,
				"10-10.1": 1.83936139019
			},
			"android": {
				"3": 0,
				"4": 0.0264976750848,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00305742404825,
				"4.1": 0.0840791613268,
				"4.2-4.3": 0.240007787787,
				"4.4": 0.565623448926,
				"4.4.3-4.4.4": 0.432625502827
			},
			"op_mob": {
				"0": 0.00889473301961,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000247075917212
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.031338,
				"9": 0.125352,
				"10": 0.047007,
				"11": 4.54401,
				"5.5": null
			},
			"edge": {
				"12": 0.015669,
				"13": 0.725997,
				"14": 0.015669
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0.40776472,
				"11": 1.90908028
			},
			"and_ff": {
				"0": 0.343944
			},
			"samsung": {
				"0": 6.773786
			},
			"and_uc": {
				"0": 0.277066
			},
			"op_mini": {
				"0": 0.119837191063
			},
			"and_chr": {
				"0": 38.222188
			}
		},
		"total": 99.136701
	};

/***/ },
/* 671 */
/***/ function(module, exports) {

	module.exports = {
		"id": "WS",
		"name": "Samoa",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.030465,
				"4": null,
				"5": 0.012186,
				"6": 0.067023,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.073116,
				"11": 0.048744,
				"12": 0.06093,
				"13": null,
				"14": 0.079209,
				"15": null,
				"16": 0.018279,
				"17": null,
				"18": 0.036558,
				"19": 0.170604,
				"20": 0.006093,
				"21": null,
				"22": 0.012186,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.006093,
				"27": 0.006093,
				"28": null,
				"29": null,
				"30": 0.127953,
				"31": null,
				"32": null,
				"33": null,
				"34": 0.018279,
				"35": 0.231534,
				"36": null,
				"37": 4.807377,
				"38": 0.054837,
				"39": 0.012186,
				"40": 0.085302,
				"41": 0.018279,
				"42": 0.036558,
				"43": 0.505719,
				"44": 0.036558,
				"45": 0.103581,
				"46": 0.018279,
				"47": 0.396045,
				"48": 0.310743,
				"49": 6.15393,
				"50": 3.387708,
				"51": 0.012186,
				"52": 0.006093,
				"53": null,
				"3.5": null,
				"3.6": 0.048744
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": 0.091395,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.109674,
				"19": 0.030465,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": 0.109674,
				"25": 0.042651,
				"26": 0.054837,
				"27": 0.030465,
				"28": null,
				"29": 0.024372,
				"30": null,
				"31": 0.012186,
				"32": null,
				"33": null,
				"34": 0.036558,
				"35": 0.036558,
				"36": 0.012186,
				"37": 0.024372,
				"38": null,
				"39": null,
				"40": 0.018279,
				"41": 0.042651,
				"42": 0.018279,
				"43": 0.06093,
				"44": 0.036558,
				"45": 0.048744,
				"46": 0.024372,
				"47": 0.152325,
				"48": 0.030465,
				"49": 1.115019,
				"50": 0.164511,
				"51": 0.158418,
				"52": 0.12186,
				"53": 0.907857,
				"54": 27.979056,
				"55": 0.103581,
				"56": 0.018279,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": 0.042651,
				"38": null,
				"39": 0.012186,
				"40": null,
				"41": 0.012186,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0.006093,
				"5": 0.036558,
				"6": null,
				"7": null,
				"8": 0.048744,
				"9": 0.554463,
				"10": 0.743346,
				"3.1": null,
				"3.2": null,
				"5.1": 0.006093,
				"6.1": 0.12186,
				"7.1": 0.030465,
				"9.1": 0.377766
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0308458931584,
				"8.1-8.4": 0.0398426119963,
				"9.0-9.2": 0.0307030880975,
				"9.3": 0.201069525773,
				"10-10.1": 1.06889588097
			},
			"android": {
				"3": 0,
				"4": 0.0122526347531,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00141376554844,
				"4.1": 0.038878552582,
				"4.2-4.3": 0.110980595552,
				"4.4": 0.261546626461,
				"4.4.3-4.4.4": 0.200047825104
			},
			"op_mob": {
				"0": 1.56785422263,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0435515061842
			},
			"ie": {
				"6": null,
				"7": null,
				"8": 0.676323,
				"9": 1.182042,
				"10": 0.377766,
				"11": 5.855373,
				"5.5": null
			},
			"edge": {
				"12": 0.201069,
				"13": 0.456975,
				"14": 0.725067
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0.019941328,
				"11": 0.093361672
			},
			"and_ff": {
				"0": 0.023442
			},
			"samsung": {
				"0": 1.476846
			},
			"and_uc": {
				"0": 7.817907
			},
			"op_mini": {
				"0": 21.1234272712
			},
			"and_chr": {
				"0": 5.287422
			}
		},
		"total": 99.533303
	};

/***/ },
/* 672 */
/***/ function(module, exports) {

	module.exports = {
		"id": "YE",
		"name": "Yemen",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.048075,
				"3": 0.022435,
				"4": 0.009615,
				"5": 0.003205,
				"6": 0.028845,
				"7": null,
				"8": 0.00641,
				"9": 0.02564,
				"10": 0.016025,
				"11": 0.02564,
				"12": 0.054485,
				"13": 0.048075,
				"14": 0.01282,
				"15": 0.10256,
				"16": 0.0641,
				"17": 0.016025,
				"18": 0.157045,
				"19": 0.028845,
				"20": 0.016025,
				"21": 0.195505,
				"22": 0.048075,
				"23": 0.092945,
				"24": 0.04487,
				"25": 0.16025,
				"26": 0.10256,
				"27": 0.067305,
				"28": 0.05128,
				"29": 0.086535,
				"30": 0.08333,
				"31": 0.04487,
				"32": 0.08333,
				"33": 0.073715,
				"34": 0.092945,
				"35": 0.13461,
				"36": 0.182685,
				"37": 0.073715,
				"38": 0.0641,
				"39": 0.16025,
				"40": 0.099355,
				"41": 0.14102,
				"42": 0.099355,
				"43": 0.746765,
				"44": 0.253195,
				"45": 0.471135,
				"46": 0.17948,
				"47": 0.721125,
				"48": 0.503185,
				"49": 2.355675,
				"50": 0.95509,
				"51": 0.035255,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.022435
			},
			"chrome": {
				"4": null,
				"5": 0.00641,
				"6": 0.009615,
				"7": null,
				"8": 0.035255,
				"9": null,
				"10": 0.00641,
				"11": 0.09615,
				"12": 0.00641,
				"13": 0.016025,
				"14": 0.02564,
				"15": 0.022435,
				"16": 0.00641,
				"17": 0.022435,
				"18": 0.028845,
				"19": 0.060895,
				"20": 0.01282,
				"21": 0.00641,
				"22": 0.16025,
				"23": 0.086535,
				"24": 0.176275,
				"25": 0.022435,
				"26": 0.04487,
				"27": 0.054485,
				"28": 0.03846,
				"29": 0.041665,
				"30": 0.163455,
				"31": 0.323705,
				"32": 0.22435,
				"33": 0.19871,
				"34": 0.060895,
				"35": 0.150635,
				"36": 0.07692,
				"37": 0.080125,
				"38": 0.08974,
				"39": 0.36537,
				"40": 0.16666,
				"41": 0.22435,
				"42": 0.05128,
				"43": 0.298065,
				"44": 0.13461,
				"45": 0.182685,
				"46": 0.16666,
				"47": 0.26281,
				"48": 0.21153,
				"49": 1.24995,
				"50": 0.17307,
				"51": 0.41665,
				"52": 0.2564,
				"53": 0.964705,
				"54": 10.08934,
				"55": 0.041665,
				"56": 0.01282,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.01282,
				"19": 0.003205,
				"20": 0.003205,
				"21": 0.009615,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.05769,
				"29": 0.04487,
				"30": 0.01923,
				"31": 0.016025,
				"32": 0.003205,
				"33": 0.028845,
				"34": 0.02564,
				"35": 0.03205,
				"36": 0.00641,
				"37": 0.08974,
				"38": 0.01923,
				"39": 0.03205,
				"40": 0.035255,
				"41": 0.1282,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0.016025,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0.003205,
				"5": 0.0641,
				"6": null,
				"7": 0.01923,
				"8": 0.03205,
				"9": 0.01923,
				"10": 0.048075,
				"3.1": null,
				"3.2": null,
				"5.1": 0.060895,
				"6.1": null,
				"7.1": null,
				"9.1": 0.035255
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.10776787254,
				"8.1-8.4": 0.139200168697,
				"9.0-9.2": 0.107268947204,
				"9.3": 0.702486872852,
				"10-10.1": 3.73445613871
			},
			"android": {
				"3": 0,
				"4": 0.384828303053,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0444032657369,
				"4.1": 1.22108980776,
				"4.2-4.3": 3.48565636035,
				"4.4": 8.21460416133,
				"4.4.3-4.4.4": 6.28306210177
			},
			"op_mob": {
				"0": 0.269016658643,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00747268496231
			},
			"ie": {
				"6": 0.0065876443418,
				"7": 0.0032938221709,
				"8": 0.342557505774,
				"9": 0.151515819861,
				"10": 0.187747863741,
				"11": 0.734522344111,
				"5.5": null
			},
			"edge": {
				"12": 0.05128,
				"13": 0.080125,
				"14": 0.02564
			},
			"bb": {
				"7": 0.022087,
				"10": null
			},
			"ie_mob": {
				"10": 0.027510208,
				"11": 0.128797792
			},
			"and_ff": {
				"0": 0.115532
			},
			"samsung": {
				"0": 3.275672
			},
			"and_uc": {
				"0": 5.769804
			},
			"op_mini": {
				"0": 3.62441465639
			},
			"and_chr": {
				"0": 31.769804
			}
		},
		"total": 98.619665
	};

/***/ },
/* 673 */
/***/ function(module, exports) {

	module.exports = {
		"id": "YT",
		"name": "Mayotte",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": 0.013266,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.006633,
				"13": null,
				"14": null,
				"15": 0.013266,
				"16": 0.232155,
				"17": 0.232155,
				"18": 0.019899,
				"19": null,
				"20": null,
				"21": 0.006633,
				"22": null,
				"23": null,
				"24": 0.033165,
				"25": null,
				"26": null,
				"27": 0.006633,
				"28": 0.013266,
				"29": null,
				"30": 0.013266,
				"31": null,
				"32": 0.039798,
				"33": 0.006633,
				"34": 0.238788,
				"35": 0.053064,
				"36": 0.192357,
				"37": 0.072963,
				"38": 0.285219,
				"39": 0.026532,
				"40": 0.033165,
				"41": 0.119394,
				"42": 0.139293,
				"43": 0.258687,
				"44": 0.285219,
				"45": 0.278586,
				"46": 0.092862,
				"47": 0.835758,
				"48": 0.252054,
				"49": 7.455492,
				"50": 2.971584,
				"51": 0.026532,
				"52": 0.006633,
				"53": 0.046431,
				"3.5": null,
				"3.6": 0.039798
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.033165,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": 0.019899,
				"25": null,
				"26": 0.019899,
				"27": null,
				"28": 0.019899,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": 0.019899,
				"34": 0.039798,
				"35": 0.053064,
				"36": 0.059697,
				"37": null,
				"38": null,
				"39": 0.013266,
				"40": 0.112761,
				"41": 0.013266,
				"42": 0.006633,
				"43": 0.258687,
				"44": 0.053064,
				"45": 0.033165,
				"46": 0.092862,
				"47": 0.046431,
				"48": 0.033165,
				"49": 0.742896,
				"50": 0.252054,
				"51": 0.497475,
				"52": 0.325017,
				"53": 0.776061,
				"54": 32.607828,
				"55": 0.185724,
				"56": 0.026532,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": 0.019899,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.013266,
				"36": 0.013266,
				"37": 0.026532,
				"38": null,
				"39": null,
				"40": 0.099495,
				"41": 0.895455,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.013266,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.019899,
				"6": null,
				"7": 0.006633,
				"8": 0.033165,
				"9": 0.013266,
				"10": 2.023065,
				"3.1": 0.013266,
				"3.2": null,
				"5.1": 0.059697,
				"6.1": 0.013266,
				"7.1": null,
				"9.1": 0.39798
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0616473402062,
				"8.1-8.4": 0.079627814433,
				"9.0-9.2": 0.0613619358534,
				"9.3": 0.401849328751,
				"10-10.1": 2.13625158076
			},
			"android": {
				"3": 0,
				"4": 0.0503539736148,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00581007387863,
				"4.1": 0.159777031662,
				"4.2-4.3": 0.456090799472,
				"4.4": 1.07486366755,
				"4.4.3-4.4.4": 0.822125453826
			},
			"op_mob": {
				"0": 0.0842875932203,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0023413220339
			},
			"ie": {
				"6": 0.039798,
				"7": 0.006633,
				"8": 0.139293,
				"9": 0.099495,
				"10": 0.072963,
				"11": 2.752695,
				"5.5": null
			},
			"edge": {
				"12": 0.650034,
				"13": 0.46431,
				"14": 1.65825
			},
			"bb": {
				"7": 0.00252525,
				"10": null
			},
			"ie_mob": {
				"10": 0.117925808,
				"11": 0.552107192
			},
			"and_ff": {
				"0": 0.023569
			},
			"samsung": {
				"0": 2.979795
			},
			"and_uc": {
				"0": 0.255892
			},
			"op_mini": {
				"0": 1.13559208475
			},
			"and_chr": {
				"0": 27.617354
			}
		},
		"total": 98.31542125
	};

/***/ },
/* 674 */
/***/ function(module, exports) {

	module.exports = {
		"id": "ZA",
		"name": "South Africa",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.011635,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.002327,
				"11": 0.002327,
				"12": 0.006981,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.004654,
				"17": null,
				"18": 0.004654,
				"19": 0.027924,
				"20": 0.011635,
				"21": 0.006981,
				"22": 0.002327,
				"23": null,
				"24": 0.002327,
				"25": 0.004654,
				"26": null,
				"27": 0.002327,
				"28": 0.002327,
				"29": 0.011635,
				"30": 0.006981,
				"31": 0.004654,
				"32": 0.002327,
				"33": 0.006981,
				"34": 0.020943,
				"35": 0.004654,
				"36": 0.016289,
				"37": 0.009308,
				"38": 0.025597,
				"39": 0.016289,
				"40": 0.030251,
				"41": 0.016289,
				"42": 0.011635,
				"43": 0.060502,
				"44": 0.027924,
				"45": 0.044213,
				"46": 0.034905,
				"47": 0.167544,
				"48": 0.107042,
				"49": 1.340352,
				"50": 0.739986,
				"51": 0.048867,
				"52": 0.002327,
				"53": null,
				"3.5": null,
				"3.6": 0.006981
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.025597,
				"12": 0.004654,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.009308,
				"19": null,
				"20": null,
				"21": 0.013962,
				"22": 0.004654,
				"23": 0.002327,
				"24": null,
				"25": 0.004654,
				"26": 0.034905,
				"27": 0.004654,
				"28": 0.006981,
				"29": 0.004654,
				"30": 0.004654,
				"31": 0.027924,
				"32": 0.006981,
				"33": 0.013962,
				"34": 0.011635,
				"35": 0.011635,
				"36": 0.039559,
				"37": 0.006981,
				"38": 0.016289,
				"39": 0.025597,
				"40": 0.079118,
				"41": 0.027924,
				"42": 0.011635,
				"43": 0.083772,
				"44": 0.027924,
				"45": 0.020943,
				"46": 0.048867,
				"47": 0.034905,
				"48": 0.041886,
				"49": 0.574769,
				"50": 0.062829,
				"51": 0.151255,
				"52": 0.125658,
				"53": 0.316472,
				"54": 10.222511,
				"55": 0.037232,
				"56": 0.027924,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.002327,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.009308,
				"29": null,
				"30": 0.004654,
				"31": null,
				"32": 0.002327,
				"33": 0.004654,
				"34": 0.004654,
				"35": 0.011635,
				"36": 0.016289,
				"37": 0.079118,
				"38": 0.006981,
				"39": 0.004654,
				"40": 0.011635,
				"41": 0.183833,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.013962,
				"12.1": 0.260624
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.009308,
				"6": 0.006981,
				"7": 0.016289,
				"8": 0.060502,
				"9": 0.065156,
				"10": 0.472381,
				"3.1": null,
				"3.2": null,
				"5.1": 0.025597,
				"6.1": 0.016289,
				"7.1": 0.051194,
				"9.1": 0.235027
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0926800599813,
				"8.1-8.4": 0.119711744142,
				"9.0-9.2": 0.0922509856295,
				"9.3": 0.604136687285,
				"10-10.1": 3.21162152296
			},
			"android": {
				"3": 0,
				"4": 0.059255342631,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00683715491896,
				"4.1": 0.188021760271,
				"4.2-4.3": 0.536716661138,
				"4.4": 1.26487366001,
				"4.4.3-4.4.4": 0.967457421033
			},
			"op_mob": {
				"0": 2.63781462874,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0732726285762
			},
			"ie": {
				"6": 0.00698916014027,
				"7": 0.0232972004676,
				"8": 0.291215005845,
				"9": 0.27257724547,
				"10": 0.267917805377,
				"11": 3.1241545827,
				"5.5": null
			},
			"edge": {
				"12": 0.081445,
				"13": 0.246662,
				"14": 0.646906
			},
			"bb": {
				"7": 0.8785585,
				"10": null
			},
			"ie_mob": {
				"10": 0.271440048,
				"11": 1.270832952
			},
			"and_ff": {
				"0": 0.030692
			},
			"samsung": {
				"0": 6.690856
			},
			"and_uc": {
				"0": 2.271208
			},
			"op_mini": {
				"0": 35.5388177427
			},
			"and_chr": {
				"0": 18.010321
			}
		},
		"total": 96.3886665
	};

/***/ },
/* 675 */
/***/ function(module, exports) {

	module.exports = {
		"id": "ZM",
		"name": "Zambia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.001274,
				"3": 0.017836,
				"4": 0.01274,
				"5": 0.00637,
				"6": 0.00637,
				"7": 0.003822,
				"8": 0.005096,
				"9": 0.005096,
				"10": 0.014014,
				"11": 0.008918,
				"12": 0.016562,
				"13": 0.011466,
				"14": 0.015288,
				"15": 0.011466,
				"16": 0.01274,
				"17": 0.02548,
				"18": 0.015288,
				"19": 0.008918,
				"20": 0.01274,
				"21": 0.022932,
				"22": 0.00637,
				"23": 0.007644,
				"24": 0.005096,
				"25": 0.007644,
				"26": 0.01274,
				"27": 0.005096,
				"28": 0.003822,
				"29": 0.01911,
				"30": 0.021658,
				"31": 0.010192,
				"32": 0.005096,
				"33": 0.010192,
				"34": 0.010192,
				"35": 0.015288,
				"36": 0.020384,
				"37": 0.029302,
				"38": 0.02548,
				"39": 0.026754,
				"40": 0.020384,
				"41": 0.015288,
				"42": 0.011466,
				"43": 0.123578,
				"44": 0.078988,
				"45": 0.061152,
				"46": 0.03185,
				"47": 0.256074,
				"48": 0.137592,
				"49": 1.28037,
				"50": 0.653562,
				"51": 0.071344,
				"52": null,
				"53": null,
				"3.5": 0.003822,
				"3.6": 0.010192
			},
			"chrome": {
				"4": 0.001274,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.02548,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.001274,
				"17": null,
				"18": 0.001274,
				"19": 0.002548,
				"20": null,
				"21": 0.003822,
				"22": 0.001274,
				"23": 0.002548,
				"24": null,
				"25": 0.00637,
				"26": 0.017836,
				"27": 0.005096,
				"28": 0.007644,
				"29": 0.00637,
				"30": 0.002548,
				"31": 0.020384,
				"32": 0.01911,
				"33": 0.01911,
				"34": 0.003822,
				"35": 0.003822,
				"36": 0.008918,
				"37": 0.005096,
				"38": 0.010192,
				"39": 0.014014,
				"40": 0.015288,
				"41": 0.021658,
				"42": 0.00637,
				"43": 0.072618,
				"44": 0.010192,
				"45": 0.039494,
				"46": 0.007644,
				"47": 0.011466,
				"48": 0.035672,
				"49": 0.1274,
				"50": 0.04459,
				"51": 0.135044,
				"52": 0.14014,
				"53": 0.194922,
				"54": 4.06406,
				"55": 0.022932,
				"56": 0.017836,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.003822,
				"12": 0.008918,
				"15": 0.002548,
				"16": 0.001274,
				"17": 0.002548,
				"18": 0.001274,
				"19": null,
				"20": 0.008918,
				"21": 0.002548,
				"22": 0.003822,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.021658,
				"29": 0.007644,
				"30": 0.002548,
				"31": null,
				"32": 0.001274,
				"33": 0.003822,
				"34": 0.008918,
				"35": 0.007644,
				"36": 0.02548,
				"37": 0.08281,
				"38": 0.014014,
				"39": 0.011466,
				"40": 0.061152,
				"41": 0.36946,
				"42": null,
				"43": null,
				"9.5-9.6": 0.002548,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": 0.002548,
				"11.1": 0.00637,
				"11.5": 0.002548,
				"11.6": 0.015288,
				"12.1": 0.017836
			},
			"safari": {
				"0": null,
				"4": 0.003822,
				"5": 0.003822,
				"6": 0.001274,
				"7": 0.007644,
				"8": 0.024206,
				"9": 0.024206,
				"10": 0.1911,
				"3.1": null,
				"3.2": null,
				"5.1": 0.026754,
				"6.1": 0.007644,
				"7.1": 0.014014,
				"9.1": 0.123578
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0200153252109,
				"8.1-8.4": 0.0258531283974,
				"9.0-9.2": 0.0199226616682,
				"9.3": 0.130470268041,
				"10-10.1": 0.693586616682
			},
			"android": {
				"3": 0,
				"4": 0.0600190154542,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00692527101395,
				"4.1": 0.190444952884,
				"4.2-4.3": 0.543633774595,
				"4.4": 1.28117513758,
				"4.4.3-4.4.4": 0.979925848473
			},
			"op_mob": {
				"0": 4.53328293175,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.125924525882
			},
			"ie": {
				"6": 0.00921052304965,
				"7": 0.0118421010638,
				"8": 0.252631489362,
				"9": 0.0934210195035,
				"10": 0.156578891844,
				"11": 0.960525975177,
				"5.5": null
			},
			"edge": {
				"12": 0.132496,
				"13": 0.166894,
				"14": 0.20384
			},
			"bb": {
				"7": 0.176661,
				"10": null
			},
			"ie_mob": {
				"10": 0.282518016,
				"11": 1.322697984
			},
			"and_ff": {
				"0": 0.017448
			},
			"samsung": {
				"0": 1.26498
			},
			"and_uc": {
				"0": 7.4154
			},
			"op_mini": {
				"0": 61.0761325424
			},
			"and_chr": {
				"0": 6.262124
			}
		},
		"total": 97.934635
	};

/***/ },
/* 676 */
/***/ function(module, exports) {

	module.exports = {
		"id": "ZW",
		"name": "Zimbabwe",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.04342,
				"4": 0.01336,
				"5": null,
				"6": null,
				"7": 0.00668,
				"8": 0.00334,
				"9": 0.00668,
				"10": 0.0167,
				"11": 0.0334,
				"12": 0.02672,
				"13": 0.00668,
				"14": 0.09352,
				"15": 0.02338,
				"16": 0.00668,
				"17": 0.00334,
				"18": 0.01002,
				"19": 0.00668,
				"20": 0.01336,
				"21": 0.02672,
				"22": 0.02338,
				"23": 0.01002,
				"24": 0.04342,
				"25": 0.01336,
				"26": 0.00668,
				"27": 0.0167,
				"28": 0.02338,
				"29": 0.04342,
				"30": 0.03006,
				"31": 0.07682,
				"32": 0.01002,
				"33": 0.02672,
				"34": 0.0167,
				"35": 0.02338,
				"36": 0.02004,
				"37": 0.05678,
				"38": 0.08684,
				"39": 0.0334,
				"40": 0.06012,
				"41": 0.04342,
				"42": 0.0668,
				"43": 0.24048,
				"44": 0.22044,
				"45": 0.14696,
				"46": 0.09018,
				"47": 0.65464,
				"48": 0.34068,
				"49": 4.28188,
				"50": 2.25116,
				"51": 0.26386,
				"52": 0.01002,
				"53": null,
				"3.5": 0.00668,
				"3.6": 0.0334
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.02004,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.00334,
				"21": null,
				"22": null,
				"23": null,
				"24": 0.00668,
				"25": 0.00668,
				"26": 0.00668,
				"27": 0.0167,
				"28": 0.00668,
				"29": 0.02338,
				"30": 0.00668,
				"31": 0.02338,
				"32": 0.02672,
				"33": 0.0167,
				"34": 0.02338,
				"35": 0.0167,
				"36": 0.02004,
				"37": 0.02338,
				"38": 0.01002,
				"39": 0.02338,
				"40": 0.03674,
				"41": 0.0501,
				"42": 0.01336,
				"43": 0.30394,
				"44": 0.02672,
				"45": 0.04676,
				"46": 0.02672,
				"47": 0.04008,
				"48": 0.04342,
				"49": 0.42084,
				"50": 0.06346,
				"51": 0.2505,
				"52": 0.22712,
				"53": 0.40414,
				"54": 12.6085,
				"55": 0.0501,
				"56": 0.0334,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.00334,
				"12": 0.02004,
				"15": null,
				"16": 0.00334,
				"17": null,
				"18": 0.01002,
				"19": null,
				"20": null,
				"21": 0.00668,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.04342,
				"29": 0.00668,
				"30": 0.00334,
				"31": 0.00334,
				"32": null,
				"33": 0.01002,
				"34": 0.0167,
				"35": 0.02004,
				"36": 0.05678,
				"37": 0.08016,
				"38": 0.0167,
				"39": 0.0334,
				"40": 0.09018,
				"41": 1.16232,
				"42": 0.01002,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": 0.00668,
				"11.6": 0.02004,
				"12.1": 0.03674
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": 0.01002,
				"6": null,
				"7": 0.02672,
				"8": 0.05344,
				"9": 0.09352,
				"10": 0.33734,
				"3.1": null,
				"3.2": null,
				"5.1": 0.0334,
				"6.1": 0.00668,
				"7.1": 0.00668,
				"9.1": 0.14362
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0232194939082,
				"8.1-8.4": 0.029991846298,
				"9.0-9.2": 0.0231119962512,
				"9.3": 0.151356701031,
				"10-10.1": 0.804619962512
			},
			"android": {
				"3": 0,
				"4": 0.070229988692,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.0081034602337,
				"4.1": 0.222845156427,
				"4.2-4.3": 0.636121628345,
				"4.4": 1.49914014323,
				"4.4.3-4.4.4": 1.14663962307
			},
			"op_mob": {
				"0": 3.3560409245,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0932233590139
			},
			"ie": {
				"6": 0.00671348370927,
				"7": null,
				"8": 0.577359598997,
				"9": 0.285323057644,
				"10": 0.375955087719,
				"11": 2.77266877193,
				"5.5": null
			},
			"edge": {
				"12": 0.334,
				"13": 0.3006,
				"14": 0.52104
			},
			"bb": {
				"7": 0.061605,
				"10": null
			},
			"ie_mob": {
				"10": 0.2813184,
				"11": 1.3170816
			},
			"and_ff": {
				"0": 0.0333
			},
			"samsung": {
				"0": 1.2321
			},
			"and_uc": {
				"0": 3.56976
			},
			"op_mini": {
				"0": 45.2153557165
			},
			"and_chr": {
				"0": 6.56174
			}
		},
		"total": 98.420945
	};

/***/ },
/* 677 */
/***/ function(module, exports) {

	module.exports = {
		"id": "af",
		"name": "Africa",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.153252,
				"3": 0.038313,
				"4": 0.020898,
				"5": 0.017415,
				"6": 0.003483,
				"7": 0.010449,
				"8": 0.013932,
				"9": 0.013932,
				"10": 0.017415,
				"11": 0.027864,
				"12": 0.031347,
				"13": 0.027864,
				"14": 0.017415,
				"15": 0.181116,
				"16": 0.027864,
				"17": 0.017415,
				"18": 0.170667,
				"19": 0.031347,
				"20": 0.027864,
				"21": 0.177633,
				"22": 0.024381,
				"23": 0.17415,
				"24": 0.031347,
				"25": 0.330885,
				"26": 0.045279,
				"27": 0.045279,
				"28": 0.052245,
				"29": 0.06966,
				"30": 0.066177,
				"31": 0.076626,
				"32": 0.045279,
				"33": 0.027864,
				"34": 0.038313,
				"35": 0.048762,
				"36": 0.052245,
				"37": 0.062694,
				"38": 0.087075,
				"39": 0.066177,
				"40": 0.080109,
				"41": 0.055728,
				"42": 0.038313,
				"43": 0.226395,
				"44": 0.118422,
				"45": 0.090558,
				"46": 0.083592,
				"47": 0.449307,
				"48": 0.250776,
				"49": 2.455515,
				"50": 1.379268,
				"51": 0.101007,
				"52": null,
				"53": null,
				"3.5": 0.006966,
				"3.6": 0.052245
			},
			"chrome": {
				"4": 0.010449,
				"5": 0.013932,
				"6": 0.006966,
				"7": null,
				"8": 0.010449,
				"9": 0.013932,
				"10": 0.006966,
				"11": 0.048762,
				"12": 0.017415,
				"13": 0.003483,
				"14": 0.003483,
				"15": 0.010449,
				"16": 0.020898,
				"17": 0.027864,
				"18": 0.020898,
				"19": 0.160218,
				"20": 0.031347,
				"21": 0.020898,
				"22": 0.020898,
				"23": 0.027864,
				"24": 0.45279,
				"25": 0.038313,
				"26": 0.062694,
				"27": 0.03483,
				"28": 0.048762,
				"29": 0.052245,
				"30": 0.195048,
				"31": 0.10449,
				"32": 0.097524,
				"33": 0.215946,
				"34": 0.114939,
				"35": 0.372681,
				"36": 0.094041,
				"37": 0.097524,
				"38": 0.06966,
				"39": 0.094041,
				"40": 0.111456,
				"41": 0.125388,
				"42": 0.132354,
				"43": 0.97524,
				"44": 0.289089,
				"45": 0.163701,
				"46": 0.094041,
				"47": 0.076626,
				"48": 0.080109,
				"49": 1.271295,
				"50": 0.090558,
				"51": 0.414477,
				"52": 0.226395,
				"53": 0.421443,
				"54": 12.218364,
				"55": 0.062694,
				"56": 0.041796,
				"57": null
			},
			"opera": {
				"9": null,
				"11": 0.006966,
				"12": 0.006966,
				"15": 0.006966,
				"16": null,
				"17": 0.006966,
				"18": 0.006966,
				"19": 0.017415,
				"20": 0.024381,
				"21": 0.020898,
				"22": 0.017415,
				"23": 0.013932,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.017415,
				"29": 0.013932,
				"30": 0.020898,
				"31": 0.010449,
				"32": null,
				"33": 0.003483,
				"34": 0.006966,
				"35": 0.010449,
				"36": 0.045279,
				"37": 0.097524,
				"38": 0.031347,
				"39": 0.013932,
				"40": 0.024381,
				"41": 0.480654,
				"42": 0.003483,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0.149769,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.017415,
				"12.1": 0.080109
			},
			"safari": {
				"0": null,
				"4": 0.006966,
				"5": 0.153252,
				"6": 0.010449,
				"7": 0.020898,
				"8": 0.059211,
				"9": 0.048762,
				"10": 0.264708,
				"3.1": null,
				"3.2": null,
				"5.1": 0.020898,
				"6.1": 0.010449,
				"7.1": 0.017415,
				"9.1": 0.135837
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0491065417057,
				"8.1-8.4": 0.0634292830366,
				"9.0-9.2": 0.0488791966052,
				"9.3": 0.320101901489,
				"10-10.1": 1.70167807716
			},
			"android": {
				"3": 0,
				"4": 0.0803460369393,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00927069656992,
				"4.1": 0.254944155673,
				"4.2-4.3": 0.727749680739,
				"4.4": 1.71507886544,
				"4.4.3-4.4.4": 1.31180356464
			},
			"op_mob": {
				"0": 2.39725726765,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.0665904796569
			},
			"ie": {
				"6": 0.0106632738239,
				"7": 0.0248809722557,
				"8": 0.664677401689,
				"9": 0.458520774427,
				"10": 0.447857500603,
				"11": 1.3400180772,
				"5.5": null
			},
			"edge": {
				"12": 0.066177,
				"13": 0.132354,
				"14": 0.285606
			},
			"bb": {
				"7": 0.2639385,
				"10": null
			},
			"ie_mob": {
				"10": 0.162872864,
				"11": 0.762541136
			},
			"and_ff": {
				"0": 0.06517
			},
			"samsung": {
				"0": 2.847929
			},
			"and_uc": {
				"0": 3.414908
			},
			"op_mini": {
				"0": 32.2978302527
			},
			"and_chr": {
				"0": 16.452082
			}
		},
		"total": 97.5273125
	};

/***/ },
/* 678 */
/***/ function(module, exports) {

	module.exports = {
		"id": "an",
		"name": "Antarctica",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": null,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": null,
				"42": 0.07919,
				"43": null,
				"44": null,
				"45": 0.728548,
				"46": null,
				"47": 0.166299,
				"48": 0.324679,
				"49": 0.894847,
				"50": 3.658578,
				"51": null,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": null
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": null,
				"41": null,
				"42": null,
				"43": null,
				"44": null,
				"45": null,
				"46": null,
				"47": null,
				"48": 0.166299,
				"49": 0.07919,
				"50": null,
				"51": 0.324679,
				"52": 0.166299,
				"53": 0.07919,
				"54": 43.008089,
				"55": null,
				"56": null,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": null,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": null,
				"37": null,
				"38": null,
				"39": null,
				"40": 0.07919,
				"41": null,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": null
			},
			"safari": {
				"0": null,
				"4": 0,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.166299,
				"9": 0.649358,
				"10": 1.465015,
				"3.1": null,
				"3.2": null,
				"5.1": 0.815657,
				"6.1": null,
				"7.1": 0.403869,
				"9.1": 6.667798
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0951604048735,
				"8.1-8.4": 0.122915522962,
				"9.0-9.2": 0.0947198474435,
				"9.3": 0.620304861397,
				"10-10.1": 3.29757236332
			},
			"android": {
				"3": 0,
				"4": 0.00664853222767,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.000767138333962,
				"4.1": 0.0210963041839,
				"4.2-4.3": 0.060220359216,
				"4.4": 0.141920591783,
				"4.4.3-4.4.4": 0.108550074256
			},
			"op_mob": {
				"0": 0.005883961854,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000163443384833
			},
			"ie": {
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 6.422309,
				"11": 4.553425,
				"5.5": null
			},
			"edge": {
				"12": null,
				"13": 0.490978,
				"14": 3.1676
			},
			"bb": {
				"7": 0,
				"10": null
			},
			"ie_mob": {
				"10": 0,
				"11": 0
			},
			"and_ff": {
				"0": 0.930207
			},
			"samsung": {
				"0": 2.031056
			},
			"and_uc": {
				"0": null
			},
			"op_mini": {
				"0": 0.0792735947612
			},
			"and_chr": {
				"0": 12.689938
			}
		},
		"total": 94.863783
	};

/***/ },
/* 679 */
/***/ function(module, exports) {

	module.exports = {
		"id": "as",
		"name": "Asia",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.047614,
				"4": 0.006802,
				"5": 0.003401,
				"6": 0.003401,
				"7": null,
				"8": 0.023807,
				"9": 0.003401,
				"10": 0.006802,
				"11": 0.006802,
				"12": 0.013604,
				"13": 0.006802,
				"14": 0.006802,
				"15": 0.006802,
				"16": 0.006802,
				"17": 0.006802,
				"18": 0.006802,
				"19": 0.006802,
				"20": 0.006802,
				"21": 0.020406,
				"22": 0.006802,
				"23": 0.010203,
				"24": 0.006802,
				"25": 0.010203,
				"26": 0.006802,
				"27": 0.006802,
				"28": 0.010203,
				"29": 0.017005,
				"30": 0.013604,
				"31": 0.027208,
				"32": 0.010203,
				"33": 0.013604,
				"34": 0.017005,
				"35": 0.020406,
				"36": 0.020406,
				"37": 0.030609,
				"38": 0.044213,
				"39": 0.027208,
				"40": 0.023807,
				"41": 0.027208,
				"42": 0.023807,
				"43": 0.129238,
				"44": 0.088426,
				"45": 0.071421,
				"46": 0.061218,
				"47": 0.278882,
				"48": 0.149644,
				"49": 1.578064,
				"50": 0.935275,
				"51": 0.085025,
				"52": null,
				"53": null,
				"3.5": 0.006802,
				"3.6": 0.023807
			},
			"chrome": {
				"4": 0.003401,
				"5": null,
				"6": 0.003401,
				"7": null,
				"8": 0.003401,
				"9": null,
				"10": 0.006802,
				"11": 0.030609,
				"12": 0.010203,
				"13": 0.003401,
				"14": 0.006802,
				"15": 0.006802,
				"16": 0.006802,
				"17": 0.010203,
				"18": 0.010203,
				"19": 0.010203,
				"20": 0.010203,
				"21": 0.013604,
				"22": 0.057817,
				"23": 0.013604,
				"24": 0.013604,
				"25": 0.017005,
				"26": 0.027208,
				"27": 0.020406,
				"28": 0.023807,
				"29": 0.023807,
				"30": 0.020406,
				"31": 0.13604,
				"32": 0.020406,
				"33": 0.047614,
				"34": 0.03401,
				"35": 0.023807,
				"36": 0.017005,
				"37": 0.017005,
				"38": 0.03401,
				"39": 0.047614,
				"40": 0.027208,
				"41": 0.040812,
				"42": 0.064619,
				"43": 0.268679,
				"44": 0.057817,
				"45": 0.561165,
				"46": 0.085025,
				"47": 0.153045,
				"48": 0.112233,
				"49": 1.3604,
				"50": 0.221065,
				"51": 0.455734,
				"52": 0.278882,
				"53": 0.629185,
				"54": 17.586571,
				"55": 0.085025,
				"56": 0.078223,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.010203,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.020406,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.013604,
				"37": 0.023807,
				"38": 0.037411,
				"39": 0.003401,
				"40": 0.010203,
				"41": 0.261877,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": 0.006802,
				"12.1": 0.030609
			},
			"safari": {
				"0": null,
				"4": 0.006802,
				"5": 0.013604,
				"6": 0.006802,
				"7": 0.013604,
				"8": 0.047614,
				"9": 0.047614,
				"10": 0.3401,
				"3.1": null,
				"3.2": null,
				"5.1": 0.023807,
				"6.1": 0.013604,
				"7.1": 0.003401,
				"9.1": 0.163248
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.152884048735,
				"8.1-8.4": 0.197475229616,
				"9.0-9.2": 0.152176252213,
				"9.3": 0.996577502864,
				"10-10.1": 5.29785696657
			},
			"android": {
				"3": 0,
				"4": 0.0719149219751,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00829787561251,
				"4.1": 0.228191579344,
				"4.2-4.3": 0.651383235582,
				"4.4": 1.53510698832,
				"4.4.3-4.4.4": 1.17414939917
			},
			"op_mob": {
				"0": 0.355420991296,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00987280531379
			},
			"ie": {
				"6": 0.0253158943662,
				"7": 0.0216993380282,
				"8": 0.441219873239,
				"9": 0.245925830986,
				"10": 0.206143711268,
				"11": 2.14100135211,
				"5.5": null
			},
			"edge": {
				"12": 0.040812,
				"13": 0.122436,
				"14": 0.411521
			},
			"bb": {
				"7": 0.052792,
				"10": null
			},
			"ie_mob": {
				"10": 0.078976832,
				"11": 0.369755168
			},
			"and_ff": {
				"0": 0.026396
			},
			"samsung": {
				"0": 3.900009
			},
			"and_uc": {
				"0": 17.843696
			},
			"op_mini": {
				"0": 4.78852520339
			},
			"and_chr": {
				"0": 28.306453
			}
		},
		"total": 97.72178
	};

/***/ },
/* 680 */
/***/ function(module, exports) {

	module.exports = {
		"id": "eu",
		"name": "Europe",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.012706,
				"3": 0.031765,
				"4": 0.012706,
				"5": 0.006353,
				"6": 0.006353,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.012706,
				"11": 0.006353,
				"12": 0.019059,
				"13": null,
				"14": null,
				"15": 0.006353,
				"16": 0.019059,
				"17": 0.006353,
				"18": null,
				"19": null,
				"20": 0.012706,
				"21": 0.012706,
				"22": 0.006353,
				"23": 0.006353,
				"24": 0.025412,
				"25": 0.012706,
				"26": 0.012706,
				"27": 0.006353,
				"28": 0.012706,
				"29": 0.012706,
				"30": 0.012706,
				"31": 0.031765,
				"32": 0.012706,
				"33": 0.019059,
				"34": 0.031765,
				"35": 0.031765,
				"36": 0.031765,
				"37": 0.038118,
				"38": 0.158825,
				"39": 0.044471,
				"40": 0.038118,
				"41": 0.044471,
				"42": 0.069883,
				"43": 0.152472,
				"44": 0.120707,
				"45": 0.304944,
				"46": 0.311297,
				"47": 0.57177,
				"48": 0.44471,
				"49": 6.429236,
				"50": 3.602151,
				"51": 0.038118,
				"52": null,
				"53": null,
				"3.5": 0.044471,
				"3.6": 0.095295
			},
			"chrome": {
				"4": 0.012706,
				"5": 0.006353,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.031765,
				"12": 0.006353,
				"13": null,
				"14": 0.006353,
				"15": 0.006353,
				"16": 0.012706,
				"17": 0.012706,
				"18": 0.019059,
				"19": 0.006353,
				"20": 0.006353,
				"21": 0.019059,
				"22": 0.044471,
				"23": 0.012706,
				"24": 0.012706,
				"25": 0.012706,
				"26": 0.025412,
				"27": 0.019059,
				"28": 0.012706,
				"29": 0.019059,
				"30": 0.012706,
				"31": 0.038118,
				"32": 0.012706,
				"33": 0.019059,
				"34": 0.038118,
				"35": 0.031765,
				"36": 0.025412,
				"37": 0.050824,
				"38": 0.050824,
				"39": 0.076236,
				"40": 0.050824,
				"41": 0.057177,
				"42": 0.050824,
				"43": 0.171531,
				"44": 0.057177,
				"45": 0.06353,
				"46": 0.06353,
				"47": 0.076236,
				"48": 0.12706,
				"49": 2.134608,
				"50": 0.279532,
				"51": 0.730595,
				"52": 0.285885,
				"53": 1.010127,
				"54": 26.917661,
				"55": 0.088942,
				"56": 0.050824,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.06353,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.019059,
				"28": 0.019059,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": 0.006353,
				"36": 0.101648,
				"37": 0.025412,
				"38": 0.095295,
				"39": 0.012706,
				"40": 0.044471,
				"41": 1.073657,
				"42": 0.006353,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": 0.006353,
				"10.6": 0.019059,
				"11.1": 0.006353,
				"11.5": 0.012706,
				"11.6": 0.044471,
				"12.1": 0.425651
			},
			"safari": {
				"0": null,
				"4": 0.038118,
				"5": 0.076236,
				"6": 0.012706,
				"7": 0.038118,
				"8": 0.177884,
				"9": 0.228708,
				"10": 2.166373,
				"3.1": null,
				"3.2": null,
				"5.1": 0.139766,
				"6.1": 0.076236,
				"7.1": 0.012706,
				"9.1": 0.921185
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.211396116214,
				"8.1-8.4": 0.273053316776,
				"9.0-9.2": 0.21041743049,
				"9.3": 1.37798949828,
				"10-10.1": 7.32546263824
			},
			"android": {
				"3": 0,
				"4": 0.0406737414248,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00469312401055,
				"4.1": 0.12906091029,
				"4.2-4.3": 0.368410234828,
				"4.4": 0.868227941953,
				"4.4.3-4.4.4": 0.664077047493
			},
			"op_mob": {
				"0": 0.0379775218423,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00105493116229
			},
			"ie": {
				"6": 0.0193178996865,
				"7": 0.025757199582,
				"8": 0.360600794148,
				"9": 0.270450595611,
				"10": 0.251132695925,
				"11": 5.23515081505,
				"5.5": null
			},
			"edge": {
				"12": 0.082589,
				"13": 0.368474,
				"14": 2.121902
			},
			"bb": {
				"7": 0.03373475,
				"10": null
			},
			"ie_mob": {
				"10": 0.137360608,
				"11": 0.643097392
			},
			"and_ff": {
				"0": 0.043764
			},
			"samsung": {
				"0": 3.628765
			},
			"and_uc": {
				"0": 0.313642
			},
			"op_mini": {
				"0": 0.511664546995
			},
			"and_chr": {
				"0": 19.974639
			}
		},
		"total": 97.22254475
	};

/***/ },
/* 681 */
/***/ function(module, exports) {

	module.exports = {
		"id": "na",
		"name": "North America",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.016671,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.011114,
				"12": 0.005557,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.011114,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": 0.011114,
				"22": null,
				"23": null,
				"24": 0.011114,
				"25": 0.005557,
				"26": null,
				"27": 0.005557,
				"28": 0.011114,
				"29": 0.011114,
				"30": 0.005557,
				"31": 0.027785,
				"32": 0.005557,
				"33": 0.016671,
				"34": 0.011114,
				"35": 0.016671,
				"36": 0.027785,
				"37": 0.022228,
				"38": 0.077798,
				"39": 0.044456,
				"40": 0.044456,
				"41": 0.05557,
				"42": 0.050013,
				"43": 0.11114,
				"44": 0.038899,
				"45": 0.216723,
				"46": 0.105583,
				"47": 0.355648,
				"48": 0.350091,
				"49": 3.361985,
				"50": 1.883823,
				"51": 0.022228,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.016671
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.016671,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.011114,
				"19": null,
				"20": null,
				"21": 0.011114,
				"22": 0.016671,
				"23": 0.005557,
				"24": null,
				"25": 0.005557,
				"26": 0.005557,
				"27": 0.011114,
				"28": null,
				"29": 0.011114,
				"30": null,
				"31": 0.027785,
				"32": 0.016671,
				"33": 0.016671,
				"34": 0.033342,
				"35": 0.022228,
				"36": 0.022228,
				"37": 0.033342,
				"38": 0.038899,
				"39": 0.044456,
				"40": 0.050013,
				"41": 0.100026,
				"42": 0.050013,
				"43": 0.22228,
				"44": 0.144482,
				"45": 0.088912,
				"46": 0.072241,
				"47": 0.066684,
				"48": 0.16671,
				"49": 1.294781,
				"50": 0.194495,
				"51": 0.727967,
				"52": 0.572371,
				"53": 1.856038,
				"54": 24.867575,
				"55": 0.100026,
				"56": 0.050013,
				"57": 0.011114
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.011114,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.011114,
				"37": 0.016671,
				"38": 0.072241,
				"39": null,
				"40": 0.011114,
				"41": 0.205609,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.022228
			},
			"safari": {
				"0": null,
				"4": 0.022228,
				"5": 0.050013,
				"6": 0.016671,
				"7": 0.05557,
				"8": 0.233394,
				"9": 0.283407,
				"10": 2.639575,
				"3.1": null,
				"3.2": null,
				"5.1": 0.127811,
				"6.1": 0.11114,
				"7.1": 0.022228,
				"9.1": 1.417035
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.445815700094,
				"8.1-8.4": 0.575845279288,
				"9.0-9.2": 0.443751738519,
				"9.3": 2.90605789691,
				"10-10.1": 15.4487523852
			},
			"android": {
				"3": 0,
				"4": 0.0267350365624,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00308481191104,
				"4.1": 0.0848323275537,
				"4.2-4.3": 0.242157735017,
				"4.4": 0.570690203543,
				"4.4.3-4.4.4": 0.436500885413
			},
			"op_mob": {
				"0": 0.0330913115396,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.000919203098322
			},
			"ie": {
				"6": 0.0280557683658,
				"7": 0.0392780757121,
				"8": 0.308613452024,
				"9": 0.31983575937,
				"10": 0.331058066717,
				"11": 6.45282672414,
				"5.5": null
			},
			"edge": {
				"12": 0.066684,
				"13": 0.327863,
				"14": 2.433966
			},
			"bb": {
				"7": 0.05664825,
				"10": null
			},
			"ie_mob": {
				"10": 0.05473776,
				"11": 0.25627224
			},
			"and_ff": {
				"0": 0.057759
			},
			"samsung": {
				"0": 2.879064
			},
			"and_uc": {
				"0": 0.386541
			},
			"op_mini": {
				"0": 0.445833485362
			},
			"and_chr": {
				"0": 19.775303
			}
		},
		"total": 98.7220470963
	};

/***/ },
/* 682 */
/***/ function(module, exports) {

	module.exports = {
		"id": "oc",
		"name": "Oceania",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": null,
				"3": 0.01108,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": null,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": 0.00554,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": 0.00554,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.00554,
				"29": 0.01108,
				"30": 0.00554,
				"31": 0.01108,
				"32": 0.00554,
				"33": 0.00554,
				"34": 0.01662,
				"35": 0.01108,
				"36": 0.01108,
				"37": 0.0277,
				"38": 0.0831,
				"39": 0.02216,
				"40": 0.0277,
				"41": 0.0277,
				"42": 0.0277,
				"43": 0.06094,
				"44": 0.03324,
				"45": 0.17174,
				"46": 0.04986,
				"47": 0.23268,
				"48": 0.26592,
				"49": 3.45142,
				"50": 1.86698,
				"51": 0.0277,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.01108
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.01108,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": 0.01662,
				"23": null,
				"24": null,
				"25": null,
				"26": 0.0277,
				"27": null,
				"28": null,
				"29": 0.00554,
				"30": 0.01108,
				"31": 0.02216,
				"32": 0.01108,
				"33": 0.01662,
				"34": 0.03878,
				"35": 0.02216,
				"36": 0.01662,
				"37": 0.02216,
				"38": 0.04986,
				"39": 0.0554,
				"40": 0.03324,
				"41": 0.04986,
				"42": 0.0554,
				"43": 0.09418,
				"44": 0.0831,
				"45": 0.25484,
				"46": 0.0831,
				"47": 0.1385,
				"48": 0.10526,
				"49": 1.20218,
				"50": 0.21606,
				"51": 0.40996,
				"52": 0.47644,
				"53": 1.47364,
				"54": 26.27622,
				"55": 0.08864,
				"56": 0.0554,
				"57": 0.00554
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.01108,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.01108,
				"37": 0.01108,
				"38": 0.01108,
				"39": null,
				"40": null,
				"41": 0.1662,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.02216
			},
			"safari": {
				"0": null,
				"4": 0.00554,
				"5": 0.03878,
				"6": 0.01662,
				"7": 0.06094,
				"8": 0.34348,
				"9": 0.554,
				"10": 2.84756,
				"3.1": null,
				"3.2": null,
				"5.1": 0.13296,
				"6.1": 0.09972,
				"7.1": 0.01662,
				"9.1": 1.51242
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.511739831303,
				"8.1-8.4": 0.660997282099,
				"9.0-9.2": 0.509370665417,
				"9.3": 3.33578556701,
				"10-10.1": 17.7332066542
			},
			"android": {
				"3": 0,
				"4": 0.0243950953637,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00281481869582,
				"4.1": 0.0774075141349,
				"4.2-4.3": 0.220963267622,
				"4.4": 0.520741458726,
				"4.4.3-4.4.4": 0.398296845458
			},
			"op_mob": {
				"0": 0.0741418088535,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00205949469038
			},
			"ie": {
				"6": 0.00562557723577,
				"7": 0.0112511544715,
				"8": 0.225023089431,
				"9": 0.25315097561,
				"10": 0.230648666667,
				"11": 6.18813495935,
				"5.5": null
			},
			"edge": {
				"12": 0.08864,
				"13": 0.43212,
				"14": 2.47084
			},
			"bb": {
				"7": 0.00780675,
				"10": null
			},
			"ie_mob": {
				"10": 0.060455472,
				"11": 0.283041528
			},
			"and_ff": {
				"0": 0.049071
			},
			"samsung": {
				"0": 3.97029
			},
			"and_uc": {
				"0": 1.302612
			},
			"op_mini": {
				"0": 0.998899696456
			},
			"and_chr": {
				"0": 14.463381
			}
		},
		"total": 98.8955321728
	};

/***/ },
/* 683 */
/***/ function(module, exports) {

	module.exports = {
		"id": "sa",
		"name": "South America",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.006386,
				"3": 0.019158,
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.03193,
				"9": null,
				"10": null,
				"11": null,
				"12": 0.012772,
				"13": null,
				"14": null,
				"15": 0.006386,
				"16": 0.006386,
				"17": null,
				"18": null,
				"19": null,
				"20": 0.006386,
				"21": 0.019158,
				"22": 0.006386,
				"23": 0.012772,
				"24": 0.006386,
				"25": 0.012772,
				"26": 0.006386,
				"27": 0.03193,
				"28": 0.006386,
				"29": 0.012772,
				"30": 0.012772,
				"31": 0.025544,
				"32": 0.006386,
				"33": 0.025544,
				"34": 0.012772,
				"35": 0.012772,
				"36": 0.012772,
				"37": 0.03193,
				"38": 0.051088,
				"39": 0.025544,
				"40": 0.03193,
				"41": 0.03193,
				"42": 0.025544,
				"43": 0.12772,
				"44": 0.03193,
				"45": 0.121334,
				"46": 0.06386,
				"47": 0.357616,
				"48": 0.229896,
				"49": 3.00142,
				"50": 1.800852,
				"51": 0.025544,
				"52": null,
				"53": null,
				"3.5": null,
				"3.6": 0.025544
			},
			"chrome": {
				"4": null,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": null,
				"11": 0.012772,
				"12": null,
				"13": null,
				"14": null,
				"15": null,
				"16": null,
				"17": null,
				"18": 0.012772,
				"19": null,
				"20": 0.006386,
				"21": 0.006386,
				"22": 0.044702,
				"23": 0.006386,
				"24": 0.006386,
				"25": 0.012772,
				"26": 0.03193,
				"27": 0.019158,
				"28": 0.006386,
				"29": 0.019158,
				"30": 0.012772,
				"31": 0.03193,
				"32": 0.019158,
				"33": 0.019158,
				"34": 0.044702,
				"35": 0.038316,
				"36": 0.102176,
				"37": 0.038316,
				"38": 0.051088,
				"39": 0.06386,
				"40": 0.038316,
				"41": 0.06386,
				"42": 0.038316,
				"43": 0.204352,
				"44": 0.089404,
				"45": 0.06386,
				"46": 0.12772,
				"47": 0.12772,
				"48": 0.15965,
				"49": 2.80984,
				"50": 0.197966,
				"51": 0.836566,
				"52": 0.434248,
				"53": 1.047304,
				"54": 42.652094,
				"55": 0.166036,
				"56": 0.06386,
				"57": null
			},
			"opera": {
				"9": null,
				"11": null,
				"12": null,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": null,
				"28": 0.025544,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.019158,
				"37": 0.019158,
				"38": 0.057474,
				"39": 0.006386,
				"40": 0.012772,
				"41": 0.427862,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0,
				"10.5": null,
				"10.6": null,
				"11.1": null,
				"11.5": null,
				"11.6": null,
				"12.1": 0.012772
			},
			"safari": {
				"0": null,
				"4": 0.006386,
				"5": 0.012772,
				"6": null,
				"7": 0.019158,
				"8": 0.089404,
				"9": 0.089404,
				"10": 0.715232,
				"3.1": null,
				"3.2": null,
				"5.1": 0.025544,
				"6.1": 0.019158,
				"7.1": null,
				"9.1": 0.332072
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.0605439925023,
				"8.1-8.4": 0.0782026569822,
				"9.0-9.2": 0.0602636962408,
				"9.3": 0.394657136312,
				"10-10.1": 2.09801751796
			},
			"android": {
				"3": 0,
				"4": 0.0538913064455,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00621822766679,
				"4.1": 0.171001260837,
				"4.2-4.3": 0.488130871843,
				"4.4": 1.15037211836,
				"4.4.3-4.4.4": 0.879879214851
			},
			"op_mob": {
				"0": 0.0799810139508,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00222169483197
			},
			"ie": {
				"6": 0.0197038119658,
				"7": 0.0197038119658,
				"8": 0.361236552707,
				"9": 0.197038119658,
				"10": 0.17076637037,
				"11": 1.53689733333,
				"5.5": null
			},
			"edge": {
				"12": 0.057474,
				"13": 0.15965,
				"14": 0.613056
			},
			"bb": {
				"7": 0.03522675,
				"10": null
			},
			"ie_mob": {
				"10": 0.192038176,
				"11": 0.899087824
			},
			"and_ff": {
				"0": 0.021678
			},
			"samsung": {
				"0": 1.66198
			},
			"and_uc": {
				"0": 0.393817
			},
			"op_mini": {
				"0": 1.07757029122
			},
			"and_chr": {
				"0": 27.685305
			}
		},
		"total": 98.54024375
	};

/***/ },
/* 684 */
/***/ function(module, exports) {

	module.exports = {
		"id": "ww",
		"name": "Worldwide",
		"month": "2016-11",
		"access_date": "2016-12-03",
		"data": {
			"firefox": {
				"2": 0.014118,
				"3": 0.037648,
				"4": 0.009412,
				"5": null,
				"6": null,
				"7": null,
				"8": 0.014118,
				"9": null,
				"10": 0.004706,
				"11": 0.009412,
				"12": 0.014118,
				"13": 0.004706,
				"14": 0.004706,
				"15": 0.014118,
				"16": 0.009412,
				"17": 0.004706,
				"18": 0.014118,
				"19": 0.004706,
				"20": 0.009412,
				"21": 0.02353,
				"22": 0.009412,
				"23": 0.014118,
				"24": 0.014118,
				"25": 0.02353,
				"26": 0.009412,
				"27": 0.009412,
				"28": 0.014118,
				"29": 0.018824,
				"30": 0.014118,
				"31": 0.028236,
				"32": 0.009412,
				"33": 0.018824,
				"34": 0.018824,
				"35": 0.02353,
				"36": 0.02353,
				"37": 0.032942,
				"38": 0.080002,
				"39": 0.037648,
				"40": 0.032942,
				"41": 0.037648,
				"42": 0.037648,
				"43": 0.131768,
				"44": 0.080002,
				"45": 0.160004,
				"46": 0.127062,
				"47": 0.367068,
				"48": 0.268242,
				"49": 3.124784,
				"50": 1.821222,
				"51": 0.056472,
				"52": null,
				"53": null,
				"3.5": 0.014118,
				"3.6": 0.037648
			},
			"chrome": {
				"4": 0.004706,
				"5": null,
				"6": null,
				"7": null,
				"8": null,
				"9": null,
				"10": 0.004706,
				"11": 0.028236,
				"12": 0.009412,
				"13": null,
				"14": 0.004706,
				"15": 0.004706,
				"16": 0.009412,
				"17": 0.009412,
				"18": 0.014118,
				"19": 0.014118,
				"20": 0.009412,
				"21": 0.014118,
				"22": 0.042354,
				"23": 0.014118,
				"24": 0.032942,
				"25": 0.014118,
				"26": 0.02353,
				"27": 0.018824,
				"28": 0.014118,
				"29": 0.02353,
				"30": 0.02353,
				"31": 0.084708,
				"32": 0.02353,
				"33": 0.042354,
				"34": 0.037648,
				"35": 0.042354,
				"36": 0.028236,
				"37": 0.032942,
				"38": 0.042354,
				"39": 0.056472,
				"40": 0.042354,
				"41": 0.061178,
				"42": 0.061178,
				"43": 0.263536,
				"44": 0.084708,
				"45": 0.301184,
				"46": 0.080002,
				"47": 0.112944,
				"48": 0.127062,
				"49": 1.60004,
				"50": 0.221182,
				"51": 0.592956,
				"52": 0.348244,
				"53": 0.983554,
				"54": 22.551152,
				"55": 0.09412,
				"56": 0.065884,
				"57": 0.004706
			},
			"opera": {
				"9": null,
				"11": null,
				"12": 0.018824,
				"15": null,
				"16": null,
				"17": null,
				"18": null,
				"19": null,
				"20": null,
				"21": null,
				"22": null,
				"23": null,
				"24": null,
				"25": null,
				"26": null,
				"27": 0.004706,
				"28": 0.018824,
				"29": null,
				"30": null,
				"31": null,
				"32": null,
				"33": null,
				"34": null,
				"35": null,
				"36": 0.032942,
				"37": 0.028236,
				"38": 0.056472,
				"39": 0.004706,
				"40": 0.018824,
				"41": 0.44707,
				"42": null,
				"43": null,
				"9.5-9.6": null,
				"10.0-10.1": 0.009412,
				"10.5": null,
				"10.6": 0.004706,
				"11.1": null,
				"11.5": null,
				"11.6": 0.014118,
				"12.1": 0.131768
			},
			"safari": {
				"0": null,
				"4": 0.014118,
				"5": 0.042354,
				"6": 0.009412,
				"7": 0.028236,
				"8": 0.122356,
				"9": 0.145886,
				"10": 1.261208,
				"3.1": null,
				"3.2": null,
				"5.1": 0.07059,
				"6.1": 0.04706,
				"7.1": 0.009412,
				"9.1": 0.61178
			},
			"ios_saf": {
				"8": 0,
				"3.2": 0,
				"4.0-4.1": 0,
				"4.2-4.3": 0,
				"5.0-5.1": 0,
				"6.0-6.1": 0,
				"7.0-7.1": 0.207552584817,
				"8.1-8.4": 0.268088755389,
				"9.0-9.2": 0.206591693221,
				"9.3": 1.3529353677,
				"10-10.1": 7.19227359888
			},
			"android": {
				"3": 0,
				"4": 0.0547878115341,
				"53": null,
				"2.1": 0,
				"2.2": 0,
				"2.3": 0.00632167056163,
				"4.1": 0.173845940445,
				"4.2-4.3": 0.496251139088,
				"4.4": 1.1695090539,
				"4.4.3-4.4.4": 0.89451638447
			},
			"op_mob": {
				"0": 0.305578860117,
				"10": 0,
				"11": 0,
				"12": 0,
				"11.1": 0,
				"11.5": 0,
				"12.1": 0.00848830166993
			},
			"ie": {
				"6": 0.0193528740895,
				"7": 0.0241910926119,
				"8": 0.391895700312,
				"9": 0.270940237253,
				"10": 0.251587363163,
				"11": 3.69156073257,
				"5.5": null
			},
			"edge": {
				"12": 0.056472,
				"13": 0.225888,
				"14": 1.232972
			},
			"bb": {
				"7": 0.0569105,
				"10": null
			},
			"ie_mob": {
				"10": 0.095969632,
				"11": 0.449312368
			},
			"and_ff": {
				"0": 0.037058
			},
			"samsung": {
				"0": 3.382866
			},
			"and_uc": {
				"0": 8.862156
			},
			"op_mini": {
				"0": 4.11701083821
			},
			"and_chr": {
				"0": 24.008932
			}
		},
		"total": 97.8751285
	};

/***/ },
/* 685 */
/***/ function(module, exports) {

	module.exports = {
		"builtin": {
			"Array": false,
			"ArrayBuffer": false,
			"Boolean": false,
			"constructor": false,
			"DataView": false,
			"Date": false,
			"decodeURI": false,
			"decodeURIComponent": false,
			"encodeURI": false,
			"encodeURIComponent": false,
			"Error": false,
			"escape": false,
			"eval": false,
			"EvalError": false,
			"Float32Array": false,
			"Float64Array": false,
			"Function": false,
			"hasOwnProperty": false,
			"Infinity": false,
			"Int16Array": false,
			"Int32Array": false,
			"Int8Array": false,
			"isFinite": false,
			"isNaN": false,
			"isPrototypeOf": false,
			"JSON": false,
			"Map": false,
			"Math": false,
			"NaN": false,
			"Number": false,
			"Object": false,
			"parseFloat": false,
			"parseInt": false,
			"Promise": false,
			"propertyIsEnumerable": false,
			"Proxy": false,
			"RangeError": false,
			"ReferenceError": false,
			"Reflect": false,
			"RegExp": false,
			"Set": false,
			"String": false,
			"Symbol": false,
			"SyntaxError": false,
			"System": false,
			"toLocaleString": false,
			"toString": false,
			"TypeError": false,
			"Uint16Array": false,
			"Uint32Array": false,
			"Uint8Array": false,
			"Uint8ClampedArray": false,
			"undefined": false,
			"unescape": false,
			"URIError": false,
			"valueOf": false,
			"WeakMap": false,
			"WeakSet": false
		},
		"es5": {
			"Array": false,
			"Boolean": false,
			"constructor": false,
			"Date": false,
			"decodeURI": false,
			"decodeURIComponent": false,
			"encodeURI": false,
			"encodeURIComponent": false,
			"Error": false,
			"escape": false,
			"eval": false,
			"EvalError": false,
			"Function": false,
			"hasOwnProperty": false,
			"Infinity": false,
			"isFinite": false,
			"isNaN": false,
			"isPrototypeOf": false,
			"JSON": false,
			"Math": false,
			"NaN": false,
			"Number": false,
			"Object": false,
			"parseFloat": false,
			"parseInt": false,
			"propertyIsEnumerable": false,
			"RangeError": false,
			"ReferenceError": false,
			"RegExp": false,
			"String": false,
			"SyntaxError": false,
			"toLocaleString": false,
			"toString": false,
			"TypeError": false,
			"undefined": false,
			"unescape": false,
			"URIError": false,
			"valueOf": false
		},
		"es6": {
			"Array": false,
			"ArrayBuffer": false,
			"Boolean": false,
			"constructor": false,
			"DataView": false,
			"Date": false,
			"decodeURI": false,
			"decodeURIComponent": false,
			"encodeURI": false,
			"encodeURIComponent": false,
			"Error": false,
			"escape": false,
			"eval": false,
			"EvalError": false,
			"Float32Array": false,
			"Float64Array": false,
			"Function": false,
			"hasOwnProperty": false,
			"Infinity": false,
			"Int16Array": false,
			"Int32Array": false,
			"Int8Array": false,
			"isFinite": false,
			"isNaN": false,
			"isPrototypeOf": false,
			"JSON": false,
			"Map": false,
			"Math": false,
			"NaN": false,
			"Number": false,
			"Object": false,
			"parseFloat": false,
			"parseInt": false,
			"Promise": false,
			"propertyIsEnumerable": false,
			"Proxy": false,
			"RangeError": false,
			"ReferenceError": false,
			"Reflect": false,
			"RegExp": false,
			"Set": false,
			"String": false,
			"Symbol": false,
			"SyntaxError": false,
			"System": false,
			"toLocaleString": false,
			"toString": false,
			"TypeError": false,
			"Uint16Array": false,
			"Uint32Array": false,
			"Uint8Array": false,
			"Uint8ClampedArray": false,
			"undefined": false,
			"unescape": false,
			"URIError": false,
			"valueOf": false,
			"WeakMap": false,
			"WeakSet": false
		},
		"browser": {
			"addEventListener": false,
			"alert": false,
			"AnalyserNode": false,
			"Animation": false,
			"AnimationEffectReadOnly": false,
			"AnimationEffectTiming": false,
			"AnimationEffectTimingReadOnly": false,
			"AnimationEvent": false,
			"AnimationPlaybackEvent": false,
			"AnimationTimeline": false,
			"applicationCache": false,
			"ApplicationCache": false,
			"ApplicationCacheErrorEvent": false,
			"atob": false,
			"Attr": false,
			"Audio": false,
			"AudioBuffer": false,
			"AudioBufferSourceNode": false,
			"AudioContext": false,
			"AudioDestinationNode": false,
			"AudioListener": false,
			"AudioNode": false,
			"AudioParam": false,
			"AudioProcessingEvent": false,
			"AutocompleteErrorEvent": false,
			"BarProp": false,
			"BatteryManager": false,
			"BeforeUnloadEvent": false,
			"BiquadFilterNode": false,
			"Blob": false,
			"blur": false,
			"btoa": false,
			"Cache": false,
			"caches": false,
			"CacheStorage": false,
			"cancelAnimationFrame": false,
			"CanvasGradient": false,
			"CanvasPattern": false,
			"CanvasRenderingContext2D": false,
			"CDATASection": false,
			"ChannelMergerNode": false,
			"ChannelSplitterNode": false,
			"CharacterData": false,
			"clearInterval": false,
			"clearTimeout": false,
			"clientInformation": false,
			"ClientRect": false,
			"ClientRectList": false,
			"ClipboardEvent": false,
			"close": false,
			"closed": false,
			"CloseEvent": false,
			"Comment": false,
			"CompositionEvent": false,
			"confirm": false,
			"console": false,
			"ConvolverNode": false,
			"Credential": false,
			"CredentialsContainer": false,
			"crypto": false,
			"Crypto": false,
			"CryptoKey": false,
			"CSS": false,
			"CSSAnimation": false,
			"CSSFontFaceRule": false,
			"CSSImportRule": false,
			"CSSKeyframeRule": false,
			"CSSKeyframesRule": false,
			"CSSMediaRule": false,
			"CSSPageRule": false,
			"CSSRule": false,
			"CSSRuleList": false,
			"CSSStyleDeclaration": false,
			"CSSStyleRule": false,
			"CSSStyleSheet": false,
			"CSSSupportsRule": false,
			"CSSTransition": false,
			"CSSUnknownRule": false,
			"CSSViewportRule": false,
			"customElements": false,
			"CustomEvent": false,
			"DataTransfer": false,
			"DataTransferItem": false,
			"DataTransferItemList": false,
			"Debug": false,
			"defaultStatus": false,
			"defaultstatus": false,
			"DelayNode": false,
			"DeviceMotionEvent": false,
			"DeviceOrientationEvent": false,
			"devicePixelRatio": false,
			"dispatchEvent": false,
			"document": false,
			"Document": false,
			"DocumentFragment": false,
			"DocumentTimeline": false,
			"DocumentType": false,
			"DOMError": false,
			"DOMException": false,
			"DOMImplementation": false,
			"DOMParser": false,
			"DOMSettableTokenList": false,
			"DOMStringList": false,
			"DOMStringMap": false,
			"DOMTokenList": false,
			"DragEvent": false,
			"DynamicsCompressorNode": false,
			"Element": false,
			"ElementTimeControl": false,
			"ErrorEvent": false,
			"event": false,
			"Event": false,
			"EventSource": false,
			"EventTarget": false,
			"external": false,
			"FederatedCredential": false,
			"fetch": false,
			"File": false,
			"FileError": false,
			"FileList": false,
			"FileReader": false,
			"find": false,
			"focus": false,
			"FocusEvent": false,
			"FontFace": false,
			"FormData": false,
			"frameElement": false,
			"frames": false,
			"GainNode": false,
			"Gamepad": false,
			"GamepadButton": false,
			"GamepadEvent": false,
			"getComputedStyle": false,
			"getSelection": false,
			"HashChangeEvent": false,
			"Headers": false,
			"history": false,
			"History": false,
			"HTMLAllCollection": false,
			"HTMLAnchorElement": false,
			"HTMLAppletElement": false,
			"HTMLAreaElement": false,
			"HTMLAudioElement": false,
			"HTMLBaseElement": false,
			"HTMLBlockquoteElement": false,
			"HTMLBodyElement": false,
			"HTMLBRElement": false,
			"HTMLButtonElement": false,
			"HTMLCanvasElement": false,
			"HTMLCollection": false,
			"HTMLContentElement": false,
			"HTMLDataListElement": false,
			"HTMLDetailsElement": false,
			"HTMLDialogElement": false,
			"HTMLDirectoryElement": false,
			"HTMLDivElement": false,
			"HTMLDListElement": false,
			"HTMLDocument": false,
			"HTMLElement": false,
			"HTMLEmbedElement": false,
			"HTMLFieldSetElement": false,
			"HTMLFontElement": false,
			"HTMLFormControlsCollection": false,
			"HTMLFormElement": false,
			"HTMLFrameElement": false,
			"HTMLFrameSetElement": false,
			"HTMLHeadElement": false,
			"HTMLHeadingElement": false,
			"HTMLHRElement": false,
			"HTMLHtmlElement": false,
			"HTMLIFrameElement": false,
			"HTMLImageElement": false,
			"HTMLInputElement": false,
			"HTMLIsIndexElement": false,
			"HTMLKeygenElement": false,
			"HTMLLabelElement": false,
			"HTMLLayerElement": false,
			"HTMLLegendElement": false,
			"HTMLLIElement": false,
			"HTMLLinkElement": false,
			"HTMLMapElement": false,
			"HTMLMarqueeElement": false,
			"HTMLMediaElement": false,
			"HTMLMenuElement": false,
			"HTMLMetaElement": false,
			"HTMLMeterElement": false,
			"HTMLModElement": false,
			"HTMLObjectElement": false,
			"HTMLOListElement": false,
			"HTMLOptGroupElement": false,
			"HTMLOptionElement": false,
			"HTMLOptionsCollection": false,
			"HTMLOutputElement": false,
			"HTMLParagraphElement": false,
			"HTMLParamElement": false,
			"HTMLPictureElement": false,
			"HTMLPreElement": false,
			"HTMLProgressElement": false,
			"HTMLQuoteElement": false,
			"HTMLScriptElement": false,
			"HTMLSelectElement": false,
			"HTMLShadowElement": false,
			"HTMLSourceElement": false,
			"HTMLSpanElement": false,
			"HTMLStyleElement": false,
			"HTMLTableCaptionElement": false,
			"HTMLTableCellElement": false,
			"HTMLTableColElement": false,
			"HTMLTableElement": false,
			"HTMLTableRowElement": false,
			"HTMLTableSectionElement": false,
			"HTMLTemplateElement": false,
			"HTMLTextAreaElement": false,
			"HTMLTitleElement": false,
			"HTMLTrackElement": false,
			"HTMLUListElement": false,
			"HTMLUnknownElement": false,
			"HTMLVideoElement": false,
			"IDBCursor": false,
			"IDBCursorWithValue": false,
			"IDBDatabase": false,
			"IDBEnvironment": false,
			"IDBFactory": false,
			"IDBIndex": false,
			"IDBKeyRange": false,
			"IDBObjectStore": false,
			"IDBOpenDBRequest": false,
			"IDBRequest": false,
			"IDBTransaction": false,
			"IDBVersionChangeEvent": false,
			"Image": false,
			"ImageBitmap": false,
			"ImageData": false,
			"indexedDB": false,
			"innerHeight": false,
			"innerWidth": false,
			"InputEvent": false,
			"InputMethodContext": false,
			"IntersectionObserver": false,
			"IntersectionObserverEntry": false,
			"Intl": false,
			"KeyboardEvent": false,
			"KeyframeEffect": false,
			"KeyframeEffectReadOnly": false,
			"length": false,
			"localStorage": false,
			"location": false,
			"Location": false,
			"locationbar": false,
			"matchMedia": false,
			"MediaElementAudioSourceNode": false,
			"MediaEncryptedEvent": false,
			"MediaError": false,
			"MediaKeyError": false,
			"MediaKeyEvent": false,
			"MediaKeyMessageEvent": false,
			"MediaKeys": false,
			"MediaKeySession": false,
			"MediaKeyStatusMap": false,
			"MediaKeySystemAccess": false,
			"MediaList": false,
			"MediaQueryList": false,
			"MediaQueryListEvent": false,
			"MediaSource": false,
			"MediaStream": false,
			"MediaStreamAudioDestinationNode": false,
			"MediaStreamAudioSourceNode": false,
			"MediaStreamEvent": false,
			"MediaStreamTrack": false,
			"menubar": false,
			"MessageChannel": false,
			"MessageEvent": false,
			"MessagePort": false,
			"MIDIAccess": false,
			"MIDIConnectionEvent": false,
			"MIDIInput": false,
			"MIDIInputMap": false,
			"MIDIMessageEvent": false,
			"MIDIOutput": false,
			"MIDIOutputMap": false,
			"MIDIPort": false,
			"MimeType": false,
			"MimeTypeArray": false,
			"MouseEvent": false,
			"moveBy": false,
			"moveTo": false,
			"MutationEvent": false,
			"MutationObserver": false,
			"MutationRecord": false,
			"name": false,
			"NamedNodeMap": false,
			"navigator": false,
			"Navigator": false,
			"Node": false,
			"NodeFilter": false,
			"NodeIterator": false,
			"NodeList": false,
			"Notification": false,
			"OfflineAudioCompletionEvent": false,
			"OfflineAudioContext": false,
			"offscreenBuffering": false,
			"onbeforeunload": true,
			"onblur": true,
			"onerror": true,
			"onfocus": true,
			"onload": true,
			"onresize": true,
			"onunload": true,
			"open": false,
			"openDatabase": false,
			"opener": false,
			"opera": false,
			"Option": false,
			"OscillatorNode": false,
			"outerHeight": false,
			"outerWidth": false,
			"PageTransitionEvent": false,
			"pageXOffset": false,
			"pageYOffset": false,
			"parent": false,
			"PasswordCredential": false,
			"Path2D": false,
			"performance": false,
			"Performance": false,
			"PerformanceEntry": false,
			"PerformanceMark": false,
			"PerformanceMeasure": false,
			"PerformanceNavigation": false,
			"PerformanceResourceTiming": false,
			"PerformanceTiming": false,
			"PeriodicWave": false,
			"Permissions": false,
			"PermissionStatus": false,
			"personalbar": false,
			"Plugin": false,
			"PluginArray": false,
			"PopStateEvent": false,
			"postMessage": false,
			"print": false,
			"ProcessingInstruction": false,
			"ProgressEvent": false,
			"PromiseRejectionEvent": false,
			"prompt": false,
			"PushManager": false,
			"PushSubscription": false,
			"RadioNodeList": false,
			"Range": false,
			"ReadableByteStream": false,
			"ReadableStream": false,
			"removeEventListener": false,
			"Request": false,
			"requestAnimationFrame": false,
			"requestIdleCallback": false,
			"resizeBy": false,
			"resizeTo": false,
			"Response": false,
			"RTCIceCandidate": false,
			"RTCSessionDescription": false,
			"RTCPeerConnection": false,
			"screen": false,
			"Screen": false,
			"screenLeft": false,
			"ScreenOrientation": false,
			"screenTop": false,
			"screenX": false,
			"screenY": false,
			"ScriptProcessorNode": false,
			"scroll": false,
			"scrollbars": false,
			"scrollBy": false,
			"scrollTo": false,
			"scrollX": false,
			"scrollY": false,
			"SecurityPolicyViolationEvent": false,
			"Selection": false,
			"self": false,
			"ServiceWorker": false,
			"ServiceWorkerContainer": false,
			"ServiceWorkerRegistration": false,
			"sessionStorage": false,
			"setInterval": false,
			"setTimeout": false,
			"ShadowRoot": false,
			"SharedKeyframeList": false,
			"SharedWorker": false,
			"showModalDialog": false,
			"SiteBoundCredential": false,
			"speechSynthesis": false,
			"SpeechSynthesisEvent": false,
			"SpeechSynthesisUtterance": false,
			"status": false,
			"statusbar": false,
			"stop": false,
			"Storage": false,
			"StorageEvent": false,
			"styleMedia": false,
			"StyleSheet": false,
			"StyleSheetList": false,
			"SubtleCrypto": false,
			"SVGAElement": false,
			"SVGAltGlyphDefElement": false,
			"SVGAltGlyphElement": false,
			"SVGAltGlyphItemElement": false,
			"SVGAngle": false,
			"SVGAnimateColorElement": false,
			"SVGAnimatedAngle": false,
			"SVGAnimatedBoolean": false,
			"SVGAnimatedEnumeration": false,
			"SVGAnimatedInteger": false,
			"SVGAnimatedLength": false,
			"SVGAnimatedLengthList": false,
			"SVGAnimatedNumber": false,
			"SVGAnimatedNumberList": false,
			"SVGAnimatedPathData": false,
			"SVGAnimatedPoints": false,
			"SVGAnimatedPreserveAspectRatio": false,
			"SVGAnimatedRect": false,
			"SVGAnimatedString": false,
			"SVGAnimatedTransformList": false,
			"SVGAnimateElement": false,
			"SVGAnimateMotionElement": false,
			"SVGAnimateTransformElement": false,
			"SVGAnimationElement": false,
			"SVGCircleElement": false,
			"SVGClipPathElement": false,
			"SVGColor": false,
			"SVGColorProfileElement": false,
			"SVGColorProfileRule": false,
			"SVGComponentTransferFunctionElement": false,
			"SVGCSSRule": false,
			"SVGCursorElement": false,
			"SVGDefsElement": false,
			"SVGDescElement": false,
			"SVGDiscardElement": false,
			"SVGDocument": false,
			"SVGElement": false,
			"SVGElementInstance": false,
			"SVGElementInstanceList": false,
			"SVGEllipseElement": false,
			"SVGEvent": false,
			"SVGExternalResourcesRequired": false,
			"SVGFEBlendElement": false,
			"SVGFEColorMatrixElement": false,
			"SVGFEComponentTransferElement": false,
			"SVGFECompositeElement": false,
			"SVGFEConvolveMatrixElement": false,
			"SVGFEDiffuseLightingElement": false,
			"SVGFEDisplacementMapElement": false,
			"SVGFEDistantLightElement": false,
			"SVGFEDropShadowElement": false,
			"SVGFEFloodElement": false,
			"SVGFEFuncAElement": false,
			"SVGFEFuncBElement": false,
			"SVGFEFuncGElement": false,
			"SVGFEFuncRElement": false,
			"SVGFEGaussianBlurElement": false,
			"SVGFEImageElement": false,
			"SVGFEMergeElement": false,
			"SVGFEMergeNodeElement": false,
			"SVGFEMorphologyElement": false,
			"SVGFEOffsetElement": false,
			"SVGFEPointLightElement": false,
			"SVGFESpecularLightingElement": false,
			"SVGFESpotLightElement": false,
			"SVGFETileElement": false,
			"SVGFETurbulenceElement": false,
			"SVGFilterElement": false,
			"SVGFilterPrimitiveStandardAttributes": false,
			"SVGFitToViewBox": false,
			"SVGFontElement": false,
			"SVGFontFaceElement": false,
			"SVGFontFaceFormatElement": false,
			"SVGFontFaceNameElement": false,
			"SVGFontFaceSrcElement": false,
			"SVGFontFaceUriElement": false,
			"SVGForeignObjectElement": false,
			"SVGGElement": false,
			"SVGGeometryElement": false,
			"SVGGlyphElement": false,
			"SVGGlyphRefElement": false,
			"SVGGradientElement": false,
			"SVGGraphicsElement": false,
			"SVGHKernElement": false,
			"SVGICCColor": false,
			"SVGImageElement": false,
			"SVGLangSpace": false,
			"SVGLength": false,
			"SVGLengthList": false,
			"SVGLinearGradientElement": false,
			"SVGLineElement": false,
			"SVGLocatable": false,
			"SVGMarkerElement": false,
			"SVGMaskElement": false,
			"SVGMatrix": false,
			"SVGMetadataElement": false,
			"SVGMissingGlyphElement": false,
			"SVGMPathElement": false,
			"SVGNumber": false,
			"SVGNumberList": false,
			"SVGPaint": false,
			"SVGPathElement": false,
			"SVGPathSeg": false,
			"SVGPathSegArcAbs": false,
			"SVGPathSegArcRel": false,
			"SVGPathSegClosePath": false,
			"SVGPathSegCurvetoCubicAbs": false,
			"SVGPathSegCurvetoCubicRel": false,
			"SVGPathSegCurvetoCubicSmoothAbs": false,
			"SVGPathSegCurvetoCubicSmoothRel": false,
			"SVGPathSegCurvetoQuadraticAbs": false,
			"SVGPathSegCurvetoQuadraticRel": false,
			"SVGPathSegCurvetoQuadraticSmoothAbs": false,
			"SVGPathSegCurvetoQuadraticSmoothRel": false,
			"SVGPathSegLinetoAbs": false,
			"SVGPathSegLinetoHorizontalAbs": false,
			"SVGPathSegLinetoHorizontalRel": false,
			"SVGPathSegLinetoRel": false,
			"SVGPathSegLinetoVerticalAbs": false,
			"SVGPathSegLinetoVerticalRel": false,
			"SVGPathSegList": false,
			"SVGPathSegMovetoAbs": false,
			"SVGPathSegMovetoRel": false,
			"SVGPatternElement": false,
			"SVGPoint": false,
			"SVGPointList": false,
			"SVGPolygonElement": false,
			"SVGPolylineElement": false,
			"SVGPreserveAspectRatio": false,
			"SVGRadialGradientElement": false,
			"SVGRect": false,
			"SVGRectElement": false,
			"SVGRenderingIntent": false,
			"SVGScriptElement": false,
			"SVGSetElement": false,
			"SVGStopElement": false,
			"SVGStringList": false,
			"SVGStylable": false,
			"SVGStyleElement": false,
			"SVGSVGElement": false,
			"SVGSwitchElement": false,
			"SVGSymbolElement": false,
			"SVGTests": false,
			"SVGTextContentElement": false,
			"SVGTextElement": false,
			"SVGTextPathElement": false,
			"SVGTextPositioningElement": false,
			"SVGTitleElement": false,
			"SVGTransform": false,
			"SVGTransformable": false,
			"SVGTransformList": false,
			"SVGTRefElement": false,
			"SVGTSpanElement": false,
			"SVGUnitTypes": false,
			"SVGURIReference": false,
			"SVGUseElement": false,
			"SVGViewElement": false,
			"SVGViewSpec": false,
			"SVGVKernElement": false,
			"SVGZoomAndPan": false,
			"SVGZoomEvent": false,
			"Text": false,
			"TextDecoder": false,
			"TextEncoder": false,
			"TextEvent": false,
			"TextMetrics": false,
			"TextTrack": false,
			"TextTrackCue": false,
			"TextTrackCueList": false,
			"TextTrackList": false,
			"TimeEvent": false,
			"TimeRanges": false,
			"toolbar": false,
			"top": false,
			"Touch": false,
			"TouchEvent": false,
			"TouchList": false,
			"TrackEvent": false,
			"TransitionEvent": false,
			"TreeWalker": false,
			"UIEvent": false,
			"URL": false,
			"URLSearchParams": false,
			"ValidityState": false,
			"VTTCue": false,
			"WaveShaperNode": false,
			"WebGLActiveInfo": false,
			"WebGLBuffer": false,
			"WebGLContextEvent": false,
			"WebGLFramebuffer": false,
			"WebGLProgram": false,
			"WebGLRenderbuffer": false,
			"WebGLRenderingContext": false,
			"WebGLShader": false,
			"WebGLShaderPrecisionFormat": false,
			"WebGLTexture": false,
			"WebGLUniformLocation": false,
			"WebSocket": false,
			"WheelEvent": false,
			"window": false,
			"Window": false,
			"Worker": false,
			"XDomainRequest": false,
			"XMLDocument": false,
			"XMLHttpRequest": false,
			"XMLHttpRequestEventTarget": false,
			"XMLHttpRequestProgressEvent": false,
			"XMLHttpRequestUpload": false,
			"XMLSerializer": false,
			"XPathEvaluator": false,
			"XPathException": false,
			"XPathExpression": false,
			"XPathNamespace": false,
			"XPathNSResolver": false,
			"XPathResult": false,
			"XSLTProcessor": false
		},
		"worker": {
			"applicationCache": false,
			"atob": false,
			"Blob": false,
			"BroadcastChannel": false,
			"btoa": false,
			"Cache": false,
			"caches": false,
			"clearInterval": false,
			"clearTimeout": false,
			"close": true,
			"console": false,
			"fetch": false,
			"FileReaderSync": false,
			"FormData": false,
			"Headers": false,
			"IDBCursor": false,
			"IDBCursorWithValue": false,
			"IDBDatabase": false,
			"IDBFactory": false,
			"IDBIndex": false,
			"IDBKeyRange": false,
			"IDBObjectStore": false,
			"IDBOpenDBRequest": false,
			"IDBRequest": false,
			"IDBTransaction": false,
			"IDBVersionChangeEvent": false,
			"ImageData": false,
			"importScripts": true,
			"indexedDB": false,
			"location": false,
			"MessageChannel": false,
			"MessagePort": false,
			"name": false,
			"navigator": false,
			"Notification": false,
			"onclose": true,
			"onconnect": true,
			"onerror": true,
			"onlanguagechange": true,
			"onmessage": true,
			"onoffline": true,
			"ononline": true,
			"onrejectionhandled": true,
			"onunhandledrejection": true,
			"performance": false,
			"Performance": false,
			"PerformanceEntry": false,
			"PerformanceMark": false,
			"PerformanceMeasure": false,
			"PerformanceNavigation": false,
			"PerformanceResourceTiming": false,
			"PerformanceTiming": false,
			"postMessage": true,
			"Promise": false,
			"Request": false,
			"Response": false,
			"self": true,
			"ServiceWorkerRegistration": false,
			"setInterval": false,
			"setTimeout": false,
			"TextDecoder": false,
			"TextEncoder": false,
			"URL": false,
			"URLSearchParams": false,
			"WebSocket": false,
			"Worker": false,
			"XMLHttpRequest": false
		},
		"node": {
			"__dirname": false,
			"__filename": false,
			"arguments": false,
			"Buffer": false,
			"clearImmediate": false,
			"clearInterval": false,
			"clearTimeout": false,
			"console": false,
			"exports": true,
			"GLOBAL": false,
			"global": false,
			"Intl": false,
			"module": false,
			"process": false,
			"require": false,
			"root": false,
			"setImmediate": false,
			"setInterval": false,
			"setTimeout": false
		},
		"commonjs": {
			"exports": true,
			"module": false,
			"require": false,
			"global": false
		},
		"amd": {
			"define": false,
			"require": false
		},
		"mocha": {
			"after": false,
			"afterEach": false,
			"before": false,
			"beforeEach": false,
			"context": false,
			"describe": false,
			"it": false,
			"mocha": false,
			"run": false,
			"setup": false,
			"specify": false,
			"suite": false,
			"suiteSetup": false,
			"suiteTeardown": false,
			"teardown": false,
			"test": false,
			"xcontext": false,
			"xdescribe": false,
			"xit": false,
			"xspecify": false
		},
		"jasmine": {
			"afterAll": false,
			"afterEach": false,
			"beforeAll": false,
			"beforeEach": false,
			"describe": false,
			"expect": false,
			"fail": false,
			"fdescribe": false,
			"fit": false,
			"it": false,
			"jasmine": false,
			"pending": false,
			"runs": false,
			"spyOn": false,
			"waits": false,
			"waitsFor": false,
			"xdescribe": false,
			"xit": false
		},
		"jest": {
			"afterAll": false,
			"afterEach": false,
			"beforeAll": false,
			"beforeEach": false,
			"check": false,
			"describe": false,
			"expect": false,
			"gen": false,
			"it": false,
			"fit": false,
			"jest": false,
			"pit": false,
			"require": false,
			"test": false,
			"xdescribe": false,
			"xit": false,
			"xtest": false
		},
		"qunit": {
			"asyncTest": false,
			"deepEqual": false,
			"equal": false,
			"expect": false,
			"module": false,
			"notDeepEqual": false,
			"notEqual": false,
			"notOk": false,
			"notPropEqual": false,
			"notStrictEqual": false,
			"ok": false,
			"propEqual": false,
			"QUnit": false,
			"raises": false,
			"start": false,
			"stop": false,
			"strictEqual": false,
			"test": false,
			"throws": false
		},
		"phantomjs": {
			"console": true,
			"exports": true,
			"phantom": true,
			"require": true,
			"WebPage": true
		},
		"couch": {
			"emit": false,
			"exports": false,
			"getRow": false,
			"log": false,
			"module": false,
			"provides": false,
			"require": false,
			"respond": false,
			"send": false,
			"start": false,
			"sum": false
		},
		"rhino": {
			"defineClass": false,
			"deserialize": false,
			"gc": false,
			"help": false,
			"importClass": false,
			"importPackage": false,
			"java": false,
			"load": false,
			"loadClass": false,
			"Packages": false,
			"print": false,
			"quit": false,
			"readFile": false,
			"readUrl": false,
			"runCommand": false,
			"seal": false,
			"serialize": false,
			"spawn": false,
			"sync": false,
			"toint32": false,
			"version": false
		},
		"nashorn": {
			"__DIR__": false,
			"__FILE__": false,
			"__LINE__": false,
			"com": false,
			"edu": false,
			"exit": false,
			"Java": false,
			"java": false,
			"javafx": false,
			"JavaImporter": false,
			"javax": false,
			"JSAdapter": false,
			"load": false,
			"loadWithNewGlobal": false,
			"org": false,
			"Packages": false,
			"print": false,
			"quit": false
		},
		"wsh": {
			"ActiveXObject": true,
			"Enumerator": true,
			"GetObject": true,
			"ScriptEngine": true,
			"ScriptEngineBuildVersion": true,
			"ScriptEngineMajorVersion": true,
			"ScriptEngineMinorVersion": true,
			"VBArray": true,
			"WScript": true,
			"WSH": true,
			"XDomainRequest": true
		},
		"jquery": {
			"$": false,
			"jQuery": false
		},
		"yui": {
			"Y": false,
			"YUI": false,
			"YUI_config": false
		},
		"shelljs": {
			"cat": false,
			"cd": false,
			"chmod": false,
			"config": false,
			"cp": false,
			"dirs": false,
			"echo": false,
			"env": false,
			"error": false,
			"exec": false,
			"exit": false,
			"find": false,
			"grep": false,
			"ls": false,
			"ln": false,
			"mkdir": false,
			"mv": false,
			"popd": false,
			"pushd": false,
			"pwd": false,
			"rm": false,
			"sed": false,
			"set": false,
			"target": false,
			"tempdir": false,
			"test": false,
			"touch": false,
			"which": false
		},
		"prototypejs": {
			"$": false,
			"$$": false,
			"$A": false,
			"$break": false,
			"$continue": false,
			"$F": false,
			"$H": false,
			"$R": false,
			"$w": false,
			"Abstract": false,
			"Ajax": false,
			"Autocompleter": false,
			"Builder": false,
			"Class": false,
			"Control": false,
			"Draggable": false,
			"Draggables": false,
			"Droppables": false,
			"Effect": false,
			"Element": false,
			"Enumerable": false,
			"Event": false,
			"Field": false,
			"Form": false,
			"Hash": false,
			"Insertion": false,
			"ObjectRange": false,
			"PeriodicalExecuter": false,
			"Position": false,
			"Prototype": false,
			"Scriptaculous": false,
			"Selector": false,
			"Sortable": false,
			"SortableObserver": false,
			"Sound": false,
			"Template": false,
			"Toggle": false,
			"Try": false
		},
		"meteor": {
			"$": false,
			"_": false,
			"Accounts": false,
			"AccountsClient": false,
			"AccountsServer": false,
			"AccountsCommon": false,
			"App": false,
			"Assets": false,
			"Blaze": false,
			"check": false,
			"Cordova": false,
			"DDP": false,
			"DDPServer": false,
			"DDPRateLimiter": false,
			"Deps": false,
			"EJSON": false,
			"Email": false,
			"HTTP": false,
			"Log": false,
			"Match": false,
			"Meteor": false,
			"Mongo": false,
			"MongoInternals": false,
			"Npm": false,
			"Package": false,
			"Plugin": false,
			"process": false,
			"Random": false,
			"ReactiveDict": false,
			"ReactiveVar": false,
			"Router": false,
			"ServiceConfiguration": false,
			"Session": false,
			"share": false,
			"Spacebars": false,
			"Template": false,
			"Tinytest": false,
			"Tracker": false,
			"UI": false,
			"Utils": false,
			"WebApp": false,
			"WebAppInternals": false
		},
		"mongo": {
			"_isWindows": false,
			"_rand": false,
			"BulkWriteResult": false,
			"cat": false,
			"cd": false,
			"connect": false,
			"db": false,
			"getHostName": false,
			"getMemInfo": false,
			"hostname": false,
			"ISODate": false,
			"listFiles": false,
			"load": false,
			"ls": false,
			"md5sumFile": false,
			"mkdir": false,
			"Mongo": false,
			"NumberInt": false,
			"NumberLong": false,
			"ObjectId": false,
			"PlanCache": false,
			"print": false,
			"printjson": false,
			"pwd": false,
			"quit": false,
			"removeFile": false,
			"rs": false,
			"sh": false,
			"UUID": false,
			"version": false,
			"WriteResult": false
		},
		"applescript": {
			"$": false,
			"Application": false,
			"Automation": false,
			"console": false,
			"delay": false,
			"Library": false,
			"ObjC": false,
			"ObjectSpecifier": false,
			"Path": false,
			"Progress": false,
			"Ref": false
		},
		"serviceworker": {
			"caches": false,
			"Cache": false,
			"CacheStorage": false,
			"Client": false,
			"clients": false,
			"Clients": false,
			"ExtendableEvent": false,
			"ExtendableMessageEvent": false,
			"FetchEvent": false,
			"importScripts": false,
			"registration": false,
			"self": false,
			"ServiceWorker": false,
			"ServiceWorkerContainer": false,
			"ServiceWorkerGlobalScope": false,
			"ServiceWorkerMessageEvent": false,
			"ServiceWorkerRegistration": false,
			"skipWaiting": false,
			"WindowClient": false
		},
		"atomtest": {
			"advanceClock": false,
			"fakeClearInterval": false,
			"fakeClearTimeout": false,
			"fakeSetInterval": false,
			"fakeSetTimeout": false,
			"resetTimeouts": false,
			"waitsForPromise": false
		},
		"embertest": {
			"andThen": false,
			"click": false,
			"currentPath": false,
			"currentRouteName": false,
			"currentURL": false,
			"fillIn": false,
			"find": false,
			"findWithAssert": false,
			"keyEvent": false,
			"pauseTest": false,
			"triggerEvent": false,
			"visit": false
		},
		"protractor": {
			"$": false,
			"$$": false,
			"browser": false,
			"By": false,
			"by": false,
			"DartObject": false,
			"element": false,
			"protractor": false
		},
		"shared-node-browser": {
			"clearInterval": false,
			"clearTimeout": false,
			"console": false,
			"setInterval": false,
			"setTimeout": false
		},
		"webextensions": {
			"browser": false,
			"chrome": false,
			"opr": false
		},
		"greasemonkey": {
			"GM_addStyle": false,
			"GM_deleteValue": false,
			"GM_getResourceText": false,
			"GM_getResourceURL": false,
			"GM_getValue": false,
			"GM_info": false,
			"GM_listValues": false,
			"GM_log": false,
			"GM_openInTab": false,
			"GM_registerMenuCommand": false,
			"GM_setClipboard": false,
			"GM_setValue": false,
			"GM_xmlhttpRequest": false,
			"unsafeWindow": false
		}
	};

/***/ },
/* 686 */
/***/ function(module, exports) {

	module.exports = {
		"75": 8490,
		"83": 383,
		"107": 8490,
		"115": 383,
		"181": 924,
		"197": 8491,
		"383": 83,
		"452": 453,
		"453": 452,
		"455": 456,
		"456": 455,
		"458": 459,
		"459": 458,
		"497": 498,
		"498": 497,
		"837": 8126,
		"914": 976,
		"917": 1013,
		"920": 1012,
		"921": 8126,
		"922": 1008,
		"924": 181,
		"928": 982,
		"929": 1009,
		"931": 962,
		"934": 981,
		"937": 8486,
		"962": 931,
		"976": 914,
		"977": 1012,
		"981": 934,
		"982": 928,
		"1008": 922,
		"1009": 929,
		"1012": [
			920,
			977
		],
		"1013": 917,
		"7776": 7835,
		"7835": 7776,
		"8126": [
			837,
			921
		],
		"8486": 937,
		"8490": 75,
		"8491": 197,
		"66560": 66600,
		"66561": 66601,
		"66562": 66602,
		"66563": 66603,
		"66564": 66604,
		"66565": 66605,
		"66566": 66606,
		"66567": 66607,
		"66568": 66608,
		"66569": 66609,
		"66570": 66610,
		"66571": 66611,
		"66572": 66612,
		"66573": 66613,
		"66574": 66614,
		"66575": 66615,
		"66576": 66616,
		"66577": 66617,
		"66578": 66618,
		"66579": 66619,
		"66580": 66620,
		"66581": 66621,
		"66582": 66622,
		"66583": 66623,
		"66584": 66624,
		"66585": 66625,
		"66586": 66626,
		"66587": 66627,
		"66588": 66628,
		"66589": 66629,
		"66590": 66630,
		"66591": 66631,
		"66592": 66632,
		"66593": 66633,
		"66594": 66634,
		"66595": 66635,
		"66596": 66636,
		"66597": 66637,
		"66598": 66638,
		"66599": 66639,
		"66600": 66560,
		"66601": 66561,
		"66602": 66562,
		"66603": 66563,
		"66604": 66564,
		"66605": 66565,
		"66606": 66566,
		"66607": 66567,
		"66608": 66568,
		"66609": 66569,
		"66610": 66570,
		"66611": 66571,
		"66612": 66572,
		"66613": 66573,
		"66614": 66574,
		"66615": 66575,
		"66616": 66576,
		"66617": 66577,
		"66618": 66578,
		"66619": 66579,
		"66620": 66580,
		"66621": 66581,
		"66622": 66582,
		"66623": 66583,
		"66624": 66584,
		"66625": 66585,
		"66626": 66586,
		"66627": 66587,
		"66628": 66588,
		"66629": 66589,
		"66630": 66590,
		"66631": 66591,
		"66632": 66592,
		"66633": 66593,
		"66634": 66594,
		"66635": 66595,
		"66636": 66596,
		"66637": 66597,
		"66638": 66598,
		"66639": 66599,
		"68736": 68800,
		"68737": 68801,
		"68738": 68802,
		"68739": 68803,
		"68740": 68804,
		"68741": 68805,
		"68742": 68806,
		"68743": 68807,
		"68744": 68808,
		"68745": 68809,
		"68746": 68810,
		"68747": 68811,
		"68748": 68812,
		"68749": 68813,
		"68750": 68814,
		"68751": 68815,
		"68752": 68816,
		"68753": 68817,
		"68754": 68818,
		"68755": 68819,
		"68756": 68820,
		"68757": 68821,
		"68758": 68822,
		"68759": 68823,
		"68760": 68824,
		"68761": 68825,
		"68762": 68826,
		"68763": 68827,
		"68764": 68828,
		"68765": 68829,
		"68766": 68830,
		"68767": 68831,
		"68768": 68832,
		"68769": 68833,
		"68770": 68834,
		"68771": 68835,
		"68772": 68836,
		"68773": 68837,
		"68774": 68838,
		"68775": 68839,
		"68776": 68840,
		"68777": 68841,
		"68778": 68842,
		"68779": 68843,
		"68780": 68844,
		"68781": 68845,
		"68782": 68846,
		"68783": 68847,
		"68784": 68848,
		"68785": 68849,
		"68786": 68850,
		"68800": 68736,
		"68801": 68737,
		"68802": 68738,
		"68803": 68739,
		"68804": 68740,
		"68805": 68741,
		"68806": 68742,
		"68807": 68743,
		"68808": 68744,
		"68809": 68745,
		"68810": 68746,
		"68811": 68747,
		"68812": 68748,
		"68813": 68749,
		"68814": 68750,
		"68815": 68751,
		"68816": 68752,
		"68817": 68753,
		"68818": 68754,
		"68819": 68755,
		"68820": 68756,
		"68821": 68757,
		"68822": 68758,
		"68823": 68759,
		"68824": 68760,
		"68825": 68761,
		"68826": 68762,
		"68827": 68763,
		"68828": 68764,
		"68829": 68765,
		"68830": 68766,
		"68831": 68767,
		"68832": 68768,
		"68833": 68769,
		"68834": 68770,
		"68835": 68771,
		"68836": 68772,
		"68837": 68773,
		"68838": 68774,
		"68839": 68775,
		"68840": 68776,
		"68841": 68777,
		"68842": 68778,
		"68843": 68779,
		"68844": 68780,
		"68845": 68781,
		"68846": 68782,
		"68847": 68783,
		"68848": 68784,
		"68849": 68785,
		"68850": 68786,
		"71840": 71872,
		"71841": 71873,
		"71842": 71874,
		"71843": 71875,
		"71844": 71876,
		"71845": 71877,
		"71846": 71878,
		"71847": 71879,
		"71848": 71880,
		"71849": 71881,
		"71850": 71882,
		"71851": 71883,
		"71852": 71884,
		"71853": 71885,
		"71854": 71886,
		"71855": 71887,
		"71856": 71888,
		"71857": 71889,
		"71858": 71890,
		"71859": 71891,
		"71860": 71892,
		"71861": 71893,
		"71862": 71894,
		"71863": 71895,
		"71864": 71896,
		"71865": 71897,
		"71866": 71898,
		"71867": 71899,
		"71868": 71900,
		"71869": 71901,
		"71870": 71902,
		"71871": 71903,
		"71872": 71840,
		"71873": 71841,
		"71874": 71842,
		"71875": 71843,
		"71876": 71844,
		"71877": 71845,
		"71878": 71846,
		"71879": 71847,
		"71880": 71848,
		"71881": 71849,
		"71882": 71850,
		"71883": 71851,
		"71884": 71852,
		"71885": 71853,
		"71886": 71854,
		"71887": 71855,
		"71888": 71856,
		"71889": 71857,
		"71890": 71858,
		"71891": 71859,
		"71892": 71860,
		"71893": 71861,
		"71894": 71862,
		"71895": 71863,
		"71896": 71864,
		"71897": 71865,
		"71898": 71866,
		"71899": 71867,
		"71900": 71868,
		"71901": 71869,
		"71902": 71870,
		"71903": 71871
	};

/***/ }
/******/ ])))
});
;